/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2023-04-01 20:07:55 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=333 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=540 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=212 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("1", "20230401_seven", "a9e4247ff1357ad25216_20230401200750", "22", "2023-04-01 20:07:55", "kevinmcmillan", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-04-01 20:07:50\";s:7:\"Version\";s:7:\"1.5.3.1\";s:9:\"VersionWP\";s:3:\"6.2\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:5:\"8.0.8\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";i:1;s:4:\"Name\";s:14:\"20230401_seven\";s:4:\"Hash\";s:35:\"a9e4247ff1357ad25216_20230401200750\";s:8:\"NameHash\";s:50:\"20230401_seven_a9e4247ff1357ad25216_20230401200750\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:60:\"20230401_seven_a9e4247ff1357ad25216_20230401200750_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"21.5\";s:6:\"WPUser\";s:13:\"kevinmcmillan\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:62:\"20230401_seven_a9e4247ff1357ad25216_20230401200750_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:50:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:589;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:4345;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-04-01 20:07:50\";s:7:\"Version\";s:7:\"1.5.3.1\";s:9:\"VersionWP\";s:3:\"6.2\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:5:\"8.0.8\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:14:\"20230401_seven\";s:4:\"Hash\";s:35:\"a9e4247ff1357ad25216_20230401200750\";s:8:\"NameHash\";s:50:\"20230401_seven_a9e4247ff1357ad25216_20230401200750\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:68:\"20230401_seven_a9e4247ff1357ad25216_20230401200750_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:64:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:63:\"20230401_seven_a9e4247ff1357ad25216_20230401200750_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:146:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/backups-dup-lite/tmp/20230401_seven_a9e4247ff1357ad25216_20230401200750_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;s:19:\"sameNameTableExists\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:59:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-admin\";i:1;s:62:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-includes\";i:2;s:71:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:50:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03\";i:1;s:50:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03\";i:2;s:61:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content\";i:3;s:69:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/uploads\";i:4;s:69:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/plugins\";i:5;s:72:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/mu-plugins\";i:6;s:68:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:82:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://localhost:8888/exams/final-exam-2022-03", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://localhost:8888/exams/final-exam-2022-03", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "Seven", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "Just another WordPress site", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "3", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%year%/%monthnum%/%day%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:79:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:53:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:61:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:3:{i:0;s:41:\"create-block-theme/create-block-theme.php\";i:1;s:33:\"duplicate-post/duplicate-post.php\";i:2;s:25:\"duplicator/duplicator.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `wp_options` VALUES("40", "template", "twentytwentytwo", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "twentytwentytwo", "yes");
INSERT INTO `wp_options` VALUES("42", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("43", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("44", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("46", "db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("47", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("48", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("49", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("50", "default_link_category", "0", "yes");
INSERT INTO `wp_options` VALUES("51", "show_on_front", "posts", "yes");
INSERT INTO `wp_options` VALUES("52", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("53", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("54", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("55", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("56", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("57", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("59", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("60", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("61", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("62", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("63", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("64", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("65", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("67", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("68", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("69", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("70", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("71", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("72", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("73", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("74", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("75", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("76", "widget_categories", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("77", "widget_text", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_rss", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("79", "uninstall_plugins", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("80", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("81", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("82", "page_on_front", "0", "yes");
INSERT INTO `wp_options` VALUES("83", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("86", "site_icon", "0", "yes");
INSERT INTO `wp_options` VALUES("87", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("88", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_options` VALUES("90", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wp_options` VALUES("91", "admin_email_lifespan", "1695927381", "yes");
INSERT INTO `wp_options` VALUES("92", "disallowed_keys", "", "no");
INSERT INTO `wp_options` VALUES("93", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_options` VALUES("94", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("95", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_options` VALUES("96", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_options` VALUES("97", "auto_update_core_major", "enabled", "yes");
INSERT INTO `wp_options` VALUES("98", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("99", "initial_db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("100", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:35:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("101", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("102", "user_count", "1", "no");
INSERT INTO `wp_options` VALUES("103", "widget_block", "a:6:{i:2;a:1:{s:7:\"content\";s:19:\"<!-- wp:search /-->\";}i:3;a:1:{s:7:\"content\";s:154:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Posts</h2><!-- /wp:heading --><!-- wp:latest-posts /--></div><!-- /wp:group -->\";}i:4;a:1:{s:7:\"content\";s:227:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Comments</h2><!-- /wp:heading --><!-- wp:latest-comments {\"displayAvatar\":false,\"displayDate\":false,\"displayExcerpt\":false} /--></div><!-- /wp:group -->\";}i:5;a:1:{s:7:\"content\";s:146:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Archives</h2><!-- /wp:heading --><!-- wp:archives /--></div><!-- /wp:group -->\";}i:6;a:1:{s:7:\"content\";s:150:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Categories</h2><!-- /wp:heading --><!-- wp:categories /--></div><!-- /wp:group -->\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("104", "sidebars_widgets", "a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:2:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("105", "cron", "a:5:{i:1680381365;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1680388565;a:5:{s:18:\"wp_https_detection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1680388572;a:4:{s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1680734165;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("106", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("110", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("111", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("112", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("113", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("114", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("115", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("116", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("117", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("119", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("120", "https_detection_errors", "a:1:{s:20:\"https_request_failed\";a:1:{i:0;s:21:\"HTTPS request failed.\";}}", "yes");
INSERT INTO `wp_options` VALUES("129", "theme_mods_twentytwentytwo", "a:1:{s:18:\"custom_css_post_id\";i:-1;}", "yes");
INSERT INTO `wp_options` VALUES("144", "can_compress_scripts", "1", "no");
INSERT INTO `wp_options` VALUES("156", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_options` VALUES("160", "recently_activated", "a:2:{s:33:\"instant-images/instant-images.php\";i:1680379504;s:23:\"ai-engine/ai-engine.php\";i:1680377353;}", "yes");
INSERT INTO `wp_options` VALUES("161", "wp_calendar_block_has_published_posts", "1", "yes");
INSERT INTO `wp_options` VALUES("208", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("209", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("213", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:15:\"kevinmc@shaw.ca\";s:7:\"version\";s:3:\"6.2\";s:9:\"timestamp\";i:1680374648;}", "no");
INSERT INTO `wp_options` VALUES("216", "_transient_health-check-site-status-result", "{\"good\":15,\"recommended\":6,\"critical\":0}", "yes");
INSERT INTO `wp_options` VALUES("219", "_transient_timeout_global_styles_twentytwentytwo", "1680374692", "no");
INSERT INTO `wp_options` VALUES("220", "_transient_global_styles_twentytwentytwo", "body{--wp--preset--color--black: #000000;--wp--preset--color--cyan-bluish-gray: #abb8c3;--wp--preset--color--white: #ffffff;--wp--preset--color--pale-pink: #f78da7;--wp--preset--color--vivid-red: #cf2e2e;--wp--preset--color--luminous-vivid-orange: #ff6900;--wp--preset--color--luminous-vivid-amber: #fcb900;--wp--preset--color--light-green-cyan: #7bdcb5;--wp--preset--color--vivid-green-cyan: #00d084;--wp--preset--color--pale-cyan-blue: #8ed1fc;--wp--preset--color--vivid-cyan-blue: #0693e3;--wp--preset--color--vivid-purple: #9b51e0;--wp--preset--color--foreground: #000000;--wp--preset--color--background: #ffffff;--wp--preset--color--primary: #1a4548;--wp--preset--color--secondary: #ffe2c7;--wp--preset--color--tertiary: #F6F6F6;--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple: linear-gradient(135deg,rgba(6,147,227,1) 0%,rgb(155,81,224) 100%);--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan: linear-gradient(135deg,rgb(122,220,180) 0%,rgb(0,208,130) 100%);--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange: linear-gradient(135deg,rgba(252,185,0,1) 0%,rgba(255,105,0,1) 100%);--wp--preset--gradient--luminous-vivid-orange-to-vivid-red: linear-gradient(135deg,rgba(255,105,0,1) 0%,rgb(207,46,46) 100%);--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray: linear-gradient(135deg,rgb(238,238,238) 0%,rgb(169,184,195) 100%);--wp--preset--gradient--cool-to-warm-spectrum: linear-gradient(135deg,rgb(74,234,220) 0%,rgb(151,120,209) 20%,rgb(207,42,186) 40%,rgb(238,44,130) 60%,rgb(251,105,98) 80%,rgb(254,248,76) 100%);--wp--preset--gradient--blush-light-purple: linear-gradient(135deg,rgb(255,206,236) 0%,rgb(152,150,240) 100%);--wp--preset--gradient--blush-bordeaux: linear-gradient(135deg,rgb(254,205,165) 0%,rgb(254,45,45) 50%,rgb(107,0,62) 100%);--wp--preset--gradient--luminous-dusk: linear-gradient(135deg,rgb(255,203,112) 0%,rgb(199,81,192) 50%,rgb(65,88,208) 100%);--wp--preset--gradient--pale-ocean: linear-gradient(135deg,rgb(255,245,203) 0%,rgb(182,227,212) 50%,rgb(51,167,181) 100%);--wp--preset--gradient--electric-grass: linear-gradient(135deg,rgb(202,248,128) 0%,rgb(113,206,126) 100%);--wp--preset--gradient--midnight: linear-gradient(135deg,rgb(2,3,129) 0%,rgb(40,116,252) 100%);--wp--preset--gradient--vertical-secondary-to-tertiary: linear-gradient(to bottom,var(--wp--preset--color--secondary) 0%,var(--wp--preset--color--tertiary) 100%);--wp--preset--gradient--vertical-secondary-to-background: linear-gradient(to bottom,var(--wp--preset--color--secondary) 0%,var(--wp--preset--color--background) 100%);--wp--preset--gradient--vertical-tertiary-to-background: linear-gradient(to bottom,var(--wp--preset--color--tertiary) 0%,var(--wp--preset--color--background) 100%);--wp--preset--gradient--diagonal-primary-to-foreground: linear-gradient(to bottom right,var(--wp--preset--color--primary) 0%,var(--wp--preset--color--foreground) 100%);--wp--preset--gradient--diagonal-secondary-to-background: linear-gradient(to bottom right,var(--wp--preset--color--secondary) 50%,var(--wp--preset--color--background) 50%);--wp--preset--gradient--diagonal-background-to-secondary: linear-gradient(to bottom right,var(--wp--preset--color--background) 50%,var(--wp--preset--color--secondary) 50%);--wp--preset--gradient--diagonal-tertiary-to-background: linear-gradient(to bottom right,var(--wp--preset--color--tertiary) 50%,var(--wp--preset--color--background) 50%);--wp--preset--gradient--diagonal-background-to-tertiary: linear-gradient(to bottom right,var(--wp--preset--color--background) 50%,var(--wp--preset--color--tertiary) 50%);--wp--preset--duotone--dark-grayscale: url(\'#wp-duotone-dark-grayscale\');--wp--preset--duotone--grayscale: url(\'#wp-duotone-grayscale\');--wp--preset--duotone--purple-yellow: url(\'#wp-duotone-purple-yellow\');--wp--preset--duotone--blue-red: url(\'#wp-duotone-blue-red\');--wp--preset--duotone--midnight: url(\'#wp-duotone-midnight\');--wp--preset--duotone--magenta-yellow: url(\'#wp-duotone-magenta-yellow\');--wp--preset--duotone--purple-green: url(\'#wp-duotone-purple-green\');--wp--preset--duotone--blue-orange: url(\'#wp-duotone-blue-orange\');--wp--preset--duotone--foreground-and-background: url(\'#wp-duotone-foreground-and-background\');--wp--preset--duotone--foreground-and-secondary: url(\'#wp-duotone-foreground-and-secondary\');--wp--preset--duotone--foreground-and-tertiary: url(\'#wp-duotone-foreground-and-tertiary\');--wp--preset--duotone--primary-and-background: url(\'#wp-duotone-primary-and-background\');--wp--preset--duotone--primary-and-secondary: url(\'#wp-duotone-primary-and-secondary\');--wp--preset--duotone--primary-and-tertiary: url(\'#wp-duotone-primary-and-tertiary\');--wp--preset--font-size--small: 1rem;--wp--preset--font-size--medium: 1.125rem;--wp--preset--font-size--large: 1.75rem;--wp--preset--font-size--x-large: clamp(1.75rem, 3vw, 2.25rem);--wp--preset--font-family--system-font: -apple-system,BlinkMacSystemFont,\"Segoe UI\",Roboto,Oxygen-Sans,Ubuntu,Cantarell,\"Helvetica Neue\",sans-serif;--wp--preset--font-family--source-serif-pro: \"Source Serif Pro\", serif;--wp--preset--spacing--20: 0.44rem;--wp--preset--spacing--30: 0.67rem;--wp--preset--spacing--40: 1rem;--wp--preset--spacing--50: 1.5rem;--wp--preset--spacing--60: 2.25rem;--wp--preset--spacing--70: 3.38rem;--wp--preset--spacing--80: 5.06rem;--wp--custom--spacing--small: max(1.25rem, 5vw);--wp--custom--spacing--medium: clamp(2rem, 8vw, calc(4 * var(--wp--style--block-gap)));--wp--custom--spacing--large: clamp(4rem, 10vw, 8rem);--wp--custom--spacing--outer: var(--wp--custom--spacing--small, 1.25rem);--wp--custom--typography--font-size--huge: clamp(2.25rem, 4vw, 2.75rem);--wp--custom--typography--font-size--gigantic: clamp(2.75rem, 6vw, 3.25rem);--wp--custom--typography--font-size--colossal: clamp(3.25rem, 8vw, 6.25rem);--wp--custom--typography--line-height--tiny: 1.15;--wp--custom--typography--line-height--small: 1.2;--wp--custom--typography--line-height--medium: 1.4;--wp--custom--typography--line-height--normal: 1.6;}body { margin: 0;--wp--style--global--content-size: 650px;--wp--style--global--wide-size: 1000px; }.wp-site-blocks > .alignleft { float: left; margin-right: 2em; }.wp-site-blocks > .alignright { float: right; margin-left: 2em; }.wp-site-blocks > .aligncenter { justify-content: center; margin-left: auto; margin-right: auto; }.wp-site-blocks > * { margin-block-start: 0; margin-block-end: 0; }.wp-site-blocks > * + * { margin-block-start: 1.5rem; }body { --wp--style--block-gap: 1.5rem; }body .is-layout-flow > *{margin-block-start: 0;margin-block-end: 0;}body .is-layout-flow > * + *{margin-block-start: 1.5rem;margin-block-end: 0;}body .is-layout-constrained > *{margin-block-start: 0;margin-block-end: 0;}body .is-layout-constrained > * + *{margin-block-start: 1.5rem;margin-block-end: 0;}body .is-layout-flex{gap: 1.5rem;}body .is-layout-flow > .alignleft{float: left;margin-inline-start: 0;margin-inline-end: 2em;}body .is-layout-flow > .alignright{float: right;margin-inline-start: 2em;margin-inline-end: 0;}body .is-layout-flow > .aligncenter{margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > .alignleft{float: left;margin-inline-start: 0;margin-inline-end: 2em;}body .is-layout-constrained > .alignright{float: right;margin-inline-start: 2em;margin-inline-end: 0;}body .is-layout-constrained > .aligncenter{margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > :where(:not(.alignleft):not(.alignright):not(.alignfull)){max-width: var(--wp--style--global--content-size);margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > .alignwide{max-width: var(--wp--style--global--wide-size);}body .is-layout-flex{display: flex;}body .is-layout-flex{flex-wrap: wrap;align-items: center;}body .is-layout-flex > *{margin: 0;}body{background-color: var(--wp--preset--color--background);color: var(--wp--preset--color--foreground);font-family: var(--wp--preset--font-family--system-font);font-size: var(--wp--preset--font-size--medium);line-height: var(--wp--custom--typography--line-height--normal);padding-top: 0px;padding-right: 0px;padding-bottom: 0px;padding-left: 0px;}a:where(:not(.wp-element-button)){color: var(--wp--preset--color--foreground);text-decoration: underline;}h1{font-family: var(--wp--preset--font-family--source-serif-pro);font-size: var(--wp--custom--typography--font-size--colossal);font-weight: 300;line-height: var(--wp--custom--typography--line-height--tiny);}h2{font-family: var(--wp--preset--font-family--source-serif-pro);font-size: var(--wp--custom--typography--font-size--gigantic);font-weight: 300;line-height: var(--wp--custom--typography--line-height--small);}h3{font-family: var(--wp--preset--font-family--source-serif-pro);font-size: var(--wp--custom--typography--font-size--huge);font-weight: 300;line-height: var(--wp--custom--typography--line-height--tiny);}h4{font-family: var(--wp--preset--font-family--source-serif-pro);font-size: var(--wp--preset--font-size--x-large);font-weight: 300;line-height: var(--wp--custom--typography--line-height--tiny);}h5{font-family: var(--wp--preset--font-family--system-font);font-size: var(--wp--preset--font-size--medium);font-weight: 700;line-height: var(--wp--custom--typography--line-height--normal);text-transform: uppercase;}h6{font-family: var(--wp--preset--font-family--system-font);font-size: var(--wp--preset--font-size--medium);font-weight: 400;line-height: var(--wp--custom--typography--line-height--normal);text-transform: uppercase;}.wp-element-button, .wp-block-button__link{background-color: #32373c;border-width: 0;color: #fff;font-family: inherit;font-size: inherit;line-height: inherit;padding: calc(0.667em + 2px) calc(1.333em + 2px);text-decoration: none;}.has-black-color{color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-color{color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-color{color: var(--wp--preset--color--white) !important;}.has-pale-pink-color{color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-color{color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-color{color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-color{color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-color{color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-color{color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-color{color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-color{color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-color{color: var(--wp--preset--color--vivid-purple) !important;}.has-foreground-color{color: var(--wp--preset--color--foreground) !important;}.has-background-color{color: var(--wp--preset--color--background) !important;}.has-primary-color{color: var(--wp--preset--color--primary) !important;}.has-secondary-color{color: var(--wp--preset--color--secondary) !important;}.has-tertiary-color{color: var(--wp--preset--color--tertiary) !important;}.has-black-background-color{background-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-background-color{background-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-background-color{background-color: var(--wp--preset--color--white) !important;}.has-pale-pink-background-color{background-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-background-color{background-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-background-color{background-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-background-color{background-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-background-color{background-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-background-color{background-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-background-color{background-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-background-color{background-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-background-color{background-color: var(--wp--preset--color--vivid-purple) !important;}.has-foreground-background-color{background-color: var(--wp--preset--color--foreground) !important;}.has-background-background-color{background-color: var(--wp--preset--color--background) !important;}.has-primary-background-color{background-color: var(--wp--preset--color--primary) !important;}.has-secondary-background-color{background-color: var(--wp--preset--color--secondary) !important;}.has-tertiary-background-color{background-color: var(--wp--preset--color--tertiary) !important;}.has-black-border-color{border-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-border-color{border-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-border-color{border-color: var(--wp--preset--color--white) !important;}.has-pale-pink-border-color{border-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-border-color{border-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-border-color{border-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-border-color{border-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-border-color{border-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-border-color{border-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-border-color{border-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-border-color{border-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-border-color{border-color: var(--wp--preset--color--vivid-purple) !important;}.has-foreground-border-color{border-color: var(--wp--preset--color--foreground) !important;}.has-background-border-color{border-color: var(--wp--preset--color--background) !important;}.has-primary-border-color{border-color: var(--wp--preset--color--primary) !important;}.has-secondary-border-color{border-color: var(--wp--preset--color--secondary) !important;}.has-tertiary-border-color{border-color: var(--wp--preset--color--tertiary) !important;}.has-vivid-cyan-blue-to-vivid-purple-gradient-background{background: var(--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple) !important;}.has-light-green-cyan-to-vivid-green-cyan-gradient-background{background: var(--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan) !important;}.has-luminous-vivid-amber-to-luminous-vivid-orange-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange) !important;}.has-luminous-vivid-orange-to-vivid-red-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-orange-to-vivid-red) !important;}.has-very-light-gray-to-cyan-bluish-gray-gradient-background{background: var(--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray) !important;}.has-cool-to-warm-spectrum-gradient-background{background: var(--wp--preset--gradient--cool-to-warm-spectrum) !important;}.has-blush-light-purple-gradient-background{background: var(--wp--preset--gradient--blush-light-purple) !important;}.has-blush-bordeaux-gradient-background{background: var(--wp--preset--gradient--blush-bordeaux) !important;}.has-luminous-dusk-gradient-background{background: var(--wp--preset--gradient--luminous-dusk) !important;}.has-pale-ocean-gradient-background{background: var(--wp--preset--gradient--pale-ocean) !important;}.has-electric-grass-gradient-background{background: var(--wp--preset--gradient--electric-grass) !important;}.has-midnight-gradient-background{background: var(--wp--preset--gradient--midnight) !important;}.has-vertical-secondary-to-tertiary-gradient-background{background: var(--wp--preset--gradient--vertical-secondary-to-tertiary) !important;}.has-vertical-secondary-to-background-gradient-background{background: var(--wp--preset--gradient--vertical-secondary-to-background) !important;}.has-vertical-tertiary-to-background-gradient-background{background: var(--wp--preset--gradient--vertical-tertiary-to-background) !important;}.has-diagonal-primary-to-foreground-gradient-background{background: var(--wp--preset--gradient--diagonal-primary-to-foreground) !important;}.has-diagonal-secondary-to-background-gradient-background{background: var(--wp--preset--gradient--diagonal-secondary-to-background) !important;}.has-diagonal-background-to-secondary-gradient-background{background: var(--wp--preset--gradient--diagonal-background-to-secondary) !important;}.has-diagonal-tertiary-to-background-gradient-background{background: var(--wp--preset--gradient--diagonal-tertiary-to-background) !important;}.has-diagonal-background-to-tertiary-gradient-background{background: var(--wp--preset--gradient--diagonal-background-to-tertiary) !important;}.has-small-font-size{font-size: var(--wp--preset--font-size--small) !important;}.has-medium-font-size{font-size: var(--wp--preset--font-size--medium) !important;}.has-large-font-size{font-size: var(--wp--preset--font-size--large) !important;}.has-x-large-font-size{font-size: var(--wp--preset--font-size--x-large) !important;}.has-system-font-font-family{font-family: var(--wp--preset--font-family--system-font) !important;}.has-source-serif-pro-font-family{font-family: var(--wp--preset--font-family--source-serif-pro) !important;}", "no");
INSERT INTO `wp_options` VALUES("221", "_transient_timeout_global_styles_svg_filters_twentytwentytwo", "1680374692", "no");
INSERT INTO `wp_options` VALUES("222", "_transient_global_styles_svg_filters_twentytwentytwo", "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-dark-grayscale\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncG type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncB type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-grayscale\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 1\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0 1\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-purple-yellow\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.54901960784314 0.98823529411765\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0.71764705882353 0.25490196078431\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-blue-red\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 1\" /><feFuncG type=\"table\" tableValues=\"0 0.27843137254902\" /><feFuncB type=\"table\" tableValues=\"0.5921568627451 0.27843137254902\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-midnight\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 0\" /><feFuncG type=\"table\" tableValues=\"0 0.64705882352941\" /><feFuncB type=\"table\" tableValues=\"0 1\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-magenta-yellow\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.78039215686275 1\" /><feFuncG type=\"table\" tableValues=\"0 0.94901960784314\" /><feFuncB type=\"table\" tableValues=\"0.35294117647059 0.47058823529412\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-purple-green\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.65098039215686 0.40392156862745\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0.44705882352941 0.4\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-blue-orange\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.098039215686275 1\" /><feFuncG type=\"table\" tableValues=\"0 0.66274509803922\" /><feFuncB type=\"table\" tableValues=\"0.84705882352941 0.41960784313725\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-foreground-and-background\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 1\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0 1\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-foreground-and-secondary\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 1\" /><feFuncG type=\"table\" tableValues=\"0 0.88627450980392\" /><feFuncB type=\"table\" tableValues=\"0 0.78039215686275\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-foreground-and-tertiary\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 0.96470588235294\" /><feFuncG type=\"table\" tableValues=\"0 0.96470588235294\" /><feFuncB type=\"table\" tableValues=\"0 0.96470588235294\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-primary-and-background\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.10196078431373 1\" /><feFuncG type=\"table\" tableValues=\"0.27058823529412 1\" /><feFuncB type=\"table\" tableValues=\"0.28235294117647 1\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-primary-and-secondary\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.10196078431373 1\" /><feFuncG type=\"table\" tableValues=\"0.27058823529412 0.88627450980392\" /><feFuncB type=\"table\" tableValues=\"0.28235294117647 0.78039215686275\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-primary-and-tertiary\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.10196078431373 0.96470588235294\" /><feFuncG type=\"table\" tableValues=\"0.27058823529412 0.96470588235294\" /><feFuncB type=\"table\" tableValues=\"0.28235294117647 0.96470588235294\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg>", "no");
INSERT INTO `wp_options` VALUES("226", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:57:\"https://downloads.wordpress.org/release/wordpress-6.2.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:57:\"https://downloads.wordpress.org/release/wordpress-6.2.zip\";s:10:\"no_content\";s:68:\"https://downloads.wordpress.org/release/wordpress-6.2-no-content.zip\";s:11:\"new_bundled\";s:69:\"https://downloads.wordpress.org/release/wordpress-6.2-new-bundled.zip\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:3:\"6.2\";s:7:\"version\";s:3:\"6.2\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"6.1\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1680379556;s:15:\"version_checked\";s:3:\"6.2\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("227", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1680379557;s:7:\"checked\";a:4:{s:12:\"twentytwenty\";s:3:\"2.0\";s:15:\"twentytwentyone\";s:3:\"1.6\";s:17:\"twentytwentythree\";s:3:\"1.0\";s:15:\"twentytwentytwo\";s:3:\"1.2\";}s:8:\"response\";a:4:{s:12:\"twentytwenty\";a:6:{s:5:\"theme\";s:12:\"twentytwenty\";s:11:\"new_version\";s:3:\"2.2\";s:3:\"url\";s:42:\"https://wordpress.org/themes/twentytwenty/\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/theme/twentytwenty.2.2.zip\";s:8:\"requires\";s:3:\"4.7\";s:12:\"requires_php\";s:5:\"5.2.4\";}s:15:\"twentytwentyone\";a:6:{s:5:\"theme\";s:15:\"twentytwentyone\";s:11:\"new_version\";s:3:\"1.8\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentyone/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentyone.1.8.zip\";s:8:\"requires\";s:3:\"5.3\";s:12:\"requires_php\";s:3:\"5.6\";}s:17:\"twentytwentythree\";a:6:{s:5:\"theme\";s:17:\"twentytwentythree\";s:11:\"new_version\";s:3:\"1.1\";s:3:\"url\";s:47:\"https://wordpress.org/themes/twentytwentythree/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/theme/twentytwentythree.1.1.zip\";s:8:\"requires\";s:3:\"6.1\";s:12:\"requires_php\";s:3:\"5.6\";}s:15:\"twentytwentytwo\";a:6:{s:5:\"theme\";s:15:\"twentytwentytwo\";s:11:\"new_version\";s:3:\"1.4\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentytwo/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentytwo.1.4.zip\";s:8:\"requires\";s:3:\"5.9\";s:12:\"requires_php\";s:3:\"5.6\";}}s:9:\"no_update\";a:0:{}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("229", "_site_transient_timeout_php_check_ecfa741d55b7b1a85bd61a2307877c8c", "1680979449", "no");
INSERT INTO `wp_options` VALUES("230", "_site_transient_php_check_ecfa741d55b7b1a85bd61a2307877c8c", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:6:\"5.6.20\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("231", "_site_transient_timeout_browser_723c51263c80f6be79fa21191ee0b387", "1680980182", "no");
INSERT INTO `wp_options` VALUES("232", "_site_transient_browser_723c51263c80f6be79fa21191ee0b387", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:9:\"111.0.0.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("233", "_site_transient_timeout_community-events-d41d8cd98f00b204e9800998ecf8427e", "1680418583", "no");
INSERT INTO `wp_options` VALUES("234", "_site_transient_community-events-d41d8cd98f00b204e9800998ecf8427e", "a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";b:0;}s:6:\"events\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("235", "_transient_timeout_feed_9bbd59226dc36b9b26cd43f15694c5c3", "1680418583", "no");
INSERT INTO `wp_options` VALUES("236", "_transient_feed_9bbd59226dc36b9b26cd43f15694c5c3", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:52:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"The latest news about WordPress and the WordPress community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 30 Mar 2023 19:15:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=6.3-alpha-55615\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://s.w.org/favicon.ico?2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"WordPress 6.2 “Dolphy”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"https://wordpress.org/news/2023/03/dolphy/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 29 Mar 2023 18:57:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14659\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:202:\"WordPress 6.2 \"Dolphy\" is here! Named for Eric Allen Dolphy Jr. the celebrated jazz woodwind player and ensemblist. Over 600 contributors made this release possible. Download WordPress 6.2 Dolphy today.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:63133:\"\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/inline-image-x2-1.png?resize=1024%2C683&#038;ssl=1\" alt=\"WordPress 6.2 &quot;Dolphy&quot;\" class=\"wp-image-14732\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/03/inline-image-x2-1.png?resize=1024%2C683&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/03/inline-image-x2-1.png?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/03/inline-image-x2-1.png?resize=768%2C512&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/03/inline-image-x2-1.png?resize=1536%2C1024&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/03/inline-image-x2-1.png?resize=2048%2C1365&amp;ssl=1 2048w, https://i0.wp.com/wordpress.org/news/files/2023/03/inline-image-x2-1.png?w=3000&amp;ssl=1 3000w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Say hello to WordPress 6.2 “Dolphy,&#8221; named for the woodwind jazz wiz, the multi-instrumentalist—<a href=\"https://en.wikipedia.org/wiki/Eric_Dolphy\">Eric Allan Dolphy Jr</a>. Dolphy is acclaimed for having brought the bass clarinet to prominence in the jazz scene, creating a place for the flute and extending the lexicon of the alto saxophone. In a career that spanned continents, his artistry was at the forefront of pushing improvisational boundaries, ensemble work, and partnerships with well-respected artists like Charles Mingus and John Coltrane.</p>\n\n\n\n<p>This latest version of WordPress reimagines your site editing experience, introduces more ways to style your site, and offers a new distraction-free way to write. Discover improvements that give you more control and freedom to express your creative vision. There’s something for everyone, whether you’re a content creator, developer, site builder, or designer. Let the <a href=\"https://open.spotify.com/artist/6rxxu32JCGDpKKMPHxnSJp?si=UEYO5JU5TXyEeINuuhN6aQ\">music of Eric Dolphy</a> delight you as you take in all that 6.2 has to offer.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://wordpress.org/wordpress-6.2.zip\">Download WordPress 6.2 today</a></div>\n</div>\n\n\n\n<p>WordPress 6.2 is the first major release of 2023, covering over 900 enhancements and fixes. It’s also a transition point in the WordPress project’s <a href=\"https://wordpress.org/about/roadmap/\">development roadmap</a>, shifting focus from customization to <a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">early exploration of workflows and collaboration</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">What’s inside</h2>\n\n\n\n<h4 class=\"wp-block-heading\">Meet&nbsp;the reimagined Site Editor</h4>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Site-Editor.png?resize=536%2C536&#038;ssl=1\" alt=\"Image inlay of the reimagined Site Editor. WordPress 6.2 Dolphy\" class=\"wp-image-14661\" width=\"536\" height=\"536\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Site-Editor.png?w=872&amp;ssl=1 872w, https://i0.wp.com/wordpress.org/news/files/2023/03/Site-Editor.png?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/03/Site-Editor.png?resize=150%2C150&amp;ssl=1 150w, https://i0.wp.com/wordpress.org/news/files/2023/03/Site-Editor.png?resize=768%2C768&amp;ssl=1 768w\" sizes=\"(max-width: 536px) 100vw, 536px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Ready for you to dive in and explore: 6.2 is your invitation to discover what the next generation of WordPress—and block themes—can do.&nbsp;</p>\n\n\n\n<p>Now out of beta, the Site Editor has an updated interface, giving you a new way to interact with your entire site. Explore full previews of your templates and template parts, then jump in and get to editing your site from wherever you choose.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Manage menus in more ways with the Navigation block</h4>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Navigation.png?resize=532%2C532&#038;ssl=1\" alt=\"Image inlay of menu management from the Navigation block\" class=\"wp-image-14662\" width=\"532\" height=\"532\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Navigation.png?w=872&amp;ssl=1 872w, https://i0.wp.com/wordpress.org/news/files/2023/03/Navigation.png?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/03/Navigation.png?resize=150%2C150&amp;ssl=1 150w, https://i0.wp.com/wordpress.org/news/files/2023/03/Navigation.png?resize=768%2C768&amp;ssl=1 768w\" sizes=\"(max-width: 532px) 100vw, 532px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Add, remove, and reorder menu items faster—with a new sidebar experience that makes editing your site’s navigation easier.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Discover a smoother experience for the Block Inserter</h4>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Patterns-Inserter.png?resize=536%2C536&#038;ssl=1\" alt=\"Image inlay of the Block Inserter\" class=\"wp-image-14663\" width=\"536\" height=\"536\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Patterns-Inserter.png?w=872&amp;ssl=1 872w, https://i0.wp.com/wordpress.org/news/files/2023/03/Patterns-Inserter.png?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/03/Patterns-Inserter.png?resize=150%2C150&amp;ssl=1 150w, https://i0.wp.com/wordpress.org/news/files/2023/03/Patterns-Inserter.png?resize=768%2C768&amp;ssl=1 768w\" sizes=\"(max-width: 536px) 100vw, 536px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>A refreshed design gives you easier access to the content you need. Use the Media tab to quickly drag and drop content from your existing Media Library. Find patterns faster with a split view that lets you navigate categories and see previews all at once.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Find the controls you want when you need them</h4>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Settings-and-Styles-Tabs.png?resize=540%2C540&#038;ssl=1\" alt=\"Tab between settings and styles in the block settings sidebar\" class=\"wp-image-14664\" width=\"540\" height=\"540\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Settings-and-Styles-Tabs.png?w=872&amp;ssl=1 872w, https://i0.wp.com/wordpress.org/news/files/2023/03/Settings-and-Styles-Tabs.png?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/03/Settings-and-Styles-Tabs.png?resize=150%2C150&amp;ssl=1 150w, https://i0.wp.com/wordpress.org/news/files/2023/03/Settings-and-Styles-Tabs.png?resize=768%2C768&amp;ssl=1 768w\" sizes=\"(max-width: 540px) 100vw, 540px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Your block settings sidebar is better organized with tabs for Settings and Styles. So the tools you need are easy to identify and access.&nbsp;</p>\n\n\n\n<h4 class=\"wp-block-heading\">Build faster with headers and footers for block themes</h4>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Block-themes.png?resize=534%2C534&#038;ssl=1\" alt=\"\" class=\"wp-image-14671\" width=\"534\" height=\"534\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Block-themes.png?w=872&amp;ssl=1 872w, https://i0.wp.com/wordpress.org/news/files/2023/03/Block-themes.png?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/03/Block-themes.png?resize=150%2C150&amp;ssl=1 150w, https://i0.wp.com/wordpress.org/news/files/2023/03/Block-themes.png?resize=768%2C768&amp;ssl=1 768w\" sizes=\"(max-width: 534px) 100vw, 534px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Discover a new collection of header and footer patterns. Use them with any block theme as a quick, high-quality starting point for your site’s templates.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Explore Openverse media right from the Editor</h4>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Openverse.png?resize=544%2C544&#038;ssl=1\" alt=\"\" class=\"wp-image-14670\" width=\"544\" height=\"544\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Openverse.png?w=872&amp;ssl=1 872w, https://i0.wp.com/wordpress.org/news/files/2023/03/Openverse.png?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/03/Openverse.png?resize=150%2C150&amp;ssl=1 150w, https://i0.wp.com/wordpress.org/news/files/2023/03/Openverse.png?resize=768%2C768&amp;ssl=1 768w\" sizes=\"(max-width: 544px) 100vw, 544px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Openverse’s library catalogs over 700 million+ free, openly licensed stock images and audio—and now it’s directly integrated into the WordPress experience through the Inserter.&nbsp;</p>\n\n\n\n<h4 class=\"wp-block-heading\">Focus on writing with Distraction Free mode</h4>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Distraction-Free.png?resize=542%2C542&#038;ssl=1\" alt=\"\" class=\"wp-image-14665\" width=\"542\" height=\"542\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Distraction-Free.png?w=872&amp;ssl=1 872w, https://i0.wp.com/wordpress.org/news/files/2023/03/Distraction-Free.png?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/03/Distraction-Free.png?resize=150%2C150&amp;ssl=1 150w, https://i0.wp.com/wordpress.org/news/files/2023/03/Distraction-Free.png?resize=768%2C768&amp;ssl=1 768w\" sizes=\"(max-width: 542px) 100vw, 542px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>For those times you want to be alone with your ideas. You can now hide all your panels and controls, leaving you free to bring your content to life.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Meet the new Style Book</h4>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"560\" height=\"560\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Style-Book.png?resize=560%2C560&#038;ssl=1\" alt=\"\" class=\"wp-image-14667\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Style-Book.png?w=560&amp;ssl=1 560w, https://i0.wp.com/wordpress.org/news/files/2023/03/Style-Book.png?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/03/Style-Book.png?resize=150%2C150&amp;ssl=1 150w\" sizes=\"(max-width: 560px) 100vw, 560px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Get a complete overview of how every block in your site’s library looks. All in one place, all at a glance, directly in the Site Editor.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Copy and paste styles</h4>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"560\" height=\"560\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Copy-_-Paste.png?resize=560%2C560&#038;ssl=1\" alt=\"\" class=\"wp-image-14666\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Copy-_-Paste.png?w=560&amp;ssl=1 560w, https://i0.wp.com/wordpress.org/news/files/2023/03/Copy-_-Paste.png?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/03/Copy-_-Paste.png?resize=150%2C150&amp;ssl=1 150w\" sizes=\"(max-width: 560px) 100vw, 560px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Perfect the design on one type of block, then copy and paste those styles to other blocks to get just the look you want.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Custom CSS</h4>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"560\" height=\"560\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Custom-CSS.png?resize=560%2C560&#038;ssl=1\" alt=\"\" class=\"wp-image-14669\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Custom-CSS.png?w=560&amp;ssl=1 560w, https://i0.wp.com/wordpress.org/news/files/2023/03/Custom-CSS.png?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/03/Custom-CSS.png?resize=150%2C150&amp;ssl=1 150w\" sizes=\"(max-width: 560px) 100vw, 560px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Power up your site any way you wish with design tools and custom CSS for another level of control over your site’s look and feel for maximum creativity and artistry in your designs.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Other highlights in 6.2</h3>\n\n\n\n<ul>\n<li><strong>Sticky positioning</strong>: Choose to keep top-level group blocks fixed to the top of a page as visitors scroll.</li>\n\n\n\n<li><strong>Importing widgets</strong>: Options to import your favorite widgets from Classic themes to Block themes.</li>\n\n\n\n<li><strong>Local fonts in themes</strong>: Default WordPress themes offer better privacy with Google Fonts now included.</li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Performance highlights</h3>\n\n\n\n<p>“Dolphy” includes several impressive performance improvements. You’ll note overall faster load times for block themes of 14 to 18%, and for classic themes, speed increases of 2 to 5%. Server-side performance is also significantly boosted, with an increase of 17 to 23% for block themes and 3 to 5% for classic themes, 3 to 5%. The performance team is dedicated to these kinds of improvements. You can learn more about their work by following the Making WordPress blog using the <a href=\"https://make.wordpress.org/core/tag/performance/\">#performance hashtag</a>.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"></blockquote>\n\n\n\n<h2 class=\"wp-block-heading\">Learn more about WordPress 6.2</h2>\n\n\n\n<p>Explore <a href=\"https://learn.wordpress.org/workshops/\">Learn WordPress</a> for quick how-to videos, courses, and other resources for the latest features in WordPress. Or join a free <a href=\"https://learn.wordpress.org/social-learning/\">live interactive online workshop</a>.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a> for detailed developer notes to help you build with WordPress and get the most out of the latest release. Read the <a href=\"https://wordpress.org/documentation/wordpress-version/version-6-2/\">6.2 release notes</a> for additional technical details about this release, including installation information, updates, fixes, file changes, and more.</p>\n\n\n\n<h2 class=\"wp-block-heading\">The 6.2 release squad</h2>\n\n\n\n<p>6.2 is made possible by the many folks who have enthusiastically helped keep the release on track and moving forward:</p>\n\n\n\n<ul>\n<li>Release Lead: <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a></li>\n\n\n\n<li>Release Coordinators: <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a>, <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a></li>\n\n\n\n<li>Core Tech Co-Leads: <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a>, <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a></li>\n\n\n\n<li>Editor Tech Co-Leads: <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a>, <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a></li>\n\n\n\n<li>Core Triage Co-Leads: <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a>, <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a></li>\n\n\n\n<li>Editor Triage Co-Leads: <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a>, <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a></li>\n\n\n\n<li>Design Lead: <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a></li>\n\n\n\n<li>Documentation Co-Leads: <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a>, <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseet</a>, <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a>, <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a></li>\n\n\n\n<li>Marketing &amp; Communications Co-Leads: <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a>, <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a>, <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a></li>\n\n\n\n<li>Test Co-Leads: <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a>, <a href=\"https://profiles.wordpress.org/adeltahri/\">Adel Tahri</a></li>\n\n\n\n<li>Performance Lead: <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Thank you, contributors</h2>\n\n\n\n<p>WordPress 6.2 couldn’t be here without the countless effort and passion of more than 600 contributors in at least 50 countries. A special thank you to the 178 new contributors who joined a release for the first time. Their collaboration helped deliver hundreds of enhancements and fixes, ensuring a stable release for all—a testament to the power and capability of the WordPress community.</p>\n\n\n\n<p class=\"is-style-wporg-props-long alignfull\"><a href=\"https://profiles.wordpress.org/10upsimon/\">10upsimon</a> · <a href=\"https://profiles.wordpress.org/254volkan/\">254volkan</a> · <a href=\"https://profiles.wordpress.org/mercime/\">@mercime</a> · <a href=\"https://profiles.wordpress.org/aaroncampbell/\">Aaron D. Campbell</a> · <a href=\"https://profiles.wordpress.org/aeg0125/\">Aaron Graham</a> · <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a> · <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a> · <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> · <a href=\"https://profiles.wordpress.org/abidhasan112/\">Abid Hasan</a> · <a href=\"https://profiles.wordpress.org/abitofmind/\">abitofmind</a> · <a href=\"https://profiles.wordpress.org/abtop/\">ABTOP</a> · <a href=\"https://profiles.wordpress.org/ace100/\">ace100</a> · <a href=\"https://profiles.wordpress.org/bosconiandynamics/\">Adam Bosco</a> · <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a> · <a href=\"https://profiles.wordpress.org/admwgn/\">Adam Wiltgen</a> · <a href=\"https://profiles.wordpress.org/adeltahri/\">Adel Tahri</a> · <a href=\"https://profiles.wordpress.org/adhun/\">Adhun Anand</a> · <a href=\"https://profiles.wordpress.org/adityaarora010196/\">adityaarora010196</a> · <a href=\"https://profiles.wordpress.org/aduth/\">aduth</a> · <a href=\"https://profiles.wordpress.org/afshanadiya/\">Afshana Diya</a> · <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a> · <a href=\"https://profiles.wordpress.org/ajmaurya/\">Ajay Maurya</a> · <a href=\"https://profiles.wordpress.org/ajayver/\">ajayver</a> · <a href=\"https://profiles.wordpress.org/seakashdiu/\">Akash Mia</a> · <a href=\"https://profiles.wordpress.org/wildworks/\">Aki Hamano</a> · <a href=\"https://profiles.wordpress.org/schlessera/\">Alain Schlesser</a> · <a href=\"https://profiles.wordpress.org/alanjacobmathew/\">Alan Jacob Mathew</a> · <a href=\"https://profiles.wordpress.org/albarin/\">albarin</a> · <a href=\"https://profiles.wordpress.org/alberuni-azad/\">Alberuni Azad.</a> · <a href=\"https://profiles.wordpress.org/alecgeatches/\">alecgeatches</a> · <a href=\"https://profiles.wordpress.org/aleksganev/\">Aleks Ganev</a> · <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a> · <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a> · <a href=\"https://profiles.wordpress.org/alexstine/\">Alex Stine</a> · <a href=\"https://profiles.wordpress.org/alvastar/\">alvastar</a> · <a href=\"https://profiles.wordpress.org/alvitazwar052/\">Alvi Tazwar</a> · <a href=\"https://profiles.wordpress.org/amin7/\">amin</a> · <a href=\"https://profiles.wordpress.org/amirrezatm/\">amirrezatm</a> · <a href=\"https://profiles.wordpress.org/amitbarai013/\">Amit Barai Alit</a> · <a href=\"https://profiles.wordpress.org/paulamit/\">Amit Paul</a> · <a href=\"https://profiles.wordpress.org/anantajitjg/\">Anantajit JG</a> · <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a> · <a href=\"https://profiles.wordpress.org/andreaboe/\">andreaboe</a> · <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a> · <a href=\"https://profiles.wordpress.org/apmatthe/\">Andrew Matthews</a> · <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a> · <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a> · <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a> · <a href=\"https://profiles.wordpress.org/rarst/\">Andrey \"Rarst\" Savchenko</a> · <a href=\"https://profiles.wordpress.org/oandregal/\">André</a> · <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a> · <a href=\"https://profiles.wordpress.org/apeatling/\">Andy Peatling</a> · <a href=\"https://profiles.wordpress.org/aniketpatel/\">Aniket Patel</a> · <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a> · <a href=\"https://profiles.wordpress.org/ankitmaru/\">Ankit Panchal</a> · <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> · <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a> · <a href=\"https://profiles.wordpress.org/ahortin/\">Anthony Hortin</a> · <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a> · <a href=\"https://profiles.wordpress.org/antonyagrios/\">Antony Agrios</a> · <a href=\"https://profiles.wordpress.org/aparnajl/\">Aparna Adhun</a> · <a href=\"https://profiles.wordpress.org/arrasel403/\">AR Rasel</a> · <a href=\"https://profiles.wordpress.org/arafatjamil01/\">Arafat Jamil</a> · <a href=\"https://profiles.wordpress.org/aravindajith/\">Aravind Ajith</a> · <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a> · <a href=\"https://profiles.wordpress.org/arnolp/\">arnolp</a> · <a href=\"https://profiles.wordpress.org/artemiosans/\">Artemio Morales</a> · <a href=\"https://profiles.wordpress.org/arthur791004/\">Arthur Chu</a> · <a href=\"https://profiles.wordpress.org/artz91/\">ArtZ91</a> · <a href=\"https://profiles.wordpress.org/aryamaaru/\">Arun</a> · <a href=\"https://profiles.wordpress.org/mrasharirfan/\">Ashar Irfan</a> · <a href=\"https://profiles.wordpress.org/ashrafulsarkar/\">Ashraful Sarkar Naiem</a> · <a href=\"https://profiles.wordpress.org/nmutua/\">Autumn</a> · <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a> · <a href=\"https://profiles.wordpress.org/azurseisme/\">azurseisme</a> · <a href=\"https://profiles.wordpress.org/barryceelen/\">Barry Ceelen</a> · <a href=\"https://profiles.wordpress.org/bart/\">Bart</a> · <a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a> · <a href=\"https://profiles.wordpress.org/bedas/\">Beda</a> · <a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a> · <a href=\"https://profiles.wordpress.org/benish74/\">benish74</a> · <a href=\"https://profiles.wordpress.org/benjgrolleau/\">Benjamin Grolleau</a> · <a href=\"https://profiles.wordpress.org/benoitchantre/\">Benoit Chantre</a> · <a href=\"https://profiles.wordpress.org/kau-boy/\">Bernhard Kau</a> · <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernie Reiter</a> · <a href=\"https://profiles.wordpress.org/mxbclang/\">Bethany Chobanian Lang</a> · <a href=\"https://profiles.wordpress.org/bgin/\">bgin</a> · <a href=\"https://profiles.wordpress.org/albatross10/\">Bhavik Kalpesh</a> · <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson (birgire)</a> · <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a> · <a href=\"https://profiles.wordpress.org/bjorn2404/\">bjorn2404</a> · <a href=\"https://profiles.wordpress.org/bogdanungureanu/\">BogdanUngureanu</a> · <a href=\"https://profiles.wordpress.org/bonjour52/\">bonjour52</a> · <a href=\"https://profiles.wordpress.org/bookwyrm/\">bookwyrm</a> · <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a> · <a href=\"https://profiles.wordpress.org/bjorsch/\">Brad Jorsch</a> · <a href=\"https://profiles.wordpress.org/bradyvercher/\">Brady Vercher</a> · <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a> · <a href=\"https://profiles.wordpress.org/bgoewert/\">Brennan Goewert</a> · <a href=\"https://profiles.wordpress.org/bgardner/\">Brian Gardner</a> · <a href=\"https://profiles.wordpress.org/bronsonquick/\">Bronson Quick</a> · <a href=\"https://profiles.wordpress.org/brookemk/\">Brooke Kaminski</a> · <a href=\"https://profiles.wordpress.org/brookedot/\">Brooke.</a> · <a href=\"https://profiles.wordpress.org/buutqn/\">buutqn</a> · <a href=\"https://profiles.wordpress.org/cameronjonesweb/\">Cameron Jones</a> · <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> · <a href=\"https://profiles.wordpress.org/carlosgprim/\">Carlos Garcia Prim</a> · <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> · <a href=\"https://profiles.wordpress.org/shireling/\">Chad Chadbourne</a> · <a href=\"https://profiles.wordpress.org/critterverse/\">Channing Ritter</a> · <a href=\"https://profiles.wordpress.org/mcaskill/\">Chauncey McAskill</a> · <a href=\"https://profiles.wordpress.org/chintan1896/\">Chintan hingrajiya</a> · <a href=\"https://profiles.wordpress.org/chiragrathod103/\">Chirag Rathod</a> · <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a> · <a href=\"https://profiles.wordpress.org/chocofc1/\">chocofc1</a> · <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a> · <a href=\"https://profiles.wordpress.org/chrisbaltazar/\">chrisbaltazar</a> · <a href=\"https://profiles.wordpress.org/apermo/\">Christoph Daum</a> · <a href=\"https://profiles.wordpress.org/chrystl/\">Chrystl</a> · <a href=\"https://profiles.wordpress.org/ckanderson22/\">ckanderson22</a> · <a href=\"https://profiles.wordpress.org/claytoncollie/\">Clayton Collie</a> · <a href=\"https://profiles.wordpress.org/cnspecialcolor/\">cnspecialcolor</a> · <a href=\"https://profiles.wordpress.org/codesdnc/\">codesdnc</a> · <a href=\"https://profiles.wordpress.org/codingchicken/\">Coding Chicken</a> · <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a> · <a href=\"https://profiles.wordpress.org/conner_bw/\">conner_bw</a> · <a href=\"https://profiles.wordpress.org/copons/\">Copons</a> · <a href=\"https://profiles.wordpress.org/corentingautier/\">corentingautier</a> · <a href=\"https://profiles.wordpress.org/coreyw/\">Corey Worrell</a> · <a href=\"https://profiles.wordpress.org/cbirdsong/\">Cory Birdsong</a> · <a href=\"https://profiles.wordpress.org/craigfrancis/\">Craig Francis</a> · <a href=\"https://profiles.wordpress.org/craiglpeters/\">craiglpeters</a> · <a href=\"https://profiles.wordpress.org/geisthanen/\">Creative Andrew</a> · <a href=\"https://profiles.wordpress.org/mitogh/\">Crisoforo Gaspar</a> · <a href=\"https://profiles.wordpress.org/cu121/\">Cupid Chakma</a> · <a href=\"https://profiles.wordpress.org/dperonne/\">D.PERONNE</a> · <a href=\"https://profiles.wordpress.org/daisyo/\">Daisy Olsen</a> · <a href=\"https://profiles.wordpress.org/dalirajab/\">dali-rajab</a> · <a href=\"https://profiles.wordpress.org/dalleyne/\">Damien Alleyne</a> · <a href=\"https://profiles.wordpress.org/colorful-tones/\">Damon Cook</a> · <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a> · <a href=\"https://profiles.wordpress.org/wirecat/\">Daniel Johnson</a> · <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a> · <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a> · <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a> · <a href=\"https://profiles.wordpress.org/datagutten/\">datagutten</a> · <a href=\"https://profiles.wordpress.org/davilera/\">David Aguilera</a> · <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a> · <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a> · <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a> · <a href=\"https://profiles.wordpress.org/dgwyer/\">David Gwyer</a> · <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a> · <a href=\"https://profiles.wordpress.org/davefx/\">David Mar&#237;n Carre&#241;o</a> · <a href=\"https://profiles.wordpress.org/dshanske/\">David Shanske</a> · <a href=\"https://profiles.wordpress.org/get_dave/\">David Smith</a> · <a href=\"https://profiles.wordpress.org/davidvongries/\">David Vongries</a> · <a href=\"https://profiles.wordpress.org/dsas/\">Dean Sas</a> · <a href=\"https://profiles.wordpress.org/dennisatyoast/\">Dennis Claassen</a> · <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a> · <a href=\"https://profiles.wordpress.org/derekblank/\">derekblank</a> · <a href=\"https://profiles.wordpress.org/devanshijoshi/\">Devanshi Joshi</a> · <a href=\"https://profiles.wordpress.org/dhusakovic/\">dhusakovic</a> · <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a> · <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a> · <a href=\"https://profiles.wordpress.org/doctorlai/\">doctorlai</a> · <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a> · <a href=\"https://profiles.wordpress.org/donncha/\">Donncha</a> · <a href=\"https://profiles.wordpress.org/drzraf/\">drzraf</a> · <a href=\"https://profiles.wordpress.org/d-signed/\">DSIGNED</a> · <a href=\"https://profiles.wordpress.org/dustinrue/\">dustinrue</a> · <a href=\"https://profiles.wordpress.org/chopinbach/\">Edwin Cromley</a> · <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a> · <a href=\"https://profiles.wordpress.org/emanuelx/\">emanuelx</a> · <a href=\"https://profiles.wordpress.org/manooweb/\">Emmanuel Hesry</a> · <a href=\"https://profiles.wordpress.org/enej/\">Enej Bajgorić</a> · <a href=\"https://profiles.wordpress.org/lopo/\">Enrico Battocchi</a> · <a href=\"https://profiles.wordpress.org/ericlewis/\">Eric Andrew Lewis</a> · <a href=\"https://profiles.wordpress.org/edanzer/\">Erick Danzer</a> · <a href=\"https://profiles.wordpress.org/kebbet/\">Erik Betshammar</a> · <a href=\"https://profiles.wordpress.org/esratpopy/\">Esrat Sultana Popy</a> · <a href=\"https://profiles.wordpress.org/manuilov/\">Eugene M</a> · <a href=\"https://profiles.wordpress.org/eherman24/\">Evan Herman</a> · <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian K&#228;gy</a> · <a href=\"https://profiles.wordpress.org/fosuahmed/\">Faisal Ahmed</a> · <a href=\"https://profiles.wordpress.org/faisal03/\">Faisal Alvi</a> · <a href=\"https://profiles.wordpress.org/fasuto/\">fasuto</a> · <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a> · <a href=\"https://profiles.wordpress.org/felipelavinz/\">Felipe Lav&#237;n</a> · <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a> · <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a> · <a href=\"https://profiles.wordpress.org/mista-flo/\">Florian TIAR</a> · <a href=\"https://profiles.wordpress.org/fpodhorsky/\">fpodhorsky</a> · <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a> · <a href=\"https://profiles.wordpress.org/fcoveram/\">Francisco</a> · <a href=\"https://profiles.wordpress.org/bueltge/\">Frank Bueltge</a> · <a href=\"https://profiles.wordpress.org/franz00/\">franzaurus</a> · <a href=\"https://profiles.wordpress.org/fuadragib/\">Fuad Ragib</a> · <a href=\"https://profiles.wordpress.org/galbaras/\">Gal Baras</a> · <a href=\"https://profiles.wordpress.org/gamecreature/\">gamecreature</a> · <a href=\"https://profiles.wordpress.org/garrett-eclipse/\">Garrett Hyder</a> · <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a> · <a href=\"https://profiles.wordpress.org/soulseekah/\">Gennady Kovshenin</a> · <a href=\"https://profiles.wordpress.org/revgeorge/\">George Hotelling</a> · <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a> · <a href=\"https://profiles.wordpress.org/geriux/\">Gerardo Pacheco</a> · <a href=\"https://profiles.wordpress.org/gisgeo/\">gisgeo</a> · <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a> · <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Zi&#243;łkowski</a> · <a href=\"https://profiles.wordpress.org/grl570810/\">grl570810</a> · <a href=\"https://profiles.wordpress.org/gvgvgvijayan/\">gvgvgvijayan</a> · <a href=\"https://profiles.wordpress.org/hvar/\">H-var</a> · <a href=\"https://profiles.wordpress.org/hakre/\">hakre</a> · <a href=\"https://profiles.wordpress.org/hanshenrik/\">hanshenrik</a> · <a href=\"https://profiles.wordpress.org/hareesh-pillai/\">Hareesh S</a> · <a href=\"https://profiles.wordpress.org/haritpanchal/\">Harit Panchal</a> · <a href=\"https://profiles.wordpress.org/hasanmisbah/\">Hasan Misbah</a> · <a href=\"https://profiles.wordpress.org/hasanuzzamanshamim/\">Hasanuzzaman</a> · <a href=\"https://profiles.wordpress.org/hazdiego/\">Haz</a> · <a href=\"https://profiles.wordpress.org/helen/\">Helen Hou-Sandi</a> · <a href=\"https://profiles.wordpress.org/helgatheviking/\">HelgaTheViking</a> · <a href=\"https://profiles.wordpress.org/ehtmlu/\">Helmut Wandl</a> · <a href=\"https://profiles.wordpress.org/luehrsen/\">Hendrik Luehrsen</a> · <a href=\"https://profiles.wordpress.org/hilayt24/\">Hilay Trivedi</a> · <a href=\"https://profiles.wordpress.org/hiren1094/\">hiren sanja</a> · <a href=\"https://profiles.wordpress.org/patelhitesh/\">Hitesh Patel</a> · <a href=\"https://profiles.wordpress.org/hughiemolloy/\">hughie.molloy</a> · <a href=\"https://profiles.wordpress.org/hugodevos/\">hugodevos</a> · <a href=\"https://profiles.wordpress.org/hztyfoon/\">hztyfoon</a> · <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a> · <a href=\"https://profiles.wordpress.org/polevaultweb/\">Iain Poulson</a> · <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a> · <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a> · <a href=\"https://profiles.wordpress.org/iazel/\">Iazel</a> · <a href=\"https://profiles.wordpress.org/ignatggeorgiev/\">Ignat Georgiev</a> · <a href=\"https://profiles.wordpress.org/imanish003/\">imanish003</a> · <a href=\"https://profiles.wordpress.org/ingeniumed/\">ingeniumed</a> · <a href=\"https://profiles.wordpress.org/innovext/\">Innovext</a> · <a href=\"https://profiles.wordpress.org/inwerpsel/\">inwerpsel</a> · <a href=\"https://profiles.wordpress.org/iqbalrony/\">iqbalrony</a> · <a href=\"https://profiles.wordpress.org/ironprogrammer/\">ironprogrammer</a> · <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a> · <a href=\"https://profiles.wordpress.org/itpathsolutions/\">IT Path Solutions</a> · <a href=\"https://profiles.wordpress.org/ivanjeronimo/\">ivanjeronimo</a> · <a href=\"https://profiles.wordpress.org/jhoffmann/\">j.hoffmann</a> · <a href=\"https://profiles.wordpress.org/jackreichert/\">Jack Reichert</a> · <a href=\"https://profiles.wordpress.org/jaedm97/\">Jaed Mosharraf</a> · <a href=\"https://profiles.wordpress.org/jakariaistauk/\">Jakaria Istauk</a> · <a href=\"https://profiles.wordpress.org/outrankjames/\">James</a> · <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a> · <a href=\"https://profiles.wordpress.org/james-roberts/\">James Roberts</a> · <a href=\"https://profiles.wordpress.org/janthiel/\">Jan Thiel</a> · <a href=\"https://profiles.wordpress.org/janusdev/\">janusdev</a> · <a href=\"https://profiles.wordpress.org/jsnajdr/\">Jarda Snajdr</a> · <a href=\"https://profiles.wordpress.org/ipajen/\">Jarko Piironen</a> · <a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a> · <a href=\"https://profiles.wordpress.org/carazo/\">Javier Carazo</a> · <a href=\"https://profiles.wordpress.org/javiercasares/\">Javier Casares</a> · <a href=\"https://profiles.wordpress.org/jchambo/\">jchambo</a> · <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a> · <a href=\"https://profiles.wordpress.org/jeanphilippegreen/\">Jean-Philippe Green</a> · <a href=\"https://profiles.wordpress.org/jeawhanlee/\">jeawhanlee</a> · <a href=\"https://profiles.wordpress.org/jeffmatson/\">Jeff Matson</a> · <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a> · <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeffrey Paul</a> · <a href=\"https://profiles.wordpress.org/jmdodd/\">Jennifer M. Dodd</a> · <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a> · <a href=\"https://profiles.wordpress.org/jeherve/\">Jeremy Herve</a> · <a href=\"https://profiles.wordpress.org/lobeless14/\">Jeremy Lind</a> · <a href=\"https://profiles.wordpress.org/jeryj/\">jeryj</a> · <a href=\"https://profiles.wordpress.org/luminuu/\">Jessica Lyschik</a> · <a href=\"https://profiles.wordpress.org/jhned/\">jhned</a> · <a href=\"https://profiles.wordpress.org/jigar-bhanushali/\">jigar bhanushali</a> · <a href=\"https://profiles.wordpress.org/jipmoors/\">Jip Moors</a> · <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a> · <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a> · <a href=\"https://profiles.wordpress.org/joelmadigan/\">joelmadigan</a> · <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a> · <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> · <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a> · <a href=\"https://profiles.wordpress.org/johnwatkins0/\">John Watkins</a> · <a href=\"https://profiles.wordpress.org/jokerrs/\">Jokerrs</a> · <a href=\"https://profiles.wordpress.org/jb510/\">Jon Brown</a> · <a href=\"https://profiles.wordpress.org/psykro/\">Jonathan Bossenger</a> · <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> · <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a> · <a href=\"https://profiles.wordpress.org/jongycastillo/\">Jong</a> · <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a> · <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a> · <a href=\"https://profiles.wordpress.org/jornp/\">jornp</a> · <a href=\"https://profiles.wordpress.org/dunhakdis/\">Joseph G.</a> · <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden</a> · <a href=\"https://profiles.wordpress.org/joshuatf/\">joshuatf</a> · <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a> · <a href=\"https://profiles.wordpress.org/jsh4/\">jsh4</a> · <a href=\"https://profiles.wordpress.org/juanfra/\">Juan Aldasoro</a> · <a href=\"https://profiles.wordpress.org/juanmaguitar/\">JuanMa Garrido</a> · <a href=\"https://profiles.wordpress.org/juhise/\">Juhi Saxena</a> · <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a> · <a href=\"https://profiles.wordpress.org/juliobox/\">Julio Potier</a> · <a href=\"https://profiles.wordpress.org/justinahinon/\">Justin Ahinon</a> · <a href=\"https://profiles.wordpress.org/greenshady/\">Justin Tadlock</a> · <a href=\"https://profiles.wordpress.org/welenofsky/\">Justin Welenofsky</a> · <a href=\"https://profiles.wordpress.org/justlevine/\">justlevine</a> · <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a> · <a href=\"https://profiles.wordpress.org/kacper3355/\">kacper3355</a> · <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a> · <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a> · <a href=\"https://profiles.wordpress.org/kajalgohel/\">Kajal Gohel</a> · <a href=\"https://profiles.wordpress.org/kaneva/\">kaneva</a> · <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a> · <a href=\"https://profiles.wordpress.org/zoonini/\">Kathryn P.</a> · <a href=\"https://profiles.wordpress.org/kkoppenhaver/\">Keanan Koppenhaver</a> · <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/kellychoffman/\">Kelly Hoffman</a> · <a href=\"https://profiles.wordpress.org/kbat82/\">Kevin Batdorf</a> · <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> · <a href=\"https://profiles.wordpress.org/obenland/\">Konstantin Obenland</a> · <a href=\"https://profiles.wordpress.org/konyoldeath/\">konyoldeath</a> · <a href=\"https://profiles.wordpress.org/kowsar89/\">Kowsar Hossain</a> · <a href=\"https://profiles.wordpress.org/krunal265/\">Krunal Bhimajiyani</a> · <a href=\"https://profiles.wordpress.org/krupalpanchal/\">Krupal Panchal</a> · <a href=\"https://profiles.wordpress.org/kmadhak/\">Kunal Madhak</a> · <a href=\"https://profiles.wordpress.org/lanacodes/\">Lana Codes</a> · <a href=\"https://profiles.wordpress.org/larsmqller/\">larsmqller</a> · <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a> · <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a> · <a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a> · <a href=\"https://profiles.wordpress.org/lenasterg/\">Lena Stergatou</a> · <a href=\"https://profiles.wordpress.org/leonidasmilossis/\">Leo Milo</a> · <a href=\"https://profiles.wordpress.org/lifeboat/\">lifeboat</a> · <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a> · <a href=\"https://profiles.wordpress.org/lkraav/\">lkraav</a> · <a href=\"https://profiles.wordpress.org/webaxones/\">Lo&#239;c Antignac</a> · <a href=\"https://profiles.wordpress.org/thelovekesh/\">Lovekesh Kumar</a> · <a href=\"https://profiles.wordpress.org/dreadlox/\">Lox</a> · <a href=\"https://profiles.wordpress.org/lozula/\">lozula</a> · <a href=\"https://profiles.wordpress.org/lucius0101/\">lucius0101</a> · <a href=\"https://profiles.wordpress.org/lucymtc/\">Lucy Tomas</a> · <a href=\"https://profiles.wordpress.org/gigitux/\">Luigi</a> · <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a> · <a href=\"https://profiles.wordpress.org/pyrobd/\">Lukman Nakib</a> · <a href=\"https://profiles.wordpress.org/pagelab/\">M&#225;rcio Duarte</a> · <a href=\"https://profiles.wordpress.org/mrdollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/madhudollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a> · <a href=\"https://profiles.wordpress.org/mahbubshovan/\">Mahbub Shovan</a> · <a href=\"https://profiles.wordpress.org/mahekkalola/\">Mahek Kalola</a> · <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a> · <a href=\"https://profiles.wordpress.org/manojkpatil/\">Manoj Patil</a> · <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">Marcelo de Moraes Serpa</a> · <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a> · <a href=\"https://profiles.wordpress.org/marekdedic/\">Marek Dědič</a> · <a href=\"https://profiles.wordpress.org/chaton666/\">Marie Comet</a> · <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a> · <a href=\"https://profiles.wordpress.org/santosguillamot/\">Mario Santos</a> · <a href=\"https://profiles.wordpress.org/marissamakes/\">Marissa Matthews</a> · <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a> · <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a> · <a href=\"https://profiles.wordpress.org/markoserb/\">Marko Ivanovic</a> · <a href=\"https://profiles.wordpress.org/marksabbath/\">marksabbath</a> · <a href=\"https://profiles.wordpress.org/flootr/\">Markus</a> · <a href=\"https://profiles.wordpress.org/mkox/\">Markus Kosmal</a> · <a href=\"https://profiles.wordpress.org/mhkuu/\">Martijn van der Klis</a> · <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a> · <a href=\"https://profiles.wordpress.org/matclayton/\">matclayton</a> · <a href=\"https://profiles.wordpress.org/wetah/\">Mateus Machado Luna</a> · <a href=\"https://profiles.wordpress.org/paapst/\">Mathieu Paapst</a> · <a href=\"https://profiles.wordpress.org/mmaattiiaass/\">Matias Benedetto</a> · <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a> · <a href=\"https://profiles.wordpress.org/mattkeys/\">Matt Keys</a> · <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> · <a href=\"https://profiles.wordpress.org/matthiasreinholz/\">Matthias Reinholz</a> · <a href=\"https://profiles.wordpress.org/h4l9k/\">Mauricio</a> · <a href=\"https://profiles.wordpress.org/wppunk/\">Max</a> · <a href=\"https://profiles.wordpress.org/cadic/\">Max Lyuchin</a> · <a href=\"https://profiles.wordpress.org/maximej/\">Maxime J.</a> · <a href=\"https://profiles.wordpress.org/jamilbd07/\">MD Jamil Uddin</a> · <a href=\"https://profiles.wordpress.org/kawserz/\">Md Kawser Ahmed Khan Jami</a> · <a href=\"https://profiles.wordpress.org/rakibwordpress/\">Md Rakib Hossain</a> · <a href=\"https://profiles.wordpress.org/abirhasandipu/\">Md. Abir Hasan Dipu</a> · <a href=\"https://profiles.wordpress.org/reduanmasud/\">Md. Reduan Masud</a> · <a href=\"https://profiles.wordpress.org/mdviralsampat/\">mdviralsampat</a> · <a href=\"https://profiles.wordpress.org/mehulkaklotar/\">Mehul Kaklotar</a> · <a href=\"https://profiles.wordpress.org/mensmaximus/\">mensmaximus</a> · <a href=\"https://profiles.wordpress.org/meyegui/\">meyerdev.ch</a> · <a href=\"https://profiles.wordpress.org/mgol/\">mgol</a> · <a href=\"https://profiles.wordpress.org/mburridge/\">Michael Burridge</a> · <a href=\"https://profiles.wordpress.org/michael-kelly/\">Michael Kelly</a> · <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a> · <a href=\"https://profiles.wordpress.org/michelmany/\">Michel Many</a> · <a href=\"https://profiles.wordpress.org/miguelaxcar/\">Miguel Axcar</a> · <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a> · <a href=\"https://profiles.wordpress.org/mmtr86/\">Miguel Torres</a> · <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a> · <a href=\"https://profiles.wordpress.org/mikestraw/\">Mike Straw</a> · <a href=\"https://profiles.wordpress.org/dimadin/\">Milan Dinić</a> · <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a> · <a href=\"https://profiles.wordpress.org/multidots1896/\">Minal Diwan</a> · <a href=\"https://profiles.wordpress.org/mitchellaustin/\">mitchellaustin</a> · <a href=\"https://profiles.wordpress.org/presents111/\">miya</a> · <a href=\"https://profiles.wordpress.org/monzuralam/\">Monzur Alam</a> · <a href=\"https://profiles.wordpress.org/mreishus/\">mreishus</a> · <a href=\"https://profiles.wordpress.org/mrwweb/\">mrwweb</a> · <a href=\"https://profiles.wordpress.org/mtias/\">mtias</a> · <a href=\"https://profiles.wordpress.org/mujuonly/\">mujuonly</a> · <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a> · <a href=\"https://profiles.wordpress.org/faguni22/\">Mumtahina Faguni</a> · <a href=\"https://profiles.wordpress.org/tanjimtc71/\">Musarrat Anjum Chowdhury</a> · <a href=\"https://profiles.wordpress.org/amustaque97/\">Mustaque Ahmed</a> · <a href=\"https://profiles.wordpress.org/mw108/\">mw108</a> · <a href=\"https://profiles.wordpress.org/naeemhaque/\">Naeem Haque</a> · <a href=\"https://profiles.wordpress.org/namithjawahar/\">Namith Jawahar</a> · <a href=\"https://profiles.wordpress.org/nathanatmoz/\">Nathan Johnson</a> · <a href=\"https://profiles.wordpress.org/nazmulhasan103/\">Nazmul Hasan</a> · <a href=\"https://profiles.wordpress.org/nendeb55/\">nendeb</a> · <a href=\"https://profiles.wordpress.org/neychok/\">Neycho Kalaydzhiev</a> · <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a> · <a href=\"https://profiles.wordpress.org/nicholaswilson/\">nicholaswilson</a> · <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a> · <a href=\"https://profiles.wordpress.org/nick_thegeek/\">Nick the Geek</a> · <a href=\"https://profiles.wordpress.org/nidhidhandhukiya/\">nidhidhandhukiya</a> · <a href=\"https://profiles.wordpress.org/nielslange/\">Niels Lange</a> · <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a> · <a href=\"https://profiles.wordpress.org/itsnikhilpatel/\">NikhilPatel</a> · <a href=\"https://profiles.wordpress.org/dhrupo/\">Niluthpal Purkayastha</a> · <a href=\"https://profiles.wordpress.org/dasnitesh780/\">Nitesh Das</a> · <a href=\"https://profiles.wordpress.org/nithi22/\">Nithin John</a> · <a href=\"https://profiles.wordpress.org/nithins53/\">Nithin SreeRaj</a> · <a href=\"https://profiles.wordpress.org/rnitinb/\">Nitin Rathod</a> · <a href=\"https://profiles.wordpress.org/nitman43/\">nitman43</a> · <a href=\"https://profiles.wordpress.org/noahtallen/\">Noah Allen</a> · <a href=\"https://profiles.wordpress.org/nuvopoint/\">nuvoPoint</a> · <a href=\"https://profiles.wordpress.org/oakesjosh/\">oakesjosh</a> · <a href=\"https://profiles.wordpress.org/obayedmamur/\">Obayed Mamur</a> · <a href=\"https://profiles.wordpress.org/ockham/\">ockham</a> · <a href=\"https://profiles.wordpress.org/oguzkocer/\">oguzkocer</a> · <a href=\"https://profiles.wordpress.org/oh_hello/\">oh_hello</a> · <a href=\"https://profiles.wordpress.org/hideokamoto/\">Okamoto Hidetaka</a> · <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a> · <a href=\"https://profiles.wordpress.org/olliejones/\">OllieJones</a> · <a href=\"https://profiles.wordpress.org/alshakero/\">Omar Alshaker</a> · <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a> · <a href=\"https://profiles.wordpress.org/pablohoney/\">PabloHoney</a> · <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a> · <a href=\"https://profiles.wordpress.org/pbearne/\">Paul Bearne</a> · <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a> · <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a> · <a href=\"https://profiles.wordpress.org/paulschreiber/\">Paul Schreiber</a> · <a href=\"https://profiles.wordpress.org/pavelevap/\">pavelevap</a> · <a href=\"https://profiles.wordpress.org/pbking/\">pbking</a> · <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendon&#231;a</a> · <a href=\"https://profiles.wordpress.org/pputzer/\">pepe</a> · <a href=\"https://profiles.wordpress.org/petaryoast/\">Petar Ratković</a> · <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a> · <a href=\"https://profiles.wordpress.org/petitphp/\">petitphp</a> · <a href=\"https://profiles.wordpress.org/walbo/\">Petter Walb&#248; Johnsg&#229;rd</a> · <a href=\"https://profiles.wordpress.org/phil-webster/\">Phil Webster</a> · <a href=\"https://profiles.wordpress.org/phillsav/\">Phill</a> · <a href=\"https://profiles.wordpress.org/iapial/\">Pial</a> · <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a> · <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> · <a href=\"https://profiles.wordpress.org/knowingart_com/\">PJ Brunet</a> · <a href=\"https://profiles.wordpress.org/pkolenbr/\">pkolenbr</a> · <a href=\"https://profiles.wordpress.org/pooja1210/\">Pooja N Muchandikar</a> · <a href=\"https://profiles.wordpress.org/pravinparmar2404/\">Pravin Parmar</a> · <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a> · <a href=\"https://profiles.wordpress.org/ptahdunbar/\">Ptah Dunbar</a> · <a href=\"https://profiles.wordpress.org/pypwalters/\">pypwalters</a> · <a href=\"https://profiles.wordpress.org/raduiason/\">raduiason</a> · <a href=\"https://profiles.wordpress.org/initsogar/\">Rafael Agostini</a> · <a href=\"https://profiles.wordpress.org/rafinkhan/\">Rafin</a> · <a href=\"https://profiles.wordpress.org/rajanpanchal2028/\">Rajan Panchal</a> · <a href=\"https://profiles.wordpress.org/rajeshraval786/\">Rajesh Raval</a> · <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a> · <a href=\"https://profiles.wordpress.org/ramon-fincken/\">ramon fincken</a> · <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James</a> · <a href=\"https://profiles.wordpress.org/razthee007/\">Razthee Md. Yakini</a> · <a href=\"https://profiles.wordpress.org/renatoagds/\">Renato Augusto Gama dos Santos</a> · <a href=\"https://profiles.wordpress.org/rezakhan995/\">Reza Khan</a> · <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a> · <a href=\"https://profiles.wordpress.org/riccardodicurti/\">Riccardo Di Curti</a> · <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> · <a href=\"https://profiles.wordpress.org/rinkychowdhury9/\">Rinky Chowdhury</a> · <a href=\"https://profiles.wordpress.org/ritteshpatel/\">Ritesh Patel</a> · <a href=\"https://profiles.wordpress.org/rjasdfiii/\">rjasdfiii</a> · <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> · <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a> · <a href=\"https://profiles.wordpress.org/robin-labadie/\">Robin Labadie</a> · <a href=\"https://profiles.wordpress.org/rodage/\">rodage</a> · <a href=\"https://profiles.wordpress.org/rodricus/\">rodricus</a> · <a href=\"https://profiles.wordpress.org/ravanh/\">Rolf Allard van Hagen</a> · <a href=\"https://profiles.wordpress.org/digical/\">Ross Gile</a> · <a href=\"https://profiles.wordpress.org/roytanck/\">Roy Tanck</a> · <a href=\"https://profiles.wordpress.org/ruchirj/\">Ruchir Goswami</a> · <a href=\"https://profiles.wordpress.org/re_enter_rupok/\">Rupok</a> · <a href=\"https://profiles.wordpress.org/rryyaanndd/\">Ryan</a> · <a href=\"https://profiles.wordpress.org/ryankienstra/\">Ryan Kienstra</a> · <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a> · <a href=\"https://profiles.wordpress.org/looswebstudio/\">Ryo</a> · <a href=\"https://profiles.wordpress.org/sereedmedia/\">S&#233; Reed</a> · <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">S&#233;rgio Gomes</a> · <a href=\"https://profiles.wordpress.org/soean/\">S&#246;ren Wrede</a> · <a href=\"https://profiles.wordpress.org/andy786/\">Sahil B.</a> · <a href=\"https://profiles.wordpress.org/stalukder03/\">Sajib Talukder</a> · <a href=\"https://profiles.wordpress.org/sakibmd/\">Sakib Mohammed</a> · <a href=\"https://profiles.wordpress.org/samful/\">Sam Fullalove</a> · <a href=\"https://profiles.wordpress.org/sam1el/\">sam1el</a> · <a href=\"https://profiles.wordpress.org/samiamnot/\">samiamnot</a> · <a href=\"https://profiles.wordpress.org/viralsampat/\">Sampat Viral</a> · <a href=\"https://profiles.wordpress.org/samruddhikhandale/\">samruddhikhandale</a> · <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a> · <a href=\"https://profiles.wordpress.org/sanjucta/\">sanjucta</a> · <a href=\"https://profiles.wordpress.org/sanketchodavadiya/\">Sanket Chodavadiya</a> · <a href=\"https://profiles.wordpress.org/sannevndrmeulen/\">Sanne van der Meulen</a> · <a href=\"https://profiles.wordpress.org/sapayth/\">sapayth</a> · <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a> · <a href=\"https://profiles.wordpress.org/sarathar/\">Sarath AR</a> · <a href=\"https://profiles.wordpress.org/saumil1611/\">Saumil Nerpagar</a> · <a href=\"https://profiles.wordpress.org/ira2910/\">Sazia Faizunnessa Ira</a> · <a href=\"https://profiles.wordpress.org/sc0ttkclark/\">Scott Kingsley Clark</a> · <a href=\"https://profiles.wordpress.org/countrymusicchicago/\">Scott Winterroth</a> · <a href=\"https://profiles.wordpress.org/hiyascout/\">Scout James</a> · <a href=\"https://profiles.wordpress.org/seanchayes/\">Sean Hayes</a> · <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a> · <a href=\"https://profiles.wordpress.org/seriouslysenpai/\">seriouslysenpai</a> · <a href=\"https://profiles.wordpress.org/wandering-aramean/\">Seth Miller</a> · <a href=\"https://profiles.wordpress.org/shahidul95/\">Shahidul Islam</a> · <a href=\"https://profiles.wordpress.org/shamayel007/\">Shamayel</a> · <a href=\"https://profiles.wordpress.org/shamimmiashuhagh/\">Shamim Mia</a> · <a href=\"https://profiles.wordpress.org/smeunus/\">Sharif Mohammad Eunus</a> · <a href=\"https://profiles.wordpress.org/shraboni/\">Shraboni</a> · <a href=\"https://profiles.wordpress.org/shubham1gupta/\">shubham1gupta</a> · <a href=\"https://profiles.wordpress.org/silicium23/\">Silicium</a> · <a href=\"https://profiles.wordpress.org/simongomes02/\">Simon Gomes</a> · <a href=\"https://profiles.wordpress.org/slieschke/\">Simon Lieschke</a> · <a href=\"https://profiles.wordpress.org/siobhan/\">Siobhan</a> · <a href=\"https://profiles.wordpress.org/calvinalkan/\">snicco.io</a> · <a href=\"https://profiles.wordpress.org/sruthi90/\">sruthi90</a> · <a href=\"https://profiles.wordpress.org/steelwagstaff/\">SteelWagstaff</a> · <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a> · <a href=\"https://profiles.wordpress.org/stentibbing/\">stentibbing</a> · <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a> · <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a> · <a href=\"https://profiles.wordpress.org/stephym/\">Stephy Miehle</a> · <a href=\"https://profiles.wordpress.org/stephymiehle/\">stephymiehle</a> · <a href=\"https://profiles.wordpress.org/stevenkword/\">Steven Word</a> · <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a> · <a href=\"https://profiles.wordpress.org/sumitsingh/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/sun/\">sun</a> · <a href=\"https://profiles.wordpress.org/sunyatasattva/\">sunyatasattva (a11n)</a> · <a href=\"https://profiles.wordpress.org/codemonksuvro/\">Suvro</a> · <a href=\"https://profiles.wordpress.org/syamraj24/\">syamraj24</a> · <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a> · <a href=\"https://profiles.wordpress.org/afrin29/\">Syeda Sanjida Afrin</a> · <a href=\"https://profiles.wordpress.org/syhc/\">syhc</a> · <a href=\"https://profiles.wordpress.org/synchro/\">Synchro</a> · <a href=\"https://profiles.wordpress.org/syntaxart/\">syntaxart</a> · <a href=\"https://profiles.wordpress.org/szaqal21/\">szaqal21</a> · <a href=\"https://profiles.wordpress.org/tahmidulkarim/\">Tahmid ul Karim</a> · <a href=\"https://profiles.wordpress.org/tahminar27/\">Tahmina Rahman</a> · <a href=\"https://profiles.wordpress.org/inc2734/\">Takashi Kitajima</a> · <a href=\"https://profiles.wordpress.org/tanazmasaba/\">Tanaz Masaba</a> · <a href=\"https://profiles.wordpress.org/devtanbir/\">Tanbir Ahmod</a> · <a href=\"https://profiles.wordpress.org/tanner-m/\">Tanner Moushey</a> · <a href=\"https://profiles.wordpress.org/rahmantasnia/\">Tasnia Rahman Raima</a> · <a href=\"https://profiles.wordpress.org/teebee/\">teebee</a> · <a href=\"https://profiles.wordpress.org/tekapo/\">tekapo</a> · <a href=\"https://profiles.wordpress.org/thedaysse/\">thedaysse</a> · <a href=\"https://profiles.wordpress.org/iamjaydip/\">thejaydip</a> · <a href=\"https://profiles.wordpress.org/theode/\">theode</a> · <a href=\"https://profiles.wordpress.org/griffinjt/\">Thomas Griffin</a> · <a href=\"https://profiles.wordpress.org/thomasplevy/\">Thomas Patrick Levy</a> · <a href=\"https://profiles.wordpress.org/thomask/\">thomask</a> · <a href=\"https://profiles.wordpress.org/timbroddin/\">timbroddin</a> · <a href=\"https://profiles.wordpress.org/sippis/\">Timi Wahalahti</a> · <a href=\"https://profiles.wordpress.org/spaceshipone/\">Timoth&#233;e Brosille</a> · <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a> · <a href=\"https://profiles.wordpress.org/tobiasbg/\">TobiasBg</a> · <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a> · <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a> · <a href=\"https://profiles.wordpress.org/dziudek/\">Tomasz Dziuda</a> · <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemer&#246;</a> · <a href=\"https://profiles.wordpress.org/starbuck/\">Tony G</a> · <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a> · <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a> · <a href=\"https://profiles.wordpress.org/toru/\">Toru Miki</a> · <a href=\"https://profiles.wordpress.org/itowhid06/\">Towhidul I Chowdhury</a> · <a href=\"https://profiles.wordpress.org/travisaxton/\">travisaxton</a> · <a href=\"https://profiles.wordpress.org/triumvirate/\">triumvirate</a> · <a href=\"https://profiles.wordpress.org/dinhtungdu/\">Tung Du</a> · <a href=\"https://profiles.wordpress.org/umesh84/\">Umesh Gupta</a> · <a href=\"https://profiles.wordpress.org/upadalavipul/\">upadalavipul</a> · <a href=\"https://profiles.wordpress.org/eboxnet/\">Vagelis</a> · <a href=\"https://profiles.wordpress.org/vcanales/\">Vicente Canales</a> · <a href=\"https://profiles.wordpress.org/szepeviktor/\">Viktor Sz&#233;pe</a> · <a href=\"https://profiles.wordpress.org/virgar/\">Virginie Garnier</a> · <a href=\"https://profiles.wordpress.org/elifvish/\">Vishal Kumar</a> · <a href=\"https://profiles.wordpress.org/vladytimy/\">Vlad T</a> · <a href=\"https://profiles.wordpress.org/vtad/\">vtad</a> · <a href=\"https://profiles.wordpress.org/vykesmac/\">vykesmac</a> · <a href=\"https://profiles.wordpress.org/webmandesign/\">WebMan Design &#124; Oliver Juhas</a> · <a href=\"https://profiles.wordpress.org/webrocker/\">Webrocker</a> · <a href=\"https://profiles.wordpress.org/websitegenii/\">websitegenii</a> · <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a> · <a href=\"https://profiles.wordpress.org/whaze/\">whaze</a> · <a href=\"https://profiles.wordpress.org/winterpsv/\">winterpsv</a> · <a href=\"https://profiles.wordpress.org/wojsmol/\">wojsmol</a> · <a href=\"https://profiles.wordpress.org/wojtekn/\">Wojtek Naruniec</a> · <a href=\"https://profiles.wordpress.org/wojtekszkutnik/\">Wojtek Szkutnik</a> · <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a> · <a href=\"https://profiles.wordpress.org/yuliyan/\">Yuliyan Slavchev</a> · <a href=\"https://profiles.wordpress.org/zebaafiashama/\">Zeba Afia Shama</a> · <a href=\"https://profiles.wordpress.org/zenaulislam/\">Zenaul Islam</a> · <a href=\"https://profiles.wordpress.org/zevilz/\">zevilz</a> · <a href=\"https://profiles.wordpress.org/zieladam/\">zieladam</a> · <a href=\"https://profiles.wordpress.org/chesio/\">Česlav Przywara</a></p>\n\n\n\n<p>By release day, <a href=\"https://translate.wordpress.org/stats/\">70 locales had translated 90 percent</a> or more of WordPress 6.2 in their language. Community translators are hard at work ensuring more translations are on their way. Thank you to everyone who helps to make WordPress 6.2 available in 200 languages.</p>\n\n\n\n<h2 class=\"wp-block-heading\">A release haiku for 6.2&nbsp;</h2>\n\n\n\n<p>Six point two, so new<br>Shiny and ready for you<br>Congrats on hard work!</p>\n\n\n\n<p class=\"has-text-align-left has-tiny-font-size\"><em>* Portrait of Eric Allen Dolphy Jr. discovered via <a href=\"https://openverse.org/image/36720968-690c-4287-a2dd-619573cc23a6\">Openverse</a>. Colorization by D. Pountain; Original by F. Wolff</em>.<br>&#8220;<a rel=\"noreferrer noopener\" href=\"https://www.flickr.com/photos/98119031@N00/39509743850\" target=\"_blank\">eric dolphy</a>&#8221; by&nbsp;<a rel=\"noreferrer noopener\" href=\"https://www.flickr.com/photos/98119031@N00\" target=\"_blank\">dick_pountain</a>&nbsp;is licensed under&nbsp;<a rel=\"noreferrer noopener\" href=\"https://creativecommons.org/licenses/by-nc-sa/2.0/?ref=openverse\" target=\"_blank\">CC BY-NC-SA 2.0</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14659\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"WP Briefing: Episode 52: Workflows and Phase Three Visioning with Special Guest Héctor Prieto\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://wordpress.org/news/2023/03/episode-52-phase-three-with-hector-prieto/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Mar 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=14697\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:147:\"On this week\'s episode, special guest Héctor Prieto joins Josepha in a discussion about phase three and why it\'s more than collaborative editing. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2023/03/WP-Briefing-052.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:25748:\"\n<p>On Episode fifty-two of the WordPress Briefing podcast, join WordPress Executive Director Josepha Haden Chomphosy and special guest Héctor Prieto as they discuss phase three and why it&#8217;s more than just collaborative editing!</p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://riad.blog/2020/06/11/write-as-blocks-in-an-encrypted-collaborative-environment/\">Write as Blocks in an Encrypted Collaborative Environment by Riad Benguella</a> </li>\n\n\n\n<li><a href=\"https://github.com/youknowriad/asblocks\" data-type=\"URL\" data-id=\"https://github.com/youknowriad/asblocks\">Riad Benguella’s collaborative editing GitHub repository</a></li>\n\n\n\n<li><a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella&#8217;s WordPress.org Profile</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/pull/23129\" data-type=\"URL\" data-id=\"https://github.com/WordPress/gutenberg/pull/23129\">Block Collab: New package, a framework for collaborative editing GitHub PR</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">Phase 3: Collaboration</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/48457\" data-type=\"URL\" data-id=\"https://github.com/WordPress/gutenberg/issues/48457\">Matías Ventura Quick Search GH Issue</a></li>\n\n\n\n<li><a href=\"https://profiles.wordpress.org/matveb/\">Matías Ventura WordPress.org Profile</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/23/wordpress-6-2-release-day-process/\">WordPress 6.2 Release Day Process</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/introducing-the-wordpress-developer-blog/\">Introducing the WordPress Developer Blog</a></li>\n\n\n\n<li><a href=\"https://europe.wordcamp.org/2022/contributor-day/\" data-type=\"URL\" data-id=\"https://europe.wordcamp.org/2022/contributor-day/\">WordCamp Europe Contributor Day Registration</a></li>\n\n\n\n<li><a href=\"https://wp20.wordpress.net/wapuu-coloring-giveaway-style-your-own-party-wapuu/\" data-type=\"URL\" data-id=\"https://wp20.wordpress.net/wapuu-coloring-giveaway-style-your-own-party-wapuu/\">WP20 Wapuu Coloring Giveaway</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14697\"></span>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:00]&nbsp;</p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I&#8217;m your host, Josepha Haden Chomphosy. Here we go.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:40]<br><br>I have with me today Hécto Prieto. You all may know him from the WordPress Slack. He recently was, I believe, a release coordinator, maybe for the last release. Was that for 6.1?</p>\n\n\n\n<p>[Héctor Prieto 00:00:51]<br><br>Yes. It was for 6.1 and also 6.0, in fact.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:54]<br><br>All right. Well, welcome to the WordPress Briefing today. How are you doing?</p>\n\n\n\n<p>[Héctor Prieto 00:00:59]&nbsp;</p>\n\n\n\n<p>Well, I&#8217;m excited to be here. I&#8217;m a longtime listener of the podcast since the first episode. So I&#8217;m super excited to be here with you today.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:01:06]<br><br>Yes. Longtime listener. First-time caller. All right, well, we&#8217;re gonna have a topic that just dumps you right in the soup, as they say in the United States. So we are actually here to talk about phase three of Gutenberg. It&#8217;s been a long time coming, and there are a lot of questions that folks have about what&#8217;s going into it and what&#8217;s not going into it.</p>\n\n\n\n<p>And as someone who works really closely with our Gutenberg technical architect, Matías Ventura, I figured you would be exactly the right person to come and talk about your favorite things. From your perspective, what is going to be the biggest enhancement that we start to approach in phase three?</p>\n\n\n\n<p>Like which thing, which API is gonna take the most work, do you think?</p>\n\n\n\n<p>[Héctor Prieto 00:01:53]<br><br>Well, the most work, that&#8217;s a very hard question to answer because we are still we are going to start an exploration phase to determine how far we want to go with each of these APIs. So, in general, all these APIs and these products are standalone projects. And some of them are shorter, and some of them are longer.</p>\n\n\n\n<p>I would say, in general, the real-time collaboration sounds the most technically challenging because of what it represents and all the changes needed to how we interact with WordPress from async to sync, basically. That would be the hardest part. I think there are also already a few prototypes working, but we need to see how that scales, for example.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:02:32]</p>\n\n\n\n<p>Yeah. So speaking of a few prototypes, I know that there are two or three different prototypes specifically for collaborative editing, but do we have people or groups, working groups in the community that have built any other prototypes? Or is it just kind of first passes at collaborative editing that we&#8217;ve seen?</p>\n\n\n\n<p>[Héctor Prieto 00:02:52]<br><br>Well, apart from Riad Benguella’s exploration, there&#8217;s a public repository with that exploration, there are a few plugins trying the same, trying real-time collaboration.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:03]<br><br>Yeah, I can think of co-blocks and as blocks, and then I feel like there was a third one.</p>\n\n\n\n<p>[Héctor Prieto 00:03:09]&nbsp;</p>\n\n\n\n<p>Yeah.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:09]<br><br>We&#8217;ll find the links to all these</p>\n\n\n\n<p>[Héctor Prieto 00:03:12]</p>\n\n\n\n<p>Yeah. Let&#8217;s add them to the show notes.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:14]<br><br>Excellent. So that&#8217;s going to be the biggest one. Is there, of the list of APIs, and this is based on the post that Matías sent out last week. If you all haven&#8217;t seen that, we&#8217;ll put that in the show notes as well. But from the APIs that Matías sort of helped us to identify last week, is there any one that you are particularly excited about for fixing things in WordPress or just generally like an interesting topic of development for you?</p>\n\n\n\n<p>[Héctor Prieto 00:03:42]<br><br>Well, I would say all of them and how they all play together. But, if I need to pick one of them…</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:48]<br><br>Everything&#8217;s the best!&nbsp;</p>\n\n\n\n<p>[Héctor Prieto 00:03:50]<br><br>I&#8217;ll cheat anyway, and I will going to pick two out of them because they solve issues at different levels. I&#8217;m very excited about visual revisions. I think it helps a lot of users, and it affects even non-technical users.</p>\n\n\n\n<p>So it&#8217;s one of the projects that lower how hard or complex WordPress can be to use sometimes. It&#8217;s going to be a huge improvement. It&#8217;s going to, I mean, bringing blocks to the revision system. I mean, it&#8217;s just a dream come true for me. I&#8217;m also going to highlight the search everywhere or quick search feature Matías already opened an issue in the GitHub repository right now.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:04:28]<br><br>Mm-hmm.</p>\n\n\n\n<p>[Héctor Prieto 00:04:28]<br><br>So the idea for this product is to have a power user shortcut that opens searching, an Alfred-like or Spotlight-like interface for those familiar with MacOS operating systems.</p>\n\n\n\n<p>When you can type anything, any place you want to go, or you want to search for any specific text in a document. And it&#8217;s supposed to be your power user command tool. So that you can do most things there.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:04:53]<br><br>Oh, and I mean not only power user command tool, but also there are some applications there for folks who have mobility issues, people who are using primarily keyboard as opposed to keyboard and mouse, all that kind of stuff, right?</p>\n\n\n\n<p>[Héctor Prieto 00:05:07]<br><br>Exactly. And just thinking long term with the rise of AI, it could be possible even to add some natural language processing to this interface so that users could just write in, in plain text, in natural language, what they want to do, and WordPress would provide the action for them.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:05:23]<br><br>Very nice. My two favorites, since you gave two favorites and I can&#8217;t just give one at that point, my two favorite projects, which are also probably really, really hard projects, are those explorations around fixing notifications. That is a really big project. And one that I think that, in general, the WordPress project is going to be really excited to have some input on.&nbsp;</p>\n\n\n\n<p>And so that&#8217;s one that I really will have an eye on. And the other one that I&#8217;m going to definitely have my eye on is the media gallery redesign. I realize that this shows, between you and I, that shows our two specific focuses. Because, of course, you work directly with guiding all of our developers. And I am very much like our user advocate. And WordPress “everyman.”</p>\n\n\n\n<p>I don&#8217;t know if that&#8217;s a term that makes sense outside the US. But I do a lot of advocacy for folks who are using WordPress from the user side as opposed to from the developer side because, of course, we have a lot of excellent developers. So y&#8217;all don&#8217;t need my help with your advocacy.</p>\n\n\n\n<p>But yeah, that really shows that you and I have different focuses, which I think is good too.</p>\n\n\n\n<p>[Héctor Prieto 00:06:32]<br><br>Yes. Also, it’s worth noting that at the end of the day, any improvement we make for developers is so that developers can build better things for users. So, at the end of the day, everything is in the best interest of the users.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:06:45]&nbsp;</p>\n\n\n\n<p>That&#8217;s right. That&#8217;s definitely a good point. Yeah. So, a final question about this particular thing because we&#8217;re trying to keep it a little brief and also because we&#8217;ll have a few other podcasts that are specifically about phase three as our explorations get going. Final question here: If you felt like there was one API or one project in particular that could benefit from a lot of community involvement which would you guess that was?</p>\n\n\n\n<p>[Héctor Prieto 00:07:20]<br><br>I don&#8217;t think I can single out any of them. I think getting user feedback is going to be a vital part of this phase, as always. So I would encourage our listeners to just participate in discussions and provide feedback as we start releasing the first prototypes in the Gutenberg plugin. I don&#8217;t think I can pick one of them for you, completely honest.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:07:43]&nbsp;</p>\n\n\n\n<p>Yeah. My guess for that is going to be the rework of the dashboard, the admin, WP admin. I think that a lot of people are gonna have a lot to say about what they use it for, what they would like to be able to use it for, how to make it look more modern, how to make it feel more modern. I think that that probably is going to benefit from a lot of early testing and possibly some specific user testing around the concepts of design in there.</p>\n\n\n\n<p>And so that&#8217;s one that that I think probably is going to take a lot of feedback from the community. And community, in this case, I think, is not only our developers and designers and copy folks who are working to build the CMS, but probably also all of our folks who are extending WordPress, everybody who is working in agencies, things like that.</p>\n\n\n\n<p>[Héctor Prieto 00:08:35]<br><br>Hmm, well, if I need to pick one, I would say the publishing flows could use also lots of feedback and testing because we are going to implement editorial requirements and customized user flows. And, of course, there are many, many different workflows out there that we might not be able to think of ourselves.</p>\n\n\n\n<p>So just imagine the sheer amount of different use cases. There&#8217;s going to be, or there currently is with customizations of third-party plugins. So, yeah. I would like to listen to how people would like the publishing flows to be. What are the specific use cases?&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:09:09]<br><br>So really, just everything, we need a lot of user feedback on everything.</p>\n\n\n\n<p>[Héctor Prieto 00:09:13]<br><br>Yes. That&#8217;s the summary.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:09:15]</p>\n\n\n\n<p>I don&#8217;t think that&#8217;s a bad summary. I know that we talk a bit about how WordPress is made better by the activity of our co-creators, the people who are using the software and testing the software, and telling us how it could be better. Those are the groups of people that make sure that we are the best version or headed in the best direction on any of our things with the software.</p>\n\n\n\n<p>And so I guess it&#8217;s probably not super unusual for everyone to hear like we need your feedback on everything because that&#8217;s probably what we do half the time.</p>\n\n\n\n<p>[Héctor Prieto 00:09:44]<br><br>Yeah, absolutely.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:09:47]<br><br>So the publishing workflows, that reminds me that there has been a little bit of a conversation lately around the naming of this phase, basically.</p>\n\n\n\n<p>And I know that the phases don&#8217;t necessarily need names. Like that&#8217;s why they&#8217;re numbered, and that&#8217;s a great idea. Like numbers are wonderful ways to reference things, but it also is just easier to reference it in kind of general conversation.</p>\n\n\n\n<p>So the first phase was easier editing, and it really focused on the editing experience itself. The second one was customization, and now the third phase has been called collaboration for quite a bit of time.</p>\n\n\n\n<p>But as we got closer and closer to this phase and we had more and more conversations that were coming out of phases one and two, it became really clear that really what we&#8217;re looking at here is more around workflows. And I love that that is an option for how to refer to this. Probably that&#8217;s how I will refer to it for most of the time that I talk about it as we are looking at phase three. </p>\n\n\n\n<p>Because I remember that when we were first building the prototypes of Gutenberg, one of the big flags that I had was that breaking changes are not just about what we can see or any sort of visual regressions or what causes the white screen of death. Also, some of the things that are breaking changes should be considered in those workflows when we change where things are or how you accomplish a task.</p>\n\n\n\n<p>And our users weren&#8217;t ready for it. That is something that is breaking for them, right?</p>\n\n\n\n<p>[Héctor Prieto 00:11:25]&nbsp;<br><br>Yes. As you mentioned, this phase was referenced as collaboration, real-time collaboration, for a long time, but if we think of how this collaboration looks, it&#8217;s much more than just editing at the same time. A very big part of collaboration is also asynchronous collaboration by adding in-line comments and improving these notifications when you have a comment in your draft. I think the power of this phase is how everything comes together. These individual pieces come together.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 0:11:51]<br><br>Yes, and I don&#8217;t know where that first flag that sparked the discussion around, like, okay, but collaborative editing is not quite big enough and also means a bunch of different things for a bunch of different people. It depends on the size of your organization or the type of content you&#8217;re writing.</p>\n\n\n\n<p>Like, I don&#8217;t know where that conversation started. My guess is, you know, some WordCamp somewhere, and an attendee was like, did you, did anybody ever think about these problems? And then they kind of worked their way around the Make Core site or otherwise made their way around to Matias&#8217;s ears.</p>\n\n\n\n<p>But yeah, I think that was a really smart choice. And you&#8217;re exactly right, collaborative editing; that can refer to the synchronous kind or the asynchronous kind, and both of those types of collaboration are equally valuable and probably equally used.</p>\n\n\n\n<p>[Héctor Prieto 00:12:40]<br><br>Yes. And one important point to note here is that this editorial flows, and this collaboration is crucial to implement multilingualism going into phase four. We need to think that as soon as we have posts and pages in different languages, there are going to be requirements in terms of how to translate these pieces of content.</p>\n\n\n\n<p>So this will need collaboration, all forms of collaboration.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:13:02]<br><br>Yeah, absolutely. This maybe was before your time with the project, but I was team multilingual-first for a long time. Or at least thinking that we could do the multilingual part of this work alongside the collaborative editing part of the work. I&#8217;ve spent a lot of time trying to understand what we think is going in phase three versus what probably we need to be able to do as far as having native multilingual support in the project.</p>\n\n\n\n<p>And I have softened my very hard position on that. You know, we&#8217;re big fans of strong positions loosely held, strong opinions loosely held. And this was one of those moments where I had that really strong opinion that we could just do them concurrently. We can do them at the same time.</p>\n\n\n\n<p>And I think it was a conversation that you and I were having when you were pointing out the complexities of translating WordPress at all, let alone being able to translate all your content as well. And it makes a lot of sense, and you&#8217;re right. I think that there are a lot of interactions, a lot of workflows that we&#8217;re gonna have to kind of refresh or redesign or rebuild before it really makes sense for us to help make that a nice streamlined option for multilingual offerings.</p>\n\n\n\n<p>[Héctor Prieto 00:14:17]<br><br>Yes, absolutely. As a Spanish-speaking person, I&#8217;m super excited about having multilingual in Core, but I also understand that we need some tooling ready before implementing multilingual in Core.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:14:29]&nbsp;</p>\n\n\n\n<p>There are no, there really are no easy problems left in WordPress, right? Like, we all agree on this now?</p>\n\n\n\n<p>[Héctor Prieto 00:14:36]<br><br>That&#8217;s correct. And we&#8217;re creating something incrementally. If we look at the phases, they are ordered sequentially. But that doesn&#8217;t mean that when we start phase three, we are, finishing phase two completely in the same way. We have not finished phase one.</p>\n\n\n\n<p>That will be like saying, when is WordPress finished, when is the development finished? So it&#8217;s an incremental project, and it&#8217;s always going to be to need refining. So it&#8217;s of course, multilingual needs to come after collaboration because we need those tools.</p>\n\n\n\n<p>But that doesn&#8217;t mean we need to finish the collaboration phase or have it very advanced phase three before we can start phase four. That will be determined in the next month as we start explorations.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:15:17]&nbsp;</p>\n\n\n\n<p>So if you all, which I know you are, are interested in better workflows, more streamlined ways of working inside WordPress, and or interested in how we are gonna get multilingual settled in the future, this is a great time to get involved in this project and in the community. Like I said, we&#8217;ve got that post up that Matías shipped last week, which, again, if you have not read it, go read it because it&#8217;s got excellent, excellent information in there for you.&nbsp;</p>\n\n\n\n<p>Héctor, before we head out, is there anything that you wanna make sure that you let the listeners know, either about phase three or just about WordPress in general?</p>\n\n\n\n<p>[Héctor Prieto 00:15:57]<br><br>Well, tomorrow is WordPress 6.2 release day. So happy 6.2, everybody!</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:16:04]<br><br>Happy 6.2. Oh, yeah. Yeah. Which means today is the dry run; probably in three hours, we&#8217;re doing the dry run.</p>\n\n\n\n<p>[Héctor Prieto 00:16:14]<br><br>Depends on when we&#8217;re listening to this, but yes.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:16:18]&nbsp;</p>\n\n\n\n<p>Oh, that&#8217;s a good point. Right? Not everybody listens to this the second it becomes available. Time zones. That&#8217;s right. Oh, man. Look at us being a global project and just pretending like everybody listens to this particular thing the moment that it&#8217;s available.</p>\n\n\n\n<p>I apologize to everybody who&#8217;s listening to it after the release or in the middle of the release party or whatever you&#8217;re doing. Regardless, tomorrow, if you&#8217;re listening to it today, is the WordPress 6.2 release, and it&#8217;s gonna be great.</p>\n\n\n\n<p>Well, Héctor, thank you so much for joining me today. I really enjoyed having you on, and thanks for letting me interview you.</p>\n\n\n\n<p>[Héctor Prieto 00:16:59]<br><br>Thank you for having me. It was my pleasure to be here.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:17:10]</p>\n\n\n\n<p>So that brings us now to our small list of big things, and as is frequently the case, it&#8217;s actually kind of a big list of big things. So we&#8217;re gonna hop right in here. As Héctor and I mentioned in the episode, the release WordPress 6.2 is coming out tomorrow, depending on when you&#8217;re listening to this. If you listen to it on the 27th, it comes out on the 28th of March.&nbsp;</p>\n\n\n\n<p>If you have a chance to drop by the release party. I would encourage you to; they&#8217;re pretty interesting just to get an idea of everything that it takes to build WordPress. It is, of course, the last few hours before a release, and so you don&#8217;t get a full scope.</p>\n\n\n\n<p>But it&#8217;s always nice to see the way that everybody in the community works together, especially there in that last moment when we&#8217;re trying to package something and test it in a bunch of environments all across the world.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:18:00]&nbsp;</p>\n\n\n\n<p>I love attending those. And so I encourage it. The next episode of the WordPress Briefing is going to have the release rundown.</p>\n\n\n\n<p>I&#8217;ll go through the key features and highlights that finally made it into 6.2. The reason we don&#8217;t do those beforehand is just in case we have to remove anything at the last minute from a release. It doesn&#8217;t happen too often, but it does happen sometimes. And so, next episode of WP Briefing, that&#8217;s what we&#8217;ll be talking about.</p>\n\n\n\n<p>The next thing on my list is a new developer blog. So there is a brand new developer blog. It was launched last Wednesday. It&#8217;s a great resource for WordPress developers to stay up to date and hear the latest in the WordPress development world. And also, we had been hearing some feedback from our developers in recent years that if you are like exploring how to extend WordPress, if you&#8217;re in that group of extenders, people who are building themes or building plugins, you&#8217;ve kind of feel like you&#8217;ve lost a place where you can have those exploratory conversations.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:19:00]&nbsp;</p>\n\n\n\n<p>This is gonna be one of those places. We&#8217;ll put a link in the show notes. So far, the content that&#8217;s planned, I think, is really interesting.</p>\n\n\n\n<p>Next thing on our small list, big list, of big things is WordCamp Europe&#8217;s Contributor Day.</p>\n\n\n\n<p>So registration for Contributor Day is now open, and it does require a separate registration than regular attendance at WordCamp Europe. So if you are registered for WordCamp Europe, you already have your ticket for that, but you are not registered for Contributor Day, click the link in the show notes and come on down to spend a little time giving back to the WordPress Project.</p>\n\n\n\n<p>And the last thing on our list today is that we have a WP20 Wapuu coloring giveaway. So put on your little party hats, and grab your crayons. The 20th anniversary Wapuu coloring giveaway is here. There is an opportunity to color in your own community-driven Wapuu and tweet it to us using #WapuuWP20 for your chance to win a sweet haul of WP20 swag items.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:20:00]</p>\n\n\n\n<p>You can check out the full rules at the link in our show notes.</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thanks for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks.&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14697\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"Introducing the WordPress Developer Blog\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://wordpress.org/news/2023/03/introducing-the-wordpress-developer-blog/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Mar 2023 13:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:7:\"Updates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:17:\"Developer content\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14649\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:137:\"The WordPr Developer blog, a dedicated   space to support devs, is available to help ideas sharing, ways of using new features, and more.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Chloe Bringmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4661:\"\n<p>With much activity happening in the WordPress development space every day, keeping up-to-date with the latest updates can be challenging. The new <a href=\"https://developer.wordpress.org/news/\">WordPress Developer Blog</a> is a developer-focused resource to help you stay on top of the latest software features, tutorials, and learning materials relevant to the open source project.</p>\n\n\n\n<p>This blog is the culmination of a community effort that began last year. Formed by experienced WordPress community members and developers, the <a href=\"https://developer.wordpress.org/news/about/\">editorial group</a> has since worked on a wide range of content already available—from theme and block development tutorials to tips and tricks for leveraging WordPress in the site editing era.</p>\n\n\n\n<h2 class=\"wp-block-heading\">A new home for developers</h2>\n\n\n\n<p>As a complementary resource to the WordPress documentation, the Developer Blog aims to provide a shared space to stay informed of development-related updates, keep up with ongoing discussions and ideas, and explore cutting-edge use cases.</p>\n\n\n\n<p>In other words, <strong>consider it as a central hub for developers and </strong><a href=\"https://make.wordpress.org/updates/2020/05/01/care-and-influence-a-theory-about-the-wordpress-community/\"><strong>extenders</strong></a> of different backgrounds and skill levels to learn with quality content from reliable sources, share knowledge, and drive WordPress development forward.</p>\n\n\n\n<p>True to the open source way, the blog will likely evolve. As its editors and readers learn and create more content, it will adapt in response to the needs of community members like you.</p>\n\n\n\n<p>Everyone is welcome to chime in on-topic discussions, share ideas or contribute. <a href=\"https://developer.wordpress.org/news/how-to-contribute/\">Learn more about how to get involved</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">What about the content?</h2>\n\n\n\n<p>Content on the WordPress Developer Blog covers many topics, including tutorials on <a href=\"https://developer.wordpress.org/news/category/themes/\">theme development</a>, <a href=\"https://developer.wordpress.org/news/category/plugins/\">plugins</a>, and <a href=\"https://developer.wordpress.org/news/category/block-development/\">block development</a>. You can also expect posts on WordPress APIs, best practices for working with WordPress, updates on upcoming releases, and <a href=\"https://developer.wordpress.org/news/category/learning/\">learning resources</a> for beginners and seasoned developers.</p>\n\n\n\n<p>These articles offer a good hint at what&#8217;s already in store for you:</p>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2022/11/17/demystifying-home-and-posts-templates-in-wordpress-theme-development/\">Demystifying home and posts templates in WordPress theme development</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2022/11/creating-themes-from-a-pattern-first-mindset/\">Creating themes from a pattern-first mindset</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/static-vs-dynamic-blocks-whats-the-difference/\">Static vs. dynamic blocks: What’s the difference?</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/creating-custom-block-styles-in-wordpress-themes/\">Creating custom block styles in WordPress themes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/whats-new-for-developers-march-2023/\">What’s new for developers? (March 2023)</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Sounds interesting? </h2>\n\n\n\n<p><a href=\"https://developer.wordpress.org/news/#subscribe\">Subscribe to the Developer Blog</a> to keep up with the latest content in the WordPress development space.</p>\n\n\n\n<p><em>Props for content and peer review <a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a> <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a> <a href=\'https://profiles.wordpress.org/mburridge/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mburridge</a> <a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a> <a href=\'https://profiles.wordpress.org/bph/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>bph</a>&nbsp;<a href=\'https://profiles.wordpress.org/greenshady/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>greenshady</a> <a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14649\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.2 Release Candidate 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Mar 2023 17:43:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14685\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:315:\"WordPress 6.2 Release Candidate 3 is now available for download and testing.\nThis version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC3 on a test server and site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4918:\"\n<p>It’s the final countdown: the third (and last) scheduled <a href=\"https://make.wordpress.org/core/handbook/glossary/#release-candidate\">release candidate</a> (RC3) for WordPress 6.2 is ready! </p>\n\n\n\n<p>The WordPress 6.2 release is scheduled for March 28, 2023—just one week away! Now is your last opportunity to test it before the general release.&nbsp;</p>\n\n\n\n<p>Just tuning in now? Catch up on the featured highlights, and dig into more 6.2 details in the <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 RC1 release announcement</a>.</p>\n\n\n\n<p>Thanks to all the Beta and RC testers who have assisted in this release. Since <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\">RC2</a> was released on March 14, there have been about 21 issues resolved in <a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=03%2F15%2F2023..03%2F21%2F2023&amp;milestone=6.2&amp;col=id&amp;col=summary&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac</a> and <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">GitHub</a>.</p>\n\n\n\n<p>Your feedback and help in filing bug reports keep the WordPress experience stable, smooth, and delightful. It’s critical work and a great way to contribute to the project.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">How to install RC3 for testing</h2>\n\n\n\n<p><strong>This version of the WordPress software is under development. </strong>Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC3 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.2 RC3 in three ways:</p>\n\n\n\n<p><strong>Option 1</strong>: Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2</strong>: Direct download the <a href=\"https://wordpress.org/wordpress-6.2-RC3.zip\">RC3 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3</strong>: Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.2-RC3</code></p>\n\n\n\n<h2 class=\"wp-block-heading\">A shout out to plugin and theme developers</h2>\n\n\n\n<p>Your products are the reason WordPress does so many things for more people across the world. As you test your latest versions against RC3, make sure you update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.2. If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a> for more details about the major changes in this release.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Keep WordPress bug-free—help with testing</h2>\n\n\n\n<p>Without your testing support, hitting important product milestones would be a much bigger challenge. It’s also a meaningful way to contribute to the project. If you’re new to testing, or it’s been a while, <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">this detailed guide</a> can help you get started.&nbsp;</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>Wow, we’re oh so close<br>Test, test. Get it out the door.<br>Please no RC 4.</p>\n\n\n\n<p class=\"has-text-align-right\"><em>Thank you to the following contributors for collaborating on this post: <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a> <a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a> <a href=\'https://profiles.wordpress.org/audrasjb/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>audrasjb</a> <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a> <a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14685\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.2 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 17:59:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:3:\"6.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14640\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:315:\"WordPress 6.2 Release Candidate 2 is now available for download and testing.\nThis version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC2 on a test server and site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4681:\"\n<p>Here it is: the second release candidate (RC2) for WordPress 6.2 is ready! </p>\n\n\n\n<p>WordPress 6.2 is scheduled for release on March 28, 2023—which is only two weeks away. Now is your perfect opportunity if you haven’t tried it out yet. Your feedback and help filing bug reports are what keep the WordPress experience stable, smooth, and delightful. It’s important work and a great way to contribute to the project.&nbsp;</p>\n\n\n\n<p>Thanks to everyone who tested the Beta and RC releases so far. Since RC1 was released on March 9, there have been about 36 issues resolved in <a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=03%2F07%2F2023..03%2F13%2F2023&amp;milestone=6.2&amp;col=id&amp;col=summary&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac</a> and <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">GitHub</a>.&nbsp;</p>\n\n\n\n<p>Catch up on the featured highlights, and dig into more 6.2 details, in the <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 RC1 release announcement</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">How to install RC2 for testing</h2>\n\n\n\n<p><strong>This version of the WordPress software is under development. </strong>Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC2 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.2 RC2 in three ways:</p>\n\n\n\n<p><strong>Option 1</strong>: Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2</strong>: Direct download the <a href=\"https://wordpress.org/wordpress-6.2-RC2.zip\">RC2 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3</strong>: Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.2-RC2</code></p>\n\n\n\n<h2 class=\"wp-block-heading\">A shoutout to plugin and theme developers</h2>\n\n\n\n<p>Your products are the reason WordPress does so many more things for more people across the world. As you test your latest versions against RC2, make sure you update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.2. If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a> for more details about the major changes in this release.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Join the bug hunt—test, test, test</h2>\n\n\n\n<p>Without your testing support, hitting important product milestones would be a much bigger challenge. It’s also a meaningful way to contribute to the project. If you’re new to testing, or it’s been a while, <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">this detailed guide</a> can help you get started.&nbsp;</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>Listen, we are close<br>One step to final RC<br>Breathe, and keep going</p>\n\n\n\n<p><em>Thank you to the following contributors for collaborating on this post: <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a> <a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a> <a href=\'https://profiles.wordpress.org/audrasjb/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>audrasjb</a> <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a></em></p>\n\n\n\n<p><em>Haiku by <a href=\'https://profiles.wordpress.org/sereedmedia/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sereedmedia</a></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14640\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"WP Briefing: Episode 51: Is Routine a Rut?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://wordpress.org/news/2023/03/episode-51-is-routine-a-rut/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 13 Mar 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=14621\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"Join Josepha as she discussed the benefits of routine and what role it plays in the WordPress project. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2023/03/WP-Briefing-051.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9299:\"\n<p>On Episode fifty-one of the WordPress Briefing podcast, join WordPress Executive Director Josepha Haden Chomphosy as she makes a case for why routine is a good thing&#8211; in life and in the WordPress project. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/wordpress-6-2-rc1-postponed-additional-beta-5-added/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/core/2023/03/06/wordpress-6-2-rc1-postponed-additional-beta-5-added/\">Beta 5, Additional Beta Released</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2, Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://wp20.wordpress.net/wp20-celebrations/\" data-type=\"URL\" data-id=\"https://wp20.wordpress.net/wp20-celebrations/\">Join WordPress 20th Anniversary Celebrations</a></li>\n\n\n\n<li><a href=\"https://www.eventbrite.com/e/organizing-diverse-inclusive-wordpress-events-ameremea-tickets-561034247537\" data-type=\"URL\" data-id=\"https://www.eventbrite.com/e/organizing-diverse-inclusive-wordpress-events-ameremea-tickets-561034247537\">Organizing Diverse and Inclusive WordPress Events</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">Events News Widget Modification Proposal</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14621\"></span>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:00]&nbsp;</p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks.</p>\n\n\n\n<p>I&#8217;m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:29]</p>\n\n\n\n<p>All right, my WordPress wonders; it&#8217;s time to join me for one of my gentle rants on basic leadership principles. Today we&#8217;re talking about the importance of routine and predictability in everyday life. But don&#8217;t worry, I&#8217;m gonna tie it all together with WordPress, too. So by now you&#8217;re probably aware that I don&#8217;t really consider myself one of those “born leaders.”&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:01:00]&nbsp;</p>\n\n\n\n<p>Over the years, I&#8217;ve put a lot of effort into researching characteristics of good leaders and general leadership methods overall. But one of the things I encountered early on in my leadership learning journey was the concept of routine.</p>\n\n\n\n<p>As with most leadership practices I hold, routine has more than one purpose. From a very pragmatic standpoint, routines provide predictability and the more predictable something is, the lower the cognitive load becomes, which in turn lets you use your thinking power for something better. For instance, if you know that in every check-in with your team lead, she&#8217;s gonna ask you what you were proud to have shipped last week, what you want to ship next week, and what things stand in the way of your plans, then you know that that is what you have to prepare for.&nbsp;</p>\n\n\n\n<p>The knowledge work, the thinking part. The thinking part stops being, what is my team lead going to ask me and starts being what is the problem that she can help me solve?&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:02:00]&nbsp;</p>\n\n\n\n<p>But from a more human standpoint, that kind of predictability helps us to understand when something that happened is out of the ordinary. Whether it&#8217;s a notification of a comment left on your blog or syntactical highlighting that lets you know that you&#8217;ve written something that&#8217;s out of voice or against grammar standards, it just lets you know that something is unusual there and deserves your attention.&nbsp;</p>\n\n\n\n<p>Now for me, this has a lot of applications across the WordPress project. There are the obvious things like the cadence of our major release cycles or our notification system, which honestly could use a bit of TLC, a little bit of elbow grease.</p>\n\n\n\n<p>But there are also less obvious things that this idea still applies to simply because of the way our brains work, the information architecture on our sites, for instance. It should make sense visually and semantically because that makes it easy for us to skim and predict where the highest value content is for us. Or the user interface across the back end of our software.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:00]&nbsp;</p>\n\n\n\n<p>Having familiar tasks or actions across any type of content or area of content makes it easier for a site maintainer to flow from one area of a site to the next, fixing things as they find them without necessarily having to stop and put down their hammer and pick up a screwdriver or whatever metaphor works for you. Or if you&#8217;re doing more nuanced work, like put down your timpani mallets and pick up your xylophone mallets.&nbsp;</p>\n\n\n\n<p>So, yeah, consistency. Consistency is the topic of today&#8217;s gentle rant. I get really worked up about it because I feel like consistency ends up being this euphemism for being boring. But I honestly believe that it&#8217;s the consistency and the dependability that make it clear what is supposed to be exciting, the things that are different enough that they merit our attention.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:38]&nbsp;</p>\n\n\n\n<p>Which, fortunately, now brings us to our small list of big things. It&#8217;s actually a pretty big list today and also a bunch of pretty big things. So first thing to know, there was an additional beta added to this release cycle.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:04:00]&nbsp;</p>\n\n\n\n<p>It was beta five; it came out last week, I think. There was a bit of a regression that we worked our way through. And so RC1, release candidate one, is going to be postponed a little bit because of that. But don&#8217;t wait until RC to start testing, obviously RC is tomorrow, so that means you get to test, like, today!</p>\n\n\n\n<p>The second thing on our small list of big things is that we have the WordPress 20th anniversary coming up. That&#8217;s May 27th. And you can join in the celebrations. So at WordPress&#8217;s 10th anniversary and 15th anniversary, we had like a big, ongoing global set of parties, like Meetup events got together and made cakes, or did a concert, or did a hackathon for various reasons.</p>\n\n\n\n<p>Like they all got together on May 27th or thereabouts and did some really fun, like celebration of how far WordPress has gotten them and how far they hope to be able to go with WordPress.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:05:00]&nbsp;</p>\n\n\n\n<p>So if you are from the before times WordCamp kind of organizing timeframe, you know that we always consider WordCamps to be like an annual celebration of the excellence of your community and how much you all come together and how different you are as part of this overall big WordPress-y thingy.&nbsp;</p>\n\n\n\n<p>All right. Third item that we have is that, I know that I mentioned this in the last WP Briefing as well, but we have another session of the diverse and inclusive WordPress events coming up that&#8217;s happening on March 16th. So coming up really fast, we&#8217;ll put a link to that in the show notes as well.</p>\n\n\n\n<p>And the final thing, I don&#8217;t remember what list number we&#8217;re at, but the final thing is that there is a proposal out there right now to modify the events and news widget that we use inside the WordPress dashboard. If you&#8217;re not familiar with it, it is a place where all of the local-to-you Meetup events get listed.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:06:00]&nbsp;</p>\n\n\n\n<p>It&#8217;s where all of the news items from various WordPress media outlets get published. We just have a link to it there. And so, we would like to make some changes to that so that we&#8217;re able to include not only specific location types of events but also events that are location agnostic because they&#8217;re online but might have a specific, identifying niche that you particularly find interesting.</p>\n\n\n\n<p>So it might be for Spanish speakers or for women in particular, or whatever it might be. There&#8217;s a proposal out for that. We&#8217;ll put a link to that in the show notes as well.&nbsp;</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thanks for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks.&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14621\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.2 Release Candidate 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Mar 2023 17:39:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14619\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:316:\"WordPress 6.2 Release Candidate 1 is now available for download and testing.\nThis version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC 1 on a test server and site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"marybaum\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:10157:\"\n<p>WordPress 6.2’s first release candidate (RC1) is here and ready for testing.</p>\n\n\n\n<p>Reaching this part of the release cycle is a key milestone. While we consider release candidates ready for final release, additional testing and use by the community can only make it better.</p>\n\n\n\n<p>The official release of 6.2 is just three short weeks away on March 28. In open source, we say with <a href=\"https://en.wiktionary.org/wiki/given_enough_eyeballs,_all_bugs_are_shallow\">many eyes, all bugs are shallow</a>, so we ask everyone across the WordPress ecosystem—theme and plugin developers, educators, agencies, and creators—<a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">to jump in and help test</a>.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development. </strong>Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC1 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.2 RC1 in three ways:</p>\n\n\n\n<p><strong>Option 1</strong>: Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2</strong>: Direct download the <a href=\"https://wordpress.org/wordpress-6.2-RC1.zip\">RC1 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3</strong>: Use the following WP-CLI command:</p>\n\n\n\n<pre class=\"wp-block-code\"><code class=\"\">wp core update --version=6.2-RC1</code></pre>\n\n\n\n<p><em>First-time tester? <a href=\"https://make.wordpress.org/test/handbook/get-setup-for-testing/\">Here&#8217;s a guide to getting started</a>.</em> </p>\n\n\n\n<h2 class=\"wp-block-heading\">What’s in WordPress 6.2 RC1</h2>\n\n\n\n<p>This release includes over 900 enhancements and fixes and is the first major release of 2023.&nbsp;</p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">Gutenberg commits on GitHub</a></li>\n\n\n\n<li><a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=2023-02-21..2023-03-01&amp;milestone=6.2&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Core Trac Tickets</a></li>\n</ul>\n\n\n\n<p>WordPress 6.2 comes packed with enhancements to make everything you do smoother, faster and a little more inspired:</p>\n\n\n\n<ul>\n<li>A refreshed Site Editor for easier template browsing</li>\n\n\n\n<li>A new sidebar experience in the Navigation block for simpler menu management</li>\n\n\n\n<li>Reorganized block settings with separate tabs for Settings and Styles</li>\n\n\n\n<li>New inserter design that lets you add Media—including Openverse and its more than 600-million-item catalog, plus your entire Media Library—and better categories</li>\n\n\n\n<li>More header and footer patterns for block themes</li>\n\n\n\n<li>A new Style Book that shows your entire site’s look and feel all in one place</li>\n\n\n\n<li>New controls to let you copy and paste block styles for faster, simpler design across your whole site</li>\n\n\n\n<li>Custom CSS you can add for those finishing touches, per block and globally</li>\n\n\n\n<li>Sticky positioning to keep important blocks fixed when scrolling</li>\n\n\n\n<li>Distraction Free mode for moments you want to focus on writing</li>\n\n\n\n<li>New options that let you import certain widgets from classic to block themes</li>\n\n\n\n<li>The removal of the Site Editor’s beta label—welcome to the next generation of WordPress</li>\n</ul>\n\n\n\n<p><em>Want to see some of these featured highlights in action? Check out the <a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">WordPress 6.2 Demo</a> recorded March 2, 2023.</em></p>\n\n\n\n<p>Do you crave a deep dive into tech specs? These recent posts cover a few of the latest technical updates. This is not an exhaustive list, but it should get you started:&nbsp;</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/patterns-api-expanded-to-include-template_types-property/\">Patterns API expanded to include template_types property</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qNP\">Introduction of Block Inspector Tabs</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qR8\">Shadows in Global Styles</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qME\">Introducing the HTML API</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qM4\">Miscellaneous Editor Changes</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qNm\">Custom CSS for global styles and per block</a>&nbsp;</li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qLf\">Google Fonts are included locally in bundled themes</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qPp\">Enhanced accessibility</a></li>\n\n\n\n<li>And much, much more</li>\n</ul>\n\n\n\n<p>These are also compiled into a <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">comprehensive WordPress 6.2 Field Guide</a>.&nbsp;&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Let&#8217;s go on a bug hunt!</h2>\n\n\n\n<p>Without your testing support, hitting important product milestones would be a much bigger challenge. It’s also a meaningful way to contribute to the project. If it’s your first time, or it’s been a while, <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">this detailed guide</a> is a great resource to lean on.&nbsp;</p>\n\n\n\n<p>From a global perspective, every time you test a pre-release version, you help secure the future of WordPress. How? By helping the community prove the software is stable, easy to use, and as bug-free as possible.&nbsp;</p>\n\n\n\n<p>Want to know more about testing releases in general? You can follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives</a> that happen in Make Core. You can also join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> on the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack workspace</a>.</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>Interested in the details on the latest Gutenberg features? Find out what’s been included since WordPress 6.1 (the last major release of WordPress). You will find more details in these <em>What’s new in Gutenberg</em> posts for <a href=\"https://make.wordpress.org/core/2023/02/10/whats-new-in-gutenberg-15-0-18-january-2/\">15.1</a>, <a href=\"https://make.wordpress.org/core/2023/01/20/whats-new-in-gutenberg-15-0-18-january/\">15.0</a>, <a href=\"https://make.wordpress.org/core/2023/01/04/whats-new-in-gutenberg-14-9-4-january/\">14.9</a>, <a href=\"https://make.wordpress.org/core/2022/12/22/whats-new-in-gutenberg-14-8-21-december/\">14.8</a>, <a href=\"https://make.wordpress.org/core/2022/12/09/whats-new-in-gutenberg-14-7-7-december/\">14.7</a>, <a href=\"https://make.wordpress.org/core/2022/11/23/whats-new-in-gutenberg-14-6-23-november/\">14.6</a>, <a href=\"https://make.wordpress.org/core/2022/11/09/whats-new-in-gutenberg-14-5-9-november/\">14.5</a>, <a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">14.4</a>, <a href=\"https://make.wordpress.org/core/2022/10/13/whats-new-in-gutenberg-14-3-12-october/\">14.3</a>, and <a href=\"https://make.wordpress.org/core/2022/09/30/whats-new-in-gutenberg-14-2-28-september/\">14.2</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">A special thanks to WordPress plugin and theme developers</h2>\n\n\n\n<p>Do you build plugins and themes?&nbsp;Your products play a special role in helping WordPress do more things for more people across the world. In turn, more people in the WordPress Community mean a bigger, more robust open web.</p>\n\n\n\n<p>Chances are, you have already been testing your latest versions against the WordPress 6.2 betas. With RC1, you will want to finalize your testing and update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.2.&nbsp;</p>\n\n\n\n<p>If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? ¿Español? Français? Português? Русский? 日本? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a> This release also marks the <a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a> point of the 6.2 release cycle.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Hungry for even more?</h2>\n\n\n\n<p>Want to know more about what went into the making of WordPress 6.2? Please check out the <a href=\"https://make.wordpress.org/core/6-2/\">6.2 release cycle</a>, the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a>, or search for <a href=\"https://make.wordpress.org/core/tag/6-2/\">all things 6.2 related</a>.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Another haiku for 6.2—it’s tradition!&nbsp;</h2>\n\n\n\n<pre class=\"wp-block-verse\">Beta has left us<br>The code sings such happy songs<br>Six point two RC</pre>\n\n\n\n<p><em>Thank you to the following contributors for collaborating on this post: </em><a href=\"https://profiles.wordpress.org/laurlittle/\"><em>@laurlittle</em></a><em> </em><a href=\"https://profiles.wordpress.org/cbringmann/\"><em>@cbringmann</em></a><em>, <a href=\"https://profiles.wordpress.org/audrasjb/\">@audrasjb</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">@jpantani</a>. Haiku by @<a href=\"https://github.com/nomad-skateboarding-dev\">nomad-skateboarding-dev</a></em>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14619\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"Your WordPress 6.2 Preview\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Mar 2023 17:11:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:3:\"6.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14573\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:179:\"Watch this ‘live product demo’ recording with release squad members Anne McCarthy and Rich Tabor as they share exciting enhancements anticipated for the WordPress 6.2 release.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:67367:\"\n<p>On March 2, release squad members <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> and <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> presented a live product demo of all the delights coming in WordPress 6.2, set to release on March 28, 2023.&nbsp;</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-videopress wp-block-embed-videopress\"><div class=\"wp-block-embed__wrapper\">\n<iframe title=\"VideoPress Video Player\" aria-label=\'VideoPress Video Player\' width=\'500\' height=\'315\' src=\'https://video.wordpress.com/embed/5nQlEknZ?at=31&amp;hd=1&amp;cover=1\' frameborder=\'0\' allowfullscreen allow=\'clipboard-write\'></iframe><script src=\'https://v0.wordpress.com/js/next/videopress-iframe.js?m=1674852142\'></script>\n</div></figure>\n\n\n\n<p>A first-of-its-kind event in the world of WordPress releases, the showcase was moderated by fellow community member <a href=\"https://profiles.wordpress.org/njwrigley/\">Nathan Wrigley</a> and joined by nearly 90 participants.&nbsp;</p>\n\n\n\n<p>During the demo, Anne and Rich highlighted some of the new features and enhancements that will continue to revolutionize the way you interact with WordPress. They gave a quick tour of the Site Editor’s refreshed interface, which lets you browse and preview templates before editing. They also covered all the new and highly anticipated ways to manage styles, as well as improvements to the Navigation block, new collections of header and footer patterns, the new distraction-free mode for focusing on writing, and plenty more.&nbsp;</p>\n\n\n\n<p>It was a jam-packed hour that sparked plenty of excitement—and a lively question and answer session that wrapped up the event on a high note. The presenters weren&#8217;t able to answer all the questions that were posed so they were <a href=\"https://a8c.slack.com/archives/C04S7RYK0F3/p1678330454722129?thread_ts=1678330090.320659&amp;cid=C04S7RYK0F3\">collected and answered in a follow-up post</a> on <a href=\"https://make.wordpress.org/core/\">Make.Wordpress.org/Core</a>.</p>\n\n\n\n<p>Watch the recording of the live demo in case you missed it, or want to relive the moment (and the funky fresh demo site designed by Rich). You can find a full transcript of the live demo below.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Referenced Resources</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/2https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/%201/6-2-live-product-demo/\">Live demo announcement</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">6.2 release roadmap</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Wrapping Phase 2 of the Gutenberg project</a><strong>&nbsp;</strong></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/02/wordpress-6-2-beta-1/\">6.2 release enters Beta 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/01/wordpress-6-2-beta-4/\">Beta 4 and the latest call for testing</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/47043\">Fixed/sticky positioning GitHub issue</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/\">Learn WordPress</a></li>\n\n\n\n<li>FSE theme developers on Twitch: <a href=\"https://www.twitch.tv/daisyonwp\">daisyonwp</a> and <a href=\"https://www.twitch.tv/ryanwelchercodes\">ryanwelchercodes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/intrinsic-design-theming-and-rethinking-how-to-design-with-wordpress/\">Intrinsic design, theming, and rethinking how to design with WordPress</a></li>\n\n\n\n<li><a href=\"https://github.com/annezazu\">Anne McCarthy on GitHub</a></li>\n\n\n\n<li>Learn WP workshop: <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/291813021/?isFirstPublish=true\">How to create a website on mobile</a></li>\n</ul>\n\n\n\n<p><em>Props to <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a> and <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a> for co-authoring and editing this post, <a href=\'https://profiles.wordpress.org/evarlese/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>evarlese</a>, <a href=\'https://profiles.wordpress.org/courtneypk/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>courtneypk</a>, and <a href=\'https://profiles.wordpress.org/mysweetcate/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mysweetcate</a> for captioning, and <a href=\'https://profiles.wordpress.org/robinwpdeveloper/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>robinwpdeveloper</a> for uploading the recording files to wordpress.tv.</em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14573\"></span>\n\n\n\n<pre class=\"wp-block-preformatted\"><strong>Nathan Wrigley </strong>0:22  <strong>\n</strong>How are we doing? Should we go for it?\n\n<strong>Anne McCarthy  </strong>0:24  <strong>\n</strong>I think we can start.\n\n<strong>Nathan Wrigley </strong> 0:26<strong> \n</strong>Why not? The recording has started. So let\'s get, let\'s get cracking.\n\nHello, welcome everybody to the WP 6.2 Live Demo outline. I\'m Nathan Wrigley. I do a few things around the WordPress community, mainly to do with video and podcasting and things like that. But it\'s not about me.\n\nToday, we\'ve got two fabulous guests. We\'ve got Anne McCarthy and Rich Tabor, and they\'re going to do a full on Product Demo. It\'s a little bit unlike things that you may have seen, because in the more recent past, lots of new features have been added. And so Rich, and Anne are going to spend the time on the screen in a moment, and they\'re going to show you all of the bits and pieces that you may find dropping into a WordPress install near you. Let\'s hope. There\'s been a lot that\'s been happening, so there really will be probably 20 or 30 minutes of live demos, so look forward to that. I\'ve got to get them to introduce themselves in a couple of moments.\n\nJust before that, though, a little bit of housekeeping. This is going to be recorded, so if you have to drop out halfway through and go elsewhere, completely fine. It\'s going to be posted at the Make/Core website, but it will also come fully complete with a transcript as well. So, if that\'s something that you\'re looking for, that will all be there. Also to say that if you want to post any questions, we\'d love that. In fact, there\'s a whole portion at the end when Rich and Anne have finished speaking, where we\'re going to field questions toward them. Now there\'s really two places to do that. If you\'re live with us on Zoom, then if you hit the Q&amp;A button at the bottom of the screen and post your questions in there, I guess specifity... specific... Whatever that word is, be specific. Help us out. Tell us exactly what you want to know and we\'ll get the questions to them. The other way to do that is to go into Slack. And there is a channel in there, #walkthrough. And if you want to post any questions in there as well, that would be great. So yeah, just to recap, Q&amp;A button if you\'re in Zoom, and use the Slack #walkthrough channel, if you are in the Making WordPress Slack. Okay, right. I think we\'ll take you guys one at a time if that\'s alright. First off a little bit of an introduction from both of you. Let\'s begin with with Anne McCarthy, shall we? Hello, Anne!\n\n<strong>Anne McCarthy  </strong>2:42<strong>\n</strong>Hello, hello. It\'s so good to be back on literally any sort of live stream with you.\n\nI appreciate that you\'re a part of this\n\n<strong>Nathan Wrigley </strong> 2:48<strong> \n</strong>Yeah, that\'s really nice.\n\n<strong>Anne McCarthy  </strong>2:49<strong>\n</strong>Well, I\'m Anne McCarthy. I\'m a product wrangler at Automattic. I live in Seattle. I also run the FSE Outreach Program, which is basically dedicated to testing all the latest and greatest of WordPress, which is part of why I\'m so excited to be part of this demo, is because so much neat stuff has come through this that I\'ve had the privilege of going through a little bit early on with the ever growing calls for testing. So that\'s a little bit about me, I\'ll pop it over to Rich.\n\n<strong>Nathan Wrigley  </strong>3:17<strong>\n</strong>Yeah. So Rich, if you want to take the baton there.\n\n<strong>Rich Tabor  </strong>3:21<strong>\n</strong>Yeah. Hey, everyone. I\'m Rich Tabor. I\'m a product manager at Automattic. And I work on WordPress and Gutenberg, in particular. From a little bit south of Atlanta, Georgia, in the US, and been building and tinkering with WordPress for I think, close to 11 years now. So it\'s, it\'s been a good run, and I\'m super stoked about where things are heading.\n\n<strong>Nathan Wrigley  </strong>3:43<strong>\n</strong>Yeah, and things definitely have been moving in a very much a forward direction, WordPress, 6.1. And WordPress 6.2. There\'s so much clear blue sky between the two of them. I think probably the best thing at this point is if we can have it, I don\'t know what whose screen is coming on. I think it might be Rich\'s, or maybe it\'s Anne\'s, I don\'t know.\n\n<strong>Rich Tabor  </strong>4:00<strong>\n</strong>Yeah.\n\n<strong>Nathan Wrigley  </strong>4:01<strong>\n</strong>If we can get that screen shared, then I will slide my way out of this call and say, Rich and Anne, it\'s... it\'s over to you. I\'ll be back soon as you\'re finished for any Q&amp;As.\n\n<strong>Anne McCarthy  </strong>4:14<strong>\n</strong>Awesome. Thank you.\n\n<strong>Rich Tabor  </strong>4:17<strong>\n</strong>Alright, everybody can see my screen right now?\n\n<strong>Anne McCarthy  </strong>4:19 <strong>\n</strong>Yes. Rich did an excellent job designing this. I do want to call this out that I love, absolutely love this.\n\n<strong>Rich Tabor  </strong>4:26<strong>\n</strong>Thanks, Anne. Yeah, this is actually running Twenty Twenty-Three. So it\'s kind of showcasing some of the things you can do just with the core theme. And some of the design tooling that we are, that has been built into 6.2. So this view here is the site editor. So I\'m going to orient you here. There\'s one big change here in particular, I want to call out visually, is this idea of the frame here on the right, and this will pull up the local template. So I\'m looking at my homepage of the site right now. If I navigate into other templates, I can pull those up here on the right as well. And then you can also navigate template parts. So this part\'s not very new to 6.2. But the idea of zooming in on different template parts and templates and having them appear here in the frame is. And that\'s important because of this concept of browse mode. And this is where you could dive into an actual page from the site editor. So here, I just pulled up the about page of the site, and I can click into it and actually start making changes. Now, the changes here within the post content block are going to be relative to this about page. But I can also modify the template which then changes the about, or changes the page on any instance of this particular template. So it\'s a new concept and how we can browse the site. But it\'s a very powerful, and really the first iteration of that way of managing a site.\n\n<strong>Anne McCarthy  </strong>5:50<strong>\n</strong>And also lightly introduced content editing in the site editor, as you mentioned. So it\'s a kind of a neat merging of the two worlds, which I know folks have long been wanting to see that unified. And same with the frame, it kind of adds a nice layer where instead of just being dropped in, like before, you kind of are given a more zoomed out view, which I think helps address a lot of the feedback that we saw around the orientation when you\'re entering the site editor.\n\n<strong>Rich Tabor  </strong>6:12 <strong>\n</strong>Yeah, exactly. And really, if we think a little bit further out than 6.2, this could also house setting to use. So we do have, you know, one view here that that is relative to 6.1, where you can see all of your different templates. But imagine if we had any other different types of settings and controls and different pages loaded within here, doesn\'t have to be just the front end templates and renders of your site.\n\nAlright, so we\'re gonna dive into this here. So you can go into it just by clicking on the frame. I\'ll do that one more time just to show, you just click on it. And now you entered right into it. You can edit it right off, so we can make changes, just as if we zoomed into it in the other way in 6.1. And then we have a bunch of styling tools that have been added to 6.2, so I want to kind of hone in on these. Like, this panel itself is not new. We have style variations, you can zoom in here, we\'ve got this new zoomed out view, where you can apply different ones at a time. And then we also have this icon here, which triggers the style book. Now the style book is a very interesting tool here that really lets you customize the theme\'s style guide, essentially. So I can go through each of these tabs, which are relative to the block categories, and see all of the blocks loaded on this particular site. So right here, I\'ve got like Button blocks and Columns block and whatnot. So if I click on one of these, it\'ll pull up the Style panel of that particular block. And then when I make changes over here, these are applied globally throughout my entire site. So if I want to change the way this button looks, let\'s say we do some smaller tags, maybe we\'ll add a little bit of letter spacing, and maybe make it capitalized. See, it\'s getting applied everywhere that the button is used. Also do some changes here to padding, perhaps. We\'ll do something custom here. I think that looks nice. And now...\n\n<strong>Anne McCarthy </strong> 8:13\nReal quick while you\'re doing this, I wanted to note that like this is something that folks have really struggled with previously with the site editor, where if you\'re editing a block that isn\'t in the template already, you\'re not able to see this. So as Rich is showing, you can actually look at any block that\'s being used in your theme and see how the change that you\'re making in styles will impact that. Where before, if the block wasn\'t present in that template that you were editing, it was hard to know exactly what was happening. And so now you have both the style book and this inline preview that you see in the Style section to rely upon, which is pretty neat.\n\n<strong>Rich Tabor</strong>  8:43\nYeah, exactly. And really, you could theoretically go in and design your entire theme with the style book. Now, I know there\'s some advantage to design in context of pages and whatnot. And I\'ll go into that in a bit. But the idea is that you really can quickly browse through all of the different blocks and tighten up what you want to within these controls. And it\'s not limited to the standard variation as well. There\'s also these style variations of each block that you can now manipulate as well. So we\'re gonna go in, say, we\'ll change the radius of this one. So we want it to be sharp like our other button. But we have these new controls. Like, this is a shadow control we\'ve added in 6.2, where you can apply, say, like this shadow here might be nice. This one here, and so some fallback shadows, within core that a theme can provide as well, its own values. But this now will apply for every single variation of the outline on my site here.\n\n<strong>Anne McCarthy  </strong>9:39 \nAnd you\'ll notice that it\'s not in the style book right now. And that\'s just part of the future feature development is showing the variations of blocks as well.\n\n<strong>Rich Tabor </strong> 9:47\nExactly, yes, I would imagine that this would this would show up the variations of the button block, yeah. Which is a nice way to really customize these, like it used to be only CSS would be used to manipulate these variations here. And now it kind of abstracts that away and you can do it within the editing experience. That\'s really nice. It really is. There\'s also this idea of block CSS, so you can add custom CSS that is scoped to a particular block. So if I add CSS here, it\'ll be applied for the button block wherever it\'s used. Now, I wouldn\'t recommend using additional CSS in most cases. I would, I would suggest using all the different controls that we\'ve built, that are built into 6.2. But the idea of using CSS to add a little pizzazz to this particular button block is fine. But just with that caveat that you wouldn\'t want to use it exclusively. Like I wouldn\'t apply a background color via CSS, I would rather use the background elements color here. There\'s also additional CSS, which emulates what was previously in the customizer. So we do have site wide CSS that can be applied within the site editor and also on the front end of your site. Again, I wouldn\'t emphasize using this exclusively, as there are a lot of new design tools that I would explore first, from the top level styles here where you can apply colors to the background, text and buttons. But if there was anything extra you wanted to add, you could do so within the stylesheet here.\n\n<strong>Anne McCarthy </strong> 11:21\nAnd I\'ll note we\'d love to hear feedback if there are certain things that you\'re repeatedly adding custom CSS for. So either commenting on a currently open issue, or if you don\'t find one, opening an issue would be super helpful, because it\'s neat to see what folks are using for CSS so we can fill those gaps.\n\n<strong>Rich Tabor </strong> 11:36\nYeah, exactly. So that\'s the global Style panel here. But there are some quite a few other improvements along with styling. So the first is the idea of pushing styles globally. So if I\'m in here, and I\'m designing, let\'s say I want to add a radius, I want to do some different typography as to appearance like this, like bold, italic look. And then we\'ll also...\n\n<strong>Anne McCarthy  </strong>12:07\nThat\'s cool.\n\n<strong>Rich Tabor  </strong>12:07\nThanks. Also, let me make the letter spacing, maybe we\'ll make it a little bit bigger, actually, and then, I think that\'ll work. Do these changes here and see I\'ve just styled this one particular block this button up here. And this button down here is still using the global styles that we designed earlier. But now I can go through my settings panel here and hit Apply globally. And I\'m going to here so we can see that happen. The styles are now pushed globally to all the other blocks. So this is really helpful for when you\'re designing in flow. And you don\'t necessarily want to abstract out into the style book and you want to push your changes that you just did here, because you like the way the button looks and want those applied everywhere, all at once. I think this is really powerful way to to quickly design within the editor. Another tool that is quite useful, I\'m going to take this heading here and manipulate this. It\'s the idea of copying and pasting styling. So we\'re going to use that same bold italic look, maybe we\'ll make that a little smaller, we can even manipulate this size to be a little bigger. Now we go here to copy styles. And then I can come all the way down here to this other heading that\'s very similar, and paste it in. And there we have that style applied just to these two headers. And you would do this when you don\'t necessarily want every single heading to have this effect. But perhaps there are like elements on this page that you want to push those changes to, specifically. So copying and pasting allows you to be very granular, whereas applying styling globally, lets you be more of a holistic design experience for pushing styles. Another neat...\n\n<strong>Anne McCarthy  </strong>13:57 \nOh, real quick, I just wanted to know like I think one of the things that\'s interesting is, as we\'ve added more design options to blocks like this is part of the experience of scaling things and making it easier to use. So when we think about like intuitive and delightful. Some of these tools coming into 6.2 really take you know, the tons of design tools that we\'ve added over the last couple releases and makes it easy so you can actually tweak things and then reuse. So I think that\'s one of the things I want to call out is it\'s kind of this crescendo. Where now the tools that are coming to 6.2 to really ease the experience and allow you to do a lot of neat stuff where rather than having to re-tweak everything through every single heading block. A lot of stuff is used. So...\n\n<strong>Rich Tabor  </strong>14:34\nYeah, exactly. WordPress is moving towards a design tool and less of like, what you see is what you can only have. It\'s more of an expression of creativity and it really does open up the doors for for designing beautiful pages on the web. I think it\'s really powerful.\n\nAnother cool bit that we\'ve added is the idea of sticky positioning. So headers would be nice sometimes if they stick to the top, so for top level group blocks, this is a group block here, there\'s this new position attribute where you can assign it to sticky. And as you can see, right in the editor, it\'s already showing me that this is sticky on the front end. And also here as well. It\'s only available for top level blocks for now, there\'s still some some odd stuff to figure out on how we communicate when something is not going to stick due to the the parent height of the elements around it. But for top level, it\'s still fine. So we have it here. But there are some iterations that are already happening for the next release that will kind of bring this into more, bring some more capabilities to this particular feature.\n\n<strong>Anne McCarthy  </strong>15:44 \nYeah, and I\'m very excited because one of the things I wanted to briefly call out was the how the header, the template part has that purple. So another neat thing coming to this release, that was a big part of feedback for the outreach program was having to look parts and reusable blocks having a different coloring, because there are different kinds of blocks are synced across the site, when you make little changes and impacts everything everywhere. So that\'s another neat thing that\'s coming with this release, is that you can kind of see those a bit differently in the List view as well as when you\'re in the editor. I see Nathan has his hand raised. Is that intentional? Oh, it\'s removed. Okay.\n\n<strong>Nathan Wrigley </strong> 16:23 \nIt was not intentional. That\'s my mistake. I\'m sorry.\n\n<strong>Rich Tabor </strong> 16:28 \nYeah, it helps you see quickly too like, what is the template part, particularly for headers and footers, it makes it easier to browse quickly.\n\nSo speaking of template parts, and patterns in particular, so headers and footers, are new patterns added within WordPress 6.2. And now that they\'re loaded, actually from the pattern directory, which is kind of neat. And I\'m going to show you how to replace a footer with one of those other patterns. So if you have your footer template parts selected, you can go to replace footer. Now this flow is not new to 6.2, but it\'s going to call out these other improvements. And then you just click one there, and you have it loaded here, that\'s the site logo that I\'m using up here as well. And you can modify this text without having to do any any funky PHP filters or moving actual templates. And if you want to change it again, you go back to replace say, let\'s pick this other one, let\'s try this one. It\'s kind of nice. And there\'s this focus view, or you can zoom in to just the footer itself. You can even check the responsiveness of it and see how it, how it reacts on mobile, and make any of your changes here and have those persist over to the actual template whenever you close it out. It\'s a nice way to really kind of clean up the editing experience. So you\'re not seeing this entire group of groups and instead kind of focusing on what you\'re actually wanting to complete. You can do the same for the header as well.\n\n<strong>Anne McCarthy  </strong>18:01\nYeah, and as Rich mentioned, there are some new patterns that are being bundled from the directory, which I think are really extensive. Regardless of what theme you\'re using, there\'s going to be some pattern for group patterns that help democratize design where you can use them in anything.\n\n<strong>Rich Tabor  </strong>18:15\nYes, that\'s right. All right. So navigation. Navigation has gone under a... quite a bit of work in the last a couple of months. And really, this is all about trying to make it easier to manage your site\'s navigation and also add pages and links and then even styling. So there\'s this new dedicated list view for the navigation block. So it\'s essentially emulating a little bit of what\'s available over here except for you had to kind of get down to it. Now it brings it top of mine and the surface area here. You can drag them around, move them up and down, even add submenu links and remove them as well. And then you can style it like normal. And now apply different styles via the styles tab to the block itself, or even individual page links and whatnot, you can dive into them and manage them all from here, instead of having to only manage them from up here. This really kind of abstracts the complexity from from this particular canvas interface into a more familiar interface here on the sidebar. It\'s really a great effort. And it\'s it\'s taken some time to refine but it\'s getting there and it\'s feels a lot nicer.\n\n<strong>Anne McCarthy  </strong>19:30 \nYeah, there\'s been a lot of good feedback about this as well just because it kind of is meant to marry the classic experience with bringing blocks into it. So it is in addition to being edit, editing on canvas, so if you really want to continue to edit as a block you still, you can continue to do that. But it does add a nice interface and the block settings where you\'re able to do it. And I\'ll briefly call out here the split settings, which we\'ll probably talk about later. But you\'ll see here for more complex blocks, there\'s some nice split settings making it a little bit easier, more intuitive to go through.\n\n<strong>Rich Tabor </strong> 20:02\nYeah, that\'s right. And if you take a look at navigation here, this is very similar to this component added here. And, and that\'s, that\'s purposeful, we want it to look and feel familiar. Either way you\'re managing navigation. So you can also add some menu items here, remove them and drag them around and reset them here, as well as browse into the individual pages. So that\'s what I have for the site editor portion of the demo. And did you have anything else you wanted to add to this, Anne?\n\n<strong>Anne McCarthy  </strong>20:37\nOh, could you resize the Browse mode for me? I just love the resizing. I think it\'s kind of cool. This is just like a fun, you know, thing to call out. But maybe you won\'t noticem but you can resize it. So as you\'re quickly going through your site, if you want to see how it looks in different ways, you can also do that. So that\'s the final thing I\'ll shout out.\n\n<strong>Rich Tabor  </strong>20:56\nYeah. So then, yeah, exactly. It\'s... there\'s a lot of fine, fine touches like that. Well, we can\'t obviously can\'t call them all out today. But it is really getting tightened up overall as an admin experience for the site.\n\n<strong>Anne McCarthy  </strong>21:12\nIt\'s such a great foundation in the future, for sure.\n\n<strong>Rich Tabor </strong> 21:15\nExactly, exactly. Alright, so if we press this back button here, it goes right back to the dashboard, I\'m gonna go and leave...\n\n<strong>Anne McCarthy </strong> 21:25\nThat back button was a big piece of feedback people had they would get into the site or not know how to get back out. So I appreciate you calling that out.\n\n<strong>Rich Tabor  </strong>21:32\nYeah, exactly. It\'s been through a number of iterations. And I think we\'ve settled on something that feels feels nice; it does feel nice.\n\n<strong>Anne McCarthy  </strong>21:41\nI agree.\n\n<strong>Rich Tabor  </strong>21:43\nSo...\n\n<strong>Anne McCarthy  </strong>21:44\nAh yes, the removal of the beta label.\n\n<strong>Rich Tabor  </strong>21:46\nYou want to talk to this, Anne?\n\n<strong>Anne McCarthy  </strong>21:48\nYeah, I would love to jump in on this actually. So you\'ll notice that the beta label is removed for this release. And part of why we wanted to show it now is to see how all the features, how the experience has changed, how much more you can do. And all of that has led to the removal of the beta label. And that doesn\'t mean that feature development is done that it\'s like, you know, gonna stay this way forever, it just means it\'s in a place where we invite you all to try to the site editor, it is out of beta. And a lot of development work has gone into testing this. So we\'ve had almost, I think, 20 calls for testing with the outreach program. It\'s been through multiple major WordPress release cycles, there is still more work to be done. But I\'m very excited to see the beta label removed, I think the features that are coming to 6.2. And the foundation that is set with 6.2 really marks a level of maturity. That is pretty exciting. So consider this an invitation to try out modern WordPress, and to check it out.\n\n<strong>Rich Tabor</strong>  22:43\nA hundred percent, I couldn\'t have said it better.\n\nAlright, so another neat part that\'s added recently for 6.2 is this idea of distraction free mode. So it\'s not turned on by default, but I have it on so we can see the results here. So you can go in and type right here. And then actually, I\'m gonna throw in some Lorem here. So you can see it in action. So this feels more like a text editor and less like a Block Editor. Whenever distraction free mode is on even the the multi block selection, it feels really nice. It doesn\'t there\'s not this idea of blocks, even it\'s kind of abstracted from here, there\'s less noise, there\'s less distraction. And just think that the idea is that it\'s just you and your words, it\'s just writing and publishing. And if you want to publish, you can hover over here, you\'ll see the toolbar come down, you can hit Publish or draft. And then this is how you would turn it off and back on here. And then you still have control of all the existing tool. And it\'s just a much simpler, streamlined interface. And you do have access to blocks, you can still add them if you\'d like to, but the idea is just being able to write without the distractions is really powerful. And a really nice publishing experience overall.\n\n<strong>Anne McCarthy  </strong>24:08 \nAnd this is for everyone. So this is like a lot of stuff we\'re coming to say it or using a block theme. This is available for anyone who\'s using the Block Editor. And to be honest, I use this for basically all my writing now. Especially for any post or page, I typically will go into this mode. So I\'m very excited about this. And I hope folks feel the same way.\n\n<strong>Rich Tabor  </strong>24:28\nYeah, exactly. I\'ve been using that too for quite a bit. But the thing is, is also not only for post editing, so I have a page here that I\'ve created. And I have distraction free mode turned on, which kind of removes all the extraneous tooling and it really lets me focus in on the actual blocks here so I can manipulate them to an extent. I can even drop in different imagery for these images here and modify the buttons and whatnot and even add more blocks but the idea is it\'s almost like a simplified editing experience for pages as well, not only for posts. And here, I\'ll come up here and turn off distraction free mode to see it all in real time.\n\n<strong>Anne McCarthy  </strong>25:13  \nAnd this isn\'t yet available for the site editor, but I have a feeling a number of folks are going to be keen to see that put in there as well.\n\n<strong>Rich Tabor </strong> 25:20  \nExactly, yeah, I don\'t see why it wouldn\'t work in the site editor as well. I think it\'d be very nice. Yeah. So we have some other improvements here that are fun. So this inserter here has gotten a couple of changes here. So blocks looks familiar, it\'s still the same, but patterns is where we started seeing some changes. Instead of having some featured patterns loaded in a block category selector, we\'ve split them out individually as their categories here, you\'re gonna load up some of the different header patterns that are loaded in WordPress 6.2. So you can load them here and see them in this tray, and then click to add them to your site. Which is really nice, it\'s a nice way to kind of go through them quickly and see a bunch of different ones. We also have the media tab up here, which is new, which splits out the images from your Media Library, videos, and audio as well, including the Openverse library. So this is a catalogue of, I believe, over 600 million free, openly licensed stock imagery. And you could search from right here in the inserter. So let\'s type in birds. And click on one, and it will add an image block with the image already added to it, we have got the caption down here. If you don\'t want the caption, you just turn it off right here, this little control that was added. And now you can manipulate it right off. So let\'s say this, drop it into here. Maybe we\'ll make these about the same size and move it over to something interesting.\n\n<strong>Anne McCarthy  </strong>26:53\nAnd I\'ll note that there was a GDPR concern around the images being properly uploaded rather than hotlinked. And I wanted to just note that that\'s been addressed. So the images are uploaded to your Media Library. That\'s why. So in case anyone has that question. Sorry, continue.\n\n<strong>Rich Tabor  </strong>27:08\nYeah, no, that\'s a good point. It\'s very important. A key benefit to have this flow here is that instead of instead of having to add an image block, and then open your Media Library, and then pick an image, and then you have it here, it\'s really this one flow of searching visually, and searching here, as well. And then having it added as an image block already. So it kind of skipping all the extra steps that you always have to do anyhow, it\'s really nice. And we have a couple of interface changes. So there\'s the settings icon up here that used to be a cog, and now it represents the sidebar itself. So when you open it, the sidebar is triggered, if that\'s closed. And that\'s changed for a couple of reasons. But one of the bigger reasons is, as I mentioned earlier, this idea of split tabs, so we have the cog for settings. And that\'s when a block has additional settings that are not per the norm of the styles that are available within WordPress, then you\'ll have a new settings tab pulled out here. And that\'s to keep the density nice whenever you\'re editing and it feels good instead of having everything kind of in your face all at once. Now for other blocks, like the paragraph block, there\'s not additional settings, so automatically not included. The tabs up top and just be everything top level. But  when a third party plugin adds like a different settings panel, or even if you extend one of these core blocks that does not have one, and a detects one should be auto added as well. So it\'s kind of just like a nice, fluid way to continue improving the experience of editing within WordPress.\n\n<strong>Anne McCarthy </strong> 28:49\nYeah, so plugin authors can also kind of make sure where they want settings and styles to show that it shows up correctly. And there\'s a dev note about that as well.\n\n<strong>Rich Tabor  </strong>28:58\nYes, that\'s right, you can you can decide as when you\'re extending or adding your own inspector controls. That\'s what these are called here, whether or not they\'re included within styles or settings as well. Yeah.\n\nThen another smaller change that\'s kind of nice is this idea of pulling the outline from its own toolbar item up here into the list view. It\'s because they\'re very relative, you know, a list of all the blocks on your page, also an outline of what\'s going on. So they\'re combined now into this one view. We also have time to read word count and character count here, which is nice. And then this is a little guide here that just helps you understand the structure of the importance of the structure of the document and making sure that it is properly structured. All right, was there anything else that we wanted to add you think, Anne?\n\n<strong>Anne McCarthy  </strong>29:51\nI\'ll add one last call out just because I\'m trying to think about like little dev tidbits if you want to disable it prefers there is a way to disable Openverse as well I know that\'s always a concern. We add something it\'s like, okay, how do we get rid of because I don\'t want a client getting into it, there is a way to disable that is documented as well. The other thing is the pattern. So there\'s new categories, the patterns. And so query is now posts, a couple of things were merged, there\'s no call to action. And there\'s also some lovely, which I\'m gonna brag on Rich, again, some new text based, query patterns. We have a lot of visual patterns for the query loop, and now there\'s wonderful, more text focused ones, which I think is really exciting. And just another great way where patterns have evolved and patterns is obviously a huge part of the future building with WordPress. So I\'m very excited about those and keen to see just more variation with query loop, I think it\'s really powerful block to make easier to use. So I\'m excited to see it. Otherwise, I think that\'s, I think that covers a lot of what we were trying to go through.\n\n<strong>Rich Tabor </strong> 30:57\nYeah, and there\'s certainly more. There\'s a lot of interesting, minute details that are, you know, quality of life improvements around editing and designing. And we can\'t cover them all today. But it\'s just, there\'s a lot of exploratory ideas and cool, interesting pieces that have been the result of lots of feedback and lots of testing, like I mentioned earlier. And, you know, it\'s really a testament to open source and contributing and really working together as a team to make this thing we call WordPress ours and making it a brilliant publishing experience. So just thank you to everyone who\'s put in time ideas, effort, code, design, marketing, copy, all of that, and more to making this what it is. It wouldn\'t be possible without you.\n\n<strong>Anne McCarthy  </strong>31:46\nTotally agree. And thank you, Rich, for doing such an excellent job building this site and demoing all this.\n\n<strong>Nathan Wrigley  </strong>31:51  \nYeah, indeed. Thank you, Rich. Thank you, Anne. Just to let you know that, in theory, there\'s possibly up to about 25 minutes left. If anybody wishes to pose a question, we\'re going to do our best to get the answer directly from Rich and Anne. Whether that means putting the screen back on, I don\'t really know. But we\'ve got a few that have come in. The place to put those, it would appear that some people have figured out how to do that in Zoom. But if you go to the walkthrough channel, in the making WordPress Slack, you can post some questions in there and all things being equal, we\'ll get them raised as quickly as we can. So we\'ve got a few. In all honesty, because they\'ve been copied and pasted from various different places, I can\'t necessarily say who the name of the person is that sent them. But first question I\'ve got over here for either of you. It says when you save globally, under the Advanced tab, does this change the stylesheet? Interesting.\n\n<strong>Rich Tabor  </strong>32:54 \nSo this will change the attributes of the blocks. So if I throw in that example, there, I pushed the attributes of that one block globally. So they\'re applied to every block. So it does affect some styles, but not writing any style sheet or writing to the core style sheets.\n\n<strong>Nathan Wrigley  </strong>33:11\nCan I ask the question? It\'s not something that\'s been submitted by anybody else, but it just occurred to me that as you were clicking the global button, I just wondered if there was a \"get out\" from there. In other words, if you inadvertently click the global button, is there an undo option in there? In other words, can you back away from all of the buttons suddenly changing or all of the H1s? \n\n<strong>Anne McCarthy  </strong>33:32 \nYou do have to hit save after. You can\'t just hit Apply globally. You have to hit save, and that\'s where the multi-entity saving pops up. The multi-entity saving is kind of strange in that it\'s not good at discarding changes. So you basically would just have to like leave. Like it would be like, Whoops, I hit that. You probably also have to hit the undo. Like there\'s - those are the two kind of options. So, yeah.\n\n<strong>Rich Tabor </strong> 33:54 \nYeah. The undo is like a global thing. It works there as well. Yes.\n\n<strong>Anne McCarthy</strong>  33:58 \nAnd there\'s a reason that feature is hidden, like under Advanced and collapsed. That\'s not necessarily for everyone. But for folks who do like to tinker, it is available.\n\n<strong>Rich Tabor  </strong>34:08  \nRight. And it\'s also only available in the site editor as well. So it\'s the more the global view of editing your site is where you can access that. \n\n<strong>Nathan Wrigley  </strong>34:17  \nPerfect.\n\nOkay, so I have a question from Zoom. Is copying and pasting styles as demonstrated just for core blocks? They go on to say more, which I\'ll read out. Some blocks collect, some block collections have their own C&amp;P, and I\'m curious what might carry over, if anything? And then there\'s a follow up. Also, if CSS classes are assigned to a block, will applying global styles to a block be to all of the same block, i.e. H2? Or, hopefully, will a custom class allow for a more granular global CSS? There\'s a lot in that question, but if we start with the: is copying and pasting styles demonstrated just for core blocks?\n\n<strong>Rich Tabor  </strong>34:56  \nSo it works for blocks that have leveraged the block support system within core. So if you have opted your block into using background color, and text color, link color, any of the layout settings, anything that was in the styles tab, then all of those would get pushed to or get copied or pasted or even pushed to the global application of styles as well. Now, if there\'s, if a block has done its own sort of background color attributes, I don\'t know that those would persist as well. But if you use what\'s available in core, it\'s really one or two lines of JSON will get you the background color support that you need. \n\n<strong>Nathan Wrigley</strong>  35:35\nAnything to add to that, Anne?\n\n<strong>Anne McCarthy  </strong>35:37  \nNo, just another reason to rely on what core is building. So it\'s a another great example of how these features will work together and how adoption helps whenever these new things come out.\n\n<strong>Nathan Wrigley  </strong>35:49  \nOkay, so we\'ll go on to the next question then. So this is from Zoom, and apologies, I don\'t know your name. Can we have this as a feature request? Can we have sticky sidebar block for some groups next release, please? \n\n<strong>Anne McCarthy </strong> 36:05 \nProbably would do a separate block, I\'m guessing. Yeah, do you have anything to add to that?\n\n<strong>Rich Tabor</strong>  36:11\nYeah, I would say we wouldn\'t need a sticky sidebar block. Right now that group lock in top level-only does support position sticky. And the only reason it was turned off like we did have it on for one of the Gutenberg releases for everything - for every group block - but it was turned off just because there was too much confusion around if you had a sticky element that wasn\'t didn\'t have enough space to stick for and enough height to stick. So it wouldn\'t actually be sticking. You wouldn\'t see a result of you applying a sticky position to it. So I think we can figure that out with some some UX to really clean that experience up so that you do expect and understand what\'s going on. When you apply that to a block. That\'s not the root level of the document. So it\'ll be there. It just takes a little bit more iteration.\n\n<strong>Nathan Wrigley</strong>  37:00\nOkay, another question. This time from Slack. When there are changes made in the site editor, are the templates still marked with the blue dots to indicate that the changes are in the database?\n\n<strong>Rich Tabor  </strong>37:14\nYes, from that Manage Templates view that I shared in the canvas, it will show up just like it did previously, when there are changes to one of the templates provided by the theme.\n\n<strong>Anne McCarthy </strong> 37:25\nYou can revert the changes, as well, as you\'re used to doing.\n\n<strong>Nathan Wrigley </strong> 37:30\nOkay, thank you. Anne\'s shared a link related to the question that we just posted. I don\'t know how Zoom works well enough to whether or not we can share the screen. \n\n<strong>Anne McCarthy  </strong>37:40\nI can briefly share my screen. \n\n<strong>Nathan Wrigley  </strong>37:42\nYeah, that\'d be great. Show us the GitHub.\n\n<strong>Anne McCarthy </strong> 37:43\nLet me try that. I just wanted to mention this in case people want to follow along in the follow up tasks related to this. I love to look at links. I\'m a nerd like that. So in case anyone else is, this is a lot of the follow up tasks and a great issue to chime in on or just follow if you\'re interested in this because there are some improvements to be made. But this is a neat report for now. So it\'s - oh, I just copied and pasted. So it\'s issue number 47043 in the GitHub repo.\n\n<strong>Nathan Wrigley </strong> 38:11\nSo 47043 related to the question that we just had. Okay, so another one from Zoom. This is Robin, who asked the question, can you show? It\'s just moved on my screen. There we go. Can you show us how to trigger the focus mode to view, say, for example, the footer on its own? So I guess we\'re back on the screen again.\n\n<strong>Rich Tabor  </strong>38:34\nSure. Everyone can see? Yep. So when you have a template part selected, you just hit the Edit button here and then it\'s focused into that as well. And then you have, again, the responsive controls here. All the existing controls, it\'s just localized to this template part.\n\n<strong>Nathan Wrigley  </strong>38:54\nHopefully that answers your question. Thank you, Robin. Just for anybody who\'s kind of lurking who has a question but hasn\'t yet posted it, please do. What are the chances that you\'re going to get Rich and Anne on the on the phone in the next few weeks? Pretty minimal, I\'d say, so make use of them while they\'re here. Ellen has done just that. She\'s in Slack. Ellen says, is there a plan to allow no title templates in the block editor as they are still included even in header and footer-only templates?\n\n<strong>Rich Tabor</strong>  39:28\nNo title templates. Like templates without a title? I\'m not quite.\n\n<strong>Anne McCarthy </strong> 39:35\nYou can just remove that block. \n\n<strong>Rich Tabor  </strong>39:36\nYeah, you can you can remove the post title block from a template. I\'m not quite sure if that\'s if that\'s what the question is asking.\n\n<strong>Nathan Wrigley  </strong>39:46\nEllen, if you\'re still in Slack and watching this, if you heard Rich and Anne queerying that, then if you can give some more clarity, we\'ll endeavor to get that answered.\n\n<strong>Anne McCarthy</strong>  39:57\nKnowing Ellen she knows exactly how to remove things. So I\'m like, I\'m curious. I\'m definitely - we\'re misinterpreting something because she\'s very - Not showing the title in the editor...?\n\n<strong>Nathan Wrigley  </strong>40:07\nYeah. Not showing the title in the editor. She says she\'s here. \n\n<strong>Anne McCarthy  </strong>40:12  \nI\'m like, \"Say more.\" \n\n<strong>Nathan Wrigley </strong> 40:14 \nYeah. Give us more. Give us more Ellen, and we\'ll get right back to you.\n\n<strong>Anne McCarthy  </strong>40:17\nLet\'s follow back up on that, because Ellen always has some good questions and good feedback.\n\n<strong>Nathan Wrigley</strong>  40:21\nAll right. We\'ll do just that. Again, another question from Zoom. This is posed by some anonymous person. Will the list views icon get the same treatment as settings?\n\n<strong>Rich Tabor  </strong>40:33\nI don\'t think it\'s in the plans. I don\'t think there are plans to change that. But list view icon, it\'s always the list view. So when you toggle it on and off, it\'s relative to what it is. Whereas on the other side, the settings can be block settings, page settings, template settings. Global styles is in that same area. So it\'s a little bit more context for the list view to stay a list view item.\n\n<strong>Anne McCarthy  </strong>40:58\nAnd I know that the question came up because the settings icon looks like there\'s that sidebar. And so there are who people have been asking like, will the same thing happened over here? Just for context. That was part of a discussion in a different GitHub issue.\n\n<strong>Nathan Wrigley </strong> 41:12\nOkay, thank you very much. I appreciate very much those people who are posing questions. That\'s really great. Again, just to prod you once more, feel free to add your own questions in no matter how big or small they are. We\'re here to help. So now we have a question on Zoom from Abdullah. And he coincides beautifully with a question I\'ve written down. Any good resources to learn FSE theme-based development? Can either of you point to a particularly good resource that you know of?\n\n<strong>Anne McCarthy  </strong>41:41\nYeah, Learn WordPress. There\'s tons of stuff on Learn WordPress that I would recommend. I also, Daisy Olson, who\'s Developer Relations at Automattic, has a Twitch stream going and some YouTube videos around block theme development. But I would recommend going to Learn WordPress. There\'s also some contributor-led initiatives. Carolina, who\'s one of the theme folks has, I think, it\'s fullsiteediting.com. And that was kind of like the original, go-to resource. And she\'s done an incredible job working on that and keeping it up to date. So yeah, there\'s tons of tons of resources. I will spare you from from sharing more, I don\'t know, Rich, you have more hands-on experience there. What\'s the most helpful for you?\n\n<strong>Rich Tabor</strong>  42:22\nYeah, there\'s some really great tutorials and guides on Learn that are relatively new, that are really helpful. And I see that the team there has been really cranking it out on the last year or two, like really putting a lot of effort into this. So I would, I would start there.\n\n<strong>Nathan Wrigley  </strong>42:38\nSo if you\'re not familiar with that, I guess it would be apropos to say go to your browser of choice and type in learn.wordpress.org and go and explore. Basically, there\'s a ton of materials that are getting updated on what feels like a daily basis at the moment. So, once more, learn.wordpress.org. Go and check that out. But also, Anne in the chat that we\'ve got going on here has linked to Daisy Olsen\'s Twitch channel, which - I\'m just going to read it out but hopefully I\'ll make it into the transcript. twitch.tv/DaisyonWP. And it\'s all one word. D-A-I-S-Y-O-N-W-P. Daisy on WP. So there\'s two great places to go. But the learn.wordpress.org is perfect.\n\n<strong>Anne McCarthy </strong> 43:24  \nI have to add one more thing, which is if you\'re not fully ready for block themes, one of the big things that I feel like needs to be emphasized more is you can gradually adopt. So all these features are being done. But maybe you want to only give access to a client to edit the header. You can do that. Maybe you want to leverage theme.json in your classic theme, you can do that. If you want to expose the template editor.\n\nBut use the rest of your themes across them, you can do that. So I want to also encourage folks to look into resources around gradual adoption, because it makes sense that this stuff isn\'t - From day one, there has been a focus on that. Adopt what you what you want, when you want and it\'s going to make sense to different people at different times. Matías once said that to me, and I think it rings really true. And so now that we\'re at this level of maturity, I think we\'re looking again and revisiting again, like okay, what can I use? What do I want to use? I think it\'s really important to mention. So if you\'re not ready to go all in, I encourage you not to just wipe it all away, but to think about how you can gradually adopt and also what would help you gradually adopt. So there is actually a label on GitHub started a couple months ago around - It\'s called blocks adoption. So if there\'s something that you see that you\'re trying to adopt the site editor, and it\'s preventing you from doing so, like we want to know about that. And you\'re welcome - I\'m going to just put this out here - @annezazu is my GitHub username, feel free to just like @ annezazu, \". This is blocking me from using the site editor.\" We want to know these things. Open issues. Please share, because that is also part of the phase of this work is making sure people can adopt as they can and that the tools are robust. There\'s a ton of resources as well. There\'s a page in the Theme Handbook around gradually adopting to block themes. So I just wanted to call that out.\n\n<strong>Nathan Wrigley </strong> 45:06 \nAnd just one more time, what was that? Give us, the give us the username.\n\n<strong>Anne McCarthy  </strong>45:11<strong>\n</strong>A-N-N-E-Z-A-Z-U. So like Zazu from The Lion King. It\'s an inside joke from middle school.\n\n<strong>Nathan Wrigley </strong> 45:19\nOkay, possibly the shortest question. This is from Sandy, I should say, Can Lotties be added to 6.2?\n\n<strong>Rich Tabor</strong>  45:28\nI would say that I did a quick search a few minutes ago and there are various blocks built by the community, which do allow you to add or embed LottieFiles to your site. I haven\'t tested any myself but feel free to dig into those. And if they\'re open source, they can contribute ideas or feedback on on those GitHub repos.\n\n<strong>Nathan Wrigley </strong> 45:49\nThank you very much. And Eagle has posted a question. When there are changes made in the site editor, are the templates still marked up - Did we have that one? We have, right? We\'ve done that. \n\n<strong>Anne McCarthy </strong> 46:01\nWe answered that one. Yeah.\n\n<strong>Nathan Wrigley</strong>  46:02\nI think we did. Okay, moving on directly then to Ian, what is - oh! Okay, what is the philosophy for mobile in the editor? Are there any plans to have a mobile view?\n\n<strong>Anne McCarthy </strong> 46:16\nThat\'s part of the dragging and resizing. And there\'s a lot of work being done around intrinsic design. And you can see on the developer.wordpress.org? What is the blog? I think it\'s /news. Do you hear audio?\n\n<strong>Nathan Wrigley  </strong>46:35\nI hear only your audio. I don\'t hear anything I don\'t wish.\n\n<strong>Anne McCarthy</strong>  46:36\nOkay, sorry. Something just started playing in the background out of nowhere and that just scared me. It\'s like all of a sudden, I was like, woah! Where was I?\n\n<strong>Nathan Wrigley </strong> 46:50\nSo we were talking about mobile views?\n\n<strong>Anne McCarthy </strong> 46:53\nYes, intrinsic design. There is a developer blog that if you\'re not following that, you definitely should, that addresses this around, basically showing that the mobile view points have exploded over time. It\'s now really not sustainable to try and have CSS and all this sort of stuff, mobile queries allowing for each view. So instead, how can we think about intrinsic design? And so that\'s like the best answer I can give. And for now, there is this nice resizing that you can do to kind of see how things scale. 6.1 introduced fluid typography, which was really exciting and part of this larger, intrinsic design set up. And I think we\'ll expect to see more of that over time. Sorry, for the brief mental break.\n\n<strong>Nathan Wrigley  </strong>47:36\nJust a quick reminder, we probably got 5, 6, 7 minutes or something like that before we start to wrap things up. So if you\'ve got any questions, please, please do post them in here. We have one from Paul who asks, is there any more work planned for pattern management in the future? And then WP Engine has released a plugin allowing easier management of patterns recently, I believe that was yesterday, it would be good to know if we should wait for core or assume that nothing else is coming soon.\n\n<strong>Rich Tabor  </strong>48:07\nYeah, I would say that pattern management is an important part of this new WordPress experience and having a way to create and manage local patterns, but also maybe push them to the pattern directory. And then on top of that, having a functionality built in where - it\'s kind of like a component based system where you have patterns where the design is the same across patterns, but content can change. All of that kind of falls into the same category of work. And that is something I believe WordPress will eventually do as well.\n\n<strong>Nathan Wrigley</strong>  48:41\nOkay, we\'ve got no more questions on the screen. So I\'m going to ask a question, if that\'s all right. You were demonstrating the distraction-free mode there where you could move things up, move things down, and resize pictures and images and so on. I was just wondering what the constraints on that are. So in the case of images, I could see that you could resize things. And with the text, I could see that you could, you know, highlight things and start typing wherever you wish. But I just wondered how the decisions had been made to set those parameters and those only. So yeah, around that, what\'s available in distraction-free mode? What limitations are there?\n\n<strong>Rich Tabor  </strong>49:17<strong>\n</strong>I would say, generally, it\'s what\'s available is what happens when you click on a block. The tooling is there available on the canvas before so resizing was available on the image but not the toolbar. So the resizing is still available when you\'re in distraction-free, but maybe not adding the caption piece or you know, those other toolings. It\'s almost like the content locking or content only locking API. It\'s very similar to that in a sense, but a little bit more tightened up.  Where just text and dropping in images - you can\'t necessarily open the Media Library from there unless you dive out of it. But you can drop another image onto that existing image to replace it. Some things like that.\n\n<strong>Nathan Wrigley  </strong>49:59<strong>\n</strong>It looks like a really excellent interface for people who just, well, want to concentrate on their writing. It sounds like Anne\'s all in on it.\n\n<strong>Anne McCarthy</strong>  50:05\nI use it every single day. It\'s amazing.\n\n<strong>Nathan Wrigley </strong> 50:09  \nIt almost felt like a Google doc minus all the bits and pieces at the top. Yeah, really, really nice. Okay, so we have some more questions. Weston is asking, what about optimizing the experience of editing using a mobile device on the web? So I guess that\'s a little bit maybe the question that we had earlier. How can... we how can we do things on a actual mobile device? \n\n<strong>Anne McCarthy </strong> 50:30\nThat\'s a great question. There are mobile apps. So there is the mobile team and using the mobile apps. I personally don\'t use mobile apps and sometimes will edit things from Safari on my iPhone SE 2.\n\nI actually was talking to someone - their username is Nomad Skateboarding. And from what I understand, he only builds client sites from his phone. And so one of the things I said to him, I was like, \"Give us your feedback. That\'s really cool. It\'s really unique. That\'s fantastic. Like, what pain points you\'re running into, what can we improve?\" Because there is obviously like, we are in a mobile first world. My phone is sitting right next to me. I would love to hear particular pain points folks have when trying to edit in that way. You can obviously use the apps. There are some quirks with the site editor, and that I know is partially being looked into and resolved. But yeah, I think there are probably - what we\'re building now should always translate back and there are teams trying to sync back and forth. And there was a recent post from the mobile team talking about what\'s the future of mobile editing. And so I would recommend - it\'s somewhere on Make/Core. I recommend digging that up and getting involved and honestly sharing your feedback. Because I don\'t think that is an experience that we talked about enough personally.\n\nIt\'s a great question. \n\n<strong>Nathan Wrigley  </strong>51:40\nRich, anything or should we move on?\n\n<strong>Rich Tabor  </strong>51:42 \nI think that was great.\n\n<strong>Nathan Wrigley </strong> 51:44 \nOkay, perfect. Um, um, um. Okay, we have an anonymous question. It says as page speed is a big challenge, how are we optimizing the blocks for better LCP score?\n\n<strong>Anne McCarthy</strong>  52:00 \nThere are, some interesting - sorry, Rich, I don\'t know if you wanted to jump in. I was going to start link dropping. \n\n<strong>Rich Tabor  </strong>52:05 \nYeah, you go ahead. Yeah. \n\n<strong>Anne McCarthy  </strong>52:07  \nYeah, there\'s some interesting work from André. Part of it involves actually adding tracking and making sure there\'s really good front end metrics. So there\'s kind of a twofer going on. In one fell swoop, we\'re focusing on better tracking and improving the tracking that we have for performance, particularly the front end. And then at the same time, also work is being done to optimize like style sheets. There\'s been some really neat stuff in previous releases that I bet I can pull up if you\'ll give me one moment.\n\n<strong>Nathan Wrigley  </strong>52:36\nYeah, whilst you try to find that, Anne, I think it\'s probably important to say that, if there are any questions which you wish to have answered which don\'t somehow get answered in the next few moments, then there will be posts created around this piece. So anything that goes missing, any question that is unanswered, there will be endeavours to get them answered. Right? Okay, show us what you got, Anne.\n\n<strong>Anne McCarthy  </strong>53:00  \nYeah. So this was a post I did for 5.9, in conjunction with a whole ton of folks who contributed and actually did this work, I just was kind of gathering it up. But you\'ll see sections here around block style sheets and CSS loading. And honestly, a lot of the work with the styles engine, which is part of the global styles project, can help give a lot of opportunity to actually improve this, I recommend checking out this post to see some of what\'s already been done. And then in the future, one of the discussions that we had recently with some folks across the community from Google, from Automattic, 10up, all over the place, including our lovely performance lead, Felix. We talked about some of this stuff and about how to talk about particularly themes and also just blocks in general. And thinking about some performance improvements and developer education and automated testing and all sorts of stuff. So I won\'t go too far into this. But I think a lot of work can be done. And some of it is being done around measuring more front end metrics and very recently, LCP was added and started to be tracked here, which I think is pretty exciting. \n\n<strong>Nathan Wrigley  </strong>54:05 \nI think following the performance team and Felix Arntz, in particular, would possibly get you quite a long way towards your answers there. Okay, a couple more. Firstly, there\'s a few people helping out in the Slack channel. So, appreciate that. We\'ve got Matías answering questions, and so on. So that\'s really amazing. Thank you. Another anonymous question, any plans to support CSS Grid?\n\n<strong>Rich Tabor  </strong>54:33 \nI think it\'s something worth exploring. Probably not the major priority coming up. But definitely some interesting aspects that we\'ve seen other... other building applications do that we can learn from for sure.\n\n<strong>Nathan Wrigley  </strong>54:47  \nOkay, we\'re very short on time now. I think we\'ve got to round it off at the top of the hour. So we\'ve got about four minutes left. I\'ve got to wrap it up a little bit. So try to get these last two done if we can. This is from Mary. What are the typography options as of 6.2? we have Google fonts and self-hosted. Any plans for solutions like Adobe Type and Monotype?\n\n<strong>Anne McCarthy  </strong>55:11 <strong>\n</strong>There\'s a Fonts API that got booted from 6.2 and is hopefully planned for 6.3. So I would just follow that effort. So right now, 6.2 is not introducing anything new or different there. Things are as they were. There\'s a private API that folks can can use with anything JSON. That\'s as concise as I can be.\n\n<strong>Nathan Wrigley </strong> 55:31\nNo, that\'s perfect. I think we\'re three minutes to go. That\'s probably the best time to wrap up the Q&amp;A. Apologies if you had a question and it didn\'t get answered. As I said, there will be a whole load of things created off the back of this. We will make sure that there\'s a transcript available and - just read something in the comment. Hopefully, any questions that have been asked but unanswered will be answered approaching that. Just very, very quickly, I have to say thank you to Anne and Rich in particular, for taking the time out of their busy schedules and demoing what 6.2 can do. It really looks like a transformational release. But also, thanks to Chloé and Jonathan and Lauren and Mary who are on the call, but, you know, you haven\'t necessarily seen them right now. So, appreciate them. That\'s really great. Following up off this, I\'ve got three points to mention. Following the 6.2 release on Make/Core for development updates and calls, there\'s going to be a post. It\'s make.wordpress.org/core/6-2. Also, if you\'ve been keeping a close eye on the Beta releases - I say beta, I know it\'s hysterical. The beta releases, we\'ve got version beta four has just been released. And anybody who wants to test that out would be most welcome. The URL for that is far too long for me to say out loud, but you can Google it, I\'m sure, and find out how to test for that. And also, if you are keen to follow WordPress, it\'s all over the social networks. And you can follow - basically, if you try to just follow @WordPress, then you\'ll get somewhere. So for example, on Twitter, it\'s WordPress - @WordPress. On LinkedIn, it\'s /company/WordPress. Instagram is @WordPress. And guess what? On Facebook, it\'s - what do you think it would be? It\'s @WordPress. So it\'s available all over there. And I think that\'s it. I think that\'s everything that we\'ve got to say. We\'re about one minute away from closing. So particular thanks to Rich and Anne, but thanks to everybody in the background making all of this happen. Thanks for showing up. If people don\'t show up, the work never gets done and the project never moves forward. So fully appreciate anybody who\'s given up their time to ask questions today and watch this presentation.\n\n<strong>Anne McCarthy </strong> 57:51 \nAnd thank you, Nathan. I want to call you out as being an excellent moderator and creating a safe space for us.\n\n<strong>Nathan Wrigley </strong> 57:57  \nVery, very welcome. I enjoyed doing it. I would gladly do it again. All right. I don\'t know how to end this call. So I\'m just gonna wave. Bye, everyone.\n</pre>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14573\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"The Month in WordPress – February 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wordpress.org/news/2023/03/the-month-in-wordpress-february-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Mar 2023 11:30:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:18:\"month in wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14550\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:236:\"February has been an exciting month for the WordPress community, with the celebration of the first-ever WordCamp Asia bringing friends and contributors back together in person. But that\'s not all; read on for the latest project updates.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"rmartinezduque\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:13671:\"\n<p>February has been an exciting month for the WordPress community, with the celebration of the first-ever WordCamp Asia bringing friends and contributors back together in person. But that&#8217;s not all; read on for the latest project updates.</p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<h2 class=\"wp-block-heading\">Get ready for WordPress 6.2</h2>\n\n\n\n<p><strong>WordPress 6.2 Beta 4</strong> arrived earlier this week and is <a href=\"https://make.wordpress.org/core/2023/03/01/wordpress-6-2-beta-4/\">ready for download and testing</a>. Work continues on track, with the first release candidate (RC1) due next week and the target for the final release on <strong>March 28, 2023</strong>—less than four weeks away!</p>\n\n\n\n<p>WordPress 6.2 is one of the last major releases planned for Phase 2 of Gutenberg, taking the Site Editor out of beta with a more polished user experience and refreshed interface.</p>\n\n\n\n<p>On March 2, members of the release squad hosted the <a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 live product demo</a>. The recording and transcript will be available soon. In the meantime, these resources will give you a taste of what&#8217;s to come:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help test WordPress 6.2</a>. Your feedback is key to ensuring everything in this release is the best it can be.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Join WordPress&#8217; 20th anniversary celebrations</h2>\n\n\n\n<p>WordPress is turning 20, and the community is getting ready to celebrate!</p>\n\n\n\n<p>As part of the festivities, the project has released a <a href=\"https://wp20.wordpress.net/wordpresss-wapuu-joins-the-wp20-celebration/\">20th anniversary Wapuu</a>, a <a href=\"https://wp20.wordpress.net/download-the-wp20-commemorative-logos/\">set of commemorative logos</a>, and a <a href=\"https://wp20.wordpress.net/20-years-of-wordpress-jazz/\">special playlist with 46 tracks</a> from the jazz artists selected to represent WordPress releases. Official WP20 swag will also be available soon.</p>\n\n\n\n<p>In addition, the Museum of Block Art (MOBA) is <a href=\"https://block-museum.com/2023/02/21/lets-celebrate-20-years-of-wordpress/\">calling all artists</a> to submit block art themed on “20 years of WordPress.”</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://wordpress.org/news/2023/03/lets-party-organize-your-wp20-celebration/\">Find out how to organize and participate in the WP20 celebrations</a>.</p>\n\n\n\n<p></p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">What’s new in Gutenberg</h2>\n\n\n\n<p>Two new versions of Gutenberg have shipped in the last month:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/10/whats-new-in-gutenberg-15-1-8-february/\"><strong>Gutenberg 15.1</strong></a> was released on February 8, 2023, with access to the Openverse library of openly-licensed media from the Editor. Other highlights include the ability to add custom CSS on a per-block basis and support for shadow presets in Global Styles. This is the last version of Gutenberg that will be <a href=\"https://developer.wordpress.org/block-editor/contributors/versions-in-wordpress/\">included in WordPress 6.2</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\"><strong>Gutenberg 15.2</strong></a><strong> </strong>is available for download as of February 22, 2023. Besides continued accessibility improvements, this release adds support for revisions when editing templates and template parts, and refines the navigation experience in the Site Editor.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/core/2023/02/01/core-editor-improvement-strengthening-style-options/\"></a>Follow the “<a href=\"https://make.wordpress.org/core/tag/gutenberg-new/\">What’s new in Gutenberg</a>” posts to stay on top of the latest enhancements.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Team updates: Global community sponsors for 2023, contributor mentorship program, and more</h2>\n\n\n\n<ul>\n<li>The Community Team announced the <a href=\"https://make.wordpress.org/community/2023/02/08/2023-global-sponsors-announcement/\">global sponsors</a> that will support the WordPress community programs in 2023.</li>\n\n\n\n<li>A few months ago, Meetup.com removed an accessibility overlay in response to <a href=\"https://make.wordpress.org/community/2022/11/23/meetup-com-accessibility-overlay-update/\">some concerns</a> from the WordPress community. <a href=\"https://make.wordpress.org/community/2023/02/17/meetup-com-accessibility-overlay-february-update/\">A recent update</a> reports that the company has conducted an assessment and plans to address the issues identified.</li>\n\n\n\n<li>The Training Team launched a <a href=\"https://make.wordpress.org/training/2023/02/10/training-teams-new-onboarding-program-is-now-live/\">new onboarding program</a> for contributors. In addition, they worked on numerous lesson plans, online workshops, and tutorials last month. <a href=\"https://make.wordpress.org/updates/2023/03/01/whats-new-on-learnwp-in-february-2023/\">Check out what&#8217;s new on Learn WordPress</a>.</li>\n\n\n\n<li>The Documentation Team shared <a href=\"https://make.wordpress.org/docs/2023/02/07/future-plans-for-helphub/\">future plans for HelpHub</a>.</li>\n\n\n\n<li>Openverse moved to a standalone domain, <a href=\"https://openverse.org/\">openverse.org</a>, with improvements to the site’s homepage, header, and footer.</li>\n\n\n\n<li>The Plugin Review Team posted a notice to inform about <a href=\"https://make.wordpress.org/plugins/2023/02/03/twitter-api-changes/\">the latest Twitter API changes</a> and the types of plugins that might be affected.</li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/polyglots/2023/02/16/polyglots-monthly-newsletter-february-2023/\">February edition of the Polyglots monthly newsletter</a> highlights some recent enhancements to GlotPress’ functionality and the <a href=\"https://translate.wordpress.org/\">translate.wordpress.org</a> platform.</li>\n\n\n\n<li>The latest <a href=\"https://make.wordpress.org/community/2023/02/15/meetup-organizer-newsletter-february-2023/\">Meetup Organizer newsletter</a> shares tips on how to help your meetup group stay connected and engaged between events.</li>\n\n\n\n<li>Check out <a href=\"https://developer.wordpress.org/news/2023/02/whats-new-for-developers-february-2023/\">What’s new for developers? (February 2023)</a>, the first edition of a new monthly series with features and resources developers should know about.</li>\n\n\n\n<li>The latest edition of People of WordPress features <a href=\"https://wordpress.org/news/2023/02/people-of-wordpress-hauwa-abashiya/\">Hauwa Abashiya</a>.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Following discussions on <a href=\"https://make.wordpress.org/project/2023/01/09/request-for-feedback-how-can-we-improve-the-five-for-the-future-contributor-journey/\">improving the contributor journey</a>, a new <a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">WordPress contributor mentorship program</a> has been proposed to roll out this year.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Feedback &amp; testing requests</h2>\n\n\n\n<ul>\n<li>A new proposal from the Community Team seeks to <a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">modify the Events and News dashboard widget</a> to show topic-based meetups worldwide.</li>\n\n\n\n<li>Members of the Core Team suggested some <a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">updates to the WordPress release cycle</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/03/mobile-team-update-march-2nd/\">Version 21.8</a> of the WordPress mobile app for iOS and Android is available for testing.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Redesign work is <a href=\"https://make.wordpress.org/meta/2023/02/10/theme-directory-redesign-update/\">well underway</a> on the WordPress Theme Directory. Contributors can follow along on <a href=\"https://github.com/WordPress/wporg-theme-directory/\">the GitHub repository</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress events updates</h2>\n\n\n\n<ul>\n<li>Bangkok, Thailand, hosted a successful inaugural <a href=\"https://asia.wordcamp.org/2023/we-did-it/\">WordCamp Asia</a> on February 17-19. The event welcomed 1,299 attendees, and more than 600 participants joined the Contributor Day. At the event&#8217;s closure, organizers announced that <a href=\"https://asia.wordcamp.org/2024/\">WordCamp Asia 2024</a> will take place in Taipei, Taiwan!</li>\n\n\n\n<li>The application to <a href=\"https://make.wordpress.org/community/2023/02/08/apply-to-attend-the-2023-community-summit/\">attend the 2023 Community Summit</a> is now open to WordPress contributors. Learn more about the ins and outs of this working event in <a href=\"https://wordpress.org/news/2023/02/episode-49-everything-you-need-to-know-about-the-community-summit/\">Episode 49 of WP Briefing</a>.</li>\n\n\n\n<li>WordCamp Europe 2023 is looking for <a href=\"https://europe.wordcamp.org/2023/call-for-media-partners-and-supporters/\">media partners and supporters</a>.</li>\n\n\n\n<li>Want to create diverse and inclusive WordPress events? Don’t miss <a href=\"https://www.eventbrite.com/e/organizing-diverse-inclusive-wordpress-events-ameremea-tickets-561034247537\">this free #WPDiversity workshop</a> happening March 16, 2023.</li>\n\n\n\n<li>Many WordCamps are coming up in the next weeks:\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1ec.png\" alt=\"🇺🇬\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://entebbe.wordcamp.org/2023/\">WordCamp Entebbe</a>, Uganda, on March 10-11, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1f8.png\" alt=\"🇪🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://torrelodones.wordcamp.org/2023/\">WordCamp Torrelodones</a>, Madrid, Spain, on March 11-12, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1f8.png\" alt=\"🇺🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://phoenix.wordcamp.org/2023/\">WordCamp Phoenix</a>, Arizona, USA, on March 24-25, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1f3.png\" alt=\"🇮🇳\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://kerala.wordcamp.org/2023/\">WordCamp Kerala</a>, India, on March 25, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1e8-1f1f4.png\" alt=\"🇨🇴\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://bogota.wordcamp.org/2023/\">WordCamp Bogotá</a>, Colombia, on March 31-April 1, 2023 (Online)</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1e8-1f1ed.png\" alt=\"🇨🇭\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /><a href=\"https://switzerland.wordcamp.org/2023/\">WordCamp Switzerland</a> on April 1, 2023</li>\n</ul>\n</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Join WordPress Executive Director Josepha Haden Chomphosy as she explores <a href=\"https://wordpress.org/news/2023/02/episode-50-3-interesting-trends-from-wordcamp-asia/\">three interesting trends from WordCamp Asia</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<p><strong><em><strong><em><strong><em>Have a story we should include in the next issue of The Month in WordPress? <strong><em>Fill out </em></strong><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this quick form</em></strong></a><strong><em> to let us know.</em></strong></em></strong></em></strong></em></strong></p>\n\n\n\n<p><em><em>The following folks contributed to this Month in WordPress: <a href=\'https://profiles.wordpress.org/ninianepress/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>ninianepress</a>, <a href=\'https://profiles.wordpress.org/jpantani/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>jpantani</a>, <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a>.</em></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14550\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"Let’s Party: Organize your WP20 Celebration!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://wordpress.org/news/2023/03/lets-party-organize-your-wp20-celebration/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Mar 2023 20:21:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:6:\"Events\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:11:\"anniversary\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:4:\"WP20\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14546\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:367:\"Join WordPress enthusiasts from across the globe on May 27, 2023, as they come together to celebrate its 20th anniversary!\n\nRegardless of how you use WordPress or where you call home, you are invited to celebrate this great milestone. Plan a larger party that includes your entire meetup, spend the day coworking with a group of friends, or hang out virtually online.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Cate DeRosia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2720:\"\n<p>Join WordPress enthusiasts from across the globe on May 27, 2023, as they come together to celebrate its 20th anniversary!</p>\n\n\n\n<p>Regardless of how you use WordPress or where you call home, you are invited to celebrate this great milestone. Plan a larger party that includes your entire meetup, spend the day coworking with a group of friends, or hang out virtually online.</p>\n\n\n\n<p>Whatever your style, celebrate in your time zone, your way. WordPress has some resources to help you party.</p>\n\n\n\n<p>The <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/\">Meetup Organizer handbook</a> has a section dedicated to helping you plan your meetup’s <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/anniversary-celebrations/\">anniversary celebration</a>. You’ll find email and Meetup.com templates that make sending your announcements and creating your events simple, as well as tips for planning a fun, safe, and inclusive event, in-person or online.&nbsp;</p>\n\n\n\n<p>The <a href=\"https://wp20.wordpress.net/\">20th anniversary website</a> will list events as they are announced and scheduled by organizers, so check back regularly to see if there’s one in your area you’d like to join or help organize.</p>\n\n\n\n<p>Meetup organizers, once your meetup’s WP20 Celebration is scheduled, email <a href=\"mailto:support@wordcamp.org\">support@wordcamp.org</a> using the subject <strong>WP20 Celebration</strong> and include a link to your meetup event. Events will be reviewed to ensure they have all the necessary details before inclusion on wp20.wordpress.net.&nbsp;</p>\n\n\n\n<p>And don’t forget the new swag!</p>\n\n\n\n<p>Starting in April, meetup organizers can <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/anniversary-celebrations/request-swag-for-in-person-anniversary-celebrations/\">order complimentary kits of official anniversary swag</a>, including limited-edition stickers, buttons, and pencils that can be shipped to your meetup at no cost to you. Additional items, such as pennants, shirts, hoodies, keychains, and more, are also available for purchase at the <a href=\"https://mercantile.wordpress.org/\">official WordPress store</a> while supplies last, beginning in early March.&nbsp;</p>\n\n\n\n<p>So, whether you’re sporting new anniversary swag or your old favorites from your closet, join WordPress enthusiasts on Saturday, May 27, for a globe-spanning WordPress celebration. Use hashtag #WP20 to share your passion for WordPress.</p>\n\n\n\n<p>Don’t have an active meetup in your area? It’s not too late to <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/getting-started/interest-form/\">start one</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14546\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:11:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Sat, 01 Apr 2023 18:56:23 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:25:\"strict-transport-security\";s:11:\"max-age=360\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Thu, 30 Mar 2023 19:15:21 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20211220193300\";}", "no");
INSERT INTO `wp_options` VALUES("237", "_transient_timeout_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1680418583", "no");
INSERT INTO `wp_options` VALUES("238", "_transient_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1680375383", "no");
INSERT INTO `wp_options` VALUES("239", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1680418584", "no");
INSERT INTO `wp_options` VALUES("240", "_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: WooCommerce to Host Virtual Contributor Day April 19, 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=143218\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wptavern.com/woocommerce-to-host-virtual-contributor-day-april-19-2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2157:\"<p>WooCommerce has announced a 24-hour virtual contributor day that will happen on April 19, 2023. Contributors will be working on the <a href=\"https://github.com/woocommerce/woocommerce\">WooCommerce Core</a> and <a href=\"https://github.com/woocommerce/woocommerce-blocks\">WooCommerce Blocks</a> repositories. To give better coverage over time zones, organizers will have two kickoff times (0 UTC and 12 UTC).</p>\n\n\n\n<p>WooCommerce hasn&#8217;t had a WooConf in-person conference since 2017, opting instead for virtual events like WooSesh where people can attend and watch presentations for free. The open source project has focused more on virtual communication channels to help contributors stay connected, such as the new <a href=\"https://wptavern.com/woocommerce-to-launch-wc-blocks-extensibility-monthly-chat\">monthly chat focused on WooCommerce block extensibility</a>. This virtual contribution day will be the first of its kind for WooCommerce. </p>\n\n\n\n<p>&#8220;We are asking for a minimum of 4 hours of your time to dedicate to a curated list of issues,&#8221; WooCommerce developer advocate Stephanie Pi said. &#8220;These issues have been selected based on the effort needed to solve them –we’re only including issues that we believe can be solved within the day.</p>\n\n\n\n<p>&#8220;Any issues picked up and worked on during contributor day will be merged before the next release.<strong> </strong>We are committed to making sure this happens because we want to honor the time our community is dedicating to this event.&#8221;</p>\n\n\n\n<p>The virtual event will be a more intense, focused time than what one might experience at a WordCamp contributor day, with key WooCommerce decision makers present to help keep things moving.</p>\n\n\n\n<p>Organizers will be creating new channels in the <a href=\"https://woocommercecommunity.slack.com/\">WooCommerce Community Slack</a>, that will be dedicated to the different issues they plan to work on during the 24-hour event. This includes a channel for helping contributors get set up with a development environment. Those interested to attend can watch for updates in the #announcements channel.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 01 Apr 2023 01:02:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"WPTavern: WordPress Contributors Propose New Interactivity API for Frontend Blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=143152\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"https://wptavern.com/wordpress-contributors-propose-new-interactivity-api-for-frontend-blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6558:\"<p>Over the past year a group of WordPress contributors have been <a href=\"https://make.wordpress.org/core/2022/04/27/exploration-to-enable-better-developer-and-visitor-experiences-with-blocks/\">working</a> on making it easier for developers to build interactive blocks. These are the kinds of experiences that allow visitors to submit a form and get feedback without reloading the page, load paginated content without refreshing, and improve e-commerce stores with more dynamic responses based on visitor interaction. </p>\n\n\n\n<p>A new <a href=\"https://make.wordpress.org/core/2023/03/30/proposal-the-interactivity-api-a-better-developer-experience-in-building-interactive-blocks/\">proposal for an Interactivity API</a> aims to provide a standard way for developers to add interactivity to the frontend, making it faster to build these experiences without reinventing the wheel every time. </p>\n\n\n\n<p>Automattic-sponsored core contributor Mario Santos cast the vision for what the new API will deliver: </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>What if effortlessly creating performant, fluid, and idiomatic frontend interactivity on block-based WordPress sites was possible? Imagine plugins providing interactions like “heart this post” or “add to cart” without page reloads. Picture instant search, commenting, and native full-page transitions as best-in-class built-ins without complex scaffolding or external tools. Envision achieving this in any block theme by default without sacrificing PHP server rendering and the plugin ecosystem for a JS runtime. Visualize block developers easily declaring and extending such behaviors in a way that is immediately familiar and compatible with the block ecosystem.</p>\n</blockquote>\n\n\n\n<p>Santos published a demo video accompanied by a <a href=\"https://wpmovies.dev/\">live interactive demo</a> where visitors can favorite movies and have the favorite count instantly updated in the block in the header. Pagination and search update the content without refreshing the page. The code for the demo is <a href=\"https://github.com/WordPress/wp-movies-demo\">available on GitHub</a>.</p>\n\n\n\n\n\n\n\n<p>The Interactivity API is being created for use on the frontend of block-based websites but contributors may also explore the possibility of reusing some of its directives inside the editor. They are taking a similar approach to <a href=\"https://alpinejs.dev/\">Alpine.js</a> with &#8220;directives&#8221; that extend HTML with special attributes, except designed specifically for WordPress and backwards compatible with its APIs. </p>\n\n\n\n<p>&#8220;The API is designed for the world of blocks and takes WordPress history of being closely attached to web standards to heart,&#8221; Santos said.</p>\n\n\n\n<p>&#8220;As directives are added to the HTML, they work great with dynamic blocks and PHP.&#8221;</p>\n\n\n\n<p>Having a standard in place means that WordPress developers don&#8217;t have to roll their own solutions for things like tooling, inter-block communication, and frontend performance. They would be primarily responsible for the block logic, making creating interactive blocks easier and more approachable for less experienced developers.</p>\n\n\n\n<p>Contributors on the project have selected <a href=\"https://preactjs.com/\">Preact</a> to build the directives system due to its HTML-friendliness, small size, performance, extensibility, and compatibility with React.</p>\n\n\n\n<p>The Interactivity API is currently in the stage of gathering feedback to incorporate in development as well as expanding technical documentation. </p>\n\n\n\n<p>&#8220;Although it is now distributed as a plugin, it aims to be added as an experimental feature to Gutenberg,&#8221; Santos said. &#8220;The goal is to include it in Core once enough feedback has been gathered, and it’s clear that it’s the right direction.&#8221;</p>\n\n\n\n<p>Initial reactions to the proposed API have been mostly positive, as developers have previously had to build their own solutions for interactivity in the absence of a standard.</p>\n\n\n\n<p>&#8220;The Interactivity API is one of the most interesting proposals for WordPress frontend UX &amp; DX that I&#8217;ve seen in awhile,&#8221; WordPress Core contributor Weston Ruter <a href=\"https://twitter.com/westonruter/status/1641521738805809152\">said</a>.</p>\n\n\n\n<p>&#8220;As someone who has been experimenting a lot with using AlpineJS, HTMX, Unpoly, StimulusJS, etc. for interactivity on the frontend, having a blessed solution in WP core would be most welcome,&#8221; another developer (@r1ckd33zy) <a href=\"https://twitter.com/r1ckd33zy/status/1641573350701948928\">commented</a>.</p>\n\n\n\n<p>WordPress developer and WPGraphQL contributor David Levine seemed less enthused about the approach outlined in the proposal. &#8220;Great idea but shortsighted execution,&#8221; Levine said. &#8220;We need an actual block data layer, not to further pollute our markup for our scripts to parse. This just exacerbates the same problems that got us into this mess.&#8221;</p>\n\n\n\n<p>A few others in the comments of the post have been critical of the approach and  others have questions about long term challenges of maintaining this approach.</p>\n\n\n\n<p>&#8220;This is a pretty out-there which is quite a different approach to anything I’ve seen before,&#8221; WordPress core contributor Joe Hoyle said. &#8220;That does give me caution, as it’s very wp specific / centric. I think with the block editor there’s opportunity to align more with industry innovation around front-end tooling. I think it’s really great work and very creative; but again I’m not yet sure it’s the right direction. It could be that there’s no long term solution to bring an &#8216;nextjs&#8217;-ification to WordPress, but I’m not sure I’m looking at it.&#8221;</p>\n\n\n\n<p>The proposal includes examples of how to create interactive blocks using the API and developers have opened a lively discussion on the approach. Contributors on the Interactivity API are planning to host two sessions on April 17, 2023 (<a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/292575913/\">one at 08:00UTC</a> and <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/292575942/\">another at 17:00UTC</a>) that will include a live product demo followed by a Q&amp;A. Check out the proposal for more details and the <a href=\"https://github.com/WordPress/block-interactivity-experiments\">Interactivity API GitHub repo</a> to see some experiments the team has been working on so far.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 31 Mar 2023 14:48:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Post Status: Launching a WordPress Product in Public: Session 7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148593\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://poststatus.com/launching-a-wordpress-product-in-public-session-7/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:63883:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">In this episode, <a href=\"https://twitter.com/coreymaass\">Corey Maass</a>, a freelance web developer, joins <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> to discuss the intricacies of creating an impactful, user-appreciated product that makes a positive impact on customers and stands apart in a saturated industry. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">45</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p>Learn from <a href=\"https://twitter.com/coreymaass\">Corey Maass</a>, the go-to on WordPress product design topics, and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a>, a master on the business of WordPress. They discuss finding the balance in the small and big pictures of product development, highlighting the process of trial and error.</p>\n\n\n\n<p><strong>Top Takeaways:</strong></p>\n\n\n\n<ul>\n<li><strong>Courage Under Fire.</strong> After what feels like a miserable failure, it’s vital to keep trudging forward. Great product design takes time to build and grow in the space you are putting it into. Keeping your passion alive and remaining consistent in your efforts will eventually lead you to success.&nbsp;</li>\n\n\n\n<li><strong>The Impact of Thoughtful Design.</strong> Developing a product is, of course, based on meeting some kind of user need, but it’s important to consider if you are going to make that user’s life easier with your product. When the end user is your top priority, your product will shine, and you’ll be proud of your direct impact on someone’s everyday life. </li>\n\n\n\n<li><strong>Finding the Spark in Your Product.</strong> Focusing on the overall product journey is key for great product development, but zooming in on the minor details is equally important. Brainstorming and finding the spark is not easy, but setting your product apart from the rest is crucial. </li>\n\n\n\n<li><strong>Using Your Audience to Improve Development</strong>. Put your ideas and questions out there for your audience to speak to. If you are wondering how people will perceive a certain product aspect or want more information on their exact pain points, it’s good to ask directly. Getting information straight from your customers or peers can help you make well-informed decisions in product development.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul>\n<li><a href=\"https://crop.express/\">Crop.Express</a></li>\n\n\n\n<li><a href=\"https://www.google.com/aclk?sa=l&ai=DChcSEwiIyKyw6PL9AhVlyZQJHT6EAcYYABAKGgJ5bQ&ei=bawcZJe0G8epqtsPivSAqA8&sig=AOD64_0_PN97hzZ3jYMLTv3M0suhf9h2Ag&q&sqi=2&adurl&ved=2ahUKEwjXnqSw6PL9AhXHlGoFHQo6APUQ0Qx6BAgKEAE\">StickerMule</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"http://twitter.com/coreymaass\">Corey Maass</a></li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<h2>Session 7 Corey &amp; Cory Launch a WordPress Product Live</h2>\n\n\n\n<p>Corey Maass: [00:00:00] So now I&#8217;m following along. I&#8217;ve gotten in the habit of. I opened the<br />YouTube, which is, well, it&#8217;s live, which is really disorienting cuz of course I&#8217;m talking, uh, 10<br />seconds ago or 10 seconds in the future. And then grab the chat and then close it as fast as I<br />can,<br />because it seems that people do ask us questions, but mostly on YouTube, not on, uh, the<br />webinar, the Zoom webinar.<br />Cory Miller: Um, sorry, I was just trying to get all that going. Um, yeah, speaking of what we&#8217;re<br />talking about today in the marketing channel with post status, there&#8217;s some good conversations<br />about product. Hmm. I was like, you know, there&#8217;s enough of this going around that we, um,<br />should we have more conversations about product and marketing.<br />And [00:01:00] channels.<br />Corey Maass: Um, I have to go find, I&#8217;ve got, um, I&#8217;m in product owner and I&#8217;m in a couple of<br />others, but I&#8217;m not in marketing. Oh, okay. You&#8217;re already in here. Yeah. Product leaders I&#8217;m in.<br />Cory Miller: Yeah. Um, I really want that product leaders channel to. This type of, you know,<br />conversation, whatever it has to do with product, you know?<br />Right.<br />Corey Maass: So, yeah, and it&#8217;s, I mean, it&#8217;s a popular topic. Like I, I was on Twitter five<br />minutes ago and somebody was asking like, who is marketing WordPress plugins? Well these<br />days? And of course was scrolling the answers to see who to follow or what examples to look at,<br />or, you know, there&#8217;s, I mean, a few known quantities.<br />Um, and articles and, and references and stuff, but well, you know, [00:02:00] year to year and,<br />and new products that will cause blips and, and whatnot. Yeah. Um, you know, because it&#8217;s<br />definitely still not a. You know, not a known thing. I mean, marketing anything is not, is never<br />necessarily reliable. But, uh, marketing a WordPress plugin.<br />There are people who are very successful with WordPress plugins, but I don&#8217;t know that the<br />marketing is, it&#8217;s not a solved problem. You know,<br />Cory Miller: I think we said this a lot, but I really love product. Um, but it feels like. Almost like<br />gambling, you know? Um, like this one, I continue to see there&#8217;s something here and we say<br />this, we don&#8217;t know what it is and we&#8217;re trying to kinda keep stepping into it.<br />But gosh, I&#8217;ve tried a bunch of products between I themes and today, you know, bunch of<br />different things. And they weren&#8217;t like [00:03:00] pure software products of course. Um, but.<br />Every time I talk about product, I realize how much I have to learn .<br />Corey Maass: Um, so there&#8217;s, um, they&#8217;re the people who I, I&#8217;m not gonna even try to mention<br />names, but it&#8217;s like, there are, there are people who are famous for breaking the land speed<br />record, you know, or the like, uh, What was his name?<br />Hopkins was in the, a movie called The Indian, and it was his, about his motorcycle or you know,<br />there&#8217;s nascar, like there&#8217;s the people who win over year, over year. And, and then there&#8217;s,<br />there&#8217;s gotta be the people who were fascinating, you know, they, they worked a, a regular job<br />and they spent every night and weekend working on, you know, Build, trying to build the fastest<br />[00:04:00] race car or the fastest motorcycle and, and have absolutely died in obscurity, , you<br />know, like, they just never, they d take a, take a motorcycle out to the flats, crash it, start over<br />again, you know, and, and have done it.<br />Or did it, you know, for 30 years or whatever, and, and we&#8217;re never gonna hear about any of<br />those people, you know, or they consistently came in third and we&#8217;re never gonna hear about<br />any of those people. Yeah. And it&#8217;s like, I&#8217;m a while ago, I had to th there was a time in my life<br />where I was absolutely convinced that I was going to be a rockstar dj, where I was going to be<br />the gazillion.<br />Uh, entrepreneur or, and I still would love to be all those things. Well, I don&#8217;t know if I have the<br />energy anymore, but Me too. Um, you know, um, but it, they were, they were tied into my<br />identity and they were like constant. You know, a need and would keep me up at night. And now<br />I&#8217;m like, I [00:05:00] have, I think part of middle age is accepting your mediocrity.</p>\n\n\n\n<p>Um, and, and just going, you know, okay, if, if I&#8217;m, if I&#8217;m successful, if I&#8217;m having some fun and<br />I&#8217;m successful enough that I&#8217;m not, Uh, starving, you know, then, then that&#8217;s then and, and then<br />it&#8217;s fun to keep trying, you know, and, and on my deathbed, it, it&#8217;s still probably gonna hurt that I<br />didn&#8217;t, you know, uh, headline, uh, you know, some huge music festival or something, but, uh,<br />but at least I tried, I suppose<br />Cory Miller: I, I love that. Thank you for sharing that. Um, you know, because I, I totally. , um, in<br />so many ways. I feel like I had my time. Mm-hmm. , you know, I got my opportunity and I made,<br />I made the most of it. I&#8217;m, I&#8217;m proud of it, you know, uh, and that, that was a [00:06:00] very<br />magical period for me. You know? But when you&#8217;re talking, have you seen the Netflix?<br />It made me think of the Netflix special full swing. It&#8217;s about golf. So, I know you golf. I don&#8217;t, I put<br />putt golf, you know, but, um, even though we have a son named Callaway, everybody thinks we<br />named it after a golf club. And I&#8217;m like, no, sorry, , um, him out after a golf club. But, okay, so this<br />last episode, there&#8217;s a guy, and you may name, you may know his name, and I&#8217;m like, I, if, if<br />there were jerseys in golf, I&#8217;m not a.<br />I would go buy his jersey today. He&#8217;s like the 70th best. Mm-hmm. golfer in the world. His name<br />is Joel Drum. I can&#8217;t remember. I&#8217;ll f I&#8217;ll find his name. So the first episode, have you seen this?<br />Mm-hmm. . Okay. You, I think you&#8217;d be interested. I&#8217;m like you said. Full swing. Full swing. It&#8217;s a<br />documentary about the [00:07:00] PGA.<br />I&#8217;m morbidly curious about sports because I think it has so many parallels. Anyway, so the first<br />two were like, the brand names Justin Thomas, uh, Jordan Sp, and now I know those names<br />well, but I was familiar with their names. Sure. And like they&#8217;re at the top pinnacle of the sport.<br />Then the third episode is, is is Joel, and he&#8217;s basically like, I&#8217;m okay being seven.<br />like he&#8217;s got immense talent. Um, his caddy, everybody&#8217;s like, no, he&#8217;s a top 30 golfer. And he&#8217;s<br />just kinda like, you know, he&#8217;s, he could be like, he won, he&#8217;s won, but like, he could be even<br />better. But he&#8217;s just like, k he feels like almost resigned contend of being like 70th. And I. Maybe<br />I&#8217;m okay being like 500th best or five thousandths best at being an entrepreneur, being a<br />product person, right?<br />Um, [00:08:00] I am morbidly attracted to entrepreneurship and product. Like I think you and I<br />resonate with this. Like every time I hear you talk, man, I would go. Rather from another mother,<br />like he, you know,<br />Corey Maass: I could have said those words or have had or have said those words. Yeah,<br />exactly.<br />Cory Miller: But I think there&#8217;s something resonating here, Corey.<br />It&#8217;s the esteem that I, I&#8217;m gonna talk by myself. The esteem I might talk about, like iconic,<br />everybody says it, Steve, let me invoke his name. Steve Jobs right now, first time around, I<br />think. Right time, right place, and of course genius, you know, but right time, right place, right.<br />Critical thing got kicked out of Apple, comes back and doing it again, and we always talk about<br />him.<br />Right. You know, maybe, maybe Elon Musk in my mind before he started doing, just, I don&#8217;t<br />know. Um, he, I think he went too far. He overreach. But anyway, but I go, God, [00:09:00] I&#8217;d<br />love to have that kind of genius for product for. and, but selling down in Maine, like you were<br />saying about middle, middle age and Meoc, just going, Hey, I think I got some talent , you know,<br />but mainly I just work my ass off.<br />Mm-hmm.<br />Corey Maass: I&#8217;m one of those, try things and try things.<br />Cory Miller: I feel like one of those sports players, like if we use that metaphor analogy,<br />whatever it is, and I. Never gonna be number one. Mm-hmm. never gonna be top 50. But for my<br />brand of those, I&#8217;m really content with who I am. You know? Right. Even though I&#8217;m just like,<br />God, it feels like with product it&#8217;s miserable Failure.<br />Miserable failure. Miserable failure. Miserable failure. When 2008, man, I felt like I&#8217;m gonna mix<br />all these sports things, get up to the plate, ball&#8217;s coming, [00:10:00] and I hit it. And I get into the<br />field<br />Corey Maass: and you scored a touchdown<br />Cory Miller: and . Yes. And a hole in one and you know, let me find another sport so I can do it.<br />But you don&#8217;t end up in the gutter.<br />I think the reality is, yeah, , I need bumpers for my bowling entrepreneur, bowling, and there you<br />go. Product person. I need some bumpers. I feel like sometimes, and I&#8217;m glad I. I couldn&#8217;t laugh</p>\n\n\n\n<p>about this a couple years ago at all. Hmm. I&#8217;d be like, what? I have magic. I&#8217;m supposed to be<br />magic. I&#8217;m supposed to come.<br />Right. You know, and then you&#8217;re like, maybe not . It&#8217;s the humbling effect of that. Yep. And I<br />think when you come down to it, you go, I think the reason why I&#8217;m so interested in product is<br />like it&#8217;s a gift. It should be like this cool gift that you&#8217;re trying to help someone. Make somebody&#8217;s<br />life better and in the process be [00:11:00] able to do it vocationally and get paid for it.<br />Yeah. And man, I love that about work, you know, and products specifically is like tie to this little<br />bow, here&#8217;s your present and I&#8217;m trying to get better about this is I&#8217;m trying to offer a gift that you<br />pay for. Of course. You know, like those win-win things. But I digress.<br />Corey Maass: Yeah, it&#8217;s, I love solving a problem.<br />I love the, like, this is gonna sound weird, but I love the angles of it. Like the, uh, moving through<br />a problem, uh, like screens and inner, like, I, I want to feel clever for having built it, like build a<br />better mouse trap. But I also want, that&#8217;s a bad analogy cuz a mouse, mouse uses a mouse<br />trap. But it&#8217;s like, I, I wanna build, you know, the, the better.<br />Thing that other people then get pleasure out of using to, again, to [00:12:00] solve a problem.<br />Um, and so then I feel smart. And they feel smart. And, and it&#8217;s like, to me it&#8217;s, it&#8217;s one of the<br />epitome of the human condition is, is solving problems, is manipulating the space around us.<br />And, um, and so yeah, product just absolutely.<br />Resonated with me early on. Which is funny because I think I, and a lot of, a lot of developers<br />and a lot of product people also are passionate about music in one way or another, which is the<br />opposite. It&#8217;s so abstract. It can mean anything to anybody. It&#8217;s totally subjective, uh, as opposed<br />to like, In the world we live in, like there&#8217;s a little bit of subjectivity.<br />Like there&#8217;s, you know, there&#8217;s a reason why there&#8217;s a million to-do list apps because everybody<br />solves it slightly differently or wants it to feel slightly different. But it&#8217;s still, uh, you know, there&#8217;s<br />still ones that objectively don&#8217;t [00:13:00] work. , uh, uh, But anyway. Yeah, it&#8217;s, it&#8217;s, it&#8217;s fun. It&#8217;s<br />interesting.<br />It&#8217;s, I&#8217;m glad that it&#8217;s now a hobby rather than, uh, something that I, that I&#8217;m relying on. Cuz I<br />remember building, I think I&#8217;ve talked about this before, like, I remember building things because<br />I was like, I&#8217;m not gonna make rent if this doesn&#8217;t succeed. And of course it didn&#8217;t come close to<br />succeeding. I don&#8217;t even think I was able to finish it cuz it was like, I can&#8217;t make a logical<br />decision.<br />From a position of desperation, like some people can mm-hmm. , but I just, I can&#8217;t, I have to like<br />sit in it and splash around. Which is also why, because I think maybe it was another Twitter<br />conversation I was having, but, um, I, I often. Will. Oh, so yeah, somebody, somebody asked<br />like, do you, do you do any planning or do you jump right in?<br />I&#8217;m like, I a hundred percent jump right in, just like you, you keep saying like, there&#8217;s something<br />here. I often jump right in when I just, my gut [00:14:00] tells me that there&#8217;s something here<br />and, uh, Because I&#8217;m finding, and this is, I was noticing this again over the weekend. Um, the<br />setting screen that I wanna show you is like, I had to start building the setting screen in order for<br />me to go, oh, no, this setting isn&#8217;t right, or, we don&#8217;t need this, or This is better organized a<br />different way.<br />But I had to like, and I suppose I could put pen to paper and come to the sum of the same<br />conclusions, but for me, pen to paper is usually writing. You know, some, some aspect of code<br />to, so that I&#8217;m clicking on a button or I&#8217;m, I&#8217;m starting to fill in a screen or I&#8217;m even at this point, I<br />can just look at a screen and be like, no, this isn&#8217;t what we need, or this isn&#8217;t intuitive, or, um, no.<br />With that said, what I&#8217;ve designed is quite ugly. Um, I was futzing around. Information<br />architecture, and I don&#8217;t know why I was bothering, it was Sunday. I was having fun. Um, but<br />anyway, yeah, it&#8217;s, uh, there&#8217;s, [00:15:00] there&#8217;s definitely a difference of, of, for me anyway, like<br />getting in and actually clicking on things.<br />Cory Miller: It&#8217;s uh, when you say, when you said hobby, it reset me back to me going, is this,<br />should this really be a hobby for me? You know? Hmm. Um, cuz. I gotta tell you, I&#8217;ve, I<br />presented my business group about a week or two ago, and I was like, yeah, I don&#8217;t know. I<br />don&#8217;t know if I keep going. You know, back to middle age mediocrity, whatever it is, it&#8217;s like, I,<br />you know, we&#8217;re trying to do some things with post status and it&#8217;s been one frustration after the<br />other hitting walls.</p>\n\n\n\n<p>I think that&#8217;s starting to loosen up, maybe with my own growth, you know? Okay. But like, just<br />trying to make progress on stuff where I had a team previously and now we&#8217;re trying, you know,<br />put stuff together. But that&#8217;s the bigger business. But down product too is like, you know, I think<br />there was a hope in me that you launch it and everybody&#8217;s like, hell yes.[00:16:00]<br />You know? Yeah. There&#8217;s more to it, you know? I just wanted people to instantly love it.<br />Corey Maass: Well, and starting from scratch is freaking hard. I mean, you were, you were on<br />a, a winning team. You were, you know, you were on a, a bus with a group of people. You&#8217;d built<br />the bus. You got the bus moving, and then you were hurling down the highway successfully.<br />And it&#8217;s real easy to forget that, like, oh, right. When we were building the bus, nobody cared.<br />And when the bus, the wheels first started moving, nobody cared. Now they do. And so yeah, if<br />you are, you know, leveraging something, if you&#8217;re building a trailer onto a bus that&#8217;s already<br />moving, that&#8217;s different than getting off the bus, chilling for a couple of years and then starting to<br />build another bus, you know?<br />Weird, weird analogy, but ,<br />Cory Miller: no, no, no. I like the bus thing cuz that&#8217;s how it was. I was like, I. I don&#8217;t, I get credit,<br />but I try not to ever take it and [00:17:00] be sure to point it in other ways. Like it was very much<br />a band back to music. I like, this is like, we&#8217;re a band that makes great music together. You<br />know, somehow it&#8217;s working, you know?<br />Yeah. And I can&#8217;t really take credit for a lot of that. I was, don&#8217;t get me wrong, I contributed, I<br />impacted it, but it was a magic of. Yeah, things flying together with it. And I think I&#8217;ve been trying<br />to ree that magic, you know, particularly with product. Um, but the word that comes up for me,<br />and I&#8217;m curious what your thoughts about this are, like de detachment, detachment from my<br />brilliant ideas, Corey, like, man, I&#8217;m very attached to my brilliant ideas, you know, and like here I<br />go.<br />How to detach from that pride aspect and then go just kinda lean into like passion and interest,<br />which is what your pace and how you [00:18:00] approach This has been really healthy for me<br />because you&#8217;re kinda like, I&#8217;m having fun doing it today. I&#8217;m having it and then tomorrow having<br />fun doing it and it. It&#8217;s, it&#8217;s taking some box for you.<br />And I&#8217;m like, I need to be just okay with like, it&#8217;s taking a box for me. Now when I am working<br />with a developer partner, , I&#8217;m like, I wanna talk to you about filters. I wanna talk to you about all<br />these things. Cuz like I had, like all the stuff that we could do with images. I&#8217;ve been planning<br />around with stuff and wanting, been wanting to go like, you know, Instagram revolutionized<br />photos, for instance.<br />I think it, it took the iPhone or the smartphone, whatever it is, and made most anybody a pretty<br />decent photographer, right? Like, you know, Photoshop, you could do the Gazi blur and you can<br />kind of filter and like make things a little like correct stuff with Instagram. I did that and I&#8217;m like, I,<br />I love that.<br />I love taking photos. I&#8217;ve been taken. [00:19:00] So this is a weird sidebar onto the product by.<br />But I&#8217;ve been, um, you know, there&#8217;s those cartoon apps that&#8217;ll take a photo and make a cartoon<br />of it. Yep. I&#8217;m a freaking geek about cartoon illustration, all that stuff. So what I&#8217;ve been doing,<br />this is gonna lead back to product, by the way, an actual question on our product future.<br />And you can say, Hey, can we pause that? Can we hold that later? But, so I&#8217;ve been taking, I<br />love taking pictures of sunsets, you know, and I. So I&#8217;ve been taking my sunset pictures and<br />putting &#8217;em into my cartoon app. . Mm-hmm. nice. Yeah. And making these really things. But the<br />premise here was, you know, back to our philosophical conversations about images and the<br />web and on a website, and I go, you know, with ai, there&#8217;s a, that mix in there too, but I go, that&#8217;s<br />interesting to me.<br />Like for, for, for our product perspective is like, there&#8217;s cool things going on. I think we could be<br />creative and innovate downstream a bit in this [00:20:00] market. While I&#8217;m kinda like really<br />impatient, but trying to be patient about getting to the stage of like, I want somebody to pay for<br />it. I want somebody to give some validation to go, okay, should we put a little bit more time and<br />effort and money into this?<br />You know? Right. But anyway, the filtered conversation was where I&#8217;ve been going as we&#8217;ve<br />been talking, going man, You would know, but like are there libraries and stuff that we can do<br />filters or something different to make things just a little nicer in the pro side? Yeah, that I just<br />freaking love, like I&#8217;m such a geek Corey about that.</p>\n\n\n\n<p>But I take my picture and then I share it over to whatever the tune app is and I really like, I don&#8217;t<br />know, it&#8217;s kind of fun. There&#8217;s gotta be . I can&#8217;t help, this is my idealism. There&#8217;s gotta be<br />something. On this other side when we start being able to get to the pro side. Okay.<br />Corey Maass: Looking for the other, the other app, there&#8217;s one that, um, I got really into a<br />[00:21:00] couple years ago.<br />That&#8217;s, um, it&#8217;ll, it&#8217;ll take any photo and basically make it a painting Yes. In a bunch of different<br />styles. Yes. Because there was a, a woman at the la in the, uh, woman who posted on<br />Facebook this like really cute watercolor painting of a farmhouse. And then I noticed at the<br />bottom that there was a watermark of the app that she&#8217;d used.<br />And I was like, oh crap. She just took a picture of a farmhouse and ran it through this little, you<br />know, 99 cent app and then had. Like a watercolor that I would&#8217;ve put on the wall, you know?<br />Um,<br />Cory Miller: see that, that, that&#8217;s like the heart of publishing for me is expression, and I&#8217;m very<br />much an amateur photographer that flunk photography twice, by the way, in college. But I go,<br />Corey Maass: you forgot to do that. No, the, the cover, the lens cover off . Yes, yes.<br />Cory Miller: I know what depth to field is, but I&#8217;m like, The manual. Mm-hmm. cameras I had to<br />use suck. But all that to say [00:22:00] like this is interesting and that&#8217;s a hobby of mine and so I<br />would say it&#8217;s a hobby of mine. It&#8217;s taking these photos.<br />I even had my son do it while I was driving. I was like, could you take a picture of that sentence?<br />Yeah,<br />Corey Maass: yeah, I do. It&#8217;s one more thing. We have the same of, you need to look at my<br />Instagram. It&#8217;s literally just sky pictures. That&#8217;s<br />Cory Miller: so, okay. This is called Tune. But yeah, let&#8217;s see<br />Corey Maass: here. Oh, it does it live? It Does it live?<br />Oh, that&#8217;s cool. I assumed it was like, it had to be a photo, but it, it actually applies the filter while<br />you&#8217;re moving the photo.<br />Cory Miller: Yeah. So I was like, that&#8217;s wild. And then they&#8217;ve got impressionism, they&#8217;ve got all<br />these filters and I go, right, you know, there&#8217;s something about Instagram having, yeah, I, I don&#8217;t<br />know, 10, 15 filters.<br />I always use like the first six. Sure. You know, but it&#8217;s like there&#8217;s something about that taking<br />something, making it, just dressing it up a little bit and being able to put it out there. Like I&#8217;ve<br />been playing with the tune stuff on the colors cuz it really pulls [00:23:00] out some of the sunset<br />photos and stuff and I go, I hope there&#8217;s something there on this pro.<br />I want it. You know what I mean? Like I want something that just<br />Corey Maass: I conceptually, I think. You&#8217;re onto something. I mean, again, go, what&#8217;s our<br />mantra? You know, making creative tasks simpler, easier, fun. And so we&#8217;re starting with what<br />we&#8217;re hoping is the widest base. Everybody needs to crop an image and get it into WordPress.<br />Um, and then. So I, my Instagram, again, I&#8217;m fascinated, I&#8217;m captivated by mostly cloud shapes<br />and especially sunlight coming through the clouds. But I didn&#8217;t want to, I, I was never. Really<br />impressed with filters. Like they&#8217;re neat for doing different things, but I didn&#8217;t, they didn&#8217;t do what<br />I wanted. And so what I [00:24:00] actually do is, um, because I noticed that the, whatever it is,<br />the polarization from my sunglasses, Make things more distinct.<br />So I usually take my sunglasses off and then take a picture through the lens, and that&#8217;s my real<br />world filter, so to speak. Right. But it&#8217;s like, it&#8217;s, it&#8217;s my style. Nobody knows I&#8217;m doing it, but<br />that&#8217;s stylistically. Right. And so I imagine that, uh, a lot of people like. They, they have their feed<br />and so they have their favorite one or two filters and they think of it in part as their branding.<br />Um, and maybe it&#8217;s the same with blogs where it&#8217;s like, oh, if I&#8217;m, I&#8217;m blogging week over week,<br />whatever photo, I&#8217;m gonna give it the same treatment. Um, you know, even if that means, it&#8217;s not<br />necessarily some manipulation of the photo, but I put. My own watermark, or I put the title of the<br />blog post in a certain font with a certain background.<br />You know, [00:25:00] there&#8217;s a treatment so that you know when it&#8217;s shared. It&#8217;s the same with<br />the OG images, which is why I&#8217;m so fascinated by those. Um, and that&#8217;s the other plugin that I<br />keep messing around with as generating social images. But it&#8217;s the idea of being, again, that<br />same sort of the concept of set it and forget it, but so, Um, so the, another, another word that we<br />should somehow incorporate into one or another of our sort of overarching rules here is<br />consistency, which we&#8217;ve talked about.</p>\n\n\n\n<p>It&#8217;s like, but, but taking that, like all of your images should be 16, nine, but taking it much further<br />so that it&#8217;s all of your images should be watermarked the same way, or they should have some.<br />You know, coherent look and feel so that I land on any page on your blog and, and I know where<br />I am or if I see an image on, in, you know, I&#8217;m scrolling Twitter and I&#8217;m like, oh, there&#8217;s another<br />one of Corey&#8217;s photos.<br />Because it&#8217;s, it&#8217;s [00:26:00] a, it&#8217;s a sunset, but it&#8217;s got the, the comic book treatment, you know,<br />so whatever, whatever it is, like, um, I, I think you are, you&#8217;re, what I take away from what you&#8217;re<br />describing is, An example of still kind of what we, our long-term goal, like whatever the handling<br />of images, but allowing people to handle images consistently.<br />And if it&#8217;s, if it&#8217;s unrecognizable, if it&#8217;s just a task, if it, if we just make uploading images easier<br />than great, like, and we&#8217;re, and everybody has that problem, but if down the road, like, yeah, we<br />hear from people that they all want watermarks or they all want. Uh, you know, an image filter<br />and we can figure out how to do that.<br />It&#8217;s, it still, to me, falls in the same, the same ballpark. Yep.<br />Cory Miller: Now we need a business case, like, you know, take some of this [00:27:00]<br />abstract, creative thought and go, okay, how can we, back to what you kind of grounding us in<br />as like consistent, I heard the word consistent, consistent. unique to the brand Yeah. That<br />they&#8217;re trying to portray.<br />That&#8217;s really interesting thought cuz I, I love templates. I mean, obviously mm-hmm. , that&#8217;s the<br />it that&#8217;s High Themes came from Template. Template Monster. You know, I was a, I had used<br />Template Monster 2004 or five for a website, um, that wasn&#8217;t in WordPress. I don&#8217;t even know<br />what it was in. Um, and I.<br />Offering somebody some flavors to have a head start to, to create something creative. Like for,<br />for, for me, I can&#8217;t draw, you know, I doodle, but some kind of headstart to help somebody do the<br />things. Yep. Consistent you need to your brand, um, you, your [00:28:00] own kinda style that<br />you could develop. Um, kinda like paint by numbers, so.<br />Okay. Thanks for letting me die. Tribe on. Wonder and fascination about all this. Um, you<br />wanted to talk about settings?<br />Corey Maass: Yeah. So I just shared, uh, something with you. Um, you see my screen? Yeah, I<br />can. So starting a settings page. Um, so we&#8217;ve got, I don&#8217;t know if it&#8217;s working in this version yet,<br />so featured images, um, Oh yeah, I, I have a fix for this.<br />So you see the three, four is not actually three four. Um, so that I&#8217;ve, that&#8217;ll, that&#8217;ll be fixed in the<br />next version. A little thing that&#8217;s been bugging me. Um, but the, you know, we&#8217;ve, we&#8217;ve got the<br />actual cropper in a couple of places. Media ad new, no, it&#8217;s not in here. [00:29:00] Again, this is<br />just a non, a little local demo thing.<br />Um, but I started adding what we&#8217;d talked about previously. Uh, uh, the next thing we need, or<br />one of the next things we need is a settings page where we can define the, essentially the<br />defaults like we&#8217;re talking about. Um, So starting with one of the use cases or the, the place, the<br />implement, one of the implementations we&#8217;ve done, um, being featured images.<br />The idea being that right you, when you first install a plugin, we&#8217;ll walk you through these<br />essentially where, you know, okay, for featured images, what is, you know, you always want<br />your photo to be, or the resulting photo to be at least, you know, 500 wide, uh, you know, but not<br />more than 2000 wide. And then same with.<br />You know, something like this, right? So that you don&#8217;t, [00:30:00] you don&#8217;t end up with images<br />that are too small, but you don&#8217;t also don&#8217;t end up with images that are too large. Um, and then,<br />uh, presets,<br />Cory Miller: oh, you can remove. That&#8217;s cool.<br />Corey Maass: So, yeah, because it&#8217;s like, uh, the, the example of the featured image, right? It&#8217;s<br />like we have given you these six square circle, 16, 9 43.<br />but it&#8217;s like, you don&#8217;t, you don&#8217;t want to give you, you, you know, if, if your featured image<br />should always be a circle, then, then why do you have to select circle every time? Right. And so<br />in settings, yeah, you can go in and remove, um, you know, everything but the circle. Um, and<br />then save it. And then that&#8217;s the idea being that, you know, you hit save here and then the next<br />time you come into here where you&#8217;re setting your featured image circle would be the only thing<br />available.<br />Um, and obviously if there&#8217;s, if there&#8217;s only one, then it&#8217;ll be pre-selected and so then [00:31:00]<br />it saves you a step. Um, and then, and then there&#8217;s also the option of, um, so this isn&#8217;t quite</p>\n\n\n\n<p>functioning, but, um, Choose a preset. So it&#8217;s, if you, if you know, I&#8217;ve now deleted all of the, the<br />default preset 16 nine, you can re-add it here, or there&#8217;s this, you know, I, this just, this is my<br />preset, but it&#8217;s like you can, you can name it the query, uh, Miller preset with an aspect ratio of,<br />you know, whatever, whatever.<br />Um, I think this works. Yeah. There&#8217;s the Corey Miller preset. Um, awesome. So, so this is, this<br />is what I started with, um, again, with the idea that what you set is what&#8217;s gonna get translated<br />to here. So the presets are choose your shape, you then have those to choose from. Um, and<br />then when you cropped an [00:32:00] image, the output would match whatever your Minn Max<br />is.<br />Um, I haven&#8217;t quite, I&#8217;m not sure what. Parallel is yet, is it, is it always you? It should be the<br />minimum, but should it go up to the max? You know, we&#8217;ll figure that out. But, um, is, is this kind<br />of what you had in mind? Does this resonate with you? Anything missing?<br />Cory Miller: Um, now that the preset thing is really awesome, like being able to set that here, I<br />think that&#8217;s very forward thinking.<br />Work. You know, I continue to think through work, through flow, come in here, configure it<br />yourself, save it, make it easier on the client, and it becomes a pretty easy thing to, for the<br />problem of getting right sized images per the theme design. So I think that&#8217;s cool. Would you<br />scroll up a little bit? So this puts it, [00:33:00] this men stuff puts it where, Any image that goes<br />through it and scrub by it will not be bigger.<br />So that then whatever we&#8217;ve listed here.<br />Corey Maass: Okay. Yeah, the, you know, it&#8217;s like if you thinking about pr, you know, protecting<br />people from themselves. So if they upload a 10 pixel by 10 pixel emoji and they, but they want to<br />use that as a high res, uh, featured image, then it. Upscale it and look terrible, but that&#8217;s better<br />than them, than a 10 by 10 pixel image getting stuck in there.<br />And then same with like, what we keep talking about is uploading from your photo where, or<br />uploading from your phone where a photo is six megs. No, bring it down, you know, and, and,<br />and 4,000 pixels. It&#8217;s like, no, bring it down to the web. Really doesn&#8217;t need more than 2000<br />pixels. [00:34:00]<br />Cory Miller: So, okay, so the experience is come in here, set it here, put some guardrails.<br />Um, bumpers. Bumpers. Keep talking about bowling, bowling. Bowling bumpers. Okay. Then<br />when they go to do it from like, this is the basic settings. Start, you know, start hearing, get a<br />little bumpers, but then the workflow, if they&#8217;re going into the image and all that kind of stuff. Is<br />there a plan for. Letting them customize that in the featured image and the other, you know,<br />tools in the post.<br />That&#8217;s a good question because here&#8217;s what I&#8217;m thinking. Like web designer developer would<br />go, there&#8217;s your guardrails. Cool. You know? Yeah. And then they get into the live, and I think<br />maybe they, like we were doing the ratios to be simple. Click boom, there you go. But if<br />someone goes. You know, I don&#8217;t know.<br />I want [00:35:00] the cropped image, like I think we were talking about, there&#8217;s a featured image<br />section, then there&#8217;s another section which is in lieu of the block. Yeah. It&#8217;s like upload an image<br />and, and my question would be like, I think we should consider in that, that screen over there,<br />letting them do the custom dimensions there potentially.<br />Corey Maass: Mm. Yeah, so I, I think if I understand you, like we&#8217;ve got a, we&#8217;ve got a bypass,<br />which lets them upload. Straight from their hard drive. And then I also think, if I&#8217;m hearing you<br />correctly, we need a bypass, essentially, these settings. So it&#8217;s like you can still use the cropper,<br />but you can essentially make bad choices if you want to.<br />Uh, and I, and I think maybe that, like there&#8217;s a, I also envision a toggle in here that enables<br />that. And so there&#8217;d be like, here are the [00:36:00] guardrails, you know, a and maybe this<br />screen, so at least, at least for my use case, right? I am, I am an ad I, I have the WordPress<br />admin role. I have the WordPress role of administrator, and then all of my clients have a<br />contributor role, or I&#8217;ve made up another, um, another role called site admin.<br />And so they still think that they&#8217;re admins, but I&#8217;ve actually disabled a bunch of things so that<br />again, they can&#8217;t, they can&#8217;t go in and update a plugin that they shouldn&#8217;t or delete a plugin or<br />change themes. Have had clients go in and just be like, what does this do? And totally break a<br />site. . And so I think in, in, in here, there&#8217;s a, there&#8217;d be a, like an advanced toggle that says, lock<br />this shit down.</p>\n\n\n\n<p>Yeah. Or these are the recommended. Let them make bad choices if they want to. And so like<br />for my clients, for [00:37:00] featured images, hard, hard, hard rule, it&#8217;s 16 nine. Full stop, no<br />exceptions. And so I would switch that toggle to be like, do not let them make any other choices.<br />But you know, the o our other implementation, so this screen would essentially be repeated for<br />media library.<br />I haven&#8217;t reported it over yet, but in media library I might allow more presets. I also might toggle<br />it the other way and say, you know, let them. Upload something because frankly, like we also<br />use the media library for, um, you know, hosting an image to send to the press. And so we then<br />we want a high res image and we&#8217;re just basically using our WordPress install as file storage.<br />And so they would, they would hit a little button that says, just let me upload, you know, leave<br />me alone and let me upload the, the image or let me crop it, but leave it at 7,000 pixels or, or<br />whatever. So, yeah. [00:38:00] That&#8217;s another necessary.<br />Cory Miller: I think this is the work, this is the workflow for an organization or the developer<br />here in this screen.<br />Yeah. What I&#8217;m thinking is I go, okay, because we, the crux of the problem we started with<br />months ago was it&#8217;s a pain in the butt to like crop an image to make it reasonable for the web<br />and look good. And I, if I&#8217;m just Corey Blogger, Corey website thing, I go, okay, I&#8217;m writing a<br />post. I go, okay, I need an image.<br />I want an image for it in here and want it. Obviously I you won&#8217;t believe how many times I&#8217;ve like<br />gotten. A screenshot tool or something to go How many pixels wide is my Yeah. Post column<br />with, you know, and I, we&#8217;ve talked a lot about this, but I go, maybe I [00:39:00] want it really tall<br />in the, in the place or something like that doesn&#8217;t fit a preset mm-hmm.<br />you know, like, here&#8217;s the quick presets we&#8217;ve done. Just go here and you can kind of keep it<br />standard that checks that consistent box, but, Utility of the crop to make it whatever it needs to<br />be for that page design. Yeah, that&#8217;s the workflow I&#8217;m thinking about because I think this is<br />where we need to be for the, I&#8217;m handing this project over to you and I&#8217;m trying to keep you right<br />in the bumpers and I think that big time checks the agency box and some point I wanna share<br />that with our agency owner channel and just get some feedback and.<br />Understand the problems they actually face, but the other side is to make this ubiquitous and<br />easy to use. How do we make it really practical and easy for what they&#8217;re trying to do? And I&#8217;m<br />just talking that out, going, I wonder, you know, they find the image, [00:40:00] they upload it,<br />but they want it, you know, you know how it goes.<br />Sometimes the image doesn&#8217;t fit right. A, a ratio.<br />Corey Maass: So, yeah. Well, and yeah, and I think, you know, we. What we don&#8217;t want to do is<br />limit people&#8217;s creativity and so, you know, and what&#8217;s WordPress? Uh, The mantra, but I think it,<br />I think it&#8217;s actually backwards. They say decisions, not options or something like that.<br />But anyway, in, in our case, we actually want at least, at least sensible options. Um, you know,<br />or, or we don&#8217;t, we can&#8217;t speak for everybody, at least not yet . Um, and, and so yeah, letting<br />people. Bypass the, all these things. Um, I think if nothing else, you know, I mean more of the<br />spirit of WordPress and, and more, you know, the freedom to, to do what you want.<br />I mean, they can always disable the plugin. I&#8217;ve even done that with, there&#8217;s a plugin by short<br />[00:41:00] pixel that. It&#8217;s called something like resize after Upload. And so it, I installed that early<br />on so that client&#8217;s uploading it just lets you, uh, ju similar to some of this, right? It lets you set a<br />sensible limit, so it&#8217;s like resize anything over 2,500 pixels, down to 2,500 pixels.<br />And that&#8217;s all it does, but it&#8217;s it per it, it has saved us so much disk space. They will make a<br />mistake and upload something that&#8217;s, you know, two megs and 7,000 pixels or whatever. So,<br />um, but I&#8217;ve had to. Like, there were times when we wanted, uh, like we had a blog post that<br />was a web comic, and so we needed it 7,000 tall.<br />So I went in disabled, the plugin, and this is the process I had to do right as I went in. Had to go<br />in, disable the plugin, upload the full, full version, and then go back in and reenable the plugin.<br />So yeah, if there was a like click here to bypass just this one time, [00:42:00] uh, you know, then<br />it would&#8217;ve saved me.<br />Six clicks and a, and a bunch of load time. Um, so yeah, to, to make sure that we ac we<br />accommodate that or offer the option to accommodate that , uh, options to offer options always<br />gets a little meta, but I do think that that&#8217;s crucial as much because like we keep talking about,<br />we don&#8217;t, we just don&#8217;t know yet.</p>\n\n\n\n<p>We don&#8217;t know who&#8217;s really gonna use this. We don&#8217;t really know. And that&#8217;s, that&#8217;s why like, I<br />like the thinking. We did at the beginning of this phone call about using, talking about filters. But<br />to me, filters is an example or of, of that, which we don&#8217;t know yet, but are the kind of features<br />that we can offer.<br />Not fi filters specifically, but some sort of photo manipulation, assuming that that&#8217;s what people<br />want. But I also, I think I&#8217;ve, I mean, I&#8217;m having fun looking at discovering. How robust<br />JavaScript is [00:43:00] now and, and what it can do, including photo manipulation. But to me,<br />cropping a circle was a no-brainer for this, you know, for v1.<br />But adding photo filters is, is down the road at some point because it&#8217;s, it could be a lot of noise<br />within the product and if nobody wants it, then we don&#8217;t wanna add that much noise.<br />Cory Miller: I feel like too, a lot of this just kind of pulling up for the overall product journey we&#8217;re<br />on. Mm-hmm. is trying to find that spark.<br />Yeah. Like we&#8217;re talking through things that we think are good ideas, thought like really<br />thoughtfully trying to embody the experience and I feel like we&#8217;re trying to find a little spark of<br />something when we, when we talk about feedback and like, Someone goes, yeah, that what you<br />just said there, but like a lot of the process of product like this is trying to get just lucky and, and<br />find that little spark of, [00:44:00] hey, here it, here it goes.<br />You know? So it&#8217;s good for me to kind of reset and go, yeah, doesn&#8217;t feel good to see fewer than<br />10, you know? But like we&#8217;re trying to get it out there enough and we&#8217;re doing this obviously, so<br />we find a spark somewhere in there and they go, Hey, that&#8217;s what I. To, I don&#8217;t know, let&#8217;s, let me<br />throw in another sport.<br />Fishing,<br />We&#8217;re trying to fish and go like, yeah, we think this is good. So I&#8217;m trying not to make too many,<br />um, minute feedback things about the thing. I go. We, we, we decided a couple weeks ago, we<br />kept talking about like the custom dimensions. So you&#8217;ve done the settings page and now this<br />seems to be the other side.<br />And just kind of getting it out there and going, like, does this, does this work? Part of it, I think<br />for me is I&#8217;m not actively blogging as much at all, and I haven&#8217;t for a long time, but I need to get<br />back in the [00:45:00] process and start documenting, you know, when I&#8217;m Yeah. Trying to<br />express a. Feeling, emotion, whatever those things are.<br />Um, and then going through the press of like, what, you know, for me, I&#8217;m trying to commit to<br />this, this going, okay, let me find an image for this. That kind of hits at what I&#8217;m trying to get at,<br />you know? Yep. Um, back to Instagram, that&#8217;s what I loved about Instagram and those little<br />apps, you remember those apps that take like a second a day and it&#8217;d kind of be a journal and.<br />It started with an image and then it became, you know, people tried to blow up the content<br />underneath. Um, I needed to play around that with, in my head a little bit and practice it of like,<br />what if I started with an image and wrote and just put, get back doing my click and publish<br />again, and then note all my pain points with finding [00:46:00] images that are appropriate.<br />Corey Maass: And I&#8217;m going to, um, to me we&#8217;re, I like your fishing analogy. We&#8217;re fishing with<br />a, with a all lure. We&#8217;re still building. You know, we, we&#8217;ve got the hook and we&#8217;ve got the eyes,<br />but we need the little wiggly bit that the fish will actually be attracted to or whatever. Um, but I&#8217;m<br />not, I guess I&#8217;m, to me, I&#8217;m not yet casting with the intent of actually catching fish like I&#8217;m casting<br />to just kind of make sure that it, it all still holds together when it hits the water.<br />Um, I think with a, with some basic settings, uh, with a block at that point. Like I wanna start<br />promoting it a lot more, putting it on, you know, actually put it in some places. Um, I think at that,<br />that&#8217;s when, you know, we actually are version complete and we can start sending it to some<br />blogs. Um, You know, you, you do a, a Google search for word [00:47:00] plug, you know,<br />WordPress plugin, photo cropping or photo manipulation, and then go find all those listicles and<br />add some comments and, and basically just do kind of the, the, the bare minimum, uh, s e o and<br />spreading of the word.<br />I think the other thing is, um, I don&#8217;t remember who it was, um, Kathy. Or somebody. Yeah,<br />Kathy, um, typed in crop, uh, in the plug-in directory and. Um, and it was like, I think just crop,<br />we&#8217;re not even on the first page. If you do crop.express, we come right up, but crop space<br />express doesn&#8217;t come up. So we, you know, we need to start tweaking some of, you know,<br />looking at, cuz at that point, like the, the README that&#8217;s in there now is, is almost, is already<br />almost not.</p>\n\n\n\n<p>Accurate in that we&#8217;ve added more features. And so revisiting that, revisiting the wording,<br />starting to play with the [00:48:00] wording, but it&#8217;s like at that point we are at least a fully<br />functional product. And so then, then I feel much better about talking about it. I also look forward<br />to like, I will make my clients use this whether they like it or not, and I will toggle it so that they<br />are locked down.<br />Um, and then I will hear their complaints, you know, good, or, or I guess you don&#8217;t have good<br />complaints, but I will hear their feedback, good or bad. Um, but it&#8217;s, um, you know, to me a very<br />real world use case. So, um, we&#8217;re. I guess I&#8217;m trying to get us there, right? Like basic settings,<br />basic implementation. Um, and then I, I, and then frankly, like at that point, at we, we, we.<br />It&#8217;s fun to keep talking every week, but I almost feel like at least what I&#8217;ve done in the past is at<br />that point we, like, we let a couple of months go by and maybe we&#8217;re working on, we&#8217;re still<br />working on it [00:49:00] or we&#8217;re working on a companion or we&#8217;re, you know, something else is<br />cooking. But, um, The, you know, one of the best things that happened to me was, you know,<br />my social link pages plug in.<br />I built it and then, uh, had to stop working on it cuz of a job I was doing. And the year went by<br />and I stopped doing that job and I came back and was like, oh, it has a thousand active installs.<br />And it was like letting it grow organically. Mm. You know, letting time happen naturally. Like I<br />probably could have made that ramp happen a little bit faster, but not a lot, you know, at least at<br />the level I&#8217;m at.<br />Like we, like we talked about, if you&#8217;re starting from zero, you&#8217;ve only got so many favors you<br />can call in. You&#8217;ve only got so many eyes on you. You&#8217;ve only got, um, you know, I think we&#8217;ve,<br />we&#8217;ve both got a little bit of an, I, you&#8217;ve got a much bigger audience than I do. We both are<br />involved with communities, but you know, we are not, [00:50:00] Uh, who&#8217;s a successful<br />blogger?<br />Tim Ferris or, you know, Paul Jarvis or, um, Joel s Spolsky, or, you know, whoever, like big, big<br />names that have attention on them. And so we&#8217;ve, we&#8217;ve, there will be, there will come a day<br />when we&#8217;ve, we&#8217;ve basically tapped every lead that we can think of, and then it&#8217;s like, okay, so<br />let&#8217;s let a week go by and let some, you know, let the internet do its job and, and spreading the<br />word.<br />Cory Miller: That&#8217;s good grounding.<br />Corey Maass: It&#8217;s hard. It&#8217;s hard,<br />Cory Miller: like even if I want to, I, I&#8217;m always so impatient and want to accelerate and get to<br />the things, but I, that&#8217;s really good grounding.<br />Corey Maass: It&#8217;s like, well, if we, if we had a gajillion dollars, if, if we had investment, I&#8217;m not,<br />obviously, I&#8217;m not advocating that, but it&#8217;s like, If we were in that kind of situation or we were able<br />to, you know, sit down in an office day after day and say like, this is our job.<br />[00:51:00] Very different trajectory. Yeah, but I don&#8217;t, but we&#8217;re not in that position.<br />Cory Miller: Yeah, it&#8217;s true.<br />Okay. Well anyway, so go ahead.<br />Corey Maass: Oh, I was just gonna say like, we&#8217;ve got five minutes and I actually need to wrap<br />up on time today, so, okay. Um, just wanted to check in with you, see, see if there&#8217;s anything<br />else to talk about or what else you wanted to talk about. Put you on the spot here. I<br />Cory Miller: think that&#8217;s it. I want to keep kind of pushing in and trying to find, um, I think my<br />part in this is sniffing the problem that we go there.<br />It, you know, there it is. That could potentially illuminate it to bring in money for sales, whatever it<br />might be. But, um, and going like, I think we got a pretty cool thing here. It seems to me for the<br />future, it&#8217;s like [00:52:00] image creation in that cate, something in this category is the potential<br />for the pro. And I&#8217;m keen to just go, like, personally finding the angles in there that would go right<br />here.<br />This could be a little, this could be a V1 into the paid, you know, finding that, that little mix. But<br />thanks for keeping us on track with this. I, I think where we&#8217;re going with this setting is great. It&#8217;s<br />all there. It&#8217;s functional or it will be, and, uh, try to get a little bit more stepped in the, into the.<br />Finding our people<br />Corey Maass: Yeah. For this. Yeah. And I&#8217;m, I&#8217;m, you know, I don&#8217;t think I need to say it, but I&#8217;ll<br />say it anyway. Don&#8217;t get me wrong. Like, I&#8217;m also anxious and excited. Unfortunately, this week,<br />once again, life happens. And so I&#8217;ve, on Monday, a tight deadline Okay. With a day job. Um, but<br />I&#8217;m, but I&#8217;m, there&#8217;s something is going to shift [00:53:00] and I, I almost want to, uh, I wanna</p>\n\n\n\n<p>make sure we don&#8217;t keep having the same conversation week over week, , uh, both for the<br />people listening in, but of course for ourselves.<br />Cuz that that&#8217;s also when we&#8217;re like, okay, yeah, last week we said we were gonna do this, it&#8217;s<br />still not done. So I guess another week goes by, you know, and then, and then we get frustrated.<br />So, um, trying to chip away at it and. But I think, cuz I think something will shift once we<br />honestly look at our, what, at our initial offering crop express the plugin and say, okay, that&#8217;s in<br />the repo as as a complete fishing lure, , or whatever.<br />Um, you know, and, and, and people are using it. And we are using it cuz it actually like does<br />solve the problems that we&#8217;re talking about.<br />Cory Miller: Yeah. Yeah. I wrote down here too, when you said block earlier, uh, I&#8217;ll follow back</p>\n\n\n\n<p>up with Robbie [00:54:00] Umhmm. That&#8217;s right. We had the whole thing come back. Yeah. Mm-<br />hmm. . But it seems like I knew Block had some complexity, uh, you know, that we talked about,</p>\n\n\n\n<p>but I know you&#8217;re heavily embedded into the Beaver Builder community and used it prolifically.<br />And we got that contact with Robbie, so I&#8217;ll follow back up with him. Kathy was the other one.<br />And then I still need to ping the Elementor team. Um, cuz that could be a, you know, it feels like<br />we need that. Somebody going Yeah. But mm-hmm. this or, you know, reactions like, what, what<br />we need. So, um, let me do that with the Robbie, Kathy, aunt Cadence and then, um, ping, ping<br />the team over at on Mentor.<br />Corey Maass: Yeah, and honestly like think about, so I, I think one of the things that you could<br />be doing. Is, or, or what you are doing, but [00:55:00] do more of, is this kind of, essentially, it&#8217;s<br />not really a custom inter customer interview, but kind of, sort of, yeah, yeah. Um, so like, you<br />know, put it on your Twitter or look for a way to, to elevate that question in post status or, and I,<br />I&#8217;m not sure what the question is, but I, I kind of want to put that, put that on your plate.<br />Let me keep focusing on the development of, of the first version of the plugin. Um, but if you can<br />be having starting, or, I mean, and, and usually, you know, tweet into the void and maybe<br />nobody comes back, but it&#8217;s the, like, you know, how, how do you, how do you find images or<br />like, that&#8217;s not the problem we&#8217;re solving yet, so I don&#8217;t wanna really ask that question yet.<br />But, you know, how, what problem, how painful do you, yeah. You know, is it, do you, do you,<br />you know, either define the problem, you know, do you have, do you wish that there was a<br />better crop in WordPress? Or what apps [00:56:00] do you use to manipulate a photo before<br />you upload it to your blog post? Or, um, you know, I think there&#8217;s, I think there&#8217;s, you asked a<br />couple of questions to help figure out the right question to ask and then start asking that in more<br />places.<br />Um, okay. Cuz that, that&#8217;ll. I think it&#8217;s, you know, you pinging the specific people is huge. Um,<br />especially tapping into if, if they are a, a essentially a gateway into, uh, a community or a, a<br />team that is facing a problem over and over again. But I would, I&#8217;d love to hear some, like,<br />answers in the wild too of like throw it on Twitter and see if, if people.<br />Have a response, you know? Um, yeah, because like you said, there&#8217;s, I, I do feel like we are<br />looking for a spark. Like I have this other, um, app, you know, a p i service that I built a while<br />ago that I want to talk to you some other time [00:57:00] about offline. Um, But it&#8217;s like I, and, uh,<br />well, I&#8217;ve mentioned a couple times.<br />I, I built it 99% of the way and then stopped and have not opened it up because I&#8217;m like, I&#8217;m just<br />missing that spark. Like the, and, and then just today somebody, it, it pertains to screenshots.<br />And so somebody today was like, oh, is there a WordPress plugin that takes this kind of<br />screenshot? And I was like, oh my God, I never even thought of that.<br />And I don&#8217;t, I don&#8217;t, still don&#8217;t know if it&#8217;s the spark, but I&#8217;m, you know, I&#8217;m pulling at that thread. I<br />messaged the guy and then we&#8217;re. We&#8217;re chatting via email, like I might bang together a quick<br />use case for &#8217;em to like see if that&#8217;s part of the spark. You know what I mean? So<br />Cory Miller: I, I would love to talk about that.<br />Cause you&#8217;ve mentioned it in our other discussions. I&#8217;d love to talk about that more because, I<br />mean, I think there&#8217;s one thing that I&#8217;m really interested in. It&#8217;s like images and they mentioned<br />Yeah, exactly. No, being able to do that and like, I love the, I think it was a screen. Tool<br />potentially you were talking about?<br />Um, yeah. [00:58:00] Or in that realm. And Yeah. And it makes me put, like, higher on my list is<br />the OMG IMG site as our base for Yeah. Being able to explore this. Here&#8217;s your free plug into<br />crop, you know, like that sticker mill thing. Like here&#8217;s your total mm-hmm. ,<br />Corey Maass: which by, by the way, Sticker Mule, they have, um, specials once in a while.</p>\n\n\n\n<p>So I ordered us, um, 10 crop express stickers for a dollar. So we have our first swag, so as it, it<br />has shipped. So I need your, I need your address. Yep. And, uh, uh, I&#8217;ll send you five. And then<br />we each have five crop express plugin or, um, plugin stickers for, for the fun of it. .<br />Cory Miller: I, I want an OMG IMG Hoodie<br />Corey Maass: oh yes. . Yes.<br />And that, that logo, we&#8217;re gonna need to spend a little more time on roughly. So, yeah,<br />[00:59:00] I want, I want rainbows and unicorns or something. I don&#8217;t know yet. Ice cream<br />cones, but hey brother, I could keep<br />Cory Miller: talking, but I know you need to jet.<br />Corey Maass: Yeah, I gotta bounce.<br />Cory Miller: All right. Uh, I&#8217;m pumped. Thanks, man.<br />Corey Maass: Yeah, we&#8217;ll talk soon.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 30 Mar 2023 13:34:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"WPTavern: WordPress 6.2 “Dolphy” Introduces a Revamped Site Editor, Distraction-Free Writing Mode, and Updated Block Inserter \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=143114\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:132:\"https://wptavern.com/wordpress-6-2-dolphy-introduces-a-revamped-site-editor-distraction-free-writing-mode-and-updated-block-inserter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4550:\"<img />image credit: <a href=\"https://www.youtube.com/watch?v=vAn_gyNcvN4\">Charles Mingus Sextet &#8211; Feat. Eric Dolphy &#8211; Take The A Train</a>\n\n\n\n<p><a href=\"https://wordpress.org/news/2023/03/dolphy/\">WordPress 6.2</a> &#8220;Dolphy&#8221; was released today, named in honor of American jazz alto saxophonist, bass clarinetist, and flautist <a href=\"https://en.wikipedia.org/wiki/Eric_Dolphy\">Eric Allan Dolphy Jr</a>.&nbsp;This is the first of three planned major releases in 2023. It includes more than 900 enhancements and bug fixes, with a strong focus on improving the site editing experience.</p>\n\n\n\n<p>One of the major highlights of the 6.2 release is the completely revamped Site Editor interface. The browse mode style of navigation lets users quickly slide between editing and previews of templates and template parts, with a new unified design that makes it feel like it&#8217;s all part of the same application. </p>\n\n\n\n<p>Color-coded labels have been added in 6.2, which give users more visual cues in finding their template parts and reusable blocks inside the List View, the Block toolbar, and on the Canvas.</p>\n\n\n\n<p>With these and other updates, the Site Editor is now out of beta. Inside the admin, the About page includes beautifully designed screenshots of each feature with the vibrant blue color that has become part of WordPress&#8217; identity in the new design that is slowly being rolled out across WordPress.org.</p>\n\n\n\n<img />WordPress 6.2 About page\n\n\n\n<p>For those switching from a Classic theme to a Block theme, widgets that are imported will now automatically become Template Parts to make it an easier transition.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Improved Navigation Block Experience for Managing Menus</h3>\n\n\n\n<p>Managing Navigation menus just got easier with a new sidebar inside the Site Editor that allows users to quickly add, remove, and reorder menu items.</p>\n\n\n\n<img />WordPress 6.2 About page\n\n\n\n<h3 class=\"wp-block-heading\">Updated Block Inserter with Media Tab and Openverse Integration</h3>\n\n\n\n<p>The Block Inserter is sporting a new design that better integrates media, making it faster to insert images, video, and audio, with a new tab alongside blocks and patterns. Users can select the new tab and select a media type to see the ten most recent items. </p>\n\n\n\n<img />\n\n\n\n<p>WordPress 6.2 also adds integration with <a href=\"https://openverse.org/\">Openverse</a> to this new media tab. Users now have access to the Openverse library of more than 700 million free-to-use openly licensed and public domain works, directly inside the editor. Clicking on an Openverse image will instantly insert it as an Image block with the proper attribution and license automatically added to the caption, a much faster experience than downloading and uploading to the Media Library.</p>\n\n\n\n<img />\n\n\n\n<h3 class=\"wp-block-heading\">New Distraction-Free Writing Mode</h3>\n\n\n\n<p>WordPress 6.2 introduces a distraction-free writing mode that offers a more focused writing experience, hiding unnecessary interface elements from the editor. This video from the 6.2 testing guide shows how it can be enabled and disabled.</p>\n\n\n\nvideo credit: <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">WordPress 6.2 Testing Guide</a>\n\n\n\n<p>Other notable features and updates in 6.2 include the following:</p>\n\n\n\n<ul>\n<li>&nbsp;A new collection of header and footer patterns for block themes</li>\n\n\n\n<li>Scaled block settings with split controls to better organize Styles and Settings options</li>\n\n\n\n<li>A new Style Book that displays every block in the site’s library at a glance where they can be previewed and edited globally</li>\n\n\n\n<li>Copy and Paste styles between blocks</li>\n\n\n\n<li>Improved pattern insertion with patterns organized into more categories, like headers and footers</li>\n\n\n\n<li>Custom CSS support sitewide and for specific blocks</li>\n\n\n\n<li>Sticky positioning to keep top-level group blocks fixed to the top of a page as visitors scroll</li>\n\n\n\n<li>Improved privacy for default themes with locally hosted Google Fonts</li>\n</ul>\n\n\n\n<p>WordPress 6.2 was made possible by more than 600 contributors across 50 countries, with 178 of those contributing for the first time. Update today to get access to all these new features and bug fixes. For the most comprehensive coverage of all the under-the-hood changes for developers and extenders, check out the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 29 Mar 2023 20:35:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"Post Status: WordPress 6.2 “Dolphy” • Gutenberg Phase 3 • Test Plugin Dependencies\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148557\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"https://poststatus.com/wordpress-6-2-dolphy-gutenberg-phase-3-test-plugin-dependencies/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:21268:\"<h2 id=\"h-this-week-at-wordpress-org-march-27-2023\">This Week at WordPress.org (March 27, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f973.png\" alt=\"🥳\" class=\"wp-smiley\" /> WordPress 6.2 is now available! If you haven&#8217;t started testing yet, now is the time. <br /><br />Gutenberg is a 4 phase approach to nearly all areas of WordPress. Phase 1 was Posts and Pages. Phase 2 included Themes. Matias Ventura shares what we could see in Phase 3.  <br /><br />Andy Fragen has posted a call for testing on the Plugin Dependencies plugin. </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fas_rocket kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\">WP 6.2, Plugin Dependencies, Phase 3</h2><p class=\"kt-blocks-info-box-text\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f680.png\" alt=\"🚀\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/03/dolphy/\">WordPress 6.2 “Dolphy”</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f5a5.png\" alt=\"🖥\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/03/28/call-for-testing-plugin-dependencies-ux/\">Call for Testing: Plugin Dependencies UX</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f7e6.png\" alt=\"🟦\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/03/30/proposal-the-interactivity-api-a-better-developer-experience-in-building-interactive-blocks/\">Proposal: The Interactivity API – A better developer experience in building interactive blocks</a><br /><br />3&#x20e3; <a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">Phase 3: Collaboration</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3b7.png\" alt=\"🎷\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/design/2023/03/30/why-jazz/\">Why Jazz?</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/03/episode-52-phase-three-with-hector-prieto/\">WP Briefing: Episode 52: Workflows and Phase Three Visioning with Special Guest Héctor Prieto</a></li>\n\n\n\n<li><a href=\"https://wp20.wordpress.net/wp20-swag-is-here/\">WP20 Swag is Here! Order Your Official Merchandise Today</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"is-layout-flex wp-container-5 wp-block-columns\">\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/03/30/community-team-goals-for-2023-2nd-chat-session/\">Community Team Goals for 2023 : 2nd Chat session</a></li>\n</ul>\n\n\n\n<h2 id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/30/proposal-the-interactivity-api-a-better-developer-experience-in-building-interactive-blocks/\">Proposal: The Interactivity API – A better developer experience in building interactive blocks</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/28/call-for-testing-plugin-dependencies-ux/\">Call for Testing: Plugin Dependencies UX</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/28/introducing-a-new-block-editor-handbook-scrub/\">Introducing a new block editor handbook scrub</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/23/wordpress-6-2-release-day-process/\">WordPress 6.2 Release Day Process</a></li>\n</ul>\n\n\n\n<h3 id=\"h-wordpress-6-2\">WordPress 6.2</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/28/wordpress-6-2-release-date-updated-march-29-2023/\">WordPress 6.2 release date updated: March 29, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/23/wordpress-6-2-release-day-process/\">WordPress 6.2 Release Day Process</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/23/wordpress-6-2-release-candidate-4/\">WordPress 6.2 Release Candidate 4</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/14/fyi-navigation-section-of-new-site-editor-experienced-removed-for-6-2-rc-2/\">FYI: Navigation section of new Site Editor experienced removed for 6.2 RC 2</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/14/wordpress-6-2-translation-status-march-14-2023/\">WordPress 6.2 Translation Status (March 14, 2023)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/04/wordpress-6-2-ready-to-be-translated/\">WordPress 6.2 ready to be translated</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a>\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/08/requests-library-upgraded-to-2-0-5-in-wordpress-6-2/\">Requests library upgraded to 2.0.5 in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/patterns-api-expanded-to-include-template_types-property/\">Patterns API expanded to include template_types property</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/\">Introduction of Block Inspector Tabs</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/\">Shadows in Global Styles with WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/\">Introducing the HTML API in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-editor-changes-in-wordpress-6-2/\">Miscellaneous Editor changes in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-move_dir-in-wordpress-6-2/\">Introducing move_dir() in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/\">Sticky position block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/upgrading-to-react-18-and-common-pitfalls-of-concurrent-mode/\">Upgrading to React 18 and common pitfalls of concurrent mode</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/add-new-prop-to-serversiderender-component/\">Add new prop to ServerSideRender component</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/google-fonts-are-included-locally-in-bundled-themes/\">Google Fonts are included locally in bundled themes</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/\">Custom CSS for global styles and per block</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/\">Minimum height dimensions block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/i18n-improvements-in-6-2/\">I18N Improvements in 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/custom-settings-wordpress-6-2/\">Customize settings for any block in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/19/style-book-preview-of-blocks-in-global-styles/\">Style Book preview of blocks in global styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/12/09/update-to-content-only-editing-filter-namespace/\">Update to content only editing filter namespace</a></li>\n</ul>\n</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/wordpress-6-2-beta-4-postponed/\">WordPress 6.2 Beta 4 Postponed</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/wordpress-6-2-beta-3/\">WordPress 6.2 Beta 3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 Live Product Demo</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/03/hallway-hangout-performance-improvements-for-wordpress-6-2/\">Hallway Hangout: Performance Improvements for WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/18/bug-scrub-schedule-for-6-2/\">Bug Scrub Schedule for 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/11/early-bug-scrub-schedule-for-wp-6-2/\">Early bug scrub schedule for WP&nbsp;6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/17/wordpress-6-2-planning-roundup/\">WordPress 6.2 Planning Roundup</a></li>\n</ul>\n\n\n\n<h3 id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/30/core-editor-chat-summary-29th-march-2023/\">Core Editor chat summary: 29th March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/28/march-29-dev-chat-is-canceled-in-favor-of-wordpress-6-2-final-release-party/\">March 29 Dev Chat is canceled in favor of WordPress 6.2 final release party</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/27/editor-chat-summary-march-22nd-2023/\">Editor chat summary: March 22nd, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/27/editor-chat-agenda-march-29th-2023/\">Editor Chat Agenda: March 29th 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-developer-blog\">Developer Blog</h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/03/quick-and-easy-local-wordpress-development-with-wp-env/\">Quick and easy local WordPress development with wp-env</a></li>\n</ul>\n\n\n\n<h2 id=\"h-design\"><a href=\"https://make.wordpress.org/design\">Design</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/design/2023/03/30/why-jazz/\">Why Jazz?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/03/13/design-share-feb-13-mar-10/\">Design Share: Feb 13–Mar 10</a></li>\n</ul>\n\n\n\n<h2 id=\"h-docs\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/03/26/agenda-for-docs-team-bi-weekly-meeting-april-4-2023/\">Agenda for Docs Team bi-weekly meeting April 4, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/03/26/summary-for-docs-team-meeting-march-21-2023/\">Summary for Docs Team meeting, March 21, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/03/15/call-for-volunteers-to-help-with-6-2-end-user-documentation/\">Call for volunteers to help with 6.2 end user documentation</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/27/documentation-team-update-march-27-2023/\">Documentation Team Update – March 27, 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/03/21/hosting-team-meeting-agenda-2023-03-22/\">Hosting Team meeting agenda 2023-03-22</a></li>\n</ul>\n\n\n\n<h2 id=\"h-marketing\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/28/notes-global-marketing-team-meeting-21-march-2023/\">Notes: Global Marketing Team meeting, 21 March 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-meta\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/03/27/matrix-chat-summary-march-23-2023/\">Matrix chat Summary, March 23 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/mobile/2023/03/28/new-mobile-support-forum/\">New Mobile Support Forum</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/25/mobile-team-update-march-25th/\">Mobile Team Update – March 25th</a></li>\n</ul>\n\n\n\n<h2 id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/03/27/last-week-openverse-2023-03-20-2023-03-27/\">A week in Openverse: 2023-03-20 – 2023-03-27</a></li>\n</ul>\n\n\n\n<h2 id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/28/performance-chat-summary-28-march-2023/\">Performance Chat Summary: 28 March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/27/core-performance-team-update-march-27-2023/\">Core Performance Team Update: March 27, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/03/10/advance-notice-of-retirement/\">Advance Notice of Retirement</a></li>\n</ul>\n\n\n\n<h2 id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/29/agenda-weekly-polyglots-chat-march-29-2023-1300-utc/\">Agenda: Weekly Polyglots Chat – March 29, 2023 (13:00 UTC)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/21/new-translation-project-wp20-wordpress-net/\">New translation project: wp20.wordpress.net</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins-1\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/03/21/use-of-code-generators-must-remain-gpl-compatible/\">Use of Code Generators Must Remain GPL Compatible</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/plugins/2023/03/10/advance-notice-of-retirement/\">Advance Notice of Retirement</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/28/plugin-review-team-27-mar-2023/\">Plugin Review Team: 27 Mar 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">Proposal: Creating a WordPress Contributor Mentorship Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/01/27/discussion-ending-the-eternal-september/\">Discussion: Ending the Eternal September</a></li>\n</ul>\n\n\n\n<h2 id=\"h-support\"><a href=\"https://make.wordpress.org/support\">Support</a></h2>\n\n\n\n<ul>\n<li> </li>\n</ul>\n\n\n\n<h2 id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/03/28/test-chat-summary-28-march-2023/\">Test Chat Summary: 28 March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/03/14/hallway-hangout-lets-chat-about-all-things-layout/\">Hallway Hangout: Let’s chat about All Things Layout</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a></li>\n</ul>\n\n\n\n<h2 id=\"h-theme\">Theme</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/03/27/themes-team-meeting-agenda-for-march-28-2023/\">Themes team meeting agenda for March 28, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\">Hallway Hangout: Community Themes Initiative</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/28/themes-team-update-march-28-2023/\">Themes team update March 28, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/03/29/introduction-to-wordpress-development-syllabus/\">Introduction to WordPress Development syllabus</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/27/meeting-agenda-for-march-28-2023/\">Meeting agenda for March 28, 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/32894-2/\">How to use featured images</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/wordpress-rest-api-modifying-responses/\">WordPress REST API – Modifying responses</a></li>\n</ul>\n\n\n\n<h3 id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=live-stream-reviewing-developer-focused-features-in-gutenberg-15-4\">Live stream: Reviewing developer-focused features in Gutenberg 15.4</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=%CE%B3%CE%BD%CF%89%CF%81%CE%B9%CE%BC%CE%AF%CE%B1-%CE%BC%CE%B5-%CF%84%CE%B7%CE%BD-%CE%BF%CE%BC%CE%AC%CE%B4%CE%B1-learn\">Γνωριμία με την ομάδα Learn</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-do-you-learn-wordpress\">How do you Learn WordPress?</a></li>\n</ul>\n\n\n\n<h2 id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-2\">PHP 8.2.4 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-03-16-1\">PHP 8.1.17 Released!</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/13.0/\">TC39</a></li>\n\n\n\n<li><a href=\"https://github.com/composer/composer/releases/tag/2.5.5\">Composer 2.5.5</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 29 Mar 2023 18:59:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"WordPress.org blog: WordPress 6.2 “Dolphy”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14659\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"https://wordpress.org/news/2023/03/dolphy/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:56883:\"<img width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/inline-image-x2-1.png?resize=1024%2C683&ssl=1\" alt=\"WordPress 6.2 \" />\n\n\n\n<p>Say hello to WordPress 6.2 “Dolphy,&#8221; named for the woodwind jazz wiz, the multi-instrumentalist—<a href=\"https://en.wikipedia.org/wiki/Eric_Dolphy\">Eric Allan Dolphy Jr</a>. Dolphy is acclaimed for having brought the bass clarinet to prominence in the jazz scene, creating a place for the flute and extending the lexicon of the alto saxophone. In a career that spanned continents, his artistry was at the forefront of pushing improvisational boundaries, ensemble work, and partnerships with well-respected artists like Charles Mingus and John Coltrane.</p>\n\n\n\n<p>This latest version of WordPress reimagines your site editing experience, introduces more ways to style your site, and offers a new distraction-free way to write. Discover improvements that give you more control and freedom to express your creative vision. There’s something for everyone, whether you’re a content creator, developer, site builder, or designer. Let the <a href=\"https://open.spotify.com/artist/6rxxu32JCGDpKKMPHxnSJp?si=UEYO5JU5TXyEeINuuhN6aQ\">music of Eric Dolphy</a> delight you as you take in all that 6.2 has to offer.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://wordpress.org/wordpress-6.2.zip\">Download WordPress 6.2 today</a></div>\n</div>\n\n\n\n<p>WordPress 6.2 is the first major release of 2023, covering over 900 enhancements and fixes. It’s also a transition point in the WordPress project’s <a href=\"https://wordpress.org/about/roadmap/\">development roadmap</a>, shifting focus from customization to <a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">early exploration of workflows and collaboration</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">What’s inside</h2>\n\n\n\n<h4 class=\"wp-block-heading\">Meet&nbsp;the reimagined Site Editor</h4>\n\n\n\n<img src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Site-Editor.png?resize=536%2C536&ssl=1\" alt=\"Image inlay of the reimagined Site Editor. WordPress 6.2 Dolphy\" class=\"wp-image-14661\" width=\"536\" height=\"536\" />\n\n\n\n<p>Ready for you to dive in and explore: 6.2 is your invitation to discover what the next generation of WordPress—and block themes—can do.&nbsp;</p>\n\n\n\n<p>Now out of beta, the Site Editor has an updated interface, giving you a new way to interact with your entire site. Explore full previews of your templates and template parts, then jump in and get to editing your site from wherever you choose.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Manage menus in more ways with the Navigation block</h4>\n\n\n\n<img src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Navigation.png?resize=532%2C532&ssl=1\" alt=\"Image inlay of menu management from the Navigation block\" class=\"wp-image-14662\" width=\"532\" height=\"532\" />\n\n\n\n<p>Add, remove, and reorder menu items faster—with a new sidebar experience that makes editing your site’s navigation easier.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Discover a smoother experience for the Block Inserter</h4>\n\n\n\n<img src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Patterns-Inserter.png?resize=536%2C536&ssl=1\" alt=\"Image inlay of the Block Inserter\" class=\"wp-image-14663\" width=\"536\" height=\"536\" />\n\n\n\n<p>A refreshed design gives you easier access to the content you need. Use the Media tab to quickly drag and drop content from your existing Media Library. Find patterns faster with a split view that lets you navigate categories and see previews all at once.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Find the controls you want when you need them</h4>\n\n\n\n<img src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Settings-and-Styles-Tabs.png?resize=540%2C540&ssl=1\" alt=\"Tab between settings and styles in the block settings sidebar\" class=\"wp-image-14664\" width=\"540\" height=\"540\" />\n\n\n\n<p>Your block settings sidebar is better organized with tabs for Settings and Styles. So the tools you need are easy to identify and access.&nbsp;</p>\n\n\n\n<h4 class=\"wp-block-heading\">Build faster with headers and footers for block themes</h4>\n\n\n\n<img src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Block-themes.png?resize=534%2C534&ssl=1\" alt=\"\" class=\"wp-image-14671\" width=\"534\" height=\"534\" />\n\n\n\n<p>Discover a new collection of header and footer patterns. Use them with any block theme as a quick, high-quality starting point for your site’s templates.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Explore Openverse media right from the Editor</h4>\n\n\n\n<img src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Openverse.png?resize=544%2C544&ssl=1\" alt=\"\" class=\"wp-image-14670\" width=\"544\" height=\"544\" />\n\n\n\n<p>Openverse’s library catalogs over 700 million+ free, openly licensed stock images and audio—and now it’s directly integrated into the WordPress experience through the Inserter.&nbsp;</p>\n\n\n\n<h4 class=\"wp-block-heading\">Focus on writing with Distraction Free mode</h4>\n\n\n\n<img src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Distraction-Free.png?resize=542%2C542&ssl=1\" alt=\"\" class=\"wp-image-14665\" width=\"542\" height=\"542\" />\n\n\n\n<p>For those times you want to be alone with your ideas. You can now hide all your panels and controls, leaving you free to bring your content to life.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Meet the new Style Book</h4>\n\n\n\n<img width=\"560\" height=\"560\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Style-Book.png?resize=560%2C560&ssl=1\" alt=\"\" class=\"wp-image-14667\" />\n\n\n\n<p>Get a complete overview of how every block in your site’s library looks. All in one place, all at a glance, directly in the Site Editor.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Copy and paste styles</h4>\n\n\n\n<img width=\"560\" height=\"560\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Copy-_-Paste.png?resize=560%2C560&ssl=1\" alt=\"\" class=\"wp-image-14666\" />\n\n\n\n<p>Perfect the design on one type of block, then copy and paste those styles to other blocks to get just the look you want.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Custom CSS</h4>\n\n\n\n<img width=\"560\" height=\"560\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/03/Custom-CSS.png?resize=560%2C560&ssl=1\" alt=\"\" class=\"wp-image-14669\" />\n\n\n\n<p>Power up your site any way you wish with design tools and custom CSS for another level of control over your site’s look and feel for maximum creativity and artistry in your designs.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Other highlights in 6.2</h3>\n\n\n\n<ul>\n<li><strong>Sticky positioning</strong>: Choose to keep top-level group blocks fixed to the top of a page as visitors scroll.</li>\n\n\n\n<li><strong>Importing widgets</strong>: Options to import your favorite widgets from Classic themes to Block themes.</li>\n\n\n\n<li><strong>Local fonts in themes</strong>: Default WordPress themes offer better privacy with Google Fonts now included.</li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Performance highlights</h3>\n\n\n\n<p>“Dolphy” includes several impressive performance improvements. You’ll note overall faster load times for block themes of 14 to 18%, and for classic themes, speed increases of 2 to 5%. Server-side performance is also significantly boosted, with an increase of 17 to 23% for block themes and 3 to 5% for classic themes, 3 to 5%. The performance team is dedicated to these kinds of improvements. You can learn more about their work by following the Making WordPress blog using the <a href=\"https://make.wordpress.org/core/tag/performance/\">#performance hashtag</a>.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"></blockquote>\n\n\n\n<h2 class=\"wp-block-heading\">Learn more about WordPress 6.2</h2>\n\n\n\n<p>Explore <a href=\"https://learn.wordpress.org/workshops/\">Learn WordPress</a> for quick how-to videos, courses, and other resources for the latest features in WordPress. Or join a free <a href=\"https://learn.wordpress.org/social-learning/\">live interactive online workshop</a>.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a> for detailed developer notes to help you build with WordPress and get the most out of the latest release. Read the <a href=\"https://wordpress.org/documentation/wordpress-version/version-6-2/\">6.2 release notes</a> for additional technical details about this release, including installation information, updates, fixes, file changes, and more.</p>\n\n\n\n<h2 class=\"wp-block-heading\">The 6.2 release squad</h2>\n\n\n\n<p>6.2 is made possible by the many folks who have enthusiastically helped keep the release on track and moving forward:</p>\n\n\n\n<ul>\n<li>Release Lead: <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a></li>\n\n\n\n<li>Release Coordinators: <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a>, <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a></li>\n\n\n\n<li>Core Tech Co-Leads: <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a>, <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a></li>\n\n\n\n<li>Editor Tech Co-Leads: <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a>, <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a></li>\n\n\n\n<li>Core Triage Co-Leads: <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a>, <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a></li>\n\n\n\n<li>Editor Triage Co-Leads: <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a>, <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a></li>\n\n\n\n<li>Design Lead: <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a></li>\n\n\n\n<li>Documentation Co-Leads: <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a>, <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseet</a>, <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a>, <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a></li>\n\n\n\n<li>Marketing &amp; Communications Co-Leads: <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a>, <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a>, <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a></li>\n\n\n\n<li>Test Co-Leads: <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a>, <a href=\"https://profiles.wordpress.org/adeltahri/\">Adel Tahri</a></li>\n\n\n\n<li>Performance Lead: <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Thank you, contributors</h2>\n\n\n\n<p>WordPress 6.2 couldn’t be here without the countless effort and passion of more than 600 contributors in at least 50 countries. A special thank you to the 178 new contributors who joined a release for the first time. Their collaboration helped deliver hundreds of enhancements and fixes, ensuring a stable release for all—a testament to the power and capability of the WordPress community.</p>\n\n\n\n<p class=\"is-style-wporg-props-long alignfull\"><a href=\"https://profiles.wordpress.org/10upsimon/\">10upsimon</a> · <a href=\"https://profiles.wordpress.org/254volkan/\">254volkan</a> · <a href=\"https://profiles.wordpress.org/mercime/\">@mercime</a> · <a href=\"https://profiles.wordpress.org/aaroncampbell/\">Aaron D. Campbell</a> · <a href=\"https://profiles.wordpress.org/aeg0125/\">Aaron Graham</a> · <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a> · <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a> · <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> · <a href=\"https://profiles.wordpress.org/abidhasan112/\">Abid Hasan</a> · <a href=\"https://profiles.wordpress.org/abitofmind/\">abitofmind</a> · <a href=\"https://profiles.wordpress.org/abtop/\">ABTOP</a> · <a href=\"https://profiles.wordpress.org/ace100/\">ace100</a> · <a href=\"https://profiles.wordpress.org/bosconiandynamics/\">Adam Bosco</a> · <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a> · <a href=\"https://profiles.wordpress.org/admwgn/\">Adam Wiltgen</a> · <a href=\"https://profiles.wordpress.org/adeltahri/\">Adel Tahri</a> · <a href=\"https://profiles.wordpress.org/adhun/\">Adhun Anand</a> · <a href=\"https://profiles.wordpress.org/adityaarora010196/\">adityaarora010196</a> · <a href=\"https://profiles.wordpress.org/aduth/\">aduth</a> · <a href=\"https://profiles.wordpress.org/afshanadiya/\">Afshana Diya</a> · <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a> · <a href=\"https://profiles.wordpress.org/ajmaurya/\">Ajay Maurya</a> · <a href=\"https://profiles.wordpress.org/ajayver/\">ajayver</a> · <a href=\"https://profiles.wordpress.org/seakashdiu/\">Akash Mia</a> · <a href=\"https://profiles.wordpress.org/wildworks/\">Aki Hamano</a> · <a href=\"https://profiles.wordpress.org/schlessera/\">Alain Schlesser</a> · <a href=\"https://profiles.wordpress.org/alanjacobmathew/\">Alan Jacob Mathew</a> · <a href=\"https://profiles.wordpress.org/albarin/\">albarin</a> · <a href=\"https://profiles.wordpress.org/alberuni-azad/\">Alberuni Azad.</a> · <a href=\"https://profiles.wordpress.org/alecgeatches/\">alecgeatches</a> · <a href=\"https://profiles.wordpress.org/aleksganev/\">Aleks Ganev</a> · <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a> · <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a> · <a href=\"https://profiles.wordpress.org/alexstine/\">Alex Stine</a> · <a href=\"https://profiles.wordpress.org/alvastar/\">alvastar</a> · <a href=\"https://profiles.wordpress.org/alvitazwar052/\">Alvi Tazwar</a> · <a href=\"https://profiles.wordpress.org/amin7/\">amin</a> · <a href=\"https://profiles.wordpress.org/amirrezatm/\">amirrezatm</a> · <a href=\"https://profiles.wordpress.org/amitbarai013/\">Amit Barai Alit</a> · <a href=\"https://profiles.wordpress.org/paulamit/\">Amit Paul</a> · <a href=\"https://profiles.wordpress.org/anantajitjg/\">Anantajit JG</a> · <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a> · <a href=\"https://profiles.wordpress.org/andreaboe/\">andreaboe</a> · <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a> · <a href=\"https://profiles.wordpress.org/apmatthe/\">Andrew Matthews</a> · <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a> · <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a> · <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a> · <a href=\"https://profiles.wordpress.org/rarst/\">Andrey \"Rarst\" Savchenko</a> · <a href=\"https://profiles.wordpress.org/oandregal/\">André</a> · <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a> · <a href=\"https://profiles.wordpress.org/apeatling/\">Andy Peatling</a> · <a href=\"https://profiles.wordpress.org/aniketpatel/\">Aniket Patel</a> · <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a> · <a href=\"https://profiles.wordpress.org/ankitmaru/\">Ankit Panchal</a> · <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> · <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a> · <a href=\"https://profiles.wordpress.org/ahortin/\">Anthony Hortin</a> · <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a> · <a href=\"https://profiles.wordpress.org/antonyagrios/\">Antony Agrios</a> · <a href=\"https://profiles.wordpress.org/aparnajl/\">Aparna Adhun</a> · <a href=\"https://profiles.wordpress.org/arrasel403/\">AR Rasel</a> · <a href=\"https://profiles.wordpress.org/arafatjamil01/\">Arafat Jamil</a> · <a href=\"https://profiles.wordpress.org/aravindajith/\">Aravind Ajith</a> · <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a> · <a href=\"https://profiles.wordpress.org/arnolp/\">arnolp</a> · <a href=\"https://profiles.wordpress.org/artemiosans/\">Artemio Morales</a> · <a href=\"https://profiles.wordpress.org/arthur791004/\">Arthur Chu</a> · <a href=\"https://profiles.wordpress.org/artz91/\">ArtZ91</a> · <a href=\"https://profiles.wordpress.org/aryamaaru/\">Arun</a> · <a href=\"https://profiles.wordpress.org/mrasharirfan/\">Ashar Irfan</a> · <a href=\"https://profiles.wordpress.org/ashrafulsarkar/\">Ashraful Sarkar Naiem</a> · <a href=\"https://profiles.wordpress.org/nmutua/\">Autumn</a> · <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a> · <a href=\"https://profiles.wordpress.org/azurseisme/\">azurseisme</a> · <a href=\"https://profiles.wordpress.org/barryceelen/\">Barry Ceelen</a> · <a href=\"https://profiles.wordpress.org/bart/\">Bart</a> · <a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a> · <a href=\"https://profiles.wordpress.org/bedas/\">Beda</a> · <a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a> · <a href=\"https://profiles.wordpress.org/benish74/\">benish74</a> · <a href=\"https://profiles.wordpress.org/benjgrolleau/\">Benjamin Grolleau</a> · <a href=\"https://profiles.wordpress.org/benoitchantre/\">Benoit Chantre</a> · <a href=\"https://profiles.wordpress.org/kau-boy/\">Bernhard Kau</a> · <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernie Reiter</a> · <a href=\"https://profiles.wordpress.org/mxbclang/\">Bethany Chobanian Lang</a> · <a href=\"https://profiles.wordpress.org/bgin/\">bgin</a> · <a href=\"https://profiles.wordpress.org/albatross10/\">Bhavik Kalpesh</a> · <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson (birgire)</a> · <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a> · <a href=\"https://profiles.wordpress.org/bjorn2404/\">bjorn2404</a> · <a href=\"https://profiles.wordpress.org/bogdanungureanu/\">BogdanUngureanu</a> · <a href=\"https://profiles.wordpress.org/bonjour52/\">bonjour52</a> · <a href=\"https://profiles.wordpress.org/bookwyrm/\">bookwyrm</a> · <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a> · <a href=\"https://profiles.wordpress.org/bjorsch/\">Brad Jorsch</a> · <a href=\"https://profiles.wordpress.org/bradyvercher/\">Brady Vercher</a> · <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a> · <a href=\"https://profiles.wordpress.org/bgoewert/\">Brennan Goewert</a> · <a href=\"https://profiles.wordpress.org/bgardner/\">Brian Gardner</a> · <a href=\"https://profiles.wordpress.org/bronsonquick/\">Bronson Quick</a> · <a href=\"https://profiles.wordpress.org/brookemk/\">Brooke Kaminski</a> · <a href=\"https://profiles.wordpress.org/brookedot/\">Brooke.</a> · <a href=\"https://profiles.wordpress.org/buutqn/\">buutqn</a> · <a href=\"https://profiles.wordpress.org/cameronjonesweb/\">Cameron Jones</a> · <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> · <a href=\"https://profiles.wordpress.org/carlosgprim/\">Carlos Garcia Prim</a> · <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> · <a href=\"https://profiles.wordpress.org/shireling/\">Chad Chadbourne</a> · <a href=\"https://profiles.wordpress.org/critterverse/\">Channing Ritter</a> · <a href=\"https://profiles.wordpress.org/mcaskill/\">Chauncey McAskill</a> · <a href=\"https://profiles.wordpress.org/chintan1896/\">Chintan hingrajiya</a> · <a href=\"https://profiles.wordpress.org/chiragrathod103/\">Chirag Rathod</a> · <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a> · <a href=\"https://profiles.wordpress.org/chocofc1/\">chocofc1</a> · <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a> · <a href=\"https://profiles.wordpress.org/chrisbaltazar/\">chrisbaltazar</a> · <a href=\"https://profiles.wordpress.org/apermo/\">Christoph Daum</a> · <a href=\"https://profiles.wordpress.org/chrystl/\">Chrystl</a> · <a href=\"https://profiles.wordpress.org/ckanderson22/\">ckanderson22</a> · <a href=\"https://profiles.wordpress.org/claytoncollie/\">Clayton Collie</a> · <a href=\"https://profiles.wordpress.org/cnspecialcolor/\">cnspecialcolor</a> · <a href=\"https://profiles.wordpress.org/codesdnc/\">codesdnc</a> · <a href=\"https://profiles.wordpress.org/codingchicken/\">Coding Chicken</a> · <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a> · <a href=\"https://profiles.wordpress.org/conner_bw/\">conner_bw</a> · <a href=\"https://profiles.wordpress.org/copons/\">Copons</a> · <a href=\"https://profiles.wordpress.org/corentingautier/\">corentingautier</a> · <a href=\"https://profiles.wordpress.org/coreyw/\">Corey Worrell</a> · <a href=\"https://profiles.wordpress.org/cbirdsong/\">Cory Birdsong</a> · <a href=\"https://profiles.wordpress.org/craigfrancis/\">Craig Francis</a> · <a href=\"https://profiles.wordpress.org/craiglpeters/\">craiglpeters</a> · <a href=\"https://profiles.wordpress.org/geisthanen/\">Creative Andrew</a> · <a href=\"https://profiles.wordpress.org/mitogh/\">Crisoforo Gaspar</a> · <a href=\"https://profiles.wordpress.org/cu121/\">Cupid Chakma</a> · <a href=\"https://profiles.wordpress.org/dperonne/\">D.PERONNE</a> · <a href=\"https://profiles.wordpress.org/daisyo/\">Daisy Olsen</a> · <a href=\"https://profiles.wordpress.org/dalirajab/\">dali-rajab</a> · <a href=\"https://profiles.wordpress.org/dalleyne/\">Damien Alleyne</a> · <a href=\"https://profiles.wordpress.org/colorful-tones/\">Damon Cook</a> · <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a> · <a href=\"https://profiles.wordpress.org/wirecat/\">Daniel Johnson</a> · <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a> · <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a> · <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a> · <a href=\"https://profiles.wordpress.org/datagutten/\">datagutten</a> · <a href=\"https://profiles.wordpress.org/davilera/\">David Aguilera</a> · <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a> · <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a> · <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a> · <a href=\"https://profiles.wordpress.org/dgwyer/\">David Gwyer</a> · <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a> · <a href=\"https://profiles.wordpress.org/davefx/\">David Mar&#237;n Carre&#241;o</a> · <a href=\"https://profiles.wordpress.org/dshanske/\">David Shanske</a> · <a href=\"https://profiles.wordpress.org/get_dave/\">David Smith</a> · <a href=\"https://profiles.wordpress.org/davidvongries/\">David Vongries</a> · <a href=\"https://profiles.wordpress.org/dsas/\">Dean Sas</a> · <a href=\"https://profiles.wordpress.org/dennisatyoast/\">Dennis Claassen</a> · <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a> · <a href=\"https://profiles.wordpress.org/derekblank/\">derekblank</a> · <a href=\"https://profiles.wordpress.org/devanshijoshi/\">devanshijoshi</a> · <a href=\"https://profiles.wordpress.org/dhusakovic/\">dhusakovic</a> · <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a> · <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a> · <a href=\"https://profiles.wordpress.org/doctorlai/\">doctorlai</a> · <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a> · <a href=\"https://profiles.wordpress.org/donncha/\">Donncha</a> · <a href=\"https://profiles.wordpress.org/drzraf/\">drzraf</a> · <a href=\"https://profiles.wordpress.org/d-signed/\">DSIGNED</a> · <a href=\"https://profiles.wordpress.org/dustinrue/\">dustinrue</a> · <a href=\"https://profiles.wordpress.org/chopinbach/\">Edwin Cromley</a> · <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a> · <a href=\"https://profiles.wordpress.org/emanuelx/\">emanuelx</a> · <a href=\"https://profiles.wordpress.org/manooweb/\">Emmanuel Hesry</a> · <a href=\"https://profiles.wordpress.org/enej/\">Enej Bajgorić</a> · <a href=\"https://profiles.wordpress.org/lopo/\">Enrico Battocchi</a> · <a href=\"https://profiles.wordpress.org/ericlewis/\">Eric Andrew Lewis</a> · <a href=\"https://profiles.wordpress.org/edanzer/\">Erick Danzer</a> · <a href=\"https://profiles.wordpress.org/kebbet/\">Erik Betshammar</a> · <a href=\"https://profiles.wordpress.org/esratpopy/\">Esrat Sultana Popy</a> · <a href=\"https://profiles.wordpress.org/manuilov/\">Eugene M</a> · <a href=\"https://profiles.wordpress.org/eherman24/\">Evan Herman</a> · <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian K&#228;gy</a> · <a href=\"https://profiles.wordpress.org/fosuahmed/\">Faisal Ahmed</a> · <a href=\"https://profiles.wordpress.org/faisal03/\">Faisal Alvi</a> · <a href=\"https://profiles.wordpress.org/fasuto/\">fasuto</a> · <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a> · <a href=\"https://profiles.wordpress.org/felipelavinz/\">Felipe Lav&#237;n</a> · <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a> · <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a> · <a href=\"https://profiles.wordpress.org/mista-flo/\">Florian TIAR</a> · <a href=\"https://profiles.wordpress.org/fpodhorsky/\">fpodhorsky</a> · <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a> · <a href=\"https://profiles.wordpress.org/fcoveram/\">Francisco</a> · <a href=\"https://profiles.wordpress.org/bueltge/\">Frank Bueltge</a> · <a href=\"https://profiles.wordpress.org/franz00/\">franzaurus</a> · <a href=\"https://profiles.wordpress.org/fuadragib/\">Fuad Ragib</a> · <a href=\"https://profiles.wordpress.org/galbaras/\">Gal Baras</a> · <a href=\"https://profiles.wordpress.org/gamecreature/\">gamecreature</a> · <a href=\"https://profiles.wordpress.org/garrett-eclipse/\">Garrett Hyder</a> · <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a> · <a href=\"https://profiles.wordpress.org/soulseekah/\">Gennady Kovshenin</a> · <a href=\"https://profiles.wordpress.org/revgeorge/\">George Hotelling</a> · <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a> · <a href=\"https://profiles.wordpress.org/geriux/\">Gerardo Pacheco</a> · <a href=\"https://profiles.wordpress.org/gisgeo/\">gisgeo</a> · <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a> · <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Zi&#243;łkowski</a> · <a href=\"https://profiles.wordpress.org/grl570810/\">grl570810</a> · <a href=\"https://profiles.wordpress.org/gvgvgvijayan/\">gvgvgvijayan</a> · <a href=\"https://profiles.wordpress.org/hvar/\">H-var</a> · <a href=\"https://profiles.wordpress.org/hakre/\">hakre</a> · <a href=\"https://profiles.wordpress.org/hanshenrik/\">hanshenrik</a> · <a href=\"https://profiles.wordpress.org/hareesh-pillai/\">Hareesh S</a> · <a href=\"https://profiles.wordpress.org/haritpanchal/\">Harit Panchal</a> · <a href=\"https://profiles.wordpress.org/hasanmisbah/\">Hasan Misbah</a> · <a href=\"https://profiles.wordpress.org/hasanuzzamanshamim/\">Hasanuzzaman</a> · <a href=\"https://profiles.wordpress.org/hazdiego/\">Haz</a> · <a href=\"https://profiles.wordpress.org/helen/\">Helen Hou-Sandi</a> · <a href=\"https://profiles.wordpress.org/helgatheviking/\">HelgaTheViking</a> · <a href=\"https://profiles.wordpress.org/ehtmlu/\">Helmut Wandl</a> · <a href=\"https://profiles.wordpress.org/luehrsen/\">Hendrik Luehrsen</a> · <a href=\"https://profiles.wordpress.org/hilayt24/\">Hilay Trivedi</a> · <a href=\"https://profiles.wordpress.org/hiren1094/\">hiren sanja</a> · <a href=\"https://profiles.wordpress.org/patelhitesh/\">Hitesh Patel</a> · <a href=\"https://profiles.wordpress.org/hughiemolloy/\">hughie.molloy</a> · <a href=\"https://profiles.wordpress.org/hugodevos/\">hugodevos</a> · <a href=\"https://profiles.wordpress.org/hztyfoon/\">hztyfoon</a> · <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a> · <a href=\"https://profiles.wordpress.org/polevaultweb/\">Iain Poulson</a> · <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a> · <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a> · <a href=\"https://profiles.wordpress.org/iazel/\">Iazel</a> · <a href=\"https://profiles.wordpress.org/ignatggeorgiev/\">Ignat Georgiev</a> · <a href=\"https://profiles.wordpress.org/imanish003/\">imanish003</a> · <a href=\"https://profiles.wordpress.org/ingeniumed/\">ingeniumed</a> · <a href=\"https://profiles.wordpress.org/innovext/\">Innovext</a> · <a href=\"https://profiles.wordpress.org/inwerpsel/\">inwerpsel</a> · <a href=\"https://profiles.wordpress.org/iqbalrony/\">iqbalrony</a> · <a href=\"https://profiles.wordpress.org/ironprogrammer/\">ironprogrammer</a> · <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a> · <a href=\"https://profiles.wordpress.org/itpathsolutions/\">IT Path Solutions</a> · <a href=\"https://profiles.wordpress.org/ivanjeronimo/\">ivanjeronimo</a> · <a href=\"https://profiles.wordpress.org/jhoffmann/\">j.hoffmann</a> · <a href=\"https://profiles.wordpress.org/jackreichert/\">Jack Reichert</a> · <a href=\"https://profiles.wordpress.org/jaedm97/\">Jaed Mosharraf</a> · <a href=\"https://profiles.wordpress.org/jakariaistauk/\">Jakaria Istauk</a> · <a href=\"https://profiles.wordpress.org/outrankjames/\">James</a> · <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a> · <a href=\"https://profiles.wordpress.org/james-roberts/\">James Roberts</a> · <a href=\"https://profiles.wordpress.org/janthiel/\">Jan Thiel</a> · <a href=\"https://profiles.wordpress.org/janusdev/\">janusdev</a> · <a href=\"https://profiles.wordpress.org/jsnajdr/\">Jarda Snajdr</a> · <a href=\"https://profiles.wordpress.org/ipajen/\">Jarko Piironen</a> · <a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a> · <a href=\"https://profiles.wordpress.org/carazo/\">Javier Carazo</a> · <a href=\"https://profiles.wordpress.org/javiercasares/\">Javier Casares</a> · <a href=\"https://profiles.wordpress.org/jchambo/\">jchambo</a> · <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a> · <a href=\"https://profiles.wordpress.org/jeanphilippegreen/\">Jean-Philippe Green</a> · <a href=\"https://profiles.wordpress.org/jeawhanlee/\">jeawhanlee</a> · <a href=\"https://profiles.wordpress.org/jeffmatson/\">Jeff Matson</a> · <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a> · <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeffrey Paul</a> · <a href=\"https://profiles.wordpress.org/jmdodd/\">Jennifer M. Dodd</a> · <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a> · <a href=\"https://profiles.wordpress.org/jeherve/\">Jeremy Herve</a> · <a href=\"https://profiles.wordpress.org/lobeless14/\">Jeremy Lind</a> · <a href=\"https://profiles.wordpress.org/jeryj/\">jeryj</a> · <a href=\"https://profiles.wordpress.org/luminuu/\">Jessica Lyschik</a> · <a href=\"https://profiles.wordpress.org/jhned/\">jhned</a> · <a href=\"https://profiles.wordpress.org/jigar-bhanushali/\">jigar bhanushali</a> · <a href=\"https://profiles.wordpress.org/jipmoors/\">Jip Moors</a> · <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a> · <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a> · <a href=\"https://profiles.wordpress.org/joelmadigan/\">joelmadigan</a> · <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a> · <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> · <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a> · <a href=\"https://profiles.wordpress.org/johnwatkins0/\">John Watkins</a> · <a href=\"https://profiles.wordpress.org/jokerrs/\">Jokerrs</a> · <a href=\"https://profiles.wordpress.org/jb510/\">Jon Brown</a> · <a href=\"https://profiles.wordpress.org/psykro/\">Jonathan Bossenger</a> · <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> · <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a> · <a href=\"https://profiles.wordpress.org/jongycastillo/\">Jong</a> · <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a> · <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a> · <a href=\"https://profiles.wordpress.org/jornp/\">jornp</a> · <a href=\"https://profiles.wordpress.org/dunhakdis/\">Joseph G.</a> · <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden</a> · <a href=\"https://profiles.wordpress.org/joshuatf/\">joshuatf</a> · <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a> · <a href=\"https://profiles.wordpress.org/jsh4/\">jsh4</a> · <a href=\"https://profiles.wordpress.org/juanfra/\">Juan Aldasoro</a> · <a href=\"https://profiles.wordpress.org/juanmaguitar/\">JuanMa Garrido</a> · <a href=\"https://profiles.wordpress.org/juhise/\">Juhi Saxena</a> · <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a> · <a href=\"https://profiles.wordpress.org/juliobox/\">Julio Potier</a> · <a href=\"https://profiles.wordpress.org/justinahinon/\">Justin Ahinon</a> · <a href=\"https://profiles.wordpress.org/greenshady/\">Justin Tadlock</a> · <a href=\"https://profiles.wordpress.org/welenofsky/\">Justin Welenofsky</a> · <a href=\"https://profiles.wordpress.org/justlevine/\">justlevine</a> · <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a> · <a href=\"https://profiles.wordpress.org/kacper3355/\">kacper3355</a> · <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a> · <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a> · <a href=\"https://profiles.wordpress.org/kajalgohel/\">Kajal Gohel</a> · <a href=\"https://profiles.wordpress.org/kaneva/\">kaneva</a> · <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a> · <a href=\"https://profiles.wordpress.org/zoonini/\">Kathryn P.</a> · <a href=\"https://profiles.wordpress.org/kkoppenhaver/\">Keanan Koppenhaver</a> · <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/kellychoffman/\">Kelly Hoffman</a> · <a href=\"https://profiles.wordpress.org/kbat82/\">Kevin Batdorf</a> · <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> · <a href=\"https://profiles.wordpress.org/obenland/\">Konstantin Obenland</a> · <a href=\"https://profiles.wordpress.org/konyoldeath/\">konyoldeath</a> · <a href=\"https://profiles.wordpress.org/kowsar89/\">Kowsar Hossain</a> · <a href=\"https://profiles.wordpress.org/krunal265/\">Krunal Bhimajiyani</a> · <a href=\"https://profiles.wordpress.org/krupalpanchal/\">Krupal Panchal</a> · <a href=\"https://profiles.wordpress.org/kmadhak/\">Kunal Madhak</a> · <a href=\"https://profiles.wordpress.org/lanacodes/\">Lana Codes</a> · <a href=\"https://profiles.wordpress.org/larsmqller/\">larsmqller</a> · <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a> · <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a> · <a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a> · <a href=\"https://profiles.wordpress.org/lenasterg/\">Lena Stergatou</a> · <a href=\"https://profiles.wordpress.org/leonidasmilossis/\">Leo Milo</a> · <a href=\"https://profiles.wordpress.org/lifeboat/\">lifeboat</a> · <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a> · <a href=\"https://profiles.wordpress.org/lkraav/\">lkraav</a> · <a href=\"https://profiles.wordpress.org/webaxones/\">Lo&#239;c Antignac</a> · <a href=\"https://profiles.wordpress.org/thelovekesh/\">Lovekesh Kumar</a> · <a href=\"https://profiles.wordpress.org/dreadlox/\">Lox</a> · <a href=\"https://profiles.wordpress.org/lozula/\">lozula</a> · <a href=\"https://profiles.wordpress.org/lucius0101/\">lucius0101</a> · <a href=\"https://profiles.wordpress.org/lucymtc/\">Lucy Tomas</a> · <a href=\"https://profiles.wordpress.org/gigitux/\">Luigi</a> · <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a> · <a href=\"https://profiles.wordpress.org/pyrobd/\">Lukman Nakib</a> · <a href=\"https://profiles.wordpress.org/pagelab/\">M&#225;rcio Duarte</a> · <a href=\"https://profiles.wordpress.org/mrdollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/madhudollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a> · <a href=\"https://profiles.wordpress.org/mahbubshovan/\">Mahbub Shovan</a> · <a href=\"https://profiles.wordpress.org/mahekkalola/\">Mahek Kalola</a> · <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a> · <a href=\"https://profiles.wordpress.org/manojkpatil/\">Manoj Patil</a> · <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">Marcelo de Moraes Serpa</a> · <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a> · <a href=\"https://profiles.wordpress.org/marekdedic/\">Marek Dědič</a> · <a href=\"https://profiles.wordpress.org/chaton666/\">Marie Comet</a> · <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a> · <a href=\"https://profiles.wordpress.org/santosguillamot/\">Mario Santos</a> · <a href=\"https://profiles.wordpress.org/marissamakes/\">Marissa Matthews</a> · <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a> · <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a> · <a href=\"https://profiles.wordpress.org/markoserb/\">Marko Ivanovic</a> · <a href=\"https://profiles.wordpress.org/marksabbath/\">marksabbath</a> · <a href=\"https://profiles.wordpress.org/flootr/\">Markus</a> · <a href=\"https://profiles.wordpress.org/mkox/\">Markus Kosmal</a> · <a href=\"https://profiles.wordpress.org/mhkuu/\">Martijn van der Klis</a> · <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a> · <a href=\"https://profiles.wordpress.org/matclayton/\">matclayton</a> · <a href=\"https://profiles.wordpress.org/wetah/\">Mateus Machado Luna</a> · <a href=\"https://profiles.wordpress.org/paapst/\">Mathieu Paapst</a> · <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a> · <a href=\"https://profiles.wordpress.org/mmaattiiaass/\">matiasbenedetto</a> · <a href=\"https://profiles.wordpress.org/mattkeys/\">Matt Keys</a> · <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> · <a href=\"https://profiles.wordpress.org/matthiasreinholz/\">Matthias Reinholz</a> · <a href=\"https://profiles.wordpress.org/h4l9k/\">Mauricio</a> · <a href=\"https://profiles.wordpress.org/wppunk/\">Max</a> · <a href=\"https://profiles.wordpress.org/cadic/\">Max Lyuchin</a> · <a href=\"https://profiles.wordpress.org/maximej/\">Maxime J.</a> · <a href=\"https://profiles.wordpress.org/jamilbd07/\">MD Jamil Uddin</a> · <a href=\"https://profiles.wordpress.org/kawserz/\">Md Kawser Ahmed Khan Jami</a> · <a href=\"https://profiles.wordpress.org/rakibwordpress/\">Md Rakib Hossain</a> · <a href=\"https://profiles.wordpress.org/abirhasandipu/\">Md. Abir Hasan Dipu</a> · <a href=\"https://profiles.wordpress.org/reduanmasud/\">Md. Reduan Masud</a> · <a href=\"https://profiles.wordpress.org/mdviralsampat/\">mdviralsampat</a> · <a href=\"https://profiles.wordpress.org/mehulkaklotar/\">Mehul Kaklotar</a> · <a href=\"https://profiles.wordpress.org/mensmaximus/\">mensmaximus</a> · <a href=\"https://profiles.wordpress.org/meyegui/\">meyerdev.ch</a> · <a href=\"https://profiles.wordpress.org/mgol/\">mgol</a> · <a href=\"https://profiles.wordpress.org/mburridge/\">Michael Burridge</a> · <a href=\"https://profiles.wordpress.org/michael-kelly/\">Michael Kelly</a> · <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a> · <a href=\"https://profiles.wordpress.org/michelmany/\">Michel Many</a> · <a href=\"https://profiles.wordpress.org/miguelaxcar/\">Miguel Axcar</a> · <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a> · <a href=\"https://profiles.wordpress.org/mmtr86/\">Miguel Torres</a> · <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a> · <a href=\"https://profiles.wordpress.org/mikestraw/\">Mike Straw</a> · <a href=\"https://profiles.wordpress.org/dimadin/\">Milan Dinić</a> · <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a> · <a href=\"https://profiles.wordpress.org/multidots1896/\">Minal Diwan</a> · <a href=\"https://profiles.wordpress.org/mitchellaustin/\">mitchellaustin</a> · <a href=\"https://profiles.wordpress.org/presents111/\">miya</a> · <a href=\"https://profiles.wordpress.org/monzuralam/\">Monzur Alam</a> · <a href=\"https://profiles.wordpress.org/mreishus/\">mreishus</a> · <a href=\"https://profiles.wordpress.org/mrwweb/\">mrwweb</a> · <a href=\"https://profiles.wordpress.org/mtias/\">mtias</a> · <a href=\"https://profiles.wordpress.org/mujuonly/\">mujuonly</a> · <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a> · <a href=\"https://profiles.wordpress.org/faguni22/\">Mumtahina Faguni</a> · <a href=\"https://profiles.wordpress.org/tanjimtc71/\">Musarrat Anjum Chowdhury</a> · <a href=\"https://profiles.wordpress.org/amustaque97/\">Mustaque Ahmed</a> · <a href=\"https://profiles.wordpress.org/mw108/\">mw108</a> · <a href=\"https://profiles.wordpress.org/naeemhaque/\">Naeem Haque</a> · <a href=\"https://profiles.wordpress.org/namithjawahar/\">Namith Jawahar</a> · <a href=\"https://profiles.wordpress.org/nathanatmoz/\">Nathan Johnson</a> · <a href=\"https://profiles.wordpress.org/nazmulhasan103/\">Nazmul Hasan</a> · <a href=\"https://profiles.wordpress.org/nendeb55/\">nendeb</a> · <a href=\"https://profiles.wordpress.org/neychok/\">Neycho Kalaydzhiev</a> · <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a> · <a href=\"https://profiles.wordpress.org/nicholaswilson/\">nicholaswilson</a> · <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a> · <a href=\"https://profiles.wordpress.org/nick_thegeek/\">Nick the Geek</a> · <a href=\"https://profiles.wordpress.org/nidhidhandhukiya/\">nidhidhandhukiya</a> · <a href=\"https://profiles.wordpress.org/nielslange/\">Niels Lange</a> · <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a> · <a href=\"https://profiles.wordpress.org/itsnikhilpatel/\">NikhilPatel</a> · <a href=\"https://profiles.wordpress.org/dhrupo/\">Niluthpal Purkayastha</a> · <a href=\"https://profiles.wordpress.org/dasnitesh780/\">Nitesh Das</a> · <a href=\"https://profiles.wordpress.org/nithi22/\">Nithin John</a> · <a href=\"https://profiles.wordpress.org/nithins53/\">Nithin SreeRaj</a> · <a href=\"https://profiles.wordpress.org/rnitinb/\">Nitin Rathod</a> · <a href=\"https://profiles.wordpress.org/nitman43/\">nitman43</a> · <a href=\"https://profiles.wordpress.org/noahtallen/\">Noah Allen</a> · <a href=\"https://profiles.wordpress.org/nuvopoint/\">nuvoPoint</a> · <a href=\"https://profiles.wordpress.org/oakesjosh/\">oakesjosh</a> · <a href=\"https://profiles.wordpress.org/obayedmamur/\">Obayed Mamur</a> · <a href=\"https://profiles.wordpress.org/ockham/\">ockham</a> · <a href=\"https://profiles.wordpress.org/oguzkocer/\">oguzkocer</a> · <a href=\"https://profiles.wordpress.org/oh_hello/\">oh_hello</a> · <a href=\"https://profiles.wordpress.org/hideokamoto/\">Okamoto Hidetaka</a> · <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a> · <a href=\"https://profiles.wordpress.org/olliejones/\">OllieJones</a> · <a href=\"https://profiles.wordpress.org/alshakero/\">Omar Alshaker</a> · <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a> · <a href=\"https://profiles.wordpress.org/pablohoney/\">PabloHoney</a> · <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a> · <a href=\"https://profiles.wordpress.org/pbearne/\">Paul Bearne</a> · <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a> · <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a> · <a href=\"https://profiles.wordpress.org/paulschreiber/\">Paul Schreiber</a> · <a href=\"https://profiles.wordpress.org/pavelevap/\">pavelevap</a> · <a href=\"https://profiles.wordpress.org/pbking/\">pbking</a> · <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendon&#231;a</a> · <a href=\"https://profiles.wordpress.org/pputzer/\">pepe</a> · <a href=\"https://profiles.wordpress.org/petaryoast/\">Petar Ratković</a> · <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a> · <a href=\"https://profiles.wordpress.org/petitphp/\">petitphp</a> · <a href=\"https://profiles.wordpress.org/walbo/\">Petter Walb&#248; Johnsg&#229;rd</a> · <a href=\"https://profiles.wordpress.org/phil-webster/\">Phil Webster</a> · <a href=\"https://profiles.wordpress.org/phillsav/\">Phill</a> · <a href=\"https://profiles.wordpress.org/iapial/\">Pial</a> · <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a> · <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> · <a href=\"https://profiles.wordpress.org/knowingart_com/\">PJ Brunet</a> · <a href=\"https://profiles.wordpress.org/pkolenbr/\">pkolenbr</a> · <a href=\"https://profiles.wordpress.org/pooja1210/\">Pooja N Muchandikar</a> · <a href=\"https://profiles.wordpress.org/pravinparmar2404/\">Pravin Parmar</a> · <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a> · <a href=\"https://profiles.wordpress.org/ptahdunbar/\">Ptah Dunbar</a> · <a href=\"https://profiles.wordpress.org/pypwalters/\">pypwalters</a> · <a href=\"https://profiles.wordpress.org/raduiason/\">raduiason</a> · <a href=\"https://profiles.wordpress.org/initsogar/\">Rafael Agostini</a> · <a href=\"https://profiles.wordpress.org/rafinkhan/\">Rafin</a> · <a href=\"https://profiles.wordpress.org/rajanpanchal2028/\">Rajan Panchal</a> · <a href=\"https://profiles.wordpress.org/rajeshraval786/\">Rajesh Raval</a> · <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a> · <a href=\"https://profiles.wordpress.org/ramon-fincken/\">ramon fincken</a> · <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James</a> · <a href=\"https://profiles.wordpress.org/razthee007/\">Razthee Md. Yakini</a> · <a href=\"https://profiles.wordpress.org/renatoagds/\">Renato Augusto Gama dos Santos</a> · <a href=\"https://profiles.wordpress.org/rezakhan995/\">Reza Khan</a> · <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a> · <a href=\"https://profiles.wordpress.org/riccardodicurti/\">Riccardo Di Curti</a> · <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> · <a href=\"https://profiles.wordpress.org/rinkychowdhury9/\">Rinky Chowdhury</a> · <a href=\"https://profiles.wordpress.org/ritteshpatel/\">Ritesh Patel</a> · <a href=\"https://profiles.wordpress.org/rjasdfiii/\">rjasdfiii</a> · <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> · <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a> · <a href=\"https://profiles.wordpress.org/robin-labadie/\">Robin Labadie</a> · <a href=\"https://profiles.wordpress.org/rodage/\">rodage</a> · <a href=\"https://profiles.wordpress.org/rodricus/\">rodricus</a> · <a href=\"https://profiles.wordpress.org/ravanh/\">Rolf Allard van Hagen</a> · <a href=\"https://profiles.wordpress.org/digical/\">Ross Gile</a> · <a href=\"https://profiles.wordpress.org/roytanck/\">Roy Tanck</a> · <a href=\"https://profiles.wordpress.org/ruchirj/\">Ruchir Goswami</a> · <a href=\"https://profiles.wordpress.org/re_enter_rupok/\">Rupok</a> · <a href=\"https://profiles.wordpress.org/rryyaanndd/\">Ryan</a> · <a href=\"https://profiles.wordpress.org/ryankienstra/\">Ryan Kienstra</a> · <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a> · <a href=\"https://profiles.wordpress.org/looswebstudio/\">Ryo</a> · <a href=\"https://profiles.wordpress.org/sereedmedia/\">S&#233; Reed</a> · <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">S&#233;rgio Gomes</a> · <a href=\"https://profiles.wordpress.org/soean/\">S&#246;ren Wrede</a> · <a href=\"https://profiles.wordpress.org/andy786/\">Sahil B.</a> · <a href=\"https://profiles.wordpress.org/stalukder03/\">Sajib Talukder</a> · <a href=\"https://profiles.wordpress.org/sakibmd/\">Sakib Mohammed</a> · <a href=\"https://profiles.wordpress.org/samful/\">Sam Fullalove</a> · <a href=\"https://profiles.wordpress.org/sam1el/\">sam1el</a> · <a href=\"https://profiles.wordpress.org/samiamnot/\">samiamnot</a> · <a href=\"https://profiles.wordpress.org/viralsampat/\">Sampat Viral</a> · <a href=\"https://profiles.wordpress.org/samruddhikhandale/\">samruddhikhandale</a> · <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a> · <a href=\"https://profiles.wordpress.org/sanjucta/\">sanjucta</a> · <a href=\"https://profiles.wordpress.org/sanketchodavadiya/\">Sanket Chodavadiya</a> · <a href=\"https://profiles.wordpress.org/sannevndrmeulen/\">Sanne van der Meulen</a> · <a href=\"https://profiles.wordpress.org/sapayth/\">sapayth</a> · <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a> · <a href=\"https://profiles.wordpress.org/sarathar/\">Sarath AR</a> · <a href=\"https://profiles.wordpress.org/saumil1611/\">Saumil Nerpagar</a> · <a href=\"https://profiles.wordpress.org/ira2910/\">Sazia Faizunnessa Ira</a> · <a href=\"https://profiles.wordpress.org/sc0ttkclark/\">Scott Kingsley Clark</a> · <a href=\"https://profiles.wordpress.org/countrymusicchicago/\">Scott Winterroth</a> · <a href=\"https://profiles.wordpress.org/hiyascout/\">Scout James</a> · <a href=\"https://profiles.wordpress.org/seanchayes/\">Sean Hayes</a> · <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a> · <a href=\"https://profiles.wordpress.org/seriouslysenpai/\">seriouslysenpai</a> · <a href=\"https://profiles.wordpress.org/wandering-aramean/\">Seth Miller</a> · <a href=\"https://profiles.wordpress.org/shahidul95/\">Shahidul Islam</a> · <a href=\"https://profiles.wordpress.org/shamayel007/\">Shamayel</a> · <a href=\"https://profiles.wordpress.org/shamimmiashuhagh/\">Shamim Mia</a> · <a href=\"https://profiles.wordpress.org/smeunus/\">Sharif Mohammad Eunus</a> · <a href=\"https://profiles.wordpress.org/shraboni/\">Shraboni</a> · <a href=\"https://profiles.wordpress.org/shubham1gupta/\">shubham1gupta</a> · <a href=\"https://profiles.wordpress.org/silicium23/\">Silicium</a> · <a href=\"https://profiles.wordpress.org/simongomes02/\">Simon Gomes</a> · <a href=\"https://profiles.wordpress.org/slieschke/\">Simon Lieschke</a> · <a href=\"https://profiles.wordpress.org/siobhan/\">Siobhan</a> · <a href=\"https://profiles.wordpress.org/calvinalkan/\">snicco.io</a> · <a href=\"https://profiles.wordpress.org/sruthi90/\">sruthi90</a> · <a href=\"https://profiles.wordpress.org/steelwagstaff/\">SteelWagstaff</a> · <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a> · <a href=\"https://profiles.wordpress.org/stentibbing/\">stentibbing</a> · <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a> · <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a> · <a href=\"https://profiles.wordpress.org/stephym/\">Stephy Miehle</a> · <a href=\"https://profiles.wordpress.org/stephymiehle/\">stephymiehle</a> · <a href=\"https://profiles.wordpress.org/stevenkword/\">Steven Word</a> · <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a> · <a href=\"https://profiles.wordpress.org/sumitsingh/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/sun/\">sun</a> · <a href=\"https://profiles.wordpress.org/sunyatasattva/\">sunyatasattva (a11n)</a> · <a href=\"https://profiles.wordpress.org/codemonksuvro/\">Suvro</a> · <a href=\"https://profiles.wordpress.org/syamraj24/\">syamraj24</a> · <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a> · <a href=\"https://profiles.wordpress.org/afrin29/\">Syeda Sanjida Afrin</a> · <a href=\"https://profiles.wordpress.org/syhc/\">syhc</a> · <a href=\"https://profiles.wordpress.org/synchro/\">Synchro</a> · <a href=\"https://profiles.wordpress.org/syntaxart/\">syntaxart</a> · <a href=\"https://profiles.wordpress.org/szaqal21/\">szaqal21</a> · <a href=\"https://profiles.wordpress.org/tahmidulkarim/\">Tahmid ul Karim</a> · <a href=\"https://profiles.wordpress.org/tahminar27/\">Tahmina Rahman</a> · <a href=\"https://profiles.wordpress.org/inc2734/\">Takashi Kitajima</a> · <a href=\"https://profiles.wordpress.org/tanazmasaba/\">Tanaz Masaba</a> · <a href=\"https://profiles.wordpress.org/devtanbir/\">Tanbir Ahmod</a> · <a href=\"https://profiles.wordpress.org/tanner-m/\">Tanner Moushey</a> · <a href=\"https://profiles.wordpress.org/rahmantasnia/\">Tasnia Rahman Raima</a> · <a href=\"https://profiles.wordpress.org/teebee/\">teebee</a> · <a href=\"https://profiles.wordpress.org/tekapo/\">tekapo</a> · <a href=\"https://profiles.wordpress.org/thedaysse/\">thedaysse</a> · <a href=\"https://profiles.wordpress.org/iamjaydip/\">thejaydip</a> · <a href=\"https://profiles.wordpress.org/theode/\">theode</a> · <a href=\"https://profiles.wordpress.org/griffinjt/\">Thomas Griffin</a> · <a href=\"https://profiles.wordpress.org/thomasplevy/\">Thomas Patrick Levy</a> · <a href=\"https://profiles.wordpress.org/thomask/\">thomask</a> · <a href=\"https://profiles.wordpress.org/timbroddin/\">timbroddin</a> · <a href=\"https://profiles.wordpress.org/sippis/\">Timi Wahalahti</a> · <a href=\"https://profiles.wordpress.org/spaceshipone/\">Timoth&#233;e Brosille</a> · <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a> · <a href=\"https://profiles.wordpress.org/tobiasbg/\">TobiasBg</a> · <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a> · <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a> · <a href=\"https://profiles.wordpress.org/dziudek/\">Tomasz Dziuda</a> · <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemer&#246;</a> · <a href=\"https://profiles.wordpress.org/starbuck/\">Tony G</a> · <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a> · <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a> · <a href=\"https://profiles.wordpress.org/toru/\">Toru Miki</a> · <a href=\"https://profiles.wordpress.org/itowhid06/\">Towhidul I Chowdhury</a> · <a href=\"https://profiles.wordpress.org/travisaxton/\">travisaxton</a> · <a href=\"https://profiles.wordpress.org/triumvirate/\">triumvirate</a> · <a href=\"https://profiles.wordpress.org/dinhtungdu/\">Tung Du</a> · <a href=\"https://profiles.wordpress.org/umesh84/\">Umesh Gupta</a> · <a href=\"https://profiles.wordpress.org/upadalavipul/\">upadalavipul</a> · <a href=\"https://profiles.wordpress.org/eboxnet/\">Vagelis</a> · <a href=\"https://profiles.wordpress.org/vcanales/\">Vicente Canales</a> · <a href=\"https://profiles.wordpress.org/szepeviktor/\">Viktor Sz&#233;pe</a> · <a href=\"https://profiles.wordpress.org/virgar/\">Virginie Garnier</a> · <a href=\"https://profiles.wordpress.org/elifvish/\">Vishal Kumar</a> · <a href=\"https://profiles.wordpress.org/vladytimy/\">Vlad T</a> · <a href=\"https://profiles.wordpress.org/vtad/\">vtad</a> · <a href=\"https://profiles.wordpress.org/vykesmac/\">vykesmac</a> · <a href=\"https://profiles.wordpress.org/webmandesign/\">WebMan Design &#124; Oliver Juhas</a> · <a href=\"https://profiles.wordpress.org/webrocker/\">Webrocker</a> · <a href=\"https://profiles.wordpress.org/websitegenii/\">websitegenii</a> · <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a> · <a href=\"https://profiles.wordpress.org/whaze/\">whaze</a> · <a href=\"https://profiles.wordpress.org/winterpsv/\">winterpsv</a> · <a href=\"https://profiles.wordpress.org/wojsmol/\">wojsmol</a> · <a href=\"https://profiles.wordpress.org/wojtekn/\">Wojtek Naruniec</a> · <a href=\"https://profiles.wordpress.org/wojtekszkutnik/\">Wojtek Szkutnik</a> · <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a> · <a href=\"https://profiles.wordpress.org/yuliyan/\">Yuliyan Slavchev</a> · <a href=\"https://profiles.wordpress.org/zebaafiashama/\">Zeba Afia Shama</a> · <a href=\"https://profiles.wordpress.org/zenaulislam/\">Zenaul Islam</a> · <a href=\"https://profiles.wordpress.org/zevilz/\">zevilz</a> · <a href=\"https://profiles.wordpress.org/zieladam/\">zieladam</a> · <a href=\"https://profiles.wordpress.org/chesio/\">Česlav Przywara</a></p>\n\n\n\n<p>By release day, <a href=\"https://translate.wordpress.org/stats/\">70 locales had translated 90 percent</a> or more of WordPress 6.2 in their language. Community translators are hard at work ensuring more translations are on their way. Thank you to everyone who helps to make WordPress 6.2 available in 200 languages.</p>\n\n\n\n<h2 class=\"wp-block-heading\">A release haiku for 6.2&nbsp;</h2>\n\n\n\n<p>Six point two, so new<br />Shiny and ready for you<br />Congrats on hard work!</p>\n\n\n\n<p class=\"has-text-align-left has-tiny-font-size\"><em>* Portrait of Eric Allen Dolphy Jr. discovered via <a href=\"https://openverse.org/image/36720968-690c-4287-a2dd-619573cc23a6\">Openverse</a>. Colorization by D. Pountain; Original by F. Wolff</em>.<br />&#8220;<a rel=\"noreferrer noopener\" href=\"https://www.flickr.com/photos/98119031@N00/39509743850\" target=\"_blank\">eric dolphy</a>&#8221; by&nbsp;<a rel=\"noreferrer noopener\" href=\"https://www.flickr.com/photos/98119031@N00\" target=\"_blank\">dick_pountain</a>&nbsp;is licensed under&nbsp;<a rel=\"noreferrer noopener\" href=\"https://creativecommons.org/licenses/by-nc-sa/2.0/?ref=openverse\" target=\"_blank\">CC BY-NC-SA 2.0</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 29 Mar 2023 18:57:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WPTavern: #69 – Joost De Valk on What’s Happening After Yoast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=143046\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://wptavern.com/podcast/69-joost-de-valk-on-whats-happening-after-yoast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:39389:\"Transcription<div>\n<p>[00:00:00] Nathan Wrigley: Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case, what the founder of Yoast is working on now.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast, player of choice, or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m very keen to hear from you and hopefully get you or your idea featured on the show. Head to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Joost de Valk.</p>\n\n\n\n<p>If you&#8217;ve been in the WordPress space for any length of time, it&#8217;s likely that you&#8217;ve come across the Yoast SEO plugin. This was the brain child of the guests today, Joost. Same pronunciation, different spelling.</p>\n\n\n\n<p>We talk about how Joost found WordPress and quickly started working on his SEO plugin. How it rapidly grew and became his career.</p>\n\n\n\n<p>We discussed the WordPress landscape during this time, and whether it&#8217;s more difficult now to have the type of success that his plugin received, given that there are more players vying for our attention.</p>\n\n\n\n<p>The conversation then moves into why the plugin was recently sold to Newfold Digital. What were the guardrails that were put in place to ensure that the plugin continued and the employees felt safe?</p>\n\n\n\n<p>We then get into a conversation about Joost&#8217;s new role. He&#8217;s been tasked with reaching out to WordPress community members in order to see what projects or initiatives need more thought and support.</p>\n\n\n\n<p>This leads us into the topic of the current WordPress UI, and how Joost is hoping for a refresh at some point soon. For years, his plugin team wanted to create their own UI to take advantage of new technologies, but Joost always pushed back, preferring instead to adopt the style of the WordPress UI. Now that&#8217;s changed, and the open sourcing of the UI kit they&#8217;ve made is intended as a starting point for a discussion about the need for a more consistent admin experience for all WordPress users.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading over to WPTavern.com forward slash podcast. Where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Joost de Valk.</p>\n\n\n\n<p>I am joined on the podcast today by Joost de Valk. Hello Joost.</p>\n\n\n\n<p>[00:03:32] Joost de Valk: Hey, thank you for having me.</p>\n\n\n\n<p>[00:03:34] Nathan Wrigley: You are very, very welcome. It&#8217;s an absolute pleasure to have somebody of your stature in the WordPress community. You&#8217;ve been with WordPress for a really long time. Certainly whilst I&#8217;ve been using WordPress, I joined the party a little bit later than a lot of people. But your company and your name was already a really big deal.</p>\n\n\n\n<p>If anybody hasn&#8217;t heard of you, I&#8217;d appreciate it if just for a few minutes, you could just give us a little bit of your background story. Where you are, what companies you&#8217;ve worked for, how on earth did you get into WordPress and so on.</p>\n\n\n\n<p>[00:04:05] Joost de Valk: Okay, so that&#8217;s a lot to cover, but let me try. So, I am Joost. I&#8217;m Dutch. I live in the Netherlands with my lovely wife Marieke, who I think you&#8217;ve also had on your show, and our four kids.</p>\n\n\n\n<p>I started Yoast coming from a background of working in several different IT companies. I started university, basically failed at university because I wasn&#8217;t a very good student. Then started working in IT, in a web hosting company. And later on moved into an SEO company where I learned SEO consulting.</p>\n\n\n\n<p>When I started doing that, I had already been coding a bit. I&#8217;ve actually always been coding since I was 12. I built my first website when I was 12, which was in 1994, so you can do the math. I&#8217;d been working on that and I, I learned SEO at this company. Started blogging, and then also started building plugins for the blog platform that I chose, which happened to be WordPress. Building plugins to basically fix my own SEO needs. This was in 2005, 2006. So that&#8217;s relatively early days.</p>\n\n\n\n<p>I started contributing to WordPress Core at basically the same time. I&#8217;d been doing other open source software development. I was a part of the WebKit project, which is the core of Safari, and Chrome. Actually committer in that project before I joined the WordPress world.</p>\n\n\n\n<p>And I had two sites. I had one where I blogged about SEO, and one where I blogged about CSS. And my specialty at that time was CSS 3, which was at that point being created, and I was creating CSS 3 previews. So I was doing SEO for that, building my own plugins, just for myself. And I started releasing them and more people started using them. I started speaking at SEO conferences, and people started asking about these plugins.</p>\n\n\n\n<p>And one thing led to another. And some point in 2010 I decided to start working on my own. At that point thinking I would never hire anybody, but I would just be an SEO consultant, which is why I called the company after myself. Which in hindsight was a stupid idea, because whilst it is a very beautiful brand name, it is super annoying to hear your own name the whole day, because you can&#8217;t really not hear that.</p>\n\n\n\n<p>So, did that in 2010. Basically started SEO consulting. I was consulting for pretty large brands at that time, Facebook, eBay, the Guardian, companies like that. And, well I was still doing that plugin. Decided to bundle the several small plugins that I&#8217;d built into one larger WordPress SEO plugin, which later on became the Yoast SEO plugin.</p>\n\n\n\n<p>And then, at some point during 2011, I hit a million users with what was called WordPress SEO at the time. And Marieke said to me, you can&#8217;t keep doing this. You either have to start making money from this, or stop doing it, because this is nonsense. And she was, as always, right.</p>\n\n\n\n<p>And then started working on that. And she joined quite quickly. Had a couple of other colleagues who I&#8217;d hired to do part of the other work that I was doing at that point already. And we started building, and that went quite well for a very long time. So we sold in 2021, and at that point we had almost 150 employees, and a very well running business. So we&#8217;d been growing between 30 and 50% year over year for almost a decade. And yeah, it&#8217;s been a very interesting journey. And throughout that time I&#8217;ve been doing WordPress, because I love WordPress as a system, and I love the open source community.</p>\n\n\n\n<p>[00:08:05] Nathan Wrigley: I have a quick comment in here and I love how you described it, your successes. We did quite well. To get a million users in the space of, well, it sounds like under a year.</p>\n\n\n\n<p>[00:08:17] Joost de Valk: Well, no, it was, it was slightly more because it was, I had small plugins that people were already using, and then I bundled them into one. So I was basically combining all these user bases. But yeah, no, it, it did go very quickly. So a fairly limited amount of companies I&#8217;ve seen that do it quickly, although I have to say if you look at Elementor, similar and better actually.</p>\n\n\n\n<p>[00:08:39] Nathan Wrigley: When you look back at that time, do you consider that you entered WordPress at what might be described as halcyon days or something? Was there just something about it at that time, which was ripe for the picking? Because the growth from zero to a million, I mean very, very few plugins managed to jump that hurdle. And the fact that you did it, let&#8217;s say, relatively quickly, really quickly in fact, is pretty amazing. But I just wondered if the, if it was more wild west back then? If it was more possible because there was less competition, there was less rivals in the space. Do you have any insight into why it was so successful?</p>\n\n\n\n<p>[00:09:19] Joost de Valk: So part of it is that the people that were building WordPress sites at that time were, almost all of them developers, or at least website maintainers with a fairly good technical grasp. And they switched plugins fairly easily and often. I think that was a bit easier than it is now. Although that group is still there, but it&#8217;s just a smaller portion of the entire user base of WordPress now.</p>\n\n\n\n<p>So yeah, it was a bit different. It was a bit more pioneering I think, in a way. The thing is, we build these ginormous websites on WordPress now, right? So these enormously important websites as well to people. And you&#8217;re not going to play around with plugins on sites like that. So it&#8217;s on personal blogs that you can do that. And just a lot more people did have a personal blog at that time. It was probably the best days for the actual blogoshpere in comparison to what later happened with Twitter, et cetera.</p>\n\n\n\n<p>[00:10:19] Nathan Wrigley: We probably could spend the entire podcast talking about Yoast over the years, but we&#8217;re not going to do that, because we&#8217;ve decided to take a different route. But I, do want to ask, in terms of your journey since the day that you committed to having Yoast a plugin, right through to maybe today, maybe a year or two ago.</p>\n\n\n\n<p>Were you always in love with WordPress, the community and so on? I get the feeling that there might have been a few wrinkles along the way where the whole ecosystem was something that you wanted a little bit of a break from. I could be getting that wrong. If so, ignore the question.</p>\n\n\n\n<p>[00:10:53] Joost de Valk: I don&#8217;t think I&#8217;ve ever really wanted a break from WordPress itself. I think the community is a wonderful thing, but at the same time it&#8217;s very brittle. People come and go, and that&#8217;s fine, right? But we, I feel, have failed in the last few years especially to, well to show our excitement for it to each other.</p>\n\n\n\n<p>I think part of that is Covid, because there weren&#8217;t as many WordCamps and other things while we did that. Part of that is also, we&#8217;re all growing up and all these companies are becoming bigger and, well the demands on those companies are getting bigger. But it&#8217;s also like we&#8217;re getting more professional, but with that maybe also a bit more dull</p>\n\n\n\n<p>[00:11:37] Nathan Wrigley: So you&#8217;re still committed to WordPress. Is that the case? Are you going to be with WordPress do you imagine 3 or 4, 5, 10 years from now? You&#8217;ll still be coming on podcasts like this and talking about WordPress, albeit in a different role?</p>\n\n\n\n<p>[00:11:51] Joost de Valk: I absolutely hope so, yeah. If I wasn&#8217;t thinking that, I wouldn&#8217;t have taken on this new role that I took on at Newfold.</p>\n\n\n\n<p>[00:11:58] Nathan Wrigley: Yeah, let&#8217;s talk about that. But before we get onto that, I would imagine there&#8217;s a subset of users who know that Yoast as a plugin exists, but they may not know about the ownership and the structure and how it&#8217;s all run and what have you. Just run us through that little piece. A little while ago it was announced that you had sold to Newfold Digital. What was the reasoning behind that? So that could be maybe there were personal reasons behind that. Maybe it was just something that you wanted to get away from and give yourself a bit of head space, try something new. What was going on in the run up to that, and how did it all go?</p>\n\n\n\n<p>[00:12:32] Joost de Valk: So, well running a company&#8217;s hard. And as a company becomes bigger, it becomes harder. And during Covid, Marieke and I decided it&#8217;s time. It&#8217;s time to, to sell it and to look at, like, hey, what else do we want to do? And we were talking about that to our other partners. I think we all felt the same at that point.</p>\n\n\n\n<p>And so we went into a process. We actually engaged a banker who helped us sell the company. And we ended up with Newfold Digital, which is not really a household name, but it&#8217;s the parent company to companies like Bluehost, Hostgator, domain.com, and multiple dozens of other brands.</p>\n\n\n\n<p>They put in a good offer, but they also had a very good story about why they wanted to buy Yoast, and what they would do with it. And that really was very interesting to us. And then, they ended up after acquiring us, quite quickly after that, they also acquired Yith. A WooCommerce plugin shop, also from Europe. It&#8217;s been good. It&#8217;s a very nice group of people.</p>\n\n\n\n<p>[00:13:41] Nathan Wrigley: With the transition there, when you went out and as you said, you got some third party in, who obviously had your best interest, but also presumably could be somewhat dispassionate as well. Did you have any sort of guardrails? Because you described that you&#8217;d grown from, well, you solo up to 150 employees, and just before we hit record, you were mentioning that in some cases, some of your employees have been there for as much as a decade. You know, there&#8217;s a real long heritage of people working there. So presumably a lot of these people, you&#8217;re very close to them. Friends you might say.</p>\n\n\n\n<p>[00:14:15] Joost de Valk: Absolutely, yes.</p>\n\n\n\n<p>[00:14:17] Nathan Wrigley: I presume part of that process was protecting them, knowing that when you stepped away and released the reins, that whoever took over the reins was going to behave in a way that you would have behaved. Did you get into that? Did you struggle with that? Was there any, any pieces that you needed to in place?</p>\n\n\n\n<p>[00:14:36] Joost de Valk: It&#8217;s definitely a part of why you&#8217;re thinking very long and hard about who you&#8217;re selling your company to. To some extent, we don&#8217;t need to do all the defense because there&#8217;s Dutch law that will actually prevent them from just firing people. If I lived in an at will firing world, I would probably think about this even more specifically.</p>\n\n\n\n<p>But, honestly it was never a question, they wanted the people. And they wanted everyone to come board and to stay on. And actually in the first year after we sold to Newfold, nobody left. Or in the first six months, I should probably say, I don&#8217;t know whether it&#8217;s entirely true for the first year. Nobody left for a long time.</p>\n\n\n\n<p>No, I think actually treating your employees well is super important. To be fair, that&#8217;s always been one of the things that Marieke has run at our company. So for a long time I was the CEO, then she took over from me. So she was the CEO for the last three years before we sold. Well, she did a tremendous job at making well, creating that culture and making it even better.</p>\n\n\n\n<p>We do indeed have quite a few people that work here for, well, five years or longer. And a couple of them, two people now who are at a decade and one is closing in, yeah.</p>\n\n\n\n<p>[00:15:51] Nathan Wrigley: You mentioned, I can&#8217;t remember whether it was in the conversation we&#8217;ve just had or whether I read it in some show notes. But Newfeld Digital, the company that you ultimately sold for. This for now at least, this is the direction of travel for you. What&#8217;s the role that you&#8217;ve taken on there and what are the sort of key points that you are trying to achieve? You also mentioned that it&#8217;s not a household name. I suspect there&#8217;s some will to change that might be part of your role.</p>\n\n\n\n<p>[00:16:15] Joost de Valk: Not necessarily, I mean, Newford is a corporate brand mostly aimed at other things than, it&#8217;s not like we need everyone to know Newford. But I do think it&#8217;s, well the combination of Bluehost and Yith and Yoast, and quite a few other things under our umbrella make us quite a big player in the WordPress world. We are, I think, the biggest or the second biggest WordPress host out there. Maybe GoDaddy&#8217;s bigger, I honestly don&#8217;t know.</p>\n\n\n\n<p>So my role specifically for the foreseeable future, is to look at hey, what&#8217;s happening in the WordPress world? How can Newfold help WordPress, and what can we do in the WordPress world that would benefit both Newfold and the WordPress world?</p>\n\n\n\n<p>And how can we use our knowledge of WordPress internally a bit better as well. It&#8217;s funny how this works at large hosts and these are, Newfold is not unique in that I&#8217;ve found. I&#8217;ve been talking to other people in the hosting space a lot in the last few months. A lot of these hosting companies, only in the last few years have started realizing that they&#8217;re actually WordPress companies.</p>\n\n\n\n<p>There&#8217;s a bit of a catch up to do there. Well, it&#8217;s one of the things that I want to focus on is like, how can we see that these large hosts who make a lot of money on WordPress and who together create quite a big economy, that they contribute back to WordPress as well? And what can we do about that?</p>\n\n\n\n<p>[00:17:40] Nathan Wrigley: So if I&#8217;m right, your role is head of WordPress strategy for Newfold Digital? That is a part of it. It&#8217;s just trying to figure out where WordPress fits in the overall structure, the products that you&#8217;ve got, the direction that you&#8217;re going to take, the events that you&#8217;re going to show up to, and all of that?</p>\n\n\n\n<p>[00:17:57] Joost de Valk: Yeah, absolutely. And it is honestly, it&#8217;s sort of a perfect role because I have no one reporting to me, and yet I get to talk about these things, which I love.</p>\n\n\n\n<p>[00:18:08] Nathan Wrigley: What have been some of the things that you have been mulling over that at Newfold you think you might like to get your hands dirty on?</p>\n\n\n\n<p>[00:18:15] Joost de Valk: Well, I think it actually ties into one of the other things you wanted to talk about, which is the WordPress Admin UI. So we did a new settings UI for Yoast, and as I was looking at it and we were building that. I was talking to my colleagues at Newfold responsible for the Bluehost interface and for Yith, and we were like, hey, can&#8217;t we just use this across the company?</p>\n\n\n\n<p>So it&#8217;s stuff like that where we, we help each other with our knowledge of WordPress. And we also let people who are good at one specific thing inside WordPress do that. But it&#8217;s also like, okay, we have a couple of different teams of WordPress Core contributors within Newfold. How can we effectively use those?</p>\n\n\n\n<p>So yeah, there&#8217;s a lot of different angles to it. There&#8217;s how do we make more money from WordPress? What direction does WordPress need to go, and how can we help that? How do we make WordPress better usable for our customers so that we actually maintain our customers better? There&#8217;s a lot of different things to do.</p>\n\n\n\n<p>[00:19:17] Nathan Wrigley: You&#8217;ve been really keen publishing statistics over the years about WordPress adoption and WordPress usage and all of those kind of things. So it really does seem like the perfect role for you. You&#8217;re very interested in the bigger picture of WordPress and how widely it&#8217;s adopted and whether the numbers are going up or going down and publishing data about all that. Yeah, it&#8217;s fascinating.</p>\n\n\n\n<p>[00:19:35] Joost de Valk: It is. WordPress is just a perfect project for a large number of the websites out there. And honestly, I think that we, that we don&#8217;t always do ourselves a good service as WordPress on marketing what we can do. And we&#8217;ve also, I think, underinvested a little in some parts of WordPress, in terms of performance and in terms of onboarding, that we should probably invest a bit more in.</p>\n\n\n\n<p>[00:20:02] Nathan Wrigley: Yeah, that&#8217;s an interesting point. Just as a segue, the whole performance thing, not the onboarding piece, but the performance bit in particular. I feel that&#8217;s, that&#8217;s really been kickstarted over the last 12 months. There seems to be a lot of work going into performance and a lot of chatter about it.</p>\n\n\n\n<p>Whether everything should be bundled into one performance plugin or whether it should be split out and become different canonical plugins, if you like. So I think you&#8217;re right. I think it&#8217;s quite interesting that some of the things that you&#8217;ve just mentioned do seem to be getting some attention, and performance is just one that springs to mind.</p>\n\n\n\n<p>[00:20:36] Joost de Valk: Things like performance on an individual site level, they&#8217;re important, but if you are the host that is hosting literally millions of WordPress sites. It is just literally also cost to your bottom line.</p>\n\n\n\n<p>[00:20:49] Nathan Wrigley: Yeah, I hadn&#8217;t really thought about it from that perspective. But if you can shave, I don&#8217;t know, 5% of CPU cycles out of the whole hosting platform, that&#8217;s quite a large amount of money that you&#8217;ve saved.</p>\n\n\n\n<p>[00:20:59] Joost de Valk: Yeah, and we did a lot more than that in recent releases. So it&#8217;s been in the double digits. And that&#8217;s absolutely a good thing for, well, not just for our bottom line, but for nature and for electricity usage. I mean, there&#8217;s tons of reasons to want to do better at that. And I think there&#8217;s still a lot more that we could do.</p>\n\n\n\n<p>[00:21:21] Nathan Wrigley: I think it does seem genuinely to be a perfect role given, well, given that I don&#8217;t know you particularly well, but from all of the things that I&#8217;ve read over the years, it seems like this is kind of like a match made in heaven.</p>\n\n\n\n<p>[00:21:32] Joost de Valk: Yeah, and it is actually a very nice team. So it&#8217;s, it is very nice to be able to work with these people, and look at like, hey, what can we do here? And yeah, I hope to be able to make an impact.</p>\n\n\n\n<p>[00:21:42] Nathan Wrigley: Let&#8217;s talk about the UI, because over the years, if you&#8217;ve been using WordPress for all these years, you must have logged into WordPress, oh, I daren&#8217;t even count. But it&#8217;s probably multiple tens of thousands of times. And each time you&#8217;ve logged in, you&#8217;ve stared at the same UI. And certainly over the last decade, that UI has been exactly the same.</p>\n\n\n\n<p>It basically has looked the same since I started WordPress, with tiny, teeny modifications to things like the color blue. There&#8217;s a slight variation in the color blue that&#8217;s being used now than previously. But broadly speaking, it&#8217;s exactly the same.</p>\n\n\n\n<p>You guys, and we&#8217;re going to use Yoast as an example, but it really, it could be any company. You guys took it into your own hands to say, enough. We think that the UI, if we stick with WordPress standard UI, it doesn&#8217;t really fit what we&#8217;re doing. Technology&#8217;s moved on. We&#8217;ve got more things available to us. Certainly the way things look in WordPress is beginning to be a little bit tired.</p>\n\n\n\n<p>Tell me about that journey. And are you hoping that your free UI kit, that you&#8217;ve open sourced is going to be taken on? Maybe it&#8217;s a cue for the team over at .org to have a look at this and adopt this across WordPress, dare I say?</p>\n\n\n\n<p>[00:22:53] Joost de Valk: I honestly doubt that&#8217;ll happen. Yeah, no, I doubt that. Not because they are against using something that we&#8217;ve built, but because what we build is quite opinionated and uses stuff that they might not be willing to use, like Tailwind.</p>\n\n\n\n<p>It definitely needs a change. It&#8217;s been a tired look for, well, almost a decade as well now. We&#8217;ve had experiments. We&#8217;ve not really moved on that. Gutenberg itself has changed in what it looks like a couple of times over its development, and now we&#8217;re basically stuck with three different types of designs, even within the WordPress admin.</p>\n\n\n\n<p>[00:23:29] Nathan Wrigley: Yeah, tell us what you mean by that because I&#8217;m not sure everybody will pick up the nuance of that.</p>\n\n\n\n<p>[00:23:33] Joost de Valk: Well, if you look at the site health page, it uses different styling from say, add a post. And then go into a post and you edit it in Gutenberg, then that looks entirely different as well. And, I just think that&#8217;s weird. I think it&#8217;s weird that we have different types of buttons. I think it&#8217;s weird that we basically teach a user two or three different UIs. And if you use the customizer with it, then even more. So you&#8217;re basically teaching people new user experiences all the time, and that makes it hard to use.</p>\n\n\n\n<p>And then because there is no real design system for WordPress anymore, that you can use to build your plugin&#8217;s admin pages, everyone starts building their own and all of them start looking differently. And that means that if you have five plugins, you have five different admin pages. And I just don&#8217;t think that that&#8217;s a good experience.</p>\n\n\n\n<p>[00:24:35] Nathan Wrigley: Yeah, I guess if you are a user of WordPress, a frequent user of WordPress, and you&#8217;ve got let&#8217;s say, the one site that you are maintaining all five sites or whatever it may be. Because you&#8217;re in there all the time, that dissonance doesn&#8217;t really happen for you as much, does it? You know, you&#8217;re just familiar with it.</p>\n\n\n\n<p>Okay. If I go in here, I&#8217;m going to expect that the menu&#8217;s going to change. The whole color palette and everything. The buttons will look different, but okay, that&#8217;s how it is. But if WordPress continues to grow, and it wants to get into the late forties and early 50%, which is, I guess, a target which is within reach. That isn&#8217;t really going to fly anymore, is it?</p>\n\n\n\n<p>Because if you go to any SaaS app, let&#8217;s say for example, I don&#8217;t know, let&#8217;s say you go over to Google and you want to interact with Google Docs, it would be really weird if the UI for Docs was different from spreadsheets. And, I don&#8217;t know, let&#8217;s say that you are using Notion or Evernote or something like that. If when you went into some portion of it, it was just different.</p>\n\n\n\n<p>You just fully expect everything to look and feel the same. And in our own experience of WordPress, we just forgive that, don&#8217;t we? We just, oh, okay, that plugin author has done this. But if you are looking to compete against the rising stars, Wix, Squarespace, Shopify, all these other things, that really starts to matter.</p>\n\n\n\n<p>It&#8217;s a bit like death by a thousand teeny, tiny little paper cuts. Those things stick in the head of the end user. That just seems a bit unprofessional. Not sure about this WordPress thing. Do you think I&#8217;ve hit the target there?</p>\n\n\n\n<p>[00:26:08] Joost de Valk: Yeah, no, absolutely. I think that is our problem. I think it actually ties into the other thing I mentioned, the onboarding. It&#8217;s actually pretty hard to start using WordPress. So you are thrown into a dashboard and then the first thing you&#8217;re greeted with is WordPress meetups. And as much as I love WordPress meetups, if you are just on that page for the first time, why are those in my screen?</p>\n\n\n\n<p>And, well there&#8217;s a hundred things like that where I think that we, we could and probably should do better. And the first thing would be, in my opinion, a design system that we all agree on. And I think that is actually an achievable goal. I spoke a bit, before and after I published my post, to a couple of people from the design team, Joan and Mathias, and they also seemed to want something like that.</p>\n\n\n\n<p>We seem to disagree a bit on how far, in how far that actually already exists. Because there is a somewhat of a component system within Gutenberg. I just think that as long as I search for WordPress design system and don&#8217;t get a post or page from WordPress.org, that actually explains the design system in simple to use terms for every plugin developer out there, it doesn&#8217;t exist.</p>\n\n\n\n<p>That means that we have to build it. We have to market it. We have to think about how it&#8217;s going to be used and then write good docs for that. That&#8217;s quite a bit of work, but it&#8217;s not unconceivable that we do that. There&#8217;s a lot of people in the WordPress world who want to make that happen. We&#8217;re just not prioritizing it at the moment. And I think we&#8217;re doing ourselves a disservice by not doing that.</p>\n\n\n\n<p>[00:27:45] Nathan Wrigley: I am going to link in the show notes to an article that you put out recently where you express a lot of these thoughts. And in it you make the point that it was a really difficult decision over at Yoast. Sorry to keep going back to Yoast.</p>\n\n\n\n<p>[00:27:59] Joost de Valk: No, it&#8217;s not a problem. It was a very difficult decision. We&#8217;ve been literally been talking about this for five, six years, and my UX team at Yoast had been wanting to do a redesign for a long time, and I basically stopped them all the time because I was like, I want to stay in line with the WordPress admin.</p>\n\n\n\n<p>And over time we started moving away from it more and more because we needed stuff that simply wasn&#8217;t there. And then at some point you have to admit like, okay, I&#8217;m wrong. This is not going to happen and we need to build our own. It was sort of like a bittersweet decision. And I&#8217;m happy to add that people are responding well to the library that we built and that, that we open sourced.</p>\n\n\n\n<p>Because I want to spare others to work. Because it&#8217;s stupid. It&#8217;s stupid that as a plugin developer, I have to spend time thinking about what do my buttons look like? What do my toggles look like? They should just be the same for everyone.</p>\n\n\n\n<p>[00:29:03] Nathan Wrigley: I can completely sympathize with that, in the sense that you&#8217;ve spent years basically saying, no, to your design team. We&#8217;re just going to stick with this. But eventually, I guess there&#8217;s too much water has gone under that bridge that really you&#8217;re stifling your own company&#8217;s enterprise.</p>\n\n\n\n<p>[00:29:20] Joost de Valk: Literally, I mean, people moved to others plugins because they thought it looked better. Which I think is a stupid reason to switch SEO plugins. But who am I? But it was literally happening, and I, at some point you go like, okay, I really need to do better at this. And to be fair, the new settings you are that we ended up building, I think our UX team did an amazing job on, and makes the plugin a lot easier to use.</p>\n\n\n\n<p>[00:29:49] Nathan Wrigley: I will link to the design library, which has been open sourced again in the show notes, but it&#8217;s a really amazing endeavor. If you are a plugin developer or, you know, you have aspirations to be, it&#8217;s definitely well worth checking out because looks like Yoast have really gone to town. It&#8217;s soup to nuts. Almost every component or element that you could possibly imagine putting inside of a WordPress UI, is there, you know. Progress bars, radio buttons. Every single thing is there with loads of instructions on how to implement it.</p>\n\n\n\n<p>I guess if the endeavor was to begin that conversation, then already, I think it&#8217;s been a success. If the endeavor of this blog post and the, the new UI that you&#8217;ve bring into existence. If the endeavor there was to start a conversation about this, then yeah, I think you&#8217;ve done that.</p>\n\n\n\n<p>[00:30:39] Joost de Valk: At this point we&#8217;ve invested so much time that I don&#8217;t see us switching to something else anytime soon. But that also sort of saddens. That&#8217;s why I wrote the post on my personal blog. I&#8217;m like, this is not necessarily the decision I would&#8217;ve wanted to make. But yeah, you are sort of forced into it. At that point it&#8217;s better if we build something and we open source it, and then maybe a lot of others can use it as well. And maybe we can actually get to an interface where we all sort of look alike.</p>\n\n\n\n<p>[00:31:08] Nathan Wrigley: Have you been in the role at Newfold long enough to have interfaced with customers to know that this is a, a thing which is stifling WordPress growth. The fact that it does look out of date. The fact that it&#8217;s a jumble of different colors and patterns and design libraries being in used in different plugins. Does this turn people off in the real world?</p>\n\n\n\n<p>[00:31:28] Joost de Valk: I&#8217;m a hundred percent sure. You test with these things, of course, and you see the data on how many people start. Register with a host. They get a hosting package. They get a WordPress site, and how many then get to a published site? Not everyone gets to a published site, and that I think will never happen, but well the more that do, the more that will basically remain customers. So for a host, that&#8217;s an important metric.</p>\n\n\n\n<p>And people just get stuck. And then when you look at where they get stuck, they get stuck at picking a theme. And then when they have a theme, they get stuck at making it look good, especially making it look like the demo.</p>\n\n\n\n<p>And then they get stuck at building pages. They get stuck at several phases. And there&#8217;s quite a few of those phases that you have to get through before you get to a website that you&#8217;re happy with. So we&#8217;re trying to make that simpler, and I think we&#8217;re actually doing very cool work on that at Bluehost and Newfold in general. But some of that should also happen in Core.</p>\n\n\n\n<p>[00:32:29] Nathan Wrigley: Yeah, it&#8217;s interesting. If you are Squarespace or Wix or whoever it may be, I guess the person who&#8217;s in charge of the way that the platform looks, just makes the decision and it&#8217;s done and everybody then toes the line and does that thing. Okay, we&#8217;re going to make it look different. We&#8217;re going to modify it. 2023, we&#8217;re going to give our entire enterprise a new look and feel. Let&#8217;s get on with it.</p>\n\n\n\n<p>Of course, in WordPress, given the nature of the way that the software is developed, that&#8217;s really hard. And getting people to have a consensus on this, like you said, you&#8217;d had several chats with a few people who may be able to push the needle a little bit there, and there&#8217;s not always complete agreement.</p>\n\n\n\n<p>It will be difficult, but my personal feeling is that it needs to be quite high on the list of things happening. But given that Gutenberg, we&#8217;re about to enter phase three of Gutenberg. Given that Gutenberg is consuming so much time and resources of developers, I do wonder whether this interface will get much of a makeover in the next, I don&#8217;t know, next year or so.</p>\n\n\n\n<p>[00:33:32] Joost de Valk: I wondered that too. I don&#8217;t have an answer because I don&#8217;t know, but it is a conversation that I&#8217;m going to have, be having with people. And I do actually think that it might, it might field counterintuitive, but I actually think that building that design system first might actually speed up the other work.</p>\n\n\n\n<p>[00:33:51] Nathan Wrigley: Yeah, well it certainly gives you a benchmark of what can be achieved. Yeah, it&#8217;d be interesting in your new role, whether or not you can corral some people into pushing that forward.</p>\n\n\n\n<p>Yoast, we&#8217;re reaching the 40 minute mark. I think that&#8217;s about where I wanted to get to. If there&#8217;s anything that you think I missed, please let me know.</p>\n\n\n\n<p>[00:34:10] Joost de Valk: No, there&#8217;s always more to talk about, it&#8217;s WordPress.</p>\n\n\n\n<p>[00:34:13] Nathan Wrigley: If that&#8217;s the case and we&#8217;ve covered everything, I&#8217;ll just ask you to let us know where people can find you, given that you&#8217;re in a transitionary period. Where&#8217;s the best place for people to discover you from now on?</p>\n\n\n\n<p>[00:34:25] Joost de Valk: That&#8217;s joost.blog, j o o s t.blog. So my first name, not the company name. And Twitter, j d e v a l k, J de Volk is probably the best place. And if people have questions or want to just chat, I&#8217;m on the WordPress Slack as well. So feel free to DM me there.</p>\n\n\n\n<p>[00:34:44] Nathan Wrigley: Thank you very much, Joost for chatting to us on the podcast today. I really appreciate it.</p>\n\n\n\n<p>[00:34:48] Joost de Valk: Again, thank you for having me, it was a pleasure.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://profiles.wordpress.org/joostdevalk/\">Joost De Valk</a>.</p>\n\n\n\n<p>If you’ve been in the WordPress space for any length of time, it’s likely that you’ve come across the <a href=\"https://wordpress.org/plugins/wordpress-seo/\">Yoast SEO plugin</a>. This was the brainchild of the guest today, Joost, same pronunciation, different spelling.</p>\n\n\n\n<p>We talk about how Joost found WordPress and quickly started working on his SEO plugin. How it rapidly grew and became his career.</p>\n\n\n\n<p>We discuss the WordPress landscape during this time and whether it’s more difficult now to have the type of success that his plugin received, given that there are more players vying for our attention.</p>\n\n\n\n<p>The conversation then moves into why the plugin was recently sold to Newfold Digital. What were the guardrails that were put in place to ensure that the plugin continued and the employees felt safe?</p>\n\n\n\n<p>We then get into a conversation about Joost’s new role. He’s been tasked with reaching out to WordPress community members in order to see what projects or initiatives need more thought and support.</p>\n\n\n\n<p>This leads us into the topic of the current WordPress UI, and how Joost is hoping for a refresh at some point soon. For years his plugin team wanted to create their own UI to take advantage of new technologies, but Joost always pushed back, preferring instead to adopt the style of the WordPress UI. Now that’s changed, and the open sourcing of the UI kit they’ve made is intended as a starting point for a discussion about the need for a more consistent admin experience for all WordPress users.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://yoast.com/wordpress/plugins/seo/\">Yoast SEO plugin</a></p>\n\n\n\n<p><a href=\"https://elementor.com/\">Elementor</a></p>\n\n\n\n<p><a href=\"https://newfold.com/\">Newfold Digital</a></p>\n\n\n\n<p><a href=\"https://www.bluehost.com/\">Bluehost</a></p>\n\n\n\n<p><a href=\"https://www.hostgator.com/\">HostGator</a></p>\n\n\n\n<p><a href=\"https://www.domain.com/\">domain.com</a></p>\n\n\n\n<p><a href=\"https://yithemes.com/\">Yith</a></p>\n\n\n\n<p><a href=\"https://tailwindcss.com/\">Tailwind CSS</a></p>\n\n\n\n<p><a href=\"https://joost.blog/wordpress-admin-ui-needs-to-be-better/\">Joost&#8217;s post about the WordPress Admin UI</a></p>\n\n\n\n<p><a href=\"https://twitter.com/jdevalk\">Joost&#8217;s Twitter</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 29 Mar 2023 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"WPTavern: Pattern Manager Plugin Now Available on WordPress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=143093\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://wptavern.com/pattern-manager-plugin-now-available-on-wordpress-org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2563:\"<p>WP Engine&#8217;s <a href=\"https://wordpress.org/plugins/pattern-manager/\">Pattern Manager</a> is now available in the WordPress Plugins Directory. The plugin gives WordPress professionals a dedicated interface for browsing, designing, and organizing patterns with categories, keywords, descriptions, and more. It is still in beta and not recommended for use in production. Although it can be used on a lived website, the plugin&#8217;s intended use is for managing patterns on a locally hosted development site.</p>\n\n\n\n<img />\n\n\n\n<p>The Pattern Manager makes it possible to use core features for which there isn&#8217;t yet an interface:</p>\n\n\n\n<ul>\n<li>When a user makes a new page or post, auto-show a modal with your patterns, available to be used.</li>\n\n\n\n<li>Make your pattern available in the block inserter, or choose to hide it from the inserter.</li>\n\n\n\n<li>Allow users to transform any block into your pattern.</li>\n</ul>\n\n\n\n<p>WP Engine made several improvements to the plugin based on beta feedback since the time we <a href=\"https://wptavern.com/wp-engine-pattern-manager-plugin-now-in-beta\">reviewed the plugin</a> earlier this month. The matter of where the patterns are stored was one issue the testers were concerned about. Pattern Manager pushes the patterns to PHP files every time the user saves them, which also makes them available for collaboration via git.</p>\n\n\n\n<p>&#8220;One of the most requested features was child theme support, so we added that,&#8221; WP Engine Principal Engineer Mike McAlister said. &#8220;Now, if you have a child theme active, Pattern Manager will save your new patterns to the child theme, while all of the patterns in your parent theme are still available.&#8221;</p>\n\n\n\n<p>Another common request McAlister&#8217;s team received was the ability to register custom pattern categories. This feature is currently in development and will be available in the plugin in the near future.</p>\n\n\n\n<p>&#8220;Other than that, we made a lot of nice little improvements like adding a setting for defining the pattern preview width, deprioritizing the Pattern Manager admin menu item (which was previously at the top of the admin menu), and some light UI touch-ups,&#8221; McAlister said. </p>\n\n\n\n<p>&#8220;We had over 300 people in the beta and the feedback was highly positive, which is surprising for a niche developer tool like this. To me, it speaks to the interest in all of this new WordPress technology and how developers are looking for tools like Pattern Manager to help them start working with it.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Mar 2023 19:52:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"WPTavern: WordPress 6.2 Delayed to March 29 Due to Bug With Date Formats\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=143080\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://wptavern.com/wordpress-6-2-delayed-to-march-29-due-to-bug-with-date-formats\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2304:\"<p>WordPress 6.2 was scheduled for release today, but contributors discovered <a href=\"https://core.trac.wordpress.org/ticket/57998\">a bug with date formats</a> during the 24-hour freeze that they believe could have <a href=\"https://core.trac.wordpress.org/ticket/57998#comment:15\">a significant impact</a> on functionality like bookings, date permalinks, and e-commerce stores.</p>\n\n\n\n<p>The decision was made this morning to delay with a consensus to apply a revert and release a silent 6.2 RC5 with the fix. WordPress 6.2 Core Tech Co-Lead Tonya Mork <a href=\"https://wordpress.slack.com/archives/C02RQBWTW/p1680004419127649\">proposed reverting</a> as the impact seemed too widespread to risk releasing today with a fix delayed to a minor release. </p>\n\n\n\n<p>&#8220;I don&#8217;t think this can wait until 6.2.1 given that this isn&#8217;t just some text that won&#8217;t bold, but something that will have quite a big impact (including stress/financial) on site owners and staff managing bookings and such,&#8221; 6.2 Core Triage Lead Colin Stewart said.</p>\n\n\n\n<p>WordPress Core Committer Jonathan Desrosiers also weighed in on the issue in favor of a revert and silent RC5.</p>\n\n\n\n<p>&#8220;I also think that [it&#8217;s] impossible to anticipate the full impact of this change,&#8221; Desrosiers said. &#8220;This definitely illustrates the importance of accompanying even the smallest changes with appropriate tests. We owe this due diligence to our users.</p>\n\n\n\n<p>&#8220;If we release the issue with 6.2 we could have a much greater problem on our hands. It’s not something that would not be easy to recognize or understand for the large majority of users, and it’s nearly impossible for Core to &#8216;auto-fix&#8217; any occurrences of the bug  in a future minor release. We also should really avoid having to include fixes like that anyway as they’re just a huge maintenance burden/technical debt.&#8221;</p>\n\n\n\n<p>Contributors in the discussion this morning agreed that knowingly shipping broken code just to keep the schedule would be a wrong move and that shipping a fix today could introduce additional problems. An announcement will be posted to the Make/Core, followed by the 6.2 RC5 release, which will restart the 24-hour clock ahead of the official 6.2 release tomorrow.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Mar 2023 14:26:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"Do The Woo Community: Insights, Tips and Legalities on Accessibility with Bet Hannon\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74647\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://dothewoo.io/insights-tips-and-legalities-on-accessibility/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:429:\"<p>Bet Hannon, from AccessiCart joins us for a conversation around web design, WooCommerce and the legalities of accessibility.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/insights-tips-and-legalities-on-accessibility/\">Insights, Tips and Legalities on Accessibility with Bet Hannon</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Mar 2023 10:06:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"WPTavern: Real-Time Collaboration Is Coming to WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=143050\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wptavern.com/real-time-collaboration-is-coming-to-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6910:\"<p>Gutenberg Phase 3 is officially in the planning stage, as the Site Editor is set to exit the beta in 6.2 and the major tasks of Phase 2 are nearing completion.</p>\n\n\n\n<p>Gutenberg lead architect Matias Ventura <a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">published</a> a preliminary outline of what is planned to be included in the next &#8220;Collaboration&#8221; phase of the project. Real-time collaboration is at the top of the list, the likes of which users have previously experienced in apps like Google Docs.</p>\n\n\n\n<p>&#8220;Imagine being able to work together in real-time across all block editors, crafting content and designs seamlessly without being locked out of editing,&#8221; Ventura said. &#8220;The goal is to provide all the necessary infrastructure and UI to handle multiple users working together on the same content simultaneously, making it easier to create, edit, and customize web pages and posts as a team.&#8221;</p>\n\n\n\n<p>In a recent episode of the <a href=\"https://wordpress.org/news/2023/03/episode-52-phase-three-with-hector-prieto/\">WP Briefing podcast</a>, WordPress core contributor Héctor Prieto said he predicts this feature will take the most work.</p>\n\n\n\n<p>&#8220;I would say, in general, the real-time collaboration sounds the most technically challenging because of what it represents and all the changes needed to how we interact with WordPress from async to sync, basically,&#8221; Prieto said. &#8220;That would be the hardest part. I think there are also already a few prototypes working, but we need to see how that scales, for example.&#8221;</p>\n\n\n\n<p>Prieto was referencing Gutenberg engineer Riad Benguella&#8217;s <a href=\"https://wptavern.com/asblocks-project-uses-gutenberg-to-create-a-collaborative-writing-environment\">AsBlocks project</a>, which he <a href=\"https://riad.blog/2020/06/11/write-as-blocks-in-an-encrypted-collaborative-environment/\">introduced</a> on his blog in 2020 and is <a href=\"https://github.com/youknowriad/asblocks\">available on GitHub</a>. Another prototype, &#8220;Block Collab: New package, a framework for collaborative editing,&#8221; currently exists as <a href=\"https://github.com/WordPress/gutenberg/pull/23129/commits\">a draft PR</a> created by Gutenberg contributor Enrique Piqueras.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>AsBlocks demo video\n\n\n\n<p>Asynchronous collaboration will also get some attention in this phase, which includes features like sharing drafts for content and design changes, inline block commenting, assignment review, improved version control, and task management. These are features that are currently available to WordPress users through a variety of different plugins.</p>\n\n\n\n<p>&#8220;The goal is to enable users and larger teams to collaborate on projects and its different parts at their own pace and based on their workflows,&#8221; Ventura said.</p>\n\n\n\n<p>Ventura also identified Publishing Flows and improvements to the Post Revisions interface as parts of the Collaboration phase. This would include features like an interface for editorial requirements, customized goals, and task completion prerequisites before publishing. Post Revisions would become more visual, inclusive of individual blocks, and may even be updated to to support more complex scheduling requirements across multiple parts of the site.</p>\n\n\n\n<p>Collaboration may less critical to WordPress&#8217; success than world-class publishing capabilities but it will be refreshing to look past the editors to begin improving the admin experience. There are a few pieces of the puzzle that will will require contributors to jump in on getting WordPress&#8217; admin to the place where it can handle more modern collaboration workflows. Ventura said part of this project is to begin the process for an <a href=\"https://make.wordpress.org/design/2022/06/13/thinking-through-the-wordpress-admin-experience/\">admin design update and navigation work</a>, improving admin notices and the UI library of design components, as well as the ancient admin list views. </p>\n\n\n\n<p>Ventura also loosely outlined a Library focus area that would introduce a place for managing blocks, patterns, styles, and fonts. </p>\n\n\n\n<p>&#8220;As part of this work, also look at what improvements can be done to enhance the media library design, interactions, and extensibility,&#8221; Ventura said. He confirmed to commenters that this part of the project was left &#8220;intentionally vague as it needs a bit more thinking.&#8221;</p>\n\n\n\n<p>The last item in the Collaboration outline is a global search and command component that would be extensible and allow admins to navigate directly to content or different admin areas as well as run comments like &#8220;create new post&#8221; or &#8220;toggle top toolbar.&#8221; </p>\n\n\n\n<p>&#8220;As AI tools are taking the world by storm, this could also play an important role in letting plugin authors integrate novel solutions that are prompt based in nature,&#8221; Ventura said.</p>\n\n\n\n<p>Although Ventura assured readers that projects related to prior phases will continue, such as more blocks, improved tables, grid layout system, and the block API roadmap, there are those who would like to see more time spent on editing and customization before moving on.</p>\n\n\n\n<p>&#8220;I love the initiative, but I wish they’d slow down and focus on the overall WordPress experience and mobile design tools, which affect virtually every user,&#8221; WP Engine developer Mike McAlister <a href=\"https://twitter.com/mikemcalister/status/1583290176880922624\">said</a> in October 2022. &#8220;Collaboration tools won’t make or break WordPress, but the user experience will.&#8221;</p>\n\n\n\n<p>In March, McAlister commented again on the pace of the Gutenberg project&#8217;s phases. &#8220;I would add a new phase of User Experience between 2 and 3,&#8221; he <a href=\"https://twitter.com/mikemcalister/status/1631023076212191233\">said</a>. &#8220;We need a whole phase dedicated to refining the experience of all these great new tools.</p>\n\n\n\n<p>&#8220;I am very optimistic about all of the features, but even as a veteran WordPress builder, the experience is still quite maddening at times. I don’t know if we’re spending enough time understanding the problems before implementing solutions and moving on to the next thing.&#8221;</p>\n\n\n\n<p>Ventura said the timing for breaking ground on the Collaboration phase would not be the 6.3 release coming in August 2023. Contributors are still working towards refining the customization experience as WordPress prepares to bring the Site Editor out of beta in the 6.2 release. He encouraged people to share feedback in the comments on the <a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">post</a> if there are any items they were hoping to see as part of the Collaboration phase.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Mar 2023 01:21:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:114:\"WordPress.org blog: WP Briefing: Episode 52: Workflows and Phase Three Visioning with Special Guest Héctor Prieto\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=14697\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://wordpress.org/news/2023/03/episode-52-phase-three-with-hector-prieto/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:25420:\"<p>On Episode fifty-two of the WordPress Briefing podcast, join WordPress Executive Director Josepha Haden Chomphosy and special guest Héctor Prieto as they discuss phase three and why it&#8217;s more than just collaborative editing!</p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br />Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br />Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br />Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://riad.blog/2020/06/11/write-as-blocks-in-an-encrypted-collaborative-environment/\">Write as Blocks in an Encrypted Collaborative Environment by Riad Benguella</a> </li>\n\n\n\n<li><a href=\"https://github.com/youknowriad/asblocks\">Riad Benguella’s collaborative editing GitHub repository</a></li>\n\n\n\n<li><a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella&#8217;s WordPress.org Profile</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/pull/23129\">Block Collab: New package, a framework for collaborative editing GitHub PR</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">Phase 3: Collaboration</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/48457\">Matías Ventura Quick Search GH Issue</a></li>\n\n\n\n<li><a href=\"https://profiles.wordpress.org/matveb/\">Matías Ventura WordPress.org Profile</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/23/wordpress-6-2-release-day-process/\">WordPress 6.2 Release Day Process</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/introducing-the-wordpress-developer-blog/\">Introducing the WordPress Developer Blog</a></li>\n\n\n\n<li><a href=\"https://europe.wordcamp.org/2022/contributor-day/\">WordCamp Europe Contributor Day Registration</a></li>\n\n\n\n<li><a href=\"https://wp20.wordpress.net/wapuu-coloring-giveaway-style-your-own-party-wapuu/\">WP20 Wapuu Coloring Giveaway</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14697\"></span>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:00]&nbsp;</p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I&#8217;m your host, Josepha Haden Chomphosy. Here we go.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:40]<br /><br />I have with me today Hécto Prieto. You all may know him from the WordPress Slack. He recently was, I believe, a release coordinator, maybe for the last release. Was that for 6.1?</p>\n\n\n\n<p>[Héctor Prieto 00:00:51]<br /><br />Yes. It was for 6.1 and also 6.0, in fact.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:54]<br /><br />All right. Well, welcome to the WordPress Briefing today. How are you doing?</p>\n\n\n\n<p>[Héctor Prieto 00:00:59]&nbsp;</p>\n\n\n\n<p>Well, I&#8217;m excited to be here. I&#8217;m a longtime listener of the podcast since the first episode. So I&#8217;m super excited to be here with you today.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:01:06]<br /><br />Yes. Longtime listener. First-time caller. All right, well, we&#8217;re gonna have a topic that just dumps you right in the soup, as they say in the United States. So we are actually here to talk about phase three of Gutenberg. It&#8217;s been a long time coming, and there are a lot of questions that folks have about what&#8217;s going into it and what&#8217;s not going into it.</p>\n\n\n\n<p>And as someone who works really closely with our Gutenberg technical architect, Matías Ventura, I figured you would be exactly the right person to come and talk about your favorite things. From your perspective, what is going to be the biggest enhancement that we start to approach in phase three?</p>\n\n\n\n<p>Like which thing, which API is gonna take the most work, do you think?</p>\n\n\n\n<p>[Héctor Prieto 00:01:53]<br /><br />Well, the most work, that&#8217;s a very hard question to answer because we are still we are going to start an exploration phase to determine how far we want to go with each of these APIs. So, in general, all these APIs and these products are standalone projects. And some of them are shorter, and some of them are longer.</p>\n\n\n\n<p>I would say, in general, the real-time collaboration sounds the most technically challenging because of what it represents and all the changes needed to how we interact with WordPress from async to sync, basically. That would be the hardest part. I think there are also already a few prototypes working, but we need to see how that scales, for example.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:02:32]</p>\n\n\n\n<p>Yeah. So speaking of a few prototypes, I know that there are two or three different prototypes specifically for collaborative editing, but do we have people or groups, working groups in the community that have built any other prototypes? Or is it just kind of first passes at collaborative editing that we&#8217;ve seen?</p>\n\n\n\n<p>[Héctor Prieto 00:02:52]<br /><br />Well, apart from Riad Benguella’s exploration, there&#8217;s a public repository with that exploration, there are a few plugins trying the same, trying real-time collaboration.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:03]<br /><br />Yeah, I can think of co-blocks and as blocks, and then I feel like there was a third one.</p>\n\n\n\n<p>[Héctor Prieto 00:03:09]&nbsp;</p>\n\n\n\n<p>Yeah.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:09]<br /><br />We&#8217;ll find the links to all these</p>\n\n\n\n<p>[Héctor Prieto 00:03:12]</p>\n\n\n\n<p>Yeah. Let&#8217;s add them to the show notes.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:14]<br /><br />Excellent. So that&#8217;s going to be the biggest one. Is there, of the list of APIs, and this is based on the post that Matías sent out last week. If you all haven&#8217;t seen that, we&#8217;ll put that in the show notes as well. But from the APIs that Matías sort of helped us to identify last week, is there any one that you are particularly excited about for fixing things in WordPress or just generally like an interesting topic of development for you?</p>\n\n\n\n<p>[Héctor Prieto 00:03:42]<br /><br />Well, I would say all of them and how they all play together. But, if I need to pick one of them…</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:48]<br /><br />Everything&#8217;s the best!&nbsp;</p>\n\n\n\n<p>[Héctor Prieto 00:03:50]<br /><br />I&#8217;ll cheat anyway, and I will going to pick two out of them because they solve issues at different levels. I&#8217;m very excited about visual revisions. I think it helps a lot of users, and it affects even non-technical users.</p>\n\n\n\n<p>So it&#8217;s one of the projects that lower how hard or complex WordPress can be to use sometimes. It&#8217;s going to be a huge improvement. It&#8217;s going to, I mean, bringing blocks to the revision system. I mean, it&#8217;s just a dream come true for me. I&#8217;m also going to highlight the search everywhere or quick search feature Matías already opened an issue in the GitHub repository right now.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:04:28]<br /><br />Mm-hmm.</p>\n\n\n\n<p>[Héctor Prieto 00:04:28]<br /><br />So the idea for this product is to have a power user shortcut that opens searching, an Alfred-like or Spotlight-like interface for those familiar with MacOS operating systems.</p>\n\n\n\n<p>When you can type anything, any place you want to go, or you want to search for any specific text in a document. And it&#8217;s supposed to be your power user command tool. So that you can do most things there.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:04:53]<br /><br />Oh, and I mean not only power user command tool, but also there are some applications there for folks who have mobility issues, people who are using primarily keyboard as opposed to keyboard and mouse, all that kind of stuff, right?</p>\n\n\n\n<p>[Héctor Prieto 00:05:07]<br /><br />Exactly. And just thinking long term with the rise of AI, it could be possible even to add some natural language processing to this interface so that users could just write in, in plain text, in natural language, what they want to do, and WordPress would provide the action for them.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:05:23]<br /><br />Very nice. My two favorites, since you gave two favorites and I can&#8217;t just give one at that point, my two favorite projects, which are also probably really, really hard projects, are those explorations around fixing notifications. That is a really big project. And one that I think that, in general, the WordPress project is going to be really excited to have some input on.&nbsp;</p>\n\n\n\n<p>And so that&#8217;s one that I really will have an eye on. And the other one that I&#8217;m going to definitely have my eye on is the media gallery redesign. I realize that this shows, between you and I, that shows our two specific focuses. Because, of course, you work directly with guiding all of our developers. And I am very much like our user advocate. And WordPress “everyman.”</p>\n\n\n\n<p>I don&#8217;t know if that&#8217;s a term that makes sense outside the US. But I do a lot of advocacy for folks who are using WordPress from the user side as opposed to from the developer side because, of course, we have a lot of excellent developers. So y&#8217;all don&#8217;t need my help with your advocacy.</p>\n\n\n\n<p>But yeah, that really shows that you and I have different focuses, which I think is good too.</p>\n\n\n\n<p>[Héctor Prieto 00:06:32]<br /><br />Yes. Also, it’s worth noting that at the end of the day, any improvement we make for developers is so that developers can build better things for users. So, at the end of the day, everything is in the best interest of the users.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:06:45]&nbsp;</p>\n\n\n\n<p>That&#8217;s right. That&#8217;s definitely a good point. Yeah. So, a final question about this particular thing because we&#8217;re trying to keep it a little brief and also because we&#8217;ll have a few other podcasts that are specifically about phase three as our explorations get going. Final question here: If you felt like there was one API or one project in particular that could benefit from a lot of community involvement which would you guess that was?</p>\n\n\n\n<p>[Héctor Prieto 00:07:20]<br /><br />I don&#8217;t think I can single out any of them. I think getting user feedback is going to be a vital part of this phase, as always. So I would encourage our listeners to just participate in discussions and provide feedback as we start releasing the first prototypes in the Gutenberg plugin. I don&#8217;t think I can pick one of them for you, completely honest.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:07:43]&nbsp;</p>\n\n\n\n<p>Yeah. My guess for that is going to be the rework of the dashboard, the admin, WP admin. I think that a lot of people are gonna have a lot to say about what they use it for, what they would like to be able to use it for, how to make it look more modern, how to make it feel more modern. I think that that probably is going to benefit from a lot of early testing and possibly some specific user testing around the concepts of design in there.</p>\n\n\n\n<p>And so that&#8217;s one that that I think probably is going to take a lot of feedback from the community. And community, in this case, I think, is not only our developers and designers and copy folks who are working to build the CMS, but probably also all of our folks who are extending WordPress, everybody who is working in agencies, things like that.</p>\n\n\n\n<p>[Héctor Prieto 00:08:35]<br /><br />Hmm, well, if I need to pick one, I would say the publishing flows could use also lots of feedback and testing because we are going to implement editorial requirements and customized user flows. And, of course, there are many, many different workflows out there that we might not be able to think of ourselves.</p>\n\n\n\n<p>So just imagine the sheer amount of different use cases. There&#8217;s going to be, or there currently is with customizations of third-party plugins. So, yeah. I would like to listen to how people would like the publishing flows to be. What are the specific use cases?&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:09:09]<br /><br />So really, just everything, we need a lot of user feedback on everything.</p>\n\n\n\n<p>[Héctor Prieto 00:09:13]<br /><br />Yes. That&#8217;s the summary.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:09:15]</p>\n\n\n\n<p>I don&#8217;t think that&#8217;s a bad summary. I know that we talk a bit about how WordPress is made better by the activity of our co-creators, the people who are using the software and testing the software, and telling us how it could be better. Those are the groups of people that make sure that we are the best version or headed in the best direction on any of our things with the software.</p>\n\n\n\n<p>And so I guess it&#8217;s probably not super unusual for everyone to hear like we need your feedback on everything because that&#8217;s probably what we do half the time.</p>\n\n\n\n<p>[Héctor Prieto 00:09:44]<br /><br />Yeah, absolutely.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:09:47]<br /><br />So the publishing workflows, that reminds me that there has been a little bit of a conversation lately around the naming of this phase, basically.</p>\n\n\n\n<p>And I know that the phases don&#8217;t necessarily need names. Like that&#8217;s why they&#8217;re numbered, and that&#8217;s a great idea. Like numbers are wonderful ways to reference things, but it also is just easier to reference it in kind of general conversation.</p>\n\n\n\n<p>So the first phase was easier editing, and it really focused on the editing experience itself. The second one was customization, and now the third phase has been called collaboration for quite a bit of time.</p>\n\n\n\n<p>But as we got closer and closer to this phase and we had more and more conversations that were coming out of phases one and two, it became really clear that really what we&#8217;re looking at here is more around workflows. And I love that that is an option for how to refer to this. Probably that&#8217;s how I will refer to it for most of the time that I talk about it as we are looking at phase three. </p>\n\n\n\n<p>Because I remember that when we were first building the prototypes of Gutenberg, one of the big flags that I had was that breaking changes are not just about what we can see or any sort of visual regressions or what causes the white screen of death. Also, some of the things that are breaking changes should be considered in those workflows when we change where things are or how you accomplish a task.</p>\n\n\n\n<p>And our users weren&#8217;t ready for it. That is something that is breaking for them, right?</p>\n\n\n\n<p>[Héctor Prieto 00:11:25]&nbsp;<br /><br />Yes. As you mentioned, this phase was referenced as collaboration, real-time collaboration, for a long time, but if we think of how this collaboration looks, it&#8217;s much more than just editing at the same time. A very big part of collaboration is also asynchronous collaboration by adding in-line comments and improving these notifications when you have a comment in your draft. I think the power of this phase is how everything comes together. These individual pieces come together.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 0:11:51]<br /><br />Yes, and I don&#8217;t know where that first flag that sparked the discussion around, like, okay, but collaborative editing is not quite big enough and also means a bunch of different things for a bunch of different people. It depends on the size of your organization or the type of content you&#8217;re writing.</p>\n\n\n\n<p>Like, I don&#8217;t know where that conversation started. My guess is, you know, some WordCamp somewhere, and an attendee was like, did you, did anybody ever think about these problems? And then they kind of worked their way around the Make Core site or otherwise made their way around to Matias&#8217;s ears.</p>\n\n\n\n<p>But yeah, I think that was a really smart choice. And you&#8217;re exactly right, collaborative editing; that can refer to the synchronous kind or the asynchronous kind, and both of those types of collaboration are equally valuable and probably equally used.</p>\n\n\n\n<p>[Héctor Prieto 00:12:40]<br /><br />Yes. And one important point to note here is that this editorial flows, and this collaboration is crucial to implement multilingualism going into phase four. We need to think that as soon as we have posts and pages in different languages, there are going to be requirements in terms of how to translate these pieces of content.</p>\n\n\n\n<p>So this will need collaboration, all forms of collaboration.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:13:02]<br /><br />Yeah, absolutely. This maybe was before your time with the project, but I was team multilingual-first for a long time. Or at least thinking that we could do the multilingual part of this work alongside the collaborative editing part of the work. I&#8217;ve spent a lot of time trying to understand what we think is going in phase three versus what probably we need to be able to do as far as having native multilingual support in the project.</p>\n\n\n\n<p>And I have softened my very hard position on that. You know, we&#8217;re big fans of strong positions loosely held, strong opinions loosely held. And this was one of those moments where I had that really strong opinion that we could just do them concurrently. We can do them at the same time.</p>\n\n\n\n<p>And I think it was a conversation that you and I were having when you were pointing out the complexities of translating WordPress at all, let alone being able to translate all your content as well. And it makes a lot of sense, and you&#8217;re right. I think that there are a lot of interactions, a lot of workflows that we&#8217;re gonna have to kind of refresh or redesign or rebuild before it really makes sense for us to help make that a nice streamlined option for multilingual offerings.</p>\n\n\n\n<p>[Héctor Prieto 00:14:17]<br /><br />Yes, absolutely. As a Spanish-speaking person, I&#8217;m super excited about having multilingual in Core, but I also understand that we need some tooling ready before implementing multilingual in Core.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:14:29]&nbsp;</p>\n\n\n\n<p>There are no, there really are no easy problems left in WordPress, right? Like, we all agree on this now?</p>\n\n\n\n<p>[Héctor Prieto 00:14:36]<br /><br />That&#8217;s correct. And we&#8217;re creating something incrementally. If we look at the phases, they are ordered sequentially. But that doesn&#8217;t mean that when we start phase three, we are, finishing phase two completely in the same way. We have not finished phase one.</p>\n\n\n\n<p>That will be like saying, when is WordPress finished, when is the development finished? So it&#8217;s an incremental project, and it&#8217;s always going to be to need refining. So it&#8217;s of course, multilingual needs to come after collaboration because we need those tools.</p>\n\n\n\n<p>But that doesn&#8217;t mean we need to finish the collaboration phase or have it very advanced phase three before we can start phase four. That will be determined in the next month as we start explorations.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:15:17]&nbsp;</p>\n\n\n\n<p>So if you all, which I know you are, are interested in better workflows, more streamlined ways of working inside WordPress, and or interested in how we are gonna get multilingual settled in the future, this is a great time to get involved in this project and in the community. Like I said, we&#8217;ve got that post up that Matías shipped last week, which, again, if you have not read it, go read it because it&#8217;s got excellent, excellent information in there for you.&nbsp;</p>\n\n\n\n<p>Héctor, before we head out, is there anything that you wanna make sure that you let the listeners know, either about phase three or just about WordPress in general?</p>\n\n\n\n<p>[Héctor Prieto 00:15:57]<br /><br />Well, tomorrow is WordPress 6.2 release day. So happy 6.2, everybody!</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:16:04]<br /><br />Happy 6.2. Oh, yeah. Yeah. Which means today is the dry run; probably in three hours, we&#8217;re doing the dry run.</p>\n\n\n\n<p>[Héctor Prieto 00:16:14]<br /><br />Depends on when we&#8217;re listening to this, but yes.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:16:18]&nbsp;</p>\n\n\n\n<p>Oh, that&#8217;s a good point. Right? Not everybody listens to this the second it becomes available. Time zones. That&#8217;s right. Oh, man. Look at us being a global project and just pretending like everybody listens to this particular thing the moment that it&#8217;s available.</p>\n\n\n\n<p>I apologize to everybody who&#8217;s listening to it after the release or in the middle of the release party or whatever you&#8217;re doing. Regardless, tomorrow, if you&#8217;re listening to it today, is the WordPress 6.2 release, and it&#8217;s gonna be great.</p>\n\n\n\n<p>Well, Héctor, thank you so much for joining me today. I really enjoyed having you on, and thanks for letting me interview you.</p>\n\n\n\n<p>[Héctor Prieto 00:16:59]<br /><br />Thank you for having me. It was my pleasure to be here.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:17:10]</p>\n\n\n\n<p>So that brings us now to our small list of big things, and as is frequently the case, it&#8217;s actually kind of a big list of big things. So we&#8217;re gonna hop right in here. As Héctor and I mentioned in the episode, the release WordPress 6.2 is coming out tomorrow, depending on when you&#8217;re listening to this. If you listen to it on the 27th, it comes out on the 28th of March.&nbsp;</p>\n\n\n\n<p>If you have a chance to drop by the release party. I would encourage you to; they&#8217;re pretty interesting just to get an idea of everything that it takes to build WordPress. It is, of course, the last few hours before a release, and so you don&#8217;t get a full scope.</p>\n\n\n\n<p>But it&#8217;s always nice to see the way that everybody in the community works together, especially there in that last moment when we&#8217;re trying to package something and test it in a bunch of environments all across the world.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:18:00]&nbsp;</p>\n\n\n\n<p>I love attending those. And so I encourage it. The next episode of the WordPress Briefing is going to have the release rundown.</p>\n\n\n\n<p>I&#8217;ll go through the key features and highlights that finally made it into 6.2. The reason we don&#8217;t do those beforehand is just in case we have to remove anything at the last minute from a release. It doesn&#8217;t happen too often, but it does happen sometimes. And so, next episode of WP Briefing, that&#8217;s what we&#8217;ll be talking about.</p>\n\n\n\n<p>The next thing on my list is a new developer blog. So there is a brand new developer blog. It was launched last Wednesday. It&#8217;s a great resource for WordPress developers to stay up to date and hear the latest in the WordPress development world. And also, we had been hearing some feedback from our developers in recent years that if you are like exploring how to extend WordPress, if you&#8217;re in that group of extenders, people who are building themes or building plugins, you&#8217;ve kind of feel like you&#8217;ve lost a place where you can have those exploratory conversations.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:19:00]&nbsp;</p>\n\n\n\n<p>This is gonna be one of those places. We&#8217;ll put a link in the show notes. So far, the content that&#8217;s planned, I think, is really interesting.</p>\n\n\n\n<p>Next thing on our small list, big list, of big things is WordCamp Europe&#8217;s Contributor Day.</p>\n\n\n\n<p>So registration for Contributor Day is now open, and it does require a separate registration than regular attendance at WordCamp Europe. So if you are registered for WordCamp Europe, you already have your ticket for that, but you are not registered for Contributor Day, click the link in the show notes and come on down to spend a little time giving back to the WordPress Project.</p>\n\n\n\n<p>And the last thing on our list today is that we have a WP20 Wapuu coloring giveaway. So put on your little party hats, and grab your crayons. The 20th anniversary Wapuu coloring giveaway is here. There is an opportunity to color in your own community-driven Wapuu and tweet it to us using #WapuuWP20 for your chance to win a sweet haul of WP20 swag items.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:20:00]</p>\n\n\n\n<p>You can check out the full rules at the link in our show notes.</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thanks for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks.&nbsp;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Mar 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"BuddyPress: Let’s celebrate BuddyPress 15th anniversary &amp; welcome the first Attachments Add-on features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=328812\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:120:\"https://buddypress.org/2023/03/lets-celebrate-buddypress-15th-anniversary-welcome-the-first-attachments-add-on-features/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:12818:\"<p>Today is a very special day for the BuddyPress open source project: <strong>15 years</strong> ago, <a rel=\"noreferrer noopener\" href=\"https://buddypress.org/members/apeatling/\" target=\"_blank\">Andy</a> pushed the <a rel=\"noreferrer noopener\" href=\"https://buddypress.trac.wordpress.org/changeset/1\" target=\"_blank\">first code commit</a> on BP Trac. To remember the &#8220;whys&#8221; &amp; the important &#8220;whos&#8221; of our early days, I advise you to read (again) the <a rel=\"noreferrer noopener\" href=\"https://buddypress.org/2018/03/10-years/\" target=\"_blank\">great post</a> <a rel=\"noreferrer noopener\" href=\"https://buddypress.org/members/johnjamesjacoby/\" target=\"_blank\">John</a> wrote when we reached 10.</p>\n\n\n\n<span id=\"more-328812\"></span>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-activity-permalink.jpg\"><img width=\"1024\" height=\"825\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-activity-permalink-1024x825.jpg\" alt=\"\" class=\"wp-image-328800\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Let’s talk about the next 15 years!</h2>\n\n\n\n<p><strong>It’s starting today</strong> with the <a href=\"https://downloads.wordpress.org/plugin/bp-attachments.1.0.0.zip\">first BP Attachments Add-on version</a>. The screenshot above shows you an image attached to an activity update: you may say &#8220;OK, great, but it’s a basic feature every social network software include, what’s your point?&#8221;&nbsp;</p>\n\n\n\n<p>Our point is: this long awaited feature is finally available in BuddyPress <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f38a.png\" alt=\"🎊\" class=\"wp-smiley\" />, you simply need to install &amp; activate it from the <a rel=\"noreferrer noopener\" href=\"https://wordpress.org/plugins/bp-attachments/\" target=\"_blank\">WordPress.org plugin directory</a> or directly from your dashboard using the BuddyPress Add-ons tab of the Plugins/Add new WP Admin screen <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f447.png\" alt=\"👇\" class=\"wp-smiley\" />.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-bp-addons-screen.png\"><img width=\"1024\" height=\"475\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-bp-addons-screen-1024x475.png\" alt=\"\" class=\"wp-image-328809\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>We’ve been talking about Media in BuddyPress for a long while, we know there are a lot of expectations about it: these are probably the reasons why adding the feature was an intimidating task for the development team. We’ve put ourselves under a lot of pressure to satisfy some of your expectations as a <strong>very humble</strong> start and we thought it could be a nice gift <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f381.png\" alt=\"🎁\" class=\"wp-smiley\" /> to offer the community for our 15th birthday <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f382.png\" alt=\"🎂\" class=\"wp-smiley\" />.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>BP Attachments 1.0.0</strong></h3>\n\n\n\n<p>It’s not perfect! (Does anyone reach perfection anyway? <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" /> ) Some of you will probably tell us &#8220;Hey, the plugin is lacking support for this and that, etc&#8230;&#8221;: yes, you’re absolutely right, but let’s remember BuddyPress is free &amp; open source software and keep in mind we, as code contributors, first need a bit of cheers to keep the will to progress. Let me remind you &#8220;free &amp; open source&#8221; is demanding a lot more to users: telling what’s wrong is not enough, you need to contribute to how to fix it.</p>\n\n\n\n<p>This primary statement made, let’s talk about what’s inside this Attachments BuddyPress Add-on first version.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-activity-post-form.png\"><img width=\"1024\" height=\"480\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-activity-post-form-1024x480.png\" alt=\"\" class=\"wp-image-328801\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h4 class=\"wp-block-heading\"><strong>Attach rich media to your Activity updates</strong></h4>\n\n\n\n<p>Can you see the camera with the music symbol behind in the above screenshot? Great! That’s the button you need to click on to browse your device media and attach one to your activity. Once done you’ll get a small preview of it and information about it. You only want to share a media without any text inside your update? You can do it!</p>\n\n\n\n<p><strong>Media shared inside activities are public</strong>, every member of the community can view it and download it. Of course, you need the Activity component to be active to attach media to its items!</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h4 class=\"wp-block-heading\">Two<strong> central places to manage your private or public media.</strong></h4>\n\n\n\n<p>BP Attachments comes with a ReactJS UI built thanks to the many WordPress React components available since it uses Blocks. This personal Media Library can be reached from your front-end profile. Once you’ve reached it, you’ll see a Public directory (and a Private one if the site administrator configured it &amp; made it available). Open this directory to be able to share public media, folders, photo albums, music or movie playlists.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-front-end-personal-media-library.png\"><img width=\"1024\" height=\"731\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-front-end-personal-media-library-1024x731.png\" alt=\"\" class=\"wp-image-328805\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>That’s the first place where you can add, delete, edit and organize all your media. The second one is located inside the WordPress dashboard. If you have a subscriber or a contributor role, you’ll notice the WordPress Media menu will bring you to your personal Media library.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-back-end-personal-media-library.png\"><img width=\"1024\" height=\"334\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-back-end-personal-media-library-1024x334.png\" alt=\"\" class=\"wp-image-328803\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>If you have an author or editor role, your personal media library will be available from a sub menu of the WordPress Media menu. In this place you can do exactly the same thing you are able to do from the front-end interface; it can act as a fallback if the active theme or other plugins are not playing nicely with the Media library page of your front-end profile.</p>\n\n\n\n<p>Both locations are only accessible to the Member who created the media (or the Media owner), site administrators also own a front-end Media library, but in the WordPress dashboard, they get something more powerful: a <strong>moderating</strong> tool.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-back-end-personal-media-libraries.png\"><img width=\"1024\" height=\"287\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-back-end-personal-media-libraries-1024x287.png\" alt=\"\" class=\"wp-image-328802\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>As you can see, the site administrator can access the Media Library belonging to <a href=\"https://buddypress.org/members/dcavins/\">@dcavins</a> or <a href=\"https://buddypress.org/members/imath/\">@imath</a> to remove some &#8220;spammy&#8221; media if necessary. Using the &#8220;My Media&#8221; directory drives the administrator to his or her personal Media library.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-attachments-settings-scaled.jpg\"><img width=\"1024\" height=\"583\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-attachments-settings-1024x583.jpg\" alt=\"\" class=\"wp-image-328810\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h4 class=\"wp-block-heading\"><strong>Attach rich media to your private conversations</strong></h4>\n\n\n\n<p>If the Messages component is active &amp; Private media is allowed by the administrator from the BuddyPress options screen as shown above, then community members can share media within their private conversations. Unlike Activity Attachments, Messages Attachments <strong>are always private</strong> and can only be viewed or downloaded by the Media owner and the private conversation participants.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-messages-attachment.png\"><img width=\"1024\" height=\"747\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-messages-attachment-1024x747.png\" alt=\"\" class=\"wp-image-328811\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h4 class=\"wp-block-heading\"><strong>Community Media directory</strong></h4>\n\n\n\n<p>All public media can be browsed from the Community Media directory. Depending on the allowed media types the administrator chose, this directory can contain one or more navigation items to filter the displayed layout : one for all media, one for images, one for movies, one for sounds and  one for all other file types.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-community-media-directory.jpg\"><img width=\"1024\" height=\"590\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-community-media-directory-1024x590.jpg\" alt=\"\" class=\"wp-image-328804\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>When you click on one of the displayed media items, you reach its single view where you can download it, and where you’ll be able to comment, like, share etc.. in future releases of the BuddyPress Add-on.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-single-media.jpg\"><img width=\"1024\" height=\"878\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-single-media-1024x878.jpg\" alt=\"\" class=\"wp-image-328806\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>PS: you can already share an embedded version of the media copying &amp; pasting its link into a WordPress embed block.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-wp-editor-upload-bp-attachments.png\"><img width=\"1024\" height=\"492\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-wp-editor-upload-bp-attachments-1024x492.png\" alt=\"\" class=\"wp-image-328807\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h4 class=\"wp-block-heading\"><strong>Attach rich media to WordPress posts</strong></h4>\n\n\n\n<p>Finally, the BP Attachments Add-on comes with image, video, sound and file blocks. Unlike regular WordPress media, your contributors will be able to use their personal Media Library when writing their content.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-wp-editor-use-bp-attachments-scaled.jpg\"><img width=\"1024\" height=\"507\" src=\"https://buddypress.org/wp-content/uploads/1/2023/03/bp-15-wp-editor-use-bp-attachments-1024x507.jpg\" alt=\"\" class=\"wp-image-328808\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>That’s all for this first version! Expect some Groups and Friends component-related features to land in the next major version of the BP Attachments Add-on. If you’re wondering when this next version will be published: it’s up to you! If you <a rel=\"noreferrer noopener\" href=\"https://github.com/buddypress/bp-attachments\" target=\"_blank\">contribute</a> to the Add-on and if it’s becoming popular, it can happen very quickly.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-6\">\n<div class=\"wp-block-column is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\"><a href=\"https://wordpress.org/plugins/bp-attachments/\">BP Attachments</a></blockquote>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n</div>\n\n\n\n<p>We hope you’ll have great times playing with these new features, don’t forget to <strong>celebrate BuddyPress&#8217;s 15th year before the end of the day</strong> &amp; most importantly let’s have some fun and be kind to each other <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f91d.png\" alt=\"🤝\" class=\"wp-smiley\" />.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 25 Mar 2023 20:16:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:115:\"Gutenberg Times: Phase 3 collaboration, layout, and spacing controls, block visibility 3.0 – Weekend Edition #248\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=23700\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:118:\"https://gutenbergtimes.com/phase-3-collaboration-layout-and-spacing-controls-block-visibility-3-0-weekend-edition-248/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:19092:\"<p>Howdy, </p>\n\n\n\n<p>This week three major things happened: The movers packed up our household into boxes and a big truck, the <a href=\"https://wordpress.org/news/2023/03/introducing-the-wordpress-developer-blog/\"><strong>WordPress Developer Blog</strong></a> came out of beta and is now considered officially launched, and Matias Ventura published a post about what Phase 3 of the Gutenberg project could look like, more about the latter further below. </p>\n\n\n\n<p>Have a wonderful weekend! </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li><li><a href=\"https://gutenbergtimes.com/feed/#4-word-camps\">WordCamps</a></li></ul></div>\n</div></div>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<img />\n\n\n\n<p>Next week, WordPress 6.2 is coming to a WordPress instance near you. Are you prepared? You could use the <a href=\"https://make.wordpress.org/core/2023/03/23/wordpress-6-2-release-candidate-4/\"><strong>WordPress 6.2 Release Candidate 4</strong></a> for your testing and make sure. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>If you want to follow along, <strong>Hector Prieto </strong>posted the <a href=\"https://make.wordpress.org/core/2023/03/23/wordpress-6-2-release-day-process/\"><strong>WordPress 6.2 Release Day Process</strong></a>, with the schedule for the Dry Run, 24-hour Code Freeze and the Release party on March 28, 2023, which is tentatively set for 2 pm EDT / 6 pm UTC. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/dan_knauss\">Dan Knauss</a></strong>, iThemes published <a href=\"https://ithemes.com/blog/what-to-expect-in-wordpress-6-2\"><strong>What to Expect in WordPress 6.2</strong></a>, and highlights all the improvements of Blocks, Site Editor and new tools. He goes into details on the various new Header and Footer Patterns that will be available via WordPress 6.2. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Carlo Daniele,</strong> wrote on the Kinsta blog: <a href=\"https://kinsta.com/blog/wordpress-6-2/\"><strong>What’s New In WordPress 6.2: Browse Mode, Style Book, Improved Navigation Menus, New APIs, and Much More</strong></a>. In his post Daniele covers the update coming to 6.2 in four categories: </p>\n\n\n\n<ul>\n<li><a href=\"https://kinsta.com/blog/wordpress-6-2/#improved-editing-experience\">Improved Editing Experience</a></li>\n\n\n\n<li><a href=\"https://kinsta.com/blog/wordpress-6-2/#extended-block-capabilities\">Extended Block Capabilities</a></li>\n\n\n\n<li><a href=\"https://kinsta.com/blog/wordpress-6-2/#enhanced-design-tools\">Enhanced Design Tools</a></li>\n\n\n\n<li><a href=\"https://kinsta.com/blog/wordpress-6-2/#changes-for-developers\">Changes for Developers</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>🎙️ </strong> New episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-80-wordpress-6-2-preview-gutenberg-15-2-and-15-3/\">Gutenberg Changelog #80 – WordPress 6.2 Preview, Gutenberg 15.2 and 15.3</a> with Birgit Pauli-Haack and special guest Rich Tabor  </p>\n</div></div>\n\n\n\n<p><strong>Justin Tadlock</strong> and <strong>Ryan Welcher</strong> co-led the <strong>Gutenberg 15.4</strong> plugin release. In the release post, <a href=\"https://make.wordpress.org/core/2023/03/22/whats-new-in-gutenberg-15-4-22-march/\"><strong>What’s new in Gutenberg 15.4 (22 March)</strong></a>, Tadlock wrote: &#8220;The latest release of the plugin is lighter on user-facing features than normal and focuses heavily on bug fixes, testing, and other much-needed improvements.&#8221; The highlights included: </p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/22/whats-new-in-gutenberg-15-4-22-march/#color-and-layout-support-for-cover-block\">Color and layout support for the Cover block</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/22/whats-new-in-gutenberg-15-4-22-march/#updated-template-descriptions\">Updated template descriptions</a></li>\n</ul>\n\n\n\n<p>Personally, I like the new <code>textColumns</code> property that allows  me to split text-based blocks into self-adjusting columns. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Matias Ventura</strong>, lead developer of the Gutenberg projects, posted <a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\"><strong>Phase 3: Collaboration</strong></a> and explored briefly, what the next phase of the Gutenberg project would encompass. He identified seven areas: </p>\n\n\n\n<ul>\n<li><strong>Real-time collaboration</strong> &#8211; more than one person can edit a post at the same time.</li>\n\n\n\n<li><strong>Asynchronous collaboration.</strong> Writers and editors share drafts and discuss via a comments assignments, topics etc. This part is all about workflow among a team of editors. </li>\n\n\n\n<li><strong>Publishing flows.</strong> Publishing checklists, managing requirements and allowing for customization as every site has different needs. </li>\n\n\n\n<li><strong>Post revisions interface.</strong> A way to coordinate updates and add new content in a scheduled manner.  There will be overlap with Theme switching and applying styles, for instance for Christmas, or other occasions. </li>\n\n\n\n<li><strong>Admin design.</strong> Ventura wrote about this last year in <a href=\"https://make.wordpress.org/design/2022/06/13/thinking-through-the-wordpress-admin-experience/\">Thinking Through the WordPress Admin Experience</a>. Notifications, list views updated UI to include new features. </li>\n\n\n\n<li><strong>Library</strong> &#8211; A space where users manage Patterns, Blocks, Styles, and Fonts. </li>\n\n\n\n<li>Develop a <strong>global search &amp; command component</strong></li>\n</ul>\n\n\n\n<p>I just briefly touched on the seven areas, and might not do it full justice. Ventura provided in his post many more details. <a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">It&#8217;s worth a read</a>.  Give it time to digest, too. Then, see if there is something you are missing, that would fit into the third phase and share it in the comments on the post. </p>\n\n\n\n<img />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p><strong>Anne McCarthy</strong> organized again a Hallway Hangout and invited Automattic-sponsored design developers, <strong>Isabel Brison</strong> and <strong>Saxon Fletcher</strong> to <a href=\"https://make.wordpress.org/test/2023/03/14/hallway-hangout-lets-chat-about-all-things-layout/\"> </a><strong><a href=\"https://make.wordpress.org/test/2023/03/14/hallway-hangout-lets-chat-about-all-things-layout/\">Chat about All Things Layout</a>.</strong> The recording is available as well as summary of the demos and topics covered. It was a continuation of Brison&#8217;s WordCamp Asia talk <a href=\"https://gutenbergtimes.com/wordcamp-asia-2023-eight-gutenberg-related-talks/#layout-layout-layout\">&#8220;Layout, Layout, Layout&#8221;</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Nick Diego </strong>just released version 3.0.0. Learn more in his post <a href=\"https://blockvisibilitywp.com/block-visibility-3-0-0-a-new-chapter-begins/\"><strong>Block Visibility 3.0.0: A New Chapter Begins</strong></a>, in which he announces that he makes most Pro features available for free. With the plugin, you can control show or hide blocks depending on, for instance, a date, a user role, a location, or referral source. It extends the core block editor with additional settings. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Wes Theron </strong>posted a new tutorial on WordPressTV <a href=\"https://wordpress.tv/2023/03/20/intro-to-temaplates-block-theme/\"><strong>Intro to Templates </strong>(Block Theme)</a>. A template provides the structure or design for how a page is displayed. That usually includes a header template part, a content area and a footer template part. In this beginner session, we will look closer at the various templates available, the template layout, and how to assign a template to a post or page.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Sarah Snow</strong> posted <a href=\"https://learn.wordpress.org/tutorial/what-kind-of-wordpress-theme-do-i-have-classic-block-or-something-else/\"><strong>What kind of WordPress theme do I have: classic, block, or something else?</strong></a> Learn in 2 minutes to quickly identify what kind of theme you are using on your existing WordPress website.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p>In this week&#8217;s post on the WordPress Developer Blog, <a href=\"https://developer.wordpress.org/news/2023/03/everything-you-need-to-know-about-spacing-in-block-themes/\"><strong>Everything you need to know about spacing in block themes</strong></a>, <strong>Justin Tadlock </strong> took a deep dive into all the ways, theme developers can control spacing for their block themes, and their users in the Site editor. In addition to description of the conceptual implementation, you&#8217;ll find real life  practical code examples paired with screenshots. </p>\n\n\n\n\n<p><strong> <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a> </strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test, and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<p><strong>Daisy Olsen</strong> uploaded the recording of her livestream <a href=\"https://www.youtube.com/watch?v=Zc7Y6pXOlPI\"><strong>Speed Building a Block Theme</strong></a> to YouTube. In this session, she &#8220;created a completely functional Block Theme based on the templates and parts included in the Underscores Starter theme in just about one hour.&#8221; Olsen used the <a href=\"https://wordpress.org/plugins/create-block-theme/\">Create Block Theme plugin</a> and the Site Editor for this project. <a href=\"https://www.twitch.tv/videos/1767688887\">Part Two covering Styles and theme.json</a> is available on Twitch.tv.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p>Don&#8217;t miss Monday&#8217;s <strong><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/291332837/\">Developer Hours: Migrate a plugin to blocks </a></strong>with <strong>Michael Burridge</strong> and <strong>Jonathan Bossenger,</strong> who will provide provide WordPress plugin developers with the opportunity to connect with, and learn from, one another. It&#8217;s a great AMA and you can get your burning questions answered! <strong><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/291332837/\">Monday 27, 2023 at 4 am EDT / 8 am UTC / 3 pm Indonesia Time</a> </strong> &#8211; Yeah it&#8217;s a bit early for the US. This is scheduled for the Asia-Pacific developers 🙂 </p>\n\n\n\n<img />\n\n\n\n<p><strong>Ryan Welcher</strong> posted last week&#8217;s Twich stream session to YouTube: <a href=\"https://www.youtube.com/watch?v=32Ohee5fos0\"><strong>Reviewing Gutenberg 15.3 features. Live stream: March 16, 2023</strong></a>. He went over the features of the Gutenberg 15.3 plugin. He discussed the new time to read block and showed how it works and also highlighted the improvements made to the duotone design tool. Welcher also elaborated on the fast release cycle of Gutenberg and how it can sometimes result in smaller updates. Another topic was the process of creating custom duotones and Welcher suggested that it would be great if the editor could save custom duotones for future use.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"4-word-camps\">WordCamps</h2>\n\n\n\n<p><strong>WordCamp Phoenix</strong> livestreams talks from two tracks (<a href=\"https://phoenix.wordcamp.org/2023/schedule/\">schedule</a>). There are quite a few talks about blocks, the block, and site editor. </p>\n\n\n\n<p><a href=\"https://phoenix.wordcamp.org/2023/livestream/\">You can catch &#8217;em all on the re-runs</a>! </p>\n\n\n\n<ul>\n<li><a href=\"https://phoenix.wordcamp.org/2023/session/building-custom-blocks-no-js-required/\">Building Custom Blocks. No JS Required!</a> with John Hawkins  works with ACF</li>\n\n\n\n<li><a href=\"https://phoenix.wordcamp.org/2023/session/youre-invited-to-a-block-party/\">You’re invited to a Block Party!</a> with Alicia St. Rose  </li>\n\n\n\n<li><a href=\"https://phoenix.wordcamp.org/2023/session/shooting-hoops-with-wordpresss-new-site-editor-tips-and-tricks-for-elevating-your-site-building-game/\">Shooting Hoops with WordPress’ New Site Editor: Tips and Tricks for Elevating Your Site-Building Game</a> with James Tryon </li>\n\n\n\n<li><a href=\"https://phoenix.wordcamp.org/2023/session/the-block-editor-and-full-site-editing-crash-course-for-freelancers-and-agencies/\">The Block Editor and Full Site Editing Crash Course for Freelancers and Agencies</a> with Keanan Koppenhaver</li>\n\n\n\n<li><a href=\"https://phoenix.wordcamp.org/2023/session/using-blocks-and-block-based-forms-to-build-applications/\">Using Blocks (and Block-Based Forms) to Build Applications</a> with Robert Richardson</li>\n\n\n\n<li><a href=\"https://phoenix.wordcamp.org/2023/session/breaking-down-the-block-editors-layout-system/\">Breaking Down The Block Editor’s Layout System</a> with Al Ani</li>\n</ul>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>WordCamp Asia &#8211; I just finished collecting all the links for the block related talks. </p>\n\n\n\n\n<div class=\"ngl-articles colored ngl-articles-50_50 ngl-articles-frontend\">\n\n	\n	<div class=\"ngl-articles-wrap ngl-articles-webview\">\n	\n						\n			<div class=\"ngl-article-mobile\">\n				<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n					<tr>\n						<td valign=\"top\">\n							<div class=\"ngl-article-mob-wrap\">\n							<div class=\"ngl-article-featured\"><a href=\"https://gutenbergtimes.com/wordcamp-asia-2023-eight-gutenberg-related-talks/\" target=\"_self\" rel=\"\"><img src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2023/02/Screenshot-2023-02-03-at-12.25.29.png?w=652&ssl=1\" /></a></div><div class=\"ngl-article-title\"><a href=\"https://gutenbergtimes.com/wordcamp-asia-2023-eight-gutenberg-related-talks/\" target=\"_self\" rel=\"\"><span>WordCamp Asia 2023: Eight Gutenberg related talks</span></a></div><div class=\"ngl-article-excerpt\">It&#8217;s been over a month since WordCamp Asia ended, and I am still browsing through the thousands of photos from the official Flickr album and the public Google Photos were… <a href=\"https://gutenbergtimes.com/wordcamp-asia-2023-eight-gutenberg-related-talks/\" class=\"ngl-article-read-more\" target=\"_self\">Read more.</a></div>							</div>\n						</td>\n					</tr>\n				</table>\n			</div>\n			\n			\n			\n\n		\n		\n		</div>\n\n</div>\n\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<p class=\"has-text-align-right has-small-font-size\"><em>Questions? Suggestions? Ideas? Don&#8217;t hesitate to send <a href=\"mailto:pauli@gutenbergtimes.com\">them via email</a> or send me a message on WordPress Slack or Twitter @bph</em>. </p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\">For questions to be answered on the <a href=\"http://gutenbergtimes.com/podcast\">Gutenberg Changelog</a>, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image: &#8220;<a href=\"https://www.flickr.com/photos/16228681@N00/2503685266\" target=\"_blank\" rel=\"noreferrer noopener\">Moveable Type</a>&#8221; by&nbsp;<a href=\"https://www.flickr.com/photos/16228681@N00\" target=\"_blank\" rel=\"noreferrer noopener\">Dave DeSandro</a>&nbsp;is licensed under&nbsp;<a href=\"https://creativecommons.org/licenses/by-nc/2.0/?ref=openverse\" target=\"_blank\" rel=\"noreferrer noopener\">CC BY-NC 2.0</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 25 Mar 2023 06:39:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:118:\"WPTavern: Block Visibility 3.0.0 Makes Pro Version Free, Adds Browser and Device Control, Visibility Presets, and More\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=143014\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"https://wptavern.com/block-visibility-3-0-0-makes-pro-version-free-adds-browser-and-device-control-visibility-presets-and-more\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4239:\"<p>WordPress contributor and developer Nick Diego has released <a href=\"https://blockvisibilitywp.com/block-visibility-3-0-0-a-new-chapter-begins/\">version 3.0.0</a> of his Block Visibility plugin, which allows users to conditionally display blocks based on specific user roles, logged in/out, specific users, screen sizes, query strings, ACF fields, and more.</p>\n\n\n\n<p>The biggest change in this update is that Diego has decided to merge the Pro version with the free plugin so users no longer have to purchase a commercial add-on to get extra features. Diego launched the pro version in 2021 to help support his efforts developing the free plugin but said this is no longer necessary.</p>\n\n\n\n<p>&#8220;Originally I had planned on developing a plugin business,&#8221; he said. &#8220;But I found my love for building, contributing, and educating surpassed my desire to be an entrepreneur in the plugin space. This way, I can focus on my passion and also support the community.&#8221;</p>\n\n\n\n<p>Version 3.0.0 includes previously pro features such as <a href=\"https://blockvisibilitywp.com/knowledge-base/how-to-use-the-browser-device-control/\">browser and device control</a> that allows for displaying custom content based on the browser and/or device of the current user. It also adds <a href=\"https://blockvisibilitywp.com/knowledge-base/how-to-use-the-location-control/\">Location control</a>, which isn&#8217;t what it sounds like. It allows users to show or hide content based on where the block is located on the website and attributes of its location. Blocks can be conditionally displayed based on post taxonomy, post type, and other rules that offer more control over block visibility than one might ever have imagined possible.</p>\n\n\n\n<img />Block Visibility documentation on <a href=\"https://blockvisibilitywp.com/knowledge-base/how-to-use-the-browser-device-control/\">Browser and Device Control</a>\n\n\n\n<p>This update brings in controls for <a href=\"https://blockvisibilitywp.com/knowledge-base/how-to-use-the-cookie-control/\">Cookies</a>, <a href=\"https://blockvisibilitywp.com/knowledge-base/how-to-use-the-metadata-control/\">Metadata</a>, <a href=\"https://blockvisibilitywp.com/knowledge-base/how-to-use-the-referral-source-control/\">Referral Source</a>, and <a href=\"https://blockvisibilitywp.com/knowledge-base/how-to-use-the-url-path-control/\">URL Path</a>. It expands the <a href=\"https://blockvisibilitywp.com/knowledge-base/how-to-use-the-date-time-control/\">Date &amp; Time</a> control to include Day of Week and Time of Day. </p>\n\n\n\n<p><a href=\"https://blockvisibilitywp.com/knowledge-base/guide-to-visibility-presets/\">Visibility Presets</a> is another mind-blowing new feature in this release, the kind that makes you wonder how this could be a free plugin. It allows users to create a collection of visibility conditions that can be applied to other blocks with a single click. Blocks can have multiple presets applied, and Diego said this is just the first iteration of this feature. </p>\n\n\n\n<img />Block Visibility documentation on <a href=\"https://blockvisibilitywp.com/knowledge-base/guide-to-visibility-presets/\">Visibility Presets</a>\n\n\n\n<p>This release includes everything except the WooCommerce and Easy Digital Downloads controls, which include conditional block logic for shopping cart contents, product details, customer metrics, and more. Diego plans to add those later in April with the next version (3.1.0), so he can make a few further changes to them before including them in the free version. Users who rely on the WooCommerce or Easy Digital Downloads controls will need to wait until the next release to deactivate the Pro add-on.</p>\n\n\n\n<p>The Block Visibility plugin&#8217;s <a href=\"https://blockvisibilitywp.com/knowledge-base/\">documentation</a> is already extensive, with videos, screenshots, and tutorials for nearly every feature. Diego said he will be investing more time into documenting how developers can create their own <a href=\"https://github.com/ndiego/block-visibility-add-on-example\">Block Visibility extensions</a>. The plugin currently has more than 9,000 active users and will likely see more growth now that the pro features are getting rolled into the free version. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 25 Mar 2023 02:31:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Post Status: Launching a WordPress Product in Public: Session 6\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148481\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://poststatus.com/launching-a-wordpress-product-in-public-session-6/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:39309:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">Transcript ↓ Learn from Corey Maass, a master of WordPress plugins and apps, and Cory Miller, a marketing, business, and WordPress experience guru. The two discuss the intimacies of partnering on a product and how solopreneurs can benefit from support. Top Takeaways: <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show: <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our&#8230; </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">45</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p>Learn from <a href=\"https://twitter.com/coreymaass\">Corey Maass</a>, a master of WordPress plugins and apps, and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a>, a marketing, business, and WordPress experience guru. The two discuss the intimacies of partnering on a product and how solopreneurs can benefit from support.</p>\n\n\n\n<p><strong>Top Takeaways:</strong></p>\n\n\n\n<ul>\n<li><strong>The Value of Partnerships.</strong> Starting a business can be a lonely experience. Having someone to bounce ideas off, talk through tough subjects with, and celebrate successes with makes a significant difference. Having that collaborative support system can make managing a business more enjoyable and streamlined, which is a huge benefit, especially for startups and small businesses.&nbsp;</li>\n\n\n\n<li><strong>Discussion vs. Decision. </strong>It’s important to be intentional with communication considering the stage you are in when you are improving a product or creating something brand new. Being vocal about whether you are still discussing or whether you are ready to make decisive moves is critical to keep the process moving forward without missteps.&nbsp;</li>\n\n\n\n<li><strong>The Art of Failing.</strong> Understanding that taking risks and being willing to fail in order to ultimately achieve success is key for solopreneurs and partnerships. Quantifying your success rate on projects isn’t the ultimate indicator of how successful you truly are. Stumbling through a myriad of shortcomings while still pursuing success is powerful.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul>\n<li><a href=\"https://crop.express/\">Crop.Express</a></li>\n\n\n\n<li><a href=\"https://elementor.com/\">Elementor</a></li>\n\n\n\n<li><a href=\"https://www.wpbeaverbuilder.com/?mm_campaign=brand&gclid=Cj0KCQjwtsCgBhDEARIsAE7RYh23X1L149jQi21SES3Z61y0aaY770GDRGkCSimg-hDgjtWb6JfA0xEaAqzDEALw_wcB\">Beaver Builder</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"http://twitter.com/coreymaass\">Corey Maass</a></li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<h2>Session 6 Corey &amp; Cory Launch a WordPress Product Live</h2>\n\n\n\n<p>Cory Miller: [00:00:00] Ooh, cheers are good. . You talented, man.<br />Corey Maass: So yeah, session six. Okay. Impromptu time change, but life happens. And that&#8217;s part of the<br />journey of being a founder. Exactly.<br />Cory Miller: Let me push it to Twitter.<br />Corey Maass: Are we founders? Yeah.<br />Entrepreneurs, founders Starters,<br />for once. I&#8217;m not a solopreneur,<br />Cory Miller: you know, I talked to a lot of people over the years and, um, Like solopreneurs. And the one thing I<br />hear from a lot of &#8217;em, cause I had, I had partners from the beginning, they weren&#8217;t active. But is that, you know,<br />business as lonely as it is and um, [00:01:00] having somebody else to kind of walk with I think is pretty dang<br />awesome.<br />Yeah,<br />Corey Maass: I, I did it best when I worked in a co-working space with, Four other guys that I was friends with and<br />we had formed a little cohort and so regularly, you know, get out of, get out of the house, get to a, a focused place<br />of work. And then have people who you were on a journey with and knew their journey.<br />And so you could grab somebody and say, Hey, can we talk this through for a minute? And that went in all<br />directions. Like it just makes such a difference. Yeah,<br />Cory Miller: it, it really does. Um, I had Matt Daner and I themes, um, On the team. And of course my Lindsay<br />was, um, in and around the team in different ways. Um, and it was just then I have my business group, which I told<br />you I&#8217;m meeting with this afternoon, [00:02:00] I&#8217;ve walked with for 11 years, and I tell you, wow, it&#8217;s such a tough<br />job.<br />You know, where you&#8217;re trying to, like we&#8217;re doing here. Where if it wasn&#8217;t with you, I&#8217;d be sitting here going, okay,<br />what segments are we gonna try to hit? You know, and. And the highs and lows. You know, there&#8217;s things that you<br />celebrate as an entrepreneur that you not, maybe not necessarily celebrate with your team.<br />And just having another group, or a sidekick or a partner or whatever that is, I think is pretty dang healthy for me<br />Corey Maass: at least. Yeah. And yeah, it&#8217;s, it&#8217;s a step better than rubber ducking it also, I find, Because it&#8217;s like,<br />you know, I don&#8217;t, I don&#8217;t always immediately respond to you, and you don&#8217;t always immediately respond to me.<br />But I have a, a real human being to say things at, even if it&#8217;s not to talk about it with, and, you know, when you see<br />the message in the afternoon and, and [00:03:00] celebrate it with me, that I fixed a bug or whatever it is like that.<br />Makes a difference and you ping me out of, you know, whenever you kind of, whenever you need to.<br />Like, that&#8217;s such a difference cuz like, who did I, oh, for a different product. I was having issues with, not issues at<br />all with, um, EDD I was trying to hack the hell out of EDD , let&#8217;s be honest. Um, to make it do things that it has no<br />right doing. Because it&#8217;s the better product. I&#8217;d rather use the core and slap my janky ass code on top of it.<br />Anyway, there&#8217;s my little EDDendorsement. Um, but I know one of the head programmers over there and was like,<br />I would love to have him look at this. And he and I were in a. Co-working group years ago. And so I have a little bit<br />of connection with him, you know, but haven&#8217;t talked to him in a year or two.<br />And so I had to hesitate and I hemmed and hod and was like, let me, let me refactor this five [00:04:00] times<br />before I send it over to him because I don&#8217;t wanna waste his time. I&#8217;m using up a favor. I guess that&#8217;s my long way<br />of saying that I&#8217;m using up a favor. And uh, and if you have somebody. You&#8217;ve lost count of favors or you have a<br />partner, then you don&#8217;t have to hesitate.<br />And honestly, that, that lack of hesitation is huge. I hadn&#8217;t really thought about it like that, but it&#8217;s just that what a<br />waste of time. I mean, it was great that it made me refactor my code because, you know, that&#8217;s never a bad thing.<br />But, uh, have to think that hard about just asking a question rather than just asking a question.<br />Maybe that&#8217;s why we all like chat, GPT or something.<br />Cory Miller: Yeah. You&#8217;re not alone, . No, I, I think that&#8217;s, uh, when I left eye themes, I wanted to do coaching and<br />had some clients my first year before I started with post status and, um, I said, you know, the hardest for me was<br />when I was [00:05:00] in trying to make these big decisions and, and even the little ones, and just having<br />someone.<br />I could bounce things off of. So that, that&#8217;s one of the reasons I did coaching. One of the reasons I talked about my<br />group as much like I left, came back, they were gracious enough to, to let me come back. And, um, these were the<br />several of the guys that were in Phoenix with me and, um, In fact, that&#8217;s who&#8217;s funeral, uh, dad&#8217;s funeral.<br />One of the guys that went with us is where I&#8217;m going today. Mm. Uh, while we couldn&#8217;t meet at a normal time, but,<br />you know, just kind of doing life together, but then having someone just to bounce stuff off of, like, I feel like you&#8217;re<br />very open and we&#8217;re having this conversation where it&#8217;s, it feels like, you know, the whole improv plus one, it&#8217;s like<br />we&#8217;re keeping, we&#8217;re, I think we&#8217;re trying to keep each other kind of.<br />on the trail here, but you know, you&#8217;d let me veer off and like discuss it. Let&#8217;s take a sidebar side trail. Yeah.<br />[00:06:00] And come back, . And that&#8217;s part of my process though, and I really deeply respect that and appreciate<br />it for you. Um, but just having somebody that understands that you can bounce stuff off, it&#8217;s pretty, pretty critical.<br />Corey Maass: Yeah. Well, I, I&#8217;m a big proponent of, uh, discussion, not decision, which I. Once I learned that I, I&#8217;m<br />a, I&#8217;m a big rule person, so like I applied that rule to most conversations and try to make sure that it&#8217;s clear to<br />everybody else. Um, but also I think more often it&#8217;s the. Being vocal about when you&#8217;re switching to decision.<br />So it&#8217;s like, okay, you know, we are still discussing, we are still discussing. Now we are deciding because as you&#8217;ve<br />seen, I&#8217;m prone to go, oh, that sounded cool, and then I just go off and, and do it rather than, you know, is that the<br />best use of my time, is at the highest priority, all [00:07:00] those kinds of things.</p>\n\n\n\n<p>So try to impose that upon myself a lot of the time too of like, is. You know, because I&#8217;m also, I&#8217;m the type of<br />extrovert who needs to talk out loud. And so there tends to be a lot of discussion. Um, you know, oh, hold on, I got<br />a barking dog. Come on.<br />Cory Miller: I think that&#8217;s good, especially in the beginning, in the start, you know, um, is making, you know, the<br />whole woodworking thing is measured twice, cut once kind of thing. Not to say to get into overthinking or<br />overanalyzing, but we&#8217;re, we&#8217;re figuring it out, you know? Right. Uh, together. And I think that&#8217;s been pretty critical<br />and really, like last week was huge breakthrough for me.<br />It&#8217;s. Seeing, okay, here&#8217;s v1, or here&#8217;s the free version, I should say, what we&#8217;re gonna do there, and then there&#8217;s<br />all this, we can kind of chase and see what&#8217;s there for [00:08:00] the pro side.<br />Corey Maass: Yep. Yep. One more, one more comment on partnerships too is I think I&#8217;ve talked about like I&#8217;ve,<br />I&#8217;ve looked for people to work with for years and one of those.<br />one of the outstanding questions is always that I&#8217;ve, that I&#8217;ve heard from other people that I&#8217;ve worried about too, is<br />the, like, how do you, how do you quantify compatibility? Right? And it&#8217;s like, I couldn&#8217;t, I think I&#8217;m, I&#8217;m bringing this<br />up rhetorically, like, it&#8217;s not a question necessarily unless you have something, unless you have an answer.<br />But it&#8217;s like, You, you and I sort of talked about it a little bit and then said, okay, let&#8217;s work on this together, and I<br />didn&#8217;t hesitate and, and of course then I&#8217;m like, you know, then we have amazing con like we&#8217;ve had amazing<br />conversations. . And I think that it helps that we both have [00:09:00] been aware of each other for a while and so<br />have some sense of how we operate.<br />And I think I&#8217;ve also, I&#8217;ve heard you speak in public, you&#8217;ve heard me speak in public, so I, I had a sense of you,<br />and I&#8217;m being presumptuous, but I imagine you had some sense of me. Um, but it&#8217;s, it&#8217;s definitely one of those,<br />What does this look like in a year? And if we end up with, you know, an I themes or a, you know, something,<br />something, Of of decent size.<br />You know how, how do you know that that person that you casually said, oh yeah, we should work on this little<br />plugin together with ends up being the person that you partner with. And that&#8217;s, it&#8217;s crazy cuz there&#8217;s so much<br />around pairing people and, you know, meeting co-founders and stuff like that, and, Yeah, I don&#8217;t know.<br />It&#8217;s ju it&#8217;s like I say, I think I&#8217;m bringing it up rhetorically from my perspective. It&#8217;s just, it&#8217;s a crapshoot. You just kind<br />of go with your gut .<br />Cory Miller: [00:10:00] Yeah, I, I totally agree. Um, you know, I, I&#8217;m trying to think how many times I&#8217;ve partnered<br />and it&#8217;s been quite a few, you know, uh, Brian, initially with post status, I had two partners.<br />They weren&#8217;t, weren&#8217;t active in the business. Um, at Ithe, I&#8217;ve had several. Um, partnerships last four years. Um,<br />and, uh, I, I almost think it&#8217;s like this product stuff, partner, partnerships and products are very similar in my<br />experience for me is that . I told Lindsay, I said, you know, when we started Ithe, it&#8217;s like people bought it and they<br />kept buying it and it was pretty, pretty simple, like a good looking theme.<br />You know, and this is 2008, and I did these things and put &#8217;em out there and things that I kind of wanted for myself,<br />but I didn&#8217;t think, like, I didn&#8217;t have a big inner monologue of like, should I do dropdown menu? Should I not?<br />Should I do? [00:11:00] I was just doing things I wanted to do, which spoke to like, I was obviously embedded in<br />our user group that were customers that eventually bought to us.<br />And I think that was first. But like I say, I compare it to baseball, like products and maybe even partnership and<br />people, it&#8217;s like, you know, classic growing up was Tony Gwen, San Diego Padres. He got on base all the time. If<br />you hit 300 in the majors, you&#8217;re, you&#8217;re in the Hall of Fame. If you have a career consistently with 300 in, you&#8217;re,<br />you&#8217;re in the Hall of Fame, even close to it, you&#8217;re probably in the Hall of Fame.<br />And, uh, when I left Ithe and tried to start some new projects, products, and businesses and partnerships, I was<br />like, oh yeah, I just know, I know how to do this, I can do this. And I was like, oh, you know, that means Tony struck<br />out three out of 10 means Tony struck out or got out seven times out of 10, but he&#8217;s in the Hall of Fame.<br />And I&#8217;m like, wow. That&#8217;s kind of like [00:12:00] entrepreneurship and products. And, and I&#8217;m gonna go even<br />further, uh, uh, partnerships, you know, like it&#8217;s, it&#8217;s not a high percentage of wins in my personal experience. , um,<br />from products like, I don&#8217;t know if you, if I told you this, we had 200 s skews that I think were not left 200 plus.<br />How many of those actually made money? Right? Like maybe it&#8217;s, that&#8217;s a little bit low, but like, you know, and uh,<br />then I&#8217;ve gotten crushed cuz things just don&#8217;t go as fast or as easy as I always want them to. And you&#8217;ve done a<br />number of products and I don&#8217;t know where you&#8217;re, you staying with partnerships, but, Just a lot of failure, a lot of<br />learn learning lessons.<br />Corey Maass: I, I learned, I was in New York, uh, I had just moved to New York after college and there was one<br />couple, so I was pursuing mo a music career, mostly, um, DJing, producing dance music, electronic music. And<br />there was one [00:13:00] married couple who threw a party and had started a label and. They were, uh, they were<br />bananas.<br />They were all over the place. They were, they&#8217;re still very eccentric people. I, I love them to death, but they are, uh,<br />sometimes out there. But I would follow them anywhere. And I, and I finally quantified it and I was like, because<br />they. 7% of what they say they&#8217;re gonna do. Everybody in New York City talks a great game.<br />Every bartender is a comedian. You know, every person you meet, working any kind of job is actually writing a<br />script or is in a band or whatever, which is awesome. But most people talk a really good game and don&#8217;t actually<br />do. What they say they&#8217;re gonna do. And so I think that for me, a lot of it is, is exactly what you talked about.<br />Like people don&#8217;t have to have success. Like I didn&#8217;t wanna work with you be necessarily because you had<br />success, [00:14:00] but because you&#8217;ve put yourself out there, you&#8217;ve clearly done a lot, you&#8217;ve tried a lot, and you<br />keep trying. And I think that that, like for me, that&#8217;s the gold standard. Like I try to live by that.<br />Like I put, I put a lot of products out there. Same thing have, how many of my products have actually like done<br />anything made little blips, you know? But you&#8217;ve gotta keep getting up to bat. I think this is the first baseball</p>\n\n\n\n<p>analogy I&#8217;ve ever made in my life. But you&#8217;ve gotta keep getting up to bat and eventually you&#8217;re gonna hit<br />something, presumably, you know, big or small.<br />And then you want to keep, you know, practice makes perfect kind.<br />Cory Miller: I tell you, the part of like, keep going on is the one I&#8217;ve really struggled with the last four years. Hmm.<br />Just keep going on. Um, and then last year with the burnout, um, and all that kind of stuff is just like, it&#8217;s, it&#8217;s tough<br />because, uh, it&#8217;s, it&#8217;s one thing if like this, nothing huge, significant, but not like life shattering.<br />Is dependent on [00:15:00] this. Um, but you know, when I left Ithe, I didn&#8217;t really have another business to just<br />kind of walk onto. Now Posttest came next, you know, the next year, and it wa and it was like really good timing for<br />me. Um, but now it&#8217;s, you know, it&#8217;s still a part-time gig for me. So like, It, it&#8217;s been tough cuz you just kind of have<br />these ideas to put &#8217;em out there.<br />And the theme I told people for how I&#8217;ve done business, at least my ithe chapter, is stumbling successfully. Like ,<br />keeping going, tripping but not falling flat on your face. You know, like, just kind of keep a low profile to the ground.<br />Cause you&#8217;re gonna keep stumbling. And, and you know, a lot of the products, for instance, were stumbled like,<br />and I&#8217;m not, I&#8217;m not saying it&#8217;s pure.<br />However, there was healthy blend of right time or a place, um, hard work, right. To get more luck. And then once<br />the first one was rolling, it was easier to add [00:16:00] new, you know, when you get that first hit, it&#8217;s easier to hit<br />to do others. But I still didn&#8217;t have even a like 50% success rate , you know?<br />Corey Maass: Yep. Well look at Google.<br />How many products have they shut down, you know? Yeah. So anyway, sorry. I wanna respect your time. So<br />we&#8217;ve got 10 minutes. I&#8217;ve, I&#8217;ve dragged this out much longer than I needed to. I did too. Um, um, so product, we<br />have version 0 0 2 is in the repo. Uh, the has come a long way. Uh, we have added, uh, a few bells and whistles.<br />I&#8217;ve cleaned up the UI a bit, and then a duplicate. Cropper is now in the media library. So if you go to media library,<br />there&#8217;s now an extra button that says Upload and Crop. Next to add new. I felt a little bad totally ripping out the<br />ADD new button, but we can decide to do that because there is now a [00:17:00] bypass.<br />So you, even if you open the cropper, And select an image. There&#8217;s a button that says, crop it. There&#8217;s a button<br />that says Just upload it so you can bypass the crop. Um, and then the other sort of sneaky thing that I, I added last<br />minute yesterday is if you go to media, add new, it technically opens the media library with the cropper open.<br />So we are totally hijacking media a new, so I mean, all these. Discussions, not decisions, but at this point we&#8217;ve<br />still got fewer than 10 users. And you and I are, are kind of, you know, we are a kitten with a ball. We&#8217;re bating it<br />around just kind of deciding, you know, where we wanna land with it.<br />Cory Miller: Um, it&#8217;s great. The new stuff that you pushed out, I think that&#8217;s awesome. Iterating on some things<br />that you feel like, hey, I, this is a small little check I can do that I think is so good for progress on the product.<br />[00:18:00] So I was looking at it on my personal site and then my test site and um, I&#8217;ll give you, I&#8217;ll give you notes,<br />uh, in chat too.<br />But when I tried to upload from the media library and I just installed the new plugin on my personal, lemme do this<br />real quick. It&#8217;s not showing the preview. Sorry. I should just be showing you.<br />It&#8217;s not showing that preview. And maybe I&#8217;ve got the wrong image or something like that, but, oh, huh. So we got<br />uploading crop<br />so it&#8217;s not preview in here, and then I just click square crop. Huh. So I don&#8217;t, I I, I&#8217;ve done it at least on two sites<br />and it&#8217;s done this, so I wanted to mention it. Ooh. But lemme just say, Thank you for that button iterating on those<br />buttons, these two, because I was testing your previous version [00:19:00] and with my, with images from my<br />phone, and one was like sideways and I was like, Hey, so oh yeah, you got that in like, I don&#8217;t<br />know, an hour after we test.<br />Corey Maass: Well, I, yeah, the, I mean this is, we are still riding the, the happiness that is the library we&#8217;re using.<br />Um, so there&#8217;s, there&#8217;s, they. Rotate. They also have, um, you can actually flip it horizontally and vertically, which is<br />an option, but I don&#8217;t think we need it. Um, I don&#8217;t, I don&#8217;t yet see the use case. Um, but rotate, I was like, I will add<br />it.<br />He must be onto something. And the fact that you pulled it from your phone and we&#8217;re like, oh, instead of rotating it<br />on my phone and then uploading it again, make creative tasks simpler, easier, fun. There you go. Like, you<br />shouldn&#8217;t have to think like, oh, I have to rotate it in one place before I upload it to another.<br />Um, but I will go fix that bug. So, um, the, to me, the outstanding [00:20:00] question is, um, we, I think we did<br />come to the conclusion last week that we want a settings page, which let. The creator of the site or the whoever is<br />controlling the site, which might be the same person who&#8217;s creating content, but to go into a settings page and say,<br />four featured images, we want 16, nine, and we want them to be 1600 pixels wide every single time.<br />Set it once, forget it, and then they go set their featured image right. When we are including that. Originally we&#8217;d<br />said that that was be, that would be a paid thing, but I. I kind of feel like the free version&#8217;s useless without it.<br />Cory Miller: Yeah, I do too. And I think we&#8217;re gonna get more momentum, um, with this, with that thing cuz we, like<br />we talked last week, really becomes a cool utility tool for a, a problem.<br />And so<br />Corey Maass: and, and is and is feature complete? Is product complete? [00:21:00] Yep.<br />Cory Miller: Yeah. So the savings page with the custom. Dimensions. That&#8217;s really our biggest thing left, is that<br />right?<br />Corey Maass: Uh, and, and we want to, there&#8217;s all the other holes, all the other places where you upload an<br />image. So to me, um, after media library, I think block is the next big one.<br />So I think we, I think we need, cuz I, I use the classic editor and I&#8217;m gonna look at. Adding our cropper to featured<br />image. You know, and, and classic editor plugin has, you know, millions of installs. So I, it&#8217;s, it there. I don&#8217;t think<br />there&#8217;s, to me, there&#8217;s not a clear majority one way or the other. Gutenberg block editor over classic editor.</p>\n\n\n\n<p>We need, we need the cropper in both. Um, but since we have [00:22:00] the beginning of the block, I think that<br />that&#8217;s, um, the way to go. And I, I, at some point I will look. Also applying it to the classic editor. Okay. But it&#8217;s, it&#8217;s<br />finding all of those primary places and there&#8217;s a lo as we&#8217;ve talked about, there&#8217;s a long, long tail.<br />Like eventually we will build a module for Elementor and, and Beaver Builder. Um, but we need to work, work for<br />vanilla WordPress first. Yeah.<br />Cory Miller: So that leaves me at really, and I&#8217;m with this with process too, is like, we need a lot, it seems like we<br />need a lot of users. Mm-hmm. to start getting more users in there, giving feedback, requesting features.<br />And this next one with the, uh, well the blocks will be big, but that&#8217;s another conversation. But like, I think the<br />custom dimensions, then we&#8217;re getting [00:23:00] something. I ped and ccd you in those. As you know, Robbie<br />from Beaver Builder, Kathy San from Cadence. Um, I need to look at generate press. Um, but then we bumped up<br />against like everybody be gone, being gone for Asia or Camp Asia.<br />Um, but yeah, are you going to any word camps? I&#8217;ll have it down for like a placeholder for Europe and then US is<br />standard for me for sure. You are gonna go, yeah, I was supposed to go to Phoenix, but yeah. What, what about<br />you? Do you have any plans.<br />Corey Maass: I was, uh, thinking about US . So if you&#8217;re gonna be there, then yeah, we need to meet up.<br />That&#8217;s in August, so. Okay. It gives us, um, let&#8217;s do plenty of time to, I think that&#8217;d be a blast. Yeah. We could do<br />this live. That&#8217;d be fun. Do it live.<br />Cory Miller: Let&#8217;s, uh, let&#8217;s plan. Yeah, let&#8217;s plan on that. I&#8217;d be, that&#8217;d be great if another opportunity comes up in<br />between. Um, I know work camps are getting started and [00:24:00] stuff, or, um, we&#8217;ve loosely been throwing<br />around some in-person stuff with.<br />Post, but I&#8217;ll let you know, uh, before we even announce that and see if you&#8217;re able to, to get to it too. Um, nothing,<br />sorry.<br />Corey Maass: Yeah. Um, I derailed us. So you were talking about getting users. Um, do we, to me, I&#8217;m starting<br />more and more, I&#8217;m getting anxious that we don&#8217;t have a website. Okay. Which, I mean, we.<br />crop.express the website that is currently just the cropper, um, but to, with no mention of the plugin. And so I&#8217;d love<br />for you to start thinking about what that looks like,<br />even if it&#8217;s a little banner that then links to a landing. You know, we could have crop.express/wordpress plugin and<br />have a landing page temporarily, but [00:25:00] just cuz it&#8217;s even like I&#8217;m now. I&#8217;m linking people to the plugin in the<br />repo, but I feel like we wanna start expanding the use case, expanding what we&#8217;re talking about, you know, to a<br />website.<br />Cory Miller: Um, yes, absolutely. I think we&#8217;re there<br />Corey Maass: in the coming weeks. It doesn&#8217;t need to be tomorrow. Yeah,<br />Cory Miller: I was thinking about. Um, from the brand we talked about last week too. Mm-hmm. , it&#8217;s like, do we<br />just go ahead and make the keep, keep crop.express like it is? Hmm. Probably link to it, but then at some point<br />we&#8217;ll probably want to change an update plugin to go what our new brand is.<br />And that made me think about, my mind went to. Some discussion that could be recorded like this for users, not<br />about our product [00:26:00] necessarily, or this detailed stuff, but you know, hey, here&#8217;s some sources we can,<br />where you can go find all, you know, all these images. Um, some of those mar more messaging, marketing<br />content, thoughts we had last week.<br />I was like, you know, that might be, um, pretty good. It&#8217;s like having that site. Maybe scheduling, you know, some,<br />like, we outline it loosely and just talk through and then we can take that, you know, put it on our YouTube channel,<br />all that kinda stuff. And then, um, maybe see if we turn that into like our lead magnet or something like that to start<br />building emails.<br />That&#8217;s where my head goes initially, but I&#8217;ve. We&#8217;ve got two things on my list, outreach and website. Um, right now,<br />at least until you tell me otherwise. Um,<br />Corey Maass: well, and, and the other thing that Kathy brought up that I thought was valuable was to aid in your<br />discussions. [00:27:00] She&#8217;s like, oh, what does it do? And we&#8217;re, and you were like, here&#8217;s the plugin.<br />And she&#8217;s like, Oh, thanks. Now I have to go find a WordPress install, install it on this WordPress install. And then<br />because it&#8217;s essentially a a beta, we have no guidance. We have no user docs, we have no anything. And so she&#8217;s<br />like s Now if she even gets that far, she&#8217;s like splashing around trying to figure out what the hell it does and how<br />so?<br />Um, I kind of feel like we are getting close to, like, I could do a. QuickTime, screen capture of here&#8217;s how you re<br />crop your featured image. 1, 2, 3. Mm-hmm. , here&#8217;s how you crop an image going into media library, you know,<br />and put them on YouTube or you know, even just to have them in our back pocket. One for any potential users, we<br />can link to those.<br />If they&#8217;re on YouTube, we can put those in our readme, which goes on the, you know, So it&#8217;s Crop Express in 30<br />seconds, a video in [00:28:00] that, in the Read Me Doc in the, in the repo. Um, and it gives you something to link<br />to when you&#8217;re having dis discussions because rather than you having to do a demo or people trying to figure it<br />out, you know, here&#8217;s, here&#8217;s a quick 32nd video, then let&#8217;s have a conversation.<br />Yeah. So it seems like if you agree that I feel like that should go on my list. Oh,<br />Cory Miller: if you&#8217;re good to put on your list, absolutely. Yeah, I<br />Corey Maass: can bang through those pretty<br />Cory Miller: quick. And that lends back to website is like having something where people can see it. Mm-hmm. .<br />Um, yeah, I&#8217;ll, okay, I&#8217;ll do some thinking on that.<br />Corey Maass: Yeah. Again, I feel like we&#8217;re, right now these are discussions, not decisions, but good ideas, so,<br />Yeah. Uh, ruminate on them a little bit today, and then, you know, this week or next, let&#8217;s make some decisions.</p>\n\n\n\n<p>Okay? [00:29:00] All right. And I&#8217;ll continue. No matter what, there&#8217;s this. You know, as a developer, you&#8217;re like<br />building product and it&#8217;s, and it&#8217;s a straight line.<br />It&#8217;s a rocket ship going up, but it&#8217;s inevitable to do everything else. There&#8217;s, there&#8217;s the, the triangle. So as the<br />triangle goes up, it gets wider and wider. and wider. I&#8217;m just seeing it. It&#8217;s like I can just keep adding features. I can<br />just keep making the product better, but nobody&#8217;s gonna know about it.<br />Nobody gives a shit. There&#8217;s no, you know, but it&#8217;s like, Ever so slightly the more features then it&#8217;s like the more<br />you want a website, the more you want docs, the more you want, uh, feedback. The more you want assets, the<br />more you want swag, the more you want, you know, and it just keeps getting broader as, as much as it gets taller.<br />It feels like that<br />Cory Miller: It does, it def definitely blends over time. Um, okay, so I&#8217;ve got outreach and website to continue the<br />outreach outreach. Um, [00:30:00] I think Kathy, I think Robbie, when he&#8217;s back, um, I need to reach out to the<br />Elementor team.<br />Corey Maass: Do you have, um, like the starting in the conversation seemed good. Do you have a plan for<br />specific questions that we&#8217;re trying to get answered?<br />Um, or do you wanna leave it broad?<br />Cory Miller: What I intend to get to them with that is like getting to the heart of what are the things that annoyed<br />the team, building the themes. Mm-hmm. , what are they hearing from customers? Um, and, or even, even seeing<br />like they see sight and like the images just blown out and stuff.<br />And I, I want to keep those conversations open enough where they can tell us something I might surprise us that<br />goes in a particular direction.<br />So, and I think Rob Robbie&#8217;s very open to that. He just is out this week. So yeah, [00:31:00] sure. I&#8217;m really eager<br />to hear what he says. And that&#8217;ll be our first integration or, you know, potential integration for us thinking through<br />that. Um, so that&#8217;s kind of my intention. And then, uh, same thing with, um, any other theme framework from<br />Element towards generate press<br />sounds. But open. Do you have any thoughts or anybody else we should talk to? But you know, and then, well, the<br />story I&#8217;ll share too is like, here&#8217;s what free is gonna be, you know, and then to start to share the story to lead to this.<br />This could be a great tool for y&#8217;all to recommend to your communities kind of thing.<br />So I&#8217;ll, once I get some of those, I&#8217;ll drill down into, okay, cadence. What are the ratios, what are the things that we<br />could build into free to be, you know, that utility tool?<br />Corey Maass: Yeah, for sure. [00:32:00] So that, that&#8217;s kind of my plan there is just kind of digging in and seeing<br />what we hear. Trying to get to that true marrow of it.<br />Like how are people using it? What are you seeing? And hopefully be surprised. Love.<br />Um, and I&#8217;ll, I&#8217;ll do some thought too on the website. I know that&#8217;s been something we&#8217;ve been talking about,<br />um, but I like what you just said, like that solves the problem. If we switch to a branded site that talks ab, that&#8217;s, or<br />a company site that lets us be open up to anything, crop Express can stay the same.<br />Start to talk about the plugin and link back to what ultimately would be the shopping cart or the mm-hmm. , you<br />know, the main marketing site around it. But let crop.express as a website, be a lead magnet, a U [00:33:00] utility<br />site that is a lead magnet for the WordPress plugin. And for anything else, we end up spitting up.<br />Mm-hmm.<br />Cory Miller: Yeah. And then you&#8217;ve got a great free tool out there, so. Right. I do think, like you said, the banner<br />to, do you want the WordPress version, you know, you want this in WordPress and link over to the thing will be<br />helpful as we kind of grow for people to Yep. See the vision. Okay. All right. Anything else you had?<br />Corey Maass: No, I, I just, we&#8217;ve been, I like, I think I talked to you before. I, I&#8217;ve been watching Silicon Valley, so<br />I&#8217;m, I&#8217;m feeling like we need to scale up. We need to get some, um, venture capital. I need at least three more<br />developers under me.<br />Cory Miller: Um, I gotta get back and<br />Corey Maass: watch that. Move all of our operations out to Silicon Valley.<br />Of course. Hey, I&#8217;m in San Francisco in three weeks I&#8217;ll do our first raise. Um, I&#8217;ll talk to some angels out<br />Cory Miller: there. There you go. . When that came out, I, [00:34:00] I actually happened to have at the time a<br />little community car. It was a Ford Escape. Yellow, just like, uh, ,<br />Corey Maass: Avi Avik,<br />Cory Miller: ak a classic.<br />Corey Maass: All right, man. Well, good luck today.<br />Okay. It&#8217;ll be a long day. Hope you&#8217;ll be all right. Yeah. And, uh, I&#8217;ll<br />Cory Miller: appreciate that.<br />Corey Maass: Um, yeah, I&#8217;ll keep you posted.<br />Cory Miller: Okay, sounds good. And I&#8217;ll get these webinars back on the, reschedule them and put &#8217;em on our<br />calendars. Okay. So, sounds<br />Corey Maass: good. All right. Thanks. Thanks, Steve.<br />Cory Miller: Bye.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Mar 2023 22:38:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"WPTavern: WooCommerce Payments Plugin Patches Critical Vulnerability That Would Allow Site Takeover\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142990\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:110:\"https://wptavern.com/woocommerce-payments-plugin-patches-critical-vulnerability-that-would-allow-site-takeover\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2021:\"<p><a href=\"https://wordpress.org/plugins/woocommerce-payments/\">WooCommerce Payments</a>, a plugin that allows WooCommerce store owners to accept credit and debit card payments and manage transactions inside the WordPress dashboard, has patched an Authentication Bypass and Privilege Escalation vulnerability with a 9.8 (Critical) CVSS score. The plugin is active on more than 500,000 websites.</p>\n\n\n\n<p>Beau Lebens, WooCommerce&#8217;s Head of Engineering, published an <a href=\"https://developer.woocommerce.com/2023/03/23/critical-vulnerability-detected-in-woocommerce-payments-what-you-need-to-know/\">advisory</a> about the vulnerability today, which he said &#8220;could permit unauthorized admin access to impacted stores&#8221; if exploited. It was discovered by a security researcher participating in WooCommerce&#8217;s HackerOne program.</p>\n\n\n\n<p>WooCommerce worked with WordPress.org to push out a forced update for sites running WooCommerce Payments versions 4.8.0 through 5.6.1 to patched versions. Many store owners have automatic updates turned off to ensure proper testing before updating. Now that the vulnerability has been made public, it is imperative that all stores running version 4.8.0+ of the plugin update manually as soon as possible. WooCommerce sites hosted on WordPress.com, Pressable, and WPVIP have already been patched.</p>\n\n\n\n<p>At this time WooCommerce does not have any evidence of the vulnerability being exploited but the plugin&#8217;s engineers recommend checking for any unexpected admin users or posts addd to the site. The <a href=\"https://developer.woocommerce.com/2023/03/23/critical-vulnerability-detected-in-woocommerce-payments-what-you-need-to-know/\">advisory</a> includes further details of what to do if you believe your site has been impacted. As a cautionary measure, WooCommerce has temporarily disabled the <a href=\"https://woocommerce.com/woopay/\">WooPay</a> beta program since the vulnerability impacts this new checkout service they have been beta testing.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Mar 2023 21:45:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"WPTavern: Navigating the New Era of AI-Assisted Code Generation in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142932\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"https://wptavern.com/navigating-the-new-era-of-ai-assisted-code-generation-in-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:10059:\"<p>The world is learning new ways of moving faster with the help of AI, as the increased availability of the technology is poised to transform the way humans work.  Generitive AI is decades old but recent advances and new tools like DALL-E (launched in January 2021) have made AI more accessible to the public. </p>\n\n\n\n<p>When <a href=\"https://chat.openai.com/chat\">ChatGPT</a> arrived in November 2022, it sparked an explosion of tools built to extend its capabilities to nearly every aspect of work. Conversational AI tools can now handle a myriad of mundane tasks like <a href=\"https://resumeworded.com/\">updating your resume</a>, <a href=\"https://askyourpdf.com/\">reading and summarizing PDFs</a>, and <a href=\"https://www.decktopus.com/\">creating slides for presentations</a>. Yesterday Google announced it is testing <a href=\"https://bard.google.com/\">Bard</a>, its AI chatbot rival to ChatGPT and Bing AI. In the fast-moving world of companies innovating with AI, GitHub also announced <a href=\"https://github.blog/2023-03-22-github-copilot-x-the-ai-powered-developer-experience/\">Copilot X</a>, which is powered by GPT-4 and adds Copilot to pull requests, docs, and the command line and introduces chat and voice features for Copilot.</p>\n\n\n\n<p>WordPress plugin developers are adopting AI-powered tech and building it into their products, such as <a href=\"https://rankmath.com/content-ai/\">RankMath&#8217;s AI-generated suggestions for creating SEO-friendly content</a>, WordPress.com&#8217;s experimental blocks for <a href=\"https://wptavern.com/wordpress-com-is-testing-ai-generated-images-and-content\">AI-generated images and content</a>, and a Setary&#8217;s plugin that <a href=\"https://setary.canny.io/changelog/effortlessly-enhance-your-product-descriptions\">uses AI to write and bulk edit WooCommerce product descriptions</a>. The wpfrontpage site is <a href=\"https://wpfront.page/list/ai-plugins/\">tracking</a> these plugins but WordPress.org also lists <a href=\"https://wordpress.org/plugins/search/ai/\">dozens</a> of plugins with AI, many of them created to write content or generate images.</p>\n\n\n\n<p>In addition to adding AI to plugins, developers have attempted to have ChatGPT build plugins for them, with <a href=\"https://twitter.com/chuckWnelson/status/1636082994619244547\">varying</a> <a href=\"https://twitter.com/DarrenClasby/status/1638216096363708416\">degrees</a> of <a href=\"https://twitter.com/edyoung_tweets/status/1638324231174864896\">success</a>: </p>\n\n\n\n<ul>\n<li><a href=\"https://wptavern.com/chatgpt-creates-a-working-wordpress-plugin-on-the-first-try\">ChatGPT Creates a Working WordPress Plugin – On the First Try</a></li>\n\n\n\n<li><a href=\"https://thewpminute.com/so-i-built-a-wordpress-plugin-with-chatgpt/\">So, I Built a WordPress Plugin With ChatGPT</a></li>\n\n\n\n<li><a href=\"https://www.zdnet.com/article/i-asked-chatgpt-to-write-a-wordpress-plugin-i-needed-it-did-it-in-less-than-5-minutes/\">I asked ChatGPT to write a WordPress plugin I needed. It did it in less than 5 minutes</a></li>\n\n\n\n<li><a href=\"https://www.youtube.com/watch?v=PUvdtk1xjso\">Unbelievable! How I Built 3 WordPress Plugins In 10 MINUTES using ChatGPT AI!</a></li>\n</ul>\n\n\n\n<p>So far developers <a href=\"https://twitter.com/mrvinceo/status/1638574726984486913\">report</a> having more success with ChatGPT than Bard. In some cases the creation process is incomplete and requires some expertise to ensure the plugin will work, but it&#8217;s also opening up the world of plugin development to those who would not be able to create one without hiring a developer.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">I have never coded a WordPress plugin in my life<br /><br />With the help of Chat GPT 4, I just did<br /><br />In the span of ~30 mins, I was able to work with GPT4 to come up with a solution for my WooCommerce store to add a discount of 1.5% for product quantities above 1 w/ a cap set at 6%<br /><br />INSANE</p>&mdash; Amado Serna (@amado_serna) <a href=\"https://twitter.com/amado_serna/status/1637170105363886081?ref_src=twsrc%5Etfw\">March 18, 2023</a></blockquote>\n</div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">ChatGPT developed a WordPress plugin for us in just 3 minutes. Negotiating with a developer would have taken longer. <a href=\"https://t.co/lRqjWd9JPV\">https://t.co/lRqjWd9JPV</a></p>&mdash; Amperly AI insights (@amperlycom) <a href=\"https://twitter.com/amperlycom/status/1636370735030738945?ref_src=twsrc%5Etfw\">March 16, 2023</a></blockquote>\n</div>\n\n\n\n<p>WordPress developers who want to share their AI-assisted creations with the community have also started submitting them to WordPress.org.</p>\n\n\n\n<p>After receiving a string of violations, WordPress&#8217; Plugin Team is <a href=\"https://make.wordpress.org/plugins/2023/03/21/use-of-code-generators-must-remain-gpl-compatible/\">warning developers</a> that code submitted to the official directory must be GPL compatible.</p>\n\n\n\n<p>&#8220;There is no guideline <em>AGAINST</em> using generated code,&#8221; Plugin Review Team rep Mika Epstein said.</p>\n\n\n\n<p>&#8220;You’re welcome to use whatever tool you want to build plugins. That said, <em>you</em> are 100% responsible for that code if you chose to host it here&#8230;</p>\n\n\n\n<p>&#8220;But the important bit here is that it means if ChatGPT, for example, built your plugin, <strong>you</strong> have to verify that all the code used is GPL compatible. Just like you are expected to validate licenses on libraries and code-snippets, everything in your plugin has to be GPL compatible. Should we determine that your code is a copy of someone else’s or includes code from non-GPL plugins, your submission will be rejected and any live plugins will be closed.&#8221;</p>\n\n\n\n<p>Epstein cited an example where a developer built a &#8220;scroll to top&#8221; plugin with code that was copied from another, existing plugin hosted on WordPress.org. It was submitted five times and rejected every time. </p>\n\n\n\n<p>&#8220;Yes it’s fine to fork code,&#8221; Epstein said. &#8220;You have to credit them, however, and that’s something those AIs have been pretty bad at doing.&#8221; </p>\n\n\n\n<p>Commenters noted that autocomplete in modern IDEs work in a similar way, as well as snippets. These types of tools can enhance productivity but prospective plugin developers who may not be as informed about software licensing, should stay away from wholesale copying another&#8217;s work without crediting them. This may require doing some extra research on the code that AI spits out.</p>\n\n\n\n<p>In this new era of AI-assisted creation, we have essentially hitched our wagon to a star, as Ralph Waldo Emerson described in his essay on Civilization in 1870:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Now that is the wisdom of a man, in every instance of his labor, to hitch his wagon to a star,’ and see his chore done by the gods themselves. That is the way we are strong, by borrowing the might of the elements. The forces of steam, gravity, galvanism, light, magnets, wind, fire, serve us day by day and cost us nothing.</p>\n<cite>Ralph Waldo Emerson, <a href=\"https://emersoncentral.com/essays/civilization/\">Civilization</a></cite></blockquote>\n\n\n\n<p>That decade brought humanity inventions like the phonograph, telephone, and the incandescent light bulb, followed by the automobile in the next decade. Emerson&#8217;s essay explores man&#8217;s relationship to technology where principles—&#8221;justice, love, freedom, knowledge, utility&#8221;— are the guiding light and accelerant of technology&#8217;s impact.</p>\n\n\n\n<p>The GPL is one of those principles for the WordPress community, which has enabled its uncommon growth and its wildly successful ecosystem. There are still a lot of grey areas when it comes to licensing and the code generated by AI. Developers would do well to use AI-generated code for inspiration and give credit where they can.</p>\n\n\n\n<p>Web developer Mark Praschan <a href=\"https://twitter.com/MarkPraschan/status/1636025339926257664\">created his first plugin for WordPress.org</a> using ChatGPT. He used the free version, gave it a few prompts describing what he wanted it to do, and ChatGPT produced a functional plugin.</p>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/northstar/\">NorthStar</a> allows users to display a message in the WordPress admin bar with settings to customize it along with the text and background colors.</p>\n\n\n\n<img />\n\n\n\n<p>&#8220;The first version worked great,&#8221; Praschan said. &#8220;I made a few small aesthetic improvements to the settings page and the display of the message, but we were already 95% of the way there!&#8221;</p>\n\n\n\n<p>Praschan also had ChatGPT design an ASCII Art logo for the plugin. It required a few back-and-forth prompts but took just a few minutes before it was ready to be copied and pasted into Photoshop. </p>\n\n\n\n<img />\n\n\n\n<p>The plugin did not pass the code review on the first try for two reasons that Praschan shared on Twitter:</p>\n\n\n\n<ul>\n<li>Issue # 1: Variables and options must be escaped when echo&#8217;d. There were 2 instances of not &#8220;escaping late&#8221;</li>\n\n\n\n<li><a href=\"https://twitter.com/MarkPraschan\"></a>Issue # 2: Generic function/class/define/namespace names. One function was missing the &#8220;northstar_&#8221; prefix.</li>\n</ul>\n\n\n\n<p>&#8220;How did I fix it? I made ChatGPT do it, of course,&#8221; Praschan said. &#8220;I copy/pasted the problems and a few snippets of my code and it spat out the fixed code.&#8221;</p>\n\n\n\n<p>There are more of these plugins coming &#8211; where a person need only dream up the idea and prompt their chosen AI tool for the code. These will more than likely be simple plugins for the time being, but it&#8217;s not too early to establish some best practices for using code generators. WordPress is navigating new territory where anyone can create a plugin with a dash of creative prompts and very little code experience.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Mar 2023 04:29:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"Post Status: WordPress 6.2 RC4 • Code Generators and GPL\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148430\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://poststatus.com/wordpress-6-2-rc3-code-generators-and-gpl/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:22000:\"<h2 id=\"h-this-week-at-wordpress-org-march-20-2023\">This Week at WordPress.org (March 20, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">We&#8217;re just one week away from WordPress 6.2. Have you tested it and read the field guide yet? If you write code for a plugin that is in the WordPress Plugins Repo, you&#8217;ll want to ensure the code is GPL compatible.  </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fas_robot kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\">WP 6.2 RC 4, Code Generators</h2><p class=\"kt-blocks-info-box-text\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f9ea.png\" alt=\"🧪\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/03/23/wordpress-6-2-release-candidate-4/\">WordPress 6.2 Release Candidate 4</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64b-1f3fe.png\" alt=\"🙋🏾\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f5fa.png\" alt=\"🗺\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f916.png\" alt=\"🤖\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/plugins/2023/03/21/use-of-code-generators-must-remain-gpl-compatible/\">Use of Code Generators Must Remain GPL Compatible</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/03/introducing-the-wordpress-developer-blog/\">Introducing the WordPress Developer Blog</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-3/\">WordPress 6.2 Release Candidate 3</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"is-layout-flex wp-container-13 wp-block-columns\">\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-central\"><a href=\"https://central.wordcamp.org\">Central</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://central.wordcamp.org/news/2023/03/wordcamp-buffalo-2023/\">WordCamp Buffalo 2023</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/03/wordcamp-entebbe-2023-an-amazing-recap/\">WordCamp Entebbe 2023: An Amazing Recap</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/02/get-your-tickets-for-wordcamp-kerala-2023-on-march-25th/\">Get your tickets for WordCamp Kerala 2023 on March 25th!</a></li>\n</ul>\n\n\n\n<h2 id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/03/23/recap-of-contributor-working-group-inaugural-mentorship-chat-on-march-20-2023/\">Recap of Contributor Working Group Inaugural Mentorship Chat on March 20, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/21/meetup-organizer-newsletter-march-2023/\">Meetup Organizer Newsletter: March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/21/community-team-goals-for-2023-chat-session/\">Community Team Goals for 2023 :&nbsp;Chat session</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/20/contributor-working-group-mentorship-kick-off-chat-agenda-march-20th-1200-utc-emea-and-2100-utc-amer/\">Contributor Working Group: Mentorship Kick-off chat Agenda | March 20th 12:00 UTC (EMEA) and 21:00 UTC (AMER)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/17/community-team-goals-for-2023-next-step/\">Community Team Goals for 2023 : Next Step</a></li>\n</ul>\n\n\n\n<h2 id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/21/a-week-in-core-march-20-2023/\">A Week in Core – March 20, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/22/whats-new-in-gutenberg-15-4-22-march/\">What’s new in Gutenberg 15.4 (22 March)</a></li>\n</ul>\n\n\n\n<h3 id=\"h-wordpress-6-2\">WordPress 6.2</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/23/wordpress-6-2-release-day-process/\">WordPress 6.2 Release Day Process</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/23/wordpress-6-2-release-candidate-4/\">WordPress 6.2 Release Candidate 4</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/14/fyi-navigation-section-of-new-site-editor-experienced-removed-for-6-2-rc-2/\">FYI: Navigation section of new Site Editor experienced removed for 6.2 RC 2</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/14/wordpress-6-2-translation-status-march-14-2023/\">WordPress 6.2 Translation Status (March 14, 2023)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/04/wordpress-6-2-ready-to-be-translated/\">WordPress 6.2 ready to be translated</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a>\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/08/requests-library-upgraded-to-2-0-5-in-wordpress-6-2/\">Requests library upgraded to 2.0.5 in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/patterns-api-expanded-to-include-template_types-property/\">Patterns API expanded to include template_types property</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/\">Introduction of Block Inspector Tabs</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/\">Shadows in Global Styles with WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/\">Introducing the HTML API in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-editor-changes-in-wordpress-6-2/\">Miscellaneous Editor changes in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-move_dir-in-wordpress-6-2/\">Introducing move_dir() in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/\">Sticky position block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/upgrading-to-react-18-and-common-pitfalls-of-concurrent-mode/\">Upgrading to React 18 and common pitfalls of concurrent mode</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/add-new-prop-to-serversiderender-component/\">Add new prop to ServerSideRender component</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/google-fonts-are-included-locally-in-bundled-themes/\">Google Fonts are included locally in bundled themes</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/\">Custom CSS for global styles and per block</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/\">Minimum height dimensions block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/i18n-improvements-in-6-2/\">I18N Improvements in 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/custom-settings-wordpress-6-2/\">Customize settings for any block in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/19/style-book-preview-of-blocks-in-global-styles/\">Style Book preview of blocks in global styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/12/09/update-to-content-only-editing-filter-namespace/\">Update to content only editing filter namespace</a></li>\n</ul>\n</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/wordpress-6-2-beta-4-postponed/\">WordPress 6.2 Beta 4 Postponed</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/wordpress-6-2-beta-3/\">WordPress 6.2 Beta 3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 Live Product Demo</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/03/hallway-hangout-performance-improvements-for-wordpress-6-2/\">Hallway Hangout: Performance Improvements for WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/18/bug-scrub-schedule-for-6-2/\">Bug Scrub Schedule for 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/11/early-bug-scrub-schedule-for-wp-6-2/\">Early bug scrub schedule for WP&nbsp;6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/17/wordpress-6-2-planning-roundup/\">WordPress 6.2 Planning Roundup</a></li>\n</ul>\n\n\n\n<h3 id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/21/dev-chat-agenda-wednesday-march-22-2023/\">Dev Chat Agenda, Wednesday March 22, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/17/dev-chat-summary-march-15-2023/\">Dev chat Summary, March 15, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/21/editor-chat-agenda-march-22nd-2023/\">Editor Chat Agenda: March 22nd 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/19/editor-chat-summary-march-15-2023/\">Editor chat summary: March 15th, 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-developer-blog\">Developer Blog</h3>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/03/introducing-the-wordpress-developer-blog/\">Introducing the WordPress Developer Blog</a></li>\n</ul>\n\n\n\n<h2 id=\"h-design\"><a href=\"https://make.wordpress.org/design\">Design</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/design/2023/03/13/design-share-feb-13-mar-10/\">Design Share: Feb 13–Mar 10</a></li>\n</ul>\n\n\n\n<h2 id=\"h-do-action\"><a href=\"https://doaction.org/\">do_action</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://doaction.org/event/ruralhackers/\">Rural Hackers Do_Action 2023 in Anceu Spain</a></li>\n</ul>\n\n\n\n<h2 id=\"h-docs\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/03/16/agenda-for-docs-team-bi-weekly-meeting-march-21-2023/\">Agenda for Docs Team bi-weekly meeting March 21, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/03/15/call-for-volunteers-to-help-with-6-2-end-user-documentation/\">Call for volunteers to help with 6.2 end user documentation</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/03/21/hosting-team-meeting-agenda-2023-03-22/\">Hosting Team meeting agenda 2023-03-22</a></li>\n</ul>\n\n\n\n<h2 id=\"h-marketing\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/14/notes-global-marketing-team-meeting-7-march-2023/\">Notes: Global Marketing Team meeting, 7 March 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-meta\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/03/20/agenda-biweekly-matrix-chat-thu-march-23-2023-10am-utc/\">Agenda: Biweekly Matrix Chat – Thu, March 23, 2023 (10AM UTC)</a></li>\n</ul>\n\n\n\n<h2 id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/03/20/last-week-openverse-2023-03-13-2023-03-20/\">A week in Openverse: 2023-03-13 – 2023-03-20</a></li>\n</ul>\n\n\n\n<h2 id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/21/performance-chat-summary-21-march-2023/\">Performance Chat Summary: 21 March 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/03/10/advance-notice-of-retirement/\">Advance Notice of Retirement</a></li>\n</ul>\n\n\n\n<h2 id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li> <a href=\"https://make.wordpress.org/polyglots/2023/03/21/agenda-weekly-polyglots-chat-march-22-2023-1300-utc/\">Agenda: Weekly Polyglots Chat – March 22, 2023 (07:00 UTC)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/21/new-translation-project-wp20-wordpress-net/\">New translation project: wp20.wordpress.net</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins-1\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/03/21/use-of-code-generators-must-remain-gpl-compatible/\">Use of Code Generators Must Remain GPL Compatible</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/plugins/2023/03/10/advance-notice-of-retirement/\">Advance Notice of Retirement</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/22/plugin-review-team-update-20-march-2023/\">Plugin Review Team Update: 20 March 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">Proposal: Creating a WordPress Contributor Mentorship Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/01/27/discussion-ending-the-eternal-september/\">Discussion: Ending the Eternal September</a></li>\n</ul>\n\n\n\n<h2 id=\"h-support\"><a href=\"https://make.wordpress.org/support\">Support</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/03/agenda-for-march-23rd-support-meeting-2/\">Agenda for March 23rd Support Meeting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/03/support-ticket-triage-session-march-29th-2023-at-1600-utc/\">Support ticket triage session – March 29th 2023 at 16:00 UTC&nbsp;</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/16/support-team-meeting-updates-for-march-16th-2/\">Support Team Meeting Updates for March 16th</a></li>\n</ul>\n\n\n\n<h2 id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/03/14/hallway-hangout-lets-chat-about-all-things-layout/\">Hallway Hangout: Let’s chat about All Things Layout</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a></li>\n</ul>\n\n\n\n<h2 id=\"h-theme\">Theme</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\">Hallway Hangout: Community Themes Initiative</a></li>\n</ul>\n\n\n\n<h2 id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li> <a href=\"https://make.wordpress.org/training/2023/03/20/meeting-agenda-for-march-21-2023/\">Meeting Agenda for March 21, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/18/contributor-day-recap-wordcamp-asia-2023/\">Contributor Day Recap – WordCamp Asia 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/what-kind-of-wordpress-theme-do-i-have-classic-block-or-something-else/\">What kind of WordPress theme do I have: classic, block, or something else?</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/wp-rest-api-custom-fields-authentication-and-testing/\">WP REST API – custom fields, authentication, and testing</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/displaying-testimonials-on-your-website/\">Displaying testimonials on your website</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/interacting-with-the-wordpress-rest-api/\">Interacting with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h3 id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=exploring-some-of-the-new-6-2-wordpress-features\">Exploring some of the new 6.2 WordPress features</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-create-a-website-on-mobile-part-2\">How to create a website on mobile (Part 2)</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-join-the-training-teams-welcome-committee-2\">How to join the Training Team’s Welcome Committee</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-join-the-training-teams-welcome-committee\">How to join the Training Team’s Welcome Committee</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=block-themes-and-wordpress-exploring-wordpress-6-2\">Block Themes and WordPress: Exploring WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-update-a-video-tutorial-for-learn-wordpress-org\">How to update a video tutorial for Learn.WordPress.org</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=build-a-blog-with-wordpress-6-2-released-today\">Build a blog with WordPress 6.2 (Released today!)</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=block-themes-and-wordpress-live-stream-11\">Block Themes and WordPress: Live Stream</a></li>\n</ul>\n\n\n\n<h2 id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-2\">PHP 8.2.3 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-3\">PHP 8.1.16 Released!</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/13.0/\">TC39</a></li>\n\n\n\n<li><a href=\"https://github.com/composer/composer/releases/tag/2.5.4\">Composer 2.5.4</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Mar 2023 01:05:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"WPTavern: #68 – Chris Reynolds on Why To Use Composer With WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=142848\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wptavern.com/podcast/68-chris-reynolds-on-why-to-use-composer-with-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:52027:\"Transcript<div>\n<p>​[00:00:00] Nathan Wrigley: Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress, the people, the events, the plugins, the blocks, the themes, and in this case, why you might like to add Composer into your WordPress website workflow.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice. Or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you, and hopefully get you or your idea featured on the show. Head to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today we have Chris Reynolds. Chris has been working with WordPress for over 15 years. He&#8217;s freelanced, worked with Event Espresso, WebDevStudios, Human Made, and is now at Pantheon as a CMS ecosystem engineer and WordPress technical lead.</p>\n\n\n\n<p>He&#8217;s spoken at WordCamps and at OpenWest about all aspects of WordPress.</p>\n\n\n\n<p>I suspect that many of the people listening to this podcast are not using Composer in their WordPress workflow, and to Chris this is something that you should think about implementing, and he&#8217;s here to explain why.</p>\n\n\n\n<p>Chris starts off by talking about the kinds of projects that he&#8217;s worked on, and how we found WordPress.</p>\n\n\n\n<p>We then get into the weeds of what Composer is and the benefits that it brings. It&#8217;s essentially a package management system, and makes it easy to set dependencies for your project and manage them within Composer.</p>\n\n\n\n<p>Why would you want to do that though? If you&#8217;re just building brochure websites, then perhaps you&#8217;ve don&#8217;t. But if your project is more complex then this might save you a lot of time.</p>\n\n\n\n<p>Chris describes scenarios in which she thinks Composer is a good fit; if you want to add in specific packages and how those packages are managed and updated.</p>\n\n\n\n<p>He explains how you can install composer depending on the OS that you&#8217;re working with, and how it structures the files and directories that are created.</p>\n\n\n\n<p>Towards the end of the podcast, we talk about how composer can be useful for teams, and Chris&#8217;s use of Composer to keep everyone clear on how the project is structured.</p>\n\n\n\n<p>If you&#8217;ve thought about using a package management system, such as composer, this episode is for you.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading to WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Chris Reynolds.</p>\n\n\n\n<p>I am joined on the podcast today by Chris Reynolds. Hello, Chris.</p>\n\n\n\n<p>[00:03:40] Chris Reynolds: Hi. How&#8217;s it going?</p>\n\n\n\n<p>[00:03:41] Nathan Wrigley: Very well, thank you. Chris is on the podcast today to talk to us about something that I confess I know very little about. I&#8217;m going to guess that if you&#8217;re a typical WordPress user, you too may be learning a few new things today. It&#8217;s all going to be about Composer. Before we get into Composer, what it is, how it works, and all of that, wouldn&#8217;t mind Chris if you just orientate our listeners. Give us a little bit of insight into you and your WordPress journey. The companies that you&#8217;ve worked at. The things that you&#8217;ve been involved in and so on. So over to you, Chris, give us your intro.</p>\n\n\n\n<p>[00:04:14] Chris Reynolds: Sure. I came across WordPress right around the time that my son was born, which was 2005. The internet was a very different place back then, wasn&#8217;t it? At the time I was looking for something to like share pictures with family and stuff, make a website.</p>\n\n\n\n<p>Back then I had what was then referred to as a weblog. It was before that was shortened to blogs, and it was literally a log of things that I did on my website, update changes. And that was all hard coded html. So when I was trying to think of something to share pictures, didn&#8217;t want to do it hard coded. I did do that for a little while and then I decided this was not the thing I wanted to be doing.</p>\n\n\n\n<p>So there used to be a website called Hot Scripts. There I found a blogging platform called S Blog, and I was using that for a really long time. But as happens in open source, and actually honestly, as part of what happened in the WordPress history, the original maintainer and author disappeared for a little bit, and it wasn&#8217;t getting updates and I think there were some security things at some point. And I started looking for something else. Had some friends that were talking about WordPress, so I was like, I&#8217;ll try this thing out, and basically haven&#8217;t looked back.</p>\n\n\n\n<p>At a certain point after my son was born, I decided that I wanted to quit my regular job, which at the time was doing tech support for grocery stores, and become a freelance web designer. And I did that for a few years. Was familiar with all of those Elance and I don&#8217;t even remember all, like freelancer.net or something. Like all those really old sites to get freelance work. And I worked for a time for a company that&#8217;s actually local, as an outsource, freelance web designer.</p>\n\n\n\n<p>There, I believe owner, ran off with all their money or something, and the company closed down. That was a fun story. And then I met the folks from Event Espresso, which is a event management plugin. I met them at WordCamp Salt Lake City because they&#8217;re local, and Salt Lake City is where I live.</p>\n\n\n\n<p>And I started working with them initially just doing tech support for them, and then I got into a little bit of development and then I got into a little bit of project management and development. And then I was at a WordCamp, I was speaking. And Pluralsight, which is an online training platform saw me speak and asked me if I wanted to do that sort of thing for them as a, as an author of WordPress related training courses.</p>\n\n\n\n<p>So I started doing that while I was working at Event Espresso, and then eventually I quit to focus on that. And did that for about a year or so. And then, I started getting into agency world. So I worked at WebDevStudios for a couple years. And then I went to Human Made. I was there for almost five years. And now I&#8217;m working at Pantheon as a software engineer focusing on WordPress ecosystem things.</p>\n\n\n\n<p>So I&#8217;ve been involved in very small projects. I&#8217;ve been involved in very large projects. I&#8217;ve been involved in training. For a while I did some work with the docs team for WordPress documentation. I went to the community summit in San Francisco way back in the day. I&#8217;ve spoken at lots of local WordCamps and OpenWest which is also held locally. And yeah, I&#8217;ve been around for a little while.</p>\n\n\n\n<p>[00:07:12] Nathan Wrigley: Yeah, you really have. That&#8217;s an amazingly long history, and going back with WordPress to 2005, you really were right at the forefront. It was just the very beginnings at that point.</p>\n\n\n\n<p>[00:07:22] Chris Reynolds: It had been around for a while. If you look at the screenshots of the admin, I wasn&#8217;t the very first iteration, but I think I was maybe the second iteration.</p>\n\n\n\n<p>[00:07:31] Nathan Wrigley: Who knew back in 2005 that it would become such an important part of the ecosystem of the web in general. We&#8217;re at the point now where 40 plus percent, I still never quite know what that number means, but it&#8217;s a big number and WordPress is an important part of it.</p>\n\n\n\n<p>You say that you&#8217;re a Pantheon at the moment. Just give us a little bit of insight into Pantheon because I confess, I don&#8217;t know a great deal about it. But in my mind I&#8217;m thinking managed WordPress hosting and also managed CMS hosting possibly some other variants as well. Just tell us a little bit about what Pantheons skin in the game is with WordPress.</p>\n\n\n\n<p>[00:08:09] Chris Reynolds: You&#8217;re not wrong. We like to call ourselves a web ops platform and we also have kind of coined that web ops phrase, which means that outside of, speaking about Pantheon, it almost doesn&#8217;t exist. What web ops is, it&#8217;s website operations, right? It&#8217;s the things that make your website go.</p>\n\n\n\n<p>And what that means practically is that the way that the platform has been built is from the ground up to make sure that teams are able to develop on their websites in a way that is easy to deploy, that is safe, and that is secure. And there&#8217;s all sorts of platform centric things that are part of the workflow.</p>\n\n\n\n<p>Pantheon was one of the first, when I was working at WebDev, was the first exposure that I really had to Pantheon. And it was the first platform that I had used that had integrated Git. So you didn&#8217;t have to like, put your stuff on GitHub and then figure out a way to point that deploys to a server somewhere.</p>\n\n\n\n<p>It was already built in. And they had been doing that from the very beginning. It also had as part of that there is a dev test live workflow where there&#8217;s separate environments. And this isn&#8217;t uncommon today, but it was one of the first places where you could do that and had it built in.</p>\n\n\n\n<p>And then the real sort key feature that I enjoyed as a developer and still enjoy as an employee honestly is the concept of multi devs. Where if you have a branch that you are doing work on and you want to see what that branch would look like. Typically in my agency days, the way that you would handle this is by merging that into dev, and dev becomes really messy, dirty because it&#8217;s got lots of basically untested code, or code that was maybe tested and then rolled back or whatever.</p>\n\n\n\n<p>Dev is always nasty, a nasty place to be, and you never deploy from dev. That was always the rule when I was working in agency stuff. Multi devs solve that problem by spinning up an entirely new environment for a branch. So you can create a multi dev off of whatever branch, and then you can test it there, and then you can merge that into dev or whatever.</p>\n\n\n\n<p>Your dev branch is clean because it&#8217;s not, you&#8217;re not getting all this test code, experimental code that&#8217;s getting merged in, and then maybe you&#8217;re making some changes or maybe you&#8217;re fixing some stuff, undo some stuff that was from an old merge.</p>\n\n\n\n<p>That way you can keep your branches clean. And that&#8217;s a really cool thing that Pantheon does that I&#8217;ve often have wished for when I was working elsewhere, or working on sites that were not hosted on Pantheon. So that&#8217;s one of the things that Pantheon does.</p>\n\n\n\n<p>We were talking before we started recording that Pantheon was built by four or five Drupal dudes. So it&#8217;s been a Drupal shop for a very long time. And then maybe about 10 or so years ago, when I became aware of them they started doing WordPress sites. Still built on the same infrastructure that they had built with all the same live workflows, multi dev, all that sort of stuff.</p>\n\n\n\n<p>And now we&#8217;re getting into a point where we&#8217;re really trying to build out and optimize for WordPress and find where our gaps are in terms of how the platform has been built and what WordPress specifically needs. And that&#8217;s essentially what my team is involved in.</p>\n\n\n\n<p>[00:11:10] Nathan Wrigley: Nice. Yeah, that&#8217;s a real interesting set of things that you talk about there. I didn&#8217;t actually know prior to our conversation we had before we hit record, I didn&#8217;t know that it had all begun on the Drupal side of things, but obviously as WordPress has been in the ascendancy for the last 10 years, it does feel like an important pivot for any company really to make, is to give an experience to WordPress users which is optimized for them.</p>\n\n\n\n<p>So, yeah, I&#8217;ll make sure to link in the show notes to anything that we talk about. So if you&#8217;re listening to this, don&#8217;t worry too much, you can go to the WP Tavern website and search for this episode and find all the links there.</p>\n\n\n\n<p>Now I&#8217;m going to include quite a few links to what we&#8217;re about to talk about. This is the main thrust of the podcast. It&#8217;s something called Composer. Now, when Chris reached out to me, he mentioned that he wanted to talk about Composer, and I&#8217;ll be really honest, it&#8217;s not something that I&#8217;m familiar with. Chris was very kind to gather a bunch of links, which I&#8217;ve now read, and I&#8217;ve tried to understand.</p>\n\n\n\n<p>But I feel that Chris, you are going to school me today, so we&#8217;ll go right back to the basics. The first thing I think to mention is that I don&#8217;t think I know anybody else in the WordPress community who is using Composer with the sort of urgency that you feel it should be being adopted. Most of the people that I know are freelancers, possibly working in an agency and the typical workflow is, you know, if you&#8217;re working with a team, you&#8217;ve got a method of doing that.</p>\n\n\n\n<p>But you may well be working on your own website. You may be working for client websites, and you&#8217;re just installing WordPress and a bunch of plugins and themes and so on and so forth. But you&#8217;ve got this bee in your bonnet about Composer and the virtues of it. So let&#8217;s go right back to the beginning. You&#8217;ve probably heard the word Composer before if you&#8217;re listening to this podcast, I imagine. But you may not know what it is. So let&#8217;s go there. What is Composer and why is it in any way important?</p>\n\n\n\n<p>[00:12:59] Chris Reynolds: At its base Composer is a package management system. So if you&#8217;re at all familiar with npm which is primarily for JavaScript packages, maybe you&#8217;ve used that for Gutenberg stuff. Maybe you&#8217;ve used that for other JavaScript things. Composer is that thing for PHP packages.</p>\n\n\n\n<p>In the past there were things like Pear and PECL, P E C L which did the same sort of thing. Composer does those same-ish things, but better. So at its core, it&#8217;s a package management system, which means it&#8217;s able to do like dependency management. And what that means is, if I have a package, and I have a certain version of a package.</p>\n\n\n\n<p>Say I want php code sniffing, I can require that package with Composer. I can make sure that package is up to date. But I can also be specific about the versions of that package that I want to keep. Maybe I want to be on PHP code sniffing version eight or eight dot whatever, but I don&#8217;t want to upgrade to nine yet, or something like that.</p>\n\n\n\n<p>I can be specific about my version dependencies, the versioning system that I&#8217;m choosing and be really, either really explicit. I can pin it to a specific release. I could do, I only want the security or patch releases. Or I could be really vague and say, just give me the latest version of whatever.</p>\n\n\n\n<p>And Composer has, it&#8217;s based on the idea of semantic versioning. So as long as your packages and WordPress itself doesn&#8217;t use semantic versioning notably, and neither to do a couple other things like Yoast doesn&#8217;t do it, because they&#8217;re using sort of the version numbers don&#8217;t matter school of thought, which kind of breaks the whole thing a little bit.</p>\n\n\n\n<p>But if you&#8217;re doing that sort of semantic versioning, which is common throughout just open source software in general, of major dot minor dot patch fr security then you can be really, you can update your things and feel fairly confident that an update is not going to break your thing, break your site. This is perhaps not a myth now as things in WordPress have improved. But the analogy that I like to think of and the reason why feel like Composer is, really important in a WordPress environment is the, I&#8217;ve got a million plugins, maybe not a million, maybe 20.</p>\n\n\n\n<p>And I&#8217;ve got a couple themes and I go to my WordPress updates page, or maybe it&#8217;s got auto updates, right? And something happens and an update happens, and I wasn&#8217;t there. Either I bulk updated all of them or it happened in the background. Either way, I&#8217;m not looking at each individual update that I&#8217;m doing, and something breaks. My website white screens, and I have no idea what caused that problem.</p>\n\n\n\n<p>I have to go back, I have to undo everything. I have to like, rename my plug-ins folder. I&#8217;m now in panic mode because my production site is white screening. It&#8217;s because of an update. It&#8217;s because something went through that I was either not paying enough attention to, or that happened automatically in the background that broke my site.</p>\n\n\n\n<p>Composer, and the way that WordPress is built with allowing, essentially anybody who has access to the plugins page or the updates page to run those updates means that you&#8217;re putting the power and the control over administrating code that is deployed to your site, to whoever has access to those screens, right?</p>\n\n\n\n<p>And Composer almost flips that and says, no, we&#8217;re going to give this power to people who actually touched the code. Who maybe are more aware of dependencies and change logs and what an update might mean to a site. And that&#8217;s, sort of where I, see the value of Composer just broadly.</p>\n\n\n\n<p>[00:16:21] Nathan Wrigley: Okay. That was, yeah, a really interesting description of how it works. Could you give us the nuts and the bolts of that? In other words, could you unpack what&#8217;s going on? In other words, how is it, how is it installed? How do you get it to bind to the different variations? You mentioned, that you may want it to update to a certain version of such a thing. How do you actually do all of that?</p>\n\n\n\n<p>[00:16:44] Chris Reynolds: Composer is software that runs on your computer. You can install basically anywhere. So if you&#8217;re on a Mac, you might use Homebrew to install it. You can run it on a Windows machine, it&#8217;s just a binary. You can run it on a Linux machine, there are packages for it. It&#8217;s essentially cross platforms, so you can use it or you can run it anywhere. Once you have it on your operating system. . Then, we&#8217;ll just use a WordPress, vanilla WordPress site, as an example, if I had a WordPress site maybe I do wget or download the zip file of WordPress and I unzip the package. Okay, that&#8217;s great.</p>\n\n\n\n<p>And then I have Composer on my, on my, system so I can run at the command line Composer in it. And that&#8217;s going to start the process of building a Composer dot json file. And then once I have that Composer dot json file, I can start pulling in dependencies. I can say Composer require this thing, this package by this vendor.</p>\n\n\n\n<p>And that&#8217;s going to, by default, install my dependencies into a vendor folder. Composer also has a built-in auto loading system. Which means that then in my project, if it&#8217;s a WordPress project, I can have a file. I could throw it into wp-content or a rather wp-config, or I can throw it into a mu plugin that loads the Composer auto loader file so that any packages that are being pulled in through Composer or libraries or whatever, are automatically pulled in because Composers does that, just does it for me.</p>\n\n\n\n<p>If I&#8217;m doing WordPress specific things, what I would also need to put in my Composer file is a additional repository for W Packagist. So out of the box, Composer works with a platform, a website, a repository called Packagist, and that&#8217;s where all of the packages live.</p>\n\n\n\n<p>If you go to packagist.org today, you can do a search and you can find all sorts of stuff. What you won&#8217;t find is a ton of WordPress related stuff. You&#8217;ll find some. There&#8217;s Human Made has a ton of stuff up there, which I know because I worked there. And I&#8217;ve put a bunch of Pantheon things up there.</p>\n\n\n\n<p>There&#8217;s some other people who have been putting stuff on Packagist, just core like, Yoast notably has stuff up there. But it&#8217;s not a WordPress place, it&#8217;s just a general open source place, just like npm again. W Packagist is a bridge between the wordpress.org repository and Composer.</p>\n\n\n\n<p>And it is just a mirror of the WordPress plugins and theme repositories for Composer based WordPress projects. So if you add W Packagist as a repository in your Composer json, now I can do Composer require and I can say W Packagist plugin slash WordPress SEO. And that&#8217;ll pull in the latest version of Yoast SEO into my Composer file.</p>\n\n\n\n<p>Or I can say Composer require P Packagist theme 2010, and it&#8217;s going to pull in the 2010 theme, of most recent version. That&#8217;s sort of a little bit of the nuts and bolts. That&#8217;s how the Ccomposer json is built. You can also obviously edit this file manually. And then if you want to get into versioning, when you pull that stuff in, it&#8217;s going to give you a sort of its default. Which is typically the major dot minor with a little caret before it, which means that it&#8217;ll accept all minor versions, but it will pause if the version number, the latest version number changes for the major version, right?</p>\n\n\n\n<p>if it was like 1.5, 1.6, 1.7, 1.7.2, .3, .5 point whatever, all of those things would get pulled in. But as soon as that 1.7 turns to 2.0, because maybe they made a major release, it&#8217;s not going to get 2.0. It&#8217;s only going to be one point, whatever. Until I change that in my Composer file.</p>\n\n\n\n<p>That&#8217;s sort of the default setting. You can be more specific. You can go all the way out to the minor point release and just say, the only updates I ever want to get are these minor or patch releases. To make sure I&#8217;m getting all the security updates or whatever. And not getting minor version updates because maybe I&#8217;m afraid that one of those minor updates might do something bad, or I&#8217;m not, prepared for it yet. Or you can be very vague, and say, just star and give me everything. Or you could say just one, no points, just caret 10 or something. That means that anything above version 10 you&#8217;ll get, doesn&#8217;t matter what the point release is.</p>\n\n\n\n<p>And that&#8217;s a way that you can solve for that white screen of death scenario that I talked about earlier. Because if I&#8217;m being specific and explicit about what versions I&#8217;m allowing in my updates then I&#8217;m not going to, I shouldn&#8217;t get to a point where something unexpected happens because of an update that happened that ran on my system.</p>\n\n\n\n<p>And in addition to that the way that those updates happen at all is by me or an automation system running a Composer update command. And that&#8217;s the thing that says, go look for things that have changed and pull in any differences based on my defined versioning scheme.</p>\n\n\n\n<p>[00:21:21] Nathan Wrigley: So you can get really granular with it. You can instruct it to do whatever you choose to do. I like the example there of pausing at the point release. So instead of going from 1.9 to two automatically it just pauses because it&#8217;s two. But 1.8 to 1.9 was okay to do. Yeah, it&#8217;s really interesting, you can get really granular. And then you run the command to run all of the updates and off it goes.</p>\n\n\n\n<p>It sounds like, I could be wrong about this. It sounds like you could broadly break down your description for why to use Composer into three things. I&#8217;m thinking, first of all, security. It sounds like it provides, it&#8217;s not really providing security, but it&#8217;s providing security in the sense that it&#8217;s going to update plugins and themes and whatever else you may have coded yourself. It&#8217;s going to do that without your intervention. It&#8217;s going to run on a schedule and it&#8217;ll just get those things updated for you.</p>\n\n\n\n<p>Which as we know in a lot of cases, a lot of WordPress websites, I don&#8217;t think the updates are happening for weeks, possibly months, who knows, maybe even years. So all of that gets taken care of. It also sounds like there&#8217;s a big time save here. If you can get this into your workflow, then you can step away from the dull task of updating things. This will just happen on the fly. You could have a setup in Composer that you reuse over and over again on a sort of typical website that you might set up.</p>\n\n\n\n<p>And thereby you can just drag in all of the packages on day one of the project. And within moments you&#8217;re up and running with a typical install that you mentioned. Suck in a particular theme or suck in a particular SEO plugin or what have you. You just run the Composer and all of that is just dragged in and you&#8217;re off to the races. It&#8217;s a quick way to get started.</p>\n\n\n\n<p>But also, you didn&#8217;t mention this, but it feels like this is a real win for teams. It feels like a team using this workflow, there may be benefits there. So broadly speaking, I&#8217;m talking about teams, times and security. Is there anything in that? Have I sort of got that about right?</p>\n\n\n\n<p>[00:23:16] Chris Reynolds: Yeah, I think so. Obviously there needs to be an automated step somewhere in the process of actually running the Composer update. But beyond that, yes, absolutely. And interestingly one of the things that you touched on maybe accidentally even, the idea of sucking in all of these different packages. When I was at Human Made, I worked on Altis, and Altus is their digital experience platform.</p>\n\n\n\n<p>And Altis is built almost entirely on Composer, and lots of cool Composer things happening. Altis itself is what&#8217;s known as a meta package. When you install Altis, the initial Composer file is just linking out to a whole bunch of other projects or packages that it brings in. And those themselves have their dependencies. So each, each of the modules, like the security module or the core module or whatever, each of those has its own set of dependencies that it pulls in. So it, really does just sort of like package a whole bunch of stuff that you get just for free when you initially set up a new site using that.</p>\n\n\n\n<p>And that was one of the things that going from the idea of, oh, I&#8217;m just going to throw this Composer file in my WordPress site and call that good. That&#8217;s one of the things that really made me think, oh, actually there&#8217;s, there&#8217;s a lot more to it here. And one of the things that I first was exposed to when I was working at Human Made, and that I&#8217;m actively doing now with what I&#8217;m working on a Pantheon, is the concept of WordPress itself being just a dependency of your project.</p>\n\n\n\n<p>And so like with the initial example, I&#8217;ve got a WordPress site. I unzip it. I throw my Composer, json in the root folder. That means that I&#8217;m using Composer probably to manage my plugins and themes, any other packages I might have. But I&#8217;m still using WordPress itself to update itself. Because WordPress is still part of that root directory, and it&#8217;s not part of the Composer structure.</p>\n\n\n\n<p>There are projects, there&#8217;s a couple things out there in the world that&#8217;s already, that have been existed, but one, a big thing that&#8217;s been part of the WordPress ecosystem for a while is by the Roots team called Bedrock. And that&#8217;s what we use at Pantheon. And that, among other things, what Bedrock does is it pulls WordPress in so that it can be a dependency. So that can be just another thing in your Composer file that is being versioned.</p>\n\n\n\n<p>So again, same rules apply, right? You can say I want everything past six. You can say I want 6.1 dot anything beyond that. Or you can say, I only want 6.1.1, and when the next version comes out, I&#8217;m going to manually make that change so that I can be explicit about my testing process to make sure that I&#8217;m not going to ship broken code.</p>\n\n\n\n<p>[00:25:42] Nathan Wrigley: Yeah, that&#8217;s really interesting. The idea that WordPress itself is a package. Okay. I can imagine, given the audience of this podcast, it really does span the whole community, you know. There&#8217;s people in every part of the WordPress ecosystem listening to this. And I can imagine there&#8217;ll be a certain proportion of them who as soon as you start to say things like npm and packages and all of this, and you mentioned, you know, things to do in the command line and da, da, da.</p>\n\n\n\n<p>They&#8217;re scratching their heads thinking I don&#8217;t know if this is for me. This all sounds a little bit complicated. So just address that. There&#8217;s a certain level of tech geeky here, I would imagine, But, is it difficult? Is the payback for a, let&#8217;s say a user who is just playing with five or six sites, they&#8217;ve got a few client sites and they can well manage to go in and update the plugins and the themes and all of the bits and pieces that they got set up.</p>\n\n\n\n<p>Is there a use case here where, okay, if you&#8217;re sitting on that side of the fence, don&#8217;t even bother? This is probably not needed. Whereas if you&#8217;re on this side and you know you&#8217;ve got more sites than a certain number where it&#8217;s going to be of more use.</p>\n\n\n\n<p>[00:26:47] Chris Reynolds: I mean, I definitely think that a lot of the freelancers that I know when I talk to are of the mind that, it&#8217;s just one more thing I need to worry about. And certainly if you are not going to on behalf of your clients go in and make updates, and you&#8217;re handing, once you&#8217;re done at your site, you&#8217;re handing that responsibility off to them.</p>\n\n\n\n<p>It&#8217;s going to be too much work for your clients probably. I&#8217;m thinking like small business. I&#8217;m thinking like mom and pop shop. That sort of thing where it&#8217;s really just a user, one person or two people that are running the site. They&#8217;re probably not going to want to do stuff on the command line and you&#8217;re not going to want to train them and that&#8217;s fine.</p>\n\n\n\n<p>But I think about when I was at WebDev and we were doing maintenance contracts with clients, and WordPress updates came around and we had basically a person dedicated to reading all of the change logs of every plugin on every site before making any updates. Just to make sure that nothing was going to happen that could potentially break.</p>\n\n\n\n<p>And then if there was something that was maybe potentially breaking, they would have to like manually test that themselves on a dev environment, or a local environment or whatever. Just to make sure we&#8217;re not going to run an update and it&#8217;s going to break something. And I think that that process is very tedious and time consuming.</p>\n\n\n\n<p>And that process is the process that you&#8217;re saving by using something where you can be more explicit like Composer. And you know that your updates are not going to break anything because the way that you&#8217;ve set up your versioning is the thing that you want it to be, and you feel confident about that structure so that when there are updates, you can go in and yeah, you still need to do testing, you still need to evaluate those things, but you know that you&#8217;re not going to accidentally push something out.</p>\n\n\n\n<p>Or you can be at least fairly confident that you&#8217;re not going to accidentally push something out that&#8217;s going to break something. Because breaking things is not a good thing. It&#8217;s not a good feeling to have shipped something when you&#8217;re just doing a maintenance WordPress update release and your client is calling an hour later saying, why is my website white?</p>\n\n\n\n<p>[00:28:42] Nathan Wrigley: Yeah, I guess in the case of some of the agencies where you&#8217;ve worked, so Human Made WebDevStudios and so on, it really is enterprise level stuff, and there is no scope for bringing a site down because of a careless update. So the notion that most WordPress users would go in and read the change log before clicking update.</p>\n\n\n\n<p>I think that&#8217;s probably not the case. I would imagine most people are fairly cavalier because it&#8217;s their own site, or it&#8217;s a client site that they&#8217;ve got a backup of, and there&#8217;s some mitigation that they&#8217;re, doing all of that. But in the case that you&#8217;ve just outlined where, I don&#8217;t know, maybe these are international brands that we&#8217;ve heard of where the press damage alone in having a website go down for 50 minutes is just unconscionable. You&#8217;ve got to do the background research, and so having these systems in place is truly important.</p>\n\n\n\n<p>[00:29:36] Chris Reynolds: Yeah, for sure.</p>\n\n\n\n<p>[00:29:36] Nathan Wrigley: In terms of, we&#8217;ve been talking quite a lot about updates. I just wonder what your thoughts are on the, I mean, it&#8217;s not that recent, it&#8217;s several years ago now. The idea that in WordPress you can click a link in the, let&#8217;s say the plugin page. And you can say just go on, update. Whenever something new rolls out, just get on with it and update it. So you can, if you like, trust it. What are your thoughts on that?</p>\n\n\n\n<p>[00:29:58] Chris Reynolds: I think it&#8217;s nice for the people that it&#8217;s good for. And I think it&#8217;s definitely helped with WordPress adoption. Because if all I was doing, if I wasn&#8217;t a WordPress developer and all I was doing was being a podcaster and I had a website that was just about my podcast. I&#8217;m not going to care about code. I&#8217;m never going to want to touch the code. I&#8217;m going to want to install WordPress and never look at FTP, or know my server configuration, or care about my database.</p>\n\n\n\n<p>None of that. None of that is interesting to me. What I want is I want to plug it in, turn it on, and let it run. And be fairly confident that it is going to continue to run when I have my eyes closed and I&#8217;m not looking at it. So I think that it&#8217;s nice in the sense of creating an ecosystem in which things that you do in WordPress are relatively easy. And the counterpoint to that, I work at Pantheon. Pantheon&#8217;s been involved in the Drupal committee for a very long time.</p>\n\n\n\n<p>Talking earlier too about how Drupal has, I think since version eight, integrated Composer into the core of how Drupal works. So sort of the antithesis of this idea of, I&#8217;m going to turn it on and set auto update and then walk away, is the idea of Composerizing everything. So that every change is a code level change.</p>\n\n\n\n<p>And what I&#8217;ve found interesting, that I&#8217;ve learned over the last year of being at Pantheon in a difference between the sort of like Drupal ecosystem and WordPress ecosystem, is in WordPress, yeah, there are some people who make it their job to kind of do just general site administration for people.</p>\n\n\n\n<p>But it&#8217;s not a huge thing. It&#8217;s like there&#8217;s a couple people that do that sort of thing or they don&#8217;t actually touch the code, but they will do your WordPress updates and that sort of thing for you. In Drupal, there&#8217;s entire agencies where all of what they&#8217;re doing is essentially that, just the maintenance stuff of having a website.</p>\n\n\n\n<p>And part of that is because the Drupal admin is a lot more complicated to use, to create sites and pages and views and all sorts of things. It&#8217;s a lot more complicated than the WordPress admin, which I credit to how WordPress is built personally. But the other part of it is the understanding of like, when it&#8217;s okay to update this Drupal module to the next version or that sort of thing. To be aware of what&#8217;s happening on their other sites. And then what combinations work together and that sort of thing.</p>\n\n\n\n<p>There&#8217;s a whole ecosystem that it&#8217;s really just essentially website management, which doesn&#8217;t exist in the same way in WordPress. And so that&#8217;s sort of what we&#8217;re talking about. The difference between having really hands-on updates. Making sure that things are safe to do. Or making it so that the people who actually do the content editing or other administration on the site, they don&#8217;t have to worry about the stuff that&#8217;s happening in the background because they know somebody&#8217;s taking care of it, versus having just the software take care of that for itself.</p>\n\n\n\n<p>And so I think there&#8217;s a place for it. And I think that the reason why WordPress has grown so much over the last many years is because it&#8217;s embraced this, well, we&#8217;re going to just auto update things and not have people stress over that stuff. But, also like the reason why there&#8217;s so many people that are holding onto Drupal is because they want to make sure, they want to ensure that their site is stable and secure and all of those things. And that those things matter for really big companies. It is that divide, right of more casual users versus the enterprise level stuff.</p>\n\n\n\n<p>[00:33:09] Nathan Wrigley: I guess because Composer is essentially nothing to do with WordPress. I mean, you know, you&#8217;ve described a scenario in which WordPress can combine with it, which is very helpful. Updating plugins, themes and so on and so forth. I guess this can reach beyond WordPress. So if you&#8217;ve got something bespoke, unique, you&#8217;ve got a package, which is nothing to do with WordPress. Composer can take care of that as well.</p>\n\n\n\n<p>[00:33:34] Chris Reynolds: Yeah, and it&#8217;s really useful when you, so in both npm and Composer, there&#8217;s the concept of dev dependencies. And these are dependencies that will install when you do like a Composer install. But you can also say, you can omit the developer dependencies on your production installs, right?</p>\n\n\n\n<p>And that means that you can run things like linting and unit testing and all that sort of stuff, which doesn&#8217;t matter if it&#8217;s on the prod site. But maybe if you&#8217;re going to push it to your dev site or you&#8217;re going to keep it on your local machine. And you can manage all those things really easily with Composer.</p>\n\n\n\n<p>There&#8217;s definitely WordPress coding standards and there&#8217;s WordPress suites for unit testing. Those things all exist and you can manage those in WordPress. But essentially, like the core thing, like PHP Code Sniffer is not a WordPress thing. It&#8217;s just a, it&#8217;s just a package that exists in the world. And same thing as PHP unit. It&#8217;s just a thing that exists in the world that we have adopted and embraced and brought it into our ecosystem. So for sure, yeah, there&#8217;s definitely value of using Composer to manage sort of like external things.</p>\n\n\n\n<p>[00:34:29] Nathan Wrigley: Okay, given that if you went down this route and you made Composer an integral part of your process. You then to some extent become dependent upon the functioning of Composer for your whole process to work. And so that brings me to the Composer ecosystem.</p>\n\n\n\n<p>So we&#8217;re all always talking about how great the WordPress ecosystem is. There&#8217;s a forum for this. There&#8217;s a Slack channel for that. If you want to find something out there&#8217;s ways of learning. Is the same true of Composer? It&#8217;s an open source project. Does it have a thriving community? Does it receive the updates that one would hope? Does it progress in the same way that we hope WordPress does? Does it have that same feel? Are there resources for learning and so on?</p>\n\n\n\n<p>[00:35:07] Chris Reynolds: Well, I will say that the website for Composer getcomposer.org, I believe, is really, the documentation&#8217;s really good. At its core, it&#8217;s a pretty simple idea. The documentation&#8217;s pretty self-explanatory. Where it gets hairy is the distinction between a caret versus a squiggly line, in terms of how you&#8217;re going to do your versioning stuff.</p>\n\n\n\n<p>Because there&#8217;s a very subtle but specific difference there. And how to pull in different repositories or how to do more complex things. It gets a little bit hairy. But again, the documentation is all there and it&#8217;s all really good and I found it very useful.</p>\n\n\n\n<p>And there&#8217;s enough people in the open source ecosystem generally that are using Composer, that it&#8217;s not terribly difficult to find answers to any questions about Composer. Most things you would encounter have probably been done by someone, and there&#8217;s probably some prior art that you can use to base it on.</p>\n\n\n\n<p>So I think that it&#8217;s generally pretty good. And packagist is a great place to find stuff. What I will do when I&#8217;m looking for stuff is I&#8217;ll look on packages, even if I&#8217;m looking for a WordPress thing, just to see if, if that developer has pushed their thing to packages before even looking at wordpress.org, or pulling it in from the W Packagist mirror.</p>\n\n\n\n<p>That means it&#8217;s getting a little bit, it&#8217;s like one step closer to the source, right? Because all Packagist does really, to submit a package on Packagist, here&#8217;s your pro tip. You have an account obviously, and then you just say, submit a package and you give it a GitHub repository url, and then it just looks at GitHub. And as long as the GitHub project uses releases, even if it doesn&#8217;t really need to, it just looks at the branches. But if it has releases, then you will have those versions. And if it doesn&#8217;t have releases you can still pull that stuff in using a dev prefix or whatever.</p>\n\n\n\n<p>That stuff is all self-contained. It all exists. It&#8217;s all well-maintained, all that sort of stuff. That&#8217;s all good. Composer itself does occasionally get updates. The last big thing was sort of a transition from Composer one to Composer two. And that was a little bit of a, there&#8217;s definitely some growing pains in the transition process of going from one version to the next.</p>\n\n\n\n<p>And then they threw a wrench recently, not super recently. But they threw a wrench into things a little bit where there is a new thing that goes into your Composer file called allowed plugins. So if it, if it&#8217;s a dependency is calling something else or whatever. You have basically have to give permission to other vendors to, install things on your behalf. So as long as you, if they&#8217;re in the allowed plugins list then those things will get updated, and if they&#8217;re not in the allowed plugins list, then it&#8217;s not going to update those things. And I believe that was for like, security type things.</p>\n\n\n\n<p>That did cause a problem with you know, at Pantheon we have a lot of stuff that&#8217;s based on Composer and we don&#8217;t want to introduce merge conflicts. So if we have a Composer file, that is basically the thing that is used to build sites. And then suddenly that Composer file needs to have a new part of the Composer file, and we push that change. It&#8217;s going to cause a merge conflict with everybody&#8217;s repository that didn&#8217;t already have that.</p>\n\n\n\n<p>So it&#8217;s a little bit of a headache for us, but for the user it&#8217;s obviously a net win. Those sorts of things give me pause a little bit, as somebody who is now at least partially responsible for, thousands of people running sites that use Composer. But in terms of like individual users and stuff, I think that Composer has a really good thing going and has a good ecosystem around it.</p>\n\n\n\n<p>[00:38:16] Nathan Wrigley: Just to give us some insight into how you are using it. Your work at Pantheon and all the other companies that you&#8217;ve mentioned that you&#8217;ve worked at. Is this something that is just typical? This is just part of the process. Everything is built with Composer bolted in. Or is this something that you cherry pick? Okay, this one needs it, this one doesn&#8217;t. Is it basically everywhere, all the time?</p>\n\n\n\n<p>[00:38:38] Chris Reynolds: When I was at WebDev, which admittedly is many years ago now, we didn&#8217;t use Composer. We could have benefited from using Composer. And I think they&#8217;re probably using Composer now. I don&#8217;t know that for sure, but based on the types of projects that they&#8217;re doing, and types of things that I see them working on, I think that&#8217;re probably doing it now.</p>\n\n\n\n<p>When I was at Human Made, it was just there. Everything that we did had Composer as part of it. And it was a sort of a fundamental part of how projects were built. And obviously like Altis is Composer. It&#8217;s a Composer built thing. It&#8217;s entirely built on top of Composer. One of the things that gives it its stability, but also if you look at the documentation for Altis or things, it&#8217;s always lagging, and is always going to be lagging a little bit behind the latest WordPress release.</p>\n\n\n\n<p>And for enterprise, that&#8217;s fine. Because they&#8217;re not concerned about the major or minor point releases. They&#8217;re concerned that their site is secure and it&#8217;s updated and it&#8217;s getting those patch releases. So with each new Altis version that typically aligns with a new WordPress version it sort of, when I was there anyway, the release cycle for Altis followed by a month or so, offset from the last WordPress release, so that they could make sure that the next WordPress version was part of the next Altis version.</p>\n\n\n\n<p>[00:39:48] Nathan Wrigley: Okay, so should somebody have been interested in this, you know, their interest has been peaked by everything that you&#8217;ve been saying. Where&#8217;s some good resources? I&#8217;m looking at getcomposer.org and there&#8217;s a get started link right at the top. That seems like it might be a decent place to start. But maybe there&#8217;s more, how to describe it? Maybe there&#8217;s some things which would help a WordPresser as well.</p>\n\n\n\n<p>[00:40:13] Chris Reynolds: I definitely would point towards the Roots Bedrock Project as being a really good place if you&#8217;re looking at wanting to have WordPress as built as dependency, I think they&#8217;ve got a really good framework. And at Human Made, we were doing that thing, but we weren&#8217;t using Bedrock. So it would be a little bit more difficult to come up with those ideas and that system and that framework independently. And that&#8217;s one of the things I think that you would get from the Roots ecosystem. So definitely yeah the, just the get Composer to learn about it and to look at the documentation, to dig into it.</p>\n\n\n\n<p>And then from a WordPress standpoint specifically, I would definitely look into Bedrock to understand like how that works. And they&#8217;ve got a thriving community as well around that. And, a whole Patreon thing and Discord channel and whatnot, so that you can actually talk to human beings and get some amount of support.</p>\n\n\n\n<p>[00:41:02] Nathan Wrigley: Yeah I&#8217;ll make sure to link to everything that you sent in my direction into the show notes. But, if anybody wants to check those out, you can see them on the WP Tavern website. Search for this episode, and you&#8217;ll be able to see all of those links there. If anybody wants to link to you Chris, if anybody&#8217;s been interested in, just think they&#8217;d like bit of a helping hand. They&#8217;d like to understand this a little bit more from, from the horse&#8217;s mouth if you like. Where do we find you?</p>\n\n\n\n<p>[00:41:27] Chris Reynolds: Online I&#8217;m jazz sequence most places. Frequently jazz sequence with a three. So j a z z s 3 q u e n c e. That&#8217;s my Twitter handle and Instagram, various other things. I am at @jazzsequence@mstdn.social on Mastodon. And, my website is jazzsequence.com without the three, cause I like to, be confusing. And LinkedIn and places like that. But the Twitters and lately Mastodon, and those sorts of social places where you&#8217;ll probably get my attention.</p>\n\n\n\n<p>I&#8217;m also, you know, on the WordPress Core Slack and like I said I live in Salt Lake City so, we haven&#8217;t had very many WordCamps in the last couple years. There&#8217;s some weird pandemic thing happening, but when those things do happen I often will try to visit the things that are, within driving range. I&#8217;m hoping to be at at US in National Harbor this year. So, maybe I&#8217;ll see folks there.</p>\n\n\n\n<p>[00:42:16] Nathan Wrigley: Nice. Chris Reynolds, thank you for joining us on the podcast today. I appreciate it.</p>\n\n\n\n<p>[00:42:20] Chris Reynolds: Yeah, no worries.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://twitter.com/jazzs3quence\">Chris Reynolds</a>.</p>\n\n\n\n<p>Chris has been working with WordPress for over 15 years. He’s freelanced, worked with Event Espresso, WebDevStudios, Human Made and is now at Pantheon as a CMS Ecosystem engineer, and WordPress technical lead. He’s spoken at WordCamps and at OpenWest about all aspects of WordPress.</p>\n\n\n\n<p>I suspect that many of the people listening to this podcast are not using Composer in their WordPress workflow, and to Chris, this is something that you should think about implementing, and he’s here to explain why.</p>\n\n\n\n<p>Chris starts off by talking about the kind of projects that he’s worked on, and how he found WordPress.</p>\n\n\n\n<p>We then get into the weeds of what Composer is, and the benefits that it brings. It’s essentially a package management system and makes it easy to set dependencies for your project and manage them within Composer.</p>\n\n\n\n<p>Why would you want to do that though? If you’re just building brochure websites, then perhaps you don’t, but if your project is more complex, then this might save you a lot of time.</p>\n\n\n\n<p>Chris describes scenarios in which he thinks Composer is a good fit; if you want to add in specific packages, and how those packages are managed and updated.</p>\n\n\n\n<p>He explains how you can install Composer depending on the OS that you’re working with, and how it structures the files and directories that are created.</p>\n\n\n\n<p>Towards the end of the podcast, we talk about how Composer can be useful for teams, and Chris’ use of Composer to keep everyone clear on how the project is structured.</p>\n\n\n\n<p>If you’ve thought about using a package management system such as Composer, this episode is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://www.hotscripts.com/\">Hot Scripts</a></p>\n\n\n\n<p><a href=\"https://eventespresso.com/\">Event Espresso</a></p>\n\n\n\n<p><a href=\"https://www.pluralsight.com/\">Pluralsight</a></p>\n\n\n\n<p><a href=\"https://webdevstudios.com/\">WebDevStudios</a></p>\n\n\n\n<p><a href=\"https://humanmade.com/\">Human Made</a></p>\n\n\n\n<p><a href=\"https://pantheon.io/\">Pantheon</a></p>\n\n\n\n<p><a href=\"https://www.npmjs.com/\">npm</a></p>\n\n\n\n<p><a href=\"https://brew.sh/\">Homebrew</a></p>\n\n\n\n<p><a href=\"https://wpackagist.org/\">WordPress Packagist</a></p>\n\n\n\n<p><a href=\"https://packagist.org/\">Packagist</a></p>\n\n\n\n<p><a href=\"https://roots.io/bedrock/\">Bedrock by the Roots Team</a></p>\n\n\n\n<p><a href=\"https://getcomposer.org/\">Composer</a></p>\n\n\n\n<p><a href=\"https://twitter.com/jazzs3quence\">Chris&#8217; Twitter account</a></p>\n\n\n\n<p><a href=\"https://mstdn.social/@jazzsequence\">Chris&#8217; Mastodon account</a></p>\n\n\n\n<p><a href=\"https://jazzsequence.com/\">Chris&#8217; website</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Mar 2023 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"WordPress.org blog: Introducing the WordPress Developer Blog\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14649\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://wordpress.org/news/2023/03/introducing-the-wordpress-developer-blog/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4659:\"<p>With much activity happening in the WordPress development space every day, keeping up-to-date with the latest updates can be challenging. The new <a href=\"https://developer.wordpress.org/news/\">WordPress Developer Blog</a> is a developer-focused resource to help you stay on top of the latest software features, tutorials, and learning materials relevant to the open source project.</p>\n\n\n\n<p>This blog is the culmination of a community effort that began last year. Formed by experienced WordPress community members and developers, the <a href=\"https://developer.wordpress.org/news/about/\">editorial group</a> has since worked on a wide range of content already available—from theme and block development tutorials to tips and tricks for leveraging WordPress in the site editing era.</p>\n\n\n\n<h2 class=\"wp-block-heading\">A new home for developers</h2>\n\n\n\n<p>As a complementary resource to the WordPress documentation, the Developer Blog aims to provide a shared space to stay informed of development-related updates, keep up with ongoing discussions and ideas, and explore cutting-edge use cases.</p>\n\n\n\n<p>In other words, <strong>consider it as a central hub for developers and </strong><a href=\"https://make.wordpress.org/updates/2020/05/01/care-and-influence-a-theory-about-the-wordpress-community/\"><strong>extenders</strong></a> of different backgrounds and skill levels to learn with quality content from reliable sources, share knowledge, and drive WordPress development forward.</p>\n\n\n\n<p>True to the open source way, the blog will likely evolve. As its editors and readers learn and create more content, it will adapt in response to the needs of community members like you.</p>\n\n\n\n<p>Everyone is welcome to chime in on-topic discussions, share ideas or contribute. <a href=\"https://developer.wordpress.org/news/how-to-contribute/\">Learn more about how to get involved</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">What about the content?</h2>\n\n\n\n<p>Content on the WordPress Developer Blog covers many topics, including tutorials on <a href=\"https://developer.wordpress.org/news/category/themes/\">theme development</a>, <a href=\"https://developer.wordpress.org/news/category/plugins/\">plugins</a>, and <a href=\"https://developer.wordpress.org/news/category/block-development/\">block development</a>. You can also expect posts on WordPress APIs, best practices for working with WordPress, updates on upcoming releases, and <a href=\"https://developer.wordpress.org/news/category/learning/\">learning resources</a> for beginners and seasoned developers.</p>\n\n\n\n<p>These articles offer a good hint at what&#8217;s already in store for you:</p>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2022/11/17/demystifying-home-and-posts-templates-in-wordpress-theme-development/\">Demystifying home and posts templates in WordPress theme development</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2022/11/creating-themes-from-a-pattern-first-mindset/\">Creating themes from a pattern-first mindset</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/static-vs-dynamic-blocks-whats-the-difference/\">Static vs. dynamic blocks: What’s the difference?</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/creating-custom-block-styles-in-wordpress-themes/\">Creating custom block styles in WordPress themes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/whats-new-for-developers-march-2023/\">What’s new for developers? (March 2023)</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Sounds interesting? </h2>\n\n\n\n<p><a href=\"https://developer.wordpress.org/news/#subscribe\">Subscribe to the Developer Blog</a> to keep up with the latest content in the WordPress development space.</p>\n\n\n\n<p><em>Props for content and peer review <a href=\"https://profiles.wordpress.org/chanthaboune/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>chanthaboune</a> <a href=\"https://profiles.wordpress.org/rmartinezduque/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>rmartinezduque</a> <a href=\"https://profiles.wordpress.org/mburridge/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mburridge</a> <a href=\"https://profiles.wordpress.org/marybaum/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>marybaum</a> <a href=\"https://profiles.wordpress.org/bph/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>bph</a>&nbsp;<a href=\"https://profiles.wordpress.org/greenshady/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>greenshady</a> <a href=\"https://profiles.wordpress.org/webcommsat/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>webcommsat</a>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Mar 2023 13:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Chloe Bringmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"WPTavern: The Mercantile Reopens with Limited Edition 20th Anniversary WordPress Swag\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142884\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://wptavern.com/the-mercantile-reopens-with-limited-edition-20th-anniversary-wordpress-swag\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1527:\"<img />\n\n\n\n<p><a href=\"https://mercantile.wordpress.org/\">The Mercantile</a>, WordPress&#8217; official swag store, was closed for updates but has relaunched with the highly anticipated limited edition <a href=\"https://mercantile.wordpress.org/product-category/wp20/\">20th anniversary swag</a>. </p>\n\n\n\n<p>In celebration of the milestone, the store has added an array of keepsakes, including sweatshirts, pennants, a &#8220;Code is Poetry&#8221; t-shirt, stainless steel tumbler, pet bandana, commemorative sticker sheets, and more. What WordPress swag collector can pass up the WP20 Wapuu keychain?</p>\n\n\n\n<p>Unlike years past, where the swag store seemed like its own separate site, this relaunch makes the store a  more natural part of the WordPress project&#8217;s website. It runs on WooCommerce and shares the same <a href=\"https://wptavern.com/wordpress-news-gets-a-new-design\">updated design</a> as the rest of WordPress.org with the vibrant blue that has made its way into the 20th anniversary logos. </p>\n\n\n\n<p>The limited edition swag is available while supplies last. Unfortunately, international shipping rates are hefty, a complaint the store has received for years. It makes it cost-prohibitive to order a single t-shirt or sweatshirt outside the U.S. when the shipping costs twice as much or more than the product. Hopefully, this year&#8217;s docket of WordCamp events will provide other avenues for distributing 20th anniversary swag to WordPress&#8217; global community through well-stocked pop-up shops.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Mar 2023 03:21:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"WPTavern: Admin Menu Tree Page View 2.8 Now Supports All Public Post Types \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142881\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"https://wptavern.com/admin-menu-tree-page-view-2-8-now-supports-all-public-post-types\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2211:\"<p>The <a href=\"https://wordpress.org/plugins/admin-menu-tree-page-view/\">Admin Menu Tree Page View plugin</a>, which adds a tree-view layout of content in the WordPress admin, has been refactored to support more content types. The plugin is an admin utility similar to <a href=\"https://wordpress.org/plugins/hierarchy/\">Hierarchy</a> or the commercial <a href=\"https://organizewp.com/\">OrganizeWP</a> plugin that reworks the CMS to show content in one place, but it offers a simpler set of features for free with no ads or upsells.  These types of plugins are valuable tools on larger, CMS-heavy WordPress sites.</p>\n\n\n\n<p>Previously, the Admin Menu Tree Page View plugin focused on pages, allowing users to better visualize the page hierarchy/tree structure, add pages directly after or inside another post, and easily reorder pages via drag and drop.</p>\n\n\n\n<p><a href=\"https://getbutterfly.com/admin-menu-tree-page-view-2-8-refactoring-update/\">Version 2.8</a> adds support for all public post types &#8211; posts, pages, and custom post types, which was a long requested feature. The plugin&#8217;s author, WordPress developer Ciprian Popescu, said adding more post types made the dashboard menu unmanageable and the backend slow, requiring him to update the plugin to us a top-level menu page.</p>\n\n\n\n<p>&#8220;The solution here was to move the pages to a top level menu page,&#8221; Popescu said. &#8220;This increased the &#8216;one click away&#8217; feature to &#8216;two clicks away,&#8217; which is not a bad trade-off in my opinion, especially when all public post types are now available in a hierarchical tree layout. Having a separate page now removed the need for collapsing the child <code>&lt;ul></code> elements, as the purpose of this plugin is to quickly see all your pages in a bird’s eye view manner.&#8221;</p>\n\n\n\n<img />\n\n\n\n<p>Version 2.8 also removes some redundant features, cookies, and JavaScript resources, as the expand/collapse functionality is no longer necessary. Next on the roadmap for future releases Popescu is working on adding caching for post types, removing the jQuery and jQueryUI dependency, and improving dragging and dropping to work inside child elements. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Mar 2023 23:10:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress.org blog: WordPress 6.2 Release Candidate 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14685\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4880:\"<p>It’s the final countdown: the third (and last) scheduled <a href=\"https://make.wordpress.org/core/handbook/glossary/#release-candidate\">release candidate</a> (RC3) for WordPress 6.2 is ready! </p>\n\n\n\n<p>The WordPress 6.2 release is scheduled for March 28, 2023—just one week away! Now is your last opportunity to test it before the general release.&nbsp;</p>\n\n\n\n<p>Just tuning in now? Catch up on the featured highlights, and dig into more 6.2 details in the <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 RC1 release announcement</a>.</p>\n\n\n\n<p>Thanks to all the Beta and RC testers who have assisted in this release. Since <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\">RC2</a> was released on March 14, there have been about 21 issues resolved in <a href=\"https://core.trac.wordpress.org/query?status=accepted&status=closed&changetime=03%2F15%2F2023..03%2F21%2F2023&milestone=6.2&col=id&col=summary&col=milestone&col=owner&col=type&col=priority&order=id\">Trac</a> and <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">GitHub</a>.</p>\n\n\n\n<p>Your feedback and help in filing bug reports keep the WordPress experience stable, smooth, and delightful. It’s critical work and a great way to contribute to the project.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">How to install RC3 for testing</h2>\n\n\n\n<p><strong>This version of the WordPress software is under development. </strong>Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC3 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.2 RC3 in three ways:</p>\n\n\n\n<p><strong>Option 1</strong>: Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2</strong>: Direct download the <a href=\"https://wordpress.org/wordpress-6.2-RC3.zip\">RC3 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3</strong>: Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.2-RC3</code></p>\n\n\n\n<h2 class=\"wp-block-heading\">A shout out to plugin and theme developers</h2>\n\n\n\n<p>Your products are the reason WordPress does so many things for more people across the world. As you test your latest versions against RC3, make sure you update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.2. If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a> for more details about the major changes in this release.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Keep WordPress bug-free—help with testing</h2>\n\n\n\n<p>Without your testing support, hitting important product milestones would be a much bigger challenge. It’s also a meaningful way to contribute to the project. If you’re new to testing, or it’s been a while, <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">this detailed guide</a> can help you get started.&nbsp;</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>Wow, we’re oh so close<br />Test, test. Get it out the door.<br />Please no RC 4.</p>\n\n\n\n<p class=\"has-text-align-right\"><em>Thank you to the following contributors for collaborating on this post: <a href=\"https://profiles.wordpress.org/laurlittle/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>laurlittle</a> <a href=\"https://profiles.wordpress.org/marybaum/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>marybaum</a> <a href=\"https://profiles.wordpress.org/audrasjb/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>audrasjb</a> <a href=\"https://profiles.wordpress.org/cbringmann/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>cbringmann</a> <a href=\"https://profiles.wordpress.org/webcommsat/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>webcommsat</a></em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Mar 2023 17:43:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"Do The Woo Community: Building Community and Employee Engagement with James Giroux\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74641\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://dothewoo.io/building-community-and-employee-engagement/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:421:\"<p>James Giroux from TeamWP joins us to talk about life as a community manager and building employee engagement with TeamWP.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/building-community-and-employee-engagement/\">Building Community and Employee Engagement with James Giroux</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Mar 2023 10:21:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"Akismet: Version 5.1 of the Akismet WordPress Plugin is Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://blog.akismet.com/?p=2453\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"https://blog.akismet.com/2023/03/20/version-5-1-of-the-akismet-wordpress-plugin-is-now-available/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:724:\"<p>Version 5.1 of <a href=\"http://wordpress.org/plugins/akismet/\">the Akismet plugin for WordPress</a> is now available. This update contains the following improvements:</p>\n\n\n\n<ul>\n<li>We removed some unnecessary limit notices from /wp-admin/ pages.</li>\n\n\n\n<li>We&#8217;re now using post taxonomies to improve spam detection.</li>\n\n\n\n<li>In order to avoid inadvertent exposure, API keys are no longer used in the stats iframe URLs.</li>\n</ul>\n\n\n\n<p>To upgrade, visit the Updates page of your WordPress dashboard and follow the instructions. If you need to download the plugin zip file directly, links to all versions are available in <a href=\"http://wordpress.org/plugins/akismet/\">the WordPress plugins directory</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Mar 2023 19:37:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Christopher Finke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:164:\"WPTavern: CloudFest Hackathon 2023 Kickstarts Innovative WordPress Projects: VS Code Extension for In-Browser Development, WapuuGotchi Gamification Plugin, and More\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142851\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:172:\"https://wptavern.com/cloudfest-hackathon-2023-kickstarts-innovative-wordpress-projects-vs-code-extension-for-in-browser-development-wapuugotchi-gamification-plugin-and-more\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9378:\"<p>More than 6,000 people are attending <a href=\"https://www.cloudfest.com/\">CloudFest</a> in Europa-Park, Germany, this week. A strong contingent of WordPress developers and contributors are among them. During the <a href=\"https://www.cloudfest.com/hackathon\">Hackathon</a> portion of the event, web professionals gather for a friendly competition, tackling problems for existing not-for-profit, OSS projects, creating solutions with a concentrated effort at a quicker pace than remote collaboration usually allows.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">WordPress running in VS Code!!! <a href=\"https://twitter.com/hashtag/CFHack2023?src=hash&ref_src=twsrc%5Etfw\">#CFHack2023</a> <a href=\"https://t.co/qKQeQBZClW\">pic.twitter.com/qKQeQBZClW</a></p>&mdash; daniel (@dbchhbr) <a href=\"https://twitter.com/dbchhbr/status/1637491441453735937?ref_src=twsrc%5Etfw\">March 19, 2023</a></blockquote>\n</div>\n\n\n\n<p>Several WordPress-related projects have been put into action at the Hackathon, including the following: </p>\n\n\n\n<ul>\n<li><a href=\"https://www.cloudfest.com/mariadb-health-checks-in-wordpress\">MariaDB Health Checks in WordPress</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/privacy-focused-web-analytics-plugin\">Statify: Privacy-Focused Web Analytics Plugin</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/a-search-engine-for-wordpress-developers\">docs_dangit: A search engine for WordPress developers</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/wapuugotchi\">Wapuugotchi</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/wappspector-cli-utility-to-scan-a-hosting-server-to-identify-used-cms-ecommerce-top-frameworks-used-in-the-websites\">Wappspector</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/eco-mode-reduce-outgoing-network-traffic-of-your-wordpress-server\">Eco-mode – reduce outgoing network traffic of your WordPress server</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/wordpress-runtime-vulnerability-analysis\">WordPress Runtime Vulnerability Analysis</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/in-browser-wordpress-development-environment\">In-browser WordPress development environment</a></li>\n</ul>\n\n\n\n<p>Automattic engineer Daniel Bachhuber <a href=\"https://developer.wordpress.com/2023/03/20/cfhack2023-wordpress-in-vs-code/\">published</a> a preview of the in-browser WordPress development environment enabled by an experimental VS Code extension that uses <a href=\"https://webassembly.org/\">WebAssembly</a> to run WordPress entirely in the browser.</p>\n\n\n\n<p>&#8220;Forget spending hours setting up a local development environment at your next Contributor Day,&#8221; Bachhuber said. &#8220;Simply install the <a href=\"https://marketplace.visualstudio.com/items?itemName=WordPressPlayground.wordpress-playground\">WordPress Playground VS Code extension</a>, run &#8216;Launch WordPress Playground&#8217; from the command launcher, and you’ll have a <s>fully</s> mostly functional WordPress installation right inside your editor.&#8221;</p>\n\n\n\n<p>Bachhuber emphasized that the extension was built for demonstration purposes but is <a href=\"https://github.com/danielbachhuber/wordpress-playground-vscode\">available on GitHub</a> for anyone who wants to contribute or report bugs. A more in-depth tour of the extension is available on <a href=\"https://developer.wordpress.com/2023/03/20/cfhack2023-wordpress-in-vs-code/\">Automattic&#8217;s developer blog</a>.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>In addition to the VS code previewer for WordPress plugins, the Hackathon team working with WordPress Playground is also <a href=\"https://twitter.com/adamzielin/status/1637457845141512194\">experimenting</a> with using the block editor in the browser and working with the Terminal and PHP, wp-cli, and PHPUnit &#8211; all in the browser. </p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Our <a href=\"https://twitter.com/hashtag/CFHack2023?src=hash&ref_src=twsrc%5Etfw\">#CFHack2023</a> Project 1: WordPress code editor, cli, and preview in the browser — with offline mode! <a href=\"https://twitter.com/hashtag/CFHack?src=hash&ref_src=twsrc%5Etfw\">#CFHack</a> <a href=\"https://t.co/KdFzwq9IaJ\">https://t.co/KdFzwq9IaJ</a></p>&mdash; Adam Zieliński (@adamzielin) <a href=\"https://twitter.com/adamzielin/status/1637769196128858114?ref_src=twsrc%5Etfw\">March 20, 2023</a></blockquote>\n</div>\n\n\n\n<p>The WapuuGotchi project, which aims to gamify WordPress with a customizable Wapuu, notifications, and rewards, has its own <a href=\"https://twitter.com/wapuugotchi\">Twitter account</a> and <a href=\"https://wapuugotchi.com/\">website</a> where those interested can follow along with their progress.</p>\n\n\n\n<img />image credit: <a href=\"https://wapuugotchi.com/hackathon-wrap-up-unveiling-the-future-of-wordpress\">WapuuGotchi Hackathon Wrap-Up</a>\n\n\n\n<p>&#8220;The audience was captivated as we demonstrated the customizable Wapuu assistant, which can be tailored to suit individual preferences by selecting unique outfits and accessories,&#8221; WapuuGotchi design contributor Dennis Hipp said.</p>\n\n\n\n<p>&#8220;We also highlighted WapuuGotchi’s backend interaction capabilities, showing how it can guide users through updates, provide helpful tips, and offer reminders for important tasks. The presentation concluded with an invitation for Plugin authors to collaborate with us and integrate their Plugins into the WapuuGotchi ecosystem.&#8221;</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f469-1f3fb-200d-1f4bb.png\" alt=\"👩🏻‍💻\" class=\"wp-smiley\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2728.png\" alt=\"✨\" class=\"wp-smiley\" /> Day 3, the last day and the final sprint! Everyone in the <a href=\"https://twitter.com/hashtag/WapuuGotchi?src=hash&ref_src=twsrc%5Etfw\">#WapuuGotchi</a> team is working hand in hand to complete the final steps before the presentation.  We are looking forward to sharing our results with you! <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2728.png\" alt=\"✨\" class=\"wp-smiley\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f468-1f3fc-200d-1f4bb.png\" alt=\"👨🏼‍💻\" class=\"wp-smiley\" /> <a href=\"https://twitter.com/hashtag/CFHack2023?src=hash&ref_src=twsrc%5Etfw\">#CFHack2023</a> <a href=\"https://twitter.com/aprox7?ref_src=twsrc%5Etfw\">@aprox7</a> <a href=\"https://twitter.com/joomla?ref_src=twsrc%5Etfw\">@Joomla</a> <a href=\"https://twitter.com/TinaTO?ref_src=twsrc%5Etfw\">@TinaTO</a> <a href=\"https://twitter.com/mpmike?ref_src=twsrc%5Etfw\">@mpmike</a> <a href=\"https://twitter.com/cloudfest?ref_src=twsrc%5Etfw\">@cloudfest</a> <a href=\"https://t.co/9VZy1KSAKg\">pic.twitter.com/9VZy1KSAKg</a></p>&mdash; WapuuGotchi (@wapuugotchi) <a href=\"https://twitter.com/wapuugotchi/status/1637748796938506240?ref_src=twsrc%5Etfw\">March 20, 2023</a></blockquote>\n</div>\n\n\n\n<p>The Wappspector project, which aims to create a CLI utility to analyze the file structure of a web hosting server and identify the frameworks and CMS used in the websites hosted on it, made significant progress during the Hackathon. The app added seven more CMS identifiers and will soon be ready for testing on control panels. The app focuses on CMS and e-commerce applications but will also have an extendable mechanism allowing hosting providers to customize it to suit their needs.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Seven more CMS identifiers added to <a href=\"https://twitter.com/hashtag/WappSpector?src=hash&ref_src=twsrc%5Etfw\">#WappSpector</a> <a href=\"https://twitter.com/cloudfest?ref_src=twsrc%5Etfw\">@Cloudfest</a> <a href=\"https://twitter.com/hashtag/CFHACK?src=hash&ref_src=twsrc%5Etfw\">#CFHACK</a> <a href=\"https://twitter.com/hashtag/CFHACK2023?src=hash&ref_src=twsrc%5Etfw\">#CFHACK2023</a> &#8211; in addition to <a href=\"https://twitter.com/hashtag/WordPress?src=hash&ref_src=twsrc%5Etfw\">#WordPress</a>, <a href=\"https://twitter.com/hashtag/Joomla?src=hash&ref_src=twsrc%5Etfw\">#Joomla</a>, <a href=\"https://twitter.com/hashtag/Drupal?src=hash&ref_src=twsrc%5Etfw\">#Drupal</a>, <a href=\"https://twitter.com/hashtag/Prestashop?src=hash&ref_src=twsrc%5Etfw\">#Prestashop</a> &amp; <a href=\"https://twitter.com/hashtag/TYPO3?src=hash&ref_src=twsrc%5Etfw\">#TYPO3</a>, <a href=\"https://twitter.com/hashtag/Composer?src=hash&ref_src=twsrc%5Etfw\">#Composer</a> and <a href=\"https://twitter.com/hashtag/Laravel?src=hash&ref_src=twsrc%5Etfw\">#Laravel</a> are now identifiable. Our app will soon be ready for testing on control panels. <a href=\"https://t.co/f26qLFiEqV\">pic.twitter.com/f26qLFiEqV</a></p>&mdash; cPanel (@cPanel) <a href=\"https://twitter.com/cPanel/status/1637399014873202688?ref_src=twsrc%5Etfw\">March 19, 2023</a></blockquote>\n</div>\n\n\n\n<p>CloudFest 2023 added a new <a href=\"https://www.cloudfest.com/wordpress-day\">WordPress Day</a>, dedicated to helping internet infrastructure professionals learn more about WordPress&#8217;s footprint and ecosystem, and hear from some of the top WordPress plugin developers and security experts. The event was held earlier today on March 20, and featured 12 sessions on WordPress.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Mar 2023 18:59:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"Gutenberg Times: OpenAI Block, WooCommerce 7.5, Patterns and Flexible Table Block —Weekend Edition #247\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=23605\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:110:\"https://gutenbergtimes.com/openai-block-woocommerce-7-5-patterns-and-flexible-table-block-weekend-edition-247/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:17466:\"<p>Howdy, </p>\n\n\n\n<p>Containers are on my mind. In one of those, our household will be shipped next week. 🚚 We will be AirBnB-ing for a few weeks. Exciting times. </p>\n\n\n\n<p>I need to sort through some paperwork and create the inventory for the insurance. Sorry for the short intro, today. </p>\n\n\n\n<p>Wish me luck! </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li></ul></div>\n</div></div>\n\n\n\n\n<p><strong>Josepha Haden Chomphosy</strong> joined <strong>DocPop</strong> on the <em>Torque Social Hour</em>. They discussed WordPress 20-year Anniversary celebration, WordPress 6.2 &#8211; Phase 2 to Phase 3. <a href=\"https://www.youtube.com/watch?v=9T0LgQP7M4A\"><strong>Torque Social Hour: Preparing for WP20 Celebrations</strong></a>. In this episode, Haden Chomphosy  told us about the upcoming plans for WordPress’s 20th Anniversary. They also talked about WP version 6.2, the recent acquisition of the ActivityPub plugin for WordPress, and Plugin Madness 2023.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<p>It&#8217;s release candidate week in WordPress land: <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\"><strong>WordPress 6.2 RC 2</strong></a> was released on March 14, 2023, and <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v15.4.0-rc.1\"><strong>Gutenberg 15.4 RC 1</strong></a> is also available for testing. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>WordPress 6.2 comes with a browse mode of the Site Editor. This includes a black left menu bar that blends in and out depending on if you are editing a template or browsing the menu. Until RC 2, &#8220;Navigation&#8221; was one of the menu items on the left admin menu, it was, however, pulled before this week&#8217;s RC 2. <strong>Anne McCarthy</strong> summarized the discussion around this issue in their post: <a href=\"https://make.wordpress.org/core/2023/03/14/fyi-navigation-section-of-new-site-editor-experienced-removed-for-6-2-rc-2/\"><strong>FYI: Navigation section of new Site Editor experienced removed for 6.2 RC 2</strong></a> and shared also the list of issues this feature has. Each one a minor item in the sum it wasn&#8217;t up to the quality contributors aimed for. </p>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>🎙️ </strong> New episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-80-wordpress-6-2-preview-gutenberg-15-2-and-15-3/\">Gutenberg Changelog #80 – WordPress 6.2 Preview, Gutenberg 15.2 and 15.3</a> with Birgit Pauli-Haack and special guest Rich Tabor  </p>\n</div></div>\n\n\n\n<p>WPEngine&#8217;s one-day virtual developer conference DE{CODE} will take place next week <strong>March 21 through 23rd, 2023. DE{CODE} </strong>will be broadcast in three global time zones and anticipates over 5,000 attendees in its fourth year, launching in 2020. <strong>Matt Mullenweg</strong> and <strong>Matias Ventura</strong> will discuss the future of WordPress and the rapid innovations in the block editor relied upon by millions of WordPress developers worldwide. It&#8217;s also part of the 20-year anniversary celebration of WordPress . Have a look at the <a href=\"https://events.wpengine.com/event/b1c1e30f-2c73-4abb-a609-52afaed68717/websitePage:289e81f7-3e30-49de-9510-696ad303d192\"><strong>schedule of all the great sessions at DE{CODE} 2023</strong></a></p>\n\n\n\n<img />\n\n\n\n<p><strong>Anne McCarthy</strong> was a guest of <strong>Rob Cairns</strong> for the latest episode. They talk All about 6.2 on <a href=\"https://stunningdigitalmarketing.com/episode-307-wordpress-6-2-with-anne-mccarthy/\">Stunning Digital Marketing</a> podcast. Highlights of the show: </p>\n\n\n\n<ul>\n<li>What is coming in WordPress 6.2 .</li>\n\n\n\n<li>&nbsp;The coolest features in WordPress 6.2</li>\n\n\n\n<li>&nbsp;When are we going to update the WordPress Admin Dashboard?</li>\n\n\n\n<li>&nbsp;When are we going to fix the Media Library?</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p><strong>Jamie Marsland</strong>, shows off the <a href=\"https://www.youtube.com/watch?v=ERIz3diT9Sk\"><strong>Side Editor and Block Themes</strong></a> again via YouTube. He uses both to rebuild Austin Kleon&#8217;s website, using the newest WordPress version.  <br /><em>Austin Kleon is the New York Times bestselling author of a trilogy of illustrated books about creativity in the digital age: Steal Like An Artist, Show Your Work!, and Keep Going.</em></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://developer.woocommerce.com/2023/03/14/woocommerce-7-5-released/\">WooCommerce 7.5</a></strong> has been released, and the post highlights that Woo Blocks are ready for the new feature of the StyleBook coming in WordPress 6.2, Blocks have been rewritten, so users can use the core design tools for changing the look and feel, the block can be easier styled by block themes, and new blocks to manage the store can now be found in the inserter of the block editor. </p>\n\n\n\n<p><strong>Sarah Gooding</strong> of WPTavern has more details: <a href=\"https://wptavern.com/woocommerce-7-5-0-introduces-3-new-blocks-expands-support-for-global-styles\"><strong>WooCommerce 7.5.0 Introduces 3 New Blocks, Expands Support for Global Styles</strong></a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Learn.WordPress Tutorial: <a href=\"https://learn.wordpress.org/tutorial/displaying-testimonials-on-your-website/\"><strong>Displaying testimonials on your website</strong></a> with<strong> Wes Theron</strong>. This tutorial will look at adding a testimonial pattern and installing a new block from the Block Directory to your site.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/tetsuaki_hamano\">Aki Hamano</a></strong>, a Gutenberg contributor from Japan, released a new version of his <a href=\"https://wordpress.org/plugins/flexible-table-block/\"><strong>Flexible Table Block plugin</strong></a>, with the main changes </p>\n\n\n\n<ul>\n<li>Tested on WordPress6.2</li>\n\n\n\n<li>Redesigned global settings modal </li>\n\n\n\n<li>apply stripe color to tbody only </li>\n\n\n\n<li>Preserve rowspan/colspan when converting to/from core table blocks </li>\n</ul>\n\n\n\n<p></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p><strong>Mike McAliste</strong>r acclaims: <a href=\"https://olliewp.com/patterns-are-gonna-be-a-game-changer-for-wordpress/\"><strong>Patterns are gonna be a game changer for WordPress</strong></a>, and he tells you why, after a recap of the genesis of Block Patterns:  &#8221;&nbsp;instead of designing a page from scratch, WordPress creators can now lean on patterns to quickly prototype or design their full website in the new WordPress Site Editor with little or no code involved.&#8221; McAlister also has concrete vision on how patterns could be a bit more intelligent: </p>\n\n\n\n<ul>\n<li>Go global: change once, update to all places where patterns were added.</li>\n\n\n\n<li>Pattern locking features</li>\n\n\n\n<li>Light/dark version of the same pattern.</li>\n</ul>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>If that topic interests you more, <strong>Justin Tadlock</strong> wrote a post on the Developer Blog, introducing <a href=\"https://developer.wordpress.org/news/2022/11/creating-themes-from-a-pattern-first-mindset/\"><strong>Creating Themes from a Pattern-first mindset</strong></a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Ganesh Dahal</strong>&nbsp;wrote on CSS Tricks on <a href=\"https://css-tricks.com/managing-fonts-in-wordpress-block-themes/\"><strong>Managing Fonts in WordPress Block Themes</strong></a>. &#8220;Block themes can indeed use Google Fonts, but the process for registering them is way different from what you might have done before in classic themes.&#8221; he explained. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test, and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<p>On the WordPress Developer Blog, <strong>Daisy Olse</strong>n takes you along when she shows you  <a href=\"https://developer.wordpress.org/news/2023/03/block-theme-templates-the-easy-way-to-build-an-elegant-grid-of-posts/\"><strong>Block theme templates: the easy way to build an elegant grid of posts</strong></a>. <em>&#8220;WordPress block themes let you lay out your home page in countless ways, with endless flexibility. To get you started and show you just a few of the possibilities, this tutorial will help you build a magazine-style home page that shows several recent posts and then a traditional post list for inner pages.</em>&#8220;Olsen summarized. Olsen also live-streams regularly <a href=\"httpa://twitch.com/daisyonwp\">on Twitch</a>: Next event: Friday, March 31, 2023 7:30 AM to 9:00 AM Topic: <a href=\"http://clicks.meetup.com/ls/click?upn=XbaZ37larFA-2FuV5MohrYpdrra25MtI4CzodbRR1Rd1lcKVfFkaiAkMoxUvY-2FRvTYasrl05OpUEx72RVyvunbnfpl8aYBoogyprZFTIpUpo22NL-2FoQHUOrtYIfxI6PjJVQFCmp-2B2S-2Fq4FTLYKBM-2BmtFcLYWugMTX9zP0bhY6zZ3DLzmpF0KtJjZgT2sqIJWMLmpmnqQgZd0lq2xEArTmYCpw3GjujFvusA8j5HeNyemAoWMY12BDWC9aKbhEdL43wbmWxsdhlCn-2BVgCcoZjW3jRMKI9i3RSODpkr-2BEywOkyA-3DTYl__J40Cm482JAfcu64pauD5epBU-2Bh0Rd-2FPWHzdxWXz1rewkAa1qNT6zJlNeHNYZFAj0LnD-2Bb1AhQQSz4XVimu5ikL4v4OY5PmVLKfMIPDvE6BMosM9bkdqfAXKOIvxARLwcEaswvLfrjbcOYXZ6C3kRPGZOIfCYy917Fg5QeBskFMUyf3q4tnOMOPPjOqOaBMCUzD1FgXVOIMNE3e3r-2BhQukqfMyS-2FyScFE4d0bJew1heuXhcM4totKIVcUclpyh59sJALeLnEd7rm1-2Fqjh48JlQHN5Mu3Av-2FsH9ygknQvsc5x0A0KIrnZTxG3h2GrtpO7CVUdQl4Bc6wM2zHjt9-2B787S0FNwx7tr-2BI0gnbVhh3msWhB3gwO8L9YvSr-2BK297Bd2xRLzyP5phQS6MLNc8DjP1QvXnZNFPgnkJBi01ij4rj1YPcsSY-2Fo0gaDXyr-2FQVIUGP-2FQRg-2BDysOhbjHIF9IWpTizgKY1H8lY112ok0qu4wmRXXbjeFAqRqDstHdKbn1To22RrqAWiHnuz8gFPcdlUc2AGP-2BiO7jlJY-2BMMFkuaCYYcqV97OLC4u05JDD2KYzbB3loEraPvrnPo83nKJ4w-2B4GQleteGxeO-2BNZkBi5jVzF93Gz-2FQ41-2FqSCjNgHh46QPbQonA1BfYS3KYXiaPoCQTtqTjxDRRvuZOgrx6MeiNm0WMa-2BvS3qV0FFYDI54etDZF01xqafJyfVV0kXDBt7dNp0zsnZNMsTYIVXwErz8HEozy6mQquv99qo2jE-2FsMC7WE\" target=\"_blank\" rel=\"noreferrer noopener\">Block Themes and WordPress: Exploring WordPress 6.2</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p>In his latest recording, <strong>Ryan Welcher</strong> wrapped up <a href=\"https://www.youtube.com/watch?v=88c6z1XEvG0\"><strong>building an OpenAI block for WordPress</strong></a>. In a previous edition, Welcher built an OpenAI integrated block that can generate images for use in our content. In this show, he turned it into a plugin that is part of the editor interface and inserted image blocks automatically after uploading the selected image. </p>\n\n\n\n<p>If you missed the earlier parts of this series, they are also available on YouTube</p>\n\n\n\n<ul>\n<li><a href=\"https://www.youtube.com/watch?v=bQS69SglWOg\">Integrating OpenAI with a custom block. Part One</a></li>\n\n\n\n<li><a href=\"https://www.youtube.com/watch?v=gIJwXEXt7xE\">Integrating OpenAI with a custom block. Part Two</a></li>\n</ul>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Using the WordPress REST API is how block editor development interacts with data. <strong>Jonathan Bossenger</strong> created a series of Workshops on how to use the API.</p>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/2023/01/13/lets-code-using-the-wordpress-rest-api/\"><strong>Using the WP REST API</strong></a>: Learn how to use the WP REST API to interact with existing WordPress data.</li>\n\n\n\n<li><a href=\"https://wordpress.tv/2023/01/20/lets-code-interacting-with-the-wp-rest-api/\"><strong>Interacting with the WP REST API</strong></a>: Learn how to interact add and delete data. The tutorial also looks at a useful developer tool for testing endpoints.</li>\n\n\n\n<li><a href=\"https://wordpress.tv/2023/01/27/lets-code-wp-rest-api-updates-custom-fields-and-authentication/\"><strong>WP REST API updates, custom fields, and authentication</strong></a>: Learn how to use the REST API and Backbone.js to make update requests, add/update custom fields, and authenticate requests when logged out.&nbsp;</li>\n\n\n\n<li><strong><a href=\"https://wordpress.tv/2023/02/03/lets-code-wp-rest-api-modifying-responses/\">WP REST API – modifying responses</a>:</strong> Learn one of the ways to extend the REST API by modifying responses.</li>\n\n\n\n<li><a href=\"https://wordpress.tv/2023/02/10/lets-code-wp-rest-api-custom-routes-and-endpoints/\">WP REST API – custom routes and endpoints</a>: Learn how to create custom routes and endpoints and test them with Postman.</li>\n</ul>\n\n\n\n<p>I also highly recommend watching <strong>K. Adam White</strong>&#8216;s talk at WordCamp Asia on&nbsp;<a href=\"https://asia.wordcamp.org/2023/session/getting-the-most-out-of-the-rest-api/\"><strong>Getting the most out of the REST API</strong></a>. During the talk, White renamed it to&nbsp;<em>“Getting the most out of WordPress when you’re writing Block Editor code”.</em> (<a href=\"https://www.youtube.com/live/vrDwB7iuHL8?t=2299\">Recording</a>)&nbsp;(<a href=\"https://docs.google.com/presentation/d/1PQVcTzcUP2xRbwjEjqo8VENxU7fiDBtz8U7R4cA0-IE/edit#slide=id.g1f27001dabd_0_8\"><strong>Slidedeck</strong></a>)</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<p class=\"has-text-align-right has-small-font-size\"><em>Questions? Suggestions? Ideas? Don&#8217;t hesitate to send <a href=\"mailto:pauli@gutenbergtimes.com\">them via email</a> or send me a message on WordPress Slack or Twitter @bph</em>. </p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\">For questions to be answered on the <a href=\"http://gutenbergtimes.com/podcast\">Gutenberg Changelog</a>, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image: &#8220;Container&#8221; by Izabela Reimers is licensed under CC BY-NC-SA 2.0.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 18 Mar 2023 05:33:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"WPTavern: WordPress Launches Wapuu Coloring Giveaway to Celebrate Upcoming 20th Anniversary\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142834\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"https://wptavern.com/wordpress-launches-wapuu-coloring-giveaway-to-celebrate-upcoming-20th-anniversary\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2364:\"<p>Wapuu lovers who are looking for a relaxing weekend activity will want to check out WordPress&#8217; recently launched <a href=\"https://wp20.wordpress.net/wapuu-coloring-giveaway-style-your-own-party-wapuu/\">Wapuu Coloring Giveaway</a>. The challenge is to style your own 20th anniversary party Wapuu using crayons, markers, colored pencils, pastels, or even digital drawing tools.</p>\n\n\n\n<p>Three random entries will be selected (which is why it&#8217;s called a giveaway and not a contest) to receive limited edition swag:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>You have a chance to win one of three WP20 Swag Kits, complete with a variety of unique anniversary goods. From lapel pins to stickers, and some surprise mystery items, they’ll be a memorable collection for this milestone moment in WordPress history. </p>\n</blockquote>\n\n\n\n<p>Participants will need to download the Wapuu coloring set, which comes in different file types (.pdf, .png, .svg, and .ai). Finished wapuu coloring creations can be shared on Twitter using the <a href=\"https://twitter.com/hashtag/WapuuWP20\">#WapuuWP20</a> hashtag to enter the giveaway. So far there are just a handful of party wapuus that have been submitted via Twitter, but email is another option if you want to send it privately or don&#8217;t have a Twitter account.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Long way from the Himalayan kingdom Bhutan, the land of gross national happiness with a population of 700,000 plus, would like to congratulate WordPress Communities worldwide in advance for our upcoming huge celebration on making it to the 20TH WordPress Anniversary. <a href=\"https://twitter.com/hashtag/WapuuWP20?src=hash&ref_src=twsrc%5Etfw\">#WapuuWP20</a> <a href=\"https://t.co/Ml1Wz7m8nx\">pic.twitter.com/Ml1Wz7m8nx</a></p>&mdash; Ugyen Dorji Organizing #WCAsia (@ugyendzodorji) <a href=\"https://twitter.com/ugyendzodorji/status/1636280709890576385?ref_src=twsrc%5Etfw\">March 16, 2023</a></blockquote>\n</div>\n\n\n\n<p>Entrants must be 18 years old to win, but the coloring page is fun for kids even if they won&#8217;t have the chance to win swag. WordPress will celebrate its 20th anniversary on May 27, but the deadline to submit wapuu creations is April 17, 2023, at 03:59 UTC. Winners will be contacted via Twitter or email.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Mar 2023 21:54:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WordCamp Central: WordCamp Buffalo 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=3163106\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://central.wordcamp.org/news/2023/03/wordcamp-buffalo-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1802:\"<a href=\"https://profiles.wordpress.org/empireoflight/\"><img /></a>WordCamp Buffalo 2023 logo. Design by Ben Dunkle.\n\n\n\n<p>Buffalo again will host the region’s WordCamp for bloggers and web designers and developers of all skill levels. Novices are very welcome. WordCamp Buffalo will be held Saturday, May 6, 2023.</p>\n\n\n\n<p>Registration opens at 8:00am. Sessions begin at 9 a.m. and continue through 5 p.m. This year’s WordCamp will be held at Ken-Ton Elmwood Commons, 3200 Elmwood Ave Suite 110, Kenmore, NY 14217. Tickets are required in advance.</p>\n\n\n\n<p>The $25 ticket cost covers WordCamp Buffalo swag, morning coffee, lunch, and the evenings’s after-party food. Participants are strongly encouraged to bring their laptops or tablets. Ticket purchase and program details are available at <a href=\"https://buffalo.wordcamp.org/2023\">buffalo.wordcamp.org/2023</a>. The capacity for this event is about 120 people, so getting tickets early is advised.</p>\n\n\n\n<p>WordCamps are held worldwide, locally run and purposely at a low cost for accessibility to all. WordCamp Buffalo is dedicated to WordPress, blogging and web facility. WordCamps are sponsored by WordPress, the open-source, free, not-for-profit platform for individuals, groups and businesses to build their own blogs and websites. WordPress.org began in 2003. Its administrators call it the “largest self-hosted blogging tool in the world, used on millions of sites and seen by tens of millions of people every day.”</p>\n\n\n\n<p>Similar to previous years, Buffalo’s 2023 WordCamp will divide its workshops along two tracks, with sessions for every ability and level of use.</p>\n\n\n\n<p>Speakers will include WordPress users from Buffalo, Rochester, and beyond, with experience ranging from user/blogger to advanced developer.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Mar 2023 14:30:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Michelle Frechette\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"WordCamp Central: WordCamp Entebbe 2023: An Amazing Recap\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=3163170\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"https://central.wordcamp.org/news/2023/03/wordcamp-entebbe-2023-an-amazing-recap/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4374:\"<p>WordCamp Entebbe, a two-day event that took place on the 10th and 11th of March, 2023, was a resounding success and was attended by over 200 people. The event, which was focused on the WordPress content management system, drew attendees from across Uganda and beyond. However, what made this event stand out was its commitment to gender diversity in the tech industry.</p>\n\n\n\n<p>The organizers of WordCamp Entebbe made a concerted effort to ensure that women were well-represented at the event. The gender diversity program featured female speakers and student attendees. This program was designed to inspire more women to pursue careers in technology, and it proved to be a huge success.</p>\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image2-1024x683.jpg\" alt=\"A person stands on a stage with a microphone.\" />\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image4-1024x683.jpg\" alt=\"The group poses for a photo.\" width=\"670\" height=\"446\" />Students pose for a group photo with the lead organiser Arthur Kasirye \n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image6-1024x683.jpg\" alt=\"The group poses for a photo.\" />Students arriving at the WordCamp\n\n\n\n<p>Over the course of the two-day event, attendees had the opportunity to attend a wide range of sessions, workshops, and presentations. Many of these were led by female speakers who shared their experiences and expertise with the audience.&nbsp;</p>\n\n\n\n<p>The topics covered ranged from beginner-level introductions to WordPress to more advanced topics such as website optimization, content creation, and web security.</p>\n\n\n\n<p>One of the most inspiring sessions of the event was a panel discussion on women in tech. This session featured female leaders in the Ugandan tech industry who shared their experiences and insights with the audience. The panelists talked about the challenges they had faced as women in a male-dominated industry and offered advice on how to overcome those challenges.</p>\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image7-1024x684.jpg\" alt=\"A group is sitting in chairs.\" />Women Panel at the Wordcamp\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image5-1024x880.jpg\" alt=\"The group poses for a photo.\" />\n\n\n\n<p>Another highlight of WordCamp Entebbe was the student program. This program provided an opportunity for students to attend the event and learn more about WordPress and the tech industry in general. The students were able to attend workshops and presentations, network with professionals in the industry, and gain valuable insights into the world of tech as well as introduced to the new study curriculum of the Directorate of Industrial Training (DIT) a Ugandan quality assurance directorate offering nationally, regionally and internationally recognized quality assurance services for the Business, Technical, Vocational Education and Training (BTVET) were students can use WordPress in their final year projects and graded on a national level.</p>\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image3-1024x683.jpg\" alt=\"A group is observing a laptop.\" />Students learning to install WordPress website\n\n\n\n<p>This year’s WordCamp was led by Kasirye Arthur the leader of the&nbsp;<a href=\"https://www.meetup.com/entebbe-wordpress-meetup/\" target=\"_blank\" rel=\"noreferrer noopener\">WordPress Community in Entebbe</a>&nbsp;who is also a community lead for&nbsp;<a href=\"https://www.meetup.com/kampala-woocommerce-meetup-group/\" target=\"_blank\" rel=\"noreferrer noopener\">Woocommerce</a>&nbsp;and&nbsp;<a href=\"https://www.meetup.com/elementor-uganda-meetup-group/\" target=\"_blank\" rel=\"noreferrer noopener\">Elementor</a></p>\n\n\n\n<p>Overall, WordCamp Entebbe was a hugely successful event that demonstrated the power of gender diversity in the tech industry.&nbsp;</p>\n\n\n\n<p>By creating a program that was focused on empowering women in Tech, the organizers of this event helped to inspire a new generation of female technologists. It is our hope that more events like WordCamp Entebbe will be organized even in schools so that we can continue to build a more diverse and inclusive tech industry.&nbsp;</p>\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image8-1024x684.jpg\" alt=\"The group poses for a photo.\" width=\"670\" height=\"447\" />WordCamp Entebbe organising Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Mar 2023 09:30:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Kasirye Arthur\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"WPTavern: Equalize Digital Raises Pre-Seed Funding for Expanding Accessibility Checker Plugin Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142818\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"https://wptavern.com/equalize-digital-raises-pre-seed-funding-for-expanding-accessibility-checker-plugin-development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3689:\"<p>Equalize Digital, a WordPress accessibility products and consulting company, has <a href=\"https://equalizedigital.com/equalize-digital-receives-investment-emilia-capital/\">received an undisclosed amount of pre-seed funding</a> from Emilia Capital, the investment company owned by Joost de Valk and Marieke van de Rakt. The investment will be used to accelerate the growth of Equalize Digital&#8217;s <a href=\"https://equalizedigital.com/accessibility-checker/\">Accessibility Checker plugin</a>, a tool for auditing websites for WCAG, ADA, and Section 508 accessibility errors.</p>\n\n\n\n<p>Emilia Capital now owns part of the company, although its owners were not given seats on the board. Equalize Digital founder and CEO Amber Hinds said they will be serving as advisors and playing a role in strategic planning, especially around marketing and plugin development.</p>\n\n\n\n<p>The Accessibility Checker plugin currently has approximately 2,000 active installs, according to <a href=\"https://wordpress.org/plugins/accessibility-checker/\">WordPress.org stats</a>, and the commercial upgrades make up a small percentage of Equalize Digital&#8217;s current revenue.</p>\n\n\n\n<p>&#8220;We built the initial MVP in 2020 with an SBA loan and since then the plugin has been bootstrapped by profits from the service side of our business,&#8221; Hinds said. &#8220;My partner Steve and I have been splitting our time between client work and working on the plugin.</p>\n\n\n\n<p>&#8220;We decided to bring on an investor because our ultimate goal is for the product to make up a significant portion of our revenue. It&#8217;s challenging to rapidly grow a product that isn&#8217;t yet self-sustaining, hence seeking investors. The funds will allow us to have full-time team members building new features, and also further invest in marketing, education, and sales than was possible while we were bootstrapping.&#8221;</p>\n\n\n\n<p>Hinds said the features her team is targeting are aimed at making the plugin a more competitive accessibility auditing tool when compared with other existing SaaS solutions. </p>\n\n\n\n<p>&#8220;Our focus right now is making our reports easier to understand by less technical users,&#8221; Hinds said. &#8220;The next major release with be a feature that allows people to click a button and highlight elements on the front end of the website, which will make it easier to find the element flagging the issue without having to interpret a code snippet.</p>\n\n\n\n<p>&#8220;Other features that we have on the road map include scanning and reporting on archive pages for posts and taxonomies, improved scanning of non-English sites, and the ability for accessibility testers to log issues found during manual accessibility audits.&#8221;</p>\n\n\n\n<p>Hinds said she was encouraged by the findings in the recent <a href=\"https://theadminbar.com/2023-survey/\">Admin Bar survey of WordPress professionals</a>, which showed that 76.9% report they are striving for best practices when it comes to website accessibility, a significant increase from the previous year. With the new investment, Equalize Digital will be able to do more marketing to increase awareness and adoption of its tools.</p>\n\n\n\n<p>&#8220;Ultimately I would like to see accessibility being considered during website builds in the same way that SEO is, and we&#8217;re hoping that our plugin will central to that,&#8221; Hinds said. &#8220;It&#8217;s why the free version of our plugin is much more full-featured than similar plugins. Other accessibility tools are prohibitively expensive for small businesses and bloggers. We&#8217;re aiming to build a tool that makes accessibility testing available to everyone.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Mar 2023 03:33:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"WPTavern: Local 6.7.0 Adds Long-Requested Site Grouping Feature\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142784\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://wptavern.com/local-6-7-0-adds-long-requested-site-grouping-feature\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2533:\"<p>WP Engine&#8217;s <a href=\"https://localwp.com/\">Local</a> development app has released <a href=\"https://localwp.com/releases/6.7.0/\">version 6.7.0</a> with Site Grouping, a highly requested feature that will greatly improve users&#8217; workflows. It allows users to create custom groups in the sidebar of the Local dashboard page for better organization of their sites.</p>\n\n\n\n<p>Local users have been <a href=\"https://community.localwp.com/t/group-sites-in-folder-in-sidebar/454/25\">asking for this feature</a> since 2017, as many are managing dozens of WordPress sites. In June 2022, the Local development team began designing and then building the feature a couple months later, incorporating feedback from user interviews and usability testing.</p>\n\n\n\n<p> In the new Site Grouping feature, sites can be easily dragged between groups and groups can be reordered up or down, as illustrated in the release notes.</p>\n\n\n\n<img /><a href=\"https://localwp.com/releases/6.7.0/\">Local 6.7.0 release notes</a>\n\n\n\n<p>Another handy feature released with Site Grouping is the ability to start, stop, restart, or delete all the sites in a group from the context menu (the three dots to the right of the group name). Sites can also be sorted by how recently they were used via the clock icon at the top of the groups sidebar. </p>\n\n\n\n<p>To get users started, all their Starred sites have been placed in a new Starred group at the top of the sidebar. Full <a href=\"https://localwp.com/help-docs/local-features/site-grouping-feature/\">documentation for using the new Site Grouping feature</a> is available in Local&#8217;s help resources.</p>\n\n\n\n<p><a href=\"https://deliciousbrains.com/wp-migrate-db-pro/\">WP Migrate</a>, formerly known as WP Migrate DB and recently <a href=\"https://wptavern.com/wp-engine-acquires-5-plugins-from-delicious-brains\">acquired by WP Engine</a>, introduced <a href=\"https://wptavern.com/wp-migrate-2-6-introduces-full-site-exports-and-import-to-local\">full-site exports and imports to Local</a> in January 2023. Local version 6.7.0 improves imports from WP Migrate so that they auto-select the PHP, web server, and database version closest to the production environment if Local offers the same major/minor version.</p>\n\n\n\n<p>This release also includes several bug fixes with Local importing or pulling to an existing site, where the site&#8217;s existing settings or environment were not applied. If you experienced this bug, make sure to update to the latest 6.7.0 release before attempting more imports.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 16 Mar 2023 17:27:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"Post Status: WordPress 6.2 RC2 • Plugin Review Team Retirement News • WP20 Giveaway\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148272\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://poststatus.com/wordpress-6-2-rc2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:22040:\"<h2 id=\"h-this-week-at-wordpress-org-march-13-2023\">This Week at WordPress.org (March 13, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">Discover WordPress 6.2&#8217;s new features, accessibility enhancements, and developer updates. Contribute to the community by joining the Contributor Working Group. Explore new block theme template. Engage in discussions on mentorship programs. Celebrate WP20 and participate in the Wapuu Coloring Giveaway. </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fas_hand-holding-heart kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\">WP 6.2 RC2 • Plugin Review Team Announces Mika&#8217;s Retirement • WP20 Giveaway</h2><p class=\"kt-blocks-info-box-text\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f9ea.png\" alt=\"🧪\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\">WordPress 6.2 Release Candidate 2</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4fa.png\" alt=\"📺\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">Your WordPress 6.2 Preview</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64b-1f3fe.png\" alt=\"🙋🏾\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f5fa.png\" alt=\"🗺\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f44b-1f3fb.png\" alt=\"👋🏻\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/plugins/2023/03/10/advance-notice-of-retirement/\">Advance Notice of Mika&#8217;s Plugin Review Retirement</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\">WordPress 6.2 Release Candidate 2</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/episode-51-is-routine-a-rut/\">WP Briefing: Episode 51: Is Routine a Rut?</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">Your WordPress 6.2 Preview</a></li>\n\n\n\n<li><a href=\"https://wp20.wordpress.net/wapuu-coloring-giveaway-style-your-own-party-wapuu/\">Wapuu Coloring Giveaway: Style Your Own Party Wapuu</a></li>\n\n\n\n<li><a href=\"https://wp20.wordpress.net/celebrate-with-wordpress/\">WP20 Celebrations – Join in the Party – Online &amp; In-Person</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"is-layout-flex wp-container-19 wp-block-columns\">\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-accessibility\"><a href=\"https://make.wordpress.org/accessibility\">Accessibility</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/accessibility/2023/03/13/accessibility-team-meeting-agenda-march-17-2023/\">Accessibility Team Meeting Agenda: March 17, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/03/13/combining-roles-to-create-a-new-contributor-ladder/\">Combining Roles to Create a New Contributor Ladder</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/13/proposal-updates-to-the-mentor-program/\">Proposal: Updates to the Mentor Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/10/launching-the-contributor-working-group-call-for-volunteers/\">Launching the Contributor Working Group: Call for Volunteers</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/08/recap-of-the-diverse-speaker-training-group-wpdiversity-amer-emea-on-march-8-2023/\">Recap of the Diverse Speaker Training group (#WPDiversity) AMER/EMEA on March 8, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/08/announcing-new-handbook-pages-on/\">Running Funds Outside of WPCS</a></li>\n</ul>\n\n\n\n<h2 id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/13/a-week-in-core-march-13-2023/\">A Week in Core – March 13, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/13/whats-new-in-gutenberg-15-3-13-march/\">What’s new in Gutenberg 15.3? (13 March)</a> </li>\n</ul>\n\n\n\n<h3 id=\"h-wordpress-6-2\">WordPress 6.2</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/14/fyi-navigation-section-of-new-site-editor-experienced-removed-for-6-2-rc-2/\">FYI: Navigation section of new Site Editor experienced removed for 6.2 RC 2</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/14/wordpress-6-2-translation-status-march-14-2023/\">WordPress 6.2 Translation Status (March 14, 2023)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/04/wordpress-6-2-ready-to-be-translated/\">WordPress 6.2 ready to be translated</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a>\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/08/requests-library-upgraded-to-2-0-5-in-wordpress-6-2/\">Requests library upgraded to 2.0.5 in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/patterns-api-expanded-to-include-template_types-property/\">Patterns API expanded to include template_types property</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/\">Introduction of Block Inspector Tabs</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/\">Shadows in Global Styles with WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/\">Introducing the HTML API in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-editor-changes-in-wordpress-6-2/\">Miscellaneous Editor changes in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-move_dir-in-wordpress-6-2/\">Introducing move_dir() in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/\">Sticky position block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/upgrading-to-react-18-and-common-pitfalls-of-concurrent-mode/\">Upgrading to React 18 and common pitfalls of concurrent mode</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/add-new-prop-to-serversiderender-component/\">Add new prop to ServerSideRender component</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/google-fonts-are-included-locally-in-bundled-themes/\">Google Fonts are included locally in bundled themes</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/\">Custom CSS for global styles and per block</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/\">Minimum height dimensions block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/i18n-improvements-in-6-2/\">I18N Improvements in 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/custom-settings-wordpress-6-2/\">Customize settings for any block in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/19/style-book-preview-of-blocks-in-global-styles/\">Style Book preview of blocks in global styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/12/09/update-to-content-only-editing-filter-namespace/\">Update to content only editing filter namespace</a></li>\n</ul>\n</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/wordpress-6-2-beta-4-postponed/\">WordPress 6.2 Beta 4 Postponed</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/wordpress-6-2-beta-3/\">WordPress 6.2 Beta 3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 Live Product Demo</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/03/hallway-hangout-performance-improvements-for-wordpress-6-2/\">Hallway Hangout: Performance Improvements for WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/18/bug-scrub-schedule-for-6-2/\">Bug Scrub Schedule for 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/11/early-bug-scrub-schedule-for-wp-6-2/\">Early bug scrub schedule for WP&nbsp;6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/17/wordpress-6-2-planning-roundup/\">WordPress 6.2 Planning Roundup</a></li>\n</ul>\n\n\n\n<h3 id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/14/dev-chat-agenda-wednesday-march-15-2023/\">Dev Chat Agenda, Wednesday March 15, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/14/editor-chat-agenda-march-15-2023/\">Editor Chat Agenda: March 15, 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-developer-blog\">Developer Blog</h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/03/block-theme-templates-the-easy-way-to-build-an-elegant-grid-of-posts/\">Block theme templates: the easy way to build an elegant grid of posts</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/whats-new-for-developers-march-2023/\">What’s new for developers? (March 2023)</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/block-deprecation-a-tutorial/\">Block deprecation – a tutorial</a></li>\n</ul>\n\n\n\n<h2 id=\"h-design\"><a href=\"https://make.wordpress.org/design\">Design</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/design/2023/03/13/design-share-feb-13-mar-10/\">Design Share: Feb 13–Mar 10</a></li>\n</ul>\n\n\n\n<h2 id=\"h-do-action\"><a href=\"https://doaction.org/\">do_action</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://doaction.org/event/ruralhackers/\">Rural Hackers Do_Action 2023 in Anceu Spain</a></li>\n</ul>\n\n\n\n<h2 id=\"h-docs\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/03/16/agenda-for-docs-team-bi-weekly-meeting-march-21-2023/\">Agenda for Docs Team bi-weekly meeting March 21, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/03/16/summary-for-docs-team-meeting-march-7-2023/\">Summary for Docs Team meeting, March 7, 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/03/14/hosting-team-meeting-agenda-2023-03-15/\">Hosting Team meeting agenda 2023-03-15</a></li>\n</ul>\n\n\n\n<h2 id=\"h-marketing\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/14/notes-global-marketing-team-meeting-5-march-2023/\">Notes: Global Marketing Team meeting, 5 March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/13/notes-global-marketing-team-meeting-28-february-2023/\">Notes: Global Marketing Team meeting, 28 February 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/03/15/community-meeting-recap-14-march-2023/\">Community Meeting Recap (14 March 2023)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/03/14/last-week-openverse-2023-03-06-2023-03-13/\">A week in Openverse: 2023-03-06 – 2023-03-13</a></li>\n</ul>\n\n\n\n<h2 id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/14/performance-chat-summary-14-march-2023/\">Performance Chat Summary: 14 March 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/03/10/advance-notice-of-retirement/\">Advance Notice of Retirement</a></li>\n</ul>\n\n\n\n<h2 id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/15/polyglots-monthly-newsletter-march-2023/\">Polyglots Monthly Newsletter: March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/14/wordpress-6-2-translation-status-march-14-2023/\">WordPress 6.2 Translation Status (March 14, 2023)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/14/agenda-weekly-polyglots-chat-march-15-2023-1300-utc/\">Agenda: Weekly Polyglots Chat – March 15, 2023 (13:00 UTC)</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins-1\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/03/10/advance-notice-of-retirement/\">Advance Notice of Retirement</a></li>\n</ul>\n\n\n\n<h2 id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">Proposal: Creating a WordPress Contributor Mentorship Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/01/27/discussion-ending-the-eternal-september/\">Discussion: Ending the Eternal September</a></li>\n</ul>\n\n\n\n<h2 id=\"h-support\"><a href=\"https://make.wordpress.org/support\">Support</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/03/agenda-for-march-16th-support-meeting-2/\">Agenda for March 16th Support Meeting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/03/summary-for-march-9th-support-meeting/\">Summary for March 9th Support Meeting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/03/support-ticket-triage-session-march-22th-2023-at-1600-utc/\">Support ticket triage session – March 22th 2023 at 16:00 UTC</a></li>\n</ul>\n\n\n\n<h2 id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/03/14/hallway-hangout-lets-chat-about-all-things-layout/\">Hallway Hangout: Let’s chat about All Things Layout</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/03/14/test-chat-summary-14-march-2023/\">Test Chat Summary: 14 March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a></li>\n</ul>\n\n\n\n<h2 id=\"h-theme\">Theme</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/03/15/themes-team-meeting-notes-march-14-2023/\">Themes Team Meeting Notes –&nbsp;March 14, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\">Hallway Hangout: Community Themes Initiative</a></li>\n</ul>\n\n\n\n<h2 id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/03/13/meeting-agenda-for-march-14-2023/\">Meeting Agenda for March 14, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/10/dev-squad-update-triage-sessions-planning/\">Dev-squad update: Triage sessions planning</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/10/training-team-meeting-recap-for-march-7-2023/\">Training Team Meeting Recap for March 7, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/08/introduction-to-wordpress-development-a-proposed-learning-path/\">Introduction to WordPress&nbsp;Development: A proposed learning path</a></li>\n</ul>\n\n\n\n<h3 id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=lets-code-developing-user-roles-and-capabilities\">Let’s code: developing user roles and capabilities</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-developing-wordpress-user-roles-and-capabilities-2\">WP dev livestream: Developing WordPress user roles and capabilities</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=updating-a-blogs-design-informal-live-stream-part-3\">Updating a blog’s design (Informal live stream) – Part 3</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=%E3%82%AF%E3%83%A9%E3%82%B7%E3%83%83%E3%82%AF%E3%82%A8%E3%83%87%E3%82%A3%E3%82%BF%E3%83%BC%E3%81%8B%E3%82%89%E3%83%96%E3%83%AD%E3%83%83%E3%82%AF%E3%82%A8%E3%83%87%E3%82%A3%E3%82%BF%E3%83%BC%E3%81%AB\">クラシックエディターからブロックエディターに移行するノウハウ</a></li>\n</ul>\n\n\n\n<h3 id=\"h-lesson-plans\">Lesson Plans</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/lesson-plan/pagine-vs-articoli/\">Pagine vs. articoli</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/lesson-plan/cosa-fare-quando-non-ti-ricordi-la-password/\">Cosa fare quando non ti ricordi la password</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/lesson-plan/ta-dashboard-overview/\">டாஷ்போர்டு மேலோட்டம்</a></li>\n</ul>\n\n\n\n<h2 id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-2\">PHP 8.2.3 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-3\">PHP 8.1.16 Released!</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/13.0/\">TC39</a></li>\n\n\n\n<li><a href=\"https://github.com/composer/composer/releases/tag/2.5.4\">Composer 2.5.4</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 16 Mar 2023 17:01:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"Post Status: Post Status Live – The Right Approach to WordPress Accessibility\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148252\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://poststatus.com/post-status-live-the-right-approach-to-wordpress-accessibility/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:105788:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">If you’re a leader, a developer, or a designer about to start a major website project, this webinar will help you navigate the important topic of accessibility. <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> is joined by the team at <a href=\"https://tri.be/\">Modern Tribe</a> &#8211; <a href=\"https://twitter.com/ChrisMKindred\">Chris Kindred</a>, Director of Backend Development, <a href=\"https://twitter.com/sarahgless\">Sarah Gless</a>, Creative Director, and <a href=\"https://twitter.com/mjklanac\">Mike Klanac</a>, Director of Business Development, to discuss why accessibility is imperative and how to integrate it into each aspect of development and implementation. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">45</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">The talented team from <a href=\"https://tri.be/\">Modern Tribe</a>  joined <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> for this critical discussion about accessibility in WordPress. They highlight accessibility as a non-negotiable aspect of web development and provide guidance for leaders, developers, and designers to ensure your websites are accessible to all people.</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"><strong>Top Takeaways:</strong></p>\n\n\n\n<ul type=\"video\" class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">\n<li><strong>Why Value Accessibility? </strong>Accessibility ensures all people have access to the things we create. It can’t be an afterthought or something for the web dev team to figure out. It must drive the entire creative process and serve as an anchor to ground our teams and our work.</li>\n\n\n\n<li><strong>Requirement vs. Challenge.</strong> Most creative projects work within a set of requirements. These don’t prohibit the creative process. Instead, they challenge us to enhance the things we build and make them better than we might have without thinking through and within these constraints.</li>\n\n\n\n<li><strong>It’s All Around Us.</strong> We think of accessibility as a new idea, but in so many spaces, it’s the norm. We have curb cutouts and braille signage. We see this every day, so tech is catching up.</li>\n\n\n\n<li>Improving Usability. Developing through the lens of accessibility means delivering experiences that solve people’s problems and help them with tasks.</li>\n\n\n\n<li><strong>It Takes Tools.</strong> The creative and engineering are just rails. Utilizing tools to ensure accessibility when publishing and setting up processes and guidelines will equip you to flex as requirements change. It’s necessary for your organization to resource accessibility for it to be done effectively.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show<strong>:</strong></h3>\n\n\n\n<ul>\n<li><a href=\"https://tri.be/\">Modern Tribe</a></li>\n\n\n\n<li><a href=\"https://vimeo.com/148927676\">Eric Meyer</a></li>\n\n\n\n<li><a href=\"https://myspace.com/\">MySpace</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/brandondove\"></a><a href=\"https://twitter.com/ChrisMKindred\">Chris Kindred</a> (Director of Backend Development, <a href=\"https://twitter.com/pixel_jar\"></a><a href=\"https://twitter.com/ModernTribeAgcy\">Modern Tribe</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/sarahgless\">Sarah Gless</a> (Creative Director, <a href=\"https://twitter.com/pixel_jar\"></a><a href=\"https://twitter.com/ModernTribeAgcy\">Modern Tribe</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/mjklanac\">Mike Klanac</a> (Director of Business Development, <a href=\"https://twitter.com/pixel_jar\"></a><a href=\"https://twitter.com/ModernTribeAgcy\">Modern Tribe</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p>Cory Miller: [00:00:00] Everybody welcome back to another Post Status Live. This is where we<br />do, uh, webinars and interviews with our awesome members at Post Status. And today we&#8217;ve<br />got a great talented team from Modern Tribe.<br />I&#8217;m gonna let them unpack a little bit more about what Modern Tribe does and what they do at<br />Modern Tribe. But today, our topic is gonna be the right approach to WordPress accessibility.<br />This kinda, this really came to the forefront for us and why I sought these experts out because<br />accessibility is a non-negotiable for the web.<br />Um, and they&#8217;re gonna talk more about their passion, their experiences, their expertise around<br />that. But I will just say this is a topic that we need to be talking about more, and we&#8217;re<br />specifically doing this webinar, and I&#8217;ve asked them to come on and share. Particular areas and<br />work inaccessibility with WordPress.<br />But if you&#8217;re a leader, you&#8217;re a developer, you&#8217;re a designer, um, starting to embark on a, on a<br />website project and want rightly so, to [00:01:00] make sure your website is accessible to all<br />people. This is, this is the extended webinar for you. We&#8217;re gonna talk, we&#8217;re gonna talk about a<br />lot. We&#8217;re gonna talk about how does a c-suite or leadership team properly resource and lead,<br />uh, in the accessibility projects for your organization, all the way down to the developers,<br />designers, the people that use the website every single day to make sure you&#8217;re doing your best<br />for those, trying to access your website.<br />So, I wanna introduce these te these, uh, this team today, but I&#8217;m gonna let you do that. So,<br />Mike, could you start us off and share, um, a little bit about what you do with, with, uh, uh, your<br />work at Modern Tribe and, uh, your interest in this whole topic of accessibility?<br />Mike Klanac: Yeah, thanks Corey. Um, my name is Mike Klan.<br />I am the Director of Business Development at Modern Tribe. Um, that&#8217;s essentially a sales role<br />here. [00:02:00] Um, and, uh, I&#8217;m really excited to talk more about accessibility. Um, I, you know,<br />to be transparent, I was actually a little nervous at first, uh, because of my role as essentially a<br />sales role. And, um, this is such an important topic and, and Corey in like preparing for this, you<br />said something that, that resonated with me, which is, , you know, if this is important, um, don&#8217;t<br />feel bad about being an advocate for it and talking about it.<br />Um, so, uh, that helped build my confidence. So I&#8217;m excited to be here to talk more especially<br />about, uh, accessibility as it relates to leadership and as it relates to a core value that stretches<br />across all components of your business. Uh, so, um, yeah, I think continue on with introductions<br />and maybe I could circle back and, and tell you a little bit more about, uh, tribe and how long<br />we&#8217;ve been around.<br />Cory Miller: Yeah. We&#8217;ll, we&#8217;ll come back to you, but I think you, you know, one compelling<br />reason you&#8217;re here too is because you do talk to people that are making decisions, [00:03:00]<br />but not necessarily always the people doing the work too. And it&#8217;s a collaborative approach. And<br />I know your heart, you&#8217;re super, super humble, but very experienced.<br />Mm-hmm. , um, professional. So I&#8217;m really glad to have you on here and you&#8217;re gonna talk first<br />as we, after we do introductions about the whole leadership angle for all of this. Um, Chris and<br />Sarah. Yeah,<br />Chris Kindred: thanks. Um, my name&#8217;s Chris Kendrick. I am, uh, director of backend, um,<br />engineering here at Modern Tribe. Um, I, accessibility&#8217;s always been a passion of mine, um, and<br />it&#8217;s been, uh, really great to come on board at somewhere like Modern Tribe, where they take<br />flexibility so seriously.<br />So, uh, that&#8217;s always been a, a great thing for, for me, um, moving forward. So,<br />yeah.<br />Sarah Gless: Hi, I&#8217;m Sarah Glass. Oh, sorry.<br />Cory Miller: Yeah, yeah. Sorry. Go ahead Sarah. Yeah, thanks Chris.<br />Sarah Gless: Yeah, thank you for having us. Um, I&#8217;m Sarah Glass. I&#8217;m the creative Director at<br />Modern [00:04:00] Tribe. Ultimately, that means I&#8217;m in service to both our clients, making sure<br />that we&#8217;re shipping incredibly beautiful and, and and engaging work, um, as well as our design</p>\n\n\n\n<p>team, ensuring that, you know, they&#8217;re fulfilled in and the work that they&#8217;re doing, and we&#8217;re<br />continuously developing and pushing the work forward.<br />Um, I&#8217;m super passionate about accessibility too. You know, I think that, as you know, coming<br />from a design background, um, ultimately I wanna communicate effectively with, with, with<br />people. And, um, if, if you cut off people in those lanes of communication, um, how good is that<br />design? So I, I truly believe that good design is accessible design.<br />Um, super excited to, to be here and, and chat more about.<br />Cory Miller: I can&#8217;t wait to dig in with all three of you because what you just said, Sarah, is good<br />access, good accessibility is good design. And I think there&#8217;s probably a lot of designers out<br />there that just kind of like, oh, okay, we can do this. So I&#8217;m looking forward to talking more about<br />that, particularly, um, I&#8217;m gonna hype &#8217;em up,<br />[00:05:00] Yeah, absolutely. This can be, you know, that&#8217;s another message in all this, this can<br />be done. There is an approach, a good approach to it, and it is possible, and I think that&#8217;s a<br />really great message. Um, so Mike, before we kind of get into the actual topics, could you tell us<br />a little bit more about Modern Tribe as an agency?<br />Mike Klanac: Sure, sure. I&#8217;ll give you the short version. So, um, Modern Tribe, we like to call<br />ourselves a full service digital design and development agency. Um, we&#8217;ve been around for<br />about 15 years now, uh, and recently joined the liquid web family of brands. Um, I think like one<br />of the way, another way we describe ourselves is we say we connect to the touchpoints of your<br />digital ecosystem.<br />Um, and when I say that, I think what&#8217;s important to note is kind of that WordPress is often. the<br />center, it&#8217;s the hub, the WordPress TMS is the hub of that ecosystem. So we lean on, on<br />WordPress heavily. [00:06:00] Um, and our, our business, I mean, it sort of breaks down into<br />four key categories. There&#8217;s strategy, there&#8217;s content, there&#8217;s design, there&#8217;s engineering, um,<br />and that&#8217;s sort of who we are.<br />Um, accessibility of the topic at hand today, uh, as you&#8217;ll see it, it sort of permeates all of those<br />areas and it&#8217;s sort of core to who we are, um, as an organization. So, um, yeah, we&#8217;re, we&#8217;re<br />press agency.<br />Cory Miller: And I know you all work with some name brand organizations. Maybe you can&#8217;t all<br />talk about it, but I&#8217;m aware enough to know that you all have worked with some of the biggest<br />brands that are household names, helping them specifically, not just with their web, but also that<br />this important part, accessibility.<br />And some of these, uh, organizations, Mike, particularly I know from talking with you all<br />background about this, is if you take federal funding in any way, particularly in the United States,<br />it, it&#8217;s not even a conversation about is it, is [00:07:00] it a thing we should do? It&#8217;s like, no, you<br />do it. And I think that amps us up even more.<br />Um, thankfully, government non-profits have led the way with accessibility, but this is something<br />we&#8217;ll talk more about. Everybody should be doing this. Um, this is this, we&#8217;re in 2023 now today.<br />And it, this is just a part and I&#8217;m, that&#8217;s why, another reason I&#8217;m glad, but you all work with these<br />organizations where you&#8217;re like, there&#8217;s a lot of scrutiny on these organizations you work with.<br />That means that that&#8217;s a good thing in a way because they have to make sure, like Sarah was<br />saying, that this website is successful for anyone that wants to, to access it. So, uh, I think that&#8217;s<br />pretty critical and also demonstrates why I asked Modern Tribe and U three to come on to talk<br />about this today.<br />So, okay, here&#8217;s the layout. We&#8217;re gonna talk about leadership. Now for those of you watching<br />and listening, um, we&#8217;re gonna each, each of the experts, I&#8217;ve asked to talk about a specific area<br />related to their expertise, but you&#8217;re gonna hear from them. I&#8217;ve told them, I said, [00:08:00] I<br />don&#8217;t want you to stay silent.<br />Mike&#8217;s part part, I want you to contribute too, because. As we&#8217;ve talked and prepared for this, it&#8217;s<br />helped me understand this is a holistic process that everybody in the organization needs to<br />embrace. And so, again, I&#8217;ll, I&#8217;ll just say to y&#8217;all, please, if Mike&#8217;s talking, share something from<br />your perspective about this, uh, please do that.<br />Cause I think this is gonna help people. Our intention here is you&#8217;re trying to do right and good<br />by this for your website project. So I want you all to like, help them really understand these are<br />the things we work with clients about. These are the problems we see, these are the challenges<br />we see and here&#8217;s our thoughts.</p>\n\n\n\n<p>Because you, you are experts in this and you see things that I think could make those trying to<br />cross this threshold, um, truly be prepared for and make really good decisions that helps<br />everybody involved, even if they don&#8217;t choose modern tribe as the agency. So again, I think<br />that&#8217;s right on important.<br />Okay, so let&#8217;s just start right here, because [00:09:00] oftentimes, as I understand this, both<br />leading my own organizations, listening to you all and other agency members that post status, I<br />go, um, this type of decision needs to start at the, you know, the top of the hierarchy here. If the<br />leaders aren&#8217;t on board or don&#8217;t fully understand it, this is gonna be a problem.<br />So, I hope those leaders listening, this is your time to take notes because Mike, I, I want you to<br />kind of, what do you think of when you&#8217;re saying, okay, I am, let&#8217;s say a c e O of an organization<br />or in the C-suite or leadership team. I need to start helping think through this, you know,<br />accessibility for what we do on the web.<br />What stands out to you when we talked about leadership and WordPress accessibility.<br />Mike Klanac: Yeah, I&#8217;m, I&#8217;m so glad we get to talk about it from this perspective, because so<br />often accessibility can get pretty dense and technical right away. Um, but in today&#8217;s modern<br />world, uh, it it&#8217;s more than that. And it&#8217;s something that permeates all aspects of your business if<br />you [00:10:00] want it to be successful.<br />And therefore, it often has to start with leadership, um, realizing why it&#8217;s, IM important. Um, it&#8217;s,<br />it&#8217;s gotta be built as a core consideration, um, to all of those various layers. Uh, and the best<br />organizations, the really effective organizations that care and are considerate of their users<br />make this a, a core value.<br />It&#8217;s, it literally becomes, um, part of the culture. Top to bottom. Um, so I think one of the ways to<br />build that understanding is to really think about like, why you&#8217;re doing this. And we hit on the<br />legal implications initially, and I think that&#8217;s where a lot of people first start thinking about this for<br />some reason.<br />But you kind of need to back up and really remember that one of the first reasons this is<br />important is, is just morally, it&#8217;s, it&#8217;s morally important. It&#8217;s a part of digital inclusivity. We are<br />creating tools that serve [00:11:00] users, that serve people, and therefore we need to care for<br />them. We need to think about how they use it.<br />And that applies to all of the users. It&#8217;s an increasingly competitive world. We don&#8217;t have the<br />luxury of, um, excluding people because it&#8217;s not convenient to, um, build tools that serve them<br />effectively. So I think like we really need to ground ourselves in the moral component of this first,<br />which is it&#8217;s the right thing to do.<br />It&#8217;s just the right thing to do, therefore needs to be a leadership initiative. It needs to be brought<br />in, carried through to all components, all layers of your business. Okay. So that&#8217;s like the first<br />thing that I would probably tell a leader in this space is that make it a part of all of your thinking.<br />Cory Miller: I mean, you know, I, we were talking about a client used to consult with before we<br />started recording and I was like, you could tell there the client one did the traditional thing, print<br />off your core values, put it on all the doors, and you&#8217;re like, cool. Yeah. But what are your real<br />core values? [00:12:00] And it seems to me, as you talk about one, there is a business reason<br />to do this, very legitimate that it&#8217;s gonna get a lot of people&#8217;s attention.<br />But I think what you were, you&#8217;re saying is like it should reflect a value that you might not have<br />on the door, but like we care. Yes, we care about the whole population and being able to get to<br />the things that we offer. And if we don&#8217;t, it it, I mean that rings really true when you say that<br />business, there&#8217;s a legitimate business reason and that should hopefully check most boxes.<br />But I think the other thing is that you should actually just care. Yeah. We&#8217;ve all probably been<br />touched in some way with someone that has, uh, uh, uh, something that doesn&#8217;t allow them to<br />see, read, hear, whatever that is, um, that we need to be thinking about that. Just because we<br />don&#8217;t have that particular issue doesn&#8217;t mean there&#8217;s a pretty significant one is a significant<br />enough to me.<br />But I mean this, we&#8217;re talking about in this accessibility [00:13:00] conversation quite a bit of the<br />population that most organizations have flatly not even thought about till today.<br />Mike Klanac: Exactly. Yeah, I think it just sends the right message. You know, when you&#8217;re the<br />type of organization that takes the time to be deliberate and considerate of all of your users,<br />there&#8217;s probably an understanding that that carries through to your product.</p>\n\n\n\n<p>If you&#8217;re selling something, um, you, your service, your, your organization as a whole. So, um,<br />it&#8217;s just the right thing to do. And I think, I think we should just start there as it&#8217;s, it&#8217;s morally right.<br />And as you hit on, um, and to segue a little bit, there are legitimate business reasons. So, um,<br />making sure that your, your site is fully accessible, has this effect of improving the quality, the<br />experience for your users.<br />And that sort of in some ways overlays these other topics that we often talk about as like key<br />performance indicators for businesses. [00:14:00] Things like search engine optimization, um,<br />core web vitals. Um, these are adjacent to each other. So it it&#8217;s about creating an experience<br />that is a user experience that&#8217;s quality for everyone, and therefore your, your business will feel<br />that it&#8217;ll have an impact.<br />Um, so not only is it the right thing to do, morally a highly accessible site that&#8217;s gonna benefit<br />your, your clicks, your conversions, and all those things that we&#8217;ve spent so much time thinking<br />about, um, and that we&#8217;re starting to, to kind of like land a couple of really important reasons. It&#8217;s<br />like, you know, it&#8217;s what&#8217;s good as a person, it&#8217;s what&#8217;s good for business.<br />Um, it th those alone are, are enough reason, right, to really think long and hard about this. Um,<br />But there&#8217;s this final one too, which is the one we kind of backed into this from, which was,<br />there&#8217;s some legal requirements here. I I, I pulled a stat, and I think everyone&#8217;s aware of this,<br />but, [00:15:00] um, 2,800 accessibility lawsuits in 2021.<br />Um, that&#8217;s, that&#8217;s like, it&#8217;s a big deal. And those lawsuits, um, are meaningful and there&#8217;s a place<br />for them. Um, but more important than the litigation itself is you just have an opportunity to get<br />ahead of this if you do things right, and that can get confusing. Um, I, sorry, you&#8217;re gonna jump<br />in. I&#8217;ll take a beat.<br />Cory Miller: Yeah, no, I, I think, um, I&#8217;m curious to hear what Chris and Sarah think too,<br />because it&#8217;s like, you know, we&#8217;ve all been to those situations, uh, where you&#8217;re like, the<br />organization talks a really good talk. Yeah. You know, and we&#8217;ve got plenty of those in our<br />society globally today. But you know, the ones that talk.<br />And you know that ones that just act on that value. And I think this shines pretty clearly whether<br />you go to a website, you see the accessibility blue circle or whatever this is. And I think<br />[00:16:00] this is an opportunity. I&#8217;m curious what Chris and Sarah think too from just an<br />organization standpoint of like when you see someone taking it to this degree, not because they<br />necessarily have to, a lot of these have to, but, and there&#8217;s a probably legitimate reason why<br />there&#8217;s regulations and laws and different things in these lawsuits is because like, okay, if you&#8217;re<br />not gonna do the right thing, the, the world society will kind of push you in that regard.<br />But I think, I&#8217;m curious what you think Chris and Sarah is like, this is a way to get out front and<br />lead act on those values. You can&#8217;t just say you care, but if you care enough to make sure your<br />website is A to B, everybody can can access that and and consume the information and<br />whatever you&#8217;re trying to offer in the world, that&#8217;s an opportunity for leadership to me.<br />So Sarah, Chris, what do you think? . I, yeah,<br />Chris Kindred: I, uh, okay. Uh, I, I think there&#8217;s a huge opportunity there. One of the things we<br />tend to hear is, well, that&#8217;s not the kind of person we&#8217;re marketing to. And [00:17:00] you know,<br />there&#8217;s, there&#8217;s so much more than that going on with accessibility. It&#8217;s, you know, you may not<br />be marketing to &#8217;em right now, but who knows what&#8217;s going to happen in the future.<br />They, they, uh, or, or, um, friends that they have that, that kind of thing, they can help, um, push<br />along whatever product you&#8217;re pushing. And in those cases, so, you know, you&#8217;ve got, um,<br />you&#8217;ve got companies that come at it from that angle and, and there&#8217;s a little bit of education that<br />we have to do to help kind of get &#8217;em over that hump of this.<br />This is, this is a moral thing as well, . It&#8217;s, it&#8217;s not who you&#8217;re marketing to. It is that you are<br />marketing to everybody. Everyone&#8217;s going to see it, and it&#8217;s important that everybody be able to<br />see it.<br />Sarah Gless: Yeah, and I think that, like, going back to Mike&#8217;s original point, like it takes the<br />organization to do that.<br />It cannot be on the shoulders of like your web team. Um, yes, they are like [00:18:00] hands-on<br />producing and shipping that thing. Um, but that thing should be symbolic of like a much larger,<br />um, um, effort around accessibility. Um, and, and your kind of example around, you know,<br />posting your, your core values as a, as a company on the wall, um, and accessibility or<br />inclusivity being on that, um, kind of made me start to think like, what&#8217;s like a real example of, of<br />this.</p>\n\n\n\n<p>Um, you know, like I, I. And transferring that responsibility, not transferring, but sharing that<br />responsibility across the organization means you have to figure out, like, how can each<br />department take part in that? Um, how can we better collaborate on that mission? Um, I think,<br />you know, I&#8217;ve spent a lot of times on and, and working with like brand and marketing teams,<br />great opportunity for, for, for people to get involved in accessibility that may not be, um, on the<br />line to like ship that, that website necessarily.<br />Um, for example, we mentioned, you know, calling out your brand [00:19:00] values. Maybe<br />you&#8217;ve got, you know, being inclusive as, as, as a brand value. Well back that up with like, you<br />know, shipping accessible designs on the marketing side. So like, if you&#8217;re working on a brand<br />book, um, A big part of that is establishing a color palette.<br />Um, and that color palette has implications across so much of your collateral across the<br />organization, including that website. Now, oftentimes what happens on like design, um, is that<br />we&#8217;re handed a brand book with colors we can&#8217;t use, and now we&#8217;re having to rework that<br />because accessibility was never consideration going into that.<br />Um, so that&#8217;s like a, a various, you know, tech like tactile example of, of how one little shift, you<br />know, like, and if your team doesn&#8217;t have the specialties to do that, that&#8217;s okay. Like lean on a<br />team of experts to help and collaborate on that. So bring in the web team into, you know, that<br />brand conversation and when you&#8217;re developing that color palette or, or whatever the thing is,<br />um, to get their [00:20:00] expertise and, and, and make sure that we&#8217;re living up to that kind of,<br />you know, core tenant of being inclusive and accessible.<br />And also, um, Beyond just being like the right thing to do. Like, you know, if you do work ahead,<br />the more you work ahead on accessibility, the more money you&#8217;ll save down the road, um,<br />because you don&#8217;t have to rework as much. So, um, definitely another, you know, kind of<br />business, um, opportunity.<br />Cory Miller: And I, I think, thanks for that.<br />Oh, Chris, go ahead.<br />Chris Kindred: Well, that, that just made me start thinking, um, one of the things is accessibility<br />doesn&#8217;t just stop with your digital things. Um, I, there&#8217;s, there&#8217;s a billboard I drive past or used to<br />drive past all the time, and I could barely read it because it was blue on blue and it just didn&#8217;t,<br />didn&#8217;t work well for, for me as I was driving a car 60 miles an hour past it.<br />I, I, if you&#8217;re going. Put that your, uh, that accessibility and, [00:21:00] and being inclusive as<br />part of your core values that trickles into your billboard, that trickles into the entryway to your<br />business, that that trickles into so many other things in order to prove it.<br />Sarah Gless: It&#8217;s a mind shift, isn&#8217;t it? Like when you, when you Yeah, when and, but it, but<br />once you start doing and getting the practice of that and resource for it, that&#8217;s a critical part of<br />this, right?<br />Um, you, it will become a habit. And, and that&#8217;s a good habit to have.<br />Cory Miller: And I keep shaping this mike in my mind as it&#8217;s a, it&#8217;s a problem, but if we can do it,<br />you just said Sarah and shift her mind, we go, this is an opportunity to show people we care. We<br />don&#8217;t have to put the word on there. If we do certain things like this, just like we&#8217;ve mentioned,<br />diversity, equity, inclusion, huge topic and rightly.<br />This is going, if we truly want to act on that, we need to think about that person who might be<br />blind and trying to ex, like you were talking about, you know, the color palettes and things. It&#8217;s to<br />that thought. [00:22:00] But Mike, it seems like too, I think Chris and Boer helped me today.<br />Like, let&#8217;s add another reason here.<br />This is a team Mork, Hey, we care. So we&#8217;re doing this accessibility project and, and other<br />initiatives in the business side of things that they can do to say, we&#8217;re not just gonna say it, we&#8217;re<br />gonna do it. I mean, this seems like when you go to your team, like Sarah was saying, and<br />you&#8217;re like, Hey, leadership has bought in on this and understands it.<br />Now we go to the team, we want, hey, we want everyone as best we can to do, to, to be able to<br />access things.<br />Mike Klanac: It&#8217;s a, it&#8217;s a foundational, um, shift in how you think about it. So a small example<br />would be we used to, um, ask, do you need your site to be accessible? And now we just<br />assume we&#8217;re gonna build accessible sites.<br />And we used to take a pass at estimating a project and then sort of like do some additional math<br />to calculate accessibility. Now we assume accessibility is a part of every estimate that [00:23:00]</p>\n\n\n\n<p>you&#8217;re doing. Every line item of the feature level estimate incorporates accessibility thinking.<br />Um, and that&#8217;s, and that&#8217;s, that changes the approach.<br />It, it&#8217;s, it starts at the beginning. It carries through all the way to the end. And I, I think I would be<br />remiss not to mention one other topic on leadership that this conversation is sort of remind me<br />of, which is that these standards we&#8217;re talking accessibility is sort of this like, like just just this<br />open-ended term, but it, it means probably slightly different things.<br />And from a leadership standpoint, I think one other thing you need to really consider is what<br />standard are you, in some cases mandated to hit? And just understanding that is part of the<br />leadership obligation because you are the person that may often understand where you&#8217;re doing<br />business, what your jurisdictions are, um, what, what laws you&#8217;re bound to.<br />And if you&#8217;re as an international organization, we, we work with groups in Europe, we work with<br />groups [00:24:00] in California. We, we work with groups that have different sets of<br />requirements and different guidelines. So I think an important note for anyone who&#8217;s, who&#8217;s<br />gonna try to build this philosophy into their organization as they should, uh, is to, to like really<br />fundamentally set some clear guidelines to your team and say that based on where we do<br />business and where we&#8217;re approaching it, the way we&#8217;re approaching it, we&#8217;re gonna try to hit,<br />you know, stay tuned to section 5 0 8.<br />Um, And, and the, the outlines set in WIC AG two one, aa. Like we, there needs to be some<br />basis for what you&#8217;re aiming towards. Uh, it doesn&#8217;t, doesn&#8217;t mean that, um, you can&#8217;t go past<br />that. Um, but uh, you probably need to have that guiding light.<br />Cory Miller: Uh, and I think there&#8217;s a relief for me talking to you all on this too, because when I<br />know for instance, this is a value, right?<br />That we want to, that I love you, you said, uh, just it&#8217;s assumed. You know, [00:25:00] we&#8217;re in<br />2023 having this conversation. It doesn&#8217;t matter what&#8217;s been in the past today, this is just an<br />assumption that mind shift shift, um, but that it occurs to me, you know, as a leader and then<br />we&#8217;ve all kind of talked this and know this, we can&#8217;t know every single thing.<br />Like you&#8217;re talking about these specific legislation, policies, regulations out there. You can&#8217;t<br />possibly. So, but I wanna say there&#8217;s hope. That&#8217;s why we&#8217;re having this conversation. That&#8217;s<br />why there&#8217;s great experts in WordPress overall. Try being one of them that, um, can help<br />navigate some of those. Like it doesn&#8217;t need to be the, the thing that you keep up with at the<br />absolute.<br />That&#8217;s why you hire people like you all to even mention some of these things. Like I&#8217;ve been in<br />tech a long time and I learned something when I&#8217;m talking about when to you all about these<br />things that I hadn&#8217;t considered. And I think that&#8217;s a maybe a sense. Is like, there&#8217;s a little bit of<br />relief you can say like you want to do the right thing.<br />That&#8217;s why you go seek out experts that do. That&#8217;s why I&#8217;ve enjoyed preparation about this. I&#8217;ve<br />learned [00:26:00] a ton that I wouldn&#8217;t even considered . Like Sarah, you were talking about the<br />brand and I go more design Chris than tech sometimes, cuz I don&#8217;t know what I&#8217;m talking about<br />with tech all the time. But I go take this thought and go to your brand values.<br />We have oranges ours, but I have no idea how that expresses itself necessarily. Right. Uh, on<br />the web for someone that&#8217;s hurt and that&#8217;s a holistic thinking. We&#8217;re thinking like we, we&#8217;ve hit<br />this do do good and it&#8217;s got a pretty dang good benefit because it&#8217;s like absolutely. You can<br />actually reflect and show what you&#8217;re doing.<br />So.<br />Sarah Gless: Absolutely. Um, yeah. And you mentioned like. Kind of like leaning on on experts.<br />And that ki kind of got me thinking, like, I think there&#8217;s this expectation. Um, I know design<br />designers put this expectation on them to, to, um, sometimes to, to be able to like have<br />expertise in this. And like we absolutely have to have, you know, baseline knowledge and, and<br />skills that apply to [00:27:00] our work to meet accessibility.<br />But, um, you know, as an organization, if you&#8217;re in a marketing team, um, for example, and<br />you&#8217;re like, do I, do I need to know everything about accessibility? No. And there&#8217;s no, I mean,<br />accessibility is a, you know, a full team of effort. Um, yeah. Um, at Modern Tribe, we&#8217;ve got a full<br />dedicated QA team that is testing rigorously everything we design and build.<br />Um, so, so no. But can you get to a place where you&#8217;ve got like a good baseline knowledge of<br />accessibility and or also like resources that you know you can turn to, whether it be, um, your<br />own team internally that&#8217;s focused on accessibility, your leadership has resource for awesome.</p>\n\n\n\n<p>Or, um, if you can work with consultants or agencies like us or, or what whoever, um, get that,<br />that resource embedded in your team so you can turn to them, um, for their expertise.<br />Because [00:28:00] accessibility is like this ever-changing thing that will continue to grow. Um,<br />and, and I just wanna, like, I think that&#8217;s something like in my own past, I put that pressure on<br />myself and, um mm-hmm. , it&#8217;s a lot of pressure and it can, can kind of, um, um, get you away<br />from other, you know, priorities within your role.<br />So acknowledge that you do not have to, um, necessarily be experts, inaccessibility, but you do<br />have like a moral and business responsibility. To care about it and get help when you need it.<br />Um, um, so yeah,<br />Cory Miller: I think, I think that&#8217;s, that, that&#8217;s a great point. Um, in, in all this. Um, and now we&#8217;re<br />gonna shift to you in just a moment to talk specifically about design, Sarah.<br />But Mike, before we do that, I just wanna make sure, I think we&#8217;ve hit really big pillars here. Um,<br />moral business requirements, , it can be, there&#8217;s an opportunity here to lead and show that you<br />truly care. Um, anything else you think about when you&#8217;re, when you&#8217;re thinking about leaders<br />[00:29:00] making these decisions, wanting to give those resources to design and team and<br />things like that, anything else that we missed that you wanna share?<br />Mike Klanac: Just to like summarize, it&#8217;s a tremendous opportunity. It went from being, uh, a<br />challenge, a problem to No, this is just an opportunity to better serve our, our audience. Um, and<br />that&#8217;s how I would be thinking about it.<br />Cory Miller: Yeah, what a great mind shift and what a great takeaway we have more. So if<br />you&#8217;re a leader in an, an organization making these decisions, stay on because there&#8217;s more,<br />because this is a, we&#8217;re we&#8217;re evolving and growing this concept, like we&#8217;ve been saying as a<br />mind shift, shift change over.<br />What a great, great way to sum up that, Mike. Thank you. Okay, so Sarah, now let&#8217;s just talk<br />creative and design, because a part of this, I&#8217;ll just say this, I was like, okay, I can get the<br />decision. Like I can really embody that and go, it&#8217;s, it&#8217;ll take time, it will take effort, it will take<br />money. But as we&#8217;re talking, I go, [00:30:00] gosh, I&#8217;ve been in the seat too, where you&#8217;re a<br />marketing person or you&#8217;re trying to ship the work into, through the website and there&#8217;s<br />decisions and things that you need to be thinking about that.<br />So as we talk about in this role, creative and design, what, what things stick out to you as we<br />approach the accessibility topic?<br />Sarah Gless: Yeah, absolutely. Well, um, I think just acknowledging that it is a requirement. Um,<br />I think that there&#8217;s this kind of stigma that accessible design, um, pro, you know, prohibits<br />creativity, um, in a way that, you know, accessibly designed websites.<br />Are ugly , for lack of a better term. Um, and I think that that stems from, you know, a history of,<br />of hearing about lawsuits and, and, and building requirements around certain sectors. Um,<br />particularly like the government. Um, and websites for governments or government, um,<br />institutions are, are, are typically not known for, [00:31:00] um, their design.<br />There are a few, of course . Um, so it&#8217;s, it, you know, accessibility, I think in the design world has<br />a, a, a reputation that it&#8217;s gonna restrict me. Um, and I don&#8217;t like to think about that like that. I, I, I<br />want, you know, our design team, we, we sh we, we have a mindset that it&#8217;s just an a<br />requirement and any creative brief you get, um, I&#8217;m sorry, but it&#8217;s gonna have requirements on it.<br />Um, and so if you think about that and shift your mind into thinking that way, it truly does<br />become a creative opportunity, um, and a creative challenge. And, um, I think designers and<br />creatives. Tend to work very well if you give them some structure, but then opportunities to<br />innovate and there&#8217;s tons of opportunities to do that with accessibility.<br />Um, I think of like a past project we worked on for, um, oh, very well known, uh, Ivy League, uh,<br />school, um, that, you know, we designed a, a navigation, it was very robust, it [00:32:00] was<br />very, um, uh, boundary pushing, I&#8217;ll say on the design side. And at first blush, it did not look like<br />it was going to meet accessibility.<br />Um, we worked and collaborated with our QA team, our engineering team, um, and within those<br />boundaries of accessibility and or those requirements, um, and looking at this thing that we<br />really wanted to like put live into the world, we figured it out. Um, and we shipped a very<br />accessible, um, site and navigation that ended up winning a design award like.<br />You can do it. It&#8217;s totally possible. Does it take more resources and time? Yes, but it&#8217;s like po you<br />know? Yes. Um, there&#8217;s, there&#8217;s no way around that, but yes. Um, but you, it, it&#8217;s, it, it truly can</p>\n\n\n\n<p>actually lead to like innovative ideas because, um, even within those requirements, there&#8217;s,<br />there&#8217;s bars to push and like, uh, [00:33:00] uh, figure out how to, to, um, uh, make this work.<br />Cory Miller: So, yeah, I think what you&#8217;re saying, so I fancy myself sometimes justified or not as<br />a creative, and what I hear when you say that is, I know there&#8217;s a bunch of people, when you<br />said the first part feels like it could prohibit, they&#8217;re probably like, yeah, it feels that way. But then<br />you spun it around and you said, this is an opportunity here.<br />I I, when I fancy myself as a creative, I go, constraints are actually really good in a lot of cases.<br />And so if, if it&#8217;s a challenge, Hey, you&#8217;ve give, you&#8217;re given these tools. Take it and be creative.<br />Like that&#8217;s what I got from that example you just gave is like, we looked at it potentially as an<br />obstacle, but we turned it into an opportunity to be really creative and make it work.<br />And I think that&#8217;s part of like, I&#8217;ll get a little fur here and say artistic, like when you say you&#8217;re<br />creative, it means like, don&#8217;t look at these as problems. [00:34:00] Look at &#8217;em as opportunities.<br />You know, that&#8217;s the thing we got with leadership. It seems like. That&#8217;s what I just, I wrote it<br />down. I was like, we&#8217;re talking about how this challenge can be viewed as an opportunity and for<br />creatives, having worked with some creatives, I&#8217;m like, Hey, see what you can do.<br />Yeah. The best things. See what you, yeah.<br />See what you can get away with. , ,<br />Sarah Gless: no, little rebellious ,<br />Mike Klanac: as a definite not creative. I, I really think this is an interesting part of the<br />conversation and somewhere out there, well, this is the part that I can add, I can add that there&#8217;s<br />an article about like Jack White and the White Stripes.<br />There&#8217;s this like idea of threes where they stay within three colors, three instruments, and that<br />that parameter within that, they try to push innovation as much as possible, and clearly they&#8217;ve<br />been successful with it, so.<br />Sarah Gless: Absolutely. That&#8217;s awesome. I, and you know, like, oh, go ahead Chris.<br />Chris Kindred: I, I feel like there&#8217;s another aspect specifically to the, the, um, menu that you&#8217;re,<br />that you&#8217;re talking about there [00:35:00] as a technical team.<br />When we look at a menu that came in like that, we&#8217;re, we&#8217;re looking at it going, now there&#8217;s the,<br />this is gonna be difficult, .<br />And the, the amazing part is though, . It just takes some communication. It takes the team<br />working together to figure out, okay, here&#8217;s where we can push a boundary. We, we, great point.<br />We know how to handle this piece. And we get that developed. We, we work with, you know,<br />our, our, our front end team does an amazing job at staying up to date with things like WIC ag<br />and, and we can really lean on them in, in some of these cases to say, okay, here&#8217;s how you can<br />accomplish this in an accessible way.<br />And then with com, with good communication between design and, and our, our engineering<br />team, we can, we can keep pushing those boundaries. Uh, you, you mentioned that it costs<br />more, it does cost more to be innovative [00:36:00] like that. That&#8217;s just part of being on the front<br />end of the curve. Right? If, if you are trying to push boundaries, it&#8217;s going to cost more.<br />but accessibility doesn&#8217;t have to cost more either. The innovation piece of it is what&#8217;s costing<br />more. Mm-hmm. . So, you know, if, if you&#8217;re, if you&#8217;re wanting to, to do a big award-winning nav,<br />heck yeah, let&#8217;s do it. Let&#8217;s jump in, let&#8217;s, let&#8217;s do it together. Uh, but it doesn&#8217;t have to be that<br />way to be accessible either, right?<br />Mm-hmm. . So, yeah.<br />Sarah Gless: Yeah. That multidisciplinary kind of approach is so critical. Um, I think it requires<br />both specialization and, uh, willingness, like multidisciplinary collaboration across teams to, to<br />do it. Right.<br />Cory Miller: Well, and we talked a lot about boundaries, pushing boundaries, and it seems to<br />me too, it&#8217;s like there&#8217;s probably some mental boundaries we put ourselves in if we think about it<br />as just, oh, this is a [00:37:00] problem and I don&#8217;t want to do it.<br />But I think what I hear from you too, Sarah, is like, Well, this, the, the regulations, the policies,<br />the things that govern this have actually created your canvas. You know, if we look at it like that<br />and we go Exactly. And then I love the challenge actually, like Chris going like, well, what can<br />cools, like even cross teams, we got a challenge, but let&#8217;s look at it as this opportunity to do<br />something really cool.</p>\n\n\n\n<p>Like when you said the awards and stuff, like love that you&#8217;re like, do such a good job with this<br />challenge. They, you could actually win hearts and awards, you know? Exactly. And I think that&#8217;s<br />for creative people, I think that&#8217;s gotta be a stoking fire of like motivation. Oh, absolutely. An<br />inspiration.<br />Sarah Gless: Yeah.<br />So that, like, nav wins an award ranks high on accessible websites in higher ed. Like what? I<br />mean, that&#8217;s just a perfect pair<br />Cory Miller: and that person out there trying to look, trying to do see here whatever to that<br />[00:38:00] information. They&#8217;ve, they&#8217;ve had these experts. Giving their creative talent to do it.<br />So there&#8217;s that other part of like, somebody got to make sure they didn&#8217;t miss that part of the<br />website or whatever was happening in the project.<br />So exactly like, how many wins do we need? People, , , you know, like, and Chris, you&#8217;re gonna<br />get your chance to talk tech too. Um, but I really, I really love this, like the words I hear from you,<br />Sarah, particularly as designer, you know, artistic and creative. You go, you said, doesn&#8217;t have<br />to restrict, doesn&#8217;t have to pro prohibit anything, can actually blossom and grow your creativity.<br />If you, if you look again, we&#8217;re talking about mind shifts and we say, Hey, this is just the canvas I<br />get to create on. I love that. So what else comes to your mind when we talk, when you&#8217;re talking<br />to creative teams and people really trying to make sure the experience is great? What are the<br />things that pop up to you as you&#8217;ve worked with clients and, and the teams?<br />Sarah Gless: Yeah. Yeah. I, I think, uh, I mentioned this a little bit earlier, [00:39:00] but just.<br />Taking the, knowing that you don&#8217;t have to be an expert at this thing. Like, and really, again, I<br />can&#8217;t hit home enough, like collaborating and, and building kind of an extension of your team to<br />support accessibility is so critical. Um, and putting resources towards that.<br />Um, whether that&#8217;s in-house or, or with an agency. Um, you know, I look at our own design team<br />as a great example. Like we, we definitely stay up on knowledge as it affects, you know, the, the<br />work that we&#8217;re working on. Um, but even our team who is talking about accessibility all the<br />time, We still ha have experts specifically dedicated to accessibility within our organization, our<br />QA team, who we can collaborate and lean on to ensure that the work that we are designing<br />and putting out into the world is tru truly accessible.<br />And so I, I just wanna really hit home like if you, if [00:40:00] you, um, are feeling maybe a little<br />overwhelmed, like, how do, how do I do this? Lean on people who know how to do it. Um, and<br />um, yeah,<br />Cory Miller: I think you all have modeled that for me in our discussions leading up to this. You<br />really have modeled it. We, I won&#8217;t get into the exact details, but when I was saying, Hey, we&#8217;re<br />gonna, okay, we got our date and all that, you all started asking these questions.<br />I didn&#8217;t think about that. And they were accessibility questions like naturally. But what I really,<br />really appreciated about you three, why we&#8217;re like working with really super talented people that<br />are also humble is you all team approached that I think Sarah, you&#8217;re like, okay, I think, I think<br />it&#8217;s this, but let me, I&#8217;m gonna go, I&#8217;m gonna go chase that with a team.<br />Chris, same way. And you guys were collaborating and I think what you all have modeled, what<br />you&#8217;re talking about the client should do is really look at this like it&#8217;s not on one particular person.<br />Yeah. Embrace the team concept. [00:41:00] We, we care. And that&#8217;s why as a team, we&#8217;re<br />gonna figure this out together.<br />Mike Klanac: Yeah. Yeah. It&#8217;s a, a perpetually changing topic. It&#8217;s guidelines are evolving,<br />browsers are evolving. The tools that people use are always changing. So if you&#8217;re an expert<br />one day, by the next day, you have more learning to do. And the way that we get around that is<br />by leaning on each other as a team, uh, and thinking about it as sort of a topic that we all need<br />to stay fresh on, um,<br />Cory Miller: and just care about.<br />I mean, this whole conversation evolved because you and I were talking to Mike, you know, and<br />I&#8217;m aware of the work you all do, and. You know, through us talking, you go, gotta have Chris,<br />gotta have Sarah on this call. That&#8217;s my, that&#8217;s You have a bigger team. Absolutely. You all have<br />a bigger team of course.<br />But you&#8217;re like, that&#8217;s a great model. So like we had you start with leadership in making those<br />decisions and then we&#8217;re gonna talk about creativity and then we&#8217;re gonna talk about tech. And<br />then you all have even lighten. Say there&#8217;s somebody else that [00:42:00] might not be in that<br />spec, but they&#8217;re the ones publishing the post or whatever it is to the site.</p>\n\n\n\n<p>Exactly. Yeah. I think we&#8217;ve modeled this like cross-disciplinary, I think you said that too, Sarah<br />is like, okay, we, when we&#8217;re having these conversations, we do need leadership, do need tech,<br />we do need design. And probably the people actually doing this, the work, like into the world,<br />probably all need to be somehow represented in that conversation.<br />So I think I&#8217;m, I&#8217;m digressing from your subject, Sarah, but I just go, I think that just, again,<br />models, it&#8217;s a holistic whole team approach. We&#8217;re, we&#8217;re not gonna get it perfect, but we&#8217;re<br />gonna figure it out together. Absolutely. So I I love that too. I think you&#8217;ve given permission to<br />take some burden off Sarah, as like, yes.<br />You don&#8217;t have to be aid<br />Sarah Gless: as long as you lean on, on, on your, your internal teams or consultants in that, in<br />that area<br />Cory Miller: Care. Lean on your team. Yes. Try to make the best decisions, get the best<br />[00:43:00] experience. You may not win the award every single time, but hey, allowing someone<br />to do that, which probably has a fr I can&#8217;t imagine the frustration someone might feel trying to<br />get actually this cool tool called the internet, but Oh, tripped up like one of the best<br />communication tools ever invented in human history, yet there&#8217;s significant part of our population<br />that can&#8217;t get to it.<br />Sarah Gless: Yeah. It&#8217;s like in the states, one in four, um, have a disability and I think globally<br />it&#8217;s one in six. Like think about those numbers. It&#8217;s like 25% in the us.<br />Cory Miller: That can&#8217;t,<br />Sarah Gless: that you may not be communicating with today on your website.<br />Cory Miller: I, uh, see again, you just go like, so let&#8217;s, let&#8217;s make this for a second, Mike.<br />I&#8217;m curious about this, but you two chime in. You go. If we were gonna say like, just make it a<br />business decision. If I went to any corporate leader, business leader in America and said, what if<br />you could get [00:44:00] 20% more than your gi, like, what if you could tap this market, Mike,<br />like from a market size, what if just from a business, okay, let&#8217;s take, take the pure human<br />element and you go, everybody, every business is looking for new markets to build and expand<br />on.<br />And you go the stat that&#8217;s you just shared, Sarah goes 20% of the popul. That, that, that if we<br />just embrace this right thing to do thing, you can get access to that. And imagine just from a<br />pure business standpoint, that market that&#8217;s served better than any they get anywhere else.<br />They&#8217;re gonna talk, they&#8217;re gonna share, do business here, do work here, because they&#8217;re<br />gonna be your most vocal evangelists.<br />So Mike, like from a pure business standpoint, and I go, let&#8217;s add it to the thing cuz this STA is<br />like we all think about the new markets that we could try to break into, you know, or grow our<br />existing thing. And you all just said, by the way, everybody ha you know, has a hard time with<br />this subject, but we&#8217;re giving you a [00:45:00] huge part of the population.<br />You could serve extremely well.<br />Mike Klanac: Again, yes. Massive opportunity. And, you know, we have so many conversations<br />where, where we will, um, sit and deliberate over customer journeys or you know, how to adjust<br />content in a way to gain just that slight advantage, that percentage change, that 1%, 2% change<br />in conversion or experience improvement.<br />And here&#8217;s an opportunity if you really think about it, to cater to a, you know, one in four people<br />in the United States. That&#8217;s a dramatic improvement. And, and that alone justifies, you know,<br />thinking about this start to finish. It&#8217;s just an incredible opportunity. Again, uh, it&#8217;s a no-brainer.<br />Cory Miller: I&#8217;ve told you all, I want Modern Tribe to do some stickers around these things that<br />I&#8217;ve heard as like core values should be accessibility.<br />Yeah. But it&#8217;s also like, Hey, uh, I got a secret. Do you wanna grow your business? Do the right<br />thing? Like, [00:46:00] just service me on the shirt. . Yeah. Get it on the shirt. Cause I need a<br />shirt for that. You know, I&#8217;m a, I&#8217;m a swag geek Mike. But anyway, I digress. . No, we&#8217;re too, it&#8217;s<br />all good. . No, and I, I think that&#8217;s another thing I&#8217;ve learned from y&#8217;all too, is like, hey, we can be,<br />this can be a subject that we get kinda tense about because we don&#8217;t know all the answers.<br />What I got from you, Sarah, was uh, you took, I think you took a big, big load of perfectionism,<br />expectation, worry, fear of people and release them to say, care about it. Get your team. Yes.<br />Like that&#8217;s the two I got when you&#8217;re looking at design. And that doesn&#8217;t mean just the design<br />team. That means the people who are out there publishing content on the website too.</p>\n\n\n\n<p>Absolutely. You know, lean on your team and don&#8217;t exclude anybody. Include everybody in this<br />conversation and it matters. Anything else, Sarah, on design and creativity you wanted to<br />share? .<br />Sarah Gless: Yeah, I mean, I, I&#8217;ll echo I think a lot of what we&#8217;ve already talked about, but if you<br />could just, [00:47:00] at the end of the day, it&#8217;s, it&#8217;s about putting yourself in those folks&#8217; shoes.<br />And if, I think a great place to do that is by talking to those people, testing those people. Um, I, I<br />think that&#8217;s something that we, we don&#8217;t, you know, as a, um, a, a world , uh, probably do<br />enough of, um, and so empathy, empathy, empathy, just, you know, do the right thing, um, and,<br />and make it a value that you actually follow through with.<br />Cory Miller: Um, yep. Okay. I know you&#8217;re gonna have more to this chair. Thank you for sharing<br />the creativity. I think those are powerful messages that can release and really free people up to<br />use that creativity, use that, those innovative skills in such a really cool way. Yeah. Okay. So we<br />talked about leadership, talked about creativity and design.<br />Now let&#8217;s talk about the nuts and bolts, how this stuff works. Like [00:48:00] Chris. Uh, so you&#8217;re<br />back in, I know you work a lot with your team, uh, Sarah&#8217;s team, Mike&#8217;s team, um, in delivering<br />to the client. Um, when we talk about development, and you, you&#8217;ve, you&#8217;ve surprised me a<br />couple times on this Bec and, but it&#8217;s, it&#8217;s something that we just see.<br />It&#8217;s cuz you care about the subject, you know, you care about this work, but you&#8217;ve been able to<br />give some really good perspective too. But when we kind of venture into this third phase for<br />subject about accessibility, it&#8217;s the technical side. What sticks out to you? Uh, I always start with<br />you.<br />Chris Kindred: You&#8217;ve gotta make it part of your culture.<br />And in order to do that, that means that when you are hiring, you&#8217;ve gotta actually be looking to<br />make sure that you&#8217;re hiring people that believe the same. And, uh, it&#8217;s very difficult to always<br />create great accessible things if the, the people you&#8217;re looking at to bring on board don&#8217;t believe<br />the same thing.<br />[00:49:00] So it starts kind of there. It starts with making sure you get the right people in the right<br />seats and, and that, uh, piece of it. Um, after that there&#8217;s a little bit of understanding why, why<br />we&#8217;re doing this. And, um, one of the things that I like to kind of explain is that accessibility over<br />time has become the norm for, for so many places.<br />Um, think about it as, uh, curb cutouts right at crosswalks. Um, it&#8217;s so that it&#8217;s easier for<br />wheelchairs to get up onto the sidewalk. And, and it&#8217;s such a normal thing to see now. Um,<br />when you&#8217;re getting ready to cross the street and you hit the, the walk button, when it changes,<br />it makes a noise. Well, it&#8217;s because people found out, hey, we need to make this more<br />accessible for other people.<br />And, and they need to be able to get from one side of the street to the other. [00:50:00] And it, it,<br />it just, it, it becomes part of your everyday interaction and it becomes so normal that it, it, it just<br />becomes part of what you do. The same applies building a website. The same applies for the<br />technical side of these things.<br />When you&#8217;re building a form, you just, it, it, it is, it, it has to be ingrained in your culture that<br />that&#8217;s the normal way of doing that. You build it as an accessible form and you don&#8217;t cut corners.<br />Where, um, Somebody that&#8217;s not building it accessible or maybe somebody that doesn&#8217;t know or<br />is ignorant of how to build it accessible.<br />Um, would, would be doing that. You know, um, braille is another great example of having like a<br />braille inside a building trying to find where a, um, a, a hotel room is or an office is, that kind of<br />thing. You, it becomes normal and therefore you start [00:51:00] implementing it. You come to<br />expect it. And that&#8217;s, that&#8217;s a big<br />piece.<br />Mike Klanac: I, I just wanna jump in there, Chris, cause I think. The part that ties this all<br />together is the fact that those items you mentioned, which were initially built for accessible<br />purposes, how, how many other benefits have they shown to perhaps people with different<br />forms of acce, uh, disability or just really anyone like a curb cutout has, su has become a<br />convenience.<br />Um, the noise. I often just can hear that and it becomes a benefit to my experience not being a<br />disabled person. Um, and, and so those, those changes have, have become innovations for all<br />of us.</p>\n\n\n\n<p>Chris Kindred: You, you mentioned a really good point there. Um, there&#8217;s different levels of, uh,<br />disability, let&#8217;s say. Yes. Um, you, you&#8217;ve got permanent disabilities, which are, are people that,<br />that aren&#8217;t going to get over whatever disability they have.<br />Mm-hmm. . And, and you also have, [00:52:00] uh, you know, that&#8217;s, uh, Loss of limb kind of<br />thing. Maybe not being able to type, not being able to hear, not being able to see those kinds of<br />things. Uh, you also have a concept of a temporary disability.<br />Uh, we, we&#8217;ve<br />all experience things like getting your eyes dilated and not being able to look at a website, uh,<br />that, that can really mess with your mind a little bit.<br />If, if a website has all the text way too close together, say you need to call your, uh, eye doctor<br />right after you left and you pull up their website on your phone and you can&#8217;t find the phone<br />number because you, your eyes are dilated. Um, yeah. Now, and there there&#8217;s also this concept<br />of situational disability.<br />Um, very similar. But, uh, say you&#8217;re sitting next to your four-year-old and on the couch and<br />you&#8217;re flipping through videos on your phone and you have the volume off cuz you don&#8217;t know<br />what somebody&#8217;s gonna say and you don&#8217;t want your four year old to hear it. Um, You know that<br />that&#8217;s another [00:53:00] case of an opportunity, that if they have transcripts on that video, all of<br />a sudden, you know what they&#8217;re talking about without having to maybe have your four year old<br />say a word they shouldn&#8217;t.<br />Um, you know, it, the, there&#8217;s, there&#8217;s this other concept a, around situational disabilities, um,<br />that I, it kind of hits home with me in particular because, um, there&#8217;s this level of like your<br />emotional state when you&#8217;re looking at a website, um, maybe your, your ability to actually have<br />like all the right, be in the right state of mind when you&#8217;re going to a, a website.<br />And it, uh, it, my, my daughter was born with a congenital heart defect. She was life flighted from<br />the hospital three days after she was born to a hospital five hours away.<br />Um,<br />My wife went with [00:54:00] her on, on the life flight, and we were extremely thankful she was<br />able to, but uh, here we are. I&#8217;m, I&#8217;m five hours away.<br />I&#8217;m getting ready to get in the car. There was a blizzard that night. There, there was just all kinds<br />of things going on, and I&#8217;ve gotta try to figure out how to get to this hospital and how to, um, find<br />my family, my newborn baby, all of this stuff. Uh, yeah. Eric Meyer does a very good talk on this.<br />Um, I, I think it was a, a list of part talk some, something like that.<br />Um, but it, it is a, a, a, it, it specifically talks about, uh, I think designing in a crisis or designing<br />for crisis. And, you know, if, if your mind&#8217;s not where it needs to be to read the information on a<br />website and you&#8217;re looking for how to get to an emergency room from the airport, And [00:55:00]<br />you are scrolling through a website.<br />I, I know websites pretty well. I&#8217;ve been reading websites my whole life, and I know that normally<br />there&#8217;s an address in the bottom left or right side of most websites. But if you&#8217;re trying to do that<br />looking through tiers, it&#8217;s much more difficult. And so there&#8217;s this level of, um, just because the,<br />there&#8217;s this level of morality that we talked about before, it&#8217;s the right thing to do.<br />But also it, it&#8217;s, it, it doesn&#8217;t, it, it can apply to anybody at any point in time. And you want to<br />make sure you&#8217;re being inclusive of all of those potential situations, especially when it&#8217;s, um, you<br />know, good or, or bad or, you know, education has alerts and all kinds of, there&#8217;s just, it, it<br />permeates through the entire industry.<br />Cory Miller: So before I come back to, to you, Chris, because I want you to put, uh, what the<br />question I&#8217;ll ask when I digress for a second with Sarah [00:56:00] is, uh, think about the<br />technical person on the other side in that seat and the challenges they have. But, you know,<br />Sarah, you, you do design. You know, you think about from the purpose of a website.<br />If I&#8217;m an er, I mean, Chris, you just said a hundred percent of people on that website, what do<br />they want to know? I wanna get to that building as fast as humanly possible. So Sarah, from a<br />pure design ux ui, that&#8217;s the purpose of a website. Is it not? Like, give people to the thing you<br />and your situational, uh, uh, experience.<br />Chris made me think. That&#8217;s, let&#8217;s, let&#8217;s take aside for a second. Accessibility. That&#8217;s just what<br />you wanna do with the website. Like absolutely. How do I, they are hunting, how do I put it right<br />in front of them? You know what I&#8217;m saying? Like from the design side .<br />Sarah Gless: Yes. Like know your audiences, [00:57:00] all of them prioritize, you know, and,<br />and ensure that you&#8217;re talking to them, you&#8217;re listening to them, you&#8217;re testing that work, and you</p>\n\n\n\n<p>know that it&#8217;s going to be there in, in a variety of situations.<br />It&#8217;s not just about slapping your brand on a website. It&#8217;s about ensuring that that experience is<br />meeting users where they&#8217;re at and serving their needs and, and, um, understanding the tests<br />they need to complete and, and designing to that. Um,<br />Cory Miller: like I go back to what you said, and this is reverberating now, and how deep, well,<br />what you said earlier is good accessibility is good design, and you go.<br />I mean, we can take it aside, all of this and just go, that&#8217;s the purpose. You wanna get people to<br />the thing they need to do. You want to empathize, use the word you used earlier, Sarah too, is<br />like, empathize. What are they trying to get done? Okay. I&#8217;m a, whatever the organization, Chris,<br />you just laid it out.<br />It&#8217;s blindingly obvious, the location. Think about that for restaurants. [00:58:00] Think about that<br />for any, any business, any organization, nonprofits, like, they come to you by the way, and<br />they&#8217;re looking for something and as fast and efficiently as you can get that to &#8217;em. So I go back<br />to your comment now, it&#8217;s even more deeper.<br />It&#8217;s like good accessibility is a good design because it&#8217;s about the action you&#8217;re trying to help that<br />person get to, right?<br />Sarah Gless: Absolutely. Yeah.</p>\n\n\n\n<p>Chris Kindred: I, I would even take it a step further and say, good acceptability is usability. Mm-<br />hmm. Uh, it,</p>\n\n\n\n<p>it&#8217;s, it&#8217;s not just the design, but. It, it&#8217;s, it&#8217;s the total package of it.<br />It&#8217;s, it&#8217;s making sure that that button, when it&#8217;s clicked, you know, it was clicked and that it&#8217;s not<br />going to do something unexpected. You know, taking, taking it back to a technical point of view,<br />you know, making sure to know how to make sure a screen reader is announcing that button<br />that it was clicked um, making sure that, uh, the, the person knew what that button button<br />[00:59:00] was going to do and not just say, click here. You know, that making it clear<br />that<br />that&#8217;s what was going to happen when that button was clicked is a key aspect to it.<br />Cory Miller: So, Mike, I just go back down. Sorry. Go ahead, Sarah.<br />Sarah Gless: Yeah, I was just gonna go back to like what Mike said earlier about like, there&#8217;s<br />also like kind of these like side effects that are good side effects when you, when you design,<br />um, um, whatever the experience is, whether it&#8217;s a curb or a website, um, to be accessible, you<br />have all these.<br />Additional benefits for folks that may not have disabilities. So like in the case of the, um, the,<br />you know, the button to call the ER is not visible. Well, what if you designed it to be, well, I bet<br />you&#8217;re gonna pick up not just ensuring that like it&#8217;s accessible, but also a lot of users who may<br />not have disabilities, um, still struggle to find things on websites.<br />So like, you know, they&#8217;ll be able to get their tasks done. Um, professor too, I know it&#8217;s a very<br />hyper [01:00:00] specific example, but, but it does help provide like context, this bigger idea,<br />right?<br />Cory Miller: Hey Sarah, I think no, it&#8217;s a like proving you all&#8217;s point is the it. Let&#8217;s add another<br />one, Mike, to the first part you said, let&#8217;s add another one if, if you only use accessibility as to<br />make your site the best converting, most efficient tool for communicating to your customers.<br />We just like backed into, uh, because you, we&#8217;ve all gone back to these, like the usability thing.<br />If you&#8217;re forced to look at like, okay, let&#8217;s pull up JAWS or whatever tools you all use and<br />recommend for your clients, and let&#8217;s, let&#8217;s go at it from that perspective. You&#8217;ve empathized with<br />the customer and you think if we just put it under marketing or sales, I go, this is the exercise<br />most organizations should be doing.<br />Because you&#8217;re gonna go to the level and you&#8217;re gonna have to think about, I&#8217;m just talking the<br />business case. Okay? Every website [01:01:00] needs to spur an action, like we&#8217;re trying to lead<br />them to something. It could be a sale, it could be the address of the emergency room, it could<br />be whatever it is. I just go from the business case, Mike, like, this is an exercise that all of us<br />should be doing.<br />Because if you&#8217;re in Chris&#8217;s situation, you&#8217;re like, isn&#8217;t it clear? Everybody, everybody in the room<br />know what the key thing here is we&#8217;re trying to get people to the emergency room physically.<br />That informs design, it informs technical, but. Here&#8217;s another business case we should add.<br />Mike Klanac: Absolutely. Yeah, and it&#8217;s really inspiring to like see the conversation.</p>\n\n\n\n<p>I think. As an entire, in the, across the world, evolve from being one where like the, the, the talk<br />that, that Chris just provided it, it probably used to have just been about like how to use like alt<br />tags. Like 10 years ago it would&#8217;ve been like, how do we tag content? And now it&#8217;s, it&#8217;s crossed<br />into like more of a phil philosophical understanding that, hey, this is, this is, um, this is [01:02:00]<br />good business.<br />This is a usability opportunity, this is a chance to empathize with our users. This is a chance to,<br />um, improve customer and user journeys and, and, uh, make it easier for you to check out or to<br />get the information that you need. Um, so it&#8217;s, I just am it, it, I, I&#8217;m, I like that the dots are starting<br />to be connected and that this conversation has changed from just like a very sort of niche<br />technical, how do I.<br />Do these things that I have to do, because otherwise I&#8217;m gonna get in trouble to look at all of this<br />opportunity that we have to incorporate this thinking to better serve our audience that affects,<br />that, improves our business and makes everybody happier. I mean, uh, it connects a lot of dots.<br />Cory Miller: It&#8217;s cool. I, I&#8217;m not exaggerating, but maybe we should rename this panel to how to<br />build a successful website.<br />Yeah. , I mean, I know I&#8217;m exaggerating a little bit, but I go, like, when you were talking through<br />that, Sarah, I thought [01:03:00] that is a focusing feature. It makes us ask the question, what&#8217;s<br />this all about? What are we trying to do? Well, if we can hit it in all these scenarios, we&#8217;ve<br />crystal, we&#8217;ve used it as an exercise honestly, to crystallize what we&#8217;re trying to get from it and<br />pave the way, like that&#8217;s the purpose of website, right?<br />Mm-hmm. , so Absolutely. Okay. I&#8217;m preaching the choir, but I&#8217;m just hearing what you&#8217;re saying<br />and going, yeah. We should. Totally. I think the other title is it&#8217;s not a problem, it&#8217;s an opportunity,<br />you know? Yeah. Okay. Chris, I have veered all the way, but I think it&#8217;s been good. We need this<br />out in the world. We need people to hear these things and appreciate you all sharing so<br />authentically with this.<br />So, back to the question, Chris, I&#8217;m gonna get back to you. So from a technical standpoint,<br />there&#8217;s, on your clients, you&#8217;ve, you&#8217;ve talked to a number, I mean number of teams in the<br />technical side. And you know, part of my question here is trying to help the leaders listening to<br />other people, the other parts of this team understand [01:04:00] there are issues like Sarah did<br />for design that designers have, there&#8217;s somewhere technical.<br />What are the things that stick out to you, you know, those challenges people the technical side<br />has when they&#8217;re working on this particular subject of accessibility?<br />Chris Kindred: Uh, I, I would say it&#8217;s, it&#8217;s keeping up with the changes as they come. Um,<br />that&#8217;s, that&#8217;s one of the big ones. Uh, you know, there, there are different requirements.<br />Uh, those, there&#8217;s more stringent requirements when it comes to WIC ag, which is if, if you&#8217;re a<br />front-end developer and, and backend developers to, uh, knowing what the requirements are to<br />hit certain levels, depending on kind of going back into the legal side of it, you&#8217;re, you&#8217;re certain<br />you&#8217;re gonna be required to hit a certain level of accessibility.<br />And knowing what those are and how they change over time is a big piece of it. And, uh,<br />[01:05:00] at, at Modern Tribe, we really lean a lot on our front end developers for keeping up<br />with that. But also we communicate as a whole and, and we make sure that everybody&#8217;s, you<br />know, doing code reviews for each other and, and that kind of thing to make sure that, uh, if, if<br />there is an accessibility, um, Item that we address it before it goes out, uh, and that, uh, those<br />kinds of things.<br />So it, it, I would say the, the biggest issue is trying to just stay relevant with those, um,<br />accessibility changes. Every time a browser comes out with something new, you&#8217;ve gotta kind of<br />go back and look at it and see if it changed the way you need to implement something based<br />upon those accessibility requirements.<br />So, yeah.<br />Cory Miller: So from, so from the technical side, there&#8217;s how, how any general guidance you&#8217;d<br />give for how to kind of stay touched. It seemed to [01:06:00] me, you know, from a team<br />standpoint is we just regularly have the discuss. Like the topic comes up regularly enough,<br />however that is, but those developers that want to contribute, technical people that want to<br />contribute to it.<br />Any, any thoughts there about how they could try to keep up and places to go?</p>\n\n\n\n<p>Chris Kindred: Yeah, yeah, yeah, yeah. Uh, so there&#8217;s, we, we use a lot of different tools and,<br />and that kind of thing, but you can always go to the WAC website and, and that&#8217;s going to tell<br />you exactly what you need to hit and, and how to perform certain actions in an accessible way.<br />Uh, but, but there&#8217;s also some other things out there. Um, uh, I A A P certifications, uh, the, this<br />is a, um, it, it&#8217;s a, uh, they offer a web accessibility certification that you can get and, uh, it, it<br />teaches you a, about web accessibility, and you [01:07:00] can go through the whole, whole<br />process there and, uh, you know, There&#8217;s no better way to prove that accessibility&#8217;s serious to<br />you than getting some kind of certification For sure.<br />Um, it&#8217;s, it&#8217;s not, uh, an easy thing to do. There. There are other certifications out there too. Um,<br />that&#8217;s just the first one that came to my mind. But, uh, th those types of certifications are, are<br />nice to be able to go out and do and, and learn. Um, and if you&#8217;re making it part of your culture,<br />then you&#8217;re always talking about it.<br />It&#8217;s, it&#8217;s like, like I said, it&#8217;s part of those code reviews. Um, if, if, if I&#8217;m reviewing somebody&#8217;s<br />code and I&#8217;m, I&#8217;m seeing it, I&#8217;m learning too. If they implemented something that I may not have<br />been aware of yet, uh, that, that&#8217;s a big piece as well. So mm-hmm. that, that being able to<br />communicate back and forth about &#8217;em, uh, is, is also super beneficial.<br />Cory Miller: Mike, did you have something to add? probably jumped the gun<br />Mike Klanac: a little bit. I, I [01:08:00] think I was going to start to mention tooling a little and its<br />role in this and, and Chris hit it a, a touch there. But, um, yeah, I mean this is a, this is a, a open<br />conversation. So, you know, it&#8217;s, it&#8217;s something that it, you have to kind of revisit periodically.<br />And the, the tooling, one of the things that it does besides kind of educate you and their, their<br />job is to stay current on creating a system of scans that, um, enforces certain standards. Um, it,<br />it, it allows you to kind of revisit it on a regular basis, uh, and that there is some. There&#8217;s a huge<br />role for that, right?<br />Like it no, no human can actually stay on top of all of the changes at all times. The, that<br />provides some nice rails. And yeah, as we get into this, perhaps this last section in a moment<br />where we talk about the, the, the content publishing or the sort of the, the end user role in<br />[01:09:00] accessibility, um, I think that tooling is a, a key<br />Cory Miller: part of that as well.<br />Okay. So I want to ask Chris one more thing. So this whole banner is accessibility for sure, but<br />WordPress accessibility, I think that&#8217;s the two parts of this why I asked you all to do this<br />particular topic because, you know, accessibility, but you also know the nuances with<br />WordPress like you&#8217;re experts.<br />Travis has been around for a very long time doing some really cool stuff with WordPress forever.<br />So, uh, Chris, my question is now accessibility with WordPress. Things that come out, stand out<br />with you with this amazing open source software that we love that&#8217;s used around the globe and<br />it&#8217;s great solutions for clients.<br />Um, what things stick out there with WordPress accessibility particularly?<br />Chris Kindred: Uh, well, well first open source software. It, it is always, um, it, people are<br />always talking about accessibility. If you go into the, the WordPress Slack, you can see people<br />trying [01:10:00] to focus on accessibility and try to get accessibility into, uh, everything.<br />Uh, you know, I guess it was two or three years, Gutenberg did a big accessibility audit on all<br />the blocks, and that was really important for WordPress to be doing to help move the editor itself<br />forward and make it more accessible for content editors. Um, but as Gutenberg&#8217;s matured and,<br />and become the block editor, it&#8217;s, it&#8217;s become everybody&#8217;s focus.<br />There&#8217;s this new opportunity and, and I think that, uh, As we continue to implement these<br />accessible designs that our, our amazing designers have put together and, and our developers<br />have gone in and, and put a lot of work behind the templates and building out the header and<br />the footer and, and everything, there&#8217;s this, uh, there&#8217;s this content piece that is going to have to<br />be implemented and most of the time that&#8217;s by the client.<br />And [01:11:00] the, the best way to help them would be by creating plugins that test the<br />accessibility before it&#8217;s ever even published. And being able to interface with a service that<br />allows you to check that and give feedback in a meaningful way to a publisher and being able to<br />tell them, this is inaccessible and here is why.<br />Because that&#8217;s a key point too, making sure they know why, so they don&#8217;t always have to fix it<br />every time they do it. Um, and, and being able to flag that the way that editor works now</p>\n\n\n\n<p>compared to way it worked with the classic editor. It, it gives you so many more opportunities for<br />that kind of, um, benefit.<br />So, so creating a, a plugin, you know, it, it&#8217;s something that I, I know a few places have tried to<br />create these, and, and there&#8217;s, there&#8217;s an opportunity to be able to, to do that. And I, I really, I&#8217;m<br />looking forward to, [01:12:00] uh, potentially participating and creating a plugin that can handle<br />that kind of thing. Um, you know, flagging it, uh, checking it from the front, inside, all of those<br />kinds of things for a user, um, that, that would be a, a huge benefit to the community as a whole<br />and, and to content creators.<br />Cory Miller: I, I think you pointed at something that I often don&#8217;t, I, I kind of gloss over, but the<br />fact that there&#8217;s so many people, the power of WordPress is so many people collaborating and<br />caring about this. Yes. This isn&#8217;t a new thing to WordPress. It&#8217;s what I. It&#8217;s, we&#8217;re, we&#8217;re<br />imperfect, but as a community. And the core software has a very passion for diversity, equity,<br />inclusion in that conversation has been championed by people like you and others in the<br />community to make sure WordPress is always accessible.<br />But having said that, there&#8217;s still things, there&#8217;s still things that we need to account for. And you<br />brought those up as like, well, we did in the discussions. It&#8217;s like you can do all the [01:13:00]<br />front end work and then you&#8217;re down to the person that just hasn&#8217;t had the opportunity to be<br />trained a little bit.<br />And the block editor, there are things that need, that are being discussed actively and worked<br />on in the community to need to be done to ensure the other part of this. We got the great first<br />site, but now, okay, we&#8217;re turning over and I, I think it was, Sarah mentioned one of the previous<br />conversations is one, you know, a blog post.<br />Could break the accessibility. You know, one thing that would just because you have so much<br />power, I mean, it&#8217;s the beauty of Good Berg and the block editor, you have so much opportunity<br />there, . You also have an opportunity to kind of go into and break your, all your good work<br />you&#8217;ve done to try to be accessible.<br />Okay. Anything else on technical? And then I wanna divide, dive in with the remain time and<br />thank you all for your time and sharing your expertise so openly. Um, the next section, just about<br />that side of this whole thing is like the other part of the team that might not be in some of the<br />core conversations but are executing, doing the work.<br />[01:14:00] Anything else? Chris, though, before we shift gears into that?<br />Chris Kindred: Uh, technical is such a code dependent thing that it could get. I, I could drown<br />you in what Aria labels mean and why and why not. But you know, the fact is if you&#8217;ve put a<br />culture in place around accessibility, then. It&#8217;s, it&#8217;s something that your devs are going to be able<br />to help you with.<br />And, uh, it, it&#8217;s, it&#8217;s just part of, part of the process.<br />Cory Miller: I&#8217;ve heard. I&#8217;ve, I think another theme in all this is like, if you&#8217;re a designer,<br />developer on the team in some way, uh, this is your webinar to go back if you need help in<br />reinforcements, saying, Hey, we need to embrace this. Um, because I know so many talented<br />designer developers, good hearts, wanna do the right thing, need the resources, you know?<br />Yeah. Need that collaboration.<br />Sarah Gless: Be champions of, yeah. [01:15:00] Making sure this, this is a conversation. Um,<br />and, and feel empowered to like, Take that upwards towards, towards leadership.<br />Cory Miller: Yeah. And share this link afterwards so they Yeah. Can come in here us talk about<br />the amazing opportunity they have here. Yeah. Okay.<br />Thanks Chris. All right. So final section is just this part. You&#8217;ve done all the fronting work, you do<br />care, you&#8217;re doing all the efforts, but then there&#8217;s this situation you already mentioned that they<br />could break it on that particular page because of the power of some of the word and and the<br />lack of the resources and training and guidance.<br />So when we get to this side, the client publishing of all this, who wants to share, what do you got<br />locked and loaded? I wanna just kind of put it here. Cause I think this is another team<br />collaboration of like probably people that are oftentimes overlooked, blamed sometimes, and<br />just don&#8217;t have this side of it that we need to be thinking about from leadership all the way down<br />through the organiz.<br />Mike Klanac: [01:16:00] Yeah, this is a, a really important part of it that oftentimes gets<br />overlooked. Um, and that is just to be really clear, it&#8217;s that after these tools have been created, a</p>\n\n\n\n<p>lot of accessibility thinking has gone into them, and then they are delivered to, um, you know, a,<br />a content publisher to, to maintain and to use for, for possibly up to five years.<br />Um, you&#8217;re at this key point where as a, maybe an agency partner supporting someone, like<br />you&#8217;re putting a lot of that power into their hands now to pick up that, that, that torch and<br />continue to run with it. Um, and there&#8217;s a really unfortunate metaphor here, which is, you know,<br />MySpace, you know, we can all recall MySpace.<br />It was really great. No longer exists today. They were very well intended. And at some point it<br />went from being this nice. Tidy page with a profile to music blaring and the thousands of like<br />scrolling pages and things [01:17:00] jumping out all over. And that&#8217;s because there was not<br />enough rails put into place for content publishers to be success successful for the long haul<br />there.<br />So we&#8217;ve, we&#8217;ve sort of come to the realization, and this is kind of part of like ergonomic thinking<br />and you know, you have to set these content publishers up for success. And the way that you<br />do that is not only in how you&#8217;re architecting the system, the publishing environment, um, to give<br />instruction, to make it just like intuitive and easy to use and sort of like heuristic and you can<br />kind of just, you can figure it out.<br />It&#8217;s simple. Um, but like training them on the idea of publishing accessible content because we,<br />no matter how many guardrails we put into place, if you&#8217;re not thinking about it, you will<br />eventually break the system by putting in. You know, content that is not accessible. Uh, so we<br />try to incorporate that into our training [01:18:00] process.<br />Um, and, and let, let be pretty candid upfront to say, you&#8217;ve got a, a wonderfully accessible site<br />right now. It won&#8217;t be this way if you put in concerning content with, you know, strange things<br />that, that perhaps like in the moment feel really exciting, but you know, they&#8217;re, they&#8217;re not<br />gonna, they&#8217;re not gonna work from an accessibility standpoint.<br />It&#8217;s something you need to continue to think about. Um,<br />Cory Miller: I mean, this goes back, that&#8217;s first part of it. Yeah. This goes back to your, your part<br />and two is the leader and the people making the decisions need to think about all of this that,<br />okay. Part one is just getting the infrastructure, the, the base. Part two is people have to operate<br />within that base and we need to be considerate and give ample resource.<br />To to hear because all of our good intentions could go away. . Yeah. When, when inadvertently<br />someone who does care, [01:19:00] makes a, makes a decision that affects it. So putting that<br />into the process is, is huge. And I think I&#8217;ve heard variously E three talk about the training and<br />the ongoing maintenance and upkeep of your knowledge about how these things operate, um,<br />isn&#8217;t a very important part of all of this.<br />Um, yes sir. Chris, you mentioned tooling or I think Mike got into tooling too earlier. So that<br />seems to be one part, as I&#8217;ve talked to you all, part of this is like just proper tooling to do some<br />as much as we can, as this continues to evolve and change with browsers and different<br />technology and stuff.<br />But, so can you talk to me a little bit about the tooling side?<br />Chris Kindred: Yeah. Uh, so. Tools we use, um, we use Site Improve Dubbo. Um, some of<br />those that what they&#8217;ll do is they&#8217;ll actually go out and put your, put the URL in there and it will<br />scrape your site and tell you what kind of, um, accessibility issues come up.[01:20:00]<br />Uh, they&#8217;re, they&#8217;re great tools that, that kind of thing helps a lot. And, and you can automate<br />that process to run weekly, daily, monthly, however often you want it to. Uh, and, and that&#8217;s a<br />really great check, but I, I really feel like you should be doing something before that. And, and<br />the easiest way to do that is by installing a browser extension on, you know, if you&#8217;re using<br />Chrome, Chrome has ax and you can install AX on your, on your browser, and then you can go<br />pull up your page and it&#8217;s gonna tell you the same stuff, but you&#8217;re just gonna catch it before<br />somebody else did.<br />You know, make it part of your publishing process that you publish a page. Go pull up X on, on<br />the front end and make sure that there&#8217;s not a glaring problem. Um, when you&#8217;re dealing with<br />Go ahead.<br />Sarah Gless: Go ahead. I was just gonna say even, even before that, um, too, it&#8217;s, it&#8217;s the<br />training aspect that, that we mentioned earlier.<br />Um, you know, from [01:21:00] a kind of content side of things, established guidelines and, and<br />make sure that they&#8217;re accessible by everyone on your team that&#8217;s creating content and that</p>\n\n\n\n<p>they&#8217;re updated regularly, um, as things change and evolve with, uh, within the accessibility<br />world. Um, so people are, are making good content from the start.<br />So we, we looked at it a little bit backwards, but I I, I like that because it, yeah, it kinda leads<br />back to that, that person,<br />Cory Miller: the two sides are seems like tools and training the two sides of the airplane, you<br />know? Um, so the,<br />Chris Kindred: there&#8217;s, there&#8217;s one more piece that I wanna mention is that you can always fix<br />what&#8217;s in the editor.<br />It&#8217;s not, you didn&#8217;t just destroy your site forever because you posted one piece of content that<br />was, uh, that had an accessibility problem, evaluate it, go back in and fix it. It&#8217;s not the, the<br />whole point is being aware. Yeah. It&#8217;s when you didn&#8217;t go back and fix it. It&#8217;s [01:22:00] knowing<br />it was there and ignoring it.<br />Those kinds of things that will really get you going along a<br />bad path,<br />Mike Klanac: right. I mean, people are gonna make mistakes. In fact, I&#8217;m assuming at some<br />point someone will look back at this webinar and think they said something incorrect. Um, the<br />point is that we care and we&#8217;re we&#8217;re trying to do the right thing.<br />Um, and, and so I think you&#8217;re right, Chris, like going back, if someone identifies an issue, you<br />can fix it. I mean, that&#8217;s the best thing about this is nothing set in stone here forever.<br />Cory Miller: That is the beauty of the web. I used to be in new newspapers, and when you<br />printed a mistake, it went out . I can&#8217;t imagine we had this opportunity to make it, to fix it.<br />Go back and fix it. Um, well, I, I like that. Any other thoughts on the training and tooling side?<br />Um, making sure, you know, I, I assume all this when you&#8217;re, we&#8217;re talking about like checklists<br />and workflows, like making [01:23:00] sure this is things you do with clients. Like, Hey, there&#8217;s<br />somebody in, not in this meeting and hasn&#8217;t been privy to all this<br />Here you go. Here&#8217;s some basic stuff to look at. I don&#8217;t know if that&#8217;s style sheets. I don&#8217;t know if<br />that&#8217;s like, earlier you talk, you know, Sarah, about like the colors of your logo and then how<br />does that transit translate accessibly And, uh, Chris again, any, anything like that you think as<br />you&#8217;re, you&#8217;ve been working with clients for a long time with this particular thing.<br />What you do that kind of makes the difference for someone you know, is, are there style guides?<br />Are there. Typical things they do. How do you approach this from alus perspective on that<br />training? Like, do you build in like, you know, um, training with a team or I, you know, anything<br />on that regard?<br />Mike Klanac: I, I could probably add one more thing, which is that we, you know, there&#8217;s a lot of<br />intention in the, in the design and the construction of content, so I, if you do that right, [01:24:00]<br />the, the publishers experie.<br />Is pretty like straightforward. It&#8217;s about the quality of the content and the messaging and less the<br />construction of it, and therefore like there&#8217;s less opportunity to get creative at that point. You&#8217;re,<br />you&#8217;re sort of like focused on like what the message, the content&#8217;s trying to convey is, and not<br />so much how the looks and where it positions or if you do have some editorial power at that<br />point.<br />It&#8217;s from a predetermined set of, of configuration. So you&#8217;re like putting the content in and<br />flipping levers and hitting buttons from pre-approved standards that everyone was agreed, uh, in<br />agreement on and happened to be accessible. Um, so if that, that work upfront has been done<br />well, those are some of those guardrails and I, I think that that can, that can help continue<br />success into the future.<br />Chris Kindred: That&#8217;s where Gutenberg has made things so much easier [01:25:00] for, for us.<br />We can go in and create patterns and build out those patterns to be accessible and, and meet a<br />certain, um, layout that sales teams provided the front end to, to be able to do. And, and so<br />we&#8217;ve, we&#8217;ve said, okay, here&#8217;s, here&#8217;s a pattern you can use that we&#8217;ve already vetted as an<br />accessible pattern, and, and you don&#8217;t have to worry about it.<br />If you use this pattern, you&#8217;re good. And then you can use the next pattern. You&#8217;re good, and,<br />and you can kinda work your way down the page that way. And it, it makes things better for the<br />end user. And, you know, that&#8217;s, that&#8217;s everybody&#8217;s goal here. How can we do what&#8217;s best for the<br />end user using WordPress to publish and then in turn their users<br />coming to the website.<br />Cory Miller: All right. Anything else on that? And before we do some takeaways,</p>\n\n\n\n<p>Mike Klanac: I think that pretty much covers it.<br />Cory Miller: This has been like, I think it&#8217;s [01:26:00] beyond primer. What this is is helping one,<br />somebody that does want to care, that cares, takes some meaningful steps about holistically<br />embracing this. Um, and with really solid business and human reasons attached. And I think<br />part of this that I was surprised a little bit is just the thinking when we got into accessibility.<br />It&#8217;s like actually you can, you can make money doing the good thing, doing the right thing. Um,<br />Maybe more money because we&#8217;ve talked about the one in 6, 1, 1 in four in America in<br />particular. But, and, and then the situational that you did, Chris, permanent, situational,<br />temporary Mike, really sharing, um, the, that, that whole case to help us think about that.<br />Um, so I, I love it. And I think the big headline is don&#8217;t look at this as a problem. Look at this as<br />an opportunity. And I think you all have masterfully shared some really compelling, [01:27:00]<br />you can&#8217;t look away from reasons why this should be like the center of, not just the project, not<br />just the website Pro, but culturally as a, as an organization, how we&#8217;re gonna be in the world.<br />And I think it&#8217;s pretty, pretty awesome. Anything we missed? Anything you wanna share? Um,<br />that we didn&#8217;t touch?<br />Mike Klanac: I&#8217;ll just like, my final thought on this was, first of all, again, thank you Corey, for, for<br />recording this. I, I like the opportunity to sometimes approach these topics from a new angle<br />and, and specifically as it relates to accessibility.<br />There&#8217;s been a lot of talks and accessibility and a lot of times they do get pretty in the weeds.<br />Um, because that&#8217;s an important part of this is understanding the weeds and the, the specifics.<br />Um, but what I was, what really drew me to this conversation was the ability to take a step back<br />and, and think about, uh, this topic more holistically as it relates across all the layers of culture<br />and business.<br />Um, both like at a, working with an agency partner, but in your own organization and how doing<br />that, [01:28:00] um, can ultimately bring you a lot of success. So I appreciated the new angle on<br />it.<br />Cory Miller: Sarah, Chris, any any save takeaways or thought.<br />Sarah Gless: Yeah, I think like my, my biggest kind of takeaways are how critical it is for, um,<br />you know, organizations to truly like, resource for this.<br />Don&#8217;t, you know, it&#8217;s, it&#8217;s kind of that idea of like, show don&#8217;t tell, like make it part of your values.<br />Sure. But then show it, right? And, and, and put resources towards it. I think that, um, is a<br />critical step in making sure this is truly valued, um, at your organization and that you&#8217;re<br />connecting with your, your audiences.<br />Chris Kindred: Uh, I, I really agree. Uh, I, I agree with everything that&#8217;s been said, but you<br />know, I, I think Mike talking along the points of, there&#8217;s a bunch of talks out there about<br />accessibility from a technical point of view, [01:29:00] from, uh, how to implement and, and<br />those kinds of things. But I, I think one of the places that struggles the most is, um,<br />Organizations understanding that it costs a lot of money to do that, and it, it costs a lot of money<br />because they&#8217;ve been going at it the wrong way, and they&#8217;ve been coming at it from kind of an<br />inside out, not an outside in, and not making it like sarason not making it part of your culture.<br />And if you can make it part of every piece, it&#8217;s not, it&#8217;s not going to be as expensive as it is if you</p>\n\n\n\n<p>have to remediate something once it&#8217;s all done. Uh, so it, it&#8217;s, um, this has been very eye-<br />opening to me to, I don&#8217;t think many people are looking at it from this direction. And I, I, uh, am</p>\n\n\n\n<p>am excited to be a part of that.<br />Cory Miller: Well, thank you three for sharing. Uh, so openly, uh, your expertise and experience<br />about [01:30:00] this pretty vital, you know, topic that if we&#8217;re working on the web, it&#8217;s just, In<br />fact, it&#8217;s, we&#8217;ve illustrated some good points, but appreciate you all for being and sharing so<br />openly and taking your time. I know it&#8217;s, it&#8217;s a Friday now as we&#8217;re recording, but, um, you have,<br />you have those clients waiting on you.<br />Mike, would you share a little bit how can someone heard what you all have shared and talk,<br />start the conversation with Modern Tribe.<br />Mike Klanac: Yeah, for sure. If anybody has a, a follow on question or wants to talk to Modern<br />Tribe about the work that we do, um, our website is, uh, t r i.be. Um, so you can Google Search<br />Modern Tribe, we pop up around there, uh, the first couple responses.<br />Um, you can also reach me@helloattri.be and um, You know, our goal is to be helpful. So I I<br />really, we do this quite often. If you just have a question, we&#8217;re happy to, to just just talk about</p>\n\n\n\n<p>stuff. So it doesn&#8217;t always [01:31:00] have to be reaching out if you have a, a new project<br />opportunity. This is important to us.<br />We like to hear from people and, uh, yeah, build relationships with everyone in the space. So<br />that&#8217;s how you can reach us. And, and thanks again. And Corey, and then, and the work that<br />post status is doing, carrying these topics through, uh, to the audience. It, it&#8217;s really, really<br />important.<br />Cory Miller: Yeah. I, I think we&#8217;ve got a couple more to topics to pull back because I&#8217;ve, I&#8217;ve<br />already identified some ones that I want to go.<br />I go, I think there&#8217;s more here that I kind of hear, heard that like it may be more, more a specific<br />treatment. So, but Sarah, Chris, Mike, thank you for today. Appreciate your time, what you do<br />and WordPress and the larger world, uh, out there. So have a great, uh, rest of your day. Thank<br />you for being here.<br />Cheers.<br />Mike Klanac: Good talk.<br />Cory Miller: Bye.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Mar 2023 22:35:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Post Status: Launching a WordPress Product in Public: Session 5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148247\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://poststatus.com/launching-a-wordpress-product-in-public-session-5/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:86910:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">In this episode, <a href=\"https://twitter.com/coreymaass\">Corey Maass</a> and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> discuss a range of topics related to the development of their new product <a href=\"https://crop.express/\">Crop.Express</a>,  including the importance of empathy in designing user interfaces, the challenges of marketing and selling products, and the need for developers to collaborate with others and develop non-technical skills. They each share their experiences from working on various projects over the years and offer insights and advice based on these experiences. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">45</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p>As the development of <a href=\"https://crop.express/\">Crop.Express</a> continues, <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> and <a href=\"https://twitter.com/coreymaass\">Corey Maass</a> continue to gain clarity on what is needed for their product to succeed. They discuss features and integration, free vs. paid versions, ensuring compatibility, and more, as they fold in their experience, expertise, and gathered feedback into the future strategy of their product business.</p>\n\n\n\n<p><strong>Top Takeaways:</strong></p>\n\n\n\n<ul>\n<li><strong>Cultivating empathy is important for developers.</strong> It&#8217;s essential to understand the needs of different users, particularly those who are not very tech-savvy or who come from different cultural backgrounds. Empathy helps create products that are more user-friendly and accessible to a broader audience.</li>\n\n\n\n<li><strong>Collaboration is crucial for success.</strong> No matter how brilliant a product developer is, they can&#8217;t do everything on their own. They need a team of people with different skills and backgrounds to support them, whether it&#8217;s in terms of design, marketing, or other areas. Building a supportive team requires humility and a willingness to accept feedback and help from others.</li>\n\n\n\n<li><strong>Failure is a necessary part of growth.</strong> Many product developers go through a difficult experience where they realize that their work isn&#8217;t as good as they thought it was. This experience can be humbling, but it&#8217;s also an opportunity to learn and grow. It&#8217;s important for developers to be open to feedback, to take risks, and to be willing to try new things, even if it means making mistakes along the way.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul>\n<li><a href=\"https://www.stickermule.com/\">Sticker Mule</a></li>\n\n\n\n<li><a href=\"https://www.canva.com/\">Canva</a></li>\n\n\n\n<li><a href=\"https://www.kickstarter.com/\">Kickstarter</a></li>\n\n\n\n<li><a href=\"https://unsplash.com/\">Unsplash</a></li>\n\n\n\n<li><a href=\"https://www.stockunlimited.com/\">Stock Unlimited</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"http://twitter.com/coreymaass\">Corey Maass</a></li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<h2>Session 5 Corey &amp; Cory Launch a WordPress Product Live</h2>\n\n\n\n<p><strong>Corey:</strong> [00:00:00] Session five, and I&#8217;m opening the comments on the YouTubes pop out. Hello? </p>\n\n\n\n<p>Yeah, I should do this too. Okay. Oh, shouldn&#8217;t&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> the recorded bit, we&#8217;ll do it live.  </p>\n\n\n\n<p><strong>Corey:</strong> Is there any other way? I mean,  </p>\n\n\n\n<p>there&#8217;s no&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> one, no other way, but to do it live, at least for Corey and Corey  </p>\n\n\n\n<p><strong>Corey:</strong> Otherwise, there&#8217;s too much to think about. Exactly.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Who wants, who wants, uh, [00:01:00] Perfection. All right. So, hey everybody. This is, uh, Corey and Corey launching a WordPress product in public and session five. And, you know, life happens. And so I&#8217;m actually at a hospital. Uh, my brother, uh, got into the hospital earlier this week and just checking on him.  </p>\n\n\n\n<p>He&#8217;s all good, by the way. Um, anyway, so session five.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Um, how was the jello? These are the things that matter. That&#8217;s true.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> I have not asked. He&#8217;s not been able to eat, but, um, people are pretty awesome. Yeah. Here taking care of them. Good. Glad to hear it. Um, so first things first, we get our first feedback.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Yep, yep.  </p>\n\n\n\n<p>So after all of our discussion around, uh, The most important thing being feedback. How do we collect feedback? I built [00:02:00] into the plugin, um, with your guidance, you know, the most direct way, like I went, we could have just linked to a contact form, but I was like, we want this to be frictionless. So there&#8217;s a button right next to every.  </p>\n\n\n\n<p>Big call to action that says, um, you know, give us feedback or something. Um, and so, and it worked, a little, a little relieved because I, I wound up doing some crazy email routing to get it all, um, signed up because, you know, one of the things with a new product is you don&#8217;t want to just like, you don&#8217;t want to pr optimize prematurely.  </p>\n\n\n\n<p>You don&#8217;t want to pay, start paying for services. And so we are, um, using a number of email forwards from my registrar to a Gmail account to each of us using aliases and various Gmail accounts. So it&#8217;s a little more complicated. But that way [00:03:00] we&#8217;re not spending 16 bucks a month on Google Workspace, you know, before we&#8217;ve.  </p>\n\n\n\n<p>Received an email. So, um, but yeah, the, the first email was positive or encouraging, I should say. Um,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> yeah. And basically, do you, do you know him? Do you know&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> who it is? I, I don&#8217;t think so.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> I don&#8217;t either. So that&#8217;s, that&#8217;s even better because it&#8217;s somebody that we, um, so I&#8217;ll, I&#8217;ll read it if you, if you want me to, Corey?  </p>\n\n\n\n<p>Yeah. Yeah. So I, I don&#8217;t know his name and it looks like his last name, but we&#8217;ll keep that anonymous. Uh, nice start. I would love it if you could work on more fe than featured images. Good affirmation. Wanna be able to do it with just an image on a page. And he gave us a link. Um, this kinda&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> seems link, the link, just so you know, all of the emails will include, i, I auto appended the site, u r url.  </p>\n\n\n\n<p>[00:04:00] Gotcha. So we have, um, you know, so we can go and do a little sneaky research.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Yeah. Uh, looks like in New Hampshire, by the way, aren&#8217;t&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> you in New Hampshire? I am. That&#8217;s why I&#8217;m, uh, or at least the site that it came from. Site that came from,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> yeah. Yeah. Uh, so what sticks out to me is, um, I mean, it&#8217;s one person, but it validates our second step, which is somewhere that can be used outside of the featured image.  </p>\n\n\n\n<p>Um, right. And last week we were talking about like, is there an area in the right sidebar somewhere that is, you know, you can drag it there, it&#8217;s still a step like crop it, but like then you can pull it into a Gutenberg block kind of thing. Is what, do you have any thoughts on that? Like, and I&#8217;m trying to remember a conversation from last week too.  </p>\n\n\n\n<p>I know you&#8217;re always tinkering too, so.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Right. I, unfortunately I haven&#8217;t been this week. Um, [00:05:00] yeah. I&#8217;ve been work, like you say, life gets in the way and work is part of life, and so, yep. Uh, for those who don&#8217;t know, I, uh, consult on the side or freelance on the side and, and these are the clients I&#8217;m always talking about.  </p>\n\n\n\n<p>And so, you know, uh, we have a new design that needs to be implemented this week, so unfortunately side projects get put on, get paused. Yep. Um,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> gotta have something, pay the bills and, um, no, no. I, I just curious cause you always kinda surprise me with something. I happen to mention a circle crop and you&#8217;re like, by the way, I did it.  </p>\n\n\n\n<p>I&#8217;m like, okay, . Um, cool. What, uh, I&#8217;m gonna, I haven&#8217;t looked recently, but how many downloads are we or installs are we up to?&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Oh, good question.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> I&#8217;m gonna do that right now.  </p>\n\n\n\n<p>When I put Crop express, by the way, into the wordpress.org plugins thing. Mm-hmm. , there&#8217;s 1, [00:06:00] 2, 4, 4 things above ours, which is, I&#8217;ll have to follow up with that.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Okay. So, so we still have fewer than 10,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> which, you know, that lags, doesn&#8217;t it? Like they have these, some metrics or something on what displays and so it could be theoretically more, I think.  </p>\n\n\n\n<p><strong>Corey:</strong> Yep. And am I logged in? No. Um, and I wanna say that they took away the deeper analytics. Cuz, cuz I also, you know, since we&#8217;re talking about this, I have a strong suspicion that people are also kicking the tires. Um, so I suspect that people are, you know, installing, trying it, you know, to kind of follow along in our journey and experiencing that.  </p>\n\n\n\n<p>You know, it is a limited plugin so far, and so we&#8217;re probably uninstalling it. Um, [00:07:00] so for me, like I talked about last week, this is, this is, you know, once you&#8217;re in public, this is a bit of a, um, urgency to start, like filling in those gaps. And I, I kind of personally, I like that like, there&#8217;s, there&#8217;s a lot of talk in the startup world about an entrepreneurship world in general of like, you know, if you&#8217;re not embarrassed by your first version that you released, then you&#8217;ve released too late.  </p>\n\n\n\n<p>And I, I thankfully got over that fear of releasing years ago. But it, you know, I, I think the next step is usually this, which is the, like, okay, I&#8217;m in public, I&#8217;ve told a few people about it. Yes, I&#8217;m starting to collect feedback, but I&#8217;m also, you. I can look at the product and go, oh shoot, it&#8217;s missing this.  </p>\n\n\n\n<p>Oh, I forgot about that. You know, so this is where, this is where we, we scramble as long as, uh, I, I can ,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> which is great. Like this is a good stage for, this isn&#8217;t our fa main [00:08:00] focus, but, um, I know, I know you probably have internal pressure for yourself. It&#8217;s like, I wanna get this going.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Yeah. I mean the, the sooner we get these extra features in, the sooner we make our first million, you know, and then I don&#8217;t have to worry about client work anymore.  </p>\n\n\n\n<p>So, I mean, that&#8217;s exactly, that&#8217;s, that&#8217;s the race. The other thing that, you know, I struggle with is a bit of an adult, A D H D. And, uh, when I have a project, you know, talking or, or a little voice in my head that&#8217;s telling me this is what I wanna be working on, I have a real hard time. Doing what I&#8217;m supposed to.  </p>\n\n\n\n<p>So I&#8217;m being a good boy this week. But that&#8217;s definitely, I think part of my, if you can call it success, but at least part of my track record of launching so many things, is that for better or worse, I tend to be pretty self-indulgent and will often, you know, nights and weekends crank on something, even if it&#8217;s [00:09:00] not what I should be working on or what, yeah.  </p>\n\n\n\n<p>Uh, the people around me are happy for me to be working on, but, you know, if if it&#8217;s yelling at me loud enough, then, then I, it&#8217;s hard to resist.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Yeah. It&#8217;s, uh, it&#8217;s hard because you can go, you can go off , just lose yourself because it&#8217;s fun, you know? But yeah. You&#8217;re talking about like 10 years for me is, is this Blitz Creek everything at it, you know.  </p>\n\n\n\n<p>This is a great pace. Like the pressure or like if we can get it, we can get it. We&#8217;re good. Kind of moving forward. But I do feel those tendencies of like, uh, you slacked me and we&#8217;re like, we got our first feedback and I was like, heck yeah. . And it&#8217;s a great one is an affirmation. Mm-hmm. . Um, so here&#8217;s what I had on my to to-do list and I&#8217;ll give you an update.  </p>\n\n\n\n<p>Um, I had Laney Page, talked to content journey, and Robbie, I did one of three. [00:10:00] I talked to Lindsay about content journey and getting their, how they source images was really fascinating. Um, I think there&#8217;s something here to that. Mm-hmm. What I wanted to talk to her more is like the more abstract thought of on page somebody land, you know, finds your post from organic traffic, whatever, and ad get on page and What&#8217;s that?  </p>\n\n\n\n<p>We had that more abstract meta conversation about the role of an image. And, uh, she gave me a lot of good feedback about how they source it. Um, they do custom stock photography, so for clients, so they&#8217;ll arrange for a photographer and they&#8217;ll do some, they do mood boards and stuff like that of like, these are the shots we want.  </p>\n\n\n\n<p>So they use a lot of those images in their posts. Um, but they&#8217;re probably, I think, using a tool like Canva. But I think still there&#8217;s a lot of validity here for crop Exactly. For the [00:11:00] theme this mm-hmm. , that perspective really illuminated for me was these themes have designs and ratios, you know, um, I&#8217;m trying&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Oh, sorry.  </p>\n\n\n\n<p>The, I&#8217;m trying to, I I received a little bit of validation. I just, I, let me interrupt you for a sec. The, the other feedback that I&#8217;m getting or, or experiential feedback or whatever is the same thing in that, uh, essentially there is, it&#8217;s almost like a style guide or you mentioned a mood board, but where there will be somebody who makes decisions about the types of images or the way images are presented.  </p>\n\n\n\n<p>So we, you had me add circles. Uh, I had a client suddenly request, uh, rounded squares [00:12:00] or round, really rounded corner squares. Um, see, that&#8217;s&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> cool because that&#8217;s a, that&#8217;s a differe. Nope, that&#8217;s interesting.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Sorry. And so, and no. Exactly, and that&#8217;s what I mean is like, you know what, we are a little bit at the mercy of what JavaScript can do and, uh, all that kind of stuff.  </p>\n\n\n\n<p>But I, I love the idea of, um, Somebody, again, making decisions about, you know, what essentially what is allowed, what, how images are allowed to be presented on a website. Um, and so I think that&#8217;s, again, going back to like I, who manage sites for clients or somebody who develops themes. And, and so within a given theme, you know, the, the op the theme was designed for images to be 16, nine, but every author photo is meant to be a square with rounded [00:13:00] corners or whatever it is.  </p>\n\n\n\n<p>Um, and so being able to lock in those, you know, we, we say here&#8217;s all the options and somebody goes in and configures all those options so that then when in your day-to-day, um, you&#8217;re, it&#8217;s a no. Editing images is, takes no brain space.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> But this the, you just. Um, I uncovered something that&#8217;s really interesting to me is like, I never thought about that.  </p>\n\n\n\n<p>Rounded corners. Mm-hmm. , like think about you kinda get a line to images, but that&#8217;s a, that little thing apart from the technical, you know, how how to do it Sure. Is. Like that&#8217;s a cool way for something to stand out and I think could be like in that pro category, uh, the pay category of stuff is like, yep.  </p>\n\n\n\n<p>The standout thing that we had kind of got into this higher conversation about us, like how to stand out. Uh, so that&#8217;s, that&#8217;s pretty cool. [00:14:00]&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Yeah, I think creative was, I think, I think we can, we can have some fun with it too. Um, potentially combined with other services or whatever. But like there&#8217;s, um, a little util we talk about, talked about utility apps.  </p>\n\n\n\n<p>There&#8217;s a little utility app that I bookmarked and go back to from time to time, which is, uh, how I created my avatar that I use everywhere. You know, you upload an image, it, I think it&#8217;ll remove the, it must remove the background for you. Like there are a lot of little single page apps that&#8217;ll do that.  </p>\n\n\n\n<p>But then it gives you, I don&#8217;t know, 40 different options of different backgrounds with sparkles or a star or circles. So it&#8217;s professional but fun. And then down below you can, they have backgrounds. So it&#8217;s you on a beach and you in front of the Eiffel Tower and yada yada. So, you know, we can. Relying on feedback and or when Corey&#8217;s a D H D kicks in [00:15:00] and wants to goof around.  </p>\n\n\n\n<p>Or if I find some new, you know, piece of code that&#8217;ll let us do this stuff. Like, I don&#8217;t, I don&#8217;t want to go too crazy with this, you know, cuz it&#8217;s, we could get goofy and end up building features that nobody wants. Right. Um, but there&#8217;s definitely some opportunity for some of these little differentiators, um, to take images, uh, within WordPress to places they haven&#8217;t been before.  </p>\n\n\n\n<p><strong>cory:</strong> So, unless you have another pressing topic we should talk about, I&#8217;d like to explore that for a second. Not to say we should do it, but explore it. Sure. So that just kind of got me in a whole different, um, thought space of Okay. The round the corners thing is there and, and without technical understanding of this Sure.  </p>\n\n\n\n<p>Could you have an image and have a pull quote in front of it? You know, or something like those ways of making an image, not just, I pulled [00:16:00] that from iStock photo or Unsplash or whatever, you know? Yep. Which is interesting because like your client came to you with the rounded corners. Yep. So it&#8217;s like, how could we dress up and make those images per our conversation?  </p>\n\n\n\n<p>Like wait more. Interesting. Well, the avatar thing that&#8217;s really compelling, because maybe the tool is there&#8217;s a crop express area in the menu and you can go in and like, sure, it helps you do your featured image and eventually we&#8217;ll figure this crop where we crop it, you know? But like maybe there&#8217;s, um, that tool that, again, without technical, but I go, is that something we could do with JavaScript as a remove background or can we put some filters on mm-hmm.  </p>\n\n\n\n<p>to, or can we lay things like a slide. That&#8217;s cool options right there. That&#8217;s&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> about, and, and, and what I thought you were gonna say is user images, author images, yes.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Make like in [00:17:00] with it, you get this kick butt, like, avatar,&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> right. Because we&#8217;ve got, I mean, WordPress is tied to Avatar for better or worse. And there are lots of plugins for adding user images.  </p>\n\n\n\n<p>If, you know, if in a traditional blog you have a little author byline and you wanna a little photo of them, if you don&#8217;t wanna use Gravita, there&#8217;s plugins that&#8217;ll intercept that request and, and use a WordPress image. Um, again, another place where, down the road, anywhere that somebody is interacting with images on WordPress, we wanna, you know, be there.  </p>\n\n\n\n<p><strong>cory:</strong> Um, this is where Corey, I think we&#8217;re getting onto something. A bigger use case. Yep. But, um, you&#8217;ve been to Sticker Mule,&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> but this is the background remover that I use generally.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Oh, is it? Okay. This is your utility? Yes, I have one. [00:18:00] It&#8217;s almost kinda like, oh, let&#8217;s take all these things and say, can we do them technically&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> upscale?  </p>\n\n\n\n<p>Read your print. Yeah. So if you Google sticker Mule background remove, um, it&#8217;s, it&#8217;s usually their background remover that I use cuz I, I love, I love Sticker Mule, I use them for swag. And so this is where, um, and, and there&#8217;s is free, like other people wanna limit the size or whatever, but these guys put it online so that with the idea that you would then go use whatever d background remover or image to print stickers.  </p>\n\n\n\n<p>So yeah. Yeah, we can start getting into that. And the, the funny thing here is I&#8217;ve been curious if this, if we&#8217;d start to have this kind of conversation, um, because the, I think I mentioned a few weeks ago, like I was messing around with another product [00:19:00] in parallel, um, based on, uh, the, the service I built takes screenshots.  </p>\n\n\n\n<p>And so it&#8217;s an API that takes screenshots, but using that a p i, it&#8217;ll, you know, people traditionally are like, oh, a screenshot of my homepage. And it&#8217;s like, okay, but you can, uh, manipulating H T M L with, and CSS is easy, relatively speaking. And then, and so you can kind of generate an image, uh, in a browser and then take a snap.  </p>\n\n\n\n<p>Right. So one of the things that I started to build as a WordPress plugin is, um, for each post, if you go to a URL off of that post, you will see the featured image with the post title and post date. And then it takes a snapshot of that or a screenshot of that. And then that&#8217;s your social image. Yeah.  </p>\n\n\n\n<p>Right. Oh&#8217;s and so, and so. It, it [00:20:00] does, I&#8217;m pretty sure it does require a third party, which is why I built this, had to build this separate a p i. Um, but you know, that&#8217;s something that I&#8217;ve already started looking at and there&#8217;s definitely ways that we could combine those things and it, and, you know, it should be a pro.  </p>\n\n\n\n<p>Definitely we&#8217;re talking about getting into pro stuff, but, um, you know, there&#8217;s, yeah, it&#8217;s lots of other areas where tentacles could creep out involving images and WordPress.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> So I&#8217;m starting both these avatars and social images with the, in the screenshots that you talked about. Yeah. Because that&#8217;s so, you know, our premise a couple weeks ago was make ch creative chores fun or easier.  </p>\n\n\n\n<p>Mm-hmm. , this is even like  </p>\n\n\n\n<p>spruce up your stuff. Like when you talk about avatar, it&#8217;s like, wow, I went and there&#8217;s a thought behind the avatar. Cuz the final [00:21:00] thing is not just a quick image and somehow slammed in there. It&#8217;s like, no, they did a circle or run, whatever these tools we could do, it&#8217;s like treatment of images, you know?  </p>\n\n\n\n<p>Right. So that&#8217;s a&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> level. Yeah. And, and again, I think, you know, the, to me the, I keep coming back to this. The real value add is, The Wizbang, um, not the actual creative part, but, but locking down the creative part. So, uh, you know, I ha again, I have a website, it&#8217;s a, um, or a client website. It&#8217;s a magazine. So every, uh, article that gets submitted has a user, cuz that&#8217;s the author.  </p>\n\n\n\n<p>And so we&#8217;re up to a couple a dozen or, you know, and, and technically more. Um, but every, each one has to upload, we need to get an image from the author and then we upload it and it&#8217;s, they&#8217;re never quite [00:22:00] consistent and stuff like that. And so it&#8217;s, if we, we went in initially and decided, okay, avatar images are, even if it&#8217;s not connected necessarily to like the user profile or whatever.  </p>\n\n\n\n<p>Cuz I keep ta I like your idea of a top level menu item that&#8217;s like, here&#8217;s. Even if it&#8217;s just bookmarks that link to deeper points within WordPress. But it&#8217;s like, here, here you can manage all of your author avatars and you know, initially when you set up the site, you&#8217;d say, okay, we want them all to be square and we want them all to have, you know, rounded corners.  </p>\n\n\n\n<p>And you set that and you forget it. And so then every time a new author comes in, you know, you just say, upload image, crop it. And, and these decisions are made rather than, oh, we have a new author. I have to go back to Canva and move sliders around and try to remember, you know, what is our norm. Um, it&#8217;s&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> right there.[00:23:00]&nbsp;  </p>\n\n\n\n<p>Yeah. It&#8217;s, it&#8217;s where you need it, where you&#8217;re doing the work. It&#8217;s not another platform. Yeah. Well like you&#8217;re saying, that concept is like left hand menu thing could be like that sticker mill tools. , here&#8217;s all your tools. Like, they&#8217;re not gonna need avatar every time, but they know, oh, I go back here. Go back to the utility.  </p>\n\n\n\n<p>Yep. That spruces my images up,&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> you know? Yeah. I like that idea of the, the menu because it&#8217;s, I, I kind of got stuck on when you were talking about it last week. I&#8217;m like, I like it from a branding perspective, you know, but what, and, and we could, and I, I don&#8217;t have a problem with having sort of an abstract utility app built in, but I, I was like, there&#8217;s something missing.  </p>\n\n\n\n<p>And I think it&#8217;s that, like you, there&#8217;s a sub menu that says avatar, featured image, general image, or a crop to your heart&#8217;s content, you know? But,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> so here&#8217;s, here&#8217;s a question to that. [00:24:00] Um, there&#8217;s JavaScript tools and things that are available that do things. What are some of the things that, like in the libraries or out there, maybe that could connect some dots and go.  </p>\n\n\n\n<p>Is this something that could be an easy lift and maybe the utility is more pro, but I&#8217;m really li I really like that. Like when we kind of make, become the indispensable utility for sping up your images or whatever fancy thing we&#8217;re gonna call it in there. But then I just go, there&#8217;s so much locked in jQuery, JavaScript, different libraries that are probably easy reasons.  </p>\n\n\n\n<p>Like, is this remove a background feature? You know, I&#8217;m just giving. Mm-hmm. suggest like thoughts here. But if there&#8217;s some of that, it&#8217;s like, why not put that there anytime. I think the principal here could be, anytime we save them from having to go offsite site, that&#8217;s gotta be a plus one. Like that removed background thing.  </p>\n\n\n\n<p>I know the iPhone does it, [00:25:00] stuff like that. But, um, the, some of these ticker meal tools, like you, you have that book marked to do that, you know? Mm-hmm. . That&#8217;s cool. Could we. Can we pull some of those things into that library? And then I guess the question is, what are some of those low hanging fruit fruits for that?  </p>\n\n\n\n<p><strong>Corey:</strong> Yep, yep. I&#8217;m looking at, um, image manipulation plugins, WordPress image editor plugins, because I, you know, it&#8217;s, it, there&#8217;s, there&#8217;s features, there&#8217;s benefits, there&#8217;s ways that they come together and we can, we can offer, we can keep adding features. Eventually we will suss out whether people are using them or not.  </p>\n\n\n\n<p>Either we will build them because we get feedback or we will build them, and eventually we&#8217;ll start looking at analytics and determine that. Mm-hmm. , nobody is using the [00:26:00] watermarking tool or whatever we end. Attic, but I, Ooh. But I wanna&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> watermarking, . That&#8217;s another one I&#8217;m writing down, man. Seriously.  </p>\n\n\n\n<p>Because you got all these photographers, different people, and they&#8217;re like, they wanna put their art up, but they want some sense of protection. That&#8217;s, that opens up another set of things like a whole other y uh, you know, an avatar group we can go toward, like, with just that watermark thing. Mm-hmm. . So I&#8217;m writing that down too,&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> but I, what I wanna make sure the, the, the concentric circle that I wanna, or, or the middle that I wanna make sure we end up in it with.  </p>\n\n\n\n<p>Um, this is like, I&#8217;m looking at plugins where you, it&#8217;s Canva or it&#8217;s whatever image editor you like, it&#8217;s Instagram. But it&#8217;s abstract. And, [00:27:00] and I see ways that these other plugins are not, maybe not integrated the way that we are talking about integrating. Cuz that to me is the real value. Like I&#8217;d rather have fewer, this is, this is me based on my experience, right?  </p>\n\n\n\n<p>Obviously this will be determined by feedback, but I would rather have fewer features but be where it actually matters than I&#8217;m looking again at these other tools that are, I think the same, similar thing where like they&#8217;ve implemented libraries or they&#8217;ve, they&#8217;ve built a utility app and they&#8217;ve, you know, shoehorned it into WordPress, uh, like this, I don&#8217;t mean these to be derogatory phrases, um, but it&#8217;s, they are, they are potentially powerful photo editors, but they&#8217;re not where you need them to be.  </p>\n\n\n\n<p>Right? Yeah. If you, if you have to click. Into media in order to get the editor in [00:28:00] order to upload an image to then go to a post, to me, you&#8217;ve missed an opportunity cuz it&#8217;s the, I want to click on featured image or I want to click on an image block and that&#8217;s where this, you know, whatever features need to be.  </p>\n\n\n\n<p>Um, and, and that&#8217;s, and I think sussing out all those use cases to then go, okay, yes, they need watermarks or they need filters, or they need rounded corners or whatever. That&#8217;s when we start, you know, chasing all those feature lists basically. Yep.  </p>\n\n\n\n<p>All I hear is that I need to get off my butt and hurry up. And not at all, get this stuff implemented, . Not at&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> all. But I, I continue to be excited as we do. Uh, really this whole product is just a dis a safari between Corey and Corey and I, I, I wrote down here. We&#8217;re building the case, you know, for it. [00:29:00] And, um, got our first feedback,  </p>\n\n\n\n<p>there&#8217;s a point where we&#8217;re gonna have to say, okay, we think we&#8217;re onto something. And I guess the two ways I think about this one is just put it in a pro version and get somebody to buy. That&#8217;s validation. Second is, hey, does all this resonate? If, so here&#8217;s a, like a, it&#8217;s not a Kickstarter, but a Kickstarter thing of like, buy a hundred dollars, you know, we need 10 grand, let&#8217;s say, to chase these features that we&#8217;re gonna do that we&#8217;ve heard and come in, we&#8217;ll give you some special thing by being one of the first.  </p>\n\n\n\n<p>Yep. So that&#8217;s another option, but I&#8217;m just throwing stuff out like. That&#8217;s a good idea because I feel like we&#8217;re starting to really build a case and we&#8217;re gonna need to make some actual decisions here pretty soon of going, we think this is it, but level of effort for [00:30:00] two hobby workers here doing this, it&#8217;s gonna require capital to go get, get the developer plus more time, you know, to, to chase some of these&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> mm-hmm.  </p>\n\n\n\n<p>Yep. So, yeah, there&#8217;s definitely a, I There&#8217;ll&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> be a catalytic moment. I&#8217;m sorry, there&#8217;ll be a CATA for sure. Moment. You know, we keep coming back soon and&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> we&#8217;re soon there&#8217;s, there&#8217;s op we&#8217;re, we&#8217;re coming at it from opposite ends. Mm-hmm. . Um, we have, I think in the, in some of our discussions, we&#8217;ve established a baseline of functionality that&#8217;s on my plate and then we&#8217;re having really good high level conversations that are.  </p>\n\n\n\n<p>It&#8217;s, you know, you&#8217;re building a house, you know, you need a basement or a a, a cement slab. That&#8217;s Corey&#8217;s job right now. But it&#8217;s, and, and it&#8217;s not without its interesting challenges or [00:31:00] fun points of creativity, but you and I are, at the end of the day, each opening a beer proverbially and standing back and going, okay, so do we wanna build a widows walk?  </p>\n\n\n\n<p>Do we want, uh, a hot tub? Do we want, um, you know, uh, a fireman&#8217;s pole? And s and right now is the time to have all those conversations. Cuz we&#8217;re like, oh, well, uh, I live in New Hampshire hot tub, you can only use about three months of the year. Not that people don&#8217;t have them, but you know, oh, we use&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> ours. , I use ours, I should say.  </p>\n\n\n\n<p>I&#8217;m like, okay, it&#8217;s five degrees, but ,&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> it&#8217;s hot out there. .&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Yeah. That maybe warrants some of this, cuz I think we&#8217;re building a case enough where I ki kind of go, okay man, it but it almost si to me and I wanna get your opinions on this. Here&#8217;s free. It&#8217;s got us enough to like really get to talking. Some [00:32:00] people are kind of using it and then going like some of these things.  </p>\n\n\n\n<p>I&#8217;m like, yeah. Then we just take down there. There&#8217;s a general thought or direction here. It&#8217;s like anything where you have to go offsite. Let&#8217;s think about that. Let&#8217;s think about watermark, social engine, screenshots, avatars, that&#8217;s all like paid features. Yeah, those are paid things.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Yeah. But I like your idea of,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> that&#8217;s why, by the way, I&#8217;m glad you got that other domain, ,&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> too many domains.  </p>\n\n\n\n<p>I in I, that one I own actually brought me up to 20, which is way down. I used to have. You know, a hundred or something. But we need to&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> buy domain support group separate from this, cuz I&#8217;m with you. Um, but the, the domain you did get, I go, that&#8217;s probably where it seems like right now, today as we&#8217;ve talked about these options, that&#8217;s where we&#8217;re, we&#8217;re probably gonna land.  </p>\n\n\n\n<p>Yeah. Um, [00:33:00] so, uh, sorry, so what are your thoughts on like, I&#8217;ve, I&#8217;m feeling excited. I don&#8217;t wanna get it, but, you know, beyond our skis here, but I go man, one of these, you start with one domino, the second into a pro feature set. Um, we still don&#8217;t have a ton of users, which is what we need. Right. Well, I need&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> to finish thoughts on that again.  </p>\n\n\n\n<p>I need to finish the slab. I need to finish the baseline version that is, Because the other thing I wanna be careful of, and, and we&#8217;re gonna have to, as usual 10, 10 thoughts, thought threads at once here. But I am glad that we are talking about these other directions because I want, what we can&#8217;t do is [00:34:00] have a plugin that is, um,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> what are you looking at  </p>\n\n\n\n<p>Uh, if you heard somebody yelling, that&#8217;s my dad, ,&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> um, what we, what we can&#8217;t have is a free version that is useless. Yeah. Right. Okay. Is, or, or that, that hint set, you know, features but doesn&#8217;t actually deliver. And so I kind of have a feeling. , what we had originally talked about was like pro features that are specifically for, uh, agencies, stuff like that.  </p>\n\n\n\n<p>But I have a feeling that even the non-technical or non-agency user is going to need like half of the pro features and great, we, it would be great if we could sell it to them, but if it, if it&#8217;s useless without those features, you know, we, [00:35:00] we see, we see too much churn. Yeah. And so if, if we can even make a pro version that&#8217;s cheap, that just adds a little bit of icing, but then we can use all of this as a segue into these other bigger solving, these other bigger problems than we start to build an empire.  </p>\n\n\n\n<p>Um, which is very, uh, exciting. You know, if we. We start to get into, if there&#8217;s an uh, you know, WordPress and plugins and their add-ons, if there&#8217;s an avatar add-on, if there&#8217;s a social media image add-on mm-hmm. different from the core pro, which is only, you know, 10 bucks to add, you know, color pickers or something, you know, that, that feels better to me than trying to sell or trying to get people to use a free version that only works for us.  </p>\n\n\n\n<p>Very small percentage. Yeah. And then [00:36:00] expect everybody to pay a hundred bucks. They&#8217;re just not gonna, yeah. Thank,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> thanks for anchor this. It needs to be a step, we need to work back on to the slab. So when you said that it came little kind of clear to me is like, maybe it&#8217;s just that area, you know, below the featured image.  </p>\n\n\n\n<p>Uh, I don&#8217;t know if that&#8217;s where it should go in the ui, but it seems like that one thing could flesh out. And maybe there&#8217;s even, like, maybe that&#8217;s where custom dimensions comes into. Mm-hmm. Here it is, all your cropping. You don&#8217;t have to go somewhere else, you don&#8217;t have to upgrade, but like, it&#8217;s the free mvp.  </p>\n\n\n\n<p>It&#8217;s the, uh, not mvp. It&#8217;s the value prop is just want to get the right sized images, you know, done easily without having to find all these different workflows. It&#8217;s right here sitting for you as a utility right there [00:37:00] in right sidebar, post and page. What do you think?&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Yeah, I see that like it&#8217;s, uh, basically going in a, going in a different dimension.  </p>\n\n\n\n<p>It&#8217;s, it&#8217;s all of the features, but only in limited places as opposed to some of the features everywhere. All of the features everywhere. Yeah. So, yeah, we can, we can, we can look at that kind of configuration. I think it, to me, that&#8217;s. , the way I often design product is by building, as we&#8217;ve talked about. And so I think that that&#8217;s the sort of thing that&#8217;s going to become self pretty self apparent as I&#8217;m building.  </p>\n\n\n\n<p>And then you and I can either have one of these calls or can talk in Slack as I&#8217;m going. Okay, so we&#8217;ve, we&#8217;ve covered our bases. We have that cement slab. What is, what does this first floor look like? Do I build three stories of one room or do I build one story of three rooms? Mm-hmm. . Mm-hmm. . And so we can [00:38:00] decide whether we want to kind of go up or go out.  </p>\n\n\n\n<p>Um, so, you know, so what feels good and what, how much feedback we have&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> at the time. Absolutely. And what clarity I see now up for your feedback is we have some case for. A bigger utility that goes, dives deeper into like the avatar. So there&#8217;s the screenshot thing. You blew my mind for a second. But you go into social images, you go into water marketing.  </p>\n\n\n\n<p>So we&#8217;ve got a case building here for pro and then you anchored us back to free full. A full featured free, I think is what I take from this. And that makes me think that free tool needs to be inside bar and it needs to have custom dimensions. Mm-hmm. . Because then why would you want to go anywhere else?  </p>\n\n\n\n<p>Like, cuz somebody could conceivably say, well it&#8217;s letting me crop and get the crop, you know, images, but I want them to a little different. Then they&#8217;re still having to go out. But if we just think only featured free, I [00:39:00] go, that&#8217;s it To me. I go put it in the sidebar. Custom dimensions we&#8217;re good, but again, I&#8217;m, I&#8217;m positing this, I just  </p>\n\n\n\n<p><strong>Corey:</strong> custom dimensions. I think that&#8217;s where. Okay. Because I think it&#8217;s necessary. I think that that&#8217;s the, you know, you we&#8217;re, without it, we&#8217;re talking about, I don&#8217;t know, a car without gas or something. Mm-hmm. . It just doesn&#8217;t, it just doesn&#8217;t do enough. We can&#8217;t, I can&#8217;t imagine that the vast majority of websites only use Square or 16.9 and subsequently we&#8217;re gonna cover our bases.  </p>\n\n\n\n<p>I think it&#8217;s, um, cuz we also, I think, want to hint at that additional value prop of agencies of locking down your website, even from yourself. So the settings page. [00:40:00] Yeah. If you want to allow certain sizes or aspect ratios that are not 16, nine or square, you have to click, click, click to go over to the settings page.  </p>\n\n\n\n<p>Now you set it once and you forget it. But it&#8217;s over there. Whereas day to day you&#8217;re going in and you&#8217;re going, well, my website is actually 16 1.6 that&#8217;s already configured, and then day-to-day, I&#8217;m just plugging in in images.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> So it seems like, like I&#8217;m trying to remember back to like the Photoshop CRO tool.  </p>\n\n\n\n<p>You get the little window over here that&#8217;s, you can type in pixels wide, pixels tall. Then you have an aspect ratio that could be tweaked potentially. Yeah. Like to me, man, if that&#8217;s like maybe the, there&#8217;s the preset, click it go. Just try to get &#8217;em fast. The crop. Then there&#8217;s, in that window, when it pulls up, there&#8217;s, maybe it&#8217;s an advanced tab or something, but it&#8217;s [00:41:00] conceptual.  </p>\n\n\n\n<p>I&#8217;m just kind of talking, but it&#8217;s like those little, that little Photoshop box. If you want to go custom, here you go. And then you can click crop and it&#8217;s done. Yep. Okay. If that&#8217;s it. What, what do you think the level ever for that is? Because I don&#8217;t wanna say Corey, could you do that for us? But I just wanna say, what do you think?  </p>\n\n\n\n<p>That level of effort, because man, right, with that is, okay, beachhead product is crop the pro then become, this is a path into pro. You do this, by the way, so here&#8217;s the panacea for those of you that needs this over here, it&#8217;s called mm-hmm. , our domain. Um, so what&#8217;s level, level of&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> effort you think for that?  </p>\n\n\n\n<p>Uh, it&#8217;s, it&#8217;s honestly, I ha it&#8217;s built already. I had to rip it out, um, to submit the free version because we had talked about, I love working with developers, , um, you know, keeping it very simple. Yeah. Just getting a proof of concept out the door. So, uh, [00:42:00] you know, cuz that, that&#8217;s, to me, even thinking about the 0 0 1 version, we, I knew we would need custom.  </p>\n\n\n\n<p>Configuration. So, um, so putting in a simple settings page and allowing, uh, some basic, you know, one or two presets essentially gets us there. Um,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> okay. So, so if I capture this right though, so they would activate plugin and set those in the plugin settings tab and then have &#8217;em available when that rat sidebar thing comes up, or did I get that wrong?  </p>\n\n\n\n<p><strong>Corey:</strong> No, that, I mean, that was how I imagined it initially. Okay. Uh, but I, as we&#8217;ve talked about, or I talked about I two or three sessions ago, I also think that we need an option to bypass. Um, like we don&#8217;t want to truly [00:43:00] 100% Absolutely. Lock somebody out of uploading an image that&#8217;s some goofy size and shape, like that&#8217;s just root.  </p>\n\n\n\n<p>It&#8217;s your, it&#8217;s their website. So, in. So in my mind, the flow that we&#8217;ve proposed is setting up a new site or you have a site, you install the plugin, you&#8217;d go and say, this site uses or will use 16 1.6 aspect ratio images save. And then when I, whenever I try to upload a featured image, it&#8217;ll, it&#8217;s an option.  </p>\n\n\n\n<p>It&#8217;ll default to that. But there will also, which right now we&#8217;re lacking. But there is so an advanced button that says, do whatever the hell you want. Or just, yeah, blunt. Upload a 10,000 pixel image. Even though we don&#8217;t recommend that you do that. So the&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> reason why I&#8217;m asking some of these in depth, cuz if I get the workflow in my head and I know how it goes, I, that&#8217;s where I&#8217;d like to, here&#8217;s your workflow, here it is, you know, [00:44:00] and we&#8217;re gonna do our best in the product side to make it really easy and safe.  </p>\n\n\n\n<p>But that&#8217;s really helpful cuz I&#8217;d go. Hey, it&#8217;s here in the settings page, but you can also, when you&#8217;re popping it up, crop it to what you think. Right? But if they&#8217;re like me, I go, I don&#8217;t know how far this is. I don&#8217;t, you know, I don&#8217;t know how wide single post templates are typically, I guess like 400, 500.  </p>\n\n\n\n<p>But, so that&#8217;s really, really awesome cuz there&#8217;s like, if you&#8217;re the agency, you&#8217;re gonna set it in the plugin. It&#8217;s there for &#8217;em. If you&#8217;re the independent professional using it, trying to publish content, you might use this at some point, but you got this flexibility. That&#8217;s, that&#8217;s&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> brilliant. And I think, uh, we will do two things.  </p>\n\n\n\n<p>We will have, and this is similar to a lot of other plugins that have this pattern, and I think it&#8217;s, I think it&#8217;s a winner, is you have a settings page. So [00:45:00] you&#8217;ve gone non-developers, but you also allow those settings to be. Hmm. Locked in by defining constants in your WP config file. So it&#8217;s the kind of thing where, uh, you know, um, WP Migrate DB Pro, um, or a c F or there&#8217;s a bunch of other plugins that do this, where you&#8217;ve, uh, you can go in and fiddle with things, or Corey the developer, sets up a new site, drops in a couple of the same constants on all of the sites, and so there&#8217;s no messing with a settings page.  </p>\n\n\n\n<p>Things are just defined. Um, and so we can do a, uh, we can normalize it that way too. So&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> I&#8217;m gonna follow up with Kathy&#8217;s aunt over at Cadence to talk this through, but there, we&#8217;ve, we&#8217;ve hit it because the free tool will say, [00:46:00] this is what I heard. I&#8217;m a web development design firm, agency developer, whatever else.  </p>\n\n\n\n<p>Um, I create, go to all this pain to create this great site for someone and then they end up probably bettering because the images is a wild, wild west in their workflow is like, we&#8217;re gonna use cadence or whatever theme framework, Hey, go here. This is gonna protect your beautiful project you just delivered to the client.  </p>\n\n\n\n<p>That&#8217;s killer man. Yeah. And just making it like it&#8217;s a free tool, you know? And by the way, at some point there&#8217;s gonna be this other thing. So like we get &#8217;em here, use this on all your client sites. So that&#8217;s the u free utility version. Help people. That&#8217;s our, I think that&#8217;s our angle into building the user base for this is, Hey everybody, raise your hand if you had a client.  </p>\n\n\n\n<p>Who takes your beautiful project and screws it up with images. [00:47:00] Yep. Okay. This crop express helps put some little guardrails, like bowling, put the guardrails out so it doesn&#8217;t bounce into the gutter. Yep. I think we&#8217;ve just like stumbled into really compelling to this process. Um, way to go, like we&#8217;re being opinionated, you know, you telling me like themes said, I was like going back to my theme days going, yeah, you&#8217;re right.  </p>\n\n\n\n<p>They designed us with specific things to make sure it lights up like the demo site does, but then in the tool, in the software itself, , it&#8217;s all over the place. It breaks, it makes it&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> look ugly and, and here&#8217;s a little like silly little thing, but low lift may be valuable is I&#8217;m picturing content journey who are writers.  </p>\n\n\n\n<p>And content people, but who are, maybe some of them at [00:48:00] least are not going to be artistic or not going to be comfortable in Photoshop or what have you. Right. So they will, they might be sourcing images. I&#8217;m trying to, I&#8217;m thinking on my feet here, so obviously I&#8217;m stumbling a little, but like my clients too, they go and they source images and I have taught them that we use, we need an image that within that image, whatever size shape it is, there needs to be a 16 nine and there needs to be a square cuz the one of the sites specifically uses that.  </p>\n\n\n\n<p>Right. But they&#8217;ve had to learn that and I&#8217;ve had to teach that to them. And so imagine this, again, silly little thing, but I, I kind of am in love with this idea at the moment. I love where you&#8217;re going. Is uh, it, once you hit settings or once you set those things, it auto generates a style [00:49:00] guide, documentation or what have you.  </p>\n\n\n\n<p>You know, and, and I think this can keep going, but like, again, the quick and easy is I install Crop Express. I set it, I, the developer set it so that the, the website allows this and, you know, 16, nine and square both need to be 10,000 or, or 2000 or less, which is the plug-in will or take advantage of, but it generates some sort of documentation or reference material that I can then hand the client and say, you know, not so, so it doesn&#8217;t rely on them to have to learn or have to figure this stuff out.  </p>\n\n\n\n<p>They have. A thing upfront that says, okay, here&#8217;s what you need when you go to Unsplash affiliate link. When you go to Stock Unlimited affiliate link, you know, these are the, this is what you need to be looking for, this is how you download it, et cetera, et cetera. [00:50:00]&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> I love it because you&#8217;re teaching in the software, you&#8217;re guiding in not just programmatically, but like, that&#8217;s content heaven right there, because conceptually settings page when they&#8217;re doing, or there&#8217;s a, some kind of quick, you know, setup and it&#8217;s like, that&#8217;s our lead magnet two.  </p>\n\n\n\n<p>It&#8217;s like, hey, here&#8217;s the five best places. Uh, here&#8217;s some th like the thoughts we&#8217;ve done on how to like source an image. We, you and I could probably rough some of that out and like, you want it, you know, and journalism is like, you don&#8217;t want the person looking off the page. , you know, so like there&#8217;s some tips we could put in there and that could become guidance and lead magnet&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> and like, yep.  </p>\n\n\n\n<p>And we let, let developers white label it so they put their own logo. And so Corey gets paid to set up a website. I set up a website, install a theme, install crop express, plug in [00:51:00] the hardcode, what I know will, will work and, and match a best practice. Click a button that then downloads the documentation that I need, that I can then hand the client so that, you know, it makes my life easier.  </p>\n\n\n\n<p>I don&#8217;t have to teach them anything. Ooh. And, and maybe that is powerful. Maybe, maybe I, it lets me put my logo in there instead of crop express. So I&#8217;m now handing Corey branded material to the client who I just built a website for.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> I just think I need to go, I put another name on my list, which is I need to talk to Kimberly at ballet.  </p>\n\n\n\n<p>Because all these companies that do agencies that do maintenance and stuff, you&#8217;re like, Hey, make this better. You know? Like, this will make it better. They&#8217;re, they&#8217;ll actually size images correctly. You can do the things you&#8217;re talking about cuz you&#8217;re thinking about the white label, which normally in the past I put into pro.  </p>\n\n\n\n<p>It&#8217;s like, well, that&#8217;s when you get into pro. But I love it here because it&#8217;s like [00:52:00] when you go to a developer, you can just do this and it&#8217;s gonna be better. And they go, heck yeah, because I don&#8217;t have to do all the work and the, I&#8217;m gonna get the benefit from that for my client. Now we&#8217;re, now we&#8217;re here, now we&#8217;re hitting huge case study for free and Pro.  </p>\n\n\n\n<p>Mm-hmm. . Yep. That&#8217;s, that&#8217;s brilliant man. So, okay, so the, what I got is right sidebar custom dimensions. And maybe a third for downstream is like, do we do this white labeling thing? But I&#8217;ll put the third, uh, that&#8217;ll be fourth. I&#8217;ll put the third is, and this will be on me. Uh, I&#8217;ll need some help from you.  </p>\n\n\n\n<p>But it is like collecting these, here&#8217;s your five sources. Mm-hmm. , you know, here&#8217;s, you can find and source good, good stuff. And I could turn into, lead back to our blog on the site [00:53:00] that at some point goes, we&#8217;re gonna talk about open ai, this source. Like, hey, that&#8217;s a webinar you and I can do. Just playing around with stuff.  </p>\n\n\n\n<p>I&#8217;ve been talking to Ag Mors about this, like, maybe we spend a webinar, we&#8217;re like talking about how to cool, create cool images for your blog post using Dolly, or whatever it is. Mm-hmm. great content. Get the people attracted that we need. Tell &#8217;em we&#8217;re trying to make their life better. Like, that&#8217;s the, that&#8217;s the, that&#8217;s the game right there.  </p>\n\n\n\n<p>Like, yeah. Okay, let me, let me record this right side dimensions, some of the EDU guidance content that&#8217;s me. And then downstream, I think is what label, unless  </p>\n\n\n\n<p><strong>Corey:</strong> I mean just, you know, there&#8217;s, there&#8217;s complicated ways to do it and easy ways to do it. And so we can start with the easy way of no branding or what have you. And here&#8217;s content. Yeah. [00:54:00] Um, I worked with valet a few years ago and one of the things that they were working hard on was the conceptual.  </p>\n\n\n\n<p>Literature and illustration of the value they provided every month. Um, and came up with, I have t-shirts that have the design on them, but, um, the illustrated, you know, here&#8217;s what we do for you every month, because that is something that agencies who who run retainers have to, you wanna stay top of mind.  </p>\n\n\n\n<p>You don&#8217;t want just invoices to roll in without a client going, wait, what did, what did you do in the last 30 days? Or what did you do in the last year? Um, Chris Lema had a great blog post about this years ago, um, that I took away from, uh, for my conbon plugin was send, you know, between purchasing and renewal, I [00:55:00] automated 12 emails.  </p>\n\n\n\n<p>That of generic content, valuable, but generic content, evergreen, I should say, content. So at month eight it would say, okay, you are eight months into using your CONBON plugin. By now you are an expert. Here are some advanced tips, or whatever it was. Um, and so, you know, if we can give agencies content to hand to their clients, it&#8217;s obviously not necessarily month over month, but that kind of content.  </p>\n\n\n\n<p>You know, I&#8217;m teaching you, I&#8217;m helping you use your website to its fullest, all that kind of stuff. I, you know, again, I, I think it, it will resonate with some people. Yep.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Uh, championing the cause, helping people, guiding them, walking with them. It&#8217;s good stuff.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> But all that to say, I think, yeah, Kim at Valet would is a great person.  </p>\n\n\n\n<p>I know that they were working on that. I mean, it was years ago now, but, [00:56:00] um, you know, see where she&#8217;s at and, and see that it resonates with her or doesn&#8217;t, but. Okay.  </p>\n\n\n\n<p><strong>cory:</strong> I think Kathy, uh, I&#8217;ll try to ping Kathy this week. If I can get to it today. I&#8217;ll ping her to get the conversation. I&#8217;ve got other things to talk about or talk with her anyway and talk about this cuz if we can like get on a tr get on somebody&#8217;s that&#8217;s, that&#8217;s a Cadillac moment potentially. Plus being able to, sorry, go ahead.  </p>\n\n\n\n<p>Just being able to say this is how the theme will look best and this tool&#8217;s gonna help you with that. Huge. Yeah. And&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> I, I would love to make sure that that&#8217;s true. Because as I&#8217;ve discussed a little bit, I, I primarily use a page builder, which lets anybody upload anything anywhere on the page. Different from what [00:57:00] I conventionally thought of with themes, which was I buy a realtor theme that is already preconfigured for a realtor.  </p>\n\n\n\n<p>So when I click install theme it autoinject fake content with fake realtor pages and fake listings and all that, you know. Does that where between the block editor and the block editor being used for full site editing and page builders and these big theme frameworks or, you know, uh, just shy of a page builder type theme.  </p>\n\n\n\n<p>I want to make sure that that&#8217;s the use case we&#8217;re talking about is still true. Mm-hmm. . In which case, it&#8217;s not like I, you know, we could make a module for Elementor or Beaver Builder, and then it&#8217;s on the [00:58:00] shoulders of the person setting up the website to install those modules and then set those, you know, we want, we wanna allow 16, nine images or whatever it is, which I think is a different use case than my neighbor who&#8217;s a realtor.  </p>\n\n\n\n<p>Mm-hmm. , who installs a plugin and it&#8217;s the, or ex installs a theme. And the theme is preconfigured with our, to work with our plugin to, to say, you know, I have already built all these layouts that are, that encourage that, that only really work best with 16 not, does that make sense? Like, oh yeah.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Yeah. It&#8217;s so.  </p>\n\n\n\n<p>So thinking ahead&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> to them, talk your, your theme people and make sure that this assumption is correct.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Yeah, we&#8217;ll just get on the, see where that alignment is. But my hunch is like, I think it&#8217;s Ben over at Cadence, but as they&#8217;re, whoever designs [00:59:00] their themes, actually, I think it&#8217;s Sailor now, but whoever design their themes, like if you could wish that they would fill it with images that really glorify your theme, what would that be?  </p>\n\n\n\n<p>That&#8217;s the question, right? You know,&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> and or, and or we&#8217;re talking about, you know, if, if you are, because if a theme gives total freedom like a page builder, where, where does it make sense to lock down images? Because Corey comes into a blank slate. It&#8217;s up to me to decide. Okay. You know, or, or I had a client who, um, it&#8217;s a, um, Asian American themed website.  </p>\n\n\n\n<p>And so they originally wanted images that were, um, slightly vertical based on the Japanese mats that people sleep on. Apparently, they are a standard aspect ratio, and so [01:00:00] I don&#8217;t think anybody has ever looked at the website and, and got the reference. But, you know, they wanted, so it&#8217;s, again, it is like, you know, four instead of a four, three aspect ratio, it&#8217;s four, 3.7, but that would&#8217;ve been decided by the designer and or me, not the theme creator.  </p>\n\n\n\n<p>Mm-hmm. . So anyway, I&#8217;m just, I&#8217;m, and I, I have no idea what the theme landscape looks like these days.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> It&#8217;s something I can, I can add some of our agency owners too. It&#8217;s like, What, what tools are they doing to build websites and things like that? I still take it, especially on the boutique level, they&#8217;re using some framework like a Cadence Generat press, an AOR or Beaver builder to, to build that.  </p>\n\n\n\n<p>So if we can, I love this cuz it&#8217;s just, we&#8217;re just talking about the workflow, which you&#8217;ve done right? You specifically have done so you know that and that&#8217;s, [01:01:00] yeah, that&#8217;s good stuff. Okay, so plan is get, get to the full feature set for free  </p>\n\n\n\n<p>and I&#8217;ll talk to these people and then we&#8217;ve, we&#8217;re building this really cool case for being that utility. Oh, everything&#8217;s here. Then we can start talking about where that, like tools here, but there&#8217;s, does it need to be integrated here? Like when you say social images, does it need to be somewhere, again, not technically speaking here, but conceptually is like, Yost has social images that needs to tie into here.  </p>\n\n\n\n<p>Um, man, we&#8217;re, I think we&#8217;re onto something. I really do. And it&#8217;s not just blind optimism and because we&#8217;re having fun doing this. I think we&#8217;re getting, we&#8217;re really building this case.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Well, and I, the other thing, I think the good plan that has evolved, yes. And, and I think we are building, [01:02:00] people talk about authority and this is how you build authority.  </p>\n\n\n\n<p>Like you, you get an idea for a product or a problem you want to solve, and then you start splashing around at it, you know? Yeah. I hadn&#8217;t thought about image cropping really, because I am comfortable in Photoshop and Yep. And then I, after a while I got lazy and so started using, you know, a different program or found a website that did it and it was good enough, but I was never.  </p>\n\n\n\n<p>Thinking deeply about cropping images other than I needed to, I need, I need this done, this task done, and now it&#8217;s done. And then I quick upload it and off we go. Whereas now we are, we are becoming the experts, uh, on cropping images, manipulating images, WordPresses relationship with images, themes, images, plugins, da da da da da da da.  </p>\n\n\n\n<p>Um, and that&#8217;s where, down the road, [01:03:00] you know, I, I, I have, I have a lot of fun with this, this part of the process. And down the road we become, you know, the image expert guys, the crop expert guys. The, it&#8217;s all of our marketing content. Go ahead.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Oh, no, no, no, no. You&#8217;re, yeah, I was, yes, you&#8217;re on the thing. Uh, the next thing I was gonna say, you&#8217;re leading straight into it.  </p>\n\n\n\n<p>Do, um, do you mind if we talk publicly about the domain? No, of course not. Okay. So, You&#8217;re leading into this . I was trying to be like not, not as excited. So I could&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> finish, wait, hold this statement. Should we It is, it is th uh, 1 0 5. Should we save the discussion till next week?  </p>\n\n\n\n<p>Yes, you can say no .&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Okay. I wanna say no because I think it&#8217;s just real quick. It&#8217;s just a thought that we&#8217;ll come back to. Mm-hmm. for sure. For direction. We built this case and everything, so I go, crop Express is the free [01:04:00] plugin, but the domain is the brand. Mm. So like if you think about business and marketing wise, we got this one thing, but we&#8217;re making this case for, and how would you say the domain It&#8217;s&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> unfortunately, so it&#8217;s image img.express.  </p>\n\n\n\n<p>Okay.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> So to me, it seems like we just got this clear path, like we&#8217;re building this case and I go, it needs to be crop express by. I m g Express because we just placed this discovered, backed into, here&#8217;s the free utility. There&#8217;s a bigger case here, but it&#8217;s by this brand Corey and Corey, the I m G Express guys.  </p>\n\n\n\n<p>Yep. You know, so I kind of tend to think like when we&#8217;re ready doesn&#8217;t have to happen. Now is like, because all roads we want to lead to, we did this just to get your attention to a beachhead and then, but we&#8217;re the [01:05:00] IMG guys, right? From a branding business&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> perspective, we are, we are all things image.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Yep.  </p>\n\n\n\n<p>Because we&#8217;ve got these use guys. We know we&#8217;ve got some, some, some, we got something here. Um, that is a, could be packaged together and sold for a good price that could sustain and support this business. So that, that&#8217;s the only thing I wanted to say. We don&#8217;t have to finalize that, but I just go man, that that&#8217;s clarity.  </p>\n\n\n\n<p>Of like, it&#8217;s the Im g guys, and by the way, we&#8217;re known like, this is a great utility. Everybody should use it. We do it free because you, you need it, people need it. This is gonna make the web better. When you get to the advanced stuff and you really want to go next level, look what we&#8217;re doing here. And that&#8217;s where you come into the community as Im g community, as professionals doing this work.  </p>\n\n\n\n<p><strong>Corey:</strong> Yeah. I mean, the obvious, uh, parallel that comes to mind is like sayed at doing WP [01:06:00] Beginner. Mm-hmm. Where WP G beginner, uh, I don&#8217;t, I, it runs ads. I suppose I&#8217;m, I&#8217;m sure there&#8217;s some way that it makes money, but for the most part it&#8217;s just a phenomenal resource.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Yeah. It&#8217;s hub free content. It&#8217;s the Osmo Automotive Hub for everything they.  </p>\n\n\n\n<p><strong>Corey:</strong> Right. And obviously they, they use it to promote their products and stuff like that, but I end up on their website all the time learning things. I scroll to the bottom where they usually have a code, version, um, to solve whatever little problem I&#8217;m trying to, to solve. But, um, you know, to me we&#8217;re, we&#8217;re kind of following that same path.  </p>\n\n\n\n<p>If we get people using Crop Express often and and using that for, um, as a reference for other things, then yeah, you know, we can, we can kind of go in any direction really. So, I&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> already put another domain thought about this and I didn&#8217;t wanna do it [01:07:00] publicly just yet cuz we don&#8217;t have the domain secured for it, but I was like, and, and I&#8217;ll totally buy that one.  </p>\n\n\n\n<p>But, um, I was like, you think about IMG and stuff. But yes. Sorry, back to I got, I got squirreled, sorry. But back to this. You&#8217;re fine. , we&#8217;re, we&#8217;re building the case. We&#8217;re creating this resource. You and I are passionate about this kind of stuff. We&#8217;ve got extensive experience, even if we weren&#8217;t the person, we&#8217;ve, we&#8217;ve done these things and it feels very natural to be like, that&#8217;s the brand.  </p>\n\n\n\n<p>This is our, and I wouldn&#8217;t have had that clarity two months ago, by the way.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Right, right. It&#8217;s, yeah. You know, we are waiting deeper and deeper into the pr and it&#8217;s, it&#8217;s also where you start to, you know, the edges become less amorphous. Mm-hmm. You know, the , uh, uh, but you also start to see the rise in . Yeah.  </p>\n\n\n\n<p>But it&#8217;s, you know, you, [01:08:00] you&#8217;re stepping foot in, into, you know, all new territory. And I mean, we&#8217;re gonna keep having these conversations, uh, and especially. Upfront because we&#8217;re not getting a lot of feedback. We are doing our own exploration, which also involves like, you know, there&#8217;s, there&#8217;s lots of writing and whatnot about we are, we are having biased conversations, right?  </p>\n\n\n\n<p>We are going, you are, you are going to content journey with a solution looking for a problem if we&#8217;re honest mm-hmm. . Mm-hmm. . Um, we&#8217;re not, we are open to them saying what we really need is X, Y, Z. But you know, that&#8217;s where we&#8217;re at. Because right now all we can do is make assumptions.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> I did try just so you know, to not do problem first and ask somebody, oh sure.  </p>\n\n\n\n<p>How do you do it? And that was a gold mine, just like this guy mentioned. He&#8217;s like, okay. That&#8217;s validating of, we&#8217;re not trying to just say, I&#8217;ve got a hammer. Where&#8217;s your nail? Um, [01:09:00] that&#8217;s good stuff, man. It&#8217;s, it&#8217;s been fun walking with you and this is a good, like, I think we needed each other to kind of, Get to this part.  </p>\n\n\n\n<p>And it just feels better than, honestly, better than any product I&#8217;ve done because we&#8217;re, we had less pressure. We thought it served our need and we started exploring how it is, and it, it just feels like we&#8217;re on the right path. Yeah, for sure. This could be something, man.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> And it&#8217;s, and I, I&#8217;m really selfishly, I&#8217;m excited to see where we end up in a year, maybe nowhere, who knows, but to then come back and visit these conversations cuz these are always the, you know, what is it, you know, you did.  </p>\n\n\n\n<p>You make a, you make a plan, and then halfway through executing the plan, you&#8217;re like, why did we decide&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> to do this? See, I thought that was the only one. Like, yeah, nobody comes over. [01:10:00] Most people, I should say, don&#8217;t have the fully crystallized, baked out plan. So much of product is expiration like this, right?  </p>\n\n\n\n<p>I think the people, honestly, I&#8217;m side baring and squiring on this, but like the people that kind of think they got the perfect thing, I go one, you might be a genius. Cool. Congratulations. Number two, you&#8217;re probably pretty rare the rest of us trying&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> to figure it out. Yep, yep. And I mean, and time March is on, like I was, somebody asked on Twitter, uh, I don&#8217;t remember what happened to your first product or something.  </p>\n\n\n\n<p>Um, and, and I was like, I, I got up to, through, through the discussion, I was like, I got up to thousands of users but could never figure out how to monetize and. And the person I was talking with was like, I, that, that&#8217;s how, how, how is that possible? Mm-hmm. . And it&#8217;s like, well it was email-based. It was a product, so [01:11:00] you couldn&#8217;t really run ads, which was his good suggestion.  </p>\n\n\n\n<p>Um, it was a product for people who had no money, , so you don&#8217;t wanna sell to people who have no money. Um, you know, and, and the technology of sending lots of emails was expensive and all this stuff. So it was like, there were all these things at the time, whereas, I could build it better now for much cheaper and could probably figure out how to monetize based on new patterns that have emerged and stuff like that.  </p>\n\n\n\n<p>So there&#8217;s, you know, there&#8217;s, there&#8217;s all of those dimensions. Like even if you&#8217;re a genius, um, you know, and come up with the perfect product, the perfect time, like, you&#8217;ve still gotta keep those, the, you know, there&#8217;s wear and tear. If you build the perfect car and you&#8217;re rolling down the road, good for you.  </p>\n\n\n\n<p>But there&#8217;s, there&#8217;s wear and tear. There&#8217;s also gonna be other people that go, oh, I can build a car like that and start racing you. I mean, all these things that compound [01:12:00] over time. Mm-hmm. . It took me a long time to understand the time aspect of a lot of what we do both in business and even in like programming and stuff like that of um, you know, and to get technical for a minute.  </p>\n\n\n\n<p>Like there&#8217;s, uh, you know, when you click on something that triggers an event within a website, but technically there&#8217;s a number of events, you know, mouse down versus mouse click versus, you know, da da da da da. And all of these things happen in an order, and most, a lot of it&#8217;s, um, fixed now. But there was a time when different browsers would put mouse down before mouse click, you know, or the other way around.  </p>\n\n\n\n<p>It&#8217;s like just this other level of thinking that I was able to abstract and now look at also in the context of building product and building business and whatnot of you&#8217;ve. You&#8217;ve got the people involved, you&#8217;ve got the ideas, you&#8217;ve got all this stuff. But tomorrow the landscape might be different. If somebody else comes [01:13:00] out with a plugin that does or doesn&#8217;t do, or proves or doesn&#8217;t prove everything we&#8217;re talking about, we, we have to adjust all of our thinking, you know?  </p>\n\n\n\n<p>Mm-hmm. , which was honestly half the fun,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> but I like your positive spin on that. . I like it. It&#8217;s cause you know, we&#8217;re doing this in public and you&#8217;re like, yeah, somebody go, okay, cool. Thank you for getting me that way. I&#8217;m gonna go do this. You know? Um, and that&#8217;s the, that&#8217;s part of playing this game. Yeah.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> I mean, and we, as we&#8217;ve talked about, we have the luxury of, we, we are not desperate.  </p>\n\n\n\n<p>We do not need this to succeed tomorrow. Um, and I&#8217;ve, I&#8217;ve definitely, I have been in that seat. I put myself in that seat years ago, um, counted on like, oh, the, my next product has to succeed, or I can&#8217;t pay rent, and I [01:14:00] made no good decisions. Mm-hmm. . And so for me, that&#8217;s, I, I know people who work better under pressure.  </p>\n\n\n\n<p>I do not. And so for me, that&#8217;s, I&#8217;ve, I&#8217;ve worked long and hard to get to a position of luxury entitlement, privilege, uh, knowledge and experience where I can build product or play this game, like you said, under the circumstances that are best for me. Mm-hmm. . And I think that that&#8217;s, that only comes with time and experience.  </p>\n\n\n\n<p>Yeah.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> It&#8217;s good timing for both of us because I&#8217;ve painfully, you know, trodden this path for a long time. You know, like, I don&#8217;t know if I told you the story back buddy, but we can do that next week. But you know, so much of this, it felt like high stakes poker in a sense of, in the past for me, because we were a product company and trying to dial this stuff in, [01:15:00] felt so much like art and not science.  </p>\n\n\n\n<p>Um, I still think it&#8217;s a blend of those two, art and science where Oh, sure. Like if I hadn&#8217;t had you and we&#8217;re doing this, talking this through, I would&#8217;ve went into a different direction that probably wouldn&#8217;t have been right. But because I had you, cuz like for instance, you grounded me back to let&#8217;s, let&#8217;s concentrate on the, the foundation.  </p>\n\n\n\n<p>I was like, ding, ding, thank you for the grounding. Mm-hmm. . And like, then we real quickly got what that should be. You&#8217;ve surprised me and already been doing some of that work and it&#8217;s like that&#8217;s, that&#8217;s where we need to be right&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> now. And I&#8217;ve been desperate to work with somebody for years. You know, I&#8217;ve pretty much always been the solopreneur, solo founder, solo builder.  </p>\n\n\n\n<p>Yeah. And have often had wonderful people around me willing to ha you know, be in to mastermind with me. Um, you [01:16:00] know, but to have somebody who at least right now is 50 50, um, is, is a whole different experience and, you know, and exceedingly valuable. I definitely, yeah. I feel like we&#8217;ve arrived at a lot of things faster than either one of us would have.  </p>\n\n\n\n<p>Had we had I just been over here banging away at Yeah. The plugin that you asked me for and I was thinking about, but was like, well, you know, is this, is this, I&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> think too, sorry, I didn&#8217;t mean to cut you off. No, go, go, go. I, I think too, I want to give you a real gratitude in this is like, because of your experiences, Uh, a lot of developers I&#8217;ve worked with, um, there&#8217;s high idealism and I really love that.  </p>\n\n\n\n<p>I value that. And then, but you&#8217;ve had enough experiences that go, we can&#8217;t do everything. You know, you know enough about the business and marketing side [01:17:00] that, and how things get done, where I&#8217;m not having to be like, I&#8217;ve had those conversations before and this feels really fluid and I compliment you for that.  </p>\n\n\n\n<p>And thank you for being a partner because, you know, oftentimes the way I&#8217;ve experienced is like negative. That&#8217;s why I gave all this caveats when I was like, Hey, I&#8217;m not talking about technical. I don&#8217;t know what the technical, cuz I feel like it&#8217;s been past conversations. Mm-hmm. and I&#8217;m like, I&#8217;m talking conceptually.  </p>\n\n\n\n<p>But you get that, you know. Yeah. You&#8217;re like, yeah, we we&#8217;re not in these 30 seconds deciding to do a two month long feature, . We&#8217;re exploring it, trying to make a good decision that&#8217;s best for us. The product, the user. So thank you for that. And that, that&#8217;s experience, Corey, I mean, seriously, as,&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> as a dev, it, it is because I was the grumpy programmer in the corner for, there&#8217;s so many, at least a decade, you know,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> and there&#8217;s so many too.  </p>\n\n\n\n<p>Like I, that experience and I get it [01:18:00] because you all are brilliant and you can do these things like write code, do this stuff. Like, I&#8217;m like, that&#8217;s another thing I haven&#8217;t accessed. And so, yeah. Sorry I cut you off again, but No, it&#8217;s fine. Saying fine, but I just, I&#8217;m thankful for those experiences, . Yeah. I,&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> I don&#8217;t know why so many developers are assholes to be blunt about it.  </p>\n\n\n\n<p>Like there&#8217;s, there&#8217;s a, a feeling of power. Great. Uh, uh, where that comes from. I don&#8217;t know. I mean, and I, I know where mine came from, uh, but it&#8217;s unique to my upbringing and situation and mentality and all that stuff. And, you know, so it, I, I can&#8217;t imagine that everybody had the same, uh, experiences I did that arrived at this.  </p>\n\n\n\n<p>Like, I am genius. You all should bow before me just because I learned to code. Um, but thankfully what, what is interesting to me is, uh, therapy and yeah, uh, getting into [01:19:00] product forced me to learn empathy. I had to, you know, I, I read all the, I showed it last week. I have all the books on graphic design and user interface and don&#8217;t make me think and, uh, all those types of, of books and, um, you know, and so I could design a good product.  </p>\n\n\n\n<p>But then the, the product I alluded to a minute ago, from 15 years ago, I had, um, people who, uh, I had grandmothers and very non-technical people, and I had, um, people in, uh, countries where there&#8217;s not much economic, um, structure and whatnot. And, uh, using my pro, that&#8217;s why they were using my product. So basically, instead of mint.com that relied on plugging in all of your banking info.  </p>\n\n\n\n<p>I had people in Nepal who were like, we don&#8217;t have bank [01:20:00] accounts, but I would still like to track my spending. Um, so it was kind of a neat little, you know, but I was like, oh, well just, you know, saying to the grandma or saying to somebody who, you know, totally different, um, cultural context. Like, oh, just click on this and click on this.  </p>\n\n\n\n<p>And they&#8217;re like, you know, or, or people who only have phones. And so I&#8217;m like, well go to the desktop view. And they&#8217;re like, what? What desktop view or whatever it is, you know? And so I had to learn. Empathy and that I wasn&#8217;t always right. ,&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> I think he just hit it. There&#8217;s this level of genius and creativity that so many developers like you have talked to.  </p>\n\n\n\n<p>And I&#8217;m like, I value it. We in the world value it. And then there&#8217;s this other side, and I think so many of the developers I know had to go through some crucible to get to like, okay, I need this other side. A genius needs help. You know, like you need a supporting cast. Um, but, and I&#8217;ve seen [01:21:00] enough developers go, you gotta go through this event where you get burned.  </p>\n\n\n\n<p>Hmm. Like, you realize like, maybe my shit isn&#8217;t the best. And you get a little humbled. And, and, and I&#8217;m not saying that lightly either. It&#8217;s, it&#8217;s probably a very tough experience. I&#8217;ve probably had dozens of those in other areas of my life. Right. Sure. But then learning like, okay, geniuses don&#8217;t operate in the silo.  </p>\n\n\n\n<p>They need teams. Yeah. They need people and humans. And then you hit it with the empathy. You pair those two together though, you got something like, I would always kind of say like, I&#8217;m, I, we need a translator because I need you to talk human for a second. Mm-hmm. , because I don&#8217;t understand these things. And I, that was always the role I played.  </p>\n\n\n\n<p>I was like, I don&#8217;t understand it, but if I get it, I can help other people get it. Right. A lot of other people get your work, so,&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> and you can sell it. Yeah.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> Uh, man, thank you for the, for letting us go over. Um, but speaking of therapists, I have mine in six minutes, but, um, and I can [01:22:00] use the bathroom, but dude, I, I&#8217;m, I&#8217;m enjoying this journey with you, my friend.  </p>\n\n\n\n<p><strong>Corey:</strong> Yeah. Right back at you. We&#8217;re gonna have some good luck to your brother.&nbsp;  </p>\n\n\n\n<p><strong>cory:</strong> We&#8217;re gonna have to find some time this year to get together and hang out. Find a hot tub where it&#8217;s warm or you know, not&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> five degrees, two, two quarries, and two Lindsay&#8217;s in a hot tub. There you go. That&#8217;s the, that&#8217;s the other podcast.  </p>\n\n\n\n<p><strong>cory:</strong> That&#8217;s&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> the other podcast thinking the same thing. Just mar marital advice or something.  </p>\n\n\n\n<p><strong>cory:</strong> Mine would be what not to do. There you go.&nbsp;  </p>\n\n\n\n<p><strong>Corey:</strong> Thanks my friend. Good, good luck to your brother and uh, hope everything sorts itself out. Okay. Enjoy some jello.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Mar 2023 21:13:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"WPTavern: WooCommerce 7.5.0 Introduces 3 New Blocks, Expands Support for Global Styles\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142738\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://wptavern.com/woocommerce-7-5-0-introduces-3-new-blocks-expands-support-for-global-styles\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2193:\"<p><a href=\"https://developer.woocommerce.com/2023/03/14/woocommerce-7-5-released/\">WooCommerce 7.5.0</a> was released this week with three new blocks for the Product Archive templates. These include a new Store Breadcrumb block, Product Results Count block, and a Catalog Sorting block, all seen in action below.</p>\n\n\n\n<img />image credit: <a href=\"https://developer.woocommerce.com/2023/03/14/woocommerce-7-5-released/\">WooCommerce 7.5.0 Release Post</a>\n\n\n\n<p>These blocks were released as part of an effort to <a href=\"https://github.com/woocommerce/woocommerce-blocks/issues/8059\">&#8220;blockify&#8221; Product Archive templates</a> so that they can more easily be customized with a block experience.</p>\n\n\n\n<p>&#8220;We also want to account for the extensibility within this project by researching the mechanism for extensions to extend the templates and implementing a compatibility layer to keep as many extensions as possible working with blockified templates while giving time for extension developers to update and blockify their extensions,&#8221; WooCommerce engineer Tung Du said.</p>\n\n\n\n<p>This project also includes support for <a href=\"https://github.com/woocommerce/woocommerce-blocks/issues/8062\">a Notices block</a> so merchants can display store notices to customers as well as determine where they appear.</p>\n\n\n\n<p>WooCommerce 7.5.0 has expanded support for Global Styles, so that the Product Button, Product Rating, and Product Price blocks can now be customized more easily in the Site Editor. The Product Rating block now supports padding controls in Global Styles so that store owners can add more spacing around the blocks.</p>\n\n\n\n<p>This release also brings in expanded support for the Style Book, which has been available since the WooCommerce Blocks 9.5.0 release. The Featured Product and Featured Category blocks can now be previewed in the Style Book and have Global Style changes applied.</p>\n\n\n\n<p>WooCommerce 7.5.0 includes two database updates, 278 commits to WooCommerce Core, and rolls in 170 commits from the WooCommerce Blocks plugin.</p>\n\n\n\n<p><a href=\"https://woocommerce.files.wordpress.com/2023/02/screenshot-2023-02-02-at-12.11.33.png\"></a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Mar 2023 19:49:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"WPTavern: #67 – Talisha Lewallen on How CertifyWP Is Hoping To Offer WordPress Certification\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=142702\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"https://wptavern.com/podcast/67-talisha-lewallen-on-how-certifywp-is-hoping-to-offer-wordpress-certification\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:48696:\"Transcript<div>\n<p>[00:00:00] Nathan Wrigley: Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case, what a WordPress certification might look like.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast, player of choice, or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you, and hopefully get you all your ideas featured on the show.</p>\n\n\n\n<p>Head to WPTavern.com forward slash contact forward slash jukebox, and you use the form there.</p>\n\n\n\n<p>So on the podcast today we have Talisha Lewallen.</p>\n\n\n\n<p>You might have found your way into WordPress intentionally, or perhaps you stumbled across it and decided to explore further. Whichever it was, you&#8217;ve learned things along the way. Some of it might have been through training, but there&#8217;s likely been some self discovery on the way as well.</p>\n\n\n\n<p>Perhaps you&#8217;re a coder, or a designer. In fact, there are dozens of different pathways in the WordPress ecosystem. Given the broad range of knowledge you might possess, how can you prove that you know what you know?</p>\n\n\n\n<p>Many industries provide training programs which, when completed successfully, allow you to assert that you were competent in a given area. You&#8217;d want your lawyer or surgeon to have passed through the appropriate programs of study, so that they&#8217;re equipped to do the work.</p>\n\n\n\n<p>With WordPress being such a dominant force in the world of websites. Would it be a good idea to have a certification for WordPress? Talisha certainly thinks so, and has founded CertifyWP to try to make that happen.</p>\n\n\n\n<p>We approach this subject through the work that she&#8217;s been doing at WPConnects, in which she&#8217;s been trying to provide training to military veterans, so that on the departure from the services they have the prospect of finding work in the WordPress space.</p>\n\n\n\n<p>We talk about whether there&#8217;s a need for certification for WordPress and how such a certification would come about. What levels of training does Talisha see as essential, and how many such layers might there be?</p>\n\n\n\n<p>We discuss whether the WordPress community is ready for a third party to be certifying people&#8217;s abilities, and whether this strays away from the approach that we&#8217;ve had so far in which routes into employment have relied on other, less formal, methods.</p>\n\n\n\n<p>Later in the podcast, we talk about the structure of CertifyWP, and who&#8217;s behind the project. You&#8217;ll hear that it&#8217;s not just Talisha. There&#8217;s quite a few members of the WordPress community who want this project to succeed.</p>\n\n\n\n<p>If you&#8217;re curious about certifications in the WordPress space, this podcast is for you.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all the links in the show notes by heading to WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Talisha Lewallen.</p>\n\n\n\n<p>I am joined on the podcast today by Talisha Lewallen, Hello Talisha.</p>\n\n\n\n<p>[00:04:00] Talisha Lewallen: Hi Nathan.</p>\n\n\n\n<p>[00:04:02] Nathan Wrigley: Very nice to meet with you. You&#8217;re welcome on the podcast. Thank you for joining us. Would you mind just introducing yourself and give us some indication of what you do, perhaps who you work for, and how come you are in any way connected with WordPress?</p>\n\n\n\n<p>[00:04:18] Talisha Lewallen: Yes. I am Talisha Lewallen. And I am the owner of WPConnects, which is a company that helps US military veterans or really any veterans, but helps them receive training while they&#8217;re active duty, and then when they&#8217;re separating from the military we provide them with mentors and help them find employment within WordPress.</p>\n\n\n\n<p>And then I&#8217;ve also started this new venture with some very amazing people within the WordPress community called CertifyWP Foundation. And that is where we are creating a couple of WordPress credentials.</p>\n\n\n\n<p>[00:04:51] Nathan Wrigley: So we&#8217;re going to talk about both of those endeavors today, but I think probably the correct road into both of those subjects is if we begin with WPConnects. Now, you mentioned that this is a company that you are the founder of. It&#8217;s got a mission, it&#8217;s connected with the military, but in broad outline really, it&#8217;s a, it&#8217;s an endeavor to connect people who are looking for work and are in need of guidance. Do you just want to tell us how all this started and what really the bedrock, the core philosophy is, and who you are helping and how you are helping?</p>\n\n\n\n<p>[00:05:26] Talisha Lewallen: Yeah. So I worked at Post Status for a little while, and while we were over there, we kept hearing a lot of people state that they really needed some trained WordPress developers and employees. And so that really got us thinking, you know, it&#8217;s one of those twist of fate things, that we ran into a gentleman named Hector who has a similar company to WPConnects.</p>\n\n\n\n<p>And he&#8217;s definitely been a very big mentor to me. So when service members go in and sign up to join the military, a lot of times they&#8217;ve never had an interview, they&#8217;ve never had job experience, they&#8217;re literally just starting their career. Well, when they get out there are transferable skills, but not a lot employers are looking for, if that makes sense. So we want to provide them with, it&#8217;s called transitioning assistance. And we want to provide them with that training and so it helps them transition into the civilian sector a lot easier. There&#8217;s different skills that, you know, we do over here. And then we&#8217;re training them for WordPress front end and backend development.</p>\n\n\n\n<p>And if they wanted to do anything else in WordPress. You know, it&#8217;s really expanding past just developer careers. And so we&#8217;re just really helping them find the right connections, along with mentors who have been where they&#8217;ve been and can help them transition and really just know that experience.</p>\n\n\n\n<p>And so it really just comes from a place of, I have several members in my family that were in the military, and seeing them transition out of the military was kind of hard. I took the general route over here and I went to high school, college and then started my professional career and seeing my family members and friends join the military, and then when they get out and they had these amazing jobs in the military. They had all of this training and then they get out and they can&#8217;t even get a job.</p>\n\n\n\n<p>I heard one of my friends tell me the story of a gentleman who was a military police officer and couldn&#8217;t get a job as a police officer here in the States. And it&#8217;s because he didn&#8217;t have, in that town, you had to have an associate&#8217;s degree. So he didn&#8217;t have the training to become a police officer when that&#8217;s all he did for 10 years in the military, was be a police officer.</p>\n\n\n\n<p>And so it&#8217;s very interesting to see the skills that they have and the jobs that these men and women have had, and then transferring it into civilian life. It&#8217;s just not, or hasn&#8217;t been there. They&#8217;ve just been struggling to find these employment. And so we&#8217;re really just reaching out a hand and saying, let us help you and let us get you introduced to these amazing people inside of WordPress. WordPress has the best community that I have ever been a part of, and so it really just seems like a good fit for them.</p>\n\n\n\n<p>[00:08:04] Nathan Wrigley: Can I ask, do you give them a curriculum which they follow? In other words, have you mapped out, in the same way that a university may do, you know, you&#8217;d attend a university and you would fully expect that they would provide you with the course and they&#8217;re not just making it up on the fly? Or is it more working with them to try and figure out what they need? It might be a mixture of both. I don&#8217;t know.</p>\n\n\n\n<p>[00:08:25] Talisha Lewallen: Yeah, so how we do it, we have three pathways right now. And this is what makes WPConnects very unique, even within the military training field. So there&#8217;s a saying in the military that&#8217;s crawl, walk, run. So you&#8217;re not just going to get something and immediately start running. So our steps for crawl, walk, run are these three pathways.</p>\n\n\n\n<p>The first one is the credentialing assistance program. Active duty and reserve military personnel are able to take a credential and it is funded through the military, so it does not cost them a dime. And they&#8217;re able to take this training. So we currently have the web foundation associate credential. And this is also where CertifyWP comes in.</p>\n\n\n\n<p>So currently we&#8217;re using that WFA course. So once they complete that and they decide to transition out of the military. It could be the next month, whenever their service contract&#8217;s up. It can be two, three years later. Whenever they are transitioning out in the last 180 days of their service contract, they can join what&#8217;s called a Skill Bridge program.</p>\n\n\n\n<p>So we also have a WordPress Skill Bridge program. This program is an instructor-led 12 week course. And it&#8217;s all over the US. We do it over Zoom, and we&#8217;re looking at a few other platforms. But again, it&#8217;s that instructor is there. There is a curriculum, and they are learning how to, mostly that one is backend development, is what they&#8217;re learning currently.</p>\n\n\n\n<p>And then whenever they finish that, we just opened up an apprenticeship program in Texas. And we&#8217;re about to open one in Oklahoma. And so it&#8217;s just this three step process. The apprenticeship program, they have certain skills that they will acquire throughout the year long apprenticeship program. And then they are 100% ready to be employed and be able to do any job that they&#8217;re really wanting to do, because we will give them that individualized skill.</p>\n\n\n\n<p>And through all of that, they have a mentor that they can reach out to, and the mentors reach out to them and just help them with anything they&#8217;re struggling with or have questions about. There&#8217;s different terminology that we use in civilian life than they&#8217;ve used in the military. And so really that person&#8217;s just to be there, to just have a helping hand.</p>\n\n\n\n<p>But yeah, it&#8217;s a little bit of both. We have a pathway, we have curriculum. And we do change our curriculum. We get feedback from other people within WordPress. Nikki with Liquid Web has been the biggest help for our Skill Bridge program. She comes through and interviews and mock interviews just about every person we have in our programs and helps give us feedback so we can help them gain those interview skills. We have them write a resume and then I go through and help them work on their resume, so then they have that resume whenever they get out as well.</p>\n\n\n\n<p>[00:10:59] Nathan Wrigley: I guess if you are in a different industry, there may already have been for a great deal of time, there may have been institutions or pathways like this already set up. You mentioned the example there of the police and that pathway not really working out. But presumably there are other ways that people leaving the military can go and there&#8217;s things that are already concrete. Institutions that they can join. Companies that they can join. Programs that they can go through. But not in the WordPress space.</p>\n\n\n\n<p>And given WordPress&#8217; 43, and counting, percent share of the internet, it&#8217;s a really credible career to go in, but it&#8217;s a difficult thing to, I would imagine, to even understand. If you&#8217;ve never touched the internet before, apart from being a user and a consumer of the web, you may have no skills or whatsoever.</p>\n\n\n\n<p>So I&#8217;m guessing it&#8217;s bridging that gap. Trying to persuade people that actually there&#8217;s a job in here. It&#8217;s an in demand job. Can be well paid and a good career path, and there&#8217;s a nice community behind it all as well.</p>\n\n\n\n<p>[00:11:57] Talisha Lewallen: Right. And you know, we have some people that are literally, I&#8217;ve never touched a computer before. But we also have people that come through the program that have been a part of the satellite operations within the military, or have done tech in the military. But getting that pathway to employment is what they really need. And learning WordPress. There&#8217;s a lot that goes into WordPress that we want our individuals to learn and that will help them grow within whatever job they decide to do. But yeah, so we have two opposite ends of the spectrum usually. We have the ones that have a ton of tech experience, or the ones that have no tech experience.</p>\n\n\n\n<p>[00:12:33] Nathan Wrigley: So that was a really nice introduction into the why really, for the next bit of the podcast, which I think will consume the rest of the show. So we&#8217;re going to talk now, instead of talking about WPConnects, we&#8217;re going to talk about credentialing in the WordPress space. And maybe I&#8217;ll begin this way.</p>\n\n\n\n<p>If I were to attend a university that everybody&#8217;s heard of, let&#8217;s say I&#8217;ve been to, I don&#8217;t know, Harvard or Cambridge or somewhere like that. That credential that you hold, it&#8217;s a real passport. Everybody understands what that means, and you present it to employers and they get, okay. Right, you&#8217;ve been to a university, we know what that university is about. We understand that it&#8217;s been around for a while and, that&#8217;s a credible piece of paper that you are holding. But curiously, in the tech space, there are things like this, but specifically in the WordPress space, there&#8217;s nothing like this.</p>\n\n\n\n<p>There&#8217;s a great big hole there, isn&#8217;t there? So people who wish to be employed, going to an employer, you really are relying on testimonials, the CV, the reputation that you&#8217;ve got from your previous employer, and the letters that they may write on your behalf. But there&#8217;s no bit of paper that you can hold, going in cold, to say, I&#8217;ve done this. Look, there it is. It&#8217;s certifiable. This is what I&#8217;ve achieved.</p>\n\n\n\n<p>[00:13:51] Talisha Lewallen: Yes. And you know, that&#8217;s what we&#8217;re kind of finding out on both ways. Having a credential helps both employers and people looking for employment, especially within the WordPress space, without having that credential. There&#8217;s a lot of people that I would say could very well do certain jobs. But because there&#8217;s not that level of credentialing and there&#8217;s not that standard education.</p>\n\n\n\n<p>What does a WordPress developer mean? What can you do if you say you&#8217;re a WordPress developer? And that&#8217;s what a lot of companies are running into. So it really is almost word of mouth. Sometimes I feel like I should say that it&#8217;s almost word of mouth for you to get hired, because somebody&#8217;s worked with you and knows your level of skill. If you&#8217;re new to the WordPress space, it could possibly be harder to find a job because nobody knows who you are, your work ethic and what your skillset is.</p>\n\n\n\n<p>[00:14:39] Nathan Wrigley: Yeah. So that&#8217;s the premise behind all of this. So I guess I should ask at the beginning, what level are you going in at? Because really in the WordPress space, we could probably come up with 50 curricular that people could follow, probably more. We could have things on the hosting side, speed optimization, SEO, backend WordPress. The sky&#8217;s the limit, but I&#8217;m presuming. That in the scenario that you are dealing with, mainly it&#8217;s getting started?</p>\n\n\n\n<p>[00:15:08] Talisha Lewallen: You know, that&#8217;s the interesting thing. So we, so we have the advisory board. I should say, whenever I first decided this is something I want to do, I really want to make this credential. I reached out to several people, because I kept hearing nos and yeses, and so we put together a team of an advisory board and we had this conversation.</p>\n\n\n\n<p>Because originally I was thinking about one credential, that would have three tiers. So now we&#8217;ve decided on two. We&#8217;re going to have a front end developer credential and the backend developer credential. So each one will have three tiers. So it starts at base level of here&#8217;s how I download a WordPress. This is how I can add admins. This is how I do, you know, very, very basic.</p>\n\n\n\n<p>Then there&#8217;s the next level, and then there&#8217;s the expert level. So to obtain the credential, you must pass, it&#8217;s either one cumulative exam, or you could take it with each course. So you take that exam that has all three tiers of those, and that&#8217;s how you obtain that credential.</p>\n\n\n\n<p>And that&#8217;ll be on the backend credential too. It&#8217;ll have that three tiers again, crawl, walk, run. We&#8217;re not going to expect you to be able to do it if you&#8217;ve never been taught the why behind it. So with that being said, one conversation that I had with a gentleman was, well, you know, it almost turned into some people can take tests, but some people can&#8217;t. That doesn&#8217;t mean that they&#8217;re able to do the job. And I said exactly, and that&#8217;s where we are trying to find a way. It&#8217;s still, still alluding me a little bit, but we are trying to find a way to have a practical part to the exam, in the top two tiers.</p>\n\n\n\n<p>The first tier exam probably will just be question and answer type exam. But in that expert level, I want there to be a practical part of it. To have people show that, yes, I did learn how to master this skill. And yes, I can do this. And so I think that that&#8217;ll help. Also with the credential and why it&#8217;s, I think, beneficial to WordPress is, you know, WordPress changes sometimes.</p>\n\n\n\n<p>We have big changes, we have small changes. So there&#8217;s a certification that you can take. And that can just be a course. Anybody can come up with a course. I could just go to my back room and be like, this is what I think somebody should know for WordPress and create this certification.</p>\n\n\n\n<p>And then I never have to re-certify. I never have to go back in and show that my knowledge has not waned, or that I do still know what I&#8217;m doing, and still have that level, just standard level of education. With a credential, there is an advisory board and a board of directors and you have to re-certify every three years, to show that you are still maintaining that knowledge. So it&#8217;s not 10 years down the road, oh look, I took this and I&#8217;m still here. You&#8217;re able to show that you still maintain that level of credentialing.</p>\n\n\n\n<p>[00:17:53] Nathan Wrigley: That&#8217;s an industry practice that I&#8217;ve seen before, especially in things like networking. And I mean networking in the sense of cables and connecting routers. The organizations often behind that will require you to come back after a given period of time and re-certify yourself. Just because otherwise that credential kind of loses all meaning, because the technology itself has moved on so far in the three, four however many years. That if you claim to know from 10 years ago what&#8217;s required to be known today, there could be a complete mismatch. Okay, that&#8217;s really interesting to know.</p>\n\n\n\n<p>[00:18:25] Talisha Lewallen: There&#8217;s been a lot of thought that went into this credentialing. Along with having, you know, just what I would consider WordPress experts that are being there and really talking about what they feel somebody should know in the WordPress for each level of the credentialing.</p>\n\n\n\n<p>But, let&#8217;s see. I think JavaScript has a credential that you have to re-certify. If you&#8217;re a nurse, here in the US you have to re-certify your knowledge. Car mechanics. You know, so there&#8217;s a lot of credentialing out there in every industry that does have that continuing education piece. Just because things do change, the world changes so much, and it&#8217;s very beneficial.</p>\n\n\n\n<p>[00:18:58] Nathan Wrigley: So given that you are hoping to find people who wish to take these credentials. Is it open to anybody? We know that your background was connecting with people leaving the military. Is the intention of CertifyWP, and of course I should have mentioned the URL. The URL that you&#8217;ll go to, which of course I&#8217;ll put in the the show notes is certifywp.com, as you&#8217;d imagine, it&#8217;s all spelled in the typical way. No, no underscores or anything like that. Is the intention that these certifications will be open to everybody? Or is there a subset of people? What&#8217;s the audience for this?</p>\n\n\n\n<p>[00:19:37] Talisha Lewallen: So the audience for the credential is everybody. CertifywP is for anybody and everybody to take. Our hope would be that companies start looking at their credential and stating that, yes, I want to hire people that have this credential because we know they have this baseline education. So it is open to every single person.</p>\n\n\n\n<p>The baseline, the level one certifications I hope to get into some smaller communities. I live here in Oklahoma and so there&#8217;s a lot of Indian capital technology centers and stuff like that, that I would really like them to start taking these credentials and really trying to help the minority groups get more into WordPress as well.</p>\n\n\n\n<p>But one thing that has confused a lot of people, and I have to say that this is definitely my fault. I expect everybody to be on my brainwave sometimes. The mention of the DoD, the Department of Defense has thrown a lot of people off. And so they think that this is just a credential for the military and that is really the farthest from it.</p>\n\n\n\n<p>And I just have not fully been able to explain that to everybody. But the DoD approving the credential comes in for WPConnects, so that we can train our military. Instead of using that web foundation associate credential, we will use our WordPress credentialing to train them. So they will be trained from the bottom up in WordPress. So that&#8217;s where that has came in. But CertifyWP is open to everybody to take.</p>\n\n\n\n<p>[00:21:03] Nathan Wrigley: Okay, so just to clarify that. There was a hoop that you had to jump through in order to receive money from the government to train people from the military, but the training is ostensibly the same, but there&#8217;s that slightly strange mixed messaging there. Have I parsed that right?</p>\n\n\n\n<p>[00:21:20] Talisha Lewallen: Yes, yeah. And that&#8217;s all it is, is for our military members to be able to take the training where the government pays for it. They have educational grants and stipends in the Army and Air Force, especially here in the US that they don&#8217;t have to take those, they don&#8217;t have to pay for those credentialing. So for us, for them to be able to use those monies, our credential has to be approved through the DoD.</p>\n\n\n\n<p>[00:21:43] Nathan Wrigley: Speaking of money, that&#8217;s an interesting segue for a minute. Is the intention for this then to have a fee bound to it? In other words, if you want to take this credential and receive the training materials and the time of the tutors and all of that, that there&#8217;ll be a fee attached to it? And, if that&#8217;s the case, do you have plans to have scholarships and things like that? Is there any of that afoot even as an idea?</p>\n\n\n\n<p>[00:22:07] Talisha Lewallen: Yes. That&#8217;s, you know, partly why we actually turned CertifyWP into a nonprofit, is so that we can offer those scholarships. For the credential to be, I almost want to be, say accepted into definitely DoD standards. But if we ever get it accredited, either, there has to be certain qualifications that credentialing meets.</p>\n\n\n\n<p>So we&#8217;re trying to set up CertifyWP credentials to meet the qualifications for, one, the DoD, but also if we ever do decide to get it accredited. And one of them is that it has to meet the standard for financial costs. So, I think there&#8217;s even a PHP credential, but the other tech credentials out there, ours will have to match that price.</p>\n\n\n\n<p>But we are going to be able to scholarship people in. That is definitely our hope. Because again, we don&#8217;t want this to be a gatekeeping thing of you have to pay to play. Not everybody can do that. And so we definitely want to work with people and companies on just trying to get this credential out to the community and making it affordable for every person.</p>\n\n\n\n<p>And there are ways to do that. The board hasn&#8217;t fully decided on one and cost has not even been mentioned yet, just other than the fact that we have to have one and it has to meet an industry standard. But yes, definitely trying to find a way to cut costs down for just the regular person is something that we are looking at, because it can be, they can be quite expensive. And I know that that&#8217;s been a talk within, that I&#8217;ve seen in the Post Status Slack channels before. Whenever somebody moved CertifyWP into one of the channels, somebody was like, oh, here we go, gatekeeping. And oh, it&#8217;s going to cost so much and stuff like that.</p>\n\n\n\n<p>And it&#8217;s a very good concern and conversation to have. But our whole intention, and I don&#8217;t want to speak for everybody on the board or advisory board, but isn&#8217;t to keep it away from people. We want everybody to be able to take it. So we are finding ways to really scholarship and bring people in.</p>\n\n\n\n<p>[00:24:01] Nathan Wrigley: So we&#8217;ve talked about the audience, well, one of the audiences or one of the, one of the spokes of the wheel, if you like, for you. But of course there&#8217;s another side to this, and I&#8217;m, imagining that you really are a bridge between the people who want to be certified and the people who subsequently want to receive the wisdom that you&#8217;ve given them, the certification.</p>\n\n\n\n<p>In other words, the employers, the people who are going to be employing the people out the other end. And presumably that&#8217;s going to be a challenge that you&#8217;re going to face as well, is convincing businesses that look the certificate that we&#8217;ve given them the certification that they&#8217;ve gone through and achieved actually means something. And I&#8217;m guessing there&#8217;s going to be quite a lot of your time spent making those people aware that it really is bonafide.</p>\n\n\n\n<p>[00:24:46] Talisha Lewallen: Yes. That&#8217;s where having the DoD backing, and also possibly getting it accredited shows that this is a real credential. There are people out there that do see that this credential is a massive benefit. So with that, for us there&#8217;s different ways to get it DoD approved, I should say.</p>\n\n\n\n<p>And the easiest way is to have community buy-in. So having those companies state that yes, I do see a need for this education level and to have credentialing. So that&#8217;s where on the website we have the endorsement letters. And I know Sophia Desrosiers has been making some phone calls and we have a couple of people that have been reaching out to companies and explaining what we&#8217;re really doing.</p>\n\n\n\n<p>Because we&#8217;re trying to get those endorsement letters because that will help us get it DoD approved. It&#8217;s just showing that there is a need in the community for a credential. Not even our credential. It&#8217;s one of those fun little things, but it&#8217;s just saying that there is a need in the community.</p>\n\n\n\n<p>And I definitely think once we get our credentials up and running and people start seeing what we have in there, and the education. I really think that a lot of companies will come around to it. The ones that I&#8217;ve talked to so far, I talked to one that was a little hesitant and I love that he booked a meeting with me and talked to me about his concerns, and that I was able to, I don&#8217;t want to say that I argued my point, just was able to genuinely share what we are trying to do at CertifyWP, which is just to make a community built and maintain credential.</p>\n\n\n\n<p>And he ended up signing our endorsement letter, and I absolutely loved it. But I loved that space to be able to fully explain what we&#8217;re doing and how we&#8217;re setting up the credential to really benefit not only employers, but the job seeker.</p>\n\n\n\n<p>[00:26:29] Nathan Wrigley: It&#8217;s a virtuous cycle in a way, isn&#8217;t it? In that if you get people on board and you can take them through the whole process and then they are ultimately employed, and the employers are happy that they can hit the ground running at whatever level that may be. That has a sort of feedback loop to it, doesn&#8217;t it?</p>\n\n\n\n<p>After a period of time, the employers will broadcast that message. It will presumably encourage people who are looking for a way to be certified in tech, to hop on board and on it goes. So yeah, that&#8217;s going to quite an important part. So you are reaching out to those people and you&#8217;re hoping to get some more on board to bolster the whole enterprise.</p>\n\n\n\n<p>[00:27:07] Talisha Lewallen: Yeah, we definitely need more endorsement letters from the community. It could be individuals or companies. The companies are what really the DoD is looking for. But just showing the need in the community. And like I said, I&#8217;ve talked to quite a few either hiring managers or companies that have sat here and said, you know, I put out a job description and I need a WordPress developer. And then I pay them the salary and they come in and they can&#8217;t do what we need them to do.</p>\n\n\n\n<p>But on their resume it looked fine. And they were able to say these things, but they didn&#8217;t have the education that they needed. So then it costs the company more money to have to train this person to be able to get them up to this level, to where if we are able to train them and then you&#8217;re able to hire them, and you know they passed this, I hate to say they passed the test, but they&#8217;re able to show that their competency is there. It saves companies time and money on hiring.</p>\n\n\n\n<p>[00:28:00] Nathan Wrigley: Speaking of the test, you mentioned that in some scenarios it may be like a written paper or something like that, but presumably the higher up you go on the ladder of difficulty, the more need there will be for practical implementations. And you said that there was still room to be, you&#8217;re still trying to figure all that out, and work out what that path might be, but I guess that&#8217;d be an interesting subject to pause on for a moment.</p>\n\n\n\n<p>What are your thoughts around that? Testing in some kind of platform that allows you to do code examples on the screen, live. Those kind of things. Just essentially making sure that it&#8217;s legit, it&#8217;s bonafide, and that the people that are doing it are actually doing it. You could be bringing them into test centres. There&#8217;s all sorts of permutations here, isn&#8217;t there?</p>\n\n\n\n<p>[00:28:41] Talisha Lewallen: Exactly. And that&#8217;s where, right now, I&#8217;m looking at LMSs, Learning Management Systems to put the coursework, but also the exam on. And so I&#8217;ve been talking a lot with these companies about what this exam could look like with this practical application. And what I hear a lot, and even this has been suggested in conversations with the advisory board is almost having like a capstone, or a project that they complete after they take the written assessment. In having this practical that they turn in.</p>\n\n\n\n<p>And that is always an option, and we might have to go to that. I&#8217;m leery about that because then we will have to train and hire people to look at these capstone projects if you will. And determine if somebody has passed or failed it. And so then you run into, well maybe I got somebody that graded my capstone or my project harder than person B.</p>\n\n\n\n<p>I really shy away from that type of stuff and I&#8217;d rather have it be computer generated. It&#8217;s unbiased. There&#8217;s just so many ways you can set that up to where there&#8217;s not that fault in there. So definitely the back end and coding one, there will be sides once you get higher up for you to actually code. I&#8217;m not a coder, so I don&#8217;t want to sit here and use terminology that I don&#8217;t understand myself.</p>\n\n\n\n<p>But there is that practical part in there where you&#8217;re actually going to go in there and you&#8217;re going to do it. The front end side&#8217;s going to look, you know, a little bit differently, but still, I&#8217;m not a test taker, but I can perform the task and I can do the job generally.</p>\n\n\n\n<p>But then you have other people, and I always use the example of my sister. I love her to death. She&#8217;s very, very smart. And she could take a test like nobody&#8217;s business, but that doesn&#8217;t always mean that she can do the work that she just tested on. It just means that she can have really good memory recollection. But doing the task is not something that is there all the time.</p>\n\n\n\n<p>And so we really want to hit both sides. As well as companies having the confidence that when they hire somebody with this credential, they know that they passed the practical part and they can do it. And so it&#8217;s really just trying to find out the best, we&#8217;ll say best, most efficient, cost effective way to really have this and what is best for everybody.</p>\n\n\n\n<p>Because what I really don&#8217;t want to get into is somebody sitting there and saying, well, I didn&#8217;t pass the exam because of, you know, X, Y, Z. And it ended up, it could have been human error. Computers have errors too, and we can work with that. But I just want to take the human error side out of it.</p>\n\n\n\n<p>[00:31:07] Nathan Wrigley: I can imagine there&#8217;s going to be a subset of people listening to this podcast who will be thinking there should be no canonical certification in WordPress. We should be open to go wherever we choose. It feels like you would like this to have some sort of backing, if you like. Community backing, if nothing else. Not necessarily official backing. But you&#8217;d like this to become a baseline. Something that anybody can aspire to, and anybody can see within the community that this is something which represents a decent beginning if you like.</p>\n\n\n\n<p>Not really sure I&#8217;ve phrased that question particularly well, but what I&#8217;m trying to say is that there&#8217;s going to be some people who say, why do we need this? What&#8217;s the point when we&#8217;ve been getting along just fine for many, many years? We don&#8217;t want one player dominating the market in accreditation and certifications. So we&#8217;ll just speak to that for a minute.</p>\n\n\n\n<p>[00:32:00] Talisha Lewallen: Yeah. I&#8217;ve had this conversation, it actually might have been on Bob&#8217;s podcast. And through a conversation that I had with somebody else, it got brought up to why CertifyWP. Why should a third party be able to have this credentialing instead of either the hosting companies or Automattic themselves, whichever way you want to look at it.</p>\n\n\n\n<p>Why should this third party be able to do it? And my answer is always, why not? We are able to have this just absolutely community built and maintained. I think it gives us the freedom is what I should say. It gives us the freedom to be able to keep it unbiased as possible, to where it benefits the most people that we can.</p>\n\n\n\n<p>Not everybody&#8217;s going to be happy with it, no matter what we do, and that&#8217;s fine. We&#8217;re here to help the most people that we can. So having it community built and maintained just allows for a little bit more freedom to get the information that we see as a community that people need to learn, and have to be able to do the jobs that we are hiring them for, or that we want them to do.</p>\n\n\n\n<p>And so my example, if you go onto Fiverr, and again, I&#8217;m not dissing anybody that works on Fiverr or does websites. It is a great platform for you to be able to get contract work. But when you look on there and you look at a WordPress developer, I need a WordPress website. There are, I mean, it seems like thousands of people out there that are like, oh, I&#8217;m a WordPress expert.</p>\n\n\n\n<p>And I even saw a couple that were I&#8217;m certified in WordPress. And I&#8217;m like, no you&#8217;re not, because there&#8217;s not one. It&#8217;s one of those that people that are just an average Joe that&#8217;s trying to get their website built is not going to know about the community. That we don&#8217;t already have this certification. That we don&#8217;t already have all of this baseline knowledge. They&#8217;re not going to know.</p>\n\n\n\n<p>And so this credential allows even contractors to hire the right person and know that they have been certified, and that they know what they&#8217;re doing and they know what they&#8217;re going to get out of the product based off of that. So it really, it&#8217;s really just this, I keep going back to community built and maintained, because I want, I really want everybody to know it&#8217;s not us sitting here saying that, oh, we have the master knowledge and we, we know what everybody needs, because we don&#8217;t.</p>\n\n\n\n<p>And that&#8217;s where we are willing to hear your side and your opinion and really build the credential that the community needs and is going to use and finds the most benefit out of. We&#8217;re coming from a very big place of love and light and you know, trying just to help. And you know, that&#8217;s just really where we&#8217;re at at this point.</p>\n\n\n\n<p>[00:34:28] Nathan Wrigley: With that conversation in mind, have you had any collisions with the use of WordPress, because obviously WordPress, the word is a trademark. I noticed that you&#8217;re calling it CertifyWP, so you&#8217;ve, you&#8217;ve sidestep that one, but I wonder if there are any collisions there that need to be avoided.</p>\n\n\n\n<p>[00:34:49] Talisha Lewallen: So, so far, I&#8217;ll say now, we have been in contact with Josepha and Matt Mullenweg has been on some email chains. I have not personally got to speak to Matt about these, but Michelle Frechette, fantastic woman, and saves my life every day, I swear. Michelle, and myself had a meeting with Josepha and we sat down and we explained what we are trying to, and it really, I mean it was a very positive conversation in my opinion.</p>\n\n\n\n<p>And so it was never brought up that, I&#8217;d hate to say that, you know, we get trademark or you know, cease and desist, but it was really, they were just trying to figure out where they wanted their position to be and that they would get back to us.</p>\n\n\n\n<p>And that was around December and, you know, you got to love the holidays and everything else. But so far, no. But we are definitely wanting to also work with everybody with inside WordPress. So we would never want to do anything that Matt or Josepha would think that was not appropriate to the point of wanting us to cease and desist or whatever else.</p>\n\n\n\n<p>And I also know that there&#8217;s another company, I don&#8217;t know if it&#8217;s public knowledge, so I don&#8217;t want to just like throw it out there. But there is another company that is building or hoping to build a top tier credential. So it would be like our credentialing, and then you would be able to take theirs.</p>\n\n\n\n<p>And that would allow participants who had that credential to be hired by these absolutely massive corporations that are in WordPress. There are very large companies that use WordPress and they need a certain type of developer and security knowledge. And so that level of credentialing would take it one step above ours.</p>\n\n\n\n<p>And since that company works with those high level companies, they would be the best fit to be able to create that level of credentialing. I mean, that&#8217;s the fun thing. The credentialing is coming. It&#8217;s been talked about a lot and I&#8217;m excited for the growth. I&#8217;m excited for the next couple of years to see where these credentials really take us as a community. But yeah, no, so far the conversations we&#8217;ve had with, I&#8217;ll say the powers that be, have been very positive.</p>\n\n\n\n<p>[00:36:50] Nathan Wrigley: Okay. It&#8217;s just nice to hear that you&#8217;ve had those conversations because obviously that would be an area of, uh, of concern if you hadn&#8217;t, so at least that, that&#8217;s been put on the table, shall we say. You mentioned community a few times there, and it might be an interesting moment just to wrap this up to talk about the people that are involved and what have you.</p>\n\n\n\n<p>So, Talisha, there&#8217;s obviously you. But you&#8217;ve got a whole bunch of other people on board. Do you just want to give us a bit of a name drop on who&#8217;s involved so far. And I guess an ancillary question to that is, are you still open for other people to join and lead certain areas, and be involved? Is this still a group which is welcoming community members in to help?</p>\n\n\n\n<p>[00:37:30] Talisha Lewallen: Yes. So right now our advisory board and I always say this like, oh, sorry if I forget anybody. I always feel so bad. Because we have added people on in the last little bit. So we have Courtney Robertson, we have Gabriel Cohen of PMC. Jess Frick from Pressable. Michelle Frechette, love her. And we also have Nikki Bulmer. So they&#8217;re both from the Liquid Web brand. And then we have Robbie Adair with OS Training, and we just brought on Zach Stepek, and we brought him on because once we started talking about, okay, we needed the front end and the back end credential. All of us are talking about the front end, and I said, okay, so what do we know about backend?</p>\n\n\n\n<p>What do we know about really coding and what do we know about all of this? And we all just kind of sat there and we&#8217;re like, okay, we need to find somebody else that could be that expert in that field. So whenever we find there is a lack of our knowledge, or that we could find somebody that has a little bit more, we are definitely open to bringing them on.</p>\n\n\n\n<p>It&#8217;s not that we&#8217;re trying to keep it small, but we want to keep the team progressing. And so when you get too many people, sometimes that can be a hindrance to the progression forward, but we also need to have as many people as we need to get the best product possible as well. So we are still open to certain people. If anybody wants to be involved, definitely reach out. If we have the space and need that area of knowledge, definitely want to do that. And then we have our board of directors. And we are trying to keep the board as separate from the advisory board as possible. There are a few people that are crossing over, just because of their expertise and skills whenever we are putting the board together.</p>\n\n\n\n<p>So we have myself, Michelle, Nikki and Jess. But then we also have Rob Howard, and Hans. That is currently our board of directors. We have our first meeting today, actually. I&#8217;m very excited about that. And then we have our next advisory board meeting on Thursday, and we are hoping to get the level, so for the front end credential, the level one course and exam approved by the board and the level two course and exam as well. Very exciting stuff happening this week.</p>\n\n\n\n<p>[00:39:50] Nathan Wrigley: Yeah, it&#8217;s all moving forward, isn&#8217;t it? This is really great. We&#8217;re probably just going to have to round it up in terms of time, but before we do that, if people have been listening to this and they&#8217;d like to find out more, possibly get involved from either direction, whether that&#8217;s from the company side, looking to consume the accreditation, or if somebody would like to be involved in taking the accreditation and wants a little bit more information, where are the best places to go to contact either CertifyWP or just you?</p>\n\n\n\n<p>[00:40:18] Talisha Lewallen: Me, you could find me on Post Status Slack. Or you can always hit the contact forms on either website page. They get emailed to myself to either wpconnects.com or certifywp.com. And we are also in Twitter and we now have Tumblr. We just recently got on Tumblr as well. So any of those ways are perfect ways to get ahold of us. Or my email is always a great way, which is just talisha @ wpconnects.com</p>\n\n\n\n<p>[00:40:46] Nathan Wrigley: As always, I&#8217;ll put the links that you mentioned into the show notes, so if anybody wants to follow those up, just head over to the WP Tavern website, search for this episode and you should be able to find the links there. So it only remains for me to thank you Talisha for coming on the podcast today. I really appreciate it.</p>\n\n\n\n<p>[00:41:02] Talisha Lewallen: Well, I very much appreciate you having me and WPConnects and CertifyWP all in one. I know it&#8217;s a lot of information, but I very much appreciate it.</p>\n\n\n\n<p>[00:41:11] Nathan Wrigley: Thank you very much indeed.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://www.linkedin.com/in/talisha-lewallen-57758b85/\">Talisha Lewallen</a>.</p>\n\n\n\n<p>You might have found your way into WordPress intentionally, or perhaps you stumbled across it and decided to explore further. Whichever it was, you&#8217;ve learned things along the way. Some of it might have been through training, but there’s likely been some self-discovery on the way as well. Perhaps you’re a coder, or a designer. In fact, there are dozens of different pathways in the WordPress ecosystem.</p>\n\n\n\n<p>Given the broad range of knowledge you might possess, how can you prove that you know what you know?</p>\n\n\n\n<p>Many industries provide training programs which, when completed successfully, allow you to assert that you are competent in a given area. You’d want your lawyer and surgeon to have passed through the appropriate program of study, so that they’re equipped to do that work.</p>\n\n\n\n<p>With WordPress being such a dominant force in the world of websites, would it be a good idea to have a certification for WordPress? Talisha certainly thinks so and has founded <a href=\"https://certifywp.com/\">CertifyWP</a> to try to make that happen.</p>\n\n\n\n<p>We approach this subject through the work that she’s been doing at <a href=\"https://wpconnects.com/\">WPConnects</a> in which she’s been trying to provide training to military veterans, so that on their departure from the services, they have the prospect of finding work in the WordPress space.</p>\n\n\n\n<p>We talk about whether there is a need for a certification for WordPress and how such a certification would come about. What levels of training does Talisha see as essential, and how many such layers might there be?</p>\n\n\n\n<p>We discuss whether the WordPress community is ready for a third party to be certifying people’s abilities and whether this strays away from the approach that we’ve had so far, in which routes into employment have relied upon other, less formal, methods.</p>\n\n\n\n<p>Later in the podcast we talk about the structure of CertifyWP and who is behind the project. You’ll hear that it’s not just Talisha, there are quite a few members of the community who want this project to succeed.</p>\n\n\n\n<p>If you’re curious about certifications in the WordPress space, this podcast is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://wpconnects.com/\">WPConnects website</a></p>\n\n\n\n<p><a href=\"https://certifywp.com/\">CertifyWP website</a></p>\n\n\n\n<p><a href=\"https://dothewoo.io/wordpress-certification/\">Talisha on the Do the Woo podcast</a></p>\n\n\n\n<p><a href=\"https://twitter.com/wp_connects\">WPConnects Twitter</a></p>\n\n\n\n<p><a href=\"https://www.tumblr.com/wp-connects\">WP Connects Tumblr</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Mar 2023 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"HeroPress: Everybody is a Node: Connecting and Growing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=5400\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:158:\"https://heropress.com/essays/everybody-is-a-node-connecting-and-growing/#utm_source=rss&utm_medium=rss&utm_campaign=everybody-is-a-node-connecting-and-growing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:21526:\"<img width=\"1024\" height=\"512\" src=\"https://heropress.com/wp-content/uploads/2023/03/031423-min.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: Everybody you encounter is an opportunity to learn and grow, and when we commit to growing together, we create ecosystems of mutual joy.\" /><h2 id=\"h-starting-with-a-definition\">Starting with a Definition</h2>\n\n\n\n<p>Google defines the term <em>node </em>as “a point at which lines or pathways intersect.”It’s a connecting point. For the use of <em>node</em> in botany, Google offers a second definition: “the part of a plant stem from which one or more leaves emerge.” It’s a point for growth. Today, I’ll provide a third definition that combines the first two. A <em>node </em>is you, me, and everybody, all on our professional and personal journeys through life.</p>\n\n\n\n<p>I currently work as an independent product designer, which perfectly combines my interests in culture, business, and the internet. One day, I hope to evolve my practice into a consulting business for Black-owned internet companies. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>My path to my current position and future goal has been shaped by points of intersection with everyone I’ve encountered along the way. </p>\n</blockquote>\n\n\n\n<p>These experiences helped me grow, helped my leaves flourish and my branches stretch further. My pathway collided with others in my field and adjacent areas, and from these interactions, I made connections with mentors, colleagues, and friends.&nbsp;</p>\n\n\n\n<p>The business term for this is <em>networking.</em> Something we’re all told to do to move forward in our careers. But making connections is more than just a box to tick on the to-do list of life — it’s the fundamental act that makes our lives worth living.&nbsp;</p>\n\n\n\n<p>For me, the journey to a fulfilling life began in an art museum.&nbsp;</p>\n\n\n\n<h2 id=\"h-finding-new-direction\">Finding New Direction</h2>\n\n\n\n<p>In college, I pursued a degree in Art History. I interned at, and was later employed by, the Philadelphia Museum of Art. I practically lived in that building during my employment, and I loved it. Art is a way to connect with people: when we interpret creative works, we interpret the human experience. Art helps us understand one another and understand ourselves. I thoroughly enjoy immersing myself in the art world consisting of brick-and-mortar museums and galleries. But as it turned out, art became a stepping stone towards my next passion &#8211; the internet.</p>\n\n\n\n<p>My brain thrives on projects. I love to create and collaborate, and I’m an idea-engine, always itching to bring my concepts to life. Throughout college, I had aspirations to start a website about art, but struggled to find the best avenue to start. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>After graduation when my schedule cleared up, a friend working in software engineering turned me toward WordPress. </p>\n</blockquote>\n\n\n\n<p>It was for non-developers like me and provided the digital access I craved for my latest project. His advice permanently shifted my trajectory. Without this interaction, I never would’ve found the pathway to realizing my passions with WordPress.&nbsp;</p>\n\n\n\n<p>Using WordPress, I developed the arts website I had dreamt of. That site, <em>In-Art</em> was a place to talk about art online &#8211; <em>include, interpret, interact</em>. At that point, WordPress still felt like a hobby — albeit, the hobby that made me feel the most human. I devoted as much time to it as I could, and began seeking out WordPress meetups.</p>\n\n\n\n<p>Little did I know at that very first WordPress Meetup, I’d meet the man who would later become my boss. Dan Olson gave a talk on “The Future of WordPress” at my first Philly WordPress meetup. In hindsight, the title feels like a pun from the universe since WordPress became <em>my </em>future. At this event, I also met Jason McClintock, my mentor and the lead designer at DigitalCube. In fact, he’s the one who suggested Dan hire me!&nbsp;</p>\n\n\n\n<h2 id=\"h-verticals\">Verticals</h2>\n\n\n\n<p>The beauty of networking is two-fold: verticals and horizontals. In the case of Dan and Jason, Jason serves as my vertical. Verticals have the same specialty, like product design, but are at different stages in their journeys, from interns to experts.&nbsp; Your verticals serve as inspirations and guides when you break into the field, since they’ve been there, done that, and lived to tell you how you can do it too.&nbsp;</p>\n\n\n\n<p>Once you’re further along in your professional journey, you take over and become the mentor for other newbies. You bestow upon them all your wisdom, like, “This is the best platform to simplify your process” and “splurge for the large coffee on big project days, your sleepy brain will thank you.”</p>\n\n\n\n<p>But your verticals are also your competition. Competition doesn’t have to be cutthroat, and should never sway you from interacting with them. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>The lessons your verticals will teach you are invaluable, and the act of teaching mentees is fulfilling and enlightening. </p>\n</blockquote>\n\n\n\n<p>However, logically, if you only interact with people who do what you do, you won’t be meeting the people who <em>need</em> what you do. Fellow UX designers don’t have a need for UX design, they have a need for UX design <em>jobs</em>. Who offers jobs like that? That’s where Horizontals come into play.&nbsp;</p>\n\n\n\n<h2 id=\"h-horizontals\">Horizontals&nbsp;</h2>\n\n\n\n<p>Horizontals are the people working side by side in the supply chain of a service. Take a website for example — designers collaborate with developers, marketing specialists, content creators, and business owners to create the strongest final product for their future customers. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Unless you’re a multi-talented wizard with no need for sleep and no limit for creativity, it takes <em>every single team member</em> working together to bring excellent large-scale projects into fruition. </p>\n</blockquote>\n\n\n\n<p>For DigitalCube, Dan was one of my horizontals. Dan’s technical expertise combined well with my passion for networking and public speaking. Together, we created a discovery process for new clients, reworked our events marketing strategy, and improved technical support service.&nbsp;</p>\n\n\n\n<p>I’m a people person, and part of what I admire so much about people is how uniquely skilled we are in different ways. Life would be incredibly dull if we all had the same goals, same passions, same drives that make life worth living. Everybody you encounter is an opportunity to learn and grow, and when we commit to growing together, we create ecosystems of mutual joy. There’s an antiquated idea that to be successful, you must work solo. You should be a lone wolf, step on whatever toes necessary to get your foot through the best doors. I wholeheartedly reject that.&nbsp;</p>\n\n\n\n<p>Everyone deserves a piece of the pie, and everyone deserves a spot at the table. The horizontals I surround myself with are believers in the power of side-by-side success, in working together to achieve excellence<em> together</em>. This commitment to communal efforts helped me take the leap to finding success and happiness.&nbsp;</p>\n\n\n\n<h2 id=\"h-how-i-leaped-where-i-landed\">How I Leaped &amp; Where I Landed&nbsp;</h2>\n\n\n\n<p>I dabbled as a digital marking assistant for a few months, but it was a UX bootcamp that really ignited my professional passions. The bootcamp built upon my foundation of WordPress. Before it was even over, I began freelancing by creating elementor websites for others. I started helping entrepreneurs put forth websites that launched their projects and captured their essences through effective, engaging design.&nbsp;</p>\n\n\n\n<p>I spend each day actively seeking new clients, growing my portfolio and my abilities with each new project. The clients I work with inspire me and align with my values, an added freedom that comes with entrepreneurship. I’m also preparing business school applications for some point in the future to learn more about finance and management, with the goals of growing a consulting service that will support Black-owned businesses on the web.&nbsp;</p>\n\n\n\n<p>Contracting is very fulfilling, and it keeps me connected to the spaces that sparked my passion in the first place. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>I continue to attend WordPress meetups and WordCamps, volunteering in any way I can, eager to support the community that motivates me. </p>\n</blockquote>\n\n\n\n<p>I relish these meetups: sources of learning and growing where I could nerd out about all the WordPress topics I love with a bunch of fellow nerds. Plus, the free swag at WordCamps<em> never </em>hurts. In 2020, I crafted my first WordPress talk, leaning on my love of public speaking. These efforts forged even more connections between myself and the WordPress community. Now, I&#8217;m happy to lead the Philly WordPress Meetup Group, recruiting interesting speakers for our events to help forge more connections for our members.&nbsp;</p>\n\n\n\n<p>Shoutouts to some WordPress <em>SUPER-</em>nodes who changed the trajectory of my journey:</p>\n\n\n\n<ul>\n<li><a href=\"https://www.linkedin.com/in/emilio-garza-13126490/\">Emilio Garza</a> for telling me to use WordPress for my first website</li>\n\n\n\n<li><a href=\"https://www.linkedin.com/in/dan-t-olson/\">Dan Olson</a>, <a href=\"https://profiles.wordpress.org/hithisisjason/\">Jason McClintock</a>, and <a href=\"https://www.linkedin.com/in/hiromichi-koga-128b2428/?originalSubdomain=jp\">Koga Hiromichi</a> for giving me my first big WordPress gig</li>\n\n\n\n<li><a href=\"https://www.linkedin.com/in/amy-letson-phl/\">Amy Letson</a> and <a href=\"https://profiles.wordpress.org/kcristiano/\">Kevin Cristiano</a> for welcoming me as an organizer for the Philadelphia WordPress Meetup group</li>\n\n\n\n<li><a href=\"https://profiles.wordpress.org/mauteri/\">Mike Auteri</a> and <a href=\"https://profiles.wordpress.org/newyorkerlaura/\">Laura Bryne</a> for welcoming into the Montclair WordPress Community</li>\n\n\n\n<li><a href=\"https://profiles.wordpress.org/isvictorious/\">Victor Ramirez</a> for co-hosting WP @ REC Philly with me</li>\n\n\n\n<li><a href=\"https://allienimmons.com/\">Allie Nimmons</a> and <a href=\"https://meetmichelle.online/\">Michelle Frechette</a> for general awesomeness&nbsp;</li>\n</ul>\n\n\n\n<h2 id=\"h-moral-of-my-story\">Moral of My Story</h2>\n\n\n\n<p>Life is a string of transitions, a catapult of change. Whether you’re a recent graduate with no clear path to finding your peace and realizing your passions, or you’re settled into your career with no clear signs of stalling, life will keep throwing new obstacles and opportunities at you. If you tackle them alone, you’ll enjoy the highs alone, with no one to celebrate your successes. You’ll endure the lows alone too, with no one to offer a helping hand and pull you from your pit of self doubt. You will miss out on critical lessons that set you back in both your professional and personal journeys.</p>\n\n\n\n<p>Each day, I immerse myself in growth-centered communities so we can learn and succeed together. I am who I am because of who I’ve met, from college friends, to coworkers, to clients. Here’s the story so far: I’ve found my place, my peace, and my passions. This is a tale I couldn’t tell without the communities, mentors, and friends I’ve encountered along the way.</p>\n\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id_2abfd1-ed alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top\">\n\n<div class=\"wp-block-kadence-column kadence-column_5bfb8b-3c\"><div class=\"kt-inside-inner-col\">\n<h2 id=\"work-environment\" class=\"kt-adv-heading_c792ee-c4 wp-block-kadence-advancedheading\">Rachel&#8217;s Work Environment</h2>\n\n\n\n<p>We asked Rachel for a view into her development life and this is what she sent! </p>\n\n\n\n\n	#hotspot-5415 .hotspots-image-container,\n	#hotspot-5415 .leaflet-container {\n		background: #efefef	}\n\n	#hotspot-5415 .hotspots-placeholder,\n	.featherlight .featherlight-content.lightbox-5415 {\n		background: #ffffff;\n		border: 0 #ffffff solid;\n		color: #000000;\n	}\n\n	#hotspot-5415 .hotspot-title,\n	#hotspot-5415 .bc-product__title a,\n	.featherlight .featherlight-content.lightbox-5415 .hotspot-title,\n	.featherlight .featherlight-content.lightbox-5415 .bc-product__title a {\n		color: #000000;\n	}\n\n			#hotspot-5415 .hotspot-style-1 {\n			stroke-width: 1;\n			fill: #ffffff;\n			fill-opacity: 0;\n			stroke: #ffffff;\n			stroke-opacity: 0;\n		}\n		#hotspot-5415 .hotspot-style-1:hover,\n		#hotspot-5415 .hotspot-style-1:focus,\n		#hotspot-5415 .hotspot-style-1.hotspot-active {\n			fill: #ffffff;\n			fill-opacity: 0.81;\n			outline: none;\n			stroke: #ffffff;\n			stroke-opacity: 0.81;\n		}\n			#hotspot-5415 .hotspot-default {\n			stroke-width: 1;\n			fill: #ffffff;\n			fill-opacity: 0;\n			stroke: #ffffff;\n			stroke-opacity: 0;\n		}\n		#hotspot-5415 .hotspot-default:hover,\n		#hotspot-5415 .hotspot-default:focus,\n		#hotspot-5415 .hotspot-default.hotspot-active {\n			fill: #ffffff;\n			fill-opacity: 0.81;\n			outline: none;\n			stroke: #ffffff;\n			stroke-opacity: 0.81;\n		}\n		#hotspot-5415 .leaflet-tooltip,\n	#hotspot-5415 .leaflet-rrose-content-wrapper {\n		background: #ffffff;\n		border-color: #ffffff;\n		color: #000000;\n	}\n\n	#hotspot-5415 a.leaflet-rrose-close-button {\n		color: #000000;\n	}\n\n	#hotspot-5415 .leaflet-rrose-tip {\n		background: #ffffff;\n	}\n\n	#hotspot-5415 .leaflet-popup-scrolled {\n		border-bottom-color: #000000;\n		border-top-color: #000000;\n	}\n\n	#hotspot-5415 .leaflet-tooltip-top:before {\n		border-top-color: #ffffff;\n	}\n\n	#hotspot-5415 .leaflet-tooltip-bottom:before {\n		border-bottom-color: #ffffff;\n	}\n	#hotspot-5415 .leaflet-tooltip-left:before {\n		border-left-color: #ffffff;\n	}\n	#hotspot-5415 .leaflet-tooltip-right:before {\n		border-right-color: #ffffff;\n	}\n\n\n\n	<div class=\"hotspots-container  layout-lightbox event-click\" id=\"hotspot-5415\">\n		<div class=\"hotspots-interaction\">\n			<div class=\"hotspots-image-container\">\n	<img width=\"2560\" height=\"1920\" src=\"https://heropress.com/wp-content/uploads/2023/03/my-desk-scaled-scrubbed.jpg\" alt=\"Rachel Winchester\" class=\"hotspots-image skip-lazy\" usemap=\"https://heropress.com/feed/#hotspots-image-5415\" />\n</div>		</div>\n		<map name=\"hotspots-image-5415\" class=\"hotspots-map\">\n											<area shape=\"polygon\" coords=\"1171,627,2158,636,2182,654,2125,1277,2103,1294,1697,1251,1721,1271,1753,1281,1786,1292,1771,1410,1404,1360,1469,1245,1519,1249,1523,1227,1171,1199,1149,1186\" href=\"https://heropress.com/feed/#hotspot-hotspot-5415-0\" title=\"HP W2082a 20-inch LED Backlit Monitor\" alt=\"HP W2082a 20-inch LED Backlit Monitor\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"321,854,1053,829,1088,1257,1212,1477,295,1618,353,1334\" href=\"https://heropress.com/feed/#hotspot-hotspot-5415-1\" title=\"Lenovo Yoga\" alt=\"Lenovo Yoga\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"292,398,538,382,576,404,592,454,632,486,680,834,304,844,254,506,294,468\" href=\"https://heropress.com/feed/#hotspot-hotspot-5415-2\" title=\"Guitars!\" alt=\"Guitars!\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"2558,4,2380,928,2422,958,2420,984,2396,970,2355,1104,2374,1262,2554,1304\" href=\"https://heropress.com/feed/#hotspot-hotspot-5415-3\" title=\"Philadelphia!\" alt=\"Philadelphia!\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"2200,905,2249,905,2292,909,2333,921,2379,933,2401,952,2348,1108,2397,1420,2393,1444,2517,1494,2522,1506,2514,1521,2368,1629,2347,1633,2325,1633,1988,1493,1976,1480,1977,1468,2151,1377,2174,1373,2194,1380,2251,1401,2265,1373,2255,1264,2166,1239,2102,1204,2107,1190,2127,1191,2212,939,2196,923\" href=\"https://heropress.com/feed/#hotspot-hotspot-5415-4\" title=\"AboveTEK Phone Stand\" alt=\"AboveTEK Phone Stand\" target=\"\" class=\"more-info-area\" />\n					</map>\n\n		\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5415-0\">\n				\n				<h2 class=\"hotspot-title\">HP W2082a 20-inch LED Backlit Monitor</h2>								<div class=\"hotspot-content\">\n					<p>My monitor used as a second, rather than a mirror.  I only wish it were touchscreen also.</p>\n<p><a href=\"https://support.hp.com/us-en/product/hp-pavilion-20-inch-displays/7274714/model/7846273/manuals\">Link</a></p>\n				</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5415-1\">\n				\n				<h2 class=\"hotspot-title\">Lenovo Yoga</h2>								<div class=\"hotspot-content\">\n					<p><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">I love my laptop because it\'s touch screen, and it can convert into a tablet. To me, Touch screen navigation is a better experience than using a mouse. But my monitor isn\'t touch screen lol.</span></p>\n<p><a href=\"https://www.lenovo.com/us/en/yoga/\">Link</a></p>\n				</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5415-2\">\n				\n				<h2 class=\"hotspot-title\">Guitars!</h2>								<div class=\"hotspot-content\">\n					<div class=\"css-1dbjc4n r-1habvwh r-1wbh5a2\">\n<div class=\"css-1dbjc4n r-k200y r-gu4em3 r-6t5ypu r-1roi411 r-1fuqb1j r-deolkf r-dnmrzs r-1ny4l3l r-ymttw5 r-1f1sjgu r-o7ynqc r-6416eg\">\n<div class=\"css-901oao r-jwli3a r-37j5jr r-a023e6 r-16dba41 r-rjixqe r-bcqeeo r-1udh08x r-bnwqim r-fdjqy7 r-1rozpwm r-qvutc0\" dir=\"auto\">\n<p><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">I have two next to my desk. One is an Ibanez semi hollow, and the other is an ESP explorer. </span><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">I just play for myself sometimes. </span></p>\n<div class=\"css-1dbjc4n r-1habvwh r-1wbh5a2\">\n<div class=\"css-1dbjc4n r-k200y r-gu4em3 r-6t5ypu r-1roi411 r-1fuqb1j r-deolkf r-dnmrzs r-1ny4l3l r-ymttw5 r-1f1sjgu r-o7ynqc r-6416eg\">\n<div class=\"css-901oao r-jwli3a r-37j5jr r-a023e6 r-16dba41 r-rjixqe r-bcqeeo r-1udh08x r-bnwqim r-fdjqy7 r-1rozpwm r-qvutc0\" dir=\"auto\"><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">The Ibanez is great for jazz rock and blues. The ESP is for metal.</span></div>\n</div>\n</div>\n</div>\n</div>\n</div>\n				</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5415-3\">\n				\n				<h2 class=\"hotspot-title\">Philadelphia!</h2>								<div class=\"hotspot-content\">\n									</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5415-4\">\n				\n				<h2 class=\"hotspot-title\">AboveTEK Phone Stand</h2>								<div class=\"hotspot-content\">\n					<div class=\"css-1dbjc4n r-1habvwh r-1wbh5a2\">\n<div class=\"css-1dbjc4n r-k200y r-gu4em3 r-6t5ypu r-1roi411 r-1fuqb1j r-deolkf r-dnmrzs r-1ny4l3l r-ymttw5 r-1f1sjgu r-o7ynqc r-6416eg\">\n<div class=\"css-901oao r-jwli3a r-37j5jr r-a023e6 r-16dba41 r-rjixqe r-bcqeeo r-1udh08x r-bnwqim r-fdjqy7 r-1rozpwm r-qvutc0\" dir=\"auto\"><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">I keep my phone in the stand most of the day so i don\'t use it too often. It becomes apart of my workspace just like the monitor.</span></div>\n</div>\n</div>\n<div dir=\"auto\"></div>\n<div dir=\"auto\">\n<div class=\"css-1dbjc4n r-1habvwh r-1wbh5a2\">\n<div class=\"css-1dbjc4n r-k200y r-gu4em3 r-6t5ypu r-1roi411 r-1fuqb1j r-deolkf r-dnmrzs r-1ny4l3l r-ymttw5 r-1f1sjgu r-o7ynqc r-6416eg\">\n<div class=\"css-901oao r-jwli3a r-37j5jr r-a023e6 r-16dba41 r-rjixqe r-bcqeeo r-1udh08x r-bnwqim r-fdjqy7 r-1rozpwm r-qvutc0\" dir=\"auto\"><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">If i keep it in my pocket or laying around somewhere else, I\'ll take it out too often just to check it. But when it\'s docked, I don\'t pick it up as often.</span></div>\n</div>\n<div dir=\"auto\"></div>\n<div dir=\"auto\"><a href=\"https://www.amazon.com/AboveTEK-Business-Aluminum-Professional-Showroom/dp/B07KJLBG8G/ref=sxin_16_ci_mcx_mi_sr_m_il?content-id=amzn1.sym.628beb02-7a42-4f70-8d1a-a780fab5eff1%3Aamzn1.sym.628beb02-7a42-4f70-8d1a-a780fab5eff1&crid=2RQ43EHTZGR0Y&cv_ct_cx=abovetek+phone&keywords=abovetek+phone&pd_rd_i=B07KJLBG8G&pd_rd_r=6e909905-882d-49e3-b5c7-9c753158d3ce&pd_rd_w=PF4tT&pd_rd_wg=Zi305&pf_rd_p=628beb02-7a42-4f70-8d1a-a780fab5eff1&pf_rd_r=BC482B9CJ32Q1J7VR935&qid=1678723787&s=electronics&sbo=RZvfv%2F%2FHxDF%2BO5021pAnSA%3D%3D&sprefix=abovetek+phone%2Celectronics%2C84&sr=1-3-9eb59ba4-cd99-4f87-9222-b322340b23c8\">Link</a></div>\n</div>\n</div>\n				</div>\n			</div>\n			</div>\n\n\n\n\n\n<p class=\"kt-adv-heading_b9c76c-f5 wp-block-kadence-advancedheading has-theme-palette-9-background-color has-background\">HeroPress would like to thank <a href=\"https://wpdrawattention.com/\">Draw Attention</a> for their donation of the plugin to make this interactive image!</p>\n</div></div>\n\n</div></div>\n\n\n\n\n\n\n<p class=\"has-small-font-size\">Header image <a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CCO</a> licensed <a href=\"https://wordpress.org/photos/photo/61862d3612/\">photo</a> by <a href=\"https://wordpress.org/photos/author/newyorkerlaura/\">Laura Byrne</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.</p>\n\n<p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/everybody-is-a-node-connecting-and-growing/\">Everybody is a Node: Connecting and Growing</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Mar 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Rachel Winchester\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"WPTavern: Gutenberg 15.3 Adds New “Time to Read” Block \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142655\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://wptavern.com/gutenberg-15-3-adds-new-time-to-read-block\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1721:\"<p><a href=\"https://make.wordpress.org/core/2023/03/13/whats-new-in-gutenberg-15-3-13-march/\">Gutenberg 15.3</a> was released this week with a new &#8220;Time to Read&#8221; block that calculates the estimated reading time for the post or page using the same method that appears in the details panel. The block displays this information on the frontend wherever it is inserted. </p>\n\n\n\n<img />\n\n\n\n<p>This is the first iteration of the Time to Read block, so it isn&#8217;t very customizable yet. Although users can add custom CSS to the block, it only includes alignment controls right now. The block needs Typography controls and more options for customizing its appearance to be consistent with other core blocks.</p>\n\n\n\n<p>In 15.3 Duotone filters have been <a href=\"https://github.com/WordPress/gutenberg/pull/48318\">reworked</a> in several ways to make them more portable across themes. Previously, duotone settings were stored as an array of colors. This has been changed so that duotone presets are stored as slugs, making the color swatches available when a user changes themes. </p>\n\n\n\n<p>Another change for Duotone filters in this release is the ability to set them globally inside the Site Editor&#8217;s Styles panel. </p>\n\n\n\n<p>The Site Editor also received several improvements to make the design more clear and consistent, updating the designs for the edit button and the add template modal, and cleaning up the template details popover, among other small changes.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/13/whats-new-in-gutenberg-15-3-13-march/\">15.3 changelog</a> for the full rundown of all the enhancements, bug fixes, and accessibility and performance improvements.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 21:10:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: WordPress 6.2 RC 2 Drops Navigation Panel from Site Editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142699\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wptavern.com/wordpress-6-2-rc-2-drops-navigation-panel-from-site-editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2828:\"<p><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\">WordPress 6.2 RC 2</a> was released today on schedule. The new Navigation section in the Site Editor was <a href=\"https://make.wordpress.org/core/2023/03/14/fyi-navigation-section-of-new-site-editor-experienced-removed-for-6-2-rc-2/\">dropped from the upcoming release</a> in a somewhat unusual turn of events this late in the release cycle. The feature will remain in the Gutenberg plugin and will be iterated on for a future core release. Users will still be able to manage their menus within the block settings of the Navigation block. </p>\n\n\n\n<p>The Navigation section was added in Gutenberg 15.1, the last release to be rolled into 6.2, and the one with the least amount of time to be tested.</p>\n\n\n\n<p>&#8220;After being added and as the beta cycle continued, various bugs and refinements started adding up,&#8221; Editor Triage Co-Lead Anne McCarthy said. &#8220;In particular, the top pain points revolved around which menu appears (and how to change it), needing a better description of what this newer section did, and improving the general experience of adding links from that section.&#8221;</p>\n\n\n\n<p>McCarthy published a video showing what has been removed: </p>\n\n\n\n\n\n\n\n<p>The conversation leading to this decision was spread across many PRs, issues, and Slack conversations, so it became difficult to track. McCarthy cited a dozen of the related issues and PR&#8217;s, including page links being buried in the inserter, confusion around which menu is pulled into the panel, and many other loose ends that do not provide a good experience for users.</p>\n\n\n\n<p> &#8220;Even with trying to lock the experience further down, bugs continued to pop up and the experience isn’t polished enough to move forward with,&#8221; she said. &#8220;This led to a decision amongst Core Editor Tech, Core Editor Triage, and the Design lead ahead of WordPress 6.2 RC 2 to remove that was then <a href=\"https://wordpress.slack.com/archives/C04JZ199XPG/p1678728808778249\">shared with the wider release squad</a>.&#8221;</p>\n\n\n\n<p>The <a href=\"https://github.com/WordPress/gutenberg/pull/49043\">PR to remove the feature</a> was merged 13 hours ago and now the navigation panel will only be visible if using the Gutenberg plugin. Anyone who is creating documentation or educational resources for WordPress should be aware that those related to the navigation panel may need to be udpated.</p>\n\n\n\n<p>WordPress 6.2 is now just two weeks away from being released on March 28, 2023. <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Testing</a> and <a href=\"https://translate.wordpress.org/projects/wp/dev\">translation</a> are still needed to ensure the official release will be ready for the world of WordPress users.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 18:58:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress.org blog: WordPress 6.2 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14640\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4643:\"<p>Here it is: the second release candidate (RC2) for WordPress 6.2 is ready! </p>\n\n\n\n<p>WordPress 6.2 is scheduled for release on March 28, 2023—which is only two weeks away. Now is your perfect opportunity if you haven’t tried it out yet. Your feedback and help filing bug reports are what keep the WordPress experience stable, smooth, and delightful. It’s important work and a great way to contribute to the project.&nbsp;</p>\n\n\n\n<p>Thanks to everyone who tested the Beta and RC releases so far. Since RC1 was released on March 9, there have been about 36 issues resolved in <a href=\"https://core.trac.wordpress.org/query?status=accepted&status=closed&changetime=03%2F07%2F2023..03%2F13%2F2023&milestone=6.2&col=id&col=summary&col=milestone&col=owner&col=type&col=priority&order=id\">Trac</a> and <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">GitHub</a>.&nbsp;</p>\n\n\n\n<p>Catch up on the featured highlights, and dig into more 6.2 details, in the <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 RC1 release announcement</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">How to install RC2 for testing</h2>\n\n\n\n<p><strong>This version of the WordPress software is under development. </strong>Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC2 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.2 RC2 in three ways:</p>\n\n\n\n<p><strong>Option 1</strong>: Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2</strong>: Direct download the <a href=\"https://wordpress.org/wordpress-6.2-RC2.zip\">RC2 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3</strong>: Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.2-RC2</code></p>\n\n\n\n<h2 class=\"wp-block-heading\">A shoutout to plugin and theme developers</h2>\n\n\n\n<p>Your products are the reason WordPress does so many more things for more people across the world. As you test your latest versions against RC2, make sure you update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.2. If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a> for more details about the major changes in this release.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Join the bug hunt—test, test, test</h2>\n\n\n\n<p>Without your testing support, hitting important product milestones would be a much bigger challenge. It’s also a meaningful way to contribute to the project. If you’re new to testing, or it’s been a while, <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">this detailed guide</a> can help you get started.&nbsp;</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>Listen, we are close<br />One step to final RC<br />Breathe, and keep going</p>\n\n\n\n<p><em>Thank you to the following contributors for collaborating on this post: <a href=\"https://profiles.wordpress.org/laurlittle/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>laurlittle</a> <a href=\"https://profiles.wordpress.org/marybaum/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>marybaum</a> <a href=\"https://profiles.wordpress.org/audrasjb/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>audrasjb</a> <a href=\"https://profiles.wordpress.org/cbringmann/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>cbringmann</a></em></p>\n\n\n\n<p><em>Haiku by <a href=\"https://profiles.wordpress.org/sereedmedia/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>sereedmedia</a></em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 17:59:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"Post Status: WordPress Website Cost to Develop\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://poststatus.com/?p=6897\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://poststatus.com/wordpress-website-cost/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:27121:\"<p>Every business needs a website. Not only does it tell your customers what you do, but it gives you credibility. WordPress is the best website option, but what will it set you back? The WordPress website cost to develop question isn’t so cut and dry.</p>\n\n\n\n<p>Eventually, you have to talk about cost.</p>\n\n\n\n<p>If you’re a consultant, you’ve been asked how much your services cost. And you have to make some decisions:</p>\n\n\n\n<ul>\n<li>What services am I providing?</li>\n\n\n\n<li>How many hours do I think this will take?</li>\n\n\n\n<li>How much is this worth to the client from a business perspective?</li>\n\n\n\n<li>Does the client have money? How about a business plan?</li>\n\n\n\n<li>Should I charge hourly or by the project?</li>\n\n\n\n<li>Is this a one-off thing, or is there potential for a long-term relationship?</li>\n\n\n\n<li>How busy am I? Do I need this job? Do I want it?</li>\n</ul>\n\n\n\n<p>These questions are important. The answers are critical. Gauging the client is vital. Every interaction with the client helps you learn more about them and the project and affects the cost.</p>\n\n\n\n<p>Cost often also depends on the market and location. For the purpose of this post, we’re assuming we’re talking to an American audience in U.S. dollars.&nbsp;</p>\n\n\n\n<h2 id=\"develop\">How Much Should a Custom WordPress Website Cost to Develop?</h2>\n\n\n\n<p>Brian has built websites or been part of website projects — all on WordPress — ranging in cost from less than $1,000 to more than $100,000 for complete websites.</p>\n\n\n\n<p>So, in short: It always depends.</p>\n\n\n\n<p>This differentiation is why we can’t ballpark it for you. It’s essential to build out an estimate specific to your project.</p>\n\n\n\n<h2 id=\"contents\">Table of Contents</h2>\n\n\n\n<p>WordPress Website Cost to Develop</p>\n\n\n\n<ul>\n<li><a href=\"https://poststatus.com/planet/feed/#develop\">How Much Should a Custom WordPress Website Cost to Develop?</a></li>\n\n\n\n<li>Table of Contents</li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#costs\">Types of Websites and their Costs</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#intodevelopment\">Understanding What Goes into Development</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#cost\">Factors Affecting Website Development Cost</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#businesses\">Considerations for Small Businesses</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#website\">Estimating the Cost to Develop a Website</a>\n<ul>\n<li><a href=\"https://poststatus.com/planet/feed/#timeline\">Estimate Cost and Timeline</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#views\">Pricing Views</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#content\">Pricing Content</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#time\">Pricing Time</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#factors\">Pricing Site Factors</a></li>\n</ul>\n</li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#freelancerdevelopment\">Working with a Freelancer for Website Development</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#agencydevelopment\">Working with an Agency for Website Development</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#rates\">Comparing Freelancer vs. Agency Rates</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#started\">How to Get Your Website Development Started</a></li>\n</ul>\n\n\n\n<h2 id=\"costs\">Types of Websites and their Costs</h2>\n\n\n\n<p>There are many types of websites, each with its potential costs. Brian ranks sites in complexity like this:</p>\n\n\n\n<ul>\n<li><strong>Simple Blog.</strong> Archives and single post views only. A pretty typical layout.</li>\n\n\n\n<li><strong>Complex Blog.</strong> A bunch of “out of the box” styles for various templates. It requires attention to detail on archives, single posts, and other stuff like post formats.</li>\n\n\n\n<li><strong>Brochure Site.</strong> Fairly standard but custom home page design and page layout. Stock archive/blog setup with little to no customizations.</li>\n\n\n\n<li><strong>Marketing Site</strong>. A mashup between a simple brochure and a complicated blog. It requires more designs, and the home page might be a little more advanced than the simple brochure.</li>\n\n\n\n<li><strong>E-Commerce Site.</strong> It could be a mix of any of the websites above plus all the needs in e-commerce (like cart/account/checkout views and tons of configuration considerations). This type of project is often a huge PM bump as well.</li>\n\n\n\n<li><strong>Small Business Site.</strong> Similar to a marketing site, but often includes a couple of custom content types that require design and code, like events, testimonials, services, etc.</li>\n\n\n\n<li><strong>Large Company Site.</strong> Big business websites are like regular business websites, but more. They often have many custom content types, advanced searching needs, tons of content, and some fancy user permissions needs. And, of course, potentially much more.</li>\n\n\n\n<li><strong>Non-Profit or Advocacy Site.</strong> Non-profit and advocacy sites are the holy grail of wanting everything on a budget. These are difficult to keep in scope because they often have the exact needs of big businesses without the budgets.</li>\n\n\n\n<li><strong>Large Scale Site. </strong>You can take any of these types of websites and then say you need it to handle millions of page views per month without breaking a sweat. A whole new layer of complexity comes into play.</li>\n</ul>\n\n\n\n<p>The hours it takes to build these different websites can vary tremendously. It depends on the consultant’s experience, whether they’ve done similar work before, how many “gotchas” appear in the project, how particular the client is about any given feature, and more.</p>\n\n\n\n<h2 id=\"intodevelopment\">Understanding What Goes into Development</h2>\n\n\n\n<p>Not all websites are created equal, so not all websites will take the same time and work to create. Here are some factors to consider related to the website development process.</p>\n\n\n\n<h3>Static vs. Dynamic Websites</h3>\n\n\n\n<p>Static websites are the easiest types of sites to maintain and build. They’re faster for users because they require little back-end processing, and the server only retrieves the requested files. Static sites make it challenging to execute a site-wide change because they require you to update each HTML file.&nbsp;</p>\n\n\n\n<p>Dynamic sites display different information to each visitor. The visitor’s location, time zone, personal preferences, and habits determine the content. This feature creates a more tailored and interactive experience. Instead of building one page that stays the same, web servers build these personalized pages when users request pages. Dynamic sites build these pages on server-side scripting languages like PHP, Python, or Ruby.</p>\n\n\n\n<p>Depending on which type of site you need, you may have to work with different developers. Some common types of development include:</p>\n\n\n\n<ul>\n<li><strong>Front-End Development.</strong> The practice of producing CSS, HTML, or JavaScript for a website that the user sees and interacts with directly.</li>\n\n\n\n<li><strong>Back-End Development.</strong> Working with server-side software to make sure the site is functioning correctly. Backend development focuses on databases, architecture, and servers.</li>\n\n\n\n<li><strong>Database Development.</strong> The type of development that focuses on design, programming, construction, and implementation of new databases and modifying existing databases.&nbsp;</li>\n</ul>\n\n\n\n<h2 id=\"cost\">Factors Affecting Website Development Cost</h2>\n\n\n\n<p>Each website project is unique, and the factors surrounding each project help determine the website cost to develop.&nbsp;</p>\n\n\n\n<h3>Factors that affect every project:</h3>\n\n\n\n<ul>\n<li><strong>Level of Complexity.</strong> More pages take more time and money to build. Plus, parent and child pages can complicate the process.</li>\n\n\n\n<li><strong>Design Requirements. </strong>Some websites need special features and customization. The more design requirements for a specific project, the more it will cost.</li>\n\n\n\n<li><strong>Platforms and Technologies. </strong>If the project requires the developer to integrate technologies into the website, it adds to the time and cost to build. While many technologies make integrations easy with API keys, not all companies can quickly provide that to their web designer.</li>\n\n\n\n<li><strong>Functionality. </strong>Plugins can be relatively inexpensive, but setting them and ensuring they work well together can take a lot of time.&nbsp;</li>\n\n\n\n<li><strong>Security.</strong> You can add different levels of security to websites. The costs can be a one-time fee or ongoing. For any e-commerce site, continuous security monitoring is crucial.</li>\n\n\n\n<li><strong>Maintenance and Updates.</strong> The developer will need to add new components to sites, and regular maintenance ensures everything functions probably and is consistently updated.</li>\n</ul>\n\n\n\n<h2 id=\"businesses\">Considerations for Small Businesses</h2>\n\n\n\n<p>If you’re a small business owner needing a website, there are some unique factors to consider before you approach a developer.</p>\n\n\n\n<h3>Factors that affect small business projects:</h3>\n\n\n\n<ul>\n<li><strong>Budget. </strong>Knowing the limitations of your budget is crucial. This knowledge will help you choose the best web developer for you while also giving you realistic expectations about the type of website you’ll receive.</li>\n\n\n\n<li><strong>Timeline. </strong>The more complex a website is, the longer it takes to develop. Plus, if you have a lot of old website content that needs to be accounted for, it can add development time.</li>\n\n\n\n<li><strong>Outsourcing.</strong> When you create a website in-house, you have more control of the process and final product. But when you outsource, you don’t have to worry about paying full-time salary and benefits to the developer or tying up team members with the project.</li>\n</ul>\n\n\n\n<h2 id=\"website\">Estimating the Cost to Develop a Website</h2>\n\n\n\n<p>An estimate takes time. Whether that time is in a paid discovery or a sunk cost the consultant takes on themselves is a different matter. Either way, estimates are expensive because they’re time-consuming. And if a consultant spends a week on an estimate or proposal, they’ll put that cost into the proposal somewhere.</p>\n\n\n\n<h3 id=\"timeline\">Estimate Cost and Timeline&nbsp;</h3>\n\n\n\n<p>There are some broad brush typical price ranges we can establish for you. Let’s start by segmenting based on who you’re working with. Basically, working with a freelancer will generally be cheaper than working with an agency. Agencies have more overhead, padding built in, concern about cash flow, and generally just tend to be a bit more expensive.</p>\n\n\n\n<p>If you work with an agency, the risk of them falling off the map is generally lower, but they move slower too. And you’ll often have to deal with changing contacts as the project progresses (from sales to design to development to maintenance).</p>\n\n\n\n<p>If you work with a freelancer, your risks are a bit higher that they’ll disappear someday. It means vetting them is even more important than with an agency. But they also tend to move quickly and don’t juggle as many projects simultaneously. You also benefit from working with (typically) one person who knows everything about your project, and you don’t feel like you’re constantly getting bounced around between people.</p>\n\n\n\n<p>It’s possible to have a great relationship with a freelancer or agency. Which route is better typically depends on the client’s mentality and requirements.</p>\n\n\n\n<h3 id=\"views\">Pricing Views&nbsp;</h3>\n\n\n\n<p>It’s generally good to estimate how many unique views a website has to consider how much it will cost.</p>\n\n\n\n<h4>Unique views are:</h4>\n\n\n\n<ul>\n<li>The home page</li>\n\n\n\n<li>The archive page — although it could be category, search, and more, combined in one unique view</li>\n\n\n\n<li>The blog “post” page</li>\n\n\n\n<li>The generic “page” template, though it can be mashed with the post view</li>\n\n\n\n<li>Custom page templates — like fancy about us pages or a key landing page</li>\n\n\n\n<li>Custom post types — sometimes in the traditional archive/singular sense and other times the way it sits within another view, like how an FAQ content type may fit into a regular page</li>\n\n\n\n<li>Variable sidebars within sections of the website</li>\n</ul>\n\n\n\n<p>Unique views aren’t always evident. Depending on how discovery conversations go with the client, you can figure out more necessary unique views.</p>\n\n\n\n<p>What’s essential about unique views is that they’re excellent for estimating design time, and they can help guide estimating development time.</p>\n\n\n\n<p>If a unique view requires a comp (design preview for the client), then that’s a relatively set number of required hours for design. If it doesn’t require a comp, it’s still best to build in time for the designer to do a quality check after it’s developed, so they can make sure it looks good.</p>\n\n\n\n<p>Designing a unique view from the ground up could take a designer between four and 10 hours, depending on the complexity. For certain complex or innovative views, that number could hit upward of 20 hours just for design.</p>\n\n\n\n<p>Also, design requires a base set of hours to establish the overall tone of the website and to design things rarely considered with unique views, like the header, footer, and overall style guide. The website&#8217;s base elements and style guide could easily range between 10 and 100 hours. It’s a ridiculous range, but it&#8217;s necessary.</p>\n\n\n\n<p>So, we’ve established a framework for pricing the design of unique views. Developing them is a different story.</p>\n\n\n\n<p>You must carefully consider development. Generally, every design hour should get a development hour to go with it. But development hours can easily break that rule, especially when developing something complex.&nbsp;</p>\n\n\n\n<p>Development hours can be <em>literally anything</em> for wholly custom functionality, which is entirely outside this post&#8217;s scope. Development can cost millions of dollars.</p>\n\n\n\n<h3 id=\"content\">Pricing Content&nbsp;</h3>\n\n\n\n<p>With WordPress, you can add as many posts and pages as you want. But the more posts or pages the client’s existing website has (and expects to transfer to the new site), the more complex the new project will be.</p>\n\n\n\n<h4>Some levels to consider when pricing content:</h4>\n\n\n\n<ul>\n<li><strong>Less than 10 pages </strong>&#8211;<strong> </strong>No big deal</li>\n\n\n\n<li><strong>More than 30 pages</strong> &#8211; Start thinking about structure</li>\n\n\n\n<li><strong>Hierarchical pages (lots of parent &gt; child page relationships)</strong> &#8211; Require strategic thinking time</li>\n\n\n\n<li><strong>Hundreds of pages</strong> &#8211; Either a problem or a lot of strategy and design consideration</li>\n\n\n\n<li><strong>Thousands of blog posts, taxonomies (category/tag handling), and searches</strong> &#8211; Probably cost more</li>\n\n\n\n<li><strong>A lot of content</strong> &#8211; Navigation needs to be uniquely priced&nbsp;</li>\n\n\n\n<li><strong>Multi-author blog</strong> &#8211; Needs special consideration</li>\n\n\n\n<li><strong>Pages or posts need editorial workflow (section management, change or publishing approval, etc.)</strong> &#8211; Need special consideration</li>\n\n\n\n<li><strong>Current CMS isn’t WordPress &#8211; </strong>Migration requires special language and details to make it happen</li>\n\n\n\n<li><strong>Current CMS is WordPress</strong> &#8211; Understand plugins or custom code potentially creating shortcodes or weird content handling (maybe with custom fields) or what other bad practices may be present</li>\n</ul>\n\n\n\n<h3 id=\"time\">Pricing Time</h3>\n\n\n\n<p>Time is a huge factor to consider when building a website. Developers need to charge for the time a project will take to complete.&nbsp;</p>\n\n\n\n<p>Both freelancers and agencies factor time into their pricing. So the time spent researching a project, bidding on it, and meeting with the clients is built into the pricing structure. It’s not just the cost of the time spent working on WordPress website development, though that is the bulk of the cost.&nbsp;</p>\n\n\n\n<h3 id=\"factors\">Pricing Site Factors&nbsp;</h3>\n\n\n\n<p>Every website development project is different, and the goals of each website owner vary as well. The developer must consider each specification when determining the website&#8217;s cost.</p>\n\n\n\n<p>Additionally, the client is a huge factor in price. In short, if a client is going to be difficult, it affects the client multiplier on the overall project cost.</p>\n\n\n\n<h4>Client qualities that end up costing money are when the client:</h4>\n\n\n\n<ul>\n<li>Doesn’t have a single point of contact (multiple people always have to be looped into communication)</li>\n\n\n\n<li>Has to get some form of committee approval</li>\n\n\n\n<li>Isn’t decisive or is incapable of playing the “consultant advocate” role well internally</li>\n\n\n\n<li>Has a lot of red tape for decision making</li>\n\n\n\n<li>Payment schedules are awful (payment may take months)</li>\n\n\n\n<li>Is prone to huge email threads about small issues</li>\n\n\n\n<li>Wants daily or frequent phone calls or meetings</li>\n\n\n\n<li>Doesn’t have a clear business plan and will require a lot of advising</li>\n</ul>\n\n\n\n<p>These are mostly people and organizational things. They have little to do with the actual project.</p>\n\n\n\n<p>Let’s say the work for a project will be about $20,000. Add in these client qualities that could get costly from a project management perspective and apply them to the overall cost.</p>\n\n\n\n<p>In a $20,000 project, it’s not uncommon for $5,000 of that to be project management costs. If there are enough concerns to warrant 50% higher PM costs, the project gets a $2,500, or 12.5%, increase in overall project cost.</p>\n\n\n\n<p>Looking for client qualities that trigger higher costs is vital as a consultant. For potential clients, remember that your qualities (organizational and behavioral) affect your consultant’s price.</p>\n\n\n\n<h2 id=\"freelancerdevelopment\">Working with a Freelancer for Website Development&nbsp;</h2>\n\n\n\n<p>Freelancers can be an affordable option for website development, but not everyone enjoys working with them, and they aren&#8217;t the right fit for every project.</p>\n\n\n\n<h3>Pros and Cons of Freelancers</h3>\n\n\n\n<p>Working with freelancers can be good if you have a quick turnaround time. Unlike agencies, freelancers tend to work on one project at a time, so they can focus on your website until it’s finished. You’ll also only communicate with the freelancer during the project, unlike with agencies where you may speak to different departments in various project stages.&nbsp;</p>\n\n\n\n<p>But freelancers don’t always have the same schedule availability since they’re a smaller business operation. So, if you need updates in the future, it may take a long time to get on the freelancer’s schedule.&nbsp;</p>\n\n\n\n<p>Also, many freelancers work alone, leading to a more unstructured process, which means you may not know the project&#8217;s stage. The freelancer you work with will also likely be acting as their own project manager, so you won’t necessarily get as many updates or information about the project&#8217;s status while they’re working.</p>\n\n\n\n<h3>When a Freelancer is a Good Fit&nbsp;</h3>\n\n\n\n<p>In general, freelancers are great for jobs that fit the following criteria:</p>\n\n\n\n<ul>\n<li>Are small enough for one person to handle&nbsp;</li>\n\n\n\n<li>Have a tight timeline, and you want them to start quickly</li>\n\n\n\n<li>Are fine with informal communication channels&nbsp;</li>\n\n\n\n<li>Don&#8217;t need big contractor agreements, insurance, or other common big-business requirements</li>\n</ul>\n\n\n\n<h2 id=\"agencydevelopment\">Working with an Agency for Website Development&nbsp;</h2>\n\n\n\n<p>Agencies are a more established alternative to working with freelancers. They tend to have greater resources and an established process.</p>\n\n\n\n<h3>Pros and Cons of Agencies&nbsp;</h3>\n\n\n\n<p>Working with agencies can be good for a lot of reasons. Because they specialize in what you’re paying for, you have the potential to build a long-term relationship with them and will be able to come back to them for future projects. You’ll also have a project or client manager to usher you through the process and explain what’s going on with your website. Plus, agencies have dedicated processes, so you know nothing will be left out or forgotten.</p>\n\n\n\n<p>But there are still limitations to working with agencies. They work with a large number of clients, so that means you may have a waiting period before they begin your project. It can also lead to a slower project turnaround time.&nbsp;</p>\n\n\n\n<p>As your project progresses, you’ll have different points of contact for the various stages.&nbsp;</p>\n\n\n\n<p>Working with an agency also can be expensive since they have more overhead costs.</p>\n\n\n\n<h3>When an Agency is a Good Fit&nbsp;</h3>\n\n\n\n<p>In general, agencies are better when you:</p>\n\n\n\n<ul>\n<li>Don’t want to risk your consultant disappearing</li>\n\n\n\n<li>Are comfortable with a project structure you don’t define and following their process</li>\n\n\n\n<li>Can handle a multi-month project that takes two to six months</li>\n\n\n\n<li>Don’t mind waiting 30 to 90 days to start until you can fit into their schedule&nbsp;</li>\n\n\n\n<li>Want a dedicated project manager</li>\n\n\n\n<li>Have a large-scope or fast-turnaround project that requires multiple people working full-time on it</li>\n</ul>\n\n\n\n<h2 id=\"rates\">Comparing Freelancer vs. Agency Rates</h2>\n\n\n\n<p>For most projects, the consultant has to estimate the time it will take them to build and charge <em>at least</em> that. So the consultant probably isn’t charging much more than their cost.</p>\n\n\n\n<p>Whether the consultant is an agency or a freelancer, the developer only spends about half their day on the project. Also, that number is probably higher for your average web worker in an agency. It still works as an average because managers and PMs typically won’t hit 50%, and their time may not even factor into direct costs.</p>\n\n\n\n<p>Assume the freelancer is billing an end client, not subcontracting to an agency where their costs decrease considerably due to less PM and consistent work.</p>\n\n\n\n<p>Finally, utilize these hourly rates as if it’s for billable work and known costs. So, if the rate is $100 per hour and the design will take 50 hours and the development will take 50 hours, and you build in 25 hours for project management, it would be 125 hours, and the project would cost $12,500. Profits, overhead, and everything else are built into the internal hourly rate — just like if someone were billing the client hourly for the work.</p>\n\n\n\n<h3>Understanding Special Cases&nbsp;</h3>\n\n\n\n<p>Freelancers and agencies also break their own rules all the time. A great example is when you get an inquiry from a big brand. If it’s a competitive bid, and a consultant wants that brand as a featured client, they could easily drop their rates by a third or more to get it — hoping that that brand will make other folks want to work with them down the road.&nbsp;</p>\n\n\n\n<p>Sometimes this is effective. Other times it’s a terrible idea. Referrals can come from anywhere, and generally, bending your rates for a brand name is a bad idea, even though it&#8217;s tempting.</p>\n\n\n\n<p>Other times, consultants break their own rules or don’t follow their internal rates. Consultants may charge less if it’s a client they work with repeatedly and know the true costs better. Consultants may charge less for non-profit organizations, with a retainer, if work is slow or if they get emotionally invested in the bid. The list of ways to break the guidelines goes on and on.</p>\n\n\n\n<h3>Common Freelancer Rates</h3>\n\n\n\n<p>Freelance WordPress website developers today make $30 to $175 an hour, with the average developer charging $70 an hour. Freelancers with good experience, who are more in demand, and those with reputations as specialists charge more for their services.</p>\n\n\n\n<h3>Common Agency Rates</h3>\n\n\n\n<p>WordPress website development agencies charge anywhere from $3,000 to $75,000 or more to build a website, depending on your needs, their reputation, and the size of the market they serve. The better their reputation and the bigger, more high-profile projects they’ve completed in the past, the more they can charge. They also can charge more if they have a niche expertise.</p>\n\n\n\n<p>Market size is the difference between working in big towns or small cities (small market), cities that are thriving but not huge (medium market), or the type of city that’s got pro sports teams and more than a million people (large market). The bigger the market, the more an agency can charge. Agencies in mega markets, like New York and San Francisco, can charge much more.</p>\n\n\n\n<h2 id=\"started\">How to Get Your Website Development Started</h2>\n\n\n\n<p>Before you contact a web developer to build your website, there are some things to do to prepare. This list will help you be more intentional about your web development project and ensure you get what you need.</p>\n\n\n\n<ul>\n<li><strong>Assess Any Current Site Failings.</strong> What do you wish your site could do that it doesn’t? Are there any functions you absolutely need to add?</li>\n\n\n\n<li><strong>Identify Your Goals.</strong> Know what you want from a new site. This direction will help your developer build a better site for you.</li>\n\n\n\n<li><strong>Create a Comprehensive List of Needs. </strong>This list will help your developer create a website that works best for your business and help you determine what’s most important during the web development process.</li>\n\n\n\n<li><strong>Determine Your Budget.</strong> Knowing how much money you have to work with will help you choose a developer and understand what features you can afford.</li>\n\n\n\n<li><strong>Research Freelancers or Agencies. </strong>Think about your timeline and how you’d like the project to proceed. Find a developer that will work well with you.</li>\n\n\n\n<li><strong>Track Progress and Stay Connected.</strong> Know where your website is in the development stages. This tracking will help you stay on top of the project.</li>\n</ul>\n\n\n\n<h2>Do You Want to Learn More About WordPress Development?</h2>\n\n\n\n<p>Are you a WordPress pro or someone who works with WordPress pros? If so, you’ll want to connect with a greater WordPress community to learn from and share with. Where else can you talk in-depth about how much a WordPress website costs to develop? <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> today and get access to members-only content and tons of WordPress news.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 15:30:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Brian Krogsgard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"Do The Woo Community: Emerging Web Tech with Brad, Kathy and Dave\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74622\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://dothewoo.io/emerging-web-tech-with-brad-kathy-and-dave/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:419:\"<p>An introduction to our upcoming series with Brad Williams, Kathy Zant and Dave Lockie of new web technologies and WooCommerce/WordPress.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/emerging-web-tech-with-brad-kathy-and-dave/\">Emerging Web Tech with Brad, Kathy and Dave</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 10:38:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"WPTavern: Patchstack Tracks 328% More Security Bugs Reported in WordPress Plugins in 2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142666\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"https://wptavern.com/patchstack-tracks-328-more-security-bugs-reported-in-wordpress-plugins-in-2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4618:\"<p>Patchstack, a WordPress security maintenance and management tool, has published its &#8220;<a href=\"https://patchstack.com/whitepaper/wordpress-security-stats-2022/\">State of WordPress Security</a>&#8221; whitepaper for 2022, tracking a few key metrics on publicly reported vulnerabilities. </p>\n\n\n\n<p>The findings highlight the risk of using unmaintained themes and plugins along with developers&#8217; need to keep pace with updates to libraries and dependencies included in their work. Patchstack is tracking a significant increase in vulnerabilities reported in 2022:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>In 2022 we saw&nbsp;<strong>328% more security bugs reported</strong>&nbsp;in WordPress plugins – we added&nbsp;<strong>4,528</strong>&nbsp;confirmed security bugs to our database, compared to&nbsp;<strong>1,382 in 2021</strong>.</p>\n</blockquote>\n\n\n\n<p>Similar to previous years, the majority of these security bugs were found in plugins (93%), followed by themes (6.7%), and WordPress core (0.6%).</p>\n\n\n\n<p>These numbers were sourced from public data from Patchstack and other security companies and researchers in the WordPress ecosystem. The total number of vulnerabilities comes from the three official CNAs in the WordPress space that are authorized to assign CVE IDs to new security vulnerabilities and to whom researchers report issues. These include Patchstack, Automattic (WPscan) and WordFence. Patchstack CEO Oliver Sild said some of the vulnerabilities were also independently published elsewhere or reported directly to MITRE.</p>\n\n\n\n<p>The report emphasized that the increase in the number of vulnerabilities reported means that ecosystem is becoming more secure as the result of more security issues being found and patched.</p>\n\n\n\n<p>Another small improvement over last year is the percentage of critical security bugs that never received a patch. In 2022, that number was 26% versus 29% in 2021. Critical vulnerabilities were better addressed this year but Sild said so far it&#8217;s not a significant change that they would connect with any trend yet.</p>\n\n\n\n<p>&#8220;We still think it shows a big problem, which is that some plugins are unsupported or abandoned and do not receive timely patches,&#8221; he said.</p>\n\n\n\n<p>Solving the problem of developers abandoning their work is challenging, and many users have no idea how to select plugins that are more likely to be supported. </p>\n\n\n\n<p>&#8220;I think it’s important to be transparent,&#8221; Sild said. &#8220;It is also okay that projects come to an end. I just recently told my colleague that &#8216;when someone builds a new plugin, they should keep in mind that someone might actually use it.&#8217; It kind of stuck with me, because even if the plugin developer has moved on and is not working on the project anymore, there still might be people who rely on it.&#8221;</p>\n\n\n\n<p>Sild said users often get left in the dark because WordPress core only shows if an update is available. If a plugin gets closed by WordPress.org due to an unpatched security issue, users don&#8217;t get notified.</p>\n\n\n\n<p>&#8220;It’s something we try to improve together with our partners such as other security plugins and hosting companies,&#8221; he said. &#8220;Communication is key. We recently also created a free service for plugin developers called &#8216;managed vulnerability disclosure program&#8217; shortly mVDP.  The goal is to help plugin developers adopt more mature security practices and show users that they take security seriously.&#8221;</p>\n\n\n\n<p>Other notable insights from the whitepaper include a breakdown of WordPress security bugs by severity. In 2022, the majority of vulnerabilities (84%) were classified as Medium severity, with a smaller percentage of High severity (11%) and Critical (2%).</p>\n\n\n\n<img />\n\n\n\n<p>Of the most popular plugins (over 1 million installs) that had security issues, only five contained high severity bugs. The two with the highest CVSS score vulnerabilities were Elementor and Essential Add-ons for Elementor, followed by UpdraftPlus WordPress Backup, One Click Demo Import, and MonsterInsights.</p>\n\n\n\n<p>The whitepaper highlights a few other trends, including hosting companies alerting their customers to vulnerabilities, the growth of the security research community, and increased security awareness within the WordPress ecosystem. For more details on the state of WordPress security in 2022 and predictions for this year, check out the <a href=\"https://patchstack.com/whitepaper/wordpress-security-stats-2022/\">whitepaper</a> on Patchstack&#8217;s website.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 01:09:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WPTavern: Automattic Acquires ActivityPub Plugin for WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142658\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wptavern.com/automattic-acquires-activitypub-plugin-for-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4255:\"<img />\n\n\n\n<p>Automattic has acquired the <a href=\"https://wordpress.org/plugins/activitypub/\">ActivityPub plugin</a> for WordPress from German developer <a href=\"https://profiles.wordpress.org/pfefferle/\">Matthias Pfefferle</a>, who will be joining the company to continue improving support for federated platforms. Pfefferle, who is also the author of the <a href=\"https://wordpress.org/plugins/webmention/\">Webmention</a> plugin, said his new role is to see how Automattic&#8217;s products can benefit from open protocols like ActivityPub.</p>\n\n\n\n<p>In 2021, Automattic CEO Matt Mullenweg indicated that he would be interested in <a href=\"https://techcrunch.com/2022/11/21/tumblr-to-add-support-for-activitypub-the-social-protocol-powering-mastodon-and-other-apps/\">having Tumblr support the ActivityPub protocol</a> for a greater level of interoperability across networks like Mastodon and others using the same protocol. That is still in the works, but WordPress sites already have this capability through the plugin.</p>\n\n\n\n<p>&#8220;ActivityPub and a lot of other Open Web Plugins (like the Webmention plugin) were spare time projects, so I was not looking for an acquisition,&#8221; Pfefferle said.</p>\n\n\n\n<p>&#8220;When Matt announced that Tumblr wants to implement ActivityPub on Twitter, I asked why not WordPress, so I came in contact with Automattic and they offered me the opportunity to work full time on the plugin and other Open Web projects.&#8221;</p>\n\n\n\n<p>The ActivityPub plugin makes it possible for readers to follow a WordPress  site in the fediverse using the ActivityPub protocol. This includes Mastodon, one of the most popular platforms using the protocol, and other platforms like <a href=\"https://pleroma.social/\">Pleroma</a>, <a href=\"https://friendi.ca/\">Friendica</a>, <a href=\"https://hubzilla.org/\">HubZilla</a>, <a href=\"https://pixelfed.org/\">Pixelfed</a>, <a href=\"https://socialhome.network/\">SocialHome</a>, and <a href=\"https://join.misskey.page/\">Misskey</a>. For those using Mastodon, this plugin will automatically send posts to the network and replies to it will become comments on the post.</p>\n\n\n\n<p>Last March, the ActivityPub plugin had just 700 users. Today it has grown to more than 2,000 active installs. Although it is not yet widely used, it has gotten more exposure since Elon Musk bought Twitter.</p>\n\n\n\n<p>&#8220;Thanks to Elon Musk, the number of downloads from my ActivityPub (WordPress) plugin and <a href=\"https://mastodon.social/@pfefferle\">my followers on Mastodon</a> have increased at least tenfold!&#8221; Pfefferle said in a post on his blog in January 2023. &#8220;This inspired me to work more actively on the plugin again and some great changes came about.&#8221;</p>\n\n\n\n<p>Most recently, Pfefferle added a new onboarding screen with recommended plugins, added the published date to author profiles, and added outgoing mentions, among other features.</p>\n\n\n\n<img />\n\n\n\n<p>Pfefferle said he thinks the idea of the acquisition is not to have the protocol merged into core, but to &#8220;guarantee that it will stay open source and to maybe make it a canonical plugin.&#8221;</p>\n\n\n\n<p>As more social networks unite on open protocols, it won&#8217;t matter where you choose to create your home on the web. Interoperability between apps allows people to post from whatever network they enjoy, creating a richer, more diverse web. Automattic&#8217;s support of the ActivityPub plugin ensures WordPress&#8217; place in the fediverse, where blogs will not isolated islands but rather interconnected as many were in the early days of blogging. Pfefferle&#8217;s work embodies these ideals.</p>\n\n\n\n<p>&#8220;I think my drive was always to build an alternative to the big walled gardens of Facebook &amp; co,&#8221; Pfefferle said.</p>\n\n\n\n<p>&#8220;I fell in love with the idea of blogging and the spirit of the Web 2.0 movement and tried to keep the idea alive. I worked on several WordPress plugins and participated in several movements (<a href=\"https://github.com/diso/\">DiSo</a>, <a href=\"http://dataportability.org/\">DataPortability</a> and others) starting in 2007.</p>\n\n\n\n<p>&#8220;It is so exciting to finally see such a big interest in Open and Federated technologies!&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 13 Mar 2023 20:24:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WordPress.org blog: WP Briefing: Episode 51: Is Routine a Rut?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=14621\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://wordpress.org/news/2023/03/episode-51-is-routine-a-rut/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8911:\"<p>On Episode fifty-one of the WordPress Briefing podcast, join WordPress Executive Director Josepha Haden Chomphosy as she makes a case for why routine is a good thing&#8211; in life and in the WordPress project. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br />Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br />Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br />Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/wordpress-6-2-rc1-postponed-additional-beta-5-added/\">Beta 5, Additional Beta Released</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2, Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://wp20.wordpress.net/wp20-celebrations/\">Join WordPress 20th Anniversary Celebrations</a></li>\n\n\n\n<li><a href=\"https://www.eventbrite.com/e/organizing-diverse-inclusive-wordpress-events-ameremea-tickets-561034247537\">Organizing Diverse and Inclusive WordPress Events</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">Events News Widget Modification Proposal</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14621\"></span>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:00]&nbsp;</p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks.</p>\n\n\n\n<p>I&#8217;m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:29]</p>\n\n\n\n<p>All right, my WordPress wonders; it&#8217;s time to join me for one of my gentle rants on basic leadership principles. Today we&#8217;re talking about the importance of routine and predictability in everyday life. But don&#8217;t worry, I&#8217;m gonna tie it all together with WordPress, too. So by now you&#8217;re probably aware that I don&#8217;t really consider myself one of those “born leaders.”&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:01:00]&nbsp;</p>\n\n\n\n<p>Over the years, I&#8217;ve put a lot of effort into researching characteristics of good leaders and general leadership methods overall. But one of the things I encountered early on in my leadership learning journey was the concept of routine.</p>\n\n\n\n<p>As with most leadership practices I hold, routine has more than one purpose. From a very pragmatic standpoint, routines provide predictability and the more predictable something is, the lower the cognitive load becomes, which in turn lets you use your thinking power for something better. For instance, if you know that in every check-in with your team lead, she&#8217;s gonna ask you what you were proud to have shipped last week, what you want to ship next week, and what things stand in the way of your plans, then you know that that is what you have to prepare for.&nbsp;</p>\n\n\n\n<p>The knowledge work, the thinking part. The thinking part stops being, what is my team lead going to ask me and starts being what is the problem that she can help me solve?&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:02:00]&nbsp;</p>\n\n\n\n<p>But from a more human standpoint, that kind of predictability helps us to understand when something that happened is out of the ordinary. Whether it&#8217;s a notification of a comment left on your blog or syntactical highlighting that lets you know that you&#8217;ve written something that&#8217;s out of voice or against grammar standards, it just lets you know that something is unusual there and deserves your attention.&nbsp;</p>\n\n\n\n<p>Now for me, this has a lot of applications across the WordPress project. There are the obvious things like the cadence of our major release cycles or our notification system, which honestly could use a bit of TLC, a little bit of elbow grease.</p>\n\n\n\n<p>But there are also less obvious things that this idea still applies to simply because of the way our brains work, the information architecture on our sites, for instance. It should make sense visually and semantically because that makes it easy for us to skim and predict where the highest value content is for us. Or the user interface across the back end of our software.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:00]&nbsp;</p>\n\n\n\n<p>Having familiar tasks or actions across any type of content or area of content makes it easier for a site maintainer to flow from one area of a site to the next, fixing things as they find them without necessarily having to stop and put down their hammer and pick up a screwdriver or whatever metaphor works for you. Or if you&#8217;re doing more nuanced work, like put down your timpani mallets and pick up your xylophone mallets.&nbsp;</p>\n\n\n\n<p>So, yeah, consistency. Consistency is the topic of today&#8217;s gentle rant. I get really worked up about it because I feel like consistency ends up being this euphemism for being boring. But I honestly believe that it&#8217;s the consistency and the dependability that make it clear what is supposed to be exciting, the things that are different enough that they merit our attention.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:38]&nbsp;</p>\n\n\n\n<p>Which, fortunately, now brings us to our small list of big things. It&#8217;s actually a pretty big list today and also a bunch of pretty big things. So first thing to know, there was an additional beta added to this release cycle.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:04:00]&nbsp;</p>\n\n\n\n<p>It was beta five; it came out last week, I think. There was a bit of a regression that we worked our way through. And so RC1, release candidate one, is going to be postponed a little bit because of that. But don&#8217;t wait until RC to start testing, obviously RC is tomorrow, so that means you get to test, like, today!</p>\n\n\n\n<p>The second thing on our small list of big things is that we have the WordPress 20th anniversary coming up. That&#8217;s May 27th. And you can join in the celebrations. So at WordPress&#8217;s 10th anniversary and 15th anniversary, we had like a big, ongoing global set of parties, like Meetup events got together and made cakes, or did a concert, or did a hackathon for various reasons.</p>\n\n\n\n<p>Like they all got together on May 27th or thereabouts and did some really fun, like celebration of how far WordPress has gotten them and how far they hope to be able to go with WordPress.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:05:00]&nbsp;</p>\n\n\n\n<p>So if you are from the before times WordCamp kind of organizing timeframe, you know that we always consider WordCamps to be like an annual celebration of the excellence of your community and how much you all come together and how different you are as part of this overall big WordPress-y thingy.&nbsp;</p>\n\n\n\n<p>All right. Third item that we have is that, I know that I mentioned this in the last WP Briefing as well, but we have another session of the diverse and inclusive WordPress events coming up that&#8217;s happening on March 16th. So coming up really fast, we&#8217;ll put a link to that in the show notes as well.</p>\n\n\n\n<p>And the final thing, I don&#8217;t remember what list number we&#8217;re at, but the final thing is that there is a proposal out there right now to modify the events and news widget that we use inside the WordPress dashboard. If you&#8217;re not familiar with it, it is a place where all of the local-to-you Meetup events get listed.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:06:00]&nbsp;</p>\n\n\n\n<p>It&#8217;s where all of the news items from various WordPress media outlets get published. We just have a link to it there. And so, we would like to make some changes to that so that we&#8217;re able to include not only specific location types of events but also events that are location agnostic because they&#8217;re online but might have a specific, identifying niche that you particularly find interesting.</p>\n\n\n\n<p>So it might be for Spanish speakers or for women in particular, or whatever it might be. There&#8217;s a proposal out for that. We&#8217;ll put a link to that in the show notes as well.&nbsp;</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thanks for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks.&nbsp;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 13 Mar 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"Gutenberg Times: Gutenberg Changelog #80 – WordPress 6.2 Preview, Gutenberg 15.2 and 15.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://gutenbergtimes.com/?post_type=podcast&p=23587\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"https://gutenbergtimes.com/podcast/gutenberg-changelog-80-wordpress-6-2-preview-gutenberg-15-2-and-15-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59937:\"<p>Rich Tabor and Birgit Pauli-Haack chat about WordPress 6.2 Preview, Dev Notes and Fieldguide, Gutenberg 15.2 and 15.3. </p>\n\n\n\n<p><a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-69-gutenberg-releases-wordpress-6-0-1-the-create-block-theme/#shownotes\">Show Notes</a> / <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-69-gutenberg-releases-wordpress-6-0-1-the-create-block-theme/#transcript\">Transcript</a></p>\n\n\n\n<ul>\n<li>Music:&nbsp;<a href=\"https://soundcloud.com/xirclebox\">Homer Gaines</a></li>\n\n\n\n<li>Editor:&nbsp;<a href=\"https://www.linkedin.com/in/sandy-reed/\">Sandy Reed</a></li>\n\n\n\n<li>Logo:&nbsp;<a href=\"https://markuraine.com/\">Mark Uraine</a></li>\n\n\n\n<li>Production:&nbsp;<a href=\"https://icodeforapurpose.com\">Birgit Pauli-Haack</a></li>\n</ul>\n\n\n\n<p class=\"has-larger-font-size\"></p>\n\n\n\n<p><strong>WordPress Developer Blog</strong></p>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/02/block-theme-resources-roundup/\">Block theme resources roundup</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/intrinsic-design-theming-and-rethinking-how-to-design-with-wordpress/\">Intrinsic design, theming, and rethinking how to design with WordPress</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/static-vs-dynamic-blocks-whats-the-difference/\">Static vs. dynamic blocks: What’s the difference?</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/creating-a-custom-block-that-stores-post-meta/\">Creating a custom block that stores post meta</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/converting-your-shortcodes-to-blocks/\">Converting your shortcodes to blocks</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/block-deprecation-a-tutorial/\">Block deprecation – a tutorial</a></li>\n</ul>\n\n\n\n<p><a href=\"https://make.wordpress.org/themes/2023/03/10/summary-community-themes-project-kickoff/\">Summary: Community Themes Project Kickoff</a></p>\n\n\n\n<p><a href=\"https://felix-arntz.me/blog/rebuilding-my-website-using-a-block-theme/\">Rebuilding my website using a block theme</a> by Felix Arntz</p>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.2</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a></li>\n\n\n\n<li><a href=\"https://wordpress.tv/2023/03/03/6-2-live-product-demo/\">Product Demo of WordPress 6.2</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Dev Notes</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/\">Introduction of Block Inspector Tabs</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/\">Shadows in Global Styles with WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/\">Introducing the HTML API in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/\">Sticky position block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/\">Custom CSS for global styles and per block</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/\">Minimum height dimensions block support</a></li>\n</ul>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\">What’s new in Gutenberg 15.2? (22 February)</a></p>\n\n\n\n<p class=\"has-large-font-size\">Stay in Touch</p>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<ul>\n<li>Did you like this episode? <a href=\"https://lovethepodcast.com/gutenbergchangelog\"><strong>Please write us a review </strong></a></li>\n\n\n\n<li>Ping us on Twitter or send DMs with questions. <a href=\"https://twitter.com/gutenbergtimes\">@gutenbergtimes </a>and <a href=\"https://twitter.com/bph\">@bph</a>.</li>\n\n\n\n<li><em>If you have questions or suggestions, or news you want us to include, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. </em></li>\n\n\n\n<li><em>Please write us a review on iTunes! <a href=\"https://gutenbergtimes.com/itunes/\">(Click here to learn how)</a></em></li>\n</ul>\n</div></div>\n\n\n\n<p class=\"has-large-font-size\">Transcript</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Hello and welcome to our 80th episode of the Gutenberg Changelog Podcast. In today&#8217;s episode, we will talk about WordPress 6.2 Preview, Gutenberg 15.2 and 15.3. I&#8217;m your host, Birgit Pauli-Haack, curator at the Gutenberg Times and WordPress developer advocate and a full-time core contributor to the WordPress Open Source Project. I&#8217;m thrilled to have with me today Rich Tabor, product manager for the WordPress Open Source project and part of Automattic&#8217;s Five for the Future program. Hi, Rich, thank you so much for taking the time out of your very busy week to be here with us and talk to our listeners. How are you?</p>\n\n\n\n<p><em>Rich Tabor</em>: Hey, thanks, Birgit. I&#8217;m doing pretty well. I can&#8217;t complain, to be honest. Thanks for having me on this show. It&#8217;s been a long time coming here.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, I think so, for two years or so.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: In and out. For many who have known you in the community, you are an early adopter of the block editor, you and Jeffrey Carandang worked on several things together in the early days, and that&#8217;s about five years ago now. Since then, you presented at WordCamps, virtual and in-person. I remember your talk at WordCamp Atlanta. No, was it Atlanta in 2019?&nbsp;</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah, it was.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: &#8230; Boston &#8217;19 that I saw you, but both of them are fine. Also, your talk on WordCamp US in 2021 and last year, so there&#8217;s a lot you did in the last five years.</p>\n\n\n\n<p><em>Rich Tabor</em>: I&#8217;ve been exploring block editing since I guess before it landed in WordPress. WordCamp US in 2018, I believe, is really what kicked me into gear on designing and building block experiences for Gutenberg. Since then, I&#8217;ve been building, launching, and sharing my knowledge however I can. Code Blocks, the project I did with Jeffrey Carandang, it&#8217;s now under the GoDaddy brand, I was one of the early explorations and just a really great entry to learning the ins and outs of Gutenberg. I personally learn best by doing something real and releasing an open source block plugin for folks to actually use was certainly the catalyst to where I am today.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I used Code Blocks together with Atomic Blocks. Michael Allison was pretty much also on the forefront and it must have been before 2018, though, WordCamp US 2018, because I think wasn&#8217;t that there when you already sold Code Blocks to GoDaddy?</p>\n\n\n\n<p><em>Rich Tabor</em>: I think it was January 2018. In 2018, it was the like, &#8220;Hey, I need to get serious,&#8221; moment. Maybe it was &#8217;17, I don&#8217;t know, but right around there, it was like the, &#8220;Hey, let&#8217;s learn this and let&#8217;s do this.&#8221;</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Now, as a product builder, what do you find now fascinating about the WordPress, the block editor, the Site Editor, and this potential to empower folks?</p>\n\n\n\n<p><em>Rich Tabor</em>: I think that potential is huge. The WordPress experience is changing and evolving, and it&#8217;s slowly becoming more intuitive and better to use on the site level, not just on the post editor level. I just think that the opportunities for empowering those creatives and publishers and just people who want to share something and have a little ownership in it on the web is paramount to the future of the web, and I&#8217;m just so thankful to be a part of this time in WordPress.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: It&#8217;s been quite exciting to see what people come up in their creativity, what they do with the sites, what they do with the design tools, how they manage the space and the spacings and the dimension controls. There are quite a few additional explorations there that are totally new to WordPress, nobody really, apart from additional third-party page builder, but to have that right into the software is such an amazing product. I&#8217;m really happy about that. I&#8217;m glad we are finally here.</p>\n\n\n\n<p><em>Rich Tabor</em>: We&#8217;re getting there, yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: We are there. To the Site Editor, do you think it&#8217;s ready to have people use it in production and all that?</p>\n\n\n\n<p><em>Rich Tabor</em>: Oh yeah, certainly. I think that there&#8217;s always improvements to be made and there&#8217;s still a lot of lines to draw between the dots to connect a lot of these experiences, but overall, as a holistic editing experience for your site, it&#8217;s really been fine-tuned in the last couple of maybe half a year or so, since the release of 6.1, it&#8217;s really tightened up quite a bit and there&#8217;s more to do, but I&#8217;m pretty stoked at where we&#8217;re headed.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Me too, me too. We will talk about it when we go to 15.3, I had another great experience with the new tools that are in there, but first of all, we have some announcements, well, actually one announcement, but it has multiple facets there.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Announcements</strong></h3>\n\n\n\n<p>There is an official WordPress Developer Blog and in February, there were six new posts published there and one of them was a block theme resource roundup by Daisy Olsen. If you are WordPress developer, either you have already experience with block themes, you get some resources there, as well as if you just get started and want to have one page where you can have a startup page, so to speak, get started and get to the resources that are available on wordpress.org, all through learn, through the Developer Blog, through documentation, the theme handbook, it&#8217;s a great roundup of all those resources.</p>\n\n\n\n<p>The next one is a little bit is a topic that is really high on our minds and finally, we have a post up there, and you probably can talk about that, as well, it&#8217;s about the intrinsic design theming and rethinking how to do design with WordPress. Justin Tadlock wrote this post because there were a lot of questions about the responsiveness of WordPress, that&#8217;s one thing. The other one is many people that come from other page builders, they miss their viewpoints, the three viewpoints that they have been using for the last 8 or 10 years. But intrinsic design is more the fluid typography, so no matter what the screen size is, it adapts to the screen size and there&#8217;s also fluid spacing that&#8217;s now part of WordPress. Is that enough, what do you think, Rich?</p>\n\n\n\n<p><em>Rich Tabor</em>: I think you hit it on pretty good. It&#8217;s the idea that when you design something in WordPress, in this case, that it inherits the responsive nature of the viewport, instead of you having to actually declare those values, like instead of declaring that you want to font size smaller on mobile or even a column going to Stack on mobile versus on desktop, maybe it&#8217;s side-by-side. It is something that intrinsically will Stack whenever it becomes too small to render side-by-side, so trying to figure out those controls, it is tricky to be honest, but there&#8217;s been a lot of improvements in that direction and overall, it does simplify the editing experience quite a bit. That doesn&#8217;t mean that we&#8217;re there, by any means, on the controls that we need, but if we do improve some of the Row and Stack capabilities and some of this intrinsic design methodology in WordPress, I think it will move forward to the point where it&#8217;s less of a concept that you have to think about and more of just a way that you expect it to work.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I can see that those viewpoints, that&#8217;s more for designers rather than your site owners or those who just want to build a website and hope that it&#8217;s all working out of the box, and those concepts can get really confusing, but also very hard to manage. I saw a plugin that was built on the block editor, but they had six viewpoints for every design decision. I don&#8217;t think that&#8217;s where we want to go as a product, pretty much, or for the normal user or even the design user, the theme developer, that they have to be so granular. It&#8217;s not so much thinking about the first version of it, but also where did I change this? Is it in the viewpoint of this one or this one or this one?</p>\n\n\n\n<p>With the proliferation of the screen sizes, they go smaller, but they also get bigger, I think it&#8217;s going to be harder and harder to actually hit the right size for the viewpoints. I think there was a very interesting article from Justin Tadlock and there&#8217;s definitely a lot of discussion also on there, so dear listeners, you can definitely spend a half an hour or so reading that and also reading the discussions. Another article on the Developer Blog explains the difference between the static and dynamic blocks. Joni Halibi wrote this one. I know it was a topic close to her heart. She&#8217;s a developer at Georgetown University.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right, yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Thank you. I heard her talking about it, so I asked her if she wanted to write about it. It&#8217;s definitely a great rundown of the pros and cons of static and dynamic blocks. Dynamic blocks are rendered with PHP, static blocks are everything the editor, as well as frontend is coming from Post Content from the JavaScript. I think the biggest hurdle is the updating during development and after development. I&#8217;m jumping over the other lists there.</p>\n\n\n\n<p>There is just today, Michael Burridge published an article on how to deprecate static blocks and have some version, so you have a version of a block on the site and you use it multiple times and then a new update comes for the block. Sometimes when you open up the post into the editor and there was a block in there and it wasn&#8217;t deprecated right, it has this error message in there, so something happened with the block kind of thing, and some of you have already seen it, and this prevents that from happening. It&#8217;s not difficult from the mechanics, but it&#8217;s definitely something to think about when you do static block development. How did you feel about that when you came across it in your early days of block development?</p>\n\n\n\n<p><em>Rich Tabor</em>: I feel like that&#8217;s a pointed question. The idea between static and dynamic blocks is really powerful. Dynamic blocks are definitely, I would say, probably the primary use case on most of the more complex blocks that you would build, in particular in third-party situations like rebuilding a custom block for a client, because you don&#8217;t need deprecations at that point. If you need to make changes, you can, because it&#8217;s all rendered in PHP, and the tooling around dynamic blocks has improved quite a bit, as well, with the render.php file that you can load in and it makes templating a much easier process than it was originally. But deprecations are a necessary part of static blocks and they can be a little frustrating just because it sits there forever at that point, but if I&#8217;m building a custom block these days, I probably would lean more on the dynamic side, if possible.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I can see that. There are some new ideas actually happening that also will be on tap into the dynamic block development there, and we will talk about it on the Gutenberg Changelog when the time is right. Two more posts were launched just recently, one was how to create a custom block that stores Post Meta. That&#8217;s certainly a big question that a lot of people had and Ryan Welcher answers that question nicely, walk you through step-by-step, and explains very much most of the steps that are necessary to make that successful.</p>\n\n\n\n<p>And then the other post is converting your short codes to blocks, and that one is from Jonathan Bossenger and he has his use case that he&#8230; It&#8217;s not really a conversion, it&#8217;s recreating something that was a short code into a block and make it more user-friendly. Short codes had their good usage, but with newer modern interfaces, they are just too cumbersome for site users to write all those text strings and not forgetting a comma or something like that, so converting them to blocks is definitely a good way to go about them. Any thoughts about those two problems? It doesn&#8217;t have to be from the articles.</p>\n\n\n\n<p><em>Rich Tabor</em>: I would say they&#8217;re both well-written and good examples of writing tutorials and documentation together, in a sense. There&#8217;s a short code that Jonathan&#8217;s actually converting in real time, you can see and watch it, I think you might be able to listen to part of it, but the idea that you&#8217;re taking a real-world example and converting it, I think is very powerful. And then the same goes for the other one about storing Post Meta with the custom block. I think it&#8217;s very powerful and hasn&#8217;t been done very often, or at least not often enough that&#8217;s front and center, because it really is a powerful way to manipulate Post Meta, but also site options. I think it works very similar if you&#8217;re updating the site options, which is what the site title block does and the Site Logo block. But you could do other options, perhaps, like I experimented with pulling in the WooCommerce phone number into a block, but if you update it there, it also updates it in WooCommerce, again, connecting some of those dots that right now are very disconnected and this is one of those steps in that direction.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Well, that&#8217;s actually a good idea to look beyond the WordPress core and see where connections and integrations are made. We definitely share the links in the show notes that are coming out with this episode or you can just go to the Developer Blog and read through the latest What&#8217;s new for developers? (March 2023). That&#8217;s the second edition of a roundup post of what&#8217;s new not only in a block in the block development, but also for core and the learn places, but it&#8217;s specifically for developers, extenders, plugin developers, theme developers, or agency developers so they can get up to speed very fast.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Community Contributions</strong></h3>\n\n\n\n<p>We have, in the section of community contributions, there&#8217;s one new project, the theme team kicked off the community theme project, and I believe, Rich, you were part of it. What can you tell us about it?</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah, certainly. On March 7th, we had, I think, over 20 people participating in the Hallway Hangout session to discuss it. This community theme project is an interesting way to start really just encouraging experienced and new WordPress contributors to create more themes, in particular, block themes. It was a big learning curve to how block themes are created compared to existing themes, but really they&#8217;re much more of a simple system that&#8217;s design-oriented, so some of the talks were centered around a designing a theme within the editor and not necessarily with a different design tool like Figma, which is a huge challenge, but I really think it will help open up a lot more eyes to the issues that we need to continue resolving within the editor to encourage more of the explorative design work that designers can leverage to build beautiful themes.</p>\n\n\n\n<p>There&#8217;s a Slack channel within Make, it&#8217;s the Core Themes Projects channel, there&#8217;s some discussion there. There&#8217;s a repo, I think it&#8217;s WordPress/community-themes. The idea is that you can start creating themes and submit them as a pull request and collectively, we&#8217;ll all try to help get these situated in the right way, so where we&#8217;re all learning and growing from this experience of building themes together.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I&#8217;m really excited about this. This started with the theme team, thinking about the latest default team that was 2023, where there was a call for sending in style variations. There was a base theme that was made public very early and then there were, I think, 19 theme designers sent in about 30, almost 40, style variations, of which 10 made it into the final release. But that kind of community collaboration is always very fruitful and very creative and it helps people really learn about things, but also push the boundaries so much more than just brooding alone in your own remote home office. I think that&#8217;s a fantastic way to get the community also in producing more than one theme per year; I hope that is what will come out of it. The theme will all be published under the username of WordPress, so that&#8217;s the new part of it, I would think. Do you already have an idea for a theme that you might want to work on?</p>\n\n\n\n<p><em>Rich Tabor</em>: I&#8217;ve got the bug to redesign my blog again. I love it, but I want to remove some of the barriers to publishing. Featured image, right now, it&#8217;s almost required in my current blog design, and then I want my headings to be a certain lead flow, so I want to try to identify the things that are blocking me from publishing more and start designing in that essence, so it could be more of a thought feed instead of only technical blog posts, in a sense. That&#8217;s my personal project I&#8217;ve been exploring a little bit on.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I saw that the list of block patterns for the Query Loop actually would probably help you with that, because there are quite a few text-based lists design available now in the Block Pattern Directory, as well as I think that are now coming out, as well.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah. There&#8217;s more opinionated design elements to some of these patterns, which I think is great because at the end of the day, if you don&#8217;t want to use a pattern, you don&#8217;t have to use it, but if you do want to use one of these more interesting, opinionated designs, then it&#8217;s a great start to building out the rest of your theme. I&#8217;m really looking forward to even more of the patterns coming down from WordPress.org.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. Oh, speaking about switching the site up, Felix Arntz, who is a software engineer with Google, shared his experience on doing exactly that, switching his site from a classic theme to a block theme and his post is exactly that, rebuilding my website using block theme. It&#8217;s a very long post; he recounts all the steps in detail that it took him to convert it, and it wasn&#8217;t so much&#8230; It was minimal code editing, he says, in part, but he also had to update his custom blocks, so that&#8217;s part of it. But he also, and that was very interesting for me to read, is that Felix is also a member of the WordPress Performance Team, so what he did was also measuring the performance before and after the redesign and it really piqued my interest, and you definitely should read it, dear listeners. I&#8217;m only Miss Numbers on the podcast, it&#8217;s really hard, but I just wanted to say one number.</p>\n\n\n\n<p>He did two steps. One was just recreating the same pages with the block theme, the header and content and Query Loop and that part and then measured it, and then he did additional tweaking and he actually explains very detailed how he did those. And then with the first step, just moving it over to a block theme, he had an improvement on the LCP, which is the longest content paint, one of the web vitals. He went from something a little over 1 second to 600 milliseconds, so that was an almost 38% improvement of the speed. But when he did the first performance tweaks, he went down to 452 from 1 second to 0.4 second, that&#8217;s an improvement of almost 60%. That was the first time that I actually saw this so very much spelled out and I have a trust in Felix that his numbers are actually averages from multiple tests, he explains that also in his post, but this was a very interesting post in many, many directions. Also, learning more how to do some more performance tweaks was one. I&#8217;ll leave the link in the show notes and definitely go and read it.</p>\n\n\n\n<p><em>Rich Tabor</em>: I would just like to echo what Felix writes at the very end. He says, &#8220;Block themes in full site editing, the effort for the Site Editor has evolved quite a bit since it originally launching in 5.9.&#8221; He says, &#8220;Here, I can with confidence say that it was the right decision for me to jump on that train now. If you&#8217;ve tried block themes a while ago and weren&#8217;t satisfied, maybe give it another try.&#8221; I totally agree with that sentiment. Especially if you have a personal blog, I would say just give it a shot, even 2023, put that on there and start designing it within the editor, then start running with it, you can see what happens.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: If you are not a developer and a little bit of hesitant to change something in production or on a live site, definitely be cautious. There is a new tutorial up and I just listened to it a couple days ago with Sarah Snow, she actually did the same thing. She went and replaced her old theme with a new theme and rebuilt her website, but she also walks through how she tried to avoid all the pitfalls to take her site down and all that, so that is also for non-developers, a very good tutorial to look at and to watch.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>What’s Released &#8211; WordPress 6.2</strong></h3>\n\n\n\n<p>That brings us to the section of what&#8217;s released? Of course, we start with this week, it was release week with multiple releases.</p>\n\n\n\n<p>One of them was the 6.2 Release Candidate 1 and the contributor published 12 dev notes that are related to the block editor in the Field Guide. The Release Candidate 1 is that point in the release cycle where there is hard string freeze, the Field Guide is published, and the emails go out to plugin and theme developers about what&#8217;s new, that send the Field Guide and also to test their products against the new version so they can figure out all the incompatibilities or make it compatible to the version. The final release is on March 28th, 2023, that&#8217;s, right now, 18 days from today. We are recording this on March 10th. Rich, you were part of the release squad as lead for design, what was your role there, or is your role there, you are not done yet?</p>\n\n\n\n<p><em>Rich Tabor</em>: No, not quite yet.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: We are not done yet.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right. I think there&#8217;s three focuses, especially around this release. But the first, I would say it&#8217;s keeping a general pulse on what&#8217;s coming, what&#8217;s being worked on, keeping contributors focused on delivering that best, optimal WordPress experience that&#8217;s always right there on the horizon. It doesn&#8217;t mean we&#8217;re there today, like I&#8217;ve said a couple times here, but if we set our gaze in that direction, I&#8217;m sure we will continue refining and iterating towards that best experience, so that&#8217;s the first. The second would be the about page. The WordPress about page introduces you to the latest and greatest parts of WordPress that have been put into by all these contributors over the last release.</p>\n\n\n\n<p>That&#8217;s been a fun project working with designers from the design community and really putting together the images and the layout and the structure, even the copy, to make sure that it portrays 6.2 as intended. 6.2 has a lot of new stuff in it and it&#8217;s hard to distill that into one page, but it&#8217;s been a welcome challenge, for sure. And then the last bit, this release, we did a product demo of 6.2, I did it with Anne McCarthy, and that was a very nice way to really showcase what&#8217;s coming in a live action, here, this is like a real demo on a real site that I set up. I was using 2023 and I designed it a little bit differently so that it showcased some of the design tooling in the actual demo itself and it was great. We had lots of help, lots of folks really chimed in to make that what it was, and I thought it went pretty well.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: The site was beautiful. If you, dear listeners, haven&#8217;t seen it yet, go, and of course there will be a link in the show notes, but go to the product demo and watch that video. You will learn a lot about 6.2, but also it&#8217;s actually a joy to watch, so that&#8217;s definitely….</p>\n\n\n\n<p><em>Rich Tabor</em>: Awesome.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: It shows that a designer was preparing for the product, absolutely. As mentioned, there are block editor related dev notes, so what&#8217;s coming, what should developers watch out for? We are not going through all 12 of them, but there, we have a few. First off is the introduction of the Block Inspector tabs, which is a design, an interface change, that your customers or you, if you build sites for others, will need to get used to, because now the settings are in two tabs, one is the settings tab, the other one is the appearance tab. In the developer note, we learn how a custom block can manage that for themselves, where do the settings go or the styles? I know that some custom blocks have their own color picker and if they don&#8217;t do anything, they will find it under settings and not under appearance, for instance, because settings is a default. There&#8217;s a little trick there that&#8217;s in the dev notes how to do that, there&#8217;s a new Group attribute that says either style or settings.</p>\n\n\n\n<p><em>Rich Tabor</em>: Next step, we have shadows that are added to global styles in 6.2. These are shadow presets that are provided within the core theme.json file, but themes can also provide their own shadow presets using, I think it&#8217;s settings, shadow preset. There are four or five provided by core, but they&#8217;re pretty easy to override. In the future, releases will include the shadow control elsewhere. Right now, it&#8217;s only on the button block and that&#8217;s to restart refining it and tightening up the experience first. Some other ideas that are circling are perhaps allowing multiple shadows, so how do you Stack them, perhaps? Of course, the blur, the X and the Y, trying to really hone in on the design of the shadows, as well, but right now, they&#8217;re just preset-based. I think they&#8217;re nice, but they do need a little bit more work before we move them available on more blocks.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: You said that they are now only available for the button block, they are not available in the post editor, only in the Site Editor in the style sidebar, just because of that….</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: &#8230; that you only can do global studies with that. The next one is the introduction of an HTML API, which is, it&#8217;s very developer-oriented, so it&#8217;s highly technical, but it&#8217;s a uniform way that WordPress developers now can travel through parsing a website and changing out tags. That was always prone to rejects and all the other things that was only prone to not always hit the mark and this one is now so much better. People can use it not only for the block editor, but of course, also for their PHP plugin or other apps that they add to the WordPress.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right. The next one here is the sticky position block support was added in 6.2. Right now, it&#8217;s featured on top-level Group blocks, so only the Group blocks that are within the top level of your document, so in the list view, it&#8217;s the first level. It&#8217;s this new prop that right now enables you to set it to sticky and if it&#8217;s set to sticky, even within the editor itself, the actual Group block will stick. Right now, it&#8217;s not open to other blocks because there&#8217;s still some UX considerations around sticky positioning, because it doesn&#8217;t always stick if the surrounding element isn&#8217;t tall enough to allow for sticking, so trying to figure a smart way to communicate that is a very important part of that experience, otherwise you would think it would stick, but it doesn&#8217;t. I think that that&#8217;s something significant to iron out, but that&#8217;s already in the works for, hopefully, the next release of WordPress.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: There&#8217;s a lot of trial and error to do and a lot of people have a different ideas on how is this supposed to work, but I am really looking forward to it. Well, the sticky header, we all know about, but with mobile, you also need to think about a sticky footer, because that&#8217;s where your thumb goes. When you look at a webpage, you are not going to the top, you are going to the bottom, so there are quite some new variations possible. The next one is that a lot of people waited for it and now, here it is, custom CSS in the global styles, that&#8217;s one part, but also you can have custom CSS4 on a block level, so it&#8217;s now here. It&#8217;s a little bit more hidden, so it&#8217;s also in the style sidebar, it&#8217;s not upfront in the left-side menu item like it was for the customizer, but it&#8217;s there and it works and it&#8217;s beautiful.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: A few people asked me if it would also come to the post editor so you can do it on a single instance of a block, because in the style sheet, you only do it for the block and then it propagates over the full site, but if you just want to do one section in your per&#8230; That&#8217;s not possible, unless you do an additional class name in the advanced section and then go to the standard sheet and put that class name and your styles in there. I have an answer for that person who had the question.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes. And then the next big one is the minimum height dimension support, and this is a new block support feature added to 6.2 for the Group and I believe the Post Content blocks and it&#8217;s opted in by default. This makes the Group and Post Content blocks perform much like the Cover block, where you can set a minimum height that it would take over in the page. It&#8217;s useful, for example, if you had a footer and some content and you wanted the content to keep the footer down below, so you can set a minimum height of the content using a viewport unit, perhaps, and then that would apply it to where the footer would stay towards the bottom of the page and not be meshed up at the top. It&#8217;s pretty self-explanatory and we already have this in the Cover block, but it starts to extend it out into other blocks.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Wonderful. Excellent. Also, there is not a Card block per se, but there is a component there, but I think with the minimum height, you actually could use that Card block for all kinds of different content there. The Miscellaneous Editor changes in WordPress 6 is that that place where all the little things go in. There are a few little things that are not new features, but they are extending existing features. The first one is the fluid typography now also has a minimum font size in the UI that you can set, I think is it UI? Yeah, I think so. You could always do this for the theme. How you can use it, I read 13,000 words in three days or something like that, forgive me for that. That&#8217;s why in 6.1, there was a minimum, but there was a hard coded minimum and now it&#8217;s you can set this as a theme developer, as well, in the theme.json. Of course, it&#8217;s not in the UI yet, fluid topography is not that yet in the style things, I guess.</p>\n\n\n\n<p><em>Rich Tabor</em>: For another Miscellaneous improvement, we have sizing controls for flex layout children. This means that when you have Container blocks, like the Group block and Row and Stack blocks, you can set a flex-type layout which provides controls for the blocks within those. If your blocks are stacked vertically, then it would be a height control, if they&#8217;re stacked horizontally, it&#8217;s a width control, so it&#8217;s dynamic in that sense. You can set, I believe it&#8217;s fit, fill, and fixed, so that&#8217;s where it either hugs the content, fills the available space, or is a fixed value. This plays into the intrinsic design that we were talking about earlier in starting to add more controls that allow a block to either try to take up only a space as it needs, fill up all the space that is available, or stay within constrained value, so it&#8217;s one of those improvements in that direction.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: The next one is there is a new CSS class attributed to every Heading block, so now you can control the Heading block more granularly for each of the levels, and you can, for instance, say a blue background for all the H1s and a pink one for all the H2s, which is now easily done through the theme.json by adding the other style for the elements. You have style elements, each one, color, background, that would be the latter, and the other one would be styles for blocks and then Heading and then the elements, then each one, and the background, so it&#8217;s quite granular in the controls, that&#8217;s pretty cool.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah, I agree. I believe the last one for the Miscellaneous Editor improvements is the ability to edit block style variations from theme.json. This is a new theme.json API that allows existing core block style variations to be styled directly from theme.json. For example, the Image block has a rounded variation, so you could target the rounded variation and set its border width or border radius within theme.json now, which is pretty neat.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I believe then, was it in 15.3, we also get the UI for it in the style?</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Well, we&#8217;ll come to that. But that is our WordPress 6.2 rundown on the developer notes. Of course, there&#8217;s more, look at the Field Guide, the links will be in the show notes, of course.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Gutenberg 15.2 and 15.3</strong></h3>\n\n\n\n<p>We&#8217;re coming to the last, to Gutenberg releases 15.2 and 15.3. Gutenberg 15.2 was released on February 23rd. Yes, it&#8217;s been that long that we heard each other, I know, and I&#8217;m really sorry about that. Daisy Olsen was release lead for that and it contained 197 PRs merged by 57 contributors, four of them were new. It was mostly fixing bug fixes, because WordPress 6.2 will contain all the features that came out in 14.2 to 15.1, that&#8217;s the whole range, 10 Gutenberg plugin releases, the features all come into core. But then after the beta release, there are a lot&nbsp; more people testing it, they find bugs, and they are still also finished the last little bit on some of the features, so many things in the Gutenberg 5.2 release or in the bug fix category. The new features probably didn&#8217;t make it into 6.2, but we can tackle each one of them and find out.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes, I&#8217;ll kick us off here. The first bit here is that there is a new nested level when selecting templates or template parts in the Site Editor, which is an enhancement that right now is a little bit it&#8217;s in a middle ground, where it&#8217;s basically a placeholder state for future contents to go. Some ideas are when you focus in on a template part, we could potentially have the different template parts that you could replace with that one, for example, or even some other different controls, like assigning it a category, having its name present, so it&#8217;s right now, a place to start thinking of what controls we can put there to control that template part.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: The second part I want to point out is there&#8217;s now a modal to choose a start pattern for particular templates. The biggest problem users have is they want to start a new template, but how do they start? Now, theme developers and also plugin developers can actually add patterns to the site that now opens a modal and then can be selected. Also, the selection is a little bit better to view because you have more space to see all the patterns that are available for that. There is also an API in the works that lets you target certain templates with your patterns, but that has not been released yet, that&#8217;s still in the works.</p>\n\n\n\n<p><em>Rich Tabor</em>: This next one here is pretty interesting, it&#8217;s the UI for template revisions. Now, we have a button to open up the revisions for templates and template parts, which is quite powerful because previously, it was very difficult or nearly impossible to find those revisions for your actual template parts. Say you&#8217;re focused in on your header and you changed some of your navigation items and then you changed maybe the background color of your header and then saved it all, but wanted to go back to a different version the next day or so, say it didn&#8217;t really sit well, you can now access those revisions and make those requests to change them back to what it was previously. I think it&#8217;s pretty neat on the template level and again on the template part.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Revisions, I always need to change my mind once back and forth, this revision is really helpful, having access to it to know what my former self was thinking with that and go back to a previous one. The next one with 15.2, it came a global save button to the Site Editor, so when you make changes to multiple templates and all that, it tracks them and then you can save all at once, but it&#8217;s not anymore to the right, it&#8217;s going to be on the left. I think it makes it, actually, in 6.2, you can have that, that was….</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah, I believe so. We have another one here for the Post Excerpt block that allows you to control the length of the excerpt. There&#8217;s a range control now where you could slide it left or right, or I think you could also enter an integer value, as well. It would essentially truncate to the Post Excerpt within the Query Loop block, so now you can define how long you want those to be instead of falling back on the default number of characters, which was pretty large, so it&#8217;s a nice quality of life improvement for designing.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I&#8217;m just hesitating and I need to verify this, there is the possibility that that was actually reversed in a later version.</p>\n\n\n\n<p><em>Rich Tabor</em>: I think the change, it was affecting if a post type didn&#8217;t support Post Excerpts. I don&#8217;t know that it actually reverted the control itself, but it is still a work in progress, that&#8217;s why I don&#8217;t think it landed in 6.2.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: No, it didn&#8217;t.</p>\n\n\n\n<p><em>Rich Tabor</em>: It could be tidied up a little bit.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: We definitely need to test this, as well, in a real-life situation.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Do you have a site that&#8217;s on Nightly or on trunk, where you have all the latest versions in production or so?</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes. I&#8217;m running it dangerously, I&#8217;m running everything. The whole eat your own dog food stuff, I just really want to see the problems before they get big.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I changed over, I don&#8217;t know, a year ago for the Gutenberg Times to run on WordPress Nightly and also on the trunk version of the Gutenberg Nightly, which is a plugin coming every day from the current version.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: On the website, on the Gutenberg Times, you can see the Nightly, if you need to live on the edge.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: The next item on the list is that the Post Featured Image block now has aspect ratio controls, so you can determine that and it makes your post table, the list of posts, much nicer to control that so when you have different sizes and images, you can actually say which aspect ratio you want to have in there. That&#8217;s a long-time want of mine to get that. There are themes who manage that quite well, but now you can do this, as well, in the block editor site templates thing.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes. There&#8217;s some more follow-ups on aspect ratio. I think it can be quite a powerful tool for not just a Post Featured Image block, but also just Image blocks or even Cover block maybe, I think there&#8217;s other ways to continue to push that forward, for sure.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I see from my agency days, which are not that long ago, see users adding featured images or even just images when they&#8217;re just changed the size of it and they didn&#8217;t change the aspect ratio with it, it was just very distorted. It&#8217;s very hard to teach that who is not dealing with it on a day-to-day basis and does not have an image dimension feel for it, it&#8217;s very hard to teach that, so if that works out as it should be in the editor, it makes for a much better web.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Bug Fixes</strong></h3>\n\n\n\n<p><em>Rich Tabor</em>: Yes, yes. I think that&#8217;s it for the highlights, for the enhancements. There was a whole slew of bugs that were fixed in 15.2, so I&#8217;ll call out this one here. The ToolsPanel needed a couple of tweaks, there&#8217;s a new feature in 6.2 for copy and pasting styles so you can design a heading or design a button, design anything, and copy its styling and then paste it onto another like block, so copy the heading styles to another heading or button to another button, for example. We needed a way to ensure that those values were properly propagated to these other blocks so there were some minor tweaks to fix that, but now, it&#8217;s all good and when you copy and paste those styles, you see those applied properly within the tools.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: That&#8217;s such a phenomenal feature, that copy styles over, that you can have it. It&#8217;s in-between block-oriented or block on this post and global styles, it&#8217;s in-between, and sometimes you need that to make the same things look the same, but not the other things. It&#8217;s really good to just do copy paste on that. I think that was it for 15.2, unless I&#8217;m overlooking something. I&#8217;m scrolling, scrolling, scrolling. Scrolling, scrolling, scrolling.</p>\n\n\n\n<p><em>Rich Tabor</em>: This is a pretty big Changelog, yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. I find one, though. You could use, so that&#8217;s for the build tools, the WP Scripts has now another flag that you can actually run it in development without having the watch from apply every build on your development system. I think that&#8217;s a good flag to point out for people who use those internal script for that. That&#8217;s the Gutenberg 15.2 for us. Let&#8217;s dive right in to 15.3. You&#8217;re coming right off of releasing it, Rich, so what was your first experience with&#8230; Was this your first experience releasing a Gutenberg plugin?</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Gutenberg 15.3</strong></h3>\n\n\n\n<p><em>Rich Tabor</em>: Yes, it was, but I did co-release it with Hector, so he&#8217;s a team member of mine. He helped me, he guided me quite a bit on this one, but it was pretty smooth, to be honest, especially there&#8217;s a little bit of tension around getting the immediate bug fixes in for 6.2 and backporting and keeping that in line. But generally speaking, I think it&#8217;s a well-oiled machine and moving forward.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Definitely. It&#8217;s the 153rd release, so you hope that everything is well-oiled by then.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I like when you say backport and not only to 6.2, but also there are bug fixes for the release after the Release Candidate. There is an expression that I really like that&#8217;s cherry picking, which is an interesting thing to do.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Enhancements</strong></h3>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: But it&#8217;s just a little joke. People talk about it with cherry emojis. The release had 161 PRs in there, so almost as big as 15.2, and also a lot of bug fixes in there, but it also had some enhancements to the Duotone, quite a few. The Duotone CSS is now not created in line, that&#8217;s the expression, right?</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes. It&#8217;s not applied in line.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: In line, it&#8217;s now in the style engine, so it can also be controlled through all the different levels. There is a control for the global size control for the Duotone and CSS variables instead of slugs, which helps it to propagate it over different to use the presets, as well, so Duotone is quite interesting. There is actually a bug in the backwards compatibility, it&#8217;s already noted that when you have a Cover block with Duotone and you upgrade it to 15.3, you get the heart attack kind of thing, oh, my Duotone is missing. If you apply them again on the same Cover block, it will appear again. That&#8217;s something that we found while we were testing it, but the bug fix is in the works.</p>\n\n\n\n<p><em>Rich Tabor</em>: Nice. It also means that by using these slugs instead of hardcoded hex values for colors, that when you do switch to variations, for example, those Duotones can actually map now to the new variations. If they use the same slugs, then you&#8217;ll get the new styles instead of in previous versions, where if you applied a Duotone reset from a theme, like say it was yellow and blue and then you switched to a variation or changed your theme up to one that was green, they would still be yellow and blue, so now it can receive the new ones if there are there. I think it&#8217;s a pretty cool improvement on something that is one of those things that should have always worked this way and now that we&#8217;ve explored a little bit more, it&#8217;s like, &#8220;Let&#8217;s go ahead and knock that out,&#8221; so a lot of effort went into that.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: The style versions are very, very interesting in that regard, that sometimes you want the thing to come over, take over your site, but then you want certain things that stay the same. It&#8217;s very hard to read the user&#8217;s mind as a developer, as a designer.</p>\n\n\n\n<p><em>Rich Tabor</em>: The way I look at it is if you&#8217;re using a preset, then that&#8217;s game for a theme to manipulate. But if you&#8217;ve applied your own colors, I believe in these Duotone PRs, even if you applied a red and black, by picking the actual colors yourself, then those will stay hex value, so when you switch to a different theme, they&#8217;ll still remain red and black. But if it&#8217;s a preset, I would say that it&#8217;s open for interpretation by the theme designer.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I think there is a bug in there. 15.3 also brings us a new block. It&#8217;s been a while since we had new blocks, but this one is a very tiny block, but it&#8217;s very powerful. People know that in a list view, you can see the number of blocks and the number of words and the time to read and several people asked, &#8220;Can we have that also show up as a block so we can add it to our post template or for the single post?&#8221; Yes, this was now implemented. It&#8217;s a very basic block, it only shows one minute or three minutes, well, 15 minutes, that&#8217;s all it does, but I really like that, because first, it can be translated in any language, and if you use it together with a Paragraph block in a Row, then you can have any string in front of it or after it that you as a site owner want to put in there. I tested that and it worked really nice.</p>\n\n\n\n<p><em>Rich Tabor</em>: I think there&#8217;s some follow-up PRs to do on that to add some of the design tooling that exists on other blocks, but it&#8217;s a great start and just nice, another piece of meta that can help readers know what to expect, investment-wise, like how much time am I going to invest on this? I think it&#8217;s great.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: That was the one point where I really needed and was so happy that they have now, the custom CSS, because on the blog where I used it, I wanted to have that line reading time, one minute or three minute, be smaller than the rest of the excerpt in the post list. I was able to, of course, use the typography controls for the paragraph part, but not for the time to read, so I created, there is an advanced section where I can add a new class. I set a T2R and then went to the custom styles and then created the custom style for the T2R and made it font size small, which is pretty much the same as the reading time. It worked out of the box and with the rows, I could align it. The row controls were really nice, I like that. Now, I see that you could do some of the other shortcuts that are out there that are actually strings that are in a paragraph can now be blocks that need some design controls, but you don&#8217;t have to use the shortcuts anymore.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I&#8217;m thinking a little bit more in that direction.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I know that some of the developers actually were exploring having a token system to take care of those string-related in the middle of a paragraph kind of thing. I&#8217;m not sure if that is needed or just introduces another complication or complexity to the system and it&#8217;s hard for users to use. If you have a block meta for it, it&#8217;s so much easier to get it into the system.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes, I agree. 15.3, I would say these are the big hitters on these, but there were a bunch of small improvements like making the Site Logo block placeholder just a little bit smaller so it fits better within headers, especially around the new header patterns included in 6.2. There&#8217;s been some quite a few bug fixes around template parts, resetting all for typography, making sure the Site Editor&#8217;s a little bit more tightened up, so some of the alignment parts and then the design units within the Site Editor have been tweaked and it looks and feels like it&#8217;s coming together quite well, but generally, I think those are the big hitters.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Let me go a little bit, I&#8217;m scrolling, scrolling, scrolling. Oh, what also happened, say, for some of the developers there wanted to know if there are new theme.json filters came into 6.1, but they were not yet in the documentation and they are now. There is a page in the how to guides of the Block Editor Handbook that is titled Curating the Editor Experience that has all the different ways how you can control or disable some of the features that are either in the sidebar available for your user or not or show up or are not. Now, you can also do this for the theme.json filters, they are now listed there. I believe one of the writers on the Developer Blog is actually looking at writing about them and having some good examples that are a little bit more closer to the real-life situations. I used the release candidate Changelog, but I think that was it, right, we all done?</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah, I think so.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yes. That&#8217;s all we wanted you to know about 15.3, the rest you need to discover yourself. Of course, we have the What&#8217;s New in Gutenberg 15.3 post will be in the show notes. I don&#8217;t know if you published them yet or is it still in the works?</p>\n\n\n\n<p><em>Rich Tabor</em>: It should be out soon, yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I wait for the episode to be published for that post, of course, so we can get it in there. Almost at the end of our Changelog episode, so what&#8217;s next for you in next week or next month?</p>\n\n\n\n<p><em>Rich Tabor</em>: 6.2, the idea is that it sums up the culmination of Phase 2 and the kickoff of Phase 3. It doesn&#8217;t mean that there isn&#8217;t quite a bit more customization and design tooling that we need to continue to bake in, even like I was saying with the time to read block, as well, but that means that there&#8217;s now some more thinking going into what workflow-oriented processes look like for Phase 3, what type of collaboration can we start looking at. Making those plans and start writing about them and sharing ideas with everyone and really getting folks on focus and on point with Phase 3, I think is really important, so I&#8217;m going to start digging into that a little bit more, making sure the about page assets are tightened up and looking good for 6.2, and continuing to explore around designing block themes within the editor.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Awesome. I very much looking forward to the Phase 3 collaboration because it also will catapult your WordPress a little bit ahead of all of the other content management systems, because that&#8217;s what we are actually waiting for the last 25 years, is collaborating on our websites and not using all the other tools where you have to copy paste things over once you&#8217;re done with the collaboration. Now, you can do it all on the website, so I am really excited about that. Thank you so much for being on the show and walking us through all the great design and interface changes. When people want to reach you, where can they reach out?</p>\n\n\n\n<p><em>Rich Tabor</em>: I write and share everything I know on my blog, richtabor, that&#8217;s T-A-B-O-R, .com. I am on Twitter, so Richard, R-I-C-H-A-R-D, _Tabor. I like to explore the fringes of WordPress and experience and try to push ideas around and see what resonates with folks, so feel free to chime in and ask questions or ping me anywhere.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: As always, the show notes will be published on the gutenbergtimes.com/podcast. This is the 80th episode. If you have questions, suggestions, or news you want us to talk about, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. That&#8217;s <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. Thank you all for listening and thank you again, Rich, for spending time with me on this. Goodbye, everybody.</p>\n\n\n\n<p> </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 12 Mar 2023 12:27:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:113:\"Gutenberg Times: Fieldguide for WordPress 6.2, Community theme project, Theme.json and PHP—Weekend Edition #246\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=23549\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:119:\"https://gutenbergtimes.com/fieldguide-for-wordpress-6-2-community-theme-project-theme-json-and-php-weekend-edition-246/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:19244:\"<p>Howdy, howdy! </p>\n\n\n\n<p>This has been a busy week! Phew. The contributors published twelve Dev Notes related to the Block Editor together with the <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">Release candidate 1 version</a> of WordPress 6.2. The <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\"><strong>Field Guide</strong></a> has all the developer related updates. It&#8217;s time for plugin and theme developers to test their products for compatibility with the new WordPress version. The final version is scheduled for March 28th, 2023. </p>\n\n\n\n<p>The release squad for documentation, Milana Cap, Abha Thakor, Femy Praseet, and yours truly, wrangled the developer notes from two tracking systems, WordPress Trac and Gutenberg Repo. After the posts were drafted, we took turns reviewing them before publishing, all 13,150 words. </p>\n\n\n\n<p>Then there were the posts for the <a href=\"https://developer.wordpress.org/news/\">WordPress Developer Blog</a>, that needed editing and reviewing. That was lot of reading already, and then I kept an eye out for interesting content in the community to assemble this week&#8217;s round up post. The good news is, I am done for the week. 😎  🏖️</p>\n\n\n\n<p>Enjoy and don&#8217;t take it in all at once. Keep some for later. </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#dev62\">Dev Notes WordPress 6.2 (Block Editor)</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#2-theme-related\">For Theme developers</a></li></ul></li></ul></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li></ul></div>\n</div></div>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<p><strong><a href=\"https://twitter.com/marybaum\">Mary Baum</a></strong> published a follow-up to the Preview of 6.2 which ran out of time for numerous questions.  <a href=\"https://make.wordpress.org/core/2023/03/10/6-2-live-product-demo-qa/\">6.2 Live Product Demo Q &amp; A</a>. </p>\n\n\n\n<a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\"><img /></a><a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">Preview of WordPress 6.2</a>\n\n\n\n<p><strong>Dave Smith</strong> and <strong>Rich Tabor</strong> chatted about the <a href=\"https://www.youtube.com/watch?v=ibEvgw88lls\"><strong>Top Five features coming to WordPress 6.2</strong></a>, with some cool demos of Site Editor browsing, the Style Book, Media inserter and Distraction-free mode in the post editor. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In the post, <strong><a href=\"https://developer.wordpress.org/news/2023/03/whats-new-for-developers-march-2023/\">What’s new for developers? (March 2023)</a></strong>, Justin Tadlock collected a myriad of interesting updates to WordPress that are specifically relevant for developers. &#8220;If you’re a developer who builds on top of the WordPress platform, this news is for you. The goal is to make it easier to navigate the fast-paced development cycle, narrowing down the list of must-read content into a single digestible source.&#8221; Tadlock wrote. </p>\n\n\n\n<p><em>It&#8217;s the second edition of this monthly round-up. If the roundup posts are all you require to stay on top of changes of WordPress, you can subscribe to the <a href=\"https://developer.wordpress.org/news/tag/roundup/feed/\">Roundup Tag Feed</a> with your favorite Feed Reader. </em></p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"dev62\">Dev Notes WordPress 6.2 (Block Editor)</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/add-new-prop-to-serversiderender-component/\">Add new prop to ServerSideRender component</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a>  </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/\">Introduction of Block Inspector Tabs</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/\">Introducing the HTML API in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/upgrading-to-react-18-and-common-pitfalls-of-concurrent-mode/\">Upgrading to React 18 and common pitfalls of concurrent mode</a> </li>\n</ul>\n\n\n\n<h4 class=\"wp-block-heading\" id=\"2-theme-related\">For Theme developers</h4>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/\">Custom CSS for global styles and per block</a>  </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-editor-changes-in-wordpress-6-2/\">Miscellaneous Editor changes in WordPress 6.2</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/custom-settings-wordpress-6-2/\">Customize settings for any block in WordPress 6.2</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/\">Shadows in Global Styles with WordPress 6.2</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/\">Sticky position block support</a>  </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/\">Minimum height dimensions block support</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/19/style-book-preview-of-blocks-in-global-styles/\">Style Book preview of blocks in global styles</a> </li>\n</ul>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>🎙️ </strong> New episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-80-wordpress-6-2-preview-gutenberg-15-2-and-15-3/\">Gutenberg Changelog #80 – WordPress 6.2 Preview, Gutenberg 15.2 and 15.3</a> with Birgit Pauli-Haack and special guest Rich Tabor  </p>\n</div></div>\n\n\n\n<p>On Friday, Rich Tabor, joined me on the Gutenberg Changelog episode #80 recording. We had great fun geeking out over the upcoming release of WordPress 6.2, Gutenberg 15.2 and 15.3. The recording will appear at your favorite podcast app over the weekend. </p>\n\n\n\n<img />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p>Quite a few new Block themes arrived at the Theme Directory. </p>\n\n\n\n<p><strong>Sarah Gooding</strong> at the WPTavern reviewed <a href=\"https://wptavern.com/lemmony-a-free-wordpress-block-theme-with-30-patterns\"><strong>Lemmony: A Free WordPress Block Theme with 30+ Patterns</strong></a>, a magazine style theme for publishers and bloggers alike. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Gooding also reviewed: <a href=\"https://wptavern.com/lettre-newsletter-theme-now-available-on-wordpress-org\"><strong>Lettre Newsletter Theme Now Available on WordPress.org</strong></a>, a theme suitable for writers and publishers to style their newsletters. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><a href=\"https://twitter.com/maneshtimilsina\"><strong>Manesh Timilsina</strong></a>, a plugin developer from Nepal, and new member of the WordPress Theme team, published his first theme for the Theme directory and made it a Block Theme. Congratulations! The theme is called <a href=\"https://wordpress.org/themes/zino/\">Zino </a>and described as a minimal,  lightweight, and speed optimized. It&#8217;s still a pre-release version 0.0.2, though. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>The team at Automattic also released a new theme: <a href=\"https://wordpress.org/themes/bibimbap/\">Bibimbap</a>, named after a Korean dish, is a simple and fun restaurant theme. Sarah Gooding has the details in <a href=\"https://wptavern.com/automattic-releases-bibimbap-a-free-block-theme-for-restaurants\"><strong>Automattic Releases Bibimbap, a Free Block Theme for Restaurants</strong></a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Brad Hogan</strong>, at <a href=\"https://blockthemespro.com/\">Block Themes Pro</a> published the first Theme in the Theme directory as well. It&#8217;s call <a href=\"https://wordpress.org/themes/blockster/\">Blockster</a>, &#8220;a simple, clean, easy to manage block theme meant for non-profits, bloggers, freelancers and agencies&#8221; with four Style Variatons. It&#8217;s also used as a starter theme for #node site builders, creating websites for others. </p>\n\n\n\n<img />\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Sarah Snow </strong>and <strong>Kathryn Presner</strong> were the hosts of the workshop <strong><a href=\"https://wordpress.tv/2023/02/23/how-to-confidently-migrate-from-a-classic-theme-to-a-block-theme/\">How to Confidently Migrate from a Classic Theme to a Block&nbsp;Theme</a></strong>. The description reads: &#8220;Are you are worried about potential down-time on your live website if you make a mistake when switching from theme to theme? Would you like to learn how to move widget areas from your classic theme to a new block theme? If this sounds exciting, please join Sarah Snow in a live workshop to learn how to safely and comfortably migrate from a classic theme to a block theme.&#8221;</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/tetsuaki_hamano\">Aki Hamano</a></strong>  released version 3.2 of his plugin <strong>Custom HTML Block Extension</strong>, which extends  custom HTML blocks into a code editor, allows you to write code on a larger screen via a modal component! </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>WordPress doesn&#8217;t have a Pattern manager/editor for site&#8217;s yet. The plugin <a href=\"https://wordpress.org/plugins/blockmeister/\">Block Pattern Builder by Block Meister</a> has been my go-to tool for a few years now. I also use the pattern builder of Newsletter Glue. Now the developers at WP Engine released their Pattern Manager Plugin. <strong>Sarah Gooding</strong> has the skinny: <a href=\"https://wptavern.com/wp-engine-pattern-manager-plugin-now-in-beta\"><strong>WP Engine Pattern Manager Plugin Now in Beta</strong></a></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p>Learn.WordPress published a new course: <strong><a href=\"https://learn.wordpress.org/course/develop-your-first-low-code-block-theme/\">Develop Your First Low-Code Block Theme</a>.</strong> &#8220;By the end of this course, you will be able to&nbsp;build a fully functional, custom WordPress theme using very little code.&#8221;</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Justin Tadlock</strong> published the <strong><a href=\"https://make.wordpress.org/themes/2023/03/10/summary-community-themes-project-kickoff/\">Summary: Community Themes Project Kickoff</a>.</strong> &#8220;Over 20 members of the WordPress theming community gathered for an initial discussion on the proposed Community Themes project on March 7, 2023. The primary goal of the conversation was to gauge interest and discuss what this project might look like.&#8221; There were also a few outcomes, and a few open questions. Further Discussion will happen in the <a href=\"https://wordpress.slack.com/archives/C03T2GLB97W\">#core-theme-projects</a> channel on the Making WordPress Slack space. </p>\n\n\n\n<p><em>If you want to follow along but don&#8217;t have an account yet, <a href=\"https://make.wordpress.org/chat/\">here are the instructions on how to gain access</a>. </em> </p>\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<p><strong>Carolina Nymark </strong>published another lesson on her site: <a href=\"https://fullsiteediting.com/lessons/how-to-filter-theme-json-with-php/\"><strong>How to filter theme.json with PHP</strong></a>. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Here is how it works: WordPress loads a&nbsp;<a href=\"https://github.com/WordPress/wordpress-develop/blob/trunk/src/wp-includes/theme.json\">default theme.json file (source)</a>. This file has all the default settings including colors and gradients. WordPress merges this data with settings from other sources, in the following order:</p>\n\n\n\n<ul>\n<li>The block itself (block supports)</li>\n\n\n\n<li>The theme.json file in the active theme (and parent theme if applicable)</li>\n\n\n\n<li>User settings: The options in the Styles sidebar in the Site Editor</li>\n</ul>\n<cite>Caroline Nymark, fullsiteediting.com</cite></blockquote>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/felixarntz\">Felix Arntz</a>,</strong> software engineer at Google,  shared his experience switching his site from a classic theme to a block theme in his post: <a href=\"https://felix-arntz.me/blog/rebuilding-my-website-using-a-block-theme/\"><strong>Rebuilding my website using a block theme</strong></a> He recounts all the steps in details, and the minimal code editing he had to do. Arntz is also a member of the WordPress Performance team, so his study on the before and after performance piqued my interest. An excellent read.</p>\n\n\n\n<p></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p><a href=\"https://twitter.com/michaelburridge\"><strong>Michael Burridge</strong></a> wrote <a href=\"https://developer.wordpress.org/news/2023/03/block-deprecation-a-tutorial/\"><strong>Block deprecation – a tutorial</strong></a> for the WordPress Developer blog. It walks you through the mechanics of block deprecation of static blocks, with step-by-step instructions. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Earlier this month, the team of the Block Protocol published their<a href=\"https://wordpress.org/plugins/blockprotocol/\"> WordPress plugin</a>. <strong>Eric Karkovack</strong> reported on it in his post: <a href=\"https://thewpminute.com/digging-into-the-wordpress-block-protocol-plugin/\"><strong>Digging Into the WordPress Block Protocol Plugin</strong></a> with an interview with David Wilkinson, CEO of Hash, the company behind the Block Protocol. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;Although Block Protocol blocks are developed with&nbsp;<em>no knowledge&nbsp;</em>of the applications that embed them, through&nbsp;the&nbsp;<a href=\"https://blockprotocol.org/docs/spec/hook-module\">hook module</a>&nbsp;they can tap into the embedding application’s native functionality anyway.</p>\n\n\n\n<p>This means that things like WordPress’s native image gallery, file uploading, text editing, and so on all work seamlessly within Block Protocol blocks, as if they were native Gutenberg ones.&#8221;</p>\n<cite>David Wilkinson, CEO of Hash</cite></blockquote>\n\n\n\n<p><em>Are you experimenting with the Block Protocol, too? I would love to connect with you and compare notes! Email at <a href=\"mailto:pauli@gutenbergtimes.com\">pauli@gutenbergtimes.com</a></em> or<em> share some information  in the comments online </em></p>\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<p class=\"has-text-align-right has-small-font-size\"><em>Questions? Suggestions? Ideas? Don&#8217;t hesitate to send <a href=\"mailto:pauli@gutenbergtimes.com\">them via email</a> or send me a message on WordPress Slack or Twitter @bph</em>. </p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\">For questions to be answered on the <a href=\"http://gutenbergtimes.com/podcast\">Gutenberg Changelog</a>, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image: Bangkok Taxi Ride by Birgit Pauli-Haack</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 11 Mar 2023 09:25:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"WPTavern: Toot the Word Survey Finds Mastodon Increasingly Important to WordPress’ Community of Tooters\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142628\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:113:\"https://wptavern.com/toot-the-word-survey-finds-mastodon-increasingly-important-to-wordpress-community-of-tooters\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5939:\"<p>More than 200 users on Mastodon who consider themselves part of the WordPress community, responded to the recent Toot the Word 2023 Survey, which was conducted by the admins of five WordPress-oriented Mastodon instances. The purpose of the survey was to help those running these instances understand how important Mastodon is for the WordPress community and what they can do to improve their instances to foster a better meeting place.</p>\n\n\n\n<p>Key findings from the survey have been <a href=\"https://github.com/danielauener/toot-the-word\">published</a> alongside the <a href=\"https://github.com/danielauener/toot-the-word/blob/main/toot-the-word-survey-2023.raw.csv\">raw data</a> on GitHub for anyone to analyze. More than 82% of respondents (172/209) said they frequently use Mastodon. The community is active and Mastodon is an important social channel for those who have adopted it in addition to their other networks.</p>\n\n\n\n<p>A few other highlights from the published findings include: </p>\n\n\n\n<ul>\n<li>Nearly all participants of the survey expect Mastodon to have some kind of influence on the WordPress community in the future, a majority thinks Mastodon will be very influential or extremely influential. Most of the participants want to see more WordPress content and community discussions on Mastodon in the future.</li>\n\n\n\n<li>Generally, users on WordPress-oriented instances state that the communication with the community on Mastodon is important to their WordPress-related social media activity. They also are working with the community, or state that they are WordPress Community influencers, more often than users on common instances.</li>\n</ul>\n\n\n\n<p>The survey also found that the respondents who rated themselves as important to the WordPress community seem higher in WordPress-related instances, which may mean that those looking for more relevant WordPress-related content and interactions are better-suited joining these existing instances rather than unrelated ones or creating their own.</p>\n\n\n\n<p>&#8220;For me as an instance admin, it&#8217;s important to know that all the work I&#8217;m doing means something for the tooters on my instance and the entire community,&#8221; wptoot.social administrator Daniel Auener told the Tavern. &#8220;I think the survey has shown that many in the still small WP/Mastodon community see this network as important as I do. So I&#8217;m quite confident (as many of the surveys participants) that Mastodon will have its place in the WordPress community.&#8221; </p>\n\n\n\n<p>Administrating a Mastodon instance is not trivial. The users depend on the administrator to keep everything up and running with system updates, hosting, community moderation, curating community lists, and other housekeeping tasks. Auener said his current hosting costs are $20-30/month and they are 70-80% covered by <a href=\"https://www.buymeacoffee.com/wptoots\">one-time donations</a> and commitments on Patreon.</p>\n\n\n\n<p>&#8220;If nothing more, the [survey] results will keep me and my wptoots-instance going,&#8221; Auener said. &#8220;I even hope that the results will show others within the community that Mastodon as a social network is worth supporting and finding their own ways to contribute.&#8221;</p>\n\n\n\n<p>Auener hasn&#8217;t planned anything specific yet but based on the results it is clear that participants want to have more WordPress content in their timelines. </p>\n\n\n\n<p>&#8220;I think one of the best ways of achieving that would be to onboard more WordPress sites to the fediverse via ActivityPub,&#8221; he said. &#8220;Working in that direction is something I&#8217;m thinking about.&#8221;</p>\n\n\n\n<p>There is an <a href=\"https://wordpress.org/plugins/activitypub/\">ActivityPub</a> plugin for WordPress that implements the ActivityPub protocol for so that readers can follow your site&#8217;s posts on Mastodon and other federated platforms that support ActivityPub. It is currently used by more than 2,000 WordPress sites and is one avenue for users to automate sharing their content  across the fediverse. A search for Mastodon plugins turns up <a href=\"https://wordpress.org/plugins/search/mastodon/\">several other auto sharing plugins</a> and Jetpack is also considering <a href=\"https://github.com/Automattic/jetpack/issues/7790\">adding Mastodon support to Publicize</a> after many requests on a ticket opened in 2017.</p>\n\n\n\n<p>Some Mastodon users on other instances have considered switching to a WordPress-oriented instance, so increasing education for users on how to move to a new instance is another improvement Auener is considering.</p>\n\n\n\n<p>&#8220;The data even seems to support that the quality of (WordPress-)conversation is better on our instances,&#8221; he said. &#8220;So spreading that information, helping people to move and keeping our instances a safe space for great WordPress discussions is another cause for action.&#8221;</p>\n\n\n\n<p>Joining Mastodon&#8217;s federated network is still intimidating for some who are not familiar with how the instances work and are not sure which one to join. Others fear they may lose out on interactions and connections by moving to a lesser-used social network. This survey indicates that the WordPress-related instances are active and important to the community interacting there. Auener has created a document called <a href=\"https://www.danielauener.com/the-wordpressers-guide-to-the-fediverse/\">The WordPressers Guide to the Fediverse</a> for those who are new and want to learn more.</p>\n\n\n\n<p>&#8220;I would like to align my work more with the WordPress community and the work all the amazing people in the community teams and initiatives do,&#8221; he said. &#8220;I&#8217;m quite new in the game and think I can learn a lot from people working within the community for years. I think Mastodon/the Fediverse aligns very well with WordPress values but there is still a lot of convincing to do.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Mar 2023 22:43:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Sat, 01 Apr 2023 18:56:23 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:13:\"last-modified\";s:29:\"Sat, 01 Apr 2023 18:45:36 GMT\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20211220193300\";}", "no");
INSERT INTO `wp_options` VALUES("241", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1680418584", "no");
INSERT INTO `wp_options` VALUES("242", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1680375384", "no");
INSERT INTO `wp_options` VALUES("243", "_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b", "1680418584", "no");
INSERT INTO `wp_options` VALUES("244", "_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2023/03/dolphy/\'>WordPress 6.2 “Dolphy”</a></li><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2023/03/episode-52-phase-three-with-hector-prieto/\'>WP Briefing: Episode 52: Workflows and Phase Three Visioning with Special Guest Héctor Prieto</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wptavern.com/woocommerce-to-host-virtual-contributor-day-april-19-2023\'>WPTavern: WooCommerce to Host Virtual Contributor Day April 19, 2023</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/wordpress-contributors-propose-new-interactivity-api-for-frontend-blocks\'>WPTavern: WordPress Contributors Propose New Interactivity API for Frontend Blocks</a></li><li><a class=\'rsswidget\' href=\'https://poststatus.com/launching-a-wordpress-product-in-public-session-7/\'>Post Status: Launching a WordPress Product in Public: Session 7</a></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("247", "_site_transient_timeout_wp_remote_block_patterns_70faba806cb72474aad6d437de1091da", "1680380064", "no");
INSERT INTO `wp_options` VALUES("248", "_site_transient_wp_remote_block_patterns_70faba806cb72474aad6d437de1091da", "a:33:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:277265;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth posts with uppercase titles\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6986:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><ul style=\"text-transform:none;\" class=\"wp-block-post-template is-layout-flow wp-block-post-template-is-layout-flow\"><li class=\"wp-block-post post-2071 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-2 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-1 wp-block-group-is-layout-flex\">\n<p>✴︎</p>\n\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; text-transform:uppercase;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date has-small-font-size wp-elements-4003f76eccbf507a9e3d7e84a42ea154\"><time datetime=\"2021-07-06T21:31:35+00:00\">Jul 6, 2021</time></div></div>\n\n\n<div style=\"text-transform:uppercase\" class=\"taxonomy-category has-link-color has-text-color has-contrast-color wp-block-post-terms wp-elements-d846021732facad792835971f80af878\"><span class=\"wp-block-post-terms__prefix\">✴︎ </span><a href=\"https://wordpress.org/patterns/category/space/\" rel=\"tag\">Space</a></div></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-5 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><h2 style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:5.2rem;font-style:normal;font-weight:500;line-height:1.1;text-transform:uppercase;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-eba6f7f6e0a9160611aa886fe4e31449 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/jupiter/\" target=\"_self\" >Jupiter</a></h2></div>\n\n</li><li class=\"wp-block-post post-2069 post type-post status-publish format-standard hentry category-space tag-stars\">\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-7 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-6 wp-block-group-is-layout-flex\">\n<p>✴︎</p>\n\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; text-transform:uppercase;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date has-small-font-size wp-elements-4003f76eccbf507a9e3d7e84a42ea154\"><time datetime=\"2021-07-06T21:30:31+00:00\">Jul 6, 2021</time></div></div>\n\n\n<div style=\"text-transform:uppercase\" class=\"taxonomy-category has-link-color has-text-color has-contrast-color wp-block-post-terms wp-elements-d846021732facad792835971f80af878\"><span class=\"wp-block-post-terms__prefix\">✴︎ </span><a href=\"https://wordpress.org/patterns/category/space/\" rel=\"tag\">Space</a></div></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-10 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><h2 style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:5.2rem;font-style:normal;font-weight:500;line-height:1.1;text-transform:uppercase;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-eba6f7f6e0a9160611aa886fe4e31449 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/star-clusters-in-hurcules/\" target=\"_self\" >Star Clusters in Hurcules</a></h2></div>\n\n</li><li class=\"wp-block-post post-2067 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-12 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-11 wp-block-group-is-layout-flex\">\n<p>✴︎</p>\n\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; text-transform:uppercase;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date has-small-font-size wp-elements-4003f76eccbf507a9e3d7e84a42ea154\"><time datetime=\"2021-07-05T21:29:00+00:00\">Jul 5, 2021</time></div></div>\n\n\n<div style=\"text-transform:uppercase\" class=\"taxonomy-category has-link-color has-text-color has-contrast-color wp-block-post-terms wp-elements-d846021732facad792835971f80af878\"><span class=\"wp-block-post-terms__prefix\">✴︎ </span><a href=\"https://wordpress.org/patterns/category/space/\" rel=\"tag\">Space</a></div></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-15 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><h2 style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:5.2rem;font-style:normal;font-weight:500;line-height:1.1;text-transform:uppercase;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-eba6f7f6e0a9160611aa886fe4e31449 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/saturn/\" target=\"_self\" >Saturn</a></h2></div>\n\n</li></ul></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"><nav class=\"wp-block-query-pagination is-content-justification-left is-nowrap is-layout-flex wp-container-18 wp-block-query-pagination-is-layout-flex\" aria-label=\"Pagination\">\n\n\n<a href=\"/patterns/wp-json/wp/v2/wporg-pattern?page=1&#038;per_page=100&#038;order=desc&#038;orderby=date&#038;locale=en_US&#038;wp-version=6.2&#038;pattern-keywords=11&#038;_fields=id%2Ctitle%2Ccontent%2Cmeta%2Ccategory_slugs%2Ckeyword_slugs%2Cpattern_content&#038;query-31-page=2\" style=\"text-transform:uppercase;\" class=\"wp-block-query-pagination-next has-small-font-size\">Next</a>\n</nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:30:\"star, posts, loop, blog, index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and start accents.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:182:\"core/group,core/paragraph,core/post-date,core/post-template,core/post-terms,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3502:\"<!-- wp:query {\"queryId\":31,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:post-template {\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"1px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"right\":\"16px\",\"bottom\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p>✴︎</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"M j, Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-terms {\"term\":\"category\",\"prefix\":\"✴︎ \",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"bottom\":\"var:preset|spacing|70\",\"right\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"1.1\",\"textTransform\":\"uppercase\",\"fontSize\":\"5.2rem\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"right\":\"16px\",\"left\":\"16px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<!-- wp:query-pagination-previous {\"label\":\"Previous\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:query-pagination-next {\"label\":\"Next\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:277260;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:18:\"Left aligned posts\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6549:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><ul style=\"text-transform:none;\" class=\"wp-block-post-template is-layout-flow wp-block-post-template-is-layout-flow\"><li class=\"wp-block-post post-2071 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-content-justification-left is-layout-constrained wp-container-24 wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-23 wp-block-group-is-layout-flex\" style=\"padding-bottom:var(--wp--preset--spacing--80)\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:0.9rem;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5599b62b56904c5408ce764ba1a18b73\"><time datetime=\"2021-07-06T21:31:35+00:00\">7/6/2021</time></div>\n\n\n<div class=\"wp-block-group is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0\"><h2 style=\"font-size:4.6rem;font-style:normal;font-weight:600;line-height:1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-6c63676d444148112043a3d23d59cf70 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/jupiter/\" target=\"_self\" >Jupiter</a></h2>\n\n<div style=\"line-height:1.7;\" class=\"wp-block-post-excerpt has-small-font-size\"><p class=\"wp-block-post-excerpt__excerpt\">Let us bow respectfully before Jupiter, the giant of the worlds. This glorious planet is indeed King of the Solar System. While Mercury measures only 4,750 kilometers (2,946 miles) in diameter, and Mars 6,728 kilometers (4,172), Jupiter is no less than 140,920 kilometers (87,400 miles) in breadth; that is to say, eleven times larger than&hellip; </p></div></div>\n</div>\n</div>\n\n</li><li class=\"wp-block-post post-2069 post type-post status-publish format-standard hentry category-space tag-stars\">\n\n<div class=\"wp-block-group is-content-justification-left is-layout-constrained wp-container-28 wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-27 wp-block-group-is-layout-flex\" style=\"padding-bottom:var(--wp--preset--spacing--80)\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:0.9rem;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5599b62b56904c5408ce764ba1a18b73\"><time datetime=\"2021-07-06T21:30:31+00:00\">7/6/2021</time></div>\n\n\n<div class=\"wp-block-group is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0\"><h2 style=\"font-size:4.6rem;font-style:normal;font-weight:600;line-height:1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-6c63676d444148112043a3d23d59cf70 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/star-clusters-in-hurcules/\" target=\"_self\" >Star Clusters in Hurcules</a></h2>\n\n<div style=\"line-height:1.7;\" class=\"wp-block-post-excerpt has-small-font-size\"><p class=\"wp-block-post-excerpt__excerpt\">Smaller than either star-clouds or star-swarms, and differing from both in their organization, are star-clusters. These, unlike the others, are found outside as well as inside the Milky Way, although they are more numerous inside its boundaries than elsewhere. The term star-cluster is sometimes applied, though improperly, to assemblages which are rather groups, such, for&hellip; </p></div></div>\n</div>\n</div>\n\n</li><li class=\"wp-block-post post-2067 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-content-justification-left is-layout-constrained wp-container-32 wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-31 wp-block-group-is-layout-flex\" style=\"padding-bottom:var(--wp--preset--spacing--80)\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:0.9rem;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5599b62b56904c5408ce764ba1a18b73\"><time datetime=\"2021-07-05T21:29:00+00:00\">7/5/2021</time></div>\n\n\n<div class=\"wp-block-group is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0\"><h2 style=\"font-size:4.6rem;font-style:normal;font-weight:600;line-height:1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-6c63676d444148112043a3d23d59cf70 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/saturn/\" target=\"_self\" >Saturn</a></h2>\n\n<div style=\"line-height:1.7;\" class=\"wp-block-post-excerpt has-small-font-size\"><p class=\"wp-block-post-excerpt__excerpt\">Son of Uranus and Vesta, Saturn was the God of Time and Fate. He is generally represented as an aged man bearing a scythe. His mythological character is only the expression of his celestial aspect, as we have seen for the brilliant Jupiter, for the pale Venus, the ruddy Mars, and the agile Mercury. The&hellip; </p></div></div>\n</div>\n</div>\n\n</li></ul></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-left is-layout-constrained wp-container-36 wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><nav class=\"wp-block-query-pagination is-content-justification-left is-nowrap is-layout-flex wp-container-35 wp-block-query-pagination-is-layout-flex\" aria-label=\"Pagination\">\n\n\n<a href=\"/patterns/wp-json/wp/v2/wporg-pattern?page=1&#038;per_page=100&#038;order=desc&#038;orderby=date&#038;locale=en_US&#038;wp-version=6.2&#038;pattern-keywords=11&#038;_fields=id%2Ctitle%2Ccontent%2Cmeta%2Ccategory_slugs%2Ckeyword_slugs%2Cpattern_content&#038;query-31-page=2\" style=\"font-size:0.9rem;text-transform:uppercase;letter-spacing:1px;\" class=\"wp-block-query-pagination-next wp-elements-165a8aa96a7546446f11c5f70728c230\">Next Page</a>\n</nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:31:\"Posts, Query, Loop, Blog, Index\";s:16:\"wpop_description\";s:77:\"A fullwidth, left-aligned posts pattern with large titles, excerpts and date.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:169:\"core/group,core/post-date,core/post-excerpt,core/post-template,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3327:\"<!-- wp:query {\"queryId\":31,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:post-template {\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"layout\":{\"type\":\"constrained\",\"contentSize\":\"780px\",\"justifyContent\":\"left\",\"wideSize\":\"780px\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"20px\",\"padding\":{\"bottom\":\"var:preset|spacing|80\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:var(--wp--preset--spacing--80)\"><!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"n/j/Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"0.9rem\"}},\"textColor\":\"contrast\"} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"lineHeight\":\"1\",\"fontSize\":\"4.6rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\"} /-->\n\n<!-- wp:post-excerpt {\"style\":{\"typography\":{\"lineHeight\":\"1.7\"}},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"780px\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<!-- wp:query-pagination-previous {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"0.9rem\",\"textTransform\":\"uppercase\"}}} /-->\n\n<!-- wp:query-pagination-next {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"0.9rem\",\"textTransform\":\"uppercase\"}}} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:277127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Fullwidth posts titles with dates\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6508:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><ul style=\"text-transform:none;\" class=\"alignfull wp-block-post-template is-layout-flow wp-block-post-template-is-layout-flow\"><li class=\"wp-block-post post-2071 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-container-40 wp-block-group-is-layout-flow\" style=\"padding-bottom:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-38 wp-block-group-is-layout-flex\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5813a8450eb0347cfdf34f1870882db6\"><time datetime=\"2021-07-06T21:31:35+00:00\">07.6</time></div>\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-672016f5c95dcb277e0d666c7795c645\"><time datetime=\"2021-07-06T21:31:35+00:00\">2021</time></div></div>\n\n\n<h2 style=\"padding-top:var(--wp--preset--spacing--30); font-size:4.6rem;font-style:normal;font-weight:600;line-height:1.1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-b5fa43084743aafd1d185f08a32e7678 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/jupiter/\" target=\"_self\" >Jupiter</a></h2></div>\n\n</li><li class=\"wp-block-post post-2069 post type-post status-publish format-standard hentry category-space tag-stars\">\n\n<div class=\"wp-block-group is-layout-flow wp-container-43 wp-block-group-is-layout-flow\" style=\"padding-bottom:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-41 wp-block-group-is-layout-flex\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5813a8450eb0347cfdf34f1870882db6\"><time datetime=\"2021-07-06T21:30:31+00:00\">07.6</time></div>\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-672016f5c95dcb277e0d666c7795c645\"><time datetime=\"2021-07-06T21:30:31+00:00\">2021</time></div></div>\n\n\n<h2 style=\"padding-top:var(--wp--preset--spacing--30); font-size:4.6rem;font-style:normal;font-weight:600;line-height:1.1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-b5fa43084743aafd1d185f08a32e7678 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/star-clusters-in-hurcules/\" target=\"_self\" >Star Clusters in Hurcules</a></h2></div>\n\n</li><li class=\"wp-block-post post-2067 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-container-46 wp-block-group-is-layout-flow\" style=\"padding-bottom:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-44 wp-block-group-is-layout-flex\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5813a8450eb0347cfdf34f1870882db6\"><time datetime=\"2021-07-05T21:29:00+00:00\">07.5</time></div>\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-672016f5c95dcb277e0d666c7795c645\"><time datetime=\"2021-07-05T21:29:00+00:00\">2021</time></div></div>\n\n\n<h2 style=\"padding-top:var(--wp--preset--spacing--30); font-size:4.6rem;font-style:normal;font-weight:600;line-height:1.1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-b5fa43084743aafd1d185f08a32e7678 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/saturn/\" target=\"_self\" >Saturn</a></h2></div>\n\n</li></ul></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><nav class=\"wp-block-query-pagination is-content-justification-space-between is-nowrap is-layout-flex wp-container-49 wp-block-query-pagination-is-layout-flex\" aria-label=\"Pagination\">\n\n\n<a href=\"/patterns/wp-json/wp/v2/wporg-pattern?page=1&#038;per_page=100&#038;order=desc&#038;orderby=date&#038;locale=en_US&#038;wp-version=6.2&#038;pattern-keywords=11&#038;_fields=id%2Ctitle%2Ccontent%2Cmeta%2Ccategory_slugs%2Ckeyword_slugs%2Cpattern_content&#038;query-1-page=2\" style=\"font-size:2rem;font-style:normal;font-weight:600;text-transform:uppercase;letter-spacing:1px;\" class=\"wp-block-query-pagination-next\">Next Page</a>\n</nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:31:\"Posts, Query, Loop, Blog, Index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and numeral dates.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:151:\"core/group,core/post-date,core/post-template,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3583:\"<!-- wp:query {\"queryId\":1,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:post-template {\"align\":\"full\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"bottom\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"m.j\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /-->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"4.6rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\"}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<!-- wp:query-pagination-previous {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n\n<!-- wp:query-pagination-next {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:229092;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Header inside full-width background image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3874:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color wp-elements-a5c55c350363e1349d710a58148fd7b6 is-content-justification-space-between is-layout-flex wp-container-55 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><div class=\"is-default-size is-style-default wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-white-color wp-block-site-title has-medium-font-size wp-elements-e24c80986e13ab3d929b38d6b46e3019\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"has-text-color has-white-color is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-54 wp-block-navigation-is-layout-flex\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-53\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-53\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-53-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:100:\"Simple header with logo, site title, navigation and a full-width background image with dark overlay.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2554:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":50,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":50,\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|base\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"textColor\":\"base\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"className\":\"is-style-default\"} /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"textColor\":\"white\",\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"textColor\":\"white\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"33vw\"} -->\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:229097;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Simple header with dark background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2977:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-4956719e1d36ae31d9fb9c185b0a148a is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-61 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-f1e98d6c897e424c7d4e8232ded39f0a\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-60 wp-block-navigation-is-layout-flex\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-59\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-59\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-59-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:76:\"Simple header with logo, site title, navigation links and a dark background.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1232:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:229101;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Text-only header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2737:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-66 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-65 wp-block-navigation-is-layout-flex\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-64\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-64\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-64-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:53:\"Header with site title, tagline and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:60:\"core/group,core/navigation,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:966:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:229105;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Simple header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3264:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-7479bd1e590756c4aa927894dbdbef4e is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-72 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-container-69 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-68 wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline has-small-font-size\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n</div>\n\n\n<nav class=\"has-small-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-small-font-size is-content-justification-right is-layout-flex wp-container-71 wp-block-navigation-is-layout-flex\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-70\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-70\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-70-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:92:\"Header with site logo, title and tagline on the left and with navigation links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/navigation,core/site-logo,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1389:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:229111;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:36:\"Fullwidth site title and menu button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2509:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-e0434f7bbe3c9d87e2f1562e19b734da is-content-justification-space-between is-layout-flex wp-container-76 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-75 wp-block-navigation-is-layout-flex\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open always-shown\" data-micromodal-trigger=\"modal-74\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container hidden-by-default \" style=\"\" id=\"modal-74\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-74-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Header with site title and a hamburger menu button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:794:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title /-->\n\n<!-- wp:navigation {\"overlayMenu\":\"always\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:229116;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Fullwidth header with hero image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3835:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-81 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group is-layout-flex wp-container-78 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-77 wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title has-medium-font-size wp-elements-234e57400cf5587740bb7caa261d6fc4\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n</div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-80 wp-block-navigation-is-layout-flex\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-79\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-79\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-79-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Header on a white background followed by a full-width hero image.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2566:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":0,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":40,\"minHeightUnit\":\"vw\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:229080;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:25:\"Centered header with logo\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2803:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-vertical is-content-justification-center is-layout-flex wp-container-86 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-contrast-color wp-block-site-title has-large-font-size wp-elements-9728cce79011b64628d7f6beff066787\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-center is-fallback wp-block-navigation is-content-justification-center is-layout-flex wp-container-85 wp-block-navigation-is-layout-flex\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-84\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-84\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-84-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Center aligned header with logo, site title and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:926:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:229084;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth header with large font size\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2597:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-4b5a1e7a31f9f44eaeb3ab45e5ae60f1 is-content-justification-space-between is-layout-flex wp-container-90 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"has-large-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-large-font-size is-content-justification-right is-layout-flex wp-container-89 wp-block-navigation-is-layout-flex\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-88\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-88\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-88-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:80:\"Header with a large site title and navigation links in the same large font size.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:811:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title {\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"large\"} /--></div>\n<!-- /wp:group -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:229088;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Simple header\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2839:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-94 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-container-91 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-93 wp-block-navigation-is-layout-flex\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-92\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-92\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-92-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Simple header with logo, site title and navigation.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1021:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:229123;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4175:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-98 wp-block-group-is-layout-flex\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-97 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-96 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:82:\"Centered footer with the sentence \"Proudly powered by WordPress\" and social links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:25:\"core/group,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1495:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"30vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"8px\",\"left\":\"8px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:229127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Footer with search, site title, and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2953:\"\n<div class=\"wp-block-group alignfull has-background is-layout-constrained wp-block-group-is-layout-constrained\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-105 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-100 is-content-justification-left is-layout-constrained wp-container-101 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Search</p>\n\n\n<form role=\"search\" method=\"get\" action=\"https://wordpress.org/patterns/\" class=\"wp-block-search__button-outside wp-block-search__icon-button wp-block-search\"><label for=\"wp-block-search__input-99\" class=\"wp-block-search__label screen-reader-text\">Search</label><div class=\"wp-block-search__inside-wrapper \"  style=\"width: 100%\"><input type=\"search\" id=\"wp-block-search__input-99\" class=\"wp-block-search__input\" name=\"s\" value=\"\" placeholder=\"\"  style=\"border-width: 1px\" required /><button type=\"submit\" class=\"wp-block-search__button has-icon wp-element-button\"  style=\"border-width: 1px\" aria-label=\"Search\"><svg class=\"search-icon\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\n					<path d=\"M13.5 6C10.5 6 8 8.5 8 11.5c0 1.1.3 2.1.9 3l-3.4 3 1 1.1 3.4-2.9c1 .9 2.2 1.4 3.6 1.4 3 0 5.5-2.5 5.5-5.5C19 8.5 16.5 6 13.5 6zm0 9.5c-2.2 0-4-1.8-4-4s1.8-4 4-4 4 1.8 4 4-1.8 4-4 4z\"></path>\n				</svg></button></div></form></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-104 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-103 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Social</p>\n\n\n\n<div class=\"wp-block-group has-small-font-size is-vertical is-content-justification-left is-layout-flex wp-container-102 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-107 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:88:\"Footer with search field and site title on the left, and small credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:65:\"core/group,core/paragraph,core/search,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3254:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\",\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\"}},\"color\":{\"background\":\"#00000008\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|60\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Search</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"1px\"}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":[]},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group has-small-font-size\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:229131;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with site title and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:840:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-110 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with site title on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/paragraph,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1095:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:15;O:8:\"stdClass\":7:{s:2:\"id\";i:229135;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with navigation and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2709:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-115 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><nav class=\"has-small-font-size is-responsive items-justified-left is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-layout-flex wp-container-113 wp-block-navigation-is-layout-flex\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-112\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-112\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-112-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with navigation on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/navigation,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1174:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:16;O:8:\"stdClass\":7:{s:2:\"id\";i:229139;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:56:\"Fullwidth footer with background color and three columns\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2847:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-9b8d4600cf36da05c1f90c6e6319e18d is-vertical is-content-justification-stretch is-layout-flex wp-container-125 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-columns alignwide has-small-font-size is-layout-flex wp-container-123 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Location</p>\n\n\n\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-center is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size is-content-justification-center is-nowrap is-layout-flex wp-container-119 wp-block-navigation-is-layout-flex\" aria-label=\"\"><ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Follow us</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-layout-flex wp-container-121 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facbook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-center is-layout-flex wp-container-124 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:57:\"Text-only footer with background color and three columns.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:78:\"core/column,core/columns,core/group,core/navigation,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3224:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|60\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"},\"dimensions\":{\"minHeight\":\"40vh\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:columns {\"align\":\"wide\",\"fontSize\":\"small\"} -->\n<div class=\"wp-block-columns alignwide has-small-font-size\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Location</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Follow us</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facbook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:17;O:8:\"stdClass\":7:{s:2:\"id\";i:229143;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4117:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-127 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><div style=\"margin-bottom:6px;\" class=\"is-default-size aligncenter wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-126 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-facebook wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12 2C6.5 2 2 6.5 2 12c0 5 3.7 9.1 8.4 9.9v-7H7.9V12h2.5V9.8c0-2.5 1.5-3.9 3.8-3.9 1.1 0 2.2.2 2.2.2v2.5h-1.3c-1.2 0-1.6.8-1.6 1.6V12h2.8l-.4 2.9h-2.3v7C18.3 21.1 22 17 22 12c0-5.5-4.5-10-10-10z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Facebook</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-wordpress wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12.158,12.786L9.46,20.625c0.806,0.237,1.657,0.366,2.54,0.366c1.047,0,2.051-0.181,2.986-0.51 c-0.024-0.038-0.046-0.079-0.065-0.124L12.158,12.786z M3.009,12c0,3.559,2.068,6.634,5.067,8.092L3.788,8.341 C3.289,9.459,3.009,10.696,3.009,12z M18.069,11.546c0-1.112-0.399-1.881-0.741-2.48c-0.456-0.741-0.883-1.368-0.883-2.109 c0-0.826,0.627-1.596,1.51-1.596c0.04,0,0.078,0.005,0.116,0.007C16.472,3.904,14.34,3.009,12,3.009 c-3.141,0-5.904,1.612-7.512,4.052c0.211,0.007,0.41,0.011,0.579,0.011c0.94,0,2.396-0.114,2.396-0.114 C7.947,6.93,8.004,7.642,7.52,7.699c0,0-0.487,0.057-1.029,0.085l3.274,9.739l1.968-5.901l-1.401-3.838 C9.848,7.756,9.389,7.699,9.389,7.699C8.904,7.67,8.961,6.93,9.446,6.958c0,0,1.484,0.114,2.368,0.114 c0.94,0,2.397-0.114,2.397-0.114c0.485-0.028,0.542,0.684,0.057,0.741c0,0-0.488,0.057-1.029,0.085l3.249,9.665l0.897-2.996 C17.841,13.284,18.069,12.316,18.069,11.546z M19.889,7.686c0.039,0.286,0.06,0.593,0.06,0.924c0,0.912-0.171,1.938-0.684,3.22 l-2.746,7.94c2.673-1.558,4.47-4.454,4.47-7.771C20.991,10.436,20.591,8.967,19.889,7.686z M12,22C6.486,22,2,17.514,2,12 C2,6.486,6.486,2,12,2c5.514,0,10,4.486,10,10C22,17.514,17.514,22,12,22z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">WordPress</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:71:\"Footer with centered site title, tagline, social links and credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/paragraph,core/site-logo,core/social-link,core/social-links\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1532:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"40vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:site-logo {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"6px\"}}}} /-->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"medium\"} -->\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"12px\",\"left\":\"12px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"wordpress\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:18;O:8:\"stdClass\":7:{s:2:\"id\";i:229147;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"Fullwidth footer with navigation, credit, and social\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4595:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignfull has-small-font-size is-content-justification-space-between is-nowrap is-layout-flex wp-container-133 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size wp-container-content-128\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<div class=\"wp-block-group wp-container-content-129 is-vertical is-content-justification-center is-layout-flex wp-container-130 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only wp-container-content-131 is-content-justification-right is-nowrap is-layout-flex wp-container-132 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:87:\"Footer with site title on the left, credit in the middle and social links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:76:\"core/group,core/paragraph,core/site-title,core/social-link,core/social-links\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1869:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"nowrap\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group alignfull has-small-font-size\"><!-- wp:site-title {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"12px\"}},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:19;O:8:\"stdClass\":7:{s:2:\"id\";i:229151;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:19:\"Left-aligned footer\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2722:\"\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-143 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group wp-container-content-135 is-vertical is-layout-flex wp-container-136 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-layout-flex wp-container-142 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-139 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-left is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-nowrap is-layout-flex wp-container-138 wp-block-navigation-is-layout-flex\" aria-label=\"\"><ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-141 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">Social</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-left is-layout-flex wp-container-140 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:44:\"Left-aligned footer with just a credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:69:\"core/group,core/navigation,core/paragraph,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2939:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"medium\"} /-->\n\n<!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|50\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:20;O:8:\"stdClass\":7:{s:2:\"id\";i:201;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Three columns with offset images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1330:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-147 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:45%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n\n\n\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:33:\"Three columns with offset images.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:47:\"core/column,core/columns,core/image,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1753:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:spacer {\"height\":500} -->\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:spacer {\"height\":150} -->\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:45%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":285} -->\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:21;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1078:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-151 wp-block-columns-is-layout-flex\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:22;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3155:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f8f4e4\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-153 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h6 class=\"has-text-color wp-block-heading\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-157 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-160 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:67%\">\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3990:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f8f4e4\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f8f4e4\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h6 class=\"has-text-color\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"5vw\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"5px\"} -->\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"67%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:67%\"><!-- wp:image {\"align\":\"right\",\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\";}i:23;O:8:\"stdClass\":7:{s:2:\"id\";i:197;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:39:\"Two columns of text with offset heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2240:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f2f0e9\">\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-164 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-168 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n</div>\n</div>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:43:\"Two columns of text with an offset heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:77:\"core/column,core/columns,core/group,core/paragraph,core/separator,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2837:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f2f0e9\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f2f0e9\"><!-- wp:spacer {\"height\":70} -->\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"30px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":40} -->\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:24;O:8:\"stdClass\":7:{s:2:\"id\";i:196;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Media and text in a full height container\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1445:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What&#8217;s the problem?</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n</div>\n</div></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Media and text block with image to the left and text and button to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:79:\"core/button,core/buttons,core/cover,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2015:\"<!-- wp:cover {\"customOverlayColor\":\"#ffffff\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:media-text {\"mediaLink\":\"https://s.w.org/images/core/5.8/soil.jpg\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"imageFill\":true} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"32px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What\'s the problem?</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:media-text --></div></div>\n<!-- /wp:cover -->\";}i:25;O:8:\"stdClass\":7:{s:2:\"id\";i:195;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Media and text with image on the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:719:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the right and text to the left.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1155:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaLink\":\"#\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"className\":\"is-style-default\"} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"17px\"},\"color\":{\"text\":\"#636363\"}}} -->\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n<!-- /wp:paragraph --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n<!-- /wp:media-text -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:26;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:27;O:8:\"stdClass\":7:{s:2:\"id\";i:186;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with text and a button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1508:\"\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-175 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:60%\">\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:62:\"Large header with background image and text and button on top.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:88:\"core/button,core/buttons,core/column,core/columns,core/cover,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2053:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/art-01.jpg\",\"hasParallax\":true,\"dimRatio\":40,\"customOverlayColor\":\"#000000\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.2\"}},\"className\":\"alignwide has-white-color has-text-color\"} -->\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffffff\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#ffffff\",\"background\":\"#000000\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:28;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1321:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-179 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:29;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}i:30;O:8:\"stdClass\":7:{s:2:\"id\";i:27;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Quote\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:688:\"\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n\n\n\n<figure class=\"wp-block-image aligncenter size-large is-resized is-style-rounded\"><img decoding=\"async\" loading=\"lazy\" src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure>\n\n\n\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\">\n<p>&#8220;Contributing makes me feel like I&#8217;m being useful to the planet.&#8221;</p>\n<cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/quote\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:51:\"core/image,core/paragraph,core/quote,core/separator\";}s:14:\"category_slugs\";a:2:{i:0;s:12:\"testimonials\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1102:\"<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n<!-- /wp:separator -->\n\n<!-- wp:image {\"align\":\"center\",\"width\":150,\"height\":150,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-rounded\"} -->\n<figure class=\"wp-block-image aligncenter size-large is-resized is-style-rounded\"><img src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:quote {\"align\":\"center\",\"className\":\"is-style-large\"} -->\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\"><!-- wp:paragraph -->\n<p>\"Contributing makes me feel like I\'m being useful to the planet.\"</p>\n<!-- /wp:paragraph --><cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n<!-- /wp:separator -->\";}i:31;O:8:\"stdClass\":7:{s:2:\"id\";i:29;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Two columns of text and title\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1518:\"\n<h2 class=\"wp-block-heading\" style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-183 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband&#8217;s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:47:\"Two columns of text preceded by a long heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1711:\"<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":38,\"lineHeight\":\"1.4\"}}} -->\n<h2 style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband\'s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:32;O:8:\"stdClass\":7:{s:2:\"id\";i:19;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:23:\"Two images side by side\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:572:\"\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped wp-block-gallery-184 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" /></figure>\n</figure>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:41:\"An image gallery with two example images.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:23:\"core/gallery,core/image\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:704:\"<!-- wp:gallery {\"linkTo\":\"none\",\"align\":\"wide\"} -->\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" /></figure>\n<!-- /wp:image --></figure>\n<!-- /wp:gallery -->\";}}", "no");
INSERT INTO `wp_options` VALUES("249", "_site_transient_timeout_wp_remote_block_patterns_0f7c9ba0f9ffdc00897d801e642caf32", "1680380065", "no");
INSERT INTO `wp_options` VALUES("250", "_site_transient_wp_remote_block_patterns_0f7c9ba0f9ffdc00897d801e642caf32", "a:15:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:207567;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:11:\"Link in Bio\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6458:\"\n<div class=\"wp-block-group has-white-background-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"has-text-align-center wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"has-text-align-center wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p>\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-1 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color is-content-justification-center is-layout-flex wp-container-2 wp-block-social-links-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-instagram wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-bandcamp wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M15.27 17.289 3 17.289 8.73 6.711 21 6.711 15.27 17.289\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Bandcamp</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitch wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M16.499,8.089h-1.636v4.91h1.636V8.089z M12,8.089h-1.637v4.91H12V8.089z M4.228,3.178L3,6.451v13.092h4.499V22h2.456 l2.454-2.456h3.681L21,14.636V3.178H4.228z M19.364,13.816l-2.864,2.865H12l-2.453,2.453V16.68H5.863V4.814h13.501V13.816z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitch</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:116:\"core/button,core/buttons,core/group,core/site-tagline,core/site-title,core/social-link,core/social-links,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2665:\"<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|80\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|80\",\"left\":\"0\"}}},\"backgroundColor\":\"white\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-white-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:site-tagline {\"textAlign\":\"center\"} /-->\n\n<!-- wp:spacer {\"height\":\"20px\"} -->\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100,\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:social-links {\"iconColor\":\"black\",\"iconColorValue\":\"#000000\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"bandcamp\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitch\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:732;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Simple call to action\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:961:\"\n<div class=\"wp-block-group alignfull has-text-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#ffffff;color:#000000\">\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n\n\n\n<h2 class=\"has-text-align-center wp-block-heading\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-4 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n</div>\n\n\n\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:89:\"A container with a white background. Inside is a centered paragraph, heading, and button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/group,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"buttons\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1506:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-group alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"lineHeight\":\".9\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":59,\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"has-text-align-center\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":50,\"style\":{\"color\":{\"background\":\"#000000\",\"text\":\"#ffffff\"},\"border\":{\"radius\":\"50px\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:678;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Three column pricing table\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3717:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-12 wp-block-columns-is-layout-flex\" style=\"margin-bottom:0\">\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-2ae1b943d87d6b5cbc827b8e7de5c343 is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n\n\n\n<ul class=\"has-normal-font-size\">\n<li>General admission and member discounts for one adult</li>\n\n\n\n<li>One free ticket per special exhibition</li>\n\n\n\n<li>Two single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-6 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$110 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-c860b6260b3b3b7bae640a65db9c9aec is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\">\n<li>General admission and member discounts for two adults</li>\n\n\n\n<li>Four free tickets per special exhibition</li>\n\n\n\n<li>Four single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-8 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$200 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-4a86cd4fa1de9230a73a90c7ad305893 is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\">\n<li>General admission and member discounts for two adults</li>\n\n\n\n<li>Five free tickets per special exhibition</li>\n\n\n\n<li>Six single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-10 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$400 / year</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:272:\"Three equal-width columns set up as a pricing table. The left column has a yellow background, the middle column has a light purple background, and the right column has a light blue background. Each column contains a heading, subheading, separator, list, and then a button.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:117:\"core/button,core/buttons,core/column,core/columns,core/heading,core/list,core/list-item,core/paragraph,core/separator\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:6125:\"<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns alignwide\" style=\"margin-bottom:0\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#ffe97d\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"single\"} -->\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"style\":{\"color\":{\"background\":\"#000000\"}},\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for one adult</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>One free ticket per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Two single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$110 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#d1d1e1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"family\"} -->\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for two adults</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Four free tickets per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Four single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$200 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#c0ebf1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"patron\"} -->\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for two adults</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Five free tickets per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Six single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$400 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:669;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Image and quote on a background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2281:\"\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-1-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-1-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-1-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-1.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Terry a O&#8217;Neal</p>\n</div>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-half-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-half-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-half-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-half.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Molière</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:221:\"Two media and text blocks. The top one has a pale green background. The text is on the left and contains a quote, and the image is on the right. The next block underneath has the image on the left, and quote on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2404:\"<!-- wp:media-text {\"mediaPosition\":\"right\",\"mediaId\":5263,\"mediaLink\":\"https://wordpress.org/patterns/pattern/image-and-quote-on-a-background/pear-3/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f1f5c7\"}}} -->\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Terry a O\'Neal</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\n\n<!-- wp:media-text {\"mediaId\":673,\"mediaLink\":\"https://wordpress.org/patterns/pear-half/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#fffdea\"}}} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Molière</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:591;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Event\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1687:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color wp-elements-5fce4e677a9b9d7d0cae0196c9d74d97\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group has-link-color wp-elements-71b4a847bbd96313422a1303e9ba41f3 is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n\n\n\n<p class=\"has-text-color has-link-color wp-elements-0860918d5b16b9e1778b1966b333b980\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n</div>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1536x1536.jpg 1536w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1.jpg 1572w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:54:\"core/group,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1617:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaId\":590,\"mediaLink\":\"https://wordpress.org/patterns/image-from-rawpixel-id-430289-jpeg-1/\",\"mediaType\":\"image\",\"mediaWidth\":60,\"verticalAlignment\":\"top\",\"style\":{\"color\":{\"background\":\"#121c1c\",\"text\":\"#fffdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-group has-link-color\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontWeight\":\"700\",\"fontSize\":\"48px\",\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}},\"color\":{\"text\":\"#fffdc7\"}}} -->\n<p class=\"has-text-color has-link-color\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" /></figure></div>\n<!-- /wp:media-text -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:566;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:30:\"Event announcement and details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1832:\"\n<div class=\"wp-block-group alignfull has-black-color has-text-color has-background has-link-color wp-elements-b69341fa8ca2b5011df7156020136c46 is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#d2cdc7\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"alignwide wp-block-heading\" style=\"font-size:46px;font-weight:400;line-height:1.1\">HÉLÈNE DUMAS<br><em>FRAGMENTS</em></h2>\n\n\n\n<h3 class=\"alignwide wp-block-heading\" style=\"font-size:46px;font-weight:400;line-height:1.1\">20/4 — 9/9/2021<br>SOUTH LONDON ART GALLERY</h3>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-18 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:75%\">\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://mywptesting.site/wp-content/uploads/2021/06/Histoire_naturelle_..._-fragments-_-_Upper_cover_C108eee15-1.jpg\" alt=\"\" class=\"wp-image-3173\" /></figure>\n</div>\n</div>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-21 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:25px\">MORE INFO AT: WP.ORG · +44 21 1234 5678</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-right\" style=\"font-size:25px\">INSTAGRAM · <a href=\"#\">TICKETS</a></p>\n</div>\n</div>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2622:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#d2cdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}}},\"textColor\":\"black\"} -->\n<div class=\"wp-block-group alignfull has-black-color has-text-color has-background has-link-color\" style=\"background-color:#d2cdc7\"><!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"46px\",\"lineHeight\":\"1.1\",\"fontWeight\":\"400\"}}} -->\n<h2 class=\"alignwide\" style=\"font-size:46px;font-weight:400;line-height:1.1\">HÉLÈNE DUMAS<br><em>FRAGMENTS</em></h2>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":3,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"46px\",\"lineHeight\":\"1.1\",\"fontWeight\":\"400\"}}} -->\n<h3 class=\"alignwide\" style=\"font-size:46px;font-weight:400;line-height:1.1\">20/4 — 9/9/2021<br>SOUTH LONDON ART GALLERY</h3>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"75%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:75%\"><!-- wp:image {\"id\":3173,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://mywptesting.site/wp-content/uploads/2021/06/Histoire_naturelle_..._-fragments-_-_Upper_cover_C108eee15-1.jpg\" alt=\"\" class=\"wp-image-3173\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"25px\"}}} -->\n<p style=\"font-size:25px\">MORE INFO AT: WP.ORG · +44 21 1234 5678</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"25px\"}}} -->\n<p class=\"has-text-align-right\" style=\"font-size:25px\">INSTAGRAM · <a href=\"#\">TICKETS</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:573;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Image on solid color with description\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1830:\"\n<div class=\"wp-block-columns alignfull is-layout-flex wp-container-28 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img decoding=\"async\" loading=\"lazy\" width=\"263\" height=\"300\" src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" srcset=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg 263w, https://s.w.org/patterns/files/2021/06/wire-sculpture-898x1024.jpg 898w, https://s.w.org/patterns/files/2021/06/wire-sculpture-768x875.jpg 768w, https://s.w.org/patterns/files/2021/06/wire-sculpture-1347x1536.jpg 1347w, https://s.w.org/patterns/files/2021/06/wire-sculpture.jpg 1658w\" sizes=\"(max-width: 263px) 100vw, 263px\" /></figure></div>\n</div></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\">\n<div class=\"wp-block-columns is-layout-flex wp-container-26 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:320px\">\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n\n\n\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:38:\"Image on solid color with description.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:61:\"core/column,core/columns,core/cover,core/image,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1826:\"<!-- wp:columns {\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:cover {\"customOverlayColor\":\"#f6f6f6\",\"minHeight\":600} -->\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":571,\"sizeSlug\":\"medium\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" /></figure></div>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"1em\",\"right\":\"1em\",\"bottom\":\"1em\",\"left\":\"1em\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"320px\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:320px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:526;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Offset images with descriptions\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2907:\"\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top is-layout-flex wp-container-38 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-31 is-vertical is-content-justification-left is-nowrap is-layout-flex wp-container-32 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<figure class=\"wp-block-image size-large wp-container-content-29\"><img decoding=\"async\" loading=\"lazy\" width=\"793\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"Beautiful photomechanical prints of White Irises (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-525\" srcset=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg 793w, https://s.w.org/patterns/files/2021/06/Iris-232x300.jpg 232w, https://s.w.org/patterns/files/2021/06/Iris-768x992.jpg 768w, https://s.w.org/patterns/files/2021/06/Iris-1189x1536.jpg 1189w, https://s.w.org/patterns/files/2021/06/Iris-1586x2048.jpg 1586w, https://s.w.org/patterns/files/2021/06/Iris.jpg 1920w\" sizes=\"(max-width: 793px) 100vw, 793px\" /></figure>\n\n\n\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-30 wp-block-group-is-layout-flex\">\n<p class=\"has-medium-font-size\"><strong>White Irises</strong></p>\n\n\n\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n</div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-35 is-vertical is-layout-flex wp-container-36 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-34 wp-block-group-is-layout-flex\">\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-medium-font-size\"><strong>Cherry Blossom</strong></p>\n\n\n\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n</div>\n\n\n\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img decoding=\"async\" loading=\"lazy\" width=\"707\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"Beautiful photomechanical prints of Cherry Blossom (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-524\" srcset=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg 707w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-207x300.jpg 207w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-768x1112.jpg 768w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1061x1536.jpg 1061w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1414x2048.jpg 1414w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-scaled.jpg 1768w\" sizes=\"(max-width: 707px) 100vw, 707px\" /></figure>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:58:\"Two offset columns with images and titles within each one.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:73:\"core/column,core/columns,core/group,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:7:\"gallery\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2930:\"<!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top\"><!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:image {\"id\":525,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"Beautiful photomechanical prints of White Irises (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-525\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>White Irises</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer {\"height\":\"80px\"} -->\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>Cherry Blossom</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"id\":524,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"Beautiful photomechanical prints of Cherry Blossom (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-524\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:521;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Image with description below and to the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1665:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-43 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1.jpg 1510w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-46 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n</div>\n</div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:46:\"Image with description below and to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:50:\"core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1241:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":522,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:502;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Event details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1684:\"\n<figure class=\"wp-block-image alignwide size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"2560\" height=\"1227\" src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" srcset=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg 2560w, https://s.w.org/patterns/files/2021/06/Group-17-300x144.jpg 300w, https://s.w.org/patterns/files/2021/06/Group-17-1024x491.jpg 1024w, https://s.w.org/patterns/files/2021/06/Group-17-768x368.jpg 768w, https://s.w.org/patterns/files/2021/06/Group-17-1536x736.jpg 1536w, https://s.w.org/patterns/files/2021/06/Group-17-2048x981.jpg 2048w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></figure>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-51 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">Purchase Tickets</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:14:\"Event details.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1642:\"<!-- wp:image {\"align\":\"wide\",\"id\":501,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignwide size-full\"><img src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100,\"style\":{\"color\":{\"background\":\"#262626\",\"text\":\"#efefef\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">Purchase Tickets</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1077:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-55 wp-block-columns-is-layout-flex\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3152:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f8f4e4\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-57 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h6 class=\"has-text-color wp-block-heading\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-61 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-64 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:67%\">\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3990:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f8f4e4\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f8f4e4\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h6 class=\"has-text-color\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"5vw\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"5px\"} -->\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"67%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:67%\"><!-- wp:image {\"align\":\"right\",\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1320:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-68 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}}", "no");
INSERT INTO `wp_options` VALUES("251", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1680387957", "no");
INSERT INTO `wp_options` VALUES("252", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "O:8:\"stdClass\":100:{s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";i:6045;}s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";i:4818;}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";i:2784;}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";i:2667;}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";i:2049;}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";i:1914;}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";i:1903;}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";i:1632;}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";i:1565;}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";i:1552;}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";i:1547;}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";i:1515;}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";i:1503;}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";i:1474;}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";i:1362;}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";i:1316;}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";i:1268;}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";i:1175;}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";i:1155;}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";i:1146;}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";i:1050;}s:10:\"e-commerce\";a:3:{s:4:\"name\";s:10:\"e-commerce\";s:4:\"slug\";s:10:\"e-commerce\";s:5:\"count\";i:1019;}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";i:998;}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";i:964;}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";i:903;}s:7:\"payment\";a:3:{s:4:\"name\";s:7:\"payment\";s:4:\"slug\";s:7:\"payment\";s:5:\"count\";i:885;}s:9:\"analytics\";a:3:{s:4:\"name\";s:9:\"analytics\";s:4:\"slug\";s:9:\"analytics\";s:5:\"count\";i:876;}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";i:876;}s:4:\"form\";a:3:{s:4:\"name\";s:4:\"form\";s:4:\"slug\";s:4:\"form\";s:5:\"count\";i:874;}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";i:866;}s:6:\"slider\";a:3:{s:4:\"name\";s:6:\"slider\";s:4:\"slug\";s:6:\"slider\";s:5:\"count\";i:866;}s:9:\"gutenberg\";a:3:{s:4:\"name\";s:9:\"gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:5:\"count\";i:824;}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";i:794;}s:5:\"block\";a:3:{s:4:\"name\";s:5:\"block\";s:4:\"slug\";s:5:\"block\";s:5:\"count\";i:783;}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";i:781;}s:6:\"search\";a:3:{s:4:\"name\";s:6:\"search\";s:4:\"slug\";s:6:\"search\";s:5:\"count\";i:777;}s:6:\"editor\";a:3:{s:4:\"name\";s:6:\"editor\";s:4:\"slug\";s:6:\"editor\";s:5:\"count\";i:765;}s:15:\"payment-gateway\";a:3:{s:4:\"name\";s:15:\"payment gateway\";s:4:\"slug\";s:15:\"payment-gateway\";s:5:\"count\";i:765;}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";i:732;}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";i:729;}s:9:\"elementor\";a:3:{s:4:\"name\";s:9:\"elementor\";s:4:\"slug\";s:9:\"elementor\";s:5:\"count\";i:729;}s:12:\"contact-form\";a:3:{s:4:\"name\";s:12:\"contact form\";s:4:\"slug\";s:12:\"contact-form\";s:5:\"count\";i:725;}s:4:\"menu\";a:3:{s:4:\"name\";s:4:\"menu\";s:4:\"slug\";s:4:\"menu\";s:5:\"count\";i:723;}s:5:\"embed\";a:3:{s:4:\"name\";s:5:\"embed\";s:4:\"slug\";s:5:\"embed\";s:5:\"count\";i:687;}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";i:685;}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";i:685;}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"ajax\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";i:674;}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";i:666;}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";i:632;}s:3:\"css\";a:3:{s:4:\"name\";s:3:\"css\";s:4:\"slug\";s:3:\"css\";s:5:\"count\";i:622;}s:9:\"affiliate\";a:3:{s:4:\"name\";s:9:\"affiliate\";s:4:\"slug\";s:9:\"affiliate\";s:5:\"count\";i:617;}s:3:\"api\";a:3:{s:4:\"name\";s:3:\"api\";s:4:\"slug\";s:3:\"api\";s:5:\"count\";i:609;}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";i:607;}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";i:607;}s:7:\"contact\";a:3:{s:4:\"name\";s:7:\"contact\";s:4:\"slug\";s:7:\"contact\";s:5:\"count\";i:596;}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";i:592;}s:9:\"dashboard\";a:3:{s:4:\"name\";s:9:\"dashboard\";s:4:\"slug\";s:9:\"dashboard\";s:5:\"count\";i:591;}s:10:\"responsive\";a:3:{s:4:\"name\";s:10:\"responsive\";s:4:\"slug\";s:10:\"responsive\";s:5:\"count\";i:588;}s:5:\"theme\";a:3:{s:4:\"name\";s:5:\"theme\";s:4:\"slug\";s:5:\"theme\";s:5:\"count\";i:577;}s:3:\"ads\";a:3:{s:4:\"name\";s:3:\"ads\";s:4:\"slug\";s:3:\"ads\";s:5:\"count\";i:568;}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";i:567;}s:6:\"custom\";a:3:{s:4:\"name\";s:6:\"custom\";s:4:\"slug\";s:6:\"custom\";s:5:\"count\";i:565;}s:8:\"shipping\";a:3:{s:4:\"name\";s:8:\"shipping\";s:4:\"slug\";s:8:\"shipping\";s:5:\"count\";i:561;}s:9:\"marketing\";a:3:{s:4:\"name\";s:9:\"marketing\";s:4:\"slug\";s:9:\"marketing\";s:5:\"count\";i:554;}s:4:\"chat\";a:3:{s:4:\"name\";s:4:\"chat\";s:4:\"slug\";s:4:\"chat\";s:5:\"count\";i:554;}s:6:\"events\";a:3:{s:4:\"name\";s:6:\"events\";s:4:\"slug\";s:6:\"events\";s:5:\"count\";i:542;}s:10:\"categories\";a:3:{s:4:\"name\";s:10:\"categories\";s:4:\"slug\";s:10:\"categories\";s:5:\"count\";i:539;}s:14:\"contact-form-7\";a:3:{s:4:\"name\";s:14:\"contact form 7\";s:4:\"slug\";s:14:\"contact-form-7\";s:5:\"count\";i:534;}s:6:\"button\";a:3:{s:4:\"name\";s:6:\"button\";s:4:\"slug\";s:6:\"button\";s:5:\"count\";i:531;}s:4:\"user\";a:3:{s:4:\"name\";s:4:\"user\";s:4:\"slug\";s:4:\"user\";s:5:\"count\";i:530;}s:5:\"forms\";a:3:{s:4:\"name\";s:5:\"forms\";s:4:\"slug\";s:5:\"forms\";s:5:\"count\";i:526;}s:5:\"popup\";a:3:{s:4:\"name\";s:5:\"popup\";s:4:\"slug\";s:5:\"popup\";s:5:\"count\";i:517;}s:5:\"users\";a:3:{s:4:\"name\";s:5:\"users\";s:4:\"slug\";s:5:\"users\";s:5:\"count\";i:511;}s:6:\"mobile\";a:3:{s:4:\"name\";s:6:\"mobile\";s:4:\"slug\";s:6:\"mobile\";s:5:\"count\";i:509;}s:4:\"tags\";a:3:{s:4:\"name\";s:4:\"tags\";s:4:\"slug\";s:4:\"tags\";s:5:\"count\";i:507;}s:8:\"calendar\";a:3:{s:4:\"name\";s:8:\"calendar\";s:4:\"slug\";s:8:\"calendar\";s:5:\"count\";i:504;}s:11:\"performance\";a:3:{s:4:\"name\";s:11:\"performance\";s:4:\"slug\";s:11:\"performance\";s:5:\"count\";i:480;}s:10:\"newsletter\";a:3:{s:4:\"name\";s:10:\"newsletter\";s:4:\"slug\";s:10:\"newsletter\";s:5:\"count\";i:474;}s:6:\"blocks\";a:3:{s:4:\"name\";s:6:\"blocks\";s:4:\"slug\";s:6:\"blocks\";s:5:\"count\";i:471;}s:10:\"navigation\";a:3:{s:4:\"name\";s:10:\"navigation\";s:4:\"slug\";s:10:\"navigation\";s:5:\"count\";i:468;}s:9:\"slideshow\";a:3:{s:4:\"name\";s:9:\"slideshow\";s:4:\"slug\";s:9:\"slideshow\";s:5:\"count\";i:449;}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";i:449;}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";i:448;}s:10:\"statistics\";a:3:{s:4:\"name\";s:10:\"statistics\";s:4:\"slug\";s:10:\"statistics\";s:5:\"count\";i:437;}s:12:\"social-media\";a:3:{s:4:\"name\";s:12:\"social media\";s:4:\"slug\";s:12:\"social-media\";s:5:\"count\";i:432;}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";i:426;}s:8:\"redirect\";a:3:{s:4:\"name\";s:8:\"redirect\";s:4:\"slug\";s:8:\"redirect\";s:5:\"count\";i:424;}s:12:\"notification\";a:3:{s:4:\"name\";s:12:\"notification\";s:4:\"slug\";s:12:\"notification\";s:5:\"count\";i:423;}s:8:\"tracking\";a:3:{s:4:\"name\";s:8:\"tracking\";s:4:\"slug\";s:8:\"tracking\";s:5:\"count\";i:419;}s:7:\"gateway\";a:3:{s:4:\"name\";s:7:\"gateway\";s:4:\"slug\";s:7:\"gateway\";s:5:\"count\";i:419;}s:4:\"news\";a:3:{s:4:\"name\";s:4:\"news\";s:4:\"slug\";s:4:\"news\";s:5:\"count\";i:418;}s:6:\"import\";a:3:{s:4:\"name\";s:6:\"import\";s:4:\"slug\";s:6:\"import\";s:5:\"count\";i:417;}s:8:\"payments\";a:3:{s:4:\"name\";s:8:\"payments\";s:4:\"slug\";s:8:\"payments\";s:5:\"count\";i:417;}s:10:\"shortcodes\";a:3:{s:4:\"name\";s:10:\"shortcodes\";s:4:\"slug\";s:10:\"shortcodes\";s:5:\"count\";i:412;}s:4:\"code\";a:3:{s:4:\"name\";s:4:\"code\";s:4:\"slug\";s:4:\"code\";s:5:\"count\";i:406;}s:7:\"plugins\";a:3:{s:4:\"name\";s:7:\"plugins\";s:4:\"slug\";s:7:\"plugins\";s:5:\"count\";i:398;}s:9:\"multisite\";a:3:{s:4:\"name\";s:9:\"multisite\";s:4:\"slug\";s:9:\"multisite\";s:5:\"count\";i:395;}s:5:\"cache\";a:3:{s:4:\"name\";s:5:\"cache\";s:4:\"slug\";s:5:\"cache\";s:5:\"count\";i:394;}s:4:\"meta\";a:3:{s:4:\"name\";s:4:\"meta\";s:4:\"slug\";s:4:\"meta\";s:5:\"count\";i:390;}s:8:\"checkout\";a:3:{s:4:\"name\";s:8:\"checkout\";s:4:\"slug\";s:8:\"checkout\";s:5:\"count\";i:388;}}", "no");
INSERT INTO `wp_options` VALUES("255", "mwai_rating_date", "1681792528", "no");
INSERT INTO `wp_options` VALUES("256", "meowapps_news", "a:2:{s:5:\"topic\";s:8:\"mwai-1.0\";s:4:\"date\";i:1680951063;}", "no");
INSERT INTO `wp_options` VALUES("257", "_transient_timeout_mwai_openai_incidents", "1680377802", "no");
INSERT INTO `wp_options` VALUES("258", "_transient_mwai_openai_incidents", "a:2:{i:0;a:3:{s:5:\"title\";s:23:\"Elevated API error rate\";s:11:\"description\";s:635:\"\n<p><small>Mar <var data-var=\'date\'>30</var>, <var data-var=\'time\'>12:23</var> PDT</small><br><strong>Resolved</strong> - This issue is resolved, error rates and latency have recovered.</p><p><small>Mar <var data-var=\'date\'>30</var>, <var data-var=\'time\'>12:12</var> PDT</small><br><strong>Identified</strong> - The issue has been identified, an incorrect network configuration was applied, it is being rolled back now.</p><p><small>Mar <var data-var=\'date\'>30</var>, <var data-var=\'time\'>12:03</var> PDT</small><br><strong>Investigating</strong> - We are investigating an issue with elevated error rates on text-davinci-003.</p>      \";s:4:\"date\";i:1680204218;}i:1;a:3:{s:5:\"title\";s:23:\"API error rate increase\";s:11:\"description\";s:672:\"\n<p><small>Mar <var data-var=\'date\'>28</var>, <var data-var=\'time\'>13:15</var> PDT</small><br><strong>Resolved</strong> - API endpoint error rates and latency has recovered.</p><p><small>Mar <var data-var=\'date\'>28</var>, <var data-var=\'time\'>12:45</var> PDT</small><br><strong>Monitoring</strong> - The issue has been identified and error rates / latency has decreased.</p><p><small>Mar <var data-var=\'date\'>28</var>, <var data-var=\'time\'>12:15</var> PDT</small><br><strong>Investigating</strong> - We are observing increased latency and errors on multiple API endpoints, and are investigating.  This issue is also impacting chat.openai.com and labs.openai.com.</p>      \";s:4:\"date\";i:1680034524;}}", "no");
INSERT INTO `wp_options` VALUES("259", "mwai_options", "a:41:{s:18:\"module_suggestions\";b:1;s:18:\"module_woocommerce\";b:1;s:12:\"module_forms\";b:0;s:13:\"module_blocks\";b:0;s:17:\"module_playground\";b:1;s:24:\"module_generator_content\";b:0;s:23:\"module_generator_images\";b:1;s:17:\"module_moderation\";b:0;s:17:\"module_statistics\";b:0;s:16:\"module_finetunes\";b:0;s:17:\"module_embeddings\";b:0;s:12:\"module_audio\";b:0;s:14:\"shortcode_chat\";b:1;s:21:\"shortcode_chat_params\";a:34:{s:2:\"id\";s:0:\"\";s:3:\"env\";s:7:\"chatbot\";s:4:\"mode\";s:4:\"chat\";s:7:\"context\";s:63:\"Converse as if you were an AI assistant. Be friendly, creative.\";s:7:\"ai_name\";s:4:\"AI: \";s:9:\"user_name\";s:6:\"User: \";s:10:\"guest_name\";s:7:\"Guest: \";s:8:\"sys_name\";s:8:\"System: \";s:14:\"start_sentence\";s:23:\"Hi! How can I help you?\";s:9:\"text_send\";s:4:\"Send\";s:10:\"text_clear\";s:5:\"Clear\";s:22:\"text_input_placeholder\";s:20:\"Type your message...\";s:20:\"text_input_maxlength\";s:3:\"512\";s:15:\"text_compliance\";s:0:\"\";s:13:\"max_sentences\";i:15;s:5:\"style\";s:7:\"chatgpt\";s:6:\"window\";b:0;s:4:\"icon\";s:0:\"\";s:9:\"icon_text\";s:0:\"\";s:8:\"icon_alt\";s:17:\"AI Chatbot Avatar\";s:13:\"icon_position\";s:12:\"bottom-right\";s:10:\"fullscreen\";b:0;s:11:\"copy_button\";b:1;s:19:\"casually_fine_tuned\";b:0;s:13:\"content_aware\";b:0;s:16:\"embeddings_index\";s:0:\"\";s:13:\"prompt_ending\";N;s:17:\"completion_ending\";N;s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:11:\"temperature\";d:0.8;s:10:\"max_tokens\";i:1024;s:11:\"max_results\";i:3;s:7:\"api_key\";N;s:7:\"service\";s:6:\"openai\";}s:30:\"shortcode_chat_params_override\";b:0;s:19:\"shortcode_chat_html\";b:1;s:25:\"shortcode_chat_formatting\";b:1;s:25:\"shortcode_chat_typewriter\";b:0;s:26:\"shortcode_chat_discussions\";b:1;s:25:\"shortcode_chat_moderation\";b:0;s:34:\"shortcode_chat_syntax_highlighting\";b:0;s:19:\"shortcode_chat_logs\";s:0:\"\";s:21:\"shortcode_chat_inject\";b:0;s:21:\"shortcode_chat_styles\";a:0:{}s:6:\"limits\";a:3:{s:7:\"enabled\";b:1;s:6:\"guests\";a:5:{s:7:\"credits\";i:3;s:10:\"creditType\";s:7:\"queries\";s:9:\"timeFrame\";s:3:\"day\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";}s:5:\"users\";a:6:{s:7:\"credits\";i:10;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";s:12:\"ignoredUsers\";s:20:\"administrator,editor\";}}s:13:\"openai_apikey\";b:0;s:14:\"openai_service\";s:6:\"openai\";s:12:\"openai_usage\";a:0:{}s:13:\"openai_models\";a:10:{i:0;a:10:{s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:4:\"name\";s:5:\"turbo\";s:6:\"family\";s:5:\"turbo\";s:5:\"price\";d:0.002;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:4096;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:1;a:11:{s:5:\"model\";s:5:\"gpt-4\";s:4:\"name\";s:5:\"gpt-4\";s:6:\"family\";s:4:\"gpt4\";s:5:\"price\";d:0.03;s:10:\"priceRules\";s:13:\"completion_x2\";s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:8192;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:2;a:11:{s:5:\"model\";s:9:\"gpt-4-32k\";s:4:\"name\";s:9:\"gpt-4-32k\";s:6:\"family\";s:8:\"gpt4-32k\";s:5:\"price\";d:0.06;s:10:\"priceRules\";s:13:\"completion_x2\";s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:32768;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:3;a:10:{s:5:\"model\";s:16:\"text-davinci-003\";s:4:\"name\";s:11:\"davinci-003\";s:6:\"family\";s:7:\"davinci\";s:5:\"price\";d:0.02;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.12;}s:4:\"tags\";a:3:{i:0;s:4:\"core\";i:1;s:4:\"chat\";i:2;s:8:\"finetune\";}}i:4;a:10:{s:5:\"model\";s:14:\"text-curie-001\";s:4:\"name\";s:9:\"curie-001\";s:6:\"family\";s:5:\"curie\";s:5:\"price\";d:0.002;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.012;}s:4:\"tags\";a:3:{i:0;s:4:\"core\";i:1;s:4:\"chat\";i:2;s:8:\"finetune\";}}i:5;a:10:{s:5:\"model\";s:16:\"text-babbage-001\";s:4:\"name\";s:11:\"babbage-001\";s:6:\"family\";s:7:\"babbage\";s:5:\"price\";d:0.0005;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.0024;}s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"finetune\";}}i:6;a:10:{s:5:\"model\";s:12:\"text-ada-001\";s:4:\"name\";s:7:\"ada-001\";s:6:\"family\";s:3:\"ada\";s:5:\"price\";d:0.0004;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.0016;}s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"finetune\";}}i:7;a:8:{s:5:\"model\";s:6:\"dall-e\";s:4:\"name\";s:6:\"dall-e\";s:6:\"family\";s:6:\"dall-e\";s:4:\"type\";s:5:\"image\";s:4:\"unit\";i:1;s:7:\"options\";a:3:{i:0;a:2:{s:6:\"option\";s:9:\"1024x1024\";s:5:\"price\";d:0.02;}i:1;a:2:{s:6:\"option\";s:7:\"512x512\";s:5:\"price\";d:0.018;}i:2;a:2:{s:6:\"option\";s:7:\"256x256\";s:5:\"price\";d:0.016;}}s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:5:\"image\";}}i:8;a:9:{s:5:\"model\";s:22:\"text-embedding-ada-002\";s:4:\"name\";s:7:\"ada-002\";s:6:\"family\";s:3:\"ada\";s:5:\"price\";d:0.0004;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:4:\"mode\";s:9:\"embedding\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:9:\"embedding\";}}i:9;a:9:{s:5:\"model\";s:9:\"whisper-1\";s:4:\"name\";s:9:\"whisper-1\";s:6:\"family\";s:7:\"whisper\";s:5:\"price\";d:0.0006;s:4:\"type\";s:6:\"minute\";s:4:\"unit\";i:1;s:4:\"mode\";s:14:\"speech-to-text\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:5:\"audio\";}}}s:16:\"openai_finetunes\";a:0:{}s:20:\"openai_finetunes_all\";a:0:{}s:24:\"openai_finetunes_deleted\";a:0:{}s:8:\"pinecone\";a:5:{s:6:\"apikey\";b:0;s:6:\"server\";s:12:\"us-east1-gcp\";s:9:\"namespace\";s:4:\"mwai\";s:7:\"indexes\";a:0:{}s:5:\"index\";N;}s:10:\"embeddings\";a:6:{s:14:\"rewriteContent\";b:1;s:13:\"rewritePrompt\";s:401:\"Rewrite the content concisely in {LANGUAGE}, maintaining the same style and information. The revised text should be under 800 words, with paragraphs ranging from 160-280 words each. Omit non-textual elements and avoid unnecessary repetition. Conclude with a statement directing readers to find more information at {URL}. If you cannot meet these requirements, please leave a blank response.\n\n{CONTENT}\";s:13:\"forceRecreate\";b:0;s:9:\"maxSelect\";i:1;s:8:\"minScore\";i:75;s:9:\"syncPosts\";b:0;}s:12:\"extra_models\";s:0:\"\";s:10:\"debug_mode\";b:1;s:18:\"resolve_shortcodes\";b:0;s:18:\"dynamic_max_tokens\";b:1;s:9:\"languages\";a:8:{s:2:\"en\";s:7:\"English\";s:2:\"de\";s:6:\"German\";s:2:\"fr\";s:6:\"French\";s:2:\"es\";s:7:\"Spanish\";s:2:\"it\";s:7:\"Italian\";s:2:\"zh\";s:7:\"Chinese\";s:2:\"ja\";s:8:\"Japanese\";s:2:\"pt\";s:10:\"Portuguese\";}s:29:\"shortcode_chat_default_params\";a:34:{s:2:\"id\";s:0:\"\";s:3:\"env\";s:7:\"chatbot\";s:4:\"mode\";s:4:\"chat\";s:7:\"context\";s:63:\"Converse as if you were an AI assistant. Be friendly, creative.\";s:7:\"ai_name\";s:4:\"AI: \";s:9:\"user_name\";s:6:\"User: \";s:10:\"guest_name\";s:7:\"Guest: \";s:8:\"sys_name\";s:8:\"System: \";s:14:\"start_sentence\";s:23:\"Hi! How can I help you?\";s:9:\"text_send\";s:4:\"Send\";s:10:\"text_clear\";s:5:\"Clear\";s:22:\"text_input_placeholder\";s:20:\"Type your message...\";s:20:\"text_input_maxlength\";s:3:\"512\";s:15:\"text_compliance\";s:0:\"\";s:13:\"max_sentences\";i:15;s:5:\"style\";s:7:\"chatgpt\";s:6:\"window\";b:0;s:4:\"icon\";s:0:\"\";s:9:\"icon_text\";s:0:\"\";s:8:\"icon_alt\";s:17:\"AI Chatbot Avatar\";s:13:\"icon_position\";s:12:\"bottom-right\";s:10:\"fullscreen\";b:0;s:11:\"copy_button\";b:1;s:19:\"casually_fine_tuned\";b:0;s:13:\"content_aware\";b:0;s:16:\"embeddings_index\";s:0:\"\";s:13:\"prompt_ending\";N;s:17:\"completion_ending\";N;s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:11:\"temperature\";d:0.8;s:10:\"max_tokens\";i:1024;s:11:\"max_results\";i:3;s:7:\"api_key\";N;s:7:\"service\";s:6:\"openai\";}s:14:\"default_limits\";a:3:{s:7:\"enabled\";b:1;s:6:\"guests\";a:5:{s:7:\"credits\";i:3;s:10:\"creditType\";s:7:\"queries\";s:9:\"timeFrame\";s:3:\"day\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";}s:5:\"users\";a:6:{s:7:\"credits\";i:10;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";s:12:\"ignoredUsers\";s:20:\"administrator,editor\";}}}", "no");
INSERT INTO `wp_options` VALUES("266", "duplicate_post_show_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("267", "duplicate_post_copytitle", "1", "yes");
INSERT INTO `wp_options` VALUES("268", "duplicate_post_copydate", "0", "yes");
INSERT INTO `wp_options` VALUES("269", "duplicate_post_copystatus", "0", "yes");
INSERT INTO `wp_options` VALUES("270", "duplicate_post_copyslug", "0", "yes");
INSERT INTO `wp_options` VALUES("271", "duplicate_post_copyexcerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("272", "duplicate_post_copycontent", "1", "yes");
INSERT INTO `wp_options` VALUES("273", "duplicate_post_copythumbnail", "1", "yes");
INSERT INTO `wp_options` VALUES("274", "duplicate_post_copytemplate", "1", "yes");
INSERT INTO `wp_options` VALUES("275", "duplicate_post_copyformat", "1", "yes");
INSERT INTO `wp_options` VALUES("276", "duplicate_post_copyauthor", "0", "yes");
INSERT INTO `wp_options` VALUES("277", "duplicate_post_copypassword", "0", "yes");
INSERT INTO `wp_options` VALUES("278", "duplicate_post_copyattachments", "0", "yes");
INSERT INTO `wp_options` VALUES("279", "duplicate_post_copychildren", "0", "yes");
INSERT INTO `wp_options` VALUES("280", "duplicate_post_copycomments", "0", "yes");
INSERT INTO `wp_options` VALUES("281", "duplicate_post_copymenuorder", "1", "yes");
INSERT INTO `wp_options` VALUES("282", "duplicate_post_taxonomies_blacklist", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("283", "duplicate_post_blacklist", "", "yes");
INSERT INTO `wp_options` VALUES("284", "duplicate_post_types_enabled", "a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}", "yes");
INSERT INTO `wp_options` VALUES("285", "duplicate_post_show_original_column", "0", "yes");
INSERT INTO `wp_options` VALUES("286", "duplicate_post_show_original_in_post_states", "0", "yes");
INSERT INTO `wp_options` VALUES("287", "duplicate_post_show_original_meta_box", "0", "yes");
INSERT INTO `wp_options` VALUES("288", "duplicate_post_show_link", "a:3:{s:9:\"new_draft\";s:1:\"1\";s:5:\"clone\";s:1:\"1\";s:17:\"rewrite_republish\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("289", "duplicate_post_show_link_in", "a:4:{s:3:\"row\";s:1:\"1\";s:8:\"adminbar\";s:1:\"1\";s:9:\"submitbox\";s:1:\"1\";s:11:\"bulkactions\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("290", "duplicate_post_version", "4.5", "yes");
INSERT INTO `wp_options` VALUES("294", "_site_transient_timeout_theme_roots", "1680380089", "no");
INSERT INTO `wp_options` VALUES("295", "_site_transient_theme_roots", "a:4:{s:12:\"twentytwenty\";s:7:\"/themes\";s:15:\"twentytwentyone\";s:7:\"/themes\";s:17:\"twentytwentythree\";s:7:\"/themes\";s:15:\"twentytwentytwo\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("309", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("322", "_site_transient_timeout_wporg_theme_feature_list", "1680390319", "no");
INSERT INTO `wp_options` VALUES("323", "_site_transient_wporg_theme_feature_list", "a:3:{s:6:\"Layout\";a:8:{i:0;s:11:\"grid-layout\";i:1;s:10:\"one-column\";i:2;s:11:\"two-columns\";i:3;s:13:\"three-columns\";i:4;s:12:\"four-columns\";i:5;s:12:\"left-sidebar\";i:6;s:13:\"right-sidebar\";i:7;s:11:\"wide-blocks\";}s:8:\"Features\";a:26:{i:0;s:19:\"accessibility-ready\";i:1;s:14:\"block-patterns\";i:2;s:12:\"block-styles\";i:3;s:10:\"buddypress\";i:4;s:17:\"custom-background\";i:5;s:13:\"custom-colors\";i:6;s:13:\"custom-header\";i:7;s:11:\"custom-logo\";i:8;s:11:\"custom-menu\";i:9;s:12:\"editor-style\";i:10;s:21:\"featured-image-header\";i:11;s:15:\"featured-images\";i:12;s:15:\"flexible-header\";i:13;s:14:\"footer-widgets\";i:14;s:20:\"front-page-post-form\";i:15;s:17:\"full-site-editing\";i:16;s:19:\"full-width-template\";i:17;s:12:\"microformats\";i:18;s:12:\"post-formats\";i:19;s:20:\"rtl-language-support\";i:20;s:11:\"sticky-post\";i:21;s:16:\"style-variations\";i:22;s:16:\"template-editing\";i:23;s:13:\"theme-options\";i:24;s:17:\"threaded-comments\";i:25;s:17:\"translation-ready\";}s:7:\"Subject\";a:9:{i:0;s:4:\"blog\";i:1;s:10:\"e-commerce\";i:2;s:9:\"education\";i:3;s:13:\"entertainment\";i:4;s:14:\"food-and-drink\";i:5;s:7:\"holiday\";i:6;s:4:\"news\";i:7;s:11:\"photography\";i:8;s:9:\"portfolio\";}}", "no");
INSERT INTO `wp_options` VALUES("325", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1680379560;s:8:\"response\";a:1:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:3:\"5.1\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:54:\"https://downloads.wordpress.org/plugin/akismet.5.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:60:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=2818463\";s:2:\"1x\";s:60:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=2818463\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:61:\"https://ps.w.org/akismet/assets/banner-772x250.jpg?rev=479904\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.0\";s:6:\"tested\";s:5:\"6.1.1\";s:12:\"requires_php\";s:3:\"5.2\";}}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:4:{s:41:\"create-block-theme/create-block-theme.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:32:\"w.org/plugins/create-block-theme\";s:4:\"slug\";s:18:\"create-block-theme\";s:6:\"plugin\";s:41:\"create-block-theme/create-block-theme.php\";s:11:\"new_version\";s:5:\"1.7.1\";s:3:\"url\";s:49:\"https://wordpress.org/plugins/create-block-theme/\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/plugin/create-block-theme.1.7.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:71:\"https://ps.w.org/create-block-theme/assets/icon-256x256.png?rev=2777957\";s:2:\"1x\";s:71:\"https://ps.w.org/create-block-theme/assets/icon-128x128.png?rev=2777957\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:74:\"https://ps.w.org/create-block-theme/assets/banner-1544x500.png?rev=2777957\";s:2:\"1x\";s:73:\"https://ps.w.org/create-block-theme/assets/banner-772x250.png?rev=2777957\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:7:\"1.5.3.1\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/duplicator.1.5.3.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2605836\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2605835\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2085472\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.0\";}s:9:\"hello.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:25:\"w.org/plugins/hello-dolly\";s:4:\"slug\";s:11:\"hello-dolly\";s:6:\"plugin\";s:9:\"hello.php\";s:11:\"new_version\";s:5:\"1.7.2\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/hello-dolly/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/hello-dolly.1.7.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-256x256.jpg?rev=2052855\";s:2:\"1x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-128x128.jpg?rev=2052855\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/hello-dolly/assets/banner-1544x500.jpg?rev=2645582\";s:2:\"1x\";s:66:\"https://ps.w.org/hello-dolly/assets/banner-772x250.jpg?rev=2052855\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.6\";}s:33:\"duplicate-post/duplicate-post.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:28:\"w.org/plugins/duplicate-post\";s:4:\"slug\";s:14:\"duplicate-post\";s:6:\"plugin\";s:33:\"duplicate-post/duplicate-post.php\";s:11:\"new_version\";s:3:\"4.5\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/duplicate-post/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/duplicate-post.4.5.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/duplicate-post/assets/icon-256x256.png?rev=2336666\";s:2:\"1x\";s:67:\"https://ps.w.org/duplicate-post/assets/icon-128x128.png?rev=2336666\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/duplicate-post/assets/banner-1544x500.png?rev=2336666\";s:2:\"1x\";s:69:\"https://ps.w.org/duplicate-post/assets/banner-772x250.png?rev=2336666\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.9\";}}s:7:\"checked\";a:5:{s:19:\"akismet/akismet.php\";s:5:\"4.2.5\";s:41:\"create-block-theme/create-block-theme.php\";s:5:\"1.7.1\";s:25:\"duplicator/duplicator.php\";s:7:\"1.5.3.1\";s:9:\"hello.php\";s:5:\"1.7.2\";s:33:\"duplicate-post/duplicate-post.php\";s:3:\"4.5\";}}", "no");
INSERT INTO `wp_options` VALUES("326", "duplicator_version_plugin", "1.5.3.1", "yes");
INSERT INTO `wp_options` VALUES("327", "duplicator_uninstall_package", "1", "yes");
INSERT INTO `wp_options` VALUES("328", "duplicator_uninstall_settings", "1", "yes");
INSERT INTO `wp_options` VALUES("329", "duplicator_settings", "a:17:{s:7:\"version\";s:7:\"1.5.3.1\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:1;i:0;b:0;}", "yes");
INSERT INTO `wp_options` VALUES("331", "duplicator_activated", "a:1:{s:4:\"lite\";i:1680379561;}", "yes");
INSERT INTO `wp_options` VALUES("332", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-04-01 20:07:50\";s:7:\"Version\";s:7:\"1.5.3.1\";s:9:\"VersionWP\";s:3:\"6.2\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:5:\"8.0.8\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:14:\"20230401_seven\";s:4:\"Hash\";s:35:\"a9e4247ff1357ad25216_20230401200750\";s:8:\"NameHash\";s:50:\"20230401_seven_a9e4247ff1357ad25216_20230401200750\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:60:\"20230401_seven_a9e4247ff1357ad25216_20230401200750_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:50:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:589;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:4345;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-04-01 20:07:50\";s:7:\"Version\";s:7:\"1.5.3.1\";s:9:\"VersionWP\";s:3:\"6.2\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:5:\"8.0.8\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:14:\"20230401_seven\";s:4:\"Hash\";s:35:\"a9e4247ff1357ad25216_20230401200750\";s:8:\"NameHash\";s:50:\"20230401_seven_a9e4247ff1357ad25216_20230401200750\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:64:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":14:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:59:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-admin\";i:1;s:62:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-includes\";i:2;s:71:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:50:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03\";i:1;s:50:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03\";i:2;s:61:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content\";i:3;s:69:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/uploads\";i:4;s:69:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/plugins\";i:5;s:72:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/mu-plugins\";i:6;s:68:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:82:\"/Applications/MAMP/htdocs/exams/final-exam-2022-03/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:143;}", "yes");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4", "5", "wp_dummy_content_generator_post", "true");
INSERT INTO `wp_postmeta` VALUES("34", "15", "wp_dummy_content_generator_post", "true");
INSERT INTO `wp_postmeta` VALUES("106", "39", "wp_dummy_content_generator_post", "true");
INSERT INTO `wp_postmeta` VALUES("124", "45", "wp_dummy_content_generator_post", "true");
INSERT INTO `wp_postmeta` VALUES("142", "51", "wp_dummy_content_generator_post", "true");
INSERT INTO `wp_postmeta` VALUES("154", "15", "_edit_lock", "1658876669:1");
INSERT INTO `wp_postmeta` VALUES("171", "39", "_edit_lock", "1680379136:1");
INSERT INTO `wp_postmeta` VALUES("172", "5", "_edit_lock", "1680379135:1");
INSERT INTO `wp_postmeta` VALUES("173", "51", "_edit_lock", "1680379137:1");
INSERT INTO `wp_postmeta` VALUES("223", "15", "_wp_desired_post_slug", "id-fugiat-nihil-aut-non");
INSERT INTO `wp_postmeta` VALUES("272", "105", "_wp_attached_file", "2022/01/kris-gerhard-0BKZfcamvGg-unsplash-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("273", "105", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1810;s:4:\"file\";s:52:\"2022/01/kris-gerhard-0BKZfcamvGg-unsplash-scaled.jpg\";s:8:\"filesize\";i:330995;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"kris-gerhard-0BKZfcamvGg-unsplash-300x212.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:212;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9349;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"kris-gerhard-0BKZfcamvGg-unsplash-1024x724.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:724;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:65468;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"kris-gerhard-0BKZfcamvGg-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4746;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"kris-gerhard-0BKZfcamvGg-unsplash-768x543.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:543;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40360;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:47:\"kris-gerhard-0BKZfcamvGg-unsplash-1536x1086.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1086;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131309;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:47:\"kris-gerhard-0BKZfcamvGg-unsplash-2048x1448.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1448;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:219801;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:37:\"kris-gerhard-0BKZfcamvGg-unsplash.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("274", "15", "_thumbnail_id", "105");
INSERT INTO `wp_postmeta` VALUES("275", "107", "_edit_lock", "1680379139:1");
INSERT INTO `wp_postmeta` VALUES("277", "109", "_wp_attached_file", "2023/04/person-01.webp");
INSERT INTO `wp_postmeta` VALUES("278", "109", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1367;s:4:\"file\";s:22:\"2023/04/person-01.webp\";s:8:\"filesize\";i:34804;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-01-219x300.webp\";s:5:\"width\";i:219;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4548;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-01-749x1024.webp\";s:5:\"width\";i:749;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:28246;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-01-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2412;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-01-768x1050.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1050;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:29420;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("279", "110", "_wp_attached_file", "2023/04/person-02.webp");
INSERT INTO `wp_postmeta` VALUES("280", "110", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1294;s:4:\"file\";s:22:\"2023/04/person-02.webp\";s:8:\"filesize\";i:128678;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-02-232x300.webp\";s:5:\"width\";i:232;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:11456;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-02-791x1024.webp\";s:5:\"width\";i:791;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:112728;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-02-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4080;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"person-02-768x994.webp\";s:5:\"width\";i:768;s:6:\"height\";i:994;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:108178;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("281", "111", "_wp_attached_file", "2023/04/person-03.webp");
INSERT INTO `wp_postmeta` VALUES("282", "111", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-03.webp\";s:8:\"filesize\";i:182678;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-03-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12212;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-03-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:118016;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-03-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5982;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-03-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:145140;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("283", "112", "_wp_attached_file", "2023/04/person-04.webp");
INSERT INTO `wp_postmeta` VALUES("284", "112", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-04.webp\";s:8:\"filesize\";i:80046;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-04-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:11560;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-04-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:64110;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-04-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5496;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-04-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:75410;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("285", "113", "_wp_attached_file", "2023/04/person-05.webp");
INSERT INTO `wp_postmeta` VALUES("286", "113", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1499;s:4:\"file\";s:22:\"2023/04/person-05.webp\";s:8:\"filesize\";i:47606;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-05-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:8900;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-05-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:41726;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-05-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4862;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-05-768x1151.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1151;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:47018;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("287", "114", "_wp_attached_file", "2023/04/person-06.webp");
INSERT INTO `wp_postmeta` VALUES("288", "114", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1499;s:4:\"file\";s:22:\"2023/04/person-06.webp\";s:8:\"filesize\";i:39216;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-06-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:7668;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-06-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:33812;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-06-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4068;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-06-768x1151.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1151;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:39586;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("289", "115", "_wp_attached_file", "2023/04/person-07.webp");
INSERT INTO `wp_postmeta` VALUES("290", "115", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1545;s:4:\"file\";s:22:\"2023/04/person-07.webp\";s:8:\"filesize\";i:37752;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-07-194x300.webp\";s:5:\"width\";i:194;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:7192;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-07-663x1024.webp\";s:5:\"width\";i:663;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:32156;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-07-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3618;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-07-768x1187.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1187;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:39598;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"person-07-994x1536.webp\";s:5:\"width\";i:994;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:53086;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("291", "116", "_wp_attached_file", "2023/04/person-08.webp");
INSERT INTO `wp_postmeta` VALUES("292", "116", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-08.webp\";s:8:\"filesize\";i:99578;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-08-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12828;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-08-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:80322;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-08-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4886;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-08-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:93914;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("293", "117", "_wp_attached_file", "2023/04/person-09.webp");
INSERT INTO `wp_postmeta` VALUES("294", "117", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-09.webp\";s:8:\"filesize\";i:46872;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-09-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6412;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-09-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:35730;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-09-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3078;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-09-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:41852;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("295", "118", "_wp_attached_file", "2023/04/person-10.webp");
INSERT INTO `wp_postmeta` VALUES("296", "118", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1374;s:4:\"file\";s:22:\"2023/04/person-10.webp\";s:8:\"filesize\";i:36158;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-10-218x300.webp\";s:5:\"width\";i:218;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6672;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-10-745x1024.webp\";s:5:\"width\";i:745;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:32350;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-10-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3440;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-10-768x1055.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1055;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:33712;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("297", "119", "_wp_attached_file", "2023/04/person-11.webp");
INSERT INTO `wp_postmeta` VALUES("298", "119", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1478;s:4:\"file\";s:22:\"2023/04/person-11.webp\";s:8:\"filesize\";i:56826;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-11-203x300.webp\";s:5:\"width\";i:203;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5174;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-11-693x1024.webp\";s:5:\"width\";i:693;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:37546;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-11-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3066;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-11-768x1135.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1135;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:44036;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("299", "120", "_wp_attached_file", "2023/04/person-12.webp");
INSERT INTO `wp_postmeta` VALUES("300", "120", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-12.webp\";s:8:\"filesize\";i:75352;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-12-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10074;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-12-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:59910;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-12-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5316;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-12-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:71020;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("301", "121", "_wp_attached_file", "2023/04/person-13.webp");
INSERT INTO `wp_postmeta` VALUES("302", "121", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-13.webp\";s:8:\"filesize\";i:114870;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-13-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:9238;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-13-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:73560;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-13-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4268;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-13-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:89860;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("303", "122", "_wp_attached_file", "2023/04/person-14.webp");
INSERT INTO `wp_postmeta` VALUES("304", "122", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-14.webp\";s:8:\"filesize\";i:61374;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-14-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10414;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-14-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52900;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-14-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5686;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-14-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:61440;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("305", "123", "_wp_attached_file", "2023/04/person-15.webp");
INSERT INTO `wp_postmeta` VALUES("306", "123", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1390;s:4:\"file\";s:22:\"2023/04/person-15.webp\";s:8:\"filesize\";i:97468;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-15-216x300.webp\";s:5:\"width\";i:216;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12498;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-15-737x1024.webp\";s:5:\"width\";i:737;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:84360;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-15-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5766;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-15-768x1068.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1068;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:91922;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("307", "124", "_wp_attached_file", "2023/04/person-16.webp");
INSERT INTO `wp_postmeta` VALUES("308", "124", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-16.webp\";s:8:\"filesize\";i:78654;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-16-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:7876;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-16-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:55204;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-16-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3686;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-16-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:69464;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("309", "125", "_wp_attached_file", "2023/04/person-17.webp");
INSERT INTO `wp_postmeta` VALUES("310", "125", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1505;s:4:\"file\";s:22:\"2023/04/person-17.webp\";s:8:\"filesize\";i:62606;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-17-199x300.webp\";s:5:\"width\";i:199;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:8506;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-17-680x1024.webp\";s:5:\"width\";i:680;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:50696;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-17-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4202;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-17-768x1156.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1156;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:59364;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("311", "126", "_wp_attached_file", "2023/04/person-18.webp");
INSERT INTO `wp_postmeta` VALUES("312", "126", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1333;s:4:\"file\";s:22:\"2023/04/person-18.webp\";s:8:\"filesize\";i:126694;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-18-225x300.webp\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12992;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-18-768x1024.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:113366;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-18-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4854;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-18-768x1024.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:113366;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("313", "127", "_wp_attached_file", "2023/04/person-19.webp");
INSERT INTO `wp_postmeta` VALUES("314", "127", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1505;s:4:\"file\";s:22:\"2023/04/person-19.webp\";s:8:\"filesize\";i:64886;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-19-199x300.webp\";s:5:\"width\";i:199;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6068;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-19-680x1024.webp\";s:5:\"width\";i:680;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:48978;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-19-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3114;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-19-768x1156.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1156;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:58996;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("315", "128", "_wp_attached_file", "2023/04/person-20.webp");
INSERT INTO `wp_postmeta` VALUES("316", "128", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-20.webp\";s:8:\"filesize\";i:52362;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-20-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:9014;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-20-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:45070;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-20-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4262;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-20-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:50884;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("317", "129", "_wp_attached_file", "2023/04/person-21.webp");
INSERT INTO `wp_postmeta` VALUES("318", "129", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-21.webp\";s:8:\"filesize\";i:38536;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-21-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:7202;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-21-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:34010;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-21-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4396;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-21-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:40348;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("319", "130", "_wp_attached_file", "2023/04/person-22.webp");
INSERT INTO `wp_postmeta` VALUES("320", "130", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1518;s:4:\"file\";s:22:\"2023/04/person-22.webp\";s:8:\"filesize\";i:77312;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-22-198x300.webp\";s:5:\"width\";i:198;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5950;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-22-675x1024.webp\";s:5:\"width\";i:675;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:54012;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-22-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3300;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-22-768x1166.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1166;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:66418;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("321", "131", "_wp_attached_file", "2023/04/person-23.webp");
INSERT INTO `wp_postmeta` VALUES("322", "131", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1333;s:4:\"file\";s:22:\"2023/04/person-23.webp\";s:8:\"filesize\";i:45710;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-23-225x300.webp\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10564;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-23-768x1024.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46020;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-23-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5384;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-23-768x1024.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46020;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("323", "132", "_wp_attached_file", "2023/04/person-24.webp");
INSERT INTO `wp_postmeta` VALUES("324", "132", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-24.webp\";s:8:\"filesize\";i:58304;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-24-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:11260;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-24-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52588;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-24-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5022;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-24-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:59740;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("325", "133", "_wp_attached_file", "2023/04/person-25.webp");
INSERT INTO `wp_postmeta` VALUES("326", "133", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-25.webp\";s:8:\"filesize\";i:63676;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-25-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12992;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-25-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:57018;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-25-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6416;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-25-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:64998;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("327", "134", "_wp_attached_file", "2023/04/person-26.webp");
INSERT INTO `wp_postmeta` VALUES("328", "134", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1465;s:4:\"file\";s:22:\"2023/04/person-26.webp\";s:8:\"filesize\";i:87004;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-26-205x300.webp\";s:5:\"width\";i:205;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:8536;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-26-699x1024.webp\";s:5:\"width\";i:699;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:64186;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-26-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4180;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-26-768x1125.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1125;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:73098;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("329", "135", "_wp_attached_file", "2023/04/person-27.webp");
INSERT INTO `wp_postmeta` VALUES("330", "135", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-27.webp\";s:8:\"filesize\";i:264410;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-27-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:26146;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-27-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:206956;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-27-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10850;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-27-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:248492;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("331", "136", "_wp_attached_file", "2023/04/person-28.webp");
INSERT INTO `wp_postmeta` VALUES("332", "136", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-28.webp\";s:8:\"filesize\";i:35906;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-28-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5126;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-28-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:27390;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-28-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2912;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-28-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:32370;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("333", "137", "_wp_attached_file", "2023/04/person-29.webp");
INSERT INTO `wp_postmeta` VALUES("334", "137", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1250;s:4:\"file\";s:22:\"2023/04/person-29.webp\";s:8:\"filesize\";i:25200;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-29-240x300.webp\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4558;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-29-819x1024.webp\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:24186;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-29-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2536;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"person-29-768x960.webp\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:21922;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("335", "138", "_wp_attached_file", "2023/04/person-30.webp");
INSERT INTO `wp_postmeta` VALUES("336", "138", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-30.webp\";s:8:\"filesize\";i:142352;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-30-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12792;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-30-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:101904;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-30-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5494;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-30-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:123338;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("337", "139", "_wp_attached_file", "2023/04/person-31.webp");
INSERT INTO `wp_postmeta` VALUES("338", "139", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-31.webp\";s:8:\"filesize\";i:99538;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-31-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10410;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-31-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:72014;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-31-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4856;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-31-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:85904;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("339", "140", "_wp_attached_file", "2023/04/person-32.webp");
INSERT INTO `wp_postmeta` VALUES("340", "140", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-32.webp\";s:8:\"filesize\";i:37058;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-32-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6118;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-32-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:31078;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-32-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3652;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-32-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:36072;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("341", "141", "_wp_attached_file", "2023/04/person-33.webp");
INSERT INTO `wp_postmeta` VALUES("342", "141", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-33.webp\";s:8:\"filesize\";i:61286;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-33-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:7814;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-33-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46394;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-33-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3764;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-33-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:54250;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("343", "142", "_wp_attached_file", "2023/04/person-34.webp");
INSERT INTO `wp_postmeta` VALUES("344", "142", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1333;s:4:\"file\";s:22:\"2023/04/person-34.webp\";s:8:\"filesize\";i:14798;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-34-225x300.webp\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3084;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-34-768x1024.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:14252;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-34-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1540;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-34-768x1024.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:14252;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("345", "143", "_wp_attached_file", "2023/04/person-35.webp");
INSERT INTO `wp_postmeta` VALUES("346", "143", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-35.webp\";s:8:\"filesize\";i:39142;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-35-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6118;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-35-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:31166;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-35-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3422;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-35-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:36628;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("347", "144", "_wp_attached_file", "2023/04/person-36.webp");
INSERT INTO `wp_postmeta` VALUES("348", "144", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-36.webp\";s:8:\"filesize\";i:52638;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-36-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:9932;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-36-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:45236;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-36-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4928;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-36-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:51094;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("349", "145", "_wp_attached_file", "2023/04/person-37.webp");
INSERT INTO `wp_postmeta` VALUES("350", "145", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-37.webp\";s:8:\"filesize\";i:41038;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-37-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5928;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-37-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:33746;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-37-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2454;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-37-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:39130;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("351", "146", "_wp_attached_file", "2023/04/person-38.webp");
INSERT INTO `wp_postmeta` VALUES("352", "146", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-38.webp\";s:8:\"filesize\";i:46974;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-38-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:7290;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-38-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:38620;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-38-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3556;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-38-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:44938;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("353", "147", "_edit_lock", "1680379133:1");
INSERT INTO `wp_postmeta` VALUES("354", "148", "_wp_attached_file", "2023/04/person-39.webp");
INSERT INTO `wp_postmeta` VALUES("355", "148", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1401;s:4:\"file\";s:22:\"2023/04/person-39.webp\";s:8:\"filesize\";i:64194;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-39-214x300.webp\";s:5:\"width\";i:214;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12744;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-39-731x1024.webp\";s:5:\"width\";i:731;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:61726;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-39-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6436;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-39-768x1076.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:64242;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("356", "149", "_wp_attached_file", "2023/04/person-40.webp");
INSERT INTO `wp_postmeta` VALUES("357", "149", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-40.webp\";s:8:\"filesize\";i:92490;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-40-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:13704;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-40-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:76900;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-40-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6396;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-40-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:88952;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("358", "150", "_wp_attached_file", "2023/04/person-41.webp");
INSERT INTO `wp_postmeta` VALUES("359", "150", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-41.webp\";s:8:\"filesize\";i:121342;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-41-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12156;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-41-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:90202;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-41-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4674;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-41-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:106514;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("360", "151", "_wp_attached_file", "2023/04/person-42.webp");
INSERT INTO `wp_postmeta` VALUES("361", "151", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1250;s:4:\"file\";s:22:\"2023/04/person-42.webp\";s:8:\"filesize\";i:27816;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-42-240x300.webp\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6050;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-42-819x1024.webp\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:28658;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-42-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2824;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"person-42-768x960.webp\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:26318;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("362", "152", "_wp_attached_file", "2023/04/person-43.webp");
INSERT INTO `wp_postmeta` VALUES("363", "152", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1500;s:4:\"file\";s:22:\"2023/04/person-43.webp\";s:8:\"filesize\";i:69030;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"person-43-200x300.webp\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:7462;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"person-43-683x1024.webp\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:53166;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"person-43-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3048;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"person-43-768x1152.webp\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:62088;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("366", "147", "_thumbnail_id", "151");
INSERT INTO `wp_postmeta` VALUES("368", "107", "_thumbnail_id", "141");
INSERT INTO `wp_postmeta` VALUES("369", "154", "_edit_lock", "1680378348:1");
INSERT INTO `wp_postmeta` VALUES("372", "154", "_thumbnail_id", "130");
INSERT INTO `wp_postmeta` VALUES("373", "156", "_edit_lock", "1680379463:1");
INSERT INTO `wp_postmeta` VALUES("376", "39", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("378", "5", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("380", "45", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("382", "51", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("384", "156", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("386", "154", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("388", "147", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("390", "107", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("391", "159", "_wp_attached_file", "2023/04/face-4.jpg");
INSERT INTO `wp_postmeta` VALUES("392", "159", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:18:\"2023/04/face-4.jpg\";s:8:\"filesize\";i:158244;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"face-4-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19822;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"face-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5891;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("393", "160", "_wp_attached_file", "2023/04/face-4-1.jpg");
INSERT INTO `wp_postmeta` VALUES("394", "160", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:20:\"2023/04/face-4-1.jpg\";s:8:\"filesize\";i:158244;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"face-4-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19822;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"face-4-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5891;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("395", "161", "_wp_attached_file", "2023/04/face-5.jpg");
INSERT INTO `wp_postmeta` VALUES("396", "161", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:18:\"2023/04/face-5.jpg\";s:8:\"filesize\";i:85709;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"face-5-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14690;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"face-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5118;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("397", "162", "_wp_attached_file", "2023/04/face-6.jpg");
INSERT INTO `wp_postmeta` VALUES("398", "162", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:18:\"2023/04/face-6.jpg\";s:8:\"filesize\";i:71580;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"face-6-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10927;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"face-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3986;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("399", "163", "_wp_attached_file", "2023/04/face-7.jpg");
INSERT INTO `wp_postmeta` VALUES("400", "163", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:18:\"2023/04/face-7.jpg\";s:8:\"filesize\";i:126636;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"face-7-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21284;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"face-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7438;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("401", "164", "_wp_attached_file", "2023/04/face-8.jpg");
INSERT INTO `wp_postmeta` VALUES("402", "164", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:18:\"2023/04/face-8.jpg\";s:8:\"filesize\";i:84917;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"face-8-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17585;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"face-8-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6253;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("403", "165", "_wp_attached_file", "2023/04/face-9.jpg");
INSERT INTO `wp_postmeta` VALUES("404", "165", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2009;s:6:\"height\";i:2009;s:4:\"file\";s:18:\"2023/04/face-9.jpg\";s:8:\"filesize\";i:207164;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"face-9-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5375;}s:5:\"large\";a:5:{s:4:\"file\";s:20:\"face-9-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44859;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"face-9-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2270;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:18:\"face-9-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26260;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:20:\"face-9-1536x1536.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:94715;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("405", "166", "_wp_attached_file", "2023/04/face-10.jpg");
INSERT INTO `wp_postmeta` VALUES("406", "166", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:19:\"2023/04/face-10.jpg\";s:8:\"filesize\";i:61293;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"face-10-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10036;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"face-10-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3817;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("407", "167", "_wp_attached_file", "2023/04/face-11.jpg");
INSERT INTO `wp_postmeta` VALUES("408", "167", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:19:\"2023/04/face-11.jpg\";s:8:\"filesize\";i:59322;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"face-11-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9807;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"face-11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3676;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("409", "168", "_wp_attached_file", "2023/04/face-12.jpg");
INSERT INTO `wp_postmeta` VALUES("410", "168", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:19:\"2023/04/face-12.jpg\";s:8:\"filesize\";i:42215;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"face-12-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7294;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"face-12-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2972;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("411", "169", "_wp_attached_file", "2023/04/face-4-2.jpg");
INSERT INTO `wp_postmeta` VALUES("412", "169", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:20:\"2023/04/face-4-2.jpg\";s:8:\"filesize\";i:158244;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"face-4-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19822;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"face-4-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5891;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("413", "170", "_wp_attached_file", "2023/04/face-5-1.jpg");
INSERT INTO `wp_postmeta` VALUES("414", "170", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:20:\"2023/04/face-5-1.jpg\";s:8:\"filesize\";i:85709;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"face-5-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14690;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"face-5-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5118;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("415", "171", "_wp_attached_file", "2023/04/face-6-1.jpg");
INSERT INTO `wp_postmeta` VALUES("416", "171", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:20:\"2023/04/face-6-1.jpg\";s:8:\"filesize\";i:71580;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"face-6-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10927;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"face-6-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3986;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("417", "172", "_wp_attached_file", "2023/04/face-7-1.jpg");
INSERT INTO `wp_postmeta` VALUES("418", "172", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:20:\"2023/04/face-7-1.jpg\";s:8:\"filesize\";i:126636;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"face-7-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21284;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"face-7-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7438;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("419", "173", "_wp_attached_file", "2023/04/face-8-1.jpg");
INSERT INTO `wp_postmeta` VALUES("420", "173", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:20:\"2023/04/face-8-1.jpg\";s:8:\"filesize\";i:84917;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"face-8-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17585;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"face-8-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6253;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("421", "174", "_wp_attached_file", "2023/04/face-9-1.jpg");
INSERT INTO `wp_postmeta` VALUES("422", "174", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2009;s:6:\"height\";i:2009;s:4:\"file\";s:20:\"2023/04/face-9-1.jpg\";s:8:\"filesize\";i:207164;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"face-9-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5375;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"face-9-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44859;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"face-9-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2270;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"face-9-1-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26260;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"face-9-1-1536x1536.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:94715;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("423", "175", "_wp_attached_file", "2023/04/face-10-1.jpg");
INSERT INTO `wp_postmeta` VALUES("424", "175", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:21:\"2023/04/face-10-1.jpg\";s:8:\"filesize\";i:61293;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"face-10-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10036;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"face-10-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3817;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("425", "176", "_wp_attached_file", "2023/04/face-11-1.jpg");
INSERT INTO `wp_postmeta` VALUES("426", "176", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:21:\"2023/04/face-11-1.jpg\";s:8:\"filesize\";i:59322;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"face-11-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9807;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"face-11-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3676;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("427", "177", "_wp_attached_file", "2023/04/face-12-1.jpg");
INSERT INTO `wp_postmeta` VALUES("428", "177", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:21:\"2023/04/face-12-1.jpg\";s:8:\"filesize\";i:42215;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"face-12-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7294;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"face-12-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2972;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("429", "178", "_wp_attached_file", "2023/04/face-13.jpg");
INSERT INTO `wp_postmeta` VALUES("430", "178", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:19:\"2023/04/face-13.jpg\";s:8:\"filesize\";i:121671;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"face-13-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24470;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"face-13-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7303;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("431", "179", "_wp_attached_file", "2023/04/face-14.jpg");
INSERT INTO `wp_postmeta` VALUES("432", "179", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:19:\"2023/04/face-14.jpg\";s:8:\"filesize\";i:26854;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"face-14-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5526;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"face-14-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2399;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("433", "180", "_wp_attached_file", "2023/04/face-15.jpg");
INSERT INTO `wp_postmeta` VALUES("434", "180", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:19:\"2023/04/face-15.jpg\";s:8:\"filesize\";i:111839;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"face-15-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17915;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"face-15-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4940;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("435", "181", "_wp_attached_file", "2023/04/face-16.jpg");
INSERT INTO `wp_postmeta` VALUES("436", "181", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:19:\"2023/04/face-16.jpg\";s:8:\"filesize\";i:70050;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"face-16-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15162;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"face-16-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5522;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("437", "182", "_wp_attached_file", "2023/04/face-17.jpg");
INSERT INTO `wp_postmeta` VALUES("438", "182", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:19:\"2023/04/face-17.jpg\";s:8:\"filesize\";i:43477;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"face-17-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7747;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"face-17-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3058;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("439", "183", "_wp_attached_file", "2023/04/face-18.jpg");
INSERT INTO `wp_postmeta` VALUES("440", "183", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:19:\"2023/04/face-18.jpg\";s:8:\"filesize\";i:93147;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"face-18-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13748;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"face-18-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4328;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("441", "184", "_wp_attached_file", "2023/04/face-19.jpg");
INSERT INTO `wp_postmeta` VALUES("442", "184", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:19:\"2023/04/face-19.jpg\";s:8:\"filesize\";i:26316;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"face-19-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5910;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"face-19-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2604;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("443", "185", "_wp_attached_file", "2023/04/face-20.jpg");
INSERT INTO `wp_postmeta` VALUES("444", "185", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:700;s:4:\"file\";s:19:\"2023/04/face-20.jpg\";s:8:\"filesize\";i:75601;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"face-20-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14271;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"face-20-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4916;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("445", "45", "_edit_lock", "1680379135:1");
INSERT INTO `wp_postmeta` VALUES("447", "39", "_thumbnail_id", "183");
INSERT INTO `wp_postmeta` VALUES("449", "5", "_thumbnail_id", "177");
INSERT INTO `wp_postmeta` VALUES("451", "45", "_thumbnail_id", "166");
INSERT INTO `wp_postmeta` VALUES("453", "51", "_thumbnail_id", "180");
INSERT INTO `wp_postmeta` VALUES("454", "186", "_dp_original", "156");
INSERT INTO `wp_postmeta` VALUES("455", "187", "_thumbnail_id", "130");
INSERT INTO `wp_postmeta` VALUES("456", "187", "_dp_original", "154");
INSERT INTO `wp_postmeta` VALUES("457", "188", "_thumbnail_id", "151");
INSERT INTO `wp_postmeta` VALUES("458", "188", "_dp_original", "147");
INSERT INTO `wp_postmeta` VALUES("459", "189", "_thumbnail_id", "141");
INSERT INTO `wp_postmeta` VALUES("460", "189", "_dp_original", "107");
INSERT INTO `wp_postmeta` VALUES("461", "190", "_dp_original", "156");
INSERT INTO `wp_postmeta` VALUES("462", "191", "_thumbnail_id", "130");
INSERT INTO `wp_postmeta` VALUES("463", "191", "_dp_original", "154");
INSERT INTO `wp_postmeta` VALUES("464", "192", "_thumbnail_id", "151");
INSERT INTO `wp_postmeta` VALUES("465", "192", "_dp_original", "147");
INSERT INTO `wp_postmeta` VALUES("466", "193", "_thumbnail_id", "141");
INSERT INTO `wp_postmeta` VALUES("467", "193", "_dp_original", "107");
INSERT INTO `wp_postmeta` VALUES("468", "194", "wp_dummy_content_generator_post", "true");
INSERT INTO `wp_postmeta` VALUES("469", "194", "_thumbnail_id", "183");
INSERT INTO `wp_postmeta` VALUES("470", "194", "_dp_original", "39");
INSERT INTO `wp_postmeta` VALUES("471", "195", "wp_dummy_content_generator_post", "true");
INSERT INTO `wp_postmeta` VALUES("472", "195", "_thumbnail_id", "177");
INSERT INTO `wp_postmeta` VALUES("473", "195", "_dp_original", "5");
INSERT INTO `wp_postmeta` VALUES("474", "196", "wp_dummy_content_generator_post", "true");
INSERT INTO `wp_postmeta` VALUES("475", "196", "_thumbnail_id", "166");
INSERT INTO `wp_postmeta` VALUES("476", "196", "_dp_original", "45");
INSERT INTO `wp_postmeta` VALUES("477", "197", "wp_dummy_content_generator_post", "true");
INSERT INTO `wp_postmeta` VALUES("478", "197", "_thumbnail_id", "180");
INSERT INTO `wp_postmeta` VALUES("479", "197", "_dp_original", "51");
INSERT INTO `wp_postmeta` VALUES("480", "194", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("481", "194", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("482", "194", "_edit_lock", "1680379225:1");
INSERT INTO `wp_postmeta` VALUES("483", "195", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("484", "195", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("485", "195", "_edit_lock", "1680379209:1");
INSERT INTO `wp_postmeta` VALUES("486", "196", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("487", "196", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("488", "196", "_edit_lock", "1680379238:1");
INSERT INTO `wp_postmeta` VALUES("489", "197", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("490", "197", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("491", "197", "_edit_lock", "1680379248:1");
INSERT INTO `wp_postmeta` VALUES("492", "191", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("493", "191", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("494", "191", "_edit_lock", "1680379268:1");
INSERT INTO `wp_postmeta` VALUES("495", "186", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("496", "186", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("497", "186", "_edit_lock", "1680379583:1");
INSERT INTO `wp_postmeta` VALUES("498", "187", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("499", "187", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("500", "187", "_edit_lock", "1680379286:1");
INSERT INTO `wp_postmeta` VALUES("501", "188", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("502", "188", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("503", "188", "_edit_lock", "1680379298:1");
INSERT INTO `wp_postmeta` VALUES("504", "189", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("505", "189", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("506", "189", "_edit_lock", "1680379311:1");
INSERT INTO `wp_postmeta` VALUES("512", "190", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("515", "192", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("517", "193", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("530", "190", "_edit_lock", "1680379583:1");
INSERT INTO `wp_postmeta` VALUES("532", "190", "_thumbnail_id", "149");
INSERT INTO `wp_postmeta` VALUES("534", "186", "_thumbnail_id", "143");
INSERT INTO `wp_postmeta` VALUES("537", "156", "_thumbnail_id", "144");
INSERT INTO `wp_postmeta` VALUES("538", "210", "origin", "theme");
INSERT INTO `wp_postmeta` VALUES("539", "211", "origin", "theme");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("2", "1", "2022-07-26 22:36:05", "2022-07-26 22:36:05", "<!-- wp:paragraph -->\n<p>This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>...or something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>As a new WordPress user, you should go to <a href=\"http://localhost:8888/exams/final-exam-2022-03/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!</p>\n<!-- /wp:paragraph -->", "Sample Page", "", "publish", "closed", "open", "", "sample-page", "", "", "2022-07-26 22:36:05", "2022-07-26 22:36:05", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("3", "1", "2022-07-26 22:36:05", "2022-07-26 22:36:05", "<!-- wp:heading --><h2>Who we are</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Our website address is: http://localhost:8888/exams/final-exam-2022-03.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Comments</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>When visitors leave comments on the site we collect the data shown in the comments form, and also the visitor&#8217;s IP address and browser user agent string to help spam detection.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>An anonymized string created from your email address (also called a hash) may be provided to the Gravatar service to see if you are using it. The Gravatar service privacy policy is available here: https://automattic.com/privacy/. After approval of your comment, your profile picture is visible to the public in the context of your comment.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Media</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you upload images to the website, you should avoid uploading images with embedded location data (EXIF GPS) included. Visitors to the website can download and extract any location data from images on the website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Cookies</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment on our site you may opt-in to saving your name, email address and website in cookies. These are for your convenience so that you do not have to fill in your details again when you leave another comment. These cookies will last for one year.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you visit our login page, we will set a temporary cookie to determine if your browser accepts cookies. This cookie contains no personal data and is discarded when you close your browser.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>When you log in, we will also set up several cookies to save your login information and your screen display choices. Login cookies last for two days, and screen options cookies last for a year. If you select &quot;Remember Me&quot;, your login will persist for two weeks. If you log out of your account, the login cookies will be removed.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you edit or publish an article, an additional cookie will be saved in your browser. This cookie includes no personal data and simply indicates the post ID of the article you just edited. It expires after 1 day.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Embedded content from other websites</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Articles on this site may include embedded content (e.g. videos, images, articles, etc.). Embedded content from other websites behaves in the exact same way as if the visitor has visited the other website.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>These websites may collect data about you, use cookies, embed additional third-party tracking, and monitor your interaction with that embedded content, including tracking your interaction with the embedded content if you have an account and are logged in to that website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Who we share your data with</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you request a password reset, your IP address will be included in the reset email.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>How long we retain your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment, the comment and its metadata are retained indefinitely. This is so we can recognize and approve any follow-up comments automatically instead of holding them in a moderation queue.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>For users that register on our website (if any), we also store the personal information they provide in their user profile. All users can see, edit, or delete their personal information at any time (except they cannot change their username). Website administrators can also see and edit that information.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>What rights you have over your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you have an account on this site, or have left comments, you can request to receive an exported file of the personal data we hold about you, including any data you have provided to us. You can also request that we erase any personal data we hold about you. This does not include any data we are obliged to keep for administrative, legal, or security purposes.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Where your data is sent</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Visitor comments may be checked through an automated spam detection service.</p><!-- /wp:paragraph -->", "Privacy Policy", "", "draft", "closed", "open", "", "privacy-policy", "", "", "2022-07-26 22:36:05", "2022-07-26 22:36:05", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?page_id=3", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("5", "1", "2019-07-22 14:09:08", "2019-07-22 14:09:08", "<!-- wp:paragraph -->\n<p>Delectus non distinctio qui atque. Consequatur in veniam id hic fugit. Harum minus quo incidunt necessitatibus molestiae dolorum voluptates. Rem rerum nisi ducimus sunt quibusdam. Nisi eius enim odio quae sit deserunt eveniet. Maxime sed alias neque velit corporis beatae. Veritatis nulla autem distinctio qui fuga. In est est rerum est ratione. Et nemo et ducimus sed. Delectus et quod quidem voluptatem. Alias cum molestiae enim corporis totam repellat. Et autem cumque quas corrupti illum. Aut nisi qui omnis sit et libero aut.</p>\n<!-- /wp:paragraph -->", "Dolorem facilis molestiae et.", "", "publish", "open", "open", "", "dolorem-facilis-molestiae-et", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/2019/07/22/dolorem-facilis-molestiae-et/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("15", "1", "2022-01-26 01:06:58", "2022-01-26 01:06:58", "<!-- wp:paragraph -->\n<p>Tempora quas corrupti aut perspiciatis. Architecto facere aspernatur nam porro. Numquam maiores rerum vel labore. Omnis et eius impedit iste nihil beatae. Voluptatem ipsa et architecto repellendus a. Nostrum eveniet ipsum quaerat distinctio quis. Nihil sed harum pariatur fugiat. Dolorem et dolorum reprehenderit non aperiam et. Blanditiis non error fugiat quo nesciunt. Nulla ex deleniti asperiores et dolores voluptatum numquam. Quae ratione rerum unde. Nobis nisi aut qui eos. Doloremque et qui voluptatem. Molestiae magni illo doloribus quidem vel consequatur. Quia quae ut totam. Sequi architecto et necessitatibus voluptate maxime. Totam tempore est quia saepe.</p>\n<!-- /wp:paragraph -->", "Id fugiat nihil aut non.", "", "trash", "open", "open", "", "id-fugiat-nihil-aut-non__trashed", "", "", "2022-07-26 23:05:04", "2022-07-26 23:05:04", "", "0", "http://localhost:8888/exams/final-exam-2022-03/2022/01/26/id-fugiat-nihil-aut-non/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("39", "1", "2019-08-07 09:25:33", "2019-08-07 09:25:33", "<!-- wp:paragraph -->\n<p>Eum consectetur autem illum est iusto. Ad quia vel voluptas hic. Maiores et eos harum ducimus aliquid. Nihil error qui sit nisi officia. Quaerat totam aut sit corporis delectus tempore qui reprehenderit. Repellendus ut dignissimos magni est dicta blanditiis incidunt et. Illum voluptatem ad quia numquam vel id. Consequatur illo ea occaecati ipsa cum in. Exercitationem amet nostrum culpa. Id magnam ut autem illum quia voluptates cum. Provident temporibus quis magnam officiis et blanditiis libero. Est in consequatur quasi et omnis. Quisquam autem omnis rerum ullam nobis quo itaque exercitationem.</p>\n<!-- /wp:paragraph -->", "Molestiae dolorum ipsum est.", "", "publish", "open", "open", "", "molestiae-dolorum-ipsum-est", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/2019/08/07/molestiae-dolorum-ipsum-est/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("45", "1", "2019-07-15 18:05:05", "2019-07-15 18:05:05", "Asperiores deleniti et in consequatur. Commodi nesciunt suscipit occaecati qui. Qui nostrum optio labore reprehenderit consequatur quibusdam. Voluptas recusandae repellendus voluptatem nihil vel quo molestias dolore. Illum occaecati omnis eligendi excepturi non incidunt. Ea voluptate dolorum voluptatem omnis accusantium. Voluptatem sed molestiae aut blanditiis velit. Id ad in tempora est numquam rem ducimus. Voluptatum dolor possimus tenetur. Nulla nostrum molestias eaque reiciendis voluptatibus est occaecati. Mollitia et ad minima voluptatem in non. Facilis eius illum omnis et quo. In iste nostrum eius eos deserunt omnis perspiciatis quia.", "Eum est consequatur optio.", "", "publish", "open", "open", "", "eum-est-consequatur-optio", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/2019/07/15/eum-est-consequatur-optio/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("51", "1", "2019-07-04 17:53:41", "2019-07-04 17:53:41", "<!-- wp:paragraph -->\n<p>Laudantium ab in provident repellat eos at repudiandae. Deserunt vitae rerum quam. Repellendus velit facere ea vel quas. Illo ex delectus in. Et quae nostrum voluptatibus ullam recusandae ut aut. Dolor tenetur quo et tempora corporis. Consequatur dolore reiciendis nesciunt qui et iusto eius. Accusamus velit qui rerum ipsum qui saepe. Maiores error commodi veniam sapiente error nisi ut. Aut dignissimos temporibus inventore quia iure soluta asperiores eum. Mollitia doloribus repudiandae inventore quo. Illo nulla optio ut quidem. Fuga blanditiis veniam dolorem ea fugiat sunt soluta. Dicta autem sunt aut quaerat. Dolores occaecati voluptatibus est minima commodi labore quod.</p>\n<!-- /wp:paragraph -->", "Vel voluptas rerum culpa sed quia.", "", "publish", "open", "open", "", "vel-voluptas-rerum-culpa-sed-quia", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/2019/07/04/vel-voluptas-rerum-culpa-sed-quia/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("55", "1", "2022-07-26 22:41:32", "2022-07-26 22:41:32", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-twentytwentytwo", "", "", "2022-07-26 22:41:32", "2022-07-26 22:41:32", "", "0", "http://localhost:8888/exams/final-exam-2022-03/2022/07/26/wp-global-styles-twentytwentytwo/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("69", "1", "2022-07-26 22:47:47", "2022-07-26 22:47:47", "<!-- wp:paragraph -->\n<p>Laudantium ab in provident repellat eos at repudiandae. Deserunt vitae rerum quam. Repellendus velit facere ea vel quas. Illo ex delectus in. Et quae nostrum voluptatibus ullam recusandae ut aut. Dolor tenetur quo et tempora corporis. Consequatur dolore reiciendis nesciunt qui et iusto eius. Accusamus velit qui rerum ipsum qui saepe. Maiores error commodi veniam sapiente error nisi ut. Aut dignissimos temporibus inventore quia iure soluta asperiores eum. Mollitia doloribus repudiandae inventore quo. Illo nulla optio ut quidem. Fuga blanditiis veniam dolorem ea fugiat sunt soluta. Dicta autem sunt aut quaerat. Dolores occaecati voluptatibus est minima commodi labore quod.</p>\n<!-- /wp:paragraph -->", "Vel voluptas rerum culpa sed quia.", "", "inherit", "closed", "closed", "", "51-revision-v1", "", "", "2022-07-26 22:47:47", "2022-07-26 22:47:47", "", "51", "http://localhost:8888/exams/final-exam-2022-03/?p=69", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("77", "1", "2022-07-26 22:48:19", "2022-07-26 22:48:19", "<!-- wp:paragraph -->\n<p>Tempora quas corrupti aut perspiciatis. Architecto facere aspernatur nam porro. Numquam maiores rerum vel labore. Omnis et eius impedit iste nihil beatae. Voluptatem ipsa et architecto repellendus a. Nostrum eveniet ipsum quaerat distinctio quis. Nihil sed harum pariatur fugiat. Dolorem et dolorum reprehenderit non aperiam et. Blanditiis non error fugiat quo nesciunt. Nulla ex deleniti asperiores et dolores voluptatum numquam. Quae ratione rerum unde. Nobis nisi aut qui eos. Doloremque et qui voluptatem. Molestiae magni illo doloribus quidem vel consequatur. Quia quae ut totam. Sequi architecto et necessitatibus voluptate maxime. Totam tempore est quia saepe.</p>\n<!-- /wp:paragraph -->", "Id fugiat nihil aut non.", "", "inherit", "closed", "closed", "", "15-revision-v1", "", "", "2022-07-26 22:48:19", "2022-07-26 22:48:19", "", "15", "http://localhost:8888/exams/final-exam-2022-03/?p=77", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("95", "1", "2022-07-26 22:51:21", "2022-07-26 22:51:21", "<!-- wp:paragraph -->\n<p>Eum consectetur autem illum est iusto. Ad quia vel voluptas hic. Maiores et eos harum ducimus aliquid. Nihil error qui sit nisi officia. Quaerat totam aut sit corporis delectus tempore qui reprehenderit. Repellendus ut dignissimos magni est dicta blanditiis incidunt et. Illum voluptatem ad quia numquam vel id. Consequatur illo ea occaecati ipsa cum in. Exercitationem amet nostrum culpa. Id magnam ut autem illum quia voluptates cum. Provident temporibus quis magnam officiis et blanditiis libero. Est in consequatur quasi et omnis. Quisquam autem omnis rerum ullam nobis quo itaque exercitationem.</p>\n<!-- /wp:paragraph -->", "Molestiae dolorum ipsum est.", "", "inherit", "closed", "closed", "", "39-revision-v1", "", "", "2022-07-26 22:51:21", "2022-07-26 22:51:21", "", "39", "http://localhost:8888/exams/final-exam-2022-03/?p=95", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("96", "1", "2022-07-26 22:51:23", "2022-07-26 22:51:23", "<!-- wp:paragraph -->\n<p>Delectus non distinctio qui atque. Consequatur in veniam id hic fugit. Harum minus quo incidunt necessitatibus molestiae dolorum voluptates. Rem rerum nisi ducimus sunt quibusdam. Nisi eius enim odio quae sit deserunt eveniet. Maxime sed alias neque velit corporis beatae. Veritatis nulla autem distinctio qui fuga. In est est rerum est ratione. Et nemo et ducimus sed. Delectus et quod quidem voluptatem. Alias cum molestiae enim corporis totam repellat. Et autem cumque quas corrupti illum. Aut nisi qui omnis sit et libero aut.</p>\n<!-- /wp:paragraph -->", "Dolorem facilis molestiae et.", "", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2022-07-26 22:51:23", "2022-07-26 22:51:23", "", "5", "http://localhost:8888/exams/final-exam-2022-03/?p=96", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("105", "1", "2022-07-26 23:04:48", "2022-07-26 23:04:48", "", "kris-gerhard-0BKZfcamvGg-unsplash", "", "inherit", "open", "closed", "", "kris-gerhard-0bkzfcamvgg-unsplash", "", "", "2022-07-26 23:04:48", "2022-07-26 23:04:48", "", "15", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2022/01/kris-gerhard-0BKZfcamvGg-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("106", "1", "2023-04-01 18:56:22", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2023-04-01 18:56:22", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=106", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("107", "1", "2023-04-01 19:40:34", "2023-04-01 19:40:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est consequatur molestias <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Cum laudantium aut ducimus blanditiis in reprehenderit recusandae</a>? In provident eaque aut asperiores dolorem <em>Sed rerum in cumque consequatur in numquam aliquid aut magni dolor</em> sed porro iure.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestias autem est eveniet unde.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et delectus tempore <em>Et aliquid et labore molestiae sed enim quos</em> vel rerum iste vel tenetur unde. Non autem impeditvel culpa est ullam molestiae. Ab possimus quam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ex voluptas quo quasi veniam ut illo exercitationem</a> qui eius repellat hic consequuntur sunt? <dfn>Qui eligendi blanditiis. </dfn>Quo harum architecto ea esse minus et reprehenderit possimus. <dfn>Nam maiores omnis? </dfn>Qui corporis optio et obcaecati dolore id nemo accusamus eos Quis quia. <dfn>Et quibusdam doloribus eos nulla vitae. </dfn>Et perferendis earum id alias quibusdam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Ut repellendus modi eum veritatis quis est cupiditate obcaecati! --&gt;<br>&lt;aut&gt;Quo modi quisquam.&lt;/aut&gt;<br>&lt;cumque&gt;Aut nostrum consequatur sed neque nobis aut corrupti eveniet.&lt;/cumque&gt;<br>&lt;sed&gt;Et voluptas quasi in doloribus inventore non aperiam Quis.&lt;/sed&gt;<br>&lt;voluptatem&gt;Ea commodi exercitationem est rerum molestiae!&lt;/voluptatem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Eum quisquam delectus et enim placeat sed earum enim?</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et omnis dolore quo obcaecati doloribus <em>Aut vero et odio sapiente</em>! Et quia impedit <strong>Ut quod id ipsa ratione eos perspiciatis nesciunt sed beatae quia</strong> sed iure dolor et impedit repellendus. Et voluptatibus Quis et quia esseEt ullam aut nemo ipsam ut nisi quos aut nemo recusandae eos perferendis ratione. Et enim molestiae a soluta velit33 placeat sit eius ipsa est minima unde.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et asperiores tempore qui labore consequatur 33 omnis assumenda.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ea iusto assumenda <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In alias qui maxime possimus</a>. Et eaque reiciendis est galisum atquehic quos est assumenda ipsa? Ab suscipit temporibus <strong>Vel consequuntur et exercitationem quisquam eos voluptatem reprehenderit aut iure expedita</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Eum deleniti incidunt et eveniet aliquam sed temporibus voluptatem in repellendus quam!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est porro voluptatem est voluptate placeat et tenetur laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Sed expedita cupiditate ut eveniet autem ut atque laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et atque officiis ut dicta natus aut dolores voluptas et perspiciatis ducimus.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut iure itaque id accusamus quia ea eligendi aliquam in esse tempore.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum quia vitae vel velit impedit.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Ut dignissimos dolores et voluptatem consequatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>A libero officiis ut libero neque in soluta dolore in tempora recusandae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Sed quis omnis qui vero nisi ex veritatis deleniti a cumque voluptatem et atque dignissimos ut ipsa magnam.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et dolores galisum ad culpa impedit aut voluptatum voluptatem.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos dolorum sint id aliquam aliquamnam saepe aut labore natus 33 voluptas temporibus. Ut pariatur incidunt qui quis iureet commodi et velit facere.</p>\n<!-- /wp:paragraph -->", "Ab Inventore", "", "publish", "open", "open", "", "ab-inventore", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=107", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("108", "1", "2023-04-01 19:40:34", "2023-04-01 19:40:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est consequatur molestias <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Cum laudantium aut ducimus blanditiis in reprehenderit recusandae</a>? In provident eaque aut asperiores dolorem <em>Sed rerum in cumque consequatur in numquam aliquid aut magni dolor</em> sed porro iure.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestias autem est eveniet unde.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et delectus tempore <em>Et aliquid et labore molestiae sed enim quos</em> vel rerum iste vel tenetur unde. Non autem impeditvel culpa est ullam molestiae. Ab possimus quam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ex voluptas quo quasi veniam ut illo exercitationem</a> qui eius repellat hic consequuntur sunt? <dfn>Qui eligendi blanditiis. </dfn>Quo harum architecto ea esse minus et reprehenderit possimus. <dfn>Nam maiores omnis? </dfn>Qui corporis optio et obcaecati dolore id nemo accusamus eos Quis quia. <dfn>Et quibusdam doloribus eos nulla vitae. </dfn>Et perferendis earum id alias quibusdam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Ut repellendus modi eum veritatis quis est cupiditate obcaecati! --&gt;<br>&lt;aut&gt;Quo modi quisquam.&lt;/aut&gt;<br>&lt;cumque&gt;Aut nostrum consequatur sed neque nobis aut corrupti eveniet.&lt;/cumque&gt;<br>&lt;sed&gt;Et voluptas quasi in doloribus inventore non aperiam Quis.&lt;/sed&gt;<br>&lt;voluptatem&gt;Ea commodi exercitationem est rerum molestiae!&lt;/voluptatem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Eum quisquam delectus et enim placeat sed earum enim?</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et omnis dolore quo obcaecati doloribus <em>Aut vero et odio sapiente</em>! Et quia impedit <strong>Ut quod id ipsa ratione eos perspiciatis nesciunt sed beatae quia</strong> sed iure dolor et impedit repellendus. Et voluptatibus Quis et quia esseEt ullam aut nemo ipsam ut nisi quos aut nemo recusandae eos perferendis ratione. Et enim molestiae a soluta velit33 placeat sit eius ipsa est minima unde.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et asperiores tempore qui labore consequatur 33 omnis assumenda.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ea iusto assumenda <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In alias qui maxime possimus</a>. Et eaque reiciendis est galisum atquehic quos est assumenda ipsa? Ab suscipit temporibus <strong>Vel consequuntur et exercitationem quisquam eos voluptatem reprehenderit aut iure expedita</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Eum deleniti incidunt et eveniet aliquam sed temporibus voluptatem in repellendus quam!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est porro voluptatem est voluptate placeat et tenetur laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Sed expedita cupiditate ut eveniet autem ut atque laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et atque officiis ut dicta natus aut dolores voluptas et perspiciatis ducimus.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut iure itaque id accusamus quia ea eligendi aliquam in esse tempore.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum quia vitae vel velit impedit.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Ut dignissimos dolores et voluptatem consequatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>A libero officiis ut libero neque in soluta dolore in tempora recusandae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Sed quis omnis qui vero nisi ex veritatis deleniti a cumque voluptatem et atque dignissimos ut ipsa magnam.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et dolores galisum ad culpa impedit aut voluptatum voluptatem.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos dolorum sint id aliquam aliquamnam saepe aut labore natus 33 voluptas temporibus. Ut pariatur incidunt qui quis iureet commodi et velit facere.</p>\n<!-- /wp:paragraph -->", "Ab Inventore", "", "inherit", "closed", "closed", "", "107-revision-v1", "", "", "2023-04-01 19:40:34", "2023-04-01 19:40:34", "", "107", "http://localhost:8888/exams/final-exam-2022-03/?p=108", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("109", "1", "2023-04-01 19:41:23", "2023-04-01 19:41:23", "", "person-01", "", "inherit", "open", "closed", "", "person-01", "", "", "2023-04-01 19:41:23", "2023-04-01 19:41:23", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-01.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("110", "1", "2023-04-01 19:41:24", "2023-04-01 19:41:24", "", "person-02", "", "inherit", "open", "closed", "", "person-02", "", "", "2023-04-01 19:41:24", "2023-04-01 19:41:24", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-02.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("111", "1", "2023-04-01 19:41:26", "2023-04-01 19:41:26", "", "person-03", "", "inherit", "open", "closed", "", "person-03", "", "", "2023-04-01 19:41:26", "2023-04-01 19:41:26", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-03.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("112", "1", "2023-04-01 19:41:28", "2023-04-01 19:41:28", "", "person-04", "", "inherit", "open", "closed", "", "person-04", "", "", "2023-04-01 19:41:28", "2023-04-01 19:41:28", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-04.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("113", "1", "2023-04-01 19:41:29", "2023-04-01 19:41:29", "", "person-05", "", "inherit", "open", "closed", "", "person-05", "", "", "2023-04-01 19:41:29", "2023-04-01 19:41:29", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-05.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("114", "1", "2023-04-01 19:41:31", "2023-04-01 19:41:31", "", "person-06", "", "inherit", "open", "closed", "", "person-06", "", "", "2023-04-01 19:41:31", "2023-04-01 19:41:31", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-06.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("115", "1", "2023-04-01 19:41:33", "2023-04-01 19:41:33", "", "person-07", "", "inherit", "open", "closed", "", "person-07", "", "", "2023-04-01 19:41:33", "2023-04-01 19:41:33", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-07.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("116", "1", "2023-04-01 19:41:36", "2023-04-01 19:41:36", "", "person-08", "", "inherit", "open", "closed", "", "person-08", "", "", "2023-04-01 19:41:36", "2023-04-01 19:41:36", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-08.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("117", "1", "2023-04-01 19:41:38", "2023-04-01 19:41:38", "", "person-09", "", "inherit", "open", "closed", "", "person-09", "", "", "2023-04-01 19:41:38", "2023-04-01 19:41:38", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-09.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("118", "1", "2023-04-01 19:41:40", "2023-04-01 19:41:40", "", "person-10", "", "inherit", "open", "closed", "", "person-10", "", "", "2023-04-01 19:41:40", "2023-04-01 19:41:40", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-10.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("119", "1", "2023-04-01 19:41:42", "2023-04-01 19:41:42", "", "person-11", "", "inherit", "open", "closed", "", "person-11", "", "", "2023-04-01 19:41:42", "2023-04-01 19:41:42", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-11.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("120", "1", "2023-04-01 19:41:44", "2023-04-01 19:41:44", "", "person-12", "", "inherit", "open", "closed", "", "person-12", "", "", "2023-04-01 19:41:44", "2023-04-01 19:41:44", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-12.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("121", "1", "2023-04-01 19:41:46", "2023-04-01 19:41:46", "", "person-13", "", "inherit", "open", "closed", "", "person-13", "", "", "2023-04-01 19:41:46", "2023-04-01 19:41:46", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-13.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("122", "1", "2023-04-01 19:41:48", "2023-04-01 19:41:48", "", "person-14", "", "inherit", "open", "closed", "", "person-14", "", "", "2023-04-01 19:41:48", "2023-04-01 19:41:48", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-14.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("123", "1", "2023-04-01 19:41:50", "2023-04-01 19:41:50", "", "person-15", "", "inherit", "open", "closed", "", "person-15", "", "", "2023-04-01 19:41:50", "2023-04-01 19:41:50", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-15.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("124", "1", "2023-04-01 19:41:53", "2023-04-01 19:41:53", "", "person-16", "", "inherit", "open", "closed", "", "person-16", "", "", "2023-04-01 19:41:53", "2023-04-01 19:41:53", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-16.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("125", "1", "2023-04-01 19:41:55", "2023-04-01 19:41:55", "", "person-17", "", "inherit", "open", "closed", "", "person-17", "", "", "2023-04-01 19:41:55", "2023-04-01 19:41:55", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-17.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("126", "1", "2023-04-01 19:41:57", "2023-04-01 19:41:57", "", "person-18", "", "inherit", "open", "closed", "", "person-18", "", "", "2023-04-01 19:41:57", "2023-04-01 19:41:57", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-18.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("127", "1", "2023-04-01 19:41:59", "2023-04-01 19:41:59", "", "person-19", "", "inherit", "open", "closed", "", "person-19", "", "", "2023-04-01 19:41:59", "2023-04-01 19:41:59", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-19.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("128", "1", "2023-04-01 19:42:01", "2023-04-01 19:42:01", "", "person-20", "", "inherit", "open", "closed", "", "person-20", "", "", "2023-04-01 19:42:01", "2023-04-01 19:42:01", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-20.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("129", "1", "2023-04-01 19:42:03", "2023-04-01 19:42:03", "", "person-21", "", "inherit", "open", "closed", "", "person-21", "", "", "2023-04-01 19:42:03", "2023-04-01 19:42:03", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-21.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("130", "1", "2023-04-01 19:42:05", "2023-04-01 19:42:05", "", "person-22", "", "inherit", "open", "closed", "", "person-22", "", "", "2023-04-01 19:42:05", "2023-04-01 19:42:05", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-22.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("131", "1", "2023-04-01 19:42:07", "2023-04-01 19:42:07", "", "person-23", "", "inherit", "open", "closed", "", "person-23", "", "", "2023-04-01 19:42:07", "2023-04-01 19:42:07", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-23.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("132", "1", "2023-04-01 19:42:09", "2023-04-01 19:42:09", "", "person-24", "", "inherit", "open", "closed", "", "person-24", "", "", "2023-04-01 19:42:09", "2023-04-01 19:42:09", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-24.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("133", "1", "2023-04-01 19:42:11", "2023-04-01 19:42:11", "", "person-25", "", "inherit", "open", "closed", "", "person-25", "", "", "2023-04-01 19:42:11", "2023-04-01 19:42:11", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-25.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("134", "1", "2023-04-01 19:42:13", "2023-04-01 19:42:13", "", "person-26", "", "inherit", "open", "closed", "", "person-26", "", "", "2023-04-01 19:42:13", "2023-04-01 19:42:13", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-26.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("135", "1", "2023-04-01 19:42:15", "2023-04-01 19:42:15", "", "person-27", "", "inherit", "open", "closed", "", "person-27", "", "", "2023-04-01 19:42:15", "2023-04-01 19:42:15", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-27.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("136", "1", "2023-04-01 19:42:18", "2023-04-01 19:42:18", "", "person-28", "", "inherit", "open", "closed", "", "person-28", "", "", "2023-04-01 19:42:18", "2023-04-01 19:42:18", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-28.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("137", "1", "2023-04-01 19:42:20", "2023-04-01 19:42:20", "", "person-29", "", "inherit", "open", "closed", "", "person-29", "", "", "2023-04-01 19:42:20", "2023-04-01 19:42:20", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-29.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("138", "1", "2023-04-01 19:42:22", "2023-04-01 19:42:22", "", "person-30", "", "inherit", "open", "closed", "", "person-30", "", "", "2023-04-01 19:42:22", "2023-04-01 19:42:22", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-30.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("139", "1", "2023-04-01 19:42:24", "2023-04-01 19:42:24", "", "person-31", "", "inherit", "open", "closed", "", "person-31", "", "", "2023-04-01 19:42:24", "2023-04-01 19:42:24", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-31.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("140", "1", "2023-04-01 19:42:26", "2023-04-01 19:42:26", "", "person-32", "", "inherit", "open", "closed", "", "person-32", "", "", "2023-04-01 19:42:26", "2023-04-01 19:42:26", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-32.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("141", "1", "2023-04-01 19:42:28", "2023-04-01 19:42:28", "", "person-33", "", "inherit", "open", "closed", "", "person-33", "", "", "2023-04-01 19:42:28", "2023-04-01 19:42:28", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-33.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("142", "1", "2023-04-01 19:42:30", "2023-04-01 19:42:30", "", "person-34", "", "inherit", "open", "closed", "", "person-34", "", "", "2023-04-01 19:42:30", "2023-04-01 19:42:30", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-34.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("143", "1", "2023-04-01 19:42:32", "2023-04-01 19:42:32", "", "person-35", "", "inherit", "open", "closed", "", "person-35", "", "", "2023-04-01 19:42:32", "2023-04-01 19:42:32", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-35.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("144", "1", "2023-04-01 19:42:34", "2023-04-01 19:42:34", "", "person-36", "", "inherit", "open", "closed", "", "person-36", "", "", "2023-04-01 19:42:34", "2023-04-01 19:42:34", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-36.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("145", "1", "2023-04-01 19:42:36", "2023-04-01 19:42:36", "", "person-37", "", "inherit", "open", "closed", "", "person-37", "", "", "2023-04-01 19:42:36", "2023-04-01 19:42:36", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-37.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("146", "1", "2023-04-01 19:42:38", "2023-04-01 19:42:38", "", "person-38", "", "inherit", "open", "closed", "", "person-38", "", "", "2023-04-01 19:42:38", "2023-04-01 19:42:38", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-38.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("147", "1", "2023-04-01 19:43:01", "2023-04-01 19:43:01", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Sit facilis blanditiis <strong>Sed voluptatem et error rerum qui voluptatum quidem</strong> ad corrupti earum. Vel ducimus eaque <em>Ut perferendis ea Quis culpa aut dolor quasi in adipisci voluptate</em> et eveniet beatae et quas fugit?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">At reprehenderit tempora sed asperiores omnis hic voluptatem enim.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut nihil sint <em>Et quas non consequatur sapiente hic laudantium vitae</em>. Rem assumenda quis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut perferendis rem facere omnis hic sint pariatur sed officiis quaerat</a> ea galisum impedit eum alias quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Et architecto consequuntur non quod sunt aut laborum aliquam ut cupiditate quod.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Nam atque nobis aut voluptatibus quod sed sapiente nesciunt.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptates cumque qui similique velit et expedita itaque.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ea molestias officia sit libero magni sed itaque blanditiis!</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>In consequuntur eveniet <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In quisquam sed quia nihil eos dolorum consequatur</a> sit earum quasi et totam saepe. Et nihil doloremque 33 officia optio <em>Est consequuntur</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut fuga consequatur ea rerum quam sit inventore obcaecati.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ex quia nobis a necessitatibus repellat id dolores distinctio qui rerum blanditiis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eos ullam assumenda ut rerum voluptas.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est explicabo eligendi ut minima dolores ea reiciendis animi qui recusandae amet.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p><dfn>Eum sint aspernatur rem asperiores cupiditate. </dfn>Non obcaecati temporibus qui quia aspernatur ex debitis dignissimos qui molestiae reiciendis. <dfn>Qui voluptatem eaque et unde neque. </dfn>Qui impedit doloribus qui sequi porro. <dfn>Et veritatis tenetur. </dfn>Eum commodi ipsam qui neque dolores. <dfn>Id quasi ipsam hic natus architecto. </dfn>Qui saepe ullam est unde consectetur.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab tenetur provident est atque consequatur.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus blanditiis qui facilis sapiente <strong>Eum repudiandae</strong>? Eos vero dolorem ut quod dolore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ad accusamus et natus necessitatibus aut illum recusandae</a>. Hic nulla voluptatibus <em>Non libero sed voluptas voluptatem quo itaque sunt</em> aut ipsam fugit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Sit sint reprehenderit est saepe voluptate sit aliquid blanditiis. --&gt;<br>&lt;est&gt;Cum sunt maiores.&lt;/est&gt;<br>&lt;corporis&gt;Qui amet dignissimos qui voluptatibus neque nam magnam aperiam.&lt;/corporis&gt;<br>&lt;libero&gt;Et aliquam quae eum dicta quia ut nemo molestiae?&lt;/libero&gt;<br>&lt;est&gt;Non quidem consequatur vel ducimus enim.&lt;/est&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Id quis galisum est officiis doloremque est rerum quaerat.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quibusdam quos et commodi veroNon quam. Eos quia accusamus <em>Eum asperiores aut ipsa omnis aut similique alias sed consequatur eius</em>. Ex dolorem inventore est nostrum distinctioEst accusantium sit officia velit id amet repellat qui alias fuga. Qui omnis QuisEst doloribus eum dolorem accusantium sit dolore praesentium.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui nulla voluptatem non animi sunt eum ipsum esse non maxime deleniti ea optio laudantium et nostrum voluptatem.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Nam adipisci perspiciatis aut quisquam dignissimoseos quidem At velit minima. Eos consequatur voluptate <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Eum consectetur nam voluptatem molestiae vel quam quis</a> sed sint galisum aut eveniet sunt. Et voluptas quaeSed soluta qui culpa aperiam qui dolor dolores. Id aspernatur culpa ut dignissimos evenietut Quis ut consequuntur repellat ab natus sunt.</p>\n<!-- /wp:paragraph -->", "Eum Totam", "", "publish", "open", "open", "", "eum-totam", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=147", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("148", "1", "2023-04-01 19:42:40", "2023-04-01 19:42:40", "", "person-39", "", "inherit", "open", "closed", "", "person-39", "", "", "2023-04-01 19:42:40", "2023-04-01 19:42:40", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-39.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("149", "1", "2023-04-01 19:42:43", "2023-04-01 19:42:43", "", "person-40", "", "inherit", "open", "closed", "", "person-40", "", "", "2023-04-01 19:42:43", "2023-04-01 19:42:43", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-40.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("150", "1", "2023-04-01 19:42:45", "2023-04-01 19:42:45", "", "person-41", "", "inherit", "open", "closed", "", "person-41", "", "", "2023-04-01 19:42:45", "2023-04-01 19:42:45", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-41.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("151", "1", "2023-04-01 19:42:47", "2023-04-01 19:42:47", "", "person-42", "", "inherit", "open", "closed", "", "person-42", "", "", "2023-04-01 19:42:47", "2023-04-01 19:42:47", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-42.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("152", "1", "2023-04-01 19:42:49", "2023-04-01 19:42:49", "", "person-43", "", "inherit", "open", "closed", "", "person-43", "", "", "2023-04-01 19:42:49", "2023-04-01 19:42:49", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/person-43.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("153", "1", "2023-04-01 19:43:01", "2023-04-01 19:43:01", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Sit facilis blanditiis <strong>Sed voluptatem et error rerum qui voluptatum quidem</strong> ad corrupti earum. Vel ducimus eaque <em>Ut perferendis ea Quis culpa aut dolor quasi in adipisci voluptate</em> et eveniet beatae et quas fugit?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">At reprehenderit tempora sed asperiores omnis hic voluptatem enim.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut nihil sint <em>Et quas non consequatur sapiente hic laudantium vitae</em>. Rem assumenda quis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut perferendis rem facere omnis hic sint pariatur sed officiis quaerat</a> ea galisum impedit eum alias quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Et architecto consequuntur non quod sunt aut laborum aliquam ut cupiditate quod.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Nam atque nobis aut voluptatibus quod sed sapiente nesciunt.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptates cumque qui similique velit et expedita itaque.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ea molestias officia sit libero magni sed itaque blanditiis!</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>In consequuntur eveniet <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In quisquam sed quia nihil eos dolorum consequatur</a> sit earum quasi et totam saepe. Et nihil doloremque 33 officia optio <em>Est consequuntur</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut fuga consequatur ea rerum quam sit inventore obcaecati.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ex quia nobis a necessitatibus repellat id dolores distinctio qui rerum blanditiis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eos ullam assumenda ut rerum voluptas.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est explicabo eligendi ut minima dolores ea reiciendis animi qui recusandae amet.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p><dfn>Eum sint aspernatur rem asperiores cupiditate. </dfn>Non obcaecati temporibus qui quia aspernatur ex debitis dignissimos qui molestiae reiciendis. <dfn>Qui voluptatem eaque et unde neque. </dfn>Qui impedit doloribus qui sequi porro. <dfn>Et veritatis tenetur. </dfn>Eum commodi ipsam qui neque dolores. <dfn>Id quasi ipsam hic natus architecto. </dfn>Qui saepe ullam est unde consectetur.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab tenetur provident est atque consequatur.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus blanditiis qui facilis sapiente <strong>Eum repudiandae</strong>? Eos vero dolorem ut quod dolore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ad accusamus et natus necessitatibus aut illum recusandae</a>. Hic nulla voluptatibus <em>Non libero sed voluptas voluptatem quo itaque sunt</em> aut ipsam fugit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Sit sint reprehenderit est saepe voluptate sit aliquid blanditiis. --&gt;<br>&lt;est&gt;Cum sunt maiores.&lt;/est&gt;<br>&lt;corporis&gt;Qui amet dignissimos qui voluptatibus neque nam magnam aperiam.&lt;/corporis&gt;<br>&lt;libero&gt;Et aliquam quae eum dicta quia ut nemo molestiae?&lt;/libero&gt;<br>&lt;est&gt;Non quidem consequatur vel ducimus enim.&lt;/est&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Id quis galisum est officiis doloremque est rerum quaerat.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quibusdam quos et commodi veroNon quam. Eos quia accusamus <em>Eum asperiores aut ipsa omnis aut similique alias sed consequatur eius</em>. Ex dolorem inventore est nostrum distinctioEst accusantium sit officia velit id amet repellat qui alias fuga. Qui omnis QuisEst doloribus eum dolorem accusantium sit dolore praesentium.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui nulla voluptatem non animi sunt eum ipsum esse non maxime deleniti ea optio laudantium et nostrum voluptatem.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Nam adipisci perspiciatis aut quisquam dignissimoseos quidem At velit minima. Eos consequatur voluptate <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Eum consectetur nam voluptatem molestiae vel quam quis</a> sed sint galisum aut eveniet sunt. Et voluptas quaeSed soluta qui culpa aperiam qui dolor dolores. Id aspernatur culpa ut dignissimos evenietut Quis ut consequuntur repellat ab natus sunt.</p>\n<!-- /wp:paragraph -->", "Eum Totam", "", "inherit", "closed", "closed", "", "147-revision-v1", "", "", "2023-04-01 19:43:01", "2023-04-01 19:43:01", "", "147", "http://localhost:8888/exams/final-exam-2022-03/?p=153", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("154", "1", "2023-04-01 19:45:04", "2023-04-01 19:45:04", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui voluptatem modi qui porro doloremEa internos eos fuga nihil vel vero labore et minus odit! Eos velit magnam in alias excepturi <strong>Ut molestiae ea officiis delectus id vitae dignissimos</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Et praesentium vero est enim nihil.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit quidem omnis <em>Ut voluptatum</em> ad laudantium fugit et nemo optio. Qui repellendus atque <strong>Qui quia</strong> et laudantium necessitatibus non voluptas culpa.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Qui quidem quia 33 voluptas inventore id nisi voluptatum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus optio <strong>Cum deserunt eos dolorem dignissimos sit exercitationem nulla</strong> ut modi natus. Ut porro quos ea quae ducimusEt quod qui galisum voluptatem sit quia nihil id amet culpa. Ea doloribus facere <em>Sit doloremque cum quam architecto aut excepturi nostrum</em> quo natus fugiat in accusamus consequatur. Sit atque quasiSit accusantium aut sunt illo et exercitationem laudantium 33 magnam molestiae et expedita deleniti eos velit quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et possimus consectetur est enim facere sed quos voluptas et iure saepe et commodi nobis?</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">A doloribus omnis rem minima dicta.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Rem culpa sintaut velit et obcaecati velit. Et accusantium asperiores <em>Sed cumque non consequatur deleniti est officia quibusdam</em> et nihil deleniti hic ipsam laudantium rem provident maxime! Ad nisi labore eum quia facereEt deleniti ab molestias libero nam veniam aspernatur non eveniet velit. <dfn>Eos distinctio aliquam. </dfn>Sit enim quasi ut eius dolores. <dfn>Et blanditiis officiis qui iste minus. </dfn>Qui quaerat natus eos rerum eaque non totam aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et tempora ipsa qui delectus commodi?</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit temporibus explicabo ut quibusdam enim <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui delectus et maxime incidunt qui quia dolorem et minus sapiente</a>. Sed nulla totam <em>Qui recusandae</em> in inventore illum qui nihil architecto. Aut dignissimos vero <strong>Et perspiciatis sit optio sequi et numquam doloribus id eligendi similique</strong> eos maiores esse quo velit nihil.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Ut iste delectus est enim enim?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel mollitia explicabo ut ratione omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut sint atque est obcaecati dolores et odit magnam est exercitationem sunt.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui rerum exercitationem et explicabo rerum ut dicta sint et beatae eveniet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui voluptas omnis id tempora nemo aut laudantium culpa At aliquam quaerat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut perferendis illo qui fugiat enim.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et cumque dolores qui sint eaque! --&gt;<br>&lt;asperiores&gt;Est dolorem deleniti et aperiam beatae aut incidunt minima.&lt;/asperiores&gt;<br>&lt;laborum&gt;Non quae nesciunt aut rerum labore qui rerum tenetur.&lt;/laborum&gt;<br>&lt;possimus&gt;Aut ipsam similique.&lt;/possimus&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:paragraph -->\n<p>Qui ipsam explicabo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et laborum in omnis quidem est magni omnis</a>. Qui mollitia fugiat non sint oditin ipsa.</p>\n<!-- /wp:paragraph -->", "Eum Voluptate", "", "publish", "open", "open", "", "eum-voluptate", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=154", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("155", "1", "2023-04-01 19:45:04", "2023-04-01 19:45:04", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui voluptatem modi qui porro doloremEa internos eos fuga nihil vel vero labore et minus odit! Eos velit magnam in alias excepturi <strong>Ut molestiae ea officiis delectus id vitae dignissimos</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Et praesentium vero est enim nihil.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit quidem omnis <em>Ut voluptatum</em> ad laudantium fugit et nemo optio. Qui repellendus atque <strong>Qui quia</strong> et laudantium necessitatibus non voluptas culpa.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Qui quidem quia 33 voluptas inventore id nisi voluptatum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus optio <strong>Cum deserunt eos dolorem dignissimos sit exercitationem nulla</strong> ut modi natus. Ut porro quos ea quae ducimusEt quod qui galisum voluptatem sit quia nihil id amet culpa. Ea doloribus facere <em>Sit doloremque cum quam architecto aut excepturi nostrum</em> quo natus fugiat in accusamus consequatur. Sit atque quasiSit accusantium aut sunt illo et exercitationem laudantium 33 magnam molestiae et expedita deleniti eos velit quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et possimus consectetur est enim facere sed quos voluptas et iure saepe et commodi nobis?</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">A doloribus omnis rem minima dicta.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Rem culpa sintaut velit et obcaecati velit. Et accusantium asperiores <em>Sed cumque non consequatur deleniti est officia quibusdam</em> et nihil deleniti hic ipsam laudantium rem provident maxime! Ad nisi labore eum quia facereEt deleniti ab molestias libero nam veniam aspernatur non eveniet velit. <dfn>Eos distinctio aliquam. </dfn>Sit enim quasi ut eius dolores. <dfn>Et blanditiis officiis qui iste minus. </dfn>Qui quaerat natus eos rerum eaque non totam aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et tempora ipsa qui delectus commodi?</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit temporibus explicabo ut quibusdam enim <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui delectus et maxime incidunt qui quia dolorem et minus sapiente</a>. Sed nulla totam <em>Qui recusandae</em> in inventore illum qui nihil architecto. Aut dignissimos vero <strong>Et perspiciatis sit optio sequi et numquam doloribus id eligendi similique</strong> eos maiores esse quo velit nihil.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Ut iste delectus est enim enim?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel mollitia explicabo ut ratione omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut sint atque est obcaecati dolores et odit magnam est exercitationem sunt.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui rerum exercitationem et explicabo rerum ut dicta sint et beatae eveniet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui voluptas omnis id tempora nemo aut laudantium culpa At aliquam quaerat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut perferendis illo qui fugiat enim.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et cumque dolores qui sint eaque! --&gt;<br>&lt;asperiores&gt;Est dolorem deleniti et aperiam beatae aut incidunt minima.&lt;/asperiores&gt;<br>&lt;laborum&gt;Non quae nesciunt aut rerum labore qui rerum tenetur.&lt;/laborum&gt;<br>&lt;possimus&gt;Aut ipsam similique.&lt;/possimus&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:paragraph -->\n<p>Qui ipsam explicabo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et laborum in omnis quidem est magni omnis</a>. Qui mollitia fugiat non sint oditin ipsa.</p>\n<!-- /wp:paragraph -->", "Eum Voluptate", "", "inherit", "closed", "closed", "", "154-revision-v1", "", "", "2023-04-01 19:45:04", "2023-04-01 19:45:04", "", "154", "http://localhost:8888/exams/final-exam-2022-03/?p=155", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("156", "1", "2023-04-01 19:46:51", "2023-04-01 19:46:51", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est obcaecati incidunt <strong>Ut alias et quod magni aut ducimus atque aut sapiente excepturi</strong> sed voluptatibus recusandae et quaerat corrupti. Et culpa temporibus non ratione incidunt <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Nam maxime vel asperiores libero</a> aut facilis velit sit blanditiis nostrum et assumenda numquam. <dfn>Est fugiat distinctio et mollitia molestias. </dfn>Et atque magni sed asperiores culpa. <dfn>Et soluta magnam ab magni sunt. </dfn>Ut illum consequuntur in quia quisquam sit officia aliquam non quas nobis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Quo fugiat dolorem qui autem enim ut nisi soluta ab illum numquam et blanditiis deleniti!</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Cum fugit internos. --&gt;<br>&lt;magni&gt;Ad sint repudiandae et doloremque nisi aut possimus sapiente.&lt;/magni&gt;<br>&lt;galisum&gt;Sed provident ipsum sed voluptate mollitia qui nobis dolorem.&lt;/galisum&gt;<br>&lt;vitae&gt;Aut distinctio enim.&lt;/vitae&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut odio dolor aut odio dolorum sed expedita animi?</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit odit consequuntur qui incidunt officiaut nobis qui aliquid voluptas ut distinctio cupiditate. Et provident ullam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et vitae qui laboriosam inventore sit nihil nisi</a>? Et reiciendis voluptas <strong>Qui deleniti quo quaerat assumenda est commodi enim ut voluptatem nihil</strong> ut nobis similique ea libero perferendis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Sed ipsum galisum et error debitis nam minus voluptas.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quod cupiditate <em>Sed velit est quis quis sed necessitatibus rerum</em>. Aut nemo quia et quae omniseum voluptate. Vel amet molestiae ut omnis temporeEst dolore ea commodi eius quo eligendi debitis et alias asperiores qui sunt totam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Aut sunt soluta est repellendus quaerat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui tempora sint <strong>A nesciunt non eveniet officia non consequatur iusto aut beatae deleniti</strong>! Est quas voluptatem <em>Qui cumque et iure sequi</em>. Nam nesciunt veniam est doloribus facilis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut modi et iste nesciunt ut voluptatibus alias aut omnis impedit</a>!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Non alias voluptatem et iusto voluptas.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut dolores assumenda et nostrum corrupti33 quia sit dolorem omnis. Et illo dictaQuo adipisci nam rerum ducimus ut iusto quam a obcaecati dolore. Rem vitae consequaturest libero sit quia rerum!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Id sequi mollitia sit temporibus consectetur sit quam voluptates non reiciendis atque!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ad soluta eius et voluptates galisum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel accusamus obcaecati aut nemo pariatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id vero galisum sit fuga ducimus ab cupiditate asperiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non quos eaque ut numquam commodi est quibusdam quia et impedit cupiditate?</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui animi nostrum ut laborum ratione qui assumenda molestiae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est unde beatae non delectus internos qui voluptas expedita aut dignissimos error?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui vero cumque qui voluptas dolorem est placeat quas 33 adipisci perferendis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quis Blanditiis", "", "publish", "open", "open", "", "quis-blanditiis", "", "", "2023-04-01 20:04:26", "2023-04-01 20:04:26", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=156", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("157", "1", "2023-04-01 19:46:51", "2023-04-01 19:46:51", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est obcaecati incidunt <strong>Ut alias et quod magni aut ducimus atque aut sapiente excepturi</strong> sed voluptatibus recusandae et quaerat corrupti. Et culpa temporibus non ratione incidunt <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Nam maxime vel asperiores libero</a> aut facilis velit sit blanditiis nostrum et assumenda numquam. <dfn>Est fugiat distinctio et mollitia molestias. </dfn>Et atque magni sed asperiores culpa. <dfn>Et soluta magnam ab magni sunt. </dfn>Ut illum consequuntur in quia quisquam sit officia aliquam non quas nobis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Quo fugiat dolorem qui autem enim ut nisi soluta ab illum numquam et blanditiis deleniti!</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Cum fugit internos. --&gt;<br>&lt;magni&gt;Ad sint repudiandae et doloremque nisi aut possimus sapiente.&lt;/magni&gt;<br>&lt;galisum&gt;Sed provident ipsum sed voluptate mollitia qui nobis dolorem.&lt;/galisum&gt;<br>&lt;vitae&gt;Aut distinctio enim.&lt;/vitae&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut odio dolor aut odio dolorum sed expedita animi?</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit odit consequuntur qui incidunt officiaut nobis qui aliquid voluptas ut distinctio cupiditate. Et provident ullam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et vitae qui laboriosam inventore sit nihil nisi</a>? Et reiciendis voluptas <strong>Qui deleniti quo quaerat assumenda est commodi enim ut voluptatem nihil</strong> ut nobis similique ea libero perferendis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Sed ipsum galisum et error debitis nam minus voluptas.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quod cupiditate <em>Sed velit est quis quis sed necessitatibus rerum</em>. Aut nemo quia et quae omniseum voluptate. Vel amet molestiae ut omnis temporeEst dolore ea commodi eius quo eligendi debitis et alias asperiores qui sunt totam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Aut sunt soluta est repellendus quaerat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui tempora sint <strong>A nesciunt non eveniet officia non consequatur iusto aut beatae deleniti</strong>! Est quas voluptatem <em>Qui cumque et iure sequi</em>. Nam nesciunt veniam est doloribus facilis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut modi et iste nesciunt ut voluptatibus alias aut omnis impedit</a>!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Non alias voluptatem et iusto voluptas.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut dolores assumenda et nostrum corrupti33 quia sit dolorem omnis. Et illo dictaQuo adipisci nam rerum ducimus ut iusto quam a obcaecati dolore. Rem vitae consequaturest libero sit quia rerum!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Id sequi mollitia sit temporibus consectetur sit quam voluptates non reiciendis atque!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ad soluta eius et voluptates galisum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel accusamus obcaecati aut nemo pariatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id vero galisum sit fuga ducimus ab cupiditate asperiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non quos eaque ut numquam commodi est quibusdam quia et impedit cupiditate?</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui animi nostrum ut laborum ratione qui assumenda molestiae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est unde beatae non delectus internos qui voluptas expedita aut dignissimos error?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui vero cumque qui voluptas dolorem est placeat quas 33 adipisci perferendis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quis Blanditiis", "", "inherit", "closed", "closed", "", "156-revision-v1", "", "", "2023-04-01 19:46:51", "2023-04-01 19:46:51", "", "156", "http://localhost:8888/exams/final-exam-2022-03/?p=157", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("158", "1", "2023-04-01 19:50:05", "2023-04-01 19:50:05", "Asperiores deleniti et in consequatur. Commodi nesciunt suscipit occaecati qui. Qui nostrum optio labore reprehenderit consequatur quibusdam. Voluptas recusandae repellendus voluptatem nihil vel quo molestias dolore. Illum occaecati omnis eligendi excepturi non incidunt. Ea voluptate dolorum voluptatem omnis accusantium. Voluptatem sed molestiae aut blanditiis velit. Id ad in tempora est numquam rem ducimus. Voluptatum dolor possimus tenetur. Nulla nostrum molestias eaque reiciendis voluptatibus est occaecati. Mollitia et ad minima voluptatem in non. Facilis eius illum omnis et quo. In iste nostrum eius eos deserunt omnis perspiciatis quia.", "Eum est consequatur optio.", "", "inherit", "closed", "closed", "", "45-revision-v1", "", "", "2023-04-01 19:50:05", "2023-04-01 19:50:05", "", "45", "http://localhost:8888/exams/final-exam-2022-03/?p=158", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("159", "1", "2023-04-01 19:54:08", "2023-04-01 19:54:08", "", "face-4", "", "inherit", "open", "closed", "", "face-4", "", "", "2023-04-01 19:54:08", "2023-04-01 19:54:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("160", "1", "2023-04-01 19:57:17", "2023-04-01 19:57:17", "", "face-4", "", "inherit", "open", "closed", "", "face-4-2", "", "", "2023-04-01 19:57:17", "2023-04-01 19:57:17", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-4-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("161", "1", "2023-04-01 19:57:17", "2023-04-01 19:57:17", "", "face-5", "", "inherit", "open", "closed", "", "face-5", "", "", "2023-04-01 19:57:17", "2023-04-01 19:57:17", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("162", "1", "2023-04-01 19:57:17", "2023-04-01 19:57:17", "", "face-6", "", "inherit", "open", "closed", "", "face-6", "", "", "2023-04-01 19:57:17", "2023-04-01 19:57:17", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("163", "1", "2023-04-01 19:57:18", "2023-04-01 19:57:18", "", "face-7", "", "inherit", "open", "closed", "", "face-7", "", "", "2023-04-01 19:57:18", "2023-04-01 19:57:18", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("164", "1", "2023-04-01 19:57:18", "2023-04-01 19:57:18", "", "face-8", "", "inherit", "open", "closed", "", "face-8", "", "", "2023-04-01 19:57:18", "2023-04-01 19:57:18", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-8.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("165", "1", "2023-04-01 19:57:19", "2023-04-01 19:57:19", "", "face-9", "", "inherit", "open", "closed", "", "face-9", "", "", "2023-04-01 19:57:19", "2023-04-01 19:57:19", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-9.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("166", "1", "2023-04-01 19:57:20", "2023-04-01 19:57:20", "", "face-10", "", "inherit", "open", "closed", "", "face-10", "", "", "2023-04-01 19:57:20", "2023-04-01 19:57:20", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("167", "1", "2023-04-01 19:57:21", "2023-04-01 19:57:21", "", "face-11", "", "inherit", "open", "closed", "", "face-11", "", "", "2023-04-01 19:57:21", "2023-04-01 19:57:21", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("168", "1", "2023-04-01 19:57:21", "2023-04-01 19:57:21", "", "face-12", "", "inherit", "open", "closed", "", "face-12", "", "", "2023-04-01 19:57:21", "2023-04-01 19:57:21", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-12.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("169", "1", "2023-04-01 19:57:25", "2023-04-01 19:57:25", "", "face-4", "", "inherit", "open", "closed", "", "face-4-3", "", "", "2023-04-01 19:57:25", "2023-04-01 19:57:25", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-4-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("170", "1", "2023-04-01 19:57:25", "2023-04-01 19:57:25", "", "face-5", "", "inherit", "open", "closed", "", "face-5-2", "", "", "2023-04-01 19:57:25", "2023-04-01 19:57:25", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-5-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("171", "1", "2023-04-01 19:57:26", "2023-04-01 19:57:26", "", "face-6", "", "inherit", "open", "closed", "", "face-6-2", "", "", "2023-04-01 19:57:26", "2023-04-01 19:57:26", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-6-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("172", "1", "2023-04-01 19:57:26", "2023-04-01 19:57:26", "", "face-7", "", "inherit", "open", "closed", "", "face-7-2", "", "", "2023-04-01 19:57:26", "2023-04-01 19:57:26", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-7-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("173", "1", "2023-04-01 19:57:27", "2023-04-01 19:57:27", "", "face-8", "", "inherit", "open", "closed", "", "face-8-2", "", "", "2023-04-01 19:57:27", "2023-04-01 19:57:27", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-8-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("174", "1", "2023-04-01 19:57:27", "2023-04-01 19:57:27", "", "face-9", "", "inherit", "open", "closed", "", "face-9-2", "", "", "2023-04-01 19:57:27", "2023-04-01 19:57:27", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-9-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("175", "1", "2023-04-01 19:57:29", "2023-04-01 19:57:29", "", "face-10", "", "inherit", "open", "closed", "", "face-10-2", "", "", "2023-04-01 19:57:29", "2023-04-01 19:57:29", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-10-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("176", "1", "2023-04-01 19:57:29", "2023-04-01 19:57:29", "", "face-11", "", "inherit", "open", "closed", "", "face-11-2", "", "", "2023-04-01 19:57:29", "2023-04-01 19:57:29", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-11-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("177", "1", "2023-04-01 19:57:29", "2023-04-01 19:57:29", "", "face-12", "", "inherit", "open", "closed", "", "face-12-2", "", "", "2023-04-01 19:57:29", "2023-04-01 19:57:29", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-12-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("178", "1", "2023-04-01 19:57:30", "2023-04-01 19:57:30", "", "face-13", "", "inherit", "open", "closed", "", "face-13", "", "", "2023-04-01 19:57:30", "2023-04-01 19:57:30", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-13.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("179", "1", "2023-04-01 19:57:30", "2023-04-01 19:57:30", "", "face-14", "", "inherit", "open", "closed", "", "face-14", "", "", "2023-04-01 19:57:30", "2023-04-01 19:57:30", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-14.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("180", "1", "2023-04-01 19:57:31", "2023-04-01 19:57:31", "", "face-15", "", "inherit", "open", "closed", "", "face-15", "", "", "2023-04-01 19:57:31", "2023-04-01 19:57:31", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-15.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("181", "1", "2023-04-01 19:57:31", "2023-04-01 19:57:31", "", "face-16", "", "inherit", "open", "closed", "", "face-16", "", "", "2023-04-01 19:57:31", "2023-04-01 19:57:31", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-16.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("182", "1", "2023-04-01 19:57:32", "2023-04-01 19:57:32", "", "face-17", "", "inherit", "open", "closed", "", "face-17", "", "", "2023-04-01 19:57:32", "2023-04-01 19:57:32", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-17.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("183", "1", "2023-04-01 19:57:32", "2023-04-01 19:57:32", "", "face-18", "", "inherit", "open", "closed", "", "face-18", "", "", "2023-04-01 19:57:32", "2023-04-01 19:57:32", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-18.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("184", "1", "2023-04-01 19:57:32", "2023-04-01 19:57:32", "", "face-19", "", "inherit", "open", "closed", "", "face-19", "", "", "2023-04-01 19:57:32", "2023-04-01 19:57:32", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-19.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("185", "1", "2023-04-01 19:57:33", "2023-04-01 19:57:33", "", "face-20", "", "inherit", "open", "closed", "", "face-20", "", "", "2023-04-01 19:57:33", "2023-04-01 19:57:33", "", "0", "http://localhost:8888/exams/final-exam-2022-03/wp-content/uploads/2023/04/face-20.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("186", "1", "2023-04-01 19:59:21", "2023-04-01 19:59:21", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est obcaecati incidunt <strong>Ut alias et quod magni aut ducimus atque aut sapiente excepturi</strong> sed voluptatibus recusandae et quaerat corrupti. Et culpa temporibus non ratione incidunt <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Nam maxime vel asperiores libero</a> aut facilis velit sit blanditiis nostrum et assumenda numquam. <dfn>Est fugiat distinctio et mollitia molestias. </dfn>Et atque magni sed asperiores culpa. <dfn>Et soluta magnam ab magni sunt. </dfn>Ut illum consequuntur in quia quisquam sit officia aliquam non quas nobis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Quo fugiat dolorem qui autem enim ut nisi soluta ab illum numquam et blanditiis deleniti!</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Cum fugit internos. --&gt;<br>&lt;magni&gt;Ad sint repudiandae et doloremque nisi aut possimus sapiente.&lt;/magni&gt;<br>&lt;galisum&gt;Sed provident ipsum sed voluptate mollitia qui nobis dolorem.&lt;/galisum&gt;<br>&lt;vitae&gt;Aut distinctio enim.&lt;/vitae&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut odio dolor aut odio dolorum sed expedita animi?</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit odit consequuntur qui incidunt officiaut nobis qui aliquid voluptas ut distinctio cupiditate. Et provident ullam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et vitae qui laboriosam inventore sit nihil nisi</a>? Et reiciendis voluptas <strong>Qui deleniti quo quaerat assumenda est commodi enim ut voluptatem nihil</strong> ut nobis similique ea libero perferendis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Sed ipsum galisum et error debitis nam minus voluptas.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quod cupiditate <em>Sed velit est quis quis sed necessitatibus rerum</em>. Aut nemo quia et quae omniseum voluptate. Vel amet molestiae ut omnis temporeEst dolore ea commodi eius quo eligendi debitis et alias asperiores qui sunt totam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Aut sunt soluta est repellendus quaerat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui tempora sint <strong>A nesciunt non eveniet officia non consequatur iusto aut beatae deleniti</strong>! Est quas voluptatem <em>Qui cumque et iure sequi</em>. Nam nesciunt veniam est doloribus facilis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut modi et iste nesciunt ut voluptatibus alias aut omnis impedit</a>!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Non alias voluptatem et iusto voluptas.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut dolores assumenda et nostrum corrupti33 quia sit dolorem omnis. Et illo dictaQuo adipisci nam rerum ducimus ut iusto quam a obcaecati dolore. Rem vitae consequaturest libero sit quia rerum!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Id sequi mollitia sit temporibus consectetur sit quam voluptates non reiciendis atque!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ad soluta eius et voluptates galisum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel accusamus obcaecati aut nemo pariatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id vero galisum sit fuga ducimus ab cupiditate asperiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non quos eaque ut numquam commodi est quibusdam quia et impedit cupiditate?</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui animi nostrum ut laborum ratione qui assumenda molestiae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est unde beatae non delectus internos qui voluptas expedita aut dignissimos error?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui vero cumque qui voluptas dolorem est placeat quas 33 adipisci perferendis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Qort Blanditiis", "", "publish", "open", "open", "", "qort-blanditiis", "", "", "2023-04-01 20:03:48", "2023-04-01 20:03:48", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=186", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("187", "1", "2023-04-01 19:59:21", "2023-04-01 19:59:21", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui voluptatem modi qui porro doloremEa internos eos fuga nihil vel vero labore et minus odit! Eos velit magnam in alias excepturi <strong>Ut molestiae ea officiis delectus id vitae dignissimos</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Et praesentium vero est enim nihil.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit quidem omnis <em>Ut voluptatum</em> ad laudantium fugit et nemo optio. Qui repellendus atque <strong>Qui quia</strong> et laudantium necessitatibus non voluptas culpa.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Qui quidem quia 33 voluptas inventore id nisi voluptatum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus optio <strong>Cum deserunt eos dolorem dignissimos sit exercitationem nulla</strong> ut modi natus. Ut porro quos ea quae ducimusEt quod qui galisum voluptatem sit quia nihil id amet culpa. Ea doloribus facere <em>Sit doloremque cum quam architecto aut excepturi nostrum</em> quo natus fugiat in accusamus consequatur. Sit atque quasiSit accusantium aut sunt illo et exercitationem laudantium 33 magnam molestiae et expedita deleniti eos velit quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et possimus consectetur est enim facere sed quos voluptas et iure saepe et commodi nobis?</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">A doloribus omnis rem minima dicta.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Rem culpa sintaut velit et obcaecati velit. Et accusantium asperiores <em>Sed cumque non consequatur deleniti est officia quibusdam</em> et nihil deleniti hic ipsam laudantium rem provident maxime! Ad nisi labore eum quia facereEt deleniti ab molestias libero nam veniam aspernatur non eveniet velit. <dfn>Eos distinctio aliquam. </dfn>Sit enim quasi ut eius dolores. <dfn>Et blanditiis officiis qui iste minus. </dfn>Qui quaerat natus eos rerum eaque non totam aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et tempora ipsa qui delectus commodi?</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit temporibus explicabo ut quibusdam enim <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui delectus et maxime incidunt qui quia dolorem et minus sapiente</a>. Sed nulla totam <em>Qui recusandae</em> in inventore illum qui nihil architecto. Aut dignissimos vero <strong>Et perspiciatis sit optio sequi et numquam doloribus id eligendi similique</strong> eos maiores esse quo velit nihil.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Ut iste delectus est enim enim?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel mollitia explicabo ut ratione omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut sint atque est obcaecati dolores et odit magnam est exercitationem sunt.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui rerum exercitationem et explicabo rerum ut dicta sint et beatae eveniet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui voluptas omnis id tempora nemo aut laudantium culpa At aliquam quaerat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut perferendis illo qui fugiat enim.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et cumque dolores qui sint eaque! --&gt;<br>&lt;asperiores&gt;Est dolorem deleniti et aperiam beatae aut incidunt minima.&lt;/asperiores&gt;<br>&lt;laborum&gt;Non quae nesciunt aut rerum labore qui rerum tenetur.&lt;/laborum&gt;<br>&lt;possimus&gt;Aut ipsam similique.&lt;/possimus&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:paragraph -->\n<p>Qui ipsam explicabo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et laborum in omnis quidem est magni omnis</a>. Qui mollitia fugiat non sint oditin ipsa.</p>\n<!-- /wp:paragraph -->", "Zark Voluptate", "", "publish", "open", "open", "", "zark-voluptate", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=187", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("188", "1", "2023-04-01 19:59:21", "2023-04-01 19:59:21", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Sit facilis blanditiis <strong>Sed voluptatem et error rerum qui voluptatum quidem</strong> ad corrupti earum. Vel ducimus eaque <em>Ut perferendis ea Quis culpa aut dolor quasi in adipisci voluptate</em> et eveniet beatae et quas fugit?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">At reprehenderit tempora sed asperiores omnis hic voluptatem enim.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut nihil sint <em>Et quas non consequatur sapiente hic laudantium vitae</em>. Rem assumenda quis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut perferendis rem facere omnis hic sint pariatur sed officiis quaerat</a> ea galisum impedit eum alias quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Et architecto consequuntur non quod sunt aut laborum aliquam ut cupiditate quod.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Nam atque nobis aut voluptatibus quod sed sapiente nesciunt.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptates cumque qui similique velit et expedita itaque.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ea molestias officia sit libero magni sed itaque blanditiis!</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>In consequuntur eveniet <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In quisquam sed quia nihil eos dolorum consequatur</a> sit earum quasi et totam saepe. Et nihil doloremque 33 officia optio <em>Est consequuntur</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut fuga consequatur ea rerum quam sit inventore obcaecati.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ex quia nobis a necessitatibus repellat id dolores distinctio qui rerum blanditiis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eos ullam assumenda ut rerum voluptas.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est explicabo eligendi ut minima dolores ea reiciendis animi qui recusandae amet.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p><dfn>Eum sint aspernatur rem asperiores cupiditate. </dfn>Non obcaecati temporibus qui quia aspernatur ex debitis dignissimos qui molestiae reiciendis. <dfn>Qui voluptatem eaque et unde neque. </dfn>Qui impedit doloribus qui sequi porro. <dfn>Et veritatis tenetur. </dfn>Eum commodi ipsam qui neque dolores. <dfn>Id quasi ipsam hic natus architecto. </dfn>Qui saepe ullam est unde consectetur.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab tenetur provident est atque consequatur.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus blanditiis qui facilis sapiente <strong>Eum repudiandae</strong>? Eos vero dolorem ut quod dolore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ad accusamus et natus necessitatibus aut illum recusandae</a>. Hic nulla voluptatibus <em>Non libero sed voluptas voluptatem quo itaque sunt</em> aut ipsam fugit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Sit sint reprehenderit est saepe voluptate sit aliquid blanditiis. --&gt;<br>&lt;est&gt;Cum sunt maiores.&lt;/est&gt;<br>&lt;corporis&gt;Qui amet dignissimos qui voluptatibus neque nam magnam aperiam.&lt;/corporis&gt;<br>&lt;libero&gt;Et aliquam quae eum dicta quia ut nemo molestiae?&lt;/libero&gt;<br>&lt;est&gt;Non quidem consequatur vel ducimus enim.&lt;/est&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Id quis galisum est officiis doloremque est rerum quaerat.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quibusdam quos et commodi veroNon quam. Eos quia accusamus <em>Eum asperiores aut ipsa omnis aut similique alias sed consequatur eius</em>. Ex dolorem inventore est nostrum distinctioEst accusantium sit officia velit id amet repellat qui alias fuga. Qui omnis QuisEst doloribus eum dolorem accusantium sit dolore praesentium.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui nulla voluptatem non animi sunt eum ipsum esse non maxime deleniti ea optio laudantium et nostrum voluptatem.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Nam adipisci perspiciatis aut quisquam dignissimoseos quidem At velit minima. Eos consequatur voluptate <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Eum consectetur nam voluptatem molestiae vel quam quis</a> sed sint galisum aut eveniet sunt. Et voluptas quaeSed soluta qui culpa aperiam qui dolor dolores. Id aspernatur culpa ut dignissimos evenietut Quis ut consequuntur repellat ab natus sunt.</p>\n<!-- /wp:paragraph -->", "Zwat Totam", "", "publish", "open", "open", "", "zwat-totam", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=188", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("189", "1", "2023-04-01 19:59:21", "2023-04-01 19:59:21", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est consequatur molestias <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Cum laudantium aut ducimus blanditiis in reprehenderit recusandae</a>? In provident eaque aut asperiores dolorem <em>Sed rerum in cumque consequatur in numquam aliquid aut magni dolor</em> sed porro iure.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestias autem est eveniet unde.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et delectus tempore <em>Et aliquid et labore molestiae sed enim quos</em> vel rerum iste vel tenetur unde. Non autem impeditvel culpa est ullam molestiae. Ab possimus quam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ex voluptas quo quasi veniam ut illo exercitationem</a> qui eius repellat hic consequuntur sunt? <dfn>Qui eligendi blanditiis. </dfn>Quo harum architecto ea esse minus et reprehenderit possimus. <dfn>Nam maiores omnis? </dfn>Qui corporis optio et obcaecati dolore id nemo accusamus eos Quis quia. <dfn>Et quibusdam doloribus eos nulla vitae. </dfn>Et perferendis earum id alias quibusdam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Ut repellendus modi eum veritatis quis est cupiditate obcaecati! --&gt;<br>&lt;aut&gt;Quo modi quisquam.&lt;/aut&gt;<br>&lt;cumque&gt;Aut nostrum consequatur sed neque nobis aut corrupti eveniet.&lt;/cumque&gt;<br>&lt;sed&gt;Et voluptas quasi in doloribus inventore non aperiam Quis.&lt;/sed&gt;<br>&lt;voluptatem&gt;Ea commodi exercitationem est rerum molestiae!&lt;/voluptatem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Eum quisquam delectus et enim placeat sed earum enim?</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et omnis dolore quo obcaecati doloribus <em>Aut vero et odio sapiente</em>! Et quia impedit <strong>Ut quod id ipsa ratione eos perspiciatis nesciunt sed beatae quia</strong> sed iure dolor et impedit repellendus. Et voluptatibus Quis et quia esseEt ullam aut nemo ipsam ut nisi quos aut nemo recusandae eos perferendis ratione. Et enim molestiae a soluta velit33 placeat sit eius ipsa est minima unde.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et asperiores tempore qui labore consequatur 33 omnis assumenda.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ea iusto assumenda <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In alias qui maxime possimus</a>. Et eaque reiciendis est galisum atquehic quos est assumenda ipsa? Ab suscipit temporibus <strong>Vel consequuntur et exercitationem quisquam eos voluptatem reprehenderit aut iure expedita</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Eum deleniti incidunt et eveniet aliquam sed temporibus voluptatem in repellendus quam!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est porro voluptatem est voluptate placeat et tenetur laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Sed expedita cupiditate ut eveniet autem ut atque laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et atque officiis ut dicta natus aut dolores voluptas et perspiciatis ducimus.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut iure itaque id accusamus quia ea eligendi aliquam in esse tempore.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum quia vitae vel velit impedit.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Ut dignissimos dolores et voluptatem consequatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>A libero officiis ut libero neque in soluta dolore in tempora recusandae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Sed quis omnis qui vero nisi ex veritatis deleniti a cumque voluptatem et atque dignissimos ut ipsa magnam.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et dolores galisum ad culpa impedit aut voluptatum voluptatem.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos dolorum sint id aliquam aliquamnam saepe aut labore natus 33 voluptas temporibus. Ut pariatur incidunt qui quis iureet commodi et velit facere.</p>\n<!-- /wp:paragraph -->", "Inventore Dost", "", "publish", "open", "open", "", "inventore-dost", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=189", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("190", "1", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est obcaecati incidunt <strong>Ut alias et quod magni aut ducimus atque aut sapiente excepturi</strong> sed voluptatibus recusandae et quaerat corrupti. Et culpa temporibus non ratione incidunt <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Nam maxime vel asperiores libero</a> aut facilis velit sit blanditiis nostrum et assumenda numquam. <dfn>Est fugiat distinctio et mollitia molestias. </dfn>Et atque magni sed asperiores culpa. <dfn>Et soluta magnam ab magni sunt. </dfn>Ut illum consequuntur in quia quisquam sit officia aliquam non quas nobis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Quo fugiat dolorem qui autem enim ut nisi soluta ab illum numquam et blanditiis deleniti!</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Cum fugit internos. --&gt;<br>&lt;magni&gt;Ad sint repudiandae et doloremque nisi aut possimus sapiente.&lt;/magni&gt;<br>&lt;galisum&gt;Sed provident ipsum sed voluptate mollitia qui nobis dolorem.&lt;/galisum&gt;<br>&lt;vitae&gt;Aut distinctio enim.&lt;/vitae&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut odio dolor aut odio dolorum sed expedita animi?</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit odit consequuntur qui incidunt officiaut nobis qui aliquid voluptas ut distinctio cupiditate. Et provident ullam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et vitae qui laboriosam inventore sit nihil nisi</a>? Et reiciendis voluptas <strong>Qui deleniti quo quaerat assumenda est commodi enim ut voluptatem nihil</strong> ut nobis similique ea libero perferendis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Sed ipsum galisum et error debitis nam minus voluptas.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quod cupiditate <em>Sed velit est quis quis sed necessitatibus rerum</em>. Aut nemo quia et quae omniseum voluptate. Vel amet molestiae ut omnis temporeEst dolore ea commodi eius quo eligendi debitis et alias asperiores qui sunt totam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Aut sunt soluta est repellendus quaerat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui tempora sint <strong>A nesciunt non eveniet officia non consequatur iusto aut beatae deleniti</strong>! Est quas voluptatem <em>Qui cumque et iure sequi</em>. Nam nesciunt veniam est doloribus facilis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut modi et iste nesciunt ut voluptatibus alias aut omnis impedit</a>!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Non alias voluptatem et iusto voluptas.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut dolores assumenda et nostrum corrupti33 quia sit dolorem omnis. Et illo dictaQuo adipisci nam rerum ducimus ut iusto quam a obcaecati dolore. Rem vitae consequaturest libero sit quia rerum!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Id sequi mollitia sit temporibus consectetur sit quam voluptates non reiciendis atque!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ad soluta eius et voluptates galisum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel accusamus obcaecati aut nemo pariatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id vero galisum sit fuga ducimus ab cupiditate asperiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non quos eaque ut numquam commodi est quibusdam quia et impedit cupiditate?</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui animi nostrum ut laborum ratione qui assumenda molestiae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est unde beatae non delectus internos qui voluptas expedita aut dignissimos error?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui vero cumque qui voluptas dolorem est placeat quas 33 adipisci perferendis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quis Blanditiis", "", "publish", "open", "open", "", "quis-blanditiis-2", "", "", "2023-04-01 20:04:02", "2023-04-01 20:04:02", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=190", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("191", "1", "2023-04-01 19:59:35", "2023-04-01 19:59:35", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui voluptatem modi qui porro doloremEa internos eos fuga nihil vel vero labore et minus odit! Eos velit magnam in alias excepturi <strong>Ut molestiae ea officiis delectus id vitae dignissimos</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Et praesentium vero est enim nihil.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit quidem omnis <em>Ut voluptatum</em> ad laudantium fugit et nemo optio. Qui repellendus atque <strong>Qui quia</strong> et laudantium necessitatibus non voluptas culpa.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Qui quidem quia 33 voluptas inventore id nisi voluptatum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus optio <strong>Cum deserunt eos dolorem dignissimos sit exercitationem nulla</strong> ut modi natus. Ut porro quos ea quae ducimusEt quod qui galisum voluptatem sit quia nihil id amet culpa. Ea doloribus facere <em>Sit doloremque cum quam architecto aut excepturi nostrum</em> quo natus fugiat in accusamus consequatur. Sit atque quasiSit accusantium aut sunt illo et exercitationem laudantium 33 magnam molestiae et expedita deleniti eos velit quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et possimus consectetur est enim facere sed quos voluptas et iure saepe et commodi nobis?</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">A doloribus omnis rem minima dicta.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Rem culpa sintaut velit et obcaecati velit. Et accusantium asperiores <em>Sed cumque non consequatur deleniti est officia quibusdam</em> et nihil deleniti hic ipsam laudantium rem provident maxime! Ad nisi labore eum quia facereEt deleniti ab molestias libero nam veniam aspernatur non eveniet velit. <dfn>Eos distinctio aliquam. </dfn>Sit enim quasi ut eius dolores. <dfn>Et blanditiis officiis qui iste minus. </dfn>Qui quaerat natus eos rerum eaque non totam aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et tempora ipsa qui delectus commodi?</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit temporibus explicabo ut quibusdam enim <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui delectus et maxime incidunt qui quia dolorem et minus sapiente</a>. Sed nulla totam <em>Qui recusandae</em> in inventore illum qui nihil architecto. Aut dignissimos vero <strong>Et perspiciatis sit optio sequi et numquam doloribus id eligendi similique</strong> eos maiores esse quo velit nihil.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Ut iste delectus est enim enim?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel mollitia explicabo ut ratione omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut sint atque est obcaecati dolores et odit magnam est exercitationem sunt.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui rerum exercitationem et explicabo rerum ut dicta sint et beatae eveniet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui voluptas omnis id tempora nemo aut laudantium culpa At aliquam quaerat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut perferendis illo qui fugiat enim.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et cumque dolores qui sint eaque! --&gt;<br>&lt;asperiores&gt;Est dolorem deleniti et aperiam beatae aut incidunt minima.&lt;/asperiores&gt;<br>&lt;laborum&gt;Non quae nesciunt aut rerum labore qui rerum tenetur.&lt;/laborum&gt;<br>&lt;possimus&gt;Aut ipsam similique.&lt;/possimus&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:paragraph -->\n<p>Qui ipsam explicabo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et laborum in omnis quidem est magni omnis</a>. Qui mollitia fugiat non sint oditin ipsa.</p>\n<!-- /wp:paragraph -->", "Voluptate Eum", "", "publish", "open", "open", "", "voluptate-eum", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=191", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("192", "1", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Sit facilis blanditiis <strong>Sed voluptatem et error rerum qui voluptatum quidem</strong> ad corrupti earum. Vel ducimus eaque <em>Ut perferendis ea Quis culpa aut dolor quasi in adipisci voluptate</em> et eveniet beatae et quas fugit?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">At reprehenderit tempora sed asperiores omnis hic voluptatem enim.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut nihil sint <em>Et quas non consequatur sapiente hic laudantium vitae</em>. Rem assumenda quis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut perferendis rem facere omnis hic sint pariatur sed officiis quaerat</a> ea galisum impedit eum alias quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Et architecto consequuntur non quod sunt aut laborum aliquam ut cupiditate quod.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Nam atque nobis aut voluptatibus quod sed sapiente nesciunt.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptates cumque qui similique velit et expedita itaque.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ea molestias officia sit libero magni sed itaque blanditiis!</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>In consequuntur eveniet <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In quisquam sed quia nihil eos dolorum consequatur</a> sit earum quasi et totam saepe. Et nihil doloremque 33 officia optio <em>Est consequuntur</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut fuga consequatur ea rerum quam sit inventore obcaecati.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ex quia nobis a necessitatibus repellat id dolores distinctio qui rerum blanditiis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eos ullam assumenda ut rerum voluptas.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est explicabo eligendi ut minima dolores ea reiciendis animi qui recusandae amet.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p><dfn>Eum sint aspernatur rem asperiores cupiditate. </dfn>Non obcaecati temporibus qui quia aspernatur ex debitis dignissimos qui molestiae reiciendis. <dfn>Qui voluptatem eaque et unde neque. </dfn>Qui impedit doloribus qui sequi porro. <dfn>Et veritatis tenetur. </dfn>Eum commodi ipsam qui neque dolores. <dfn>Id quasi ipsam hic natus architecto. </dfn>Qui saepe ullam est unde consectetur.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab tenetur provident est atque consequatur.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus blanditiis qui facilis sapiente <strong>Eum repudiandae</strong>? Eos vero dolorem ut quod dolore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ad accusamus et natus necessitatibus aut illum recusandae</a>. Hic nulla voluptatibus <em>Non libero sed voluptas voluptatem quo itaque sunt</em> aut ipsam fugit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Sit sint reprehenderit est saepe voluptate sit aliquid blanditiis. --&gt;<br>&lt;est&gt;Cum sunt maiores.&lt;/est&gt;<br>&lt;corporis&gt;Qui amet dignissimos qui voluptatibus neque nam magnam aperiam.&lt;/corporis&gt;<br>&lt;libero&gt;Et aliquam quae eum dicta quia ut nemo molestiae?&lt;/libero&gt;<br>&lt;est&gt;Non quidem consequatur vel ducimus enim.&lt;/est&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Id quis galisum est officiis doloremque est rerum quaerat.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quibusdam quos et commodi veroNon quam. Eos quia accusamus <em>Eum asperiores aut ipsa omnis aut similique alias sed consequatur eius</em>. Ex dolorem inventore est nostrum distinctioEst accusantium sit officia velit id amet repellat qui alias fuga. Qui omnis QuisEst doloribus eum dolorem accusantium sit dolore praesentium.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui nulla voluptatem non animi sunt eum ipsum esse non maxime deleniti ea optio laudantium et nostrum voluptatem.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Nam adipisci perspiciatis aut quisquam dignissimoseos quidem At velit minima. Eos consequatur voluptate <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Eum consectetur nam voluptatem molestiae vel quam quis</a> sed sint galisum aut eveniet sunt. Et voluptas quaeSed soluta qui culpa aperiam qui dolor dolores. Id aspernatur culpa ut dignissimos evenietut Quis ut consequuntur repellat ab natus sunt.</p>\n<!-- /wp:paragraph -->", "Eum Totam", "", "publish", "open", "open", "", "eum-totam-2", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=192", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("193", "1", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est consequatur molestias <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Cum laudantium aut ducimus blanditiis in reprehenderit recusandae</a>? In provident eaque aut asperiores dolorem <em>Sed rerum in cumque consequatur in numquam aliquid aut magni dolor</em> sed porro iure.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestias autem est eveniet unde.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et delectus tempore <em>Et aliquid et labore molestiae sed enim quos</em> vel rerum iste vel tenetur unde. Non autem impeditvel culpa est ullam molestiae. Ab possimus quam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ex voluptas quo quasi veniam ut illo exercitationem</a> qui eius repellat hic consequuntur sunt? <dfn>Qui eligendi blanditiis. </dfn>Quo harum architecto ea esse minus et reprehenderit possimus. <dfn>Nam maiores omnis? </dfn>Qui corporis optio et obcaecati dolore id nemo accusamus eos Quis quia. <dfn>Et quibusdam doloribus eos nulla vitae. </dfn>Et perferendis earum id alias quibusdam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Ut repellendus modi eum veritatis quis est cupiditate obcaecati! --&gt;<br>&lt;aut&gt;Quo modi quisquam.&lt;/aut&gt;<br>&lt;cumque&gt;Aut nostrum consequatur sed neque nobis aut corrupti eveniet.&lt;/cumque&gt;<br>&lt;sed&gt;Et voluptas quasi in doloribus inventore non aperiam Quis.&lt;/sed&gt;<br>&lt;voluptatem&gt;Ea commodi exercitationem est rerum molestiae!&lt;/voluptatem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Eum quisquam delectus et enim placeat sed earum enim?</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et omnis dolore quo obcaecati doloribus <em>Aut vero et odio sapiente</em>! Et quia impedit <strong>Ut quod id ipsa ratione eos perspiciatis nesciunt sed beatae quia</strong> sed iure dolor et impedit repellendus. Et voluptatibus Quis et quia esseEt ullam aut nemo ipsam ut nisi quos aut nemo recusandae eos perferendis ratione. Et enim molestiae a soluta velit33 placeat sit eius ipsa est minima unde.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et asperiores tempore qui labore consequatur 33 omnis assumenda.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ea iusto assumenda <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In alias qui maxime possimus</a>. Et eaque reiciendis est galisum atquehic quos est assumenda ipsa? Ab suscipit temporibus <strong>Vel consequuntur et exercitationem quisquam eos voluptatem reprehenderit aut iure expedita</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Eum deleniti incidunt et eveniet aliquam sed temporibus voluptatem in repellendus quam!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est porro voluptatem est voluptate placeat et tenetur laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Sed expedita cupiditate ut eveniet autem ut atque laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et atque officiis ut dicta natus aut dolores voluptas et perspiciatis ducimus.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut iure itaque id accusamus quia ea eligendi aliquam in esse tempore.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum quia vitae vel velit impedit.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Ut dignissimos dolores et voluptatem consequatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>A libero officiis ut libero neque in soluta dolore in tempora recusandae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Sed quis omnis qui vero nisi ex veritatis deleniti a cumque voluptatem et atque dignissimos ut ipsa magnam.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et dolores galisum ad culpa impedit aut voluptatum voluptatem.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos dolorum sint id aliquam aliquamnam saepe aut labore natus 33 voluptas temporibus. Ut pariatur incidunt qui quis iureet commodi et velit facere.</p>\n<!-- /wp:paragraph -->", "Ab Inventore", "", "publish", "open", "open", "", "ab-inventore-2", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=193", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("194", "1", "2023-04-01 19:59:45", "2023-04-01 19:59:45", "<!-- wp:paragraph -->\n<p>Eum consectetur autem illum est iusto. Ad quia vel voluptas hic. Maiores et eos harum ducimus aliquid. Nihil error qui sit nisi officia. Quaerat totam aut sit corporis delectus tempore qui reprehenderit. Repellendus ut dignissimos magni est dicta blanditiis incidunt et. Illum voluptatem ad quia numquam vel id. Consequatur illo ea occaecati ipsa cum in. Exercitationem amet nostrum culpa. Id magnam ut autem illum quia voluptates cum. Provident temporibus quis magnam officiis et blanditiis libero. Est in consequatur quasi et omnis. Quisquam autem omnis rerum ullam nobis quo itaque exercitationem.</p>\n<!-- /wp:paragraph -->", "Dolorum ipsum", "", "publish", "open", "open", "", "dolorum-ipsum", "", "", "2023-04-01 20:02:07", "2023-04-01 20:02:07", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=194", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("195", "1", "2023-04-01 19:59:45", "2023-04-01 19:59:45", "<!-- wp:paragraph -->\n<p>Delectus non distinctio qui atque. Consequatur in veniam id hic fugit. Harum minus quo incidunt necessitatibus molestiae dolorum voluptates. Rem rerum nisi ducimus sunt quibusdam. Nisi eius enim odio quae sit deserunt eveniet. Maxime sed alias neque velit corporis beatae. Veritatis nulla autem distinctio qui fuga. In est est rerum est ratione. Et nemo et ducimus sed. Delectus et quod quidem voluptatem. Alias cum molestiae enim corporis totam repellat. Et autem cumque quas corrupti illum. Aut nisi qui omnis sit et libero aut.</p>\n<!-- /wp:paragraph -->", "Dolorem facilis", "", "publish", "open", "open", "", "dolorem-facilis", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=195", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("196", "1", "2023-04-01 19:59:45", "2023-04-01 19:59:45", "Asperiores deleniti et in consequatur. Commodi nesciunt suscipit occaecati qui. Qui nostrum optio labore reprehenderit consequatur quibusdam. Voluptas recusandae repellendus voluptatem nihil vel quo molestias dolore. Illum occaecati omnis eligendi excepturi non incidunt. Ea voluptate dolorum voluptatem omnis accusantium. Voluptatem sed molestiae aut blanditiis velit. Id ad in tempora est numquam rem ducimus. Voluptatum dolor possimus tenetur. Nulla nostrum molestias eaque reiciendis voluptatibus est occaecati. Mollitia et ad minima voluptatem in non. Facilis eius illum omnis et quo. In iste nostrum eius eos deserunt omnis perspiciatis quia.", "Consequatur optio", "", "publish", "open", "open", "", "consequatur-optio", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=196", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("197", "1", "2023-04-01 19:59:45", "2023-04-01 19:59:45", "<!-- wp:paragraph -->\n<p>Laudantium ab in provident repellat eos at repudiandae. Deserunt vitae rerum quam. Repellendus velit facere ea vel quas. Illo ex delectus in. Et quae nostrum voluptatibus ullam recusandae ut aut. Dolor tenetur quo et tempora corporis. Consequatur dolore reiciendis nesciunt qui et iusto eius. Accusamus velit qui rerum ipsum qui saepe. Maiores error commodi veniam sapiente error nisi ut. Aut dignissimos temporibus inventore quia iure soluta asperiores eum. Mollitia doloribus repudiandae inventore quo. Illo nulla optio ut quidem. Fuga blanditiis veniam dolorem ea fugiat sunt soluta. Dicta autem sunt aut quaerat. Dolores occaecati voluptatibus est minima commodi labore quod.</p>\n<!-- /wp:paragraph -->", "Sed Quia", "", "publish", "open", "open", "", "sed-quia", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "0", "http://localhost:8888/exams/final-exam-2022-03/?p=197", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("198", "1", "2023-04-01 20:00:02", "2023-04-01 20:00:02", "<!-- wp:paragraph -->\n<p>Eum consectetur autem illum est iusto. Ad quia vel voluptas hic. Maiores et eos harum ducimus aliquid. Nihil error qui sit nisi officia. Quaerat totam aut sit corporis delectus tempore qui reprehenderit. Repellendus ut dignissimos magni est dicta blanditiis incidunt et. Illum voluptatem ad quia numquam vel id. Consequatur illo ea occaecati ipsa cum in. Exercitationem amet nostrum culpa. Id magnam ut autem illum quia voluptates cum. Provident temporibus quis magnam officiis et blanditiis libero. Est in consequatur quasi et omnis. Quisquam autem omnis rerum ullam nobis quo itaque exercitationem.</p>\n<!-- /wp:paragraph -->", "Dolorum ipsum", "", "inherit", "closed", "closed", "", "194-revision-v1", "", "", "2023-04-01 20:00:02", "2023-04-01 20:00:02", "", "194", "http://localhost:8888/exams/final-exam-2022-03/?p=198", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("199", "1", "2023-04-01 20:00:09", "2023-04-01 20:00:09", "<!-- wp:paragraph -->\n<p>Delectus non distinctio qui atque. Consequatur in veniam id hic fugit. Harum minus quo incidunt necessitatibus molestiae dolorum voluptates. Rem rerum nisi ducimus sunt quibusdam. Nisi eius enim odio quae sit deserunt eveniet. Maxime sed alias neque velit corporis beatae. Veritatis nulla autem distinctio qui fuga. In est est rerum est ratione. Et nemo et ducimus sed. Delectus et quod quidem voluptatem. Alias cum molestiae enim corporis totam repellat. Et autem cumque quas corrupti illum. Aut nisi qui omnis sit et libero aut.</p>\n<!-- /wp:paragraph -->", "Dolorem facilis", "", "inherit", "closed", "closed", "", "195-revision-v1", "", "", "2023-04-01 20:00:09", "2023-04-01 20:00:09", "", "195", "http://localhost:8888/exams/final-exam-2022-03/?p=199", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("200", "1", "2023-04-01 20:00:38", "2023-04-01 20:00:38", "Asperiores deleniti et in consequatur. Commodi nesciunt suscipit occaecati qui. Qui nostrum optio labore reprehenderit consequatur quibusdam. Voluptas recusandae repellendus voluptatem nihil vel quo molestias dolore. Illum occaecati omnis eligendi excepturi non incidunt. Ea voluptate dolorum voluptatem omnis accusantium. Voluptatem sed molestiae aut blanditiis velit. Id ad in tempora est numquam rem ducimus. Voluptatum dolor possimus tenetur. Nulla nostrum molestias eaque reiciendis voluptatibus est occaecati. Mollitia et ad minima voluptatem in non. Facilis eius illum omnis et quo. In iste nostrum eius eos deserunt omnis perspiciatis quia.", "Consequatur optio", "", "inherit", "closed", "closed", "", "196-revision-v1", "", "", "2023-04-01 20:00:38", "2023-04-01 20:00:38", "", "196", "http://localhost:8888/exams/final-exam-2022-03/?p=200", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("201", "1", "2023-04-01 20:00:48", "2023-04-01 20:00:48", "<!-- wp:paragraph -->\n<p>Laudantium ab in provident repellat eos at repudiandae. Deserunt vitae rerum quam. Repellendus velit facere ea vel quas. Illo ex delectus in. Et quae nostrum voluptatibus ullam recusandae ut aut. Dolor tenetur quo et tempora corporis. Consequatur dolore reiciendis nesciunt qui et iusto eius. Accusamus velit qui rerum ipsum qui saepe. Maiores error commodi veniam sapiente error nisi ut. Aut dignissimos temporibus inventore quia iure soluta asperiores eum. Mollitia doloribus repudiandae inventore quo. Illo nulla optio ut quidem. Fuga blanditiis veniam dolorem ea fugiat sunt soluta. Dicta autem sunt aut quaerat. Dolores occaecati voluptatibus est minima commodi labore quod.</p>\n<!-- /wp:paragraph -->", "Sed Quia", "", "inherit", "closed", "closed", "", "197-revision-v1", "", "", "2023-04-01 20:00:48", "2023-04-01 20:00:48", "", "197", "http://localhost:8888/exams/final-exam-2022-03/?p=201", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("202", "1", "2023-04-01 20:01:08", "2023-04-01 20:01:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui voluptatem modi qui porro doloremEa internos eos fuga nihil vel vero labore et minus odit! Eos velit magnam in alias excepturi <strong>Ut molestiae ea officiis delectus id vitae dignissimos</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Et praesentium vero est enim nihil.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit quidem omnis <em>Ut voluptatum</em> ad laudantium fugit et nemo optio. Qui repellendus atque <strong>Qui quia</strong> et laudantium necessitatibus non voluptas culpa.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Qui quidem quia 33 voluptas inventore id nisi voluptatum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus optio <strong>Cum deserunt eos dolorem dignissimos sit exercitationem nulla</strong> ut modi natus. Ut porro quos ea quae ducimusEt quod qui galisum voluptatem sit quia nihil id amet culpa. Ea doloribus facere <em>Sit doloremque cum quam architecto aut excepturi nostrum</em> quo natus fugiat in accusamus consequatur. Sit atque quasiSit accusantium aut sunt illo et exercitationem laudantium 33 magnam molestiae et expedita deleniti eos velit quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et possimus consectetur est enim facere sed quos voluptas et iure saepe et commodi nobis?</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">A doloribus omnis rem minima dicta.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Rem culpa sintaut velit et obcaecati velit. Et accusantium asperiores <em>Sed cumque non consequatur deleniti est officia quibusdam</em> et nihil deleniti hic ipsam laudantium rem provident maxime! Ad nisi labore eum quia facereEt deleniti ab molestias libero nam veniam aspernatur non eveniet velit. <dfn>Eos distinctio aliquam. </dfn>Sit enim quasi ut eius dolores. <dfn>Et blanditiis officiis qui iste minus. </dfn>Qui quaerat natus eos rerum eaque non totam aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et tempora ipsa qui delectus commodi?</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit temporibus explicabo ut quibusdam enim <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui delectus et maxime incidunt qui quia dolorem et minus sapiente</a>. Sed nulla totam <em>Qui recusandae</em> in inventore illum qui nihil architecto. Aut dignissimos vero <strong>Et perspiciatis sit optio sequi et numquam doloribus id eligendi similique</strong> eos maiores esse quo velit nihil.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Ut iste delectus est enim enim?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel mollitia explicabo ut ratione omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut sint atque est obcaecati dolores et odit magnam est exercitationem sunt.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui rerum exercitationem et explicabo rerum ut dicta sint et beatae eveniet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui voluptas omnis id tempora nemo aut laudantium culpa At aliquam quaerat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut perferendis illo qui fugiat enim.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et cumque dolores qui sint eaque! --&gt;<br>&lt;asperiores&gt;Est dolorem deleniti et aperiam beatae aut incidunt minima.&lt;/asperiores&gt;<br>&lt;laborum&gt;Non quae nesciunt aut rerum labore qui rerum tenetur.&lt;/laborum&gt;<br>&lt;possimus&gt;Aut ipsam similique.&lt;/possimus&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:paragraph -->\n<p>Qui ipsam explicabo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et laborum in omnis quidem est magni omnis</a>. Qui mollitia fugiat non sint oditin ipsa.</p>\n<!-- /wp:paragraph -->", "Voluptate Eum", "", "inherit", "closed", "closed", "", "191-revision-v1", "", "", "2023-04-01 20:01:08", "2023-04-01 20:01:08", "", "191", "http://localhost:8888/exams/final-exam-2022-03/?p=202", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("203", "1", "2023-04-01 20:01:17", "2023-04-01 20:01:17", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est obcaecati incidunt <strong>Ut alias et quod magni aut ducimus atque aut sapiente excepturi</strong> sed voluptatibus recusandae et quaerat corrupti. Et culpa temporibus non ratione incidunt <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Nam maxime vel asperiores libero</a> aut facilis velit sit blanditiis nostrum et assumenda numquam. <dfn>Est fugiat distinctio et mollitia molestias. </dfn>Et atque magni sed asperiores culpa. <dfn>Et soluta magnam ab magni sunt. </dfn>Ut illum consequuntur in quia quisquam sit officia aliquam non quas nobis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Quo fugiat dolorem qui autem enim ut nisi soluta ab illum numquam et blanditiis deleniti!</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Cum fugit internos. --&gt;<br>&lt;magni&gt;Ad sint repudiandae et doloremque nisi aut possimus sapiente.&lt;/magni&gt;<br>&lt;galisum&gt;Sed provident ipsum sed voluptate mollitia qui nobis dolorem.&lt;/galisum&gt;<br>&lt;vitae&gt;Aut distinctio enim.&lt;/vitae&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut odio dolor aut odio dolorum sed expedita animi?</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit odit consequuntur qui incidunt officiaut nobis qui aliquid voluptas ut distinctio cupiditate. Et provident ullam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et vitae qui laboriosam inventore sit nihil nisi</a>? Et reiciendis voluptas <strong>Qui deleniti quo quaerat assumenda est commodi enim ut voluptatem nihil</strong> ut nobis similique ea libero perferendis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Sed ipsum galisum et error debitis nam minus voluptas.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quod cupiditate <em>Sed velit est quis quis sed necessitatibus rerum</em>. Aut nemo quia et quae omniseum voluptate. Vel amet molestiae ut omnis temporeEst dolore ea commodi eius quo eligendi debitis et alias asperiores qui sunt totam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Aut sunt soluta est repellendus quaerat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui tempora sint <strong>A nesciunt non eveniet officia non consequatur iusto aut beatae deleniti</strong>! Est quas voluptatem <em>Qui cumque et iure sequi</em>. Nam nesciunt veniam est doloribus facilis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut modi et iste nesciunt ut voluptatibus alias aut omnis impedit</a>!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Non alias voluptatem et iusto voluptas.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut dolores assumenda et nostrum corrupti33 quia sit dolorem omnis. Et illo dictaQuo adipisci nam rerum ducimus ut iusto quam a obcaecati dolore. Rem vitae consequaturest libero sit quia rerum!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Id sequi mollitia sit temporibus consectetur sit quam voluptates non reiciendis atque!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ad soluta eius et voluptates galisum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel accusamus obcaecati aut nemo pariatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id vero galisum sit fuga ducimus ab cupiditate asperiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non quos eaque ut numquam commodi est quibusdam quia et impedit cupiditate?</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui animi nostrum ut laborum ratione qui assumenda molestiae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est unde beatae non delectus internos qui voluptas expedita aut dignissimos error?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui vero cumque qui voluptas dolorem est placeat quas 33 adipisci perferendis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Qort Blanditiis", "", "inherit", "closed", "closed", "", "186-revision-v1", "", "", "2023-04-01 20:01:17", "2023-04-01 20:01:17", "", "186", "http://localhost:8888/exams/final-exam-2022-03/?p=203", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("204", "1", "2023-04-01 20:01:26", "2023-04-01 20:01:26", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui voluptatem modi qui porro doloremEa internos eos fuga nihil vel vero labore et minus odit! Eos velit magnam in alias excepturi <strong>Ut molestiae ea officiis delectus id vitae dignissimos</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Et praesentium vero est enim nihil.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit quidem omnis <em>Ut voluptatum</em> ad laudantium fugit et nemo optio. Qui repellendus atque <strong>Qui quia</strong> et laudantium necessitatibus non voluptas culpa.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Qui quidem quia 33 voluptas inventore id nisi voluptatum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus optio <strong>Cum deserunt eos dolorem dignissimos sit exercitationem nulla</strong> ut modi natus. Ut porro quos ea quae ducimusEt quod qui galisum voluptatem sit quia nihil id amet culpa. Ea doloribus facere <em>Sit doloremque cum quam architecto aut excepturi nostrum</em> quo natus fugiat in accusamus consequatur. Sit atque quasiSit accusantium aut sunt illo et exercitationem laudantium 33 magnam molestiae et expedita deleniti eos velit quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et possimus consectetur est enim facere sed quos voluptas et iure saepe et commodi nobis?</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">A doloribus omnis rem minima dicta.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Rem culpa sintaut velit et obcaecati velit. Et accusantium asperiores <em>Sed cumque non consequatur deleniti est officia quibusdam</em> et nihil deleniti hic ipsam laudantium rem provident maxime! Ad nisi labore eum quia facereEt deleniti ab molestias libero nam veniam aspernatur non eveniet velit. <dfn>Eos distinctio aliquam. </dfn>Sit enim quasi ut eius dolores. <dfn>Et blanditiis officiis qui iste minus. </dfn>Qui quaerat natus eos rerum eaque non totam aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et tempora ipsa qui delectus commodi?</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit temporibus explicabo ut quibusdam enim <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui delectus et maxime incidunt qui quia dolorem et minus sapiente</a>. Sed nulla totam <em>Qui recusandae</em> in inventore illum qui nihil architecto. Aut dignissimos vero <strong>Et perspiciatis sit optio sequi et numquam doloribus id eligendi similique</strong> eos maiores esse quo velit nihil.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Ut iste delectus est enim enim?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel mollitia explicabo ut ratione omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut sint atque est obcaecati dolores et odit magnam est exercitationem sunt.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui rerum exercitationem et explicabo rerum ut dicta sint et beatae eveniet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui voluptas omnis id tempora nemo aut laudantium culpa At aliquam quaerat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut perferendis illo qui fugiat enim.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et cumque dolores qui sint eaque! --&gt;<br>&lt;asperiores&gt;Est dolorem deleniti et aperiam beatae aut incidunt minima.&lt;/asperiores&gt;<br>&lt;laborum&gt;Non quae nesciunt aut rerum labore qui rerum tenetur.&lt;/laborum&gt;<br>&lt;possimus&gt;Aut ipsam similique.&lt;/possimus&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:paragraph -->\n<p>Qui ipsam explicabo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et laborum in omnis quidem est magni omnis</a>. Qui mollitia fugiat non sint oditin ipsa.</p>\n<!-- /wp:paragraph -->", "Zark Voluptate", "", "inherit", "closed", "closed", "", "187-revision-v1", "", "", "2023-04-01 20:01:26", "2023-04-01 20:01:26", "", "187", "http://localhost:8888/exams/final-exam-2022-03/?p=204", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("205", "1", "2023-04-01 20:01:38", "2023-04-01 20:01:38", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Sit facilis blanditiis <strong>Sed voluptatem et error rerum qui voluptatum quidem</strong> ad corrupti earum. Vel ducimus eaque <em>Ut perferendis ea Quis culpa aut dolor quasi in adipisci voluptate</em> et eveniet beatae et quas fugit?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">At reprehenderit tempora sed asperiores omnis hic voluptatem enim.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut nihil sint <em>Et quas non consequatur sapiente hic laudantium vitae</em>. Rem assumenda quis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut perferendis rem facere omnis hic sint pariatur sed officiis quaerat</a> ea galisum impedit eum alias quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Et architecto consequuntur non quod sunt aut laborum aliquam ut cupiditate quod.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Nam atque nobis aut voluptatibus quod sed sapiente nesciunt.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptates cumque qui similique velit et expedita itaque.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ea molestias officia sit libero magni sed itaque blanditiis!</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>In consequuntur eveniet <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In quisquam sed quia nihil eos dolorum consequatur</a> sit earum quasi et totam saepe. Et nihil doloremque 33 officia optio <em>Est consequuntur</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut fuga consequatur ea rerum quam sit inventore obcaecati.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ex quia nobis a necessitatibus repellat id dolores distinctio qui rerum blanditiis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eos ullam assumenda ut rerum voluptas.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est explicabo eligendi ut minima dolores ea reiciendis animi qui recusandae amet.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p><dfn>Eum sint aspernatur rem asperiores cupiditate. </dfn>Non obcaecati temporibus qui quia aspernatur ex debitis dignissimos qui molestiae reiciendis. <dfn>Qui voluptatem eaque et unde neque. </dfn>Qui impedit doloribus qui sequi porro. <dfn>Et veritatis tenetur. </dfn>Eum commodi ipsam qui neque dolores. <dfn>Id quasi ipsam hic natus architecto. </dfn>Qui saepe ullam est unde consectetur.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab tenetur provident est atque consequatur.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus blanditiis qui facilis sapiente <strong>Eum repudiandae</strong>? Eos vero dolorem ut quod dolore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ad accusamus et natus necessitatibus aut illum recusandae</a>. Hic nulla voluptatibus <em>Non libero sed voluptas voluptatem quo itaque sunt</em> aut ipsam fugit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Sit sint reprehenderit est saepe voluptate sit aliquid blanditiis. --&gt;<br>&lt;est&gt;Cum sunt maiores.&lt;/est&gt;<br>&lt;corporis&gt;Qui amet dignissimos qui voluptatibus neque nam magnam aperiam.&lt;/corporis&gt;<br>&lt;libero&gt;Et aliquam quae eum dicta quia ut nemo molestiae?&lt;/libero&gt;<br>&lt;est&gt;Non quidem consequatur vel ducimus enim.&lt;/est&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Id quis galisum est officiis doloremque est rerum quaerat.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quibusdam quos et commodi veroNon quam. Eos quia accusamus <em>Eum asperiores aut ipsa omnis aut similique alias sed consequatur eius</em>. Ex dolorem inventore est nostrum distinctioEst accusantium sit officia velit id amet repellat qui alias fuga. Qui omnis QuisEst doloribus eum dolorem accusantium sit dolore praesentium.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui nulla voluptatem non animi sunt eum ipsum esse non maxime deleniti ea optio laudantium et nostrum voluptatem.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Nam adipisci perspiciatis aut quisquam dignissimoseos quidem At velit minima. Eos consequatur voluptate <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Eum consectetur nam voluptatem molestiae vel quam quis</a> sed sint galisum aut eveniet sunt. Et voluptas quaeSed soluta qui culpa aperiam qui dolor dolores. Id aspernatur culpa ut dignissimos evenietut Quis ut consequuntur repellat ab natus sunt.</p>\n<!-- /wp:paragraph -->", "Zwat Totam", "", "inherit", "closed", "closed", "", "188-revision-v1", "", "", "2023-04-01 20:01:38", "2023-04-01 20:01:38", "", "188", "http://localhost:8888/exams/final-exam-2022-03/?p=205", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("206", "1", "2023-04-01 20:01:51", "2023-04-01 20:01:51", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est consequatur molestias <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Cum laudantium aut ducimus blanditiis in reprehenderit recusandae</a>? In provident eaque aut asperiores dolorem <em>Sed rerum in cumque consequatur in numquam aliquid aut magni dolor</em> sed porro iure.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestias autem est eveniet unde.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et delectus tempore <em>Et aliquid et labore molestiae sed enim quos</em> vel rerum iste vel tenetur unde. Non autem impeditvel culpa est ullam molestiae. Ab possimus quam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ex voluptas quo quasi veniam ut illo exercitationem</a> qui eius repellat hic consequuntur sunt? <dfn>Qui eligendi blanditiis. </dfn>Quo harum architecto ea esse minus et reprehenderit possimus. <dfn>Nam maiores omnis? </dfn>Qui corporis optio et obcaecati dolore id nemo accusamus eos Quis quia. <dfn>Et quibusdam doloribus eos nulla vitae. </dfn>Et perferendis earum id alias quibusdam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Ut repellendus modi eum veritatis quis est cupiditate obcaecati! --&gt;<br>&lt;aut&gt;Quo modi quisquam.&lt;/aut&gt;<br>&lt;cumque&gt;Aut nostrum consequatur sed neque nobis aut corrupti eveniet.&lt;/cumque&gt;<br>&lt;sed&gt;Et voluptas quasi in doloribus inventore non aperiam Quis.&lt;/sed&gt;<br>&lt;voluptatem&gt;Ea commodi exercitationem est rerum molestiae!&lt;/voluptatem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Eum quisquam delectus et enim placeat sed earum enim?</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et omnis dolore quo obcaecati doloribus <em>Aut vero et odio sapiente</em>! Et quia impedit <strong>Ut quod id ipsa ratione eos perspiciatis nesciunt sed beatae quia</strong> sed iure dolor et impedit repellendus. Et voluptatibus Quis et quia esseEt ullam aut nemo ipsam ut nisi quos aut nemo recusandae eos perferendis ratione. Et enim molestiae a soluta velit33 placeat sit eius ipsa est minima unde.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et asperiores tempore qui labore consequatur 33 omnis assumenda.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ea iusto assumenda <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In alias qui maxime possimus</a>. Et eaque reiciendis est galisum atquehic quos est assumenda ipsa? Ab suscipit temporibus <strong>Vel consequuntur et exercitationem quisquam eos voluptatem reprehenderit aut iure expedita</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Eum deleniti incidunt et eveniet aliquam sed temporibus voluptatem in repellendus quam!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est porro voluptatem est voluptate placeat et tenetur laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Sed expedita cupiditate ut eveniet autem ut atque laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et atque officiis ut dicta natus aut dolores voluptas et perspiciatis ducimus.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut iure itaque id accusamus quia ea eligendi aliquam in esse tempore.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum quia vitae vel velit impedit.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Ut dignissimos dolores et voluptatem consequatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>A libero officiis ut libero neque in soluta dolore in tempora recusandae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Sed quis omnis qui vero nisi ex veritatis deleniti a cumque voluptatem et atque dignissimos ut ipsa magnam.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et dolores galisum ad culpa impedit aut voluptatum voluptatem.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos dolorum sint id aliquam aliquamnam saepe aut labore natus 33 voluptas temporibus. Ut pariatur incidunt qui quis iureet commodi et velit facere.</p>\n<!-- /wp:paragraph -->", "Inventore Dost", "", "inherit", "closed", "closed", "", "189-revision-v1", "", "", "2023-04-01 20:01:51", "2023-04-01 20:01:51", "", "189", "http://localhost:8888/exams/final-exam-2022-03/?p=206", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("207", "1", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est obcaecati incidunt <strong>Ut alias et quod magni aut ducimus atque aut sapiente excepturi</strong> sed voluptatibus recusandae et quaerat corrupti. Et culpa temporibus non ratione incidunt <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Nam maxime vel asperiores libero</a> aut facilis velit sit blanditiis nostrum et assumenda numquam. <dfn>Est fugiat distinctio et mollitia molestias. </dfn>Et atque magni sed asperiores culpa. <dfn>Et soluta magnam ab magni sunt. </dfn>Ut illum consequuntur in quia quisquam sit officia aliquam non quas nobis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Quo fugiat dolorem qui autem enim ut nisi soluta ab illum numquam et blanditiis deleniti!</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Cum fugit internos. --&gt;<br>&lt;magni&gt;Ad sint repudiandae et doloremque nisi aut possimus sapiente.&lt;/magni&gt;<br>&lt;galisum&gt;Sed provident ipsum sed voluptate mollitia qui nobis dolorem.&lt;/galisum&gt;<br>&lt;vitae&gt;Aut distinctio enim.&lt;/vitae&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut odio dolor aut odio dolorum sed expedita animi?</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Sit odit consequuntur qui incidunt officiaut nobis qui aliquid voluptas ut distinctio cupiditate. Et provident ullam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et vitae qui laboriosam inventore sit nihil nisi</a>? Et reiciendis voluptas <strong>Qui deleniti quo quaerat assumenda est commodi enim ut voluptatem nihil</strong> ut nobis similique ea libero perferendis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Sed ipsum galisum et error debitis nam minus voluptas.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quod cupiditate <em>Sed velit est quis quis sed necessitatibus rerum</em>. Aut nemo quia et quae omniseum voluptate. Vel amet molestiae ut omnis temporeEst dolore ea commodi eius quo eligendi debitis et alias asperiores qui sunt totam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Aut sunt soluta est repellendus quaerat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui tempora sint <strong>A nesciunt non eveniet officia non consequatur iusto aut beatae deleniti</strong>! Est quas voluptatem <em>Qui cumque et iure sequi</em>. Nam nesciunt veniam est doloribus facilis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut modi et iste nesciunt ut voluptatibus alias aut omnis impedit</a>!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Non alias voluptatem et iusto voluptas.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut dolores assumenda et nostrum corrupti33 quia sit dolorem omnis. Et illo dictaQuo adipisci nam rerum ducimus ut iusto quam a obcaecati dolore. Rem vitae consequaturest libero sit quia rerum!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Id sequi mollitia sit temporibus consectetur sit quam voluptates non reiciendis atque!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ad soluta eius et voluptates galisum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Vel accusamus obcaecati aut nemo pariatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id vero galisum sit fuga ducimus ab cupiditate asperiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non quos eaque ut numquam commodi est quibusdam quia et impedit cupiditate?</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui animi nostrum ut laborum ratione qui assumenda molestiae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est unde beatae non delectus internos qui voluptas expedita aut dignissimos error?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui vero cumque qui voluptas dolorem est placeat quas 33 adipisci perferendis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quis Blanditiis", "", "inherit", "closed", "closed", "", "190-revision-v1", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "190", "http://localhost:8888/exams/final-exam-2022-03/?p=207", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("208", "1", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Sit facilis blanditiis <strong>Sed voluptatem et error rerum qui voluptatum quidem</strong> ad corrupti earum. Vel ducimus eaque <em>Ut perferendis ea Quis culpa aut dolor quasi in adipisci voluptate</em> et eveniet beatae et quas fugit?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">At reprehenderit tempora sed asperiores omnis hic voluptatem enim.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut nihil sint <em>Et quas non consequatur sapiente hic laudantium vitae</em>. Rem assumenda quis <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut perferendis rem facere omnis hic sint pariatur sed officiis quaerat</a> ea galisum impedit eum alias quia.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Et architecto consequuntur non quod sunt aut laborum aliquam ut cupiditate quod.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Nam atque nobis aut voluptatibus quod sed sapiente nesciunt.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptates cumque qui similique velit et expedita itaque.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ea molestias officia sit libero magni sed itaque blanditiis!</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>In consequuntur eveniet <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In quisquam sed quia nihil eos dolorum consequatur</a> sit earum quasi et totam saepe. Et nihil doloremque 33 officia optio <em>Est consequuntur</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut fuga consequatur ea rerum quam sit inventore obcaecati.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ex quia nobis a necessitatibus repellat id dolores distinctio qui rerum blanditiis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eos ullam assumenda ut rerum voluptas.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est explicabo eligendi ut minima dolores ea reiciendis animi qui recusandae amet.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p><dfn>Eum sint aspernatur rem asperiores cupiditate. </dfn>Non obcaecati temporibus qui quia aspernatur ex debitis dignissimos qui molestiae reiciendis. <dfn>Qui voluptatem eaque et unde neque. </dfn>Qui impedit doloribus qui sequi porro. <dfn>Et veritatis tenetur. </dfn>Eum commodi ipsam qui neque dolores. <dfn>Id quasi ipsam hic natus architecto. </dfn>Qui saepe ullam est unde consectetur.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab tenetur provident est atque consequatur.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui accusamus blanditiis qui facilis sapiente <strong>Eum repudiandae</strong>? Eos vero dolorem ut quod dolore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ad accusamus et natus necessitatibus aut illum recusandae</a>. Hic nulla voluptatibus <em>Non libero sed voluptas voluptatem quo itaque sunt</em> aut ipsam fugit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Sit sint reprehenderit est saepe voluptate sit aliquid blanditiis. --&gt;<br>&lt;est&gt;Cum sunt maiores.&lt;/est&gt;<br>&lt;corporis&gt;Qui amet dignissimos qui voluptatibus neque nam magnam aperiam.&lt;/corporis&gt;<br>&lt;libero&gt;Et aliquam quae eum dicta quia ut nemo molestiae?&lt;/libero&gt;<br>&lt;est&gt;Non quidem consequatur vel ducimus enim.&lt;/est&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Id quis galisum est officiis doloremque est rerum quaerat.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est quibusdam quos et commodi veroNon quam. Eos quia accusamus <em>Eum asperiores aut ipsa omnis aut similique alias sed consequatur eius</em>. Ex dolorem inventore est nostrum distinctioEst accusantium sit officia velit id amet repellat qui alias fuga. Qui omnis QuisEst doloribus eum dolorem accusantium sit dolore praesentium.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui nulla voluptatem non animi sunt eum ipsum esse non maxime deleniti ea optio laudantium et nostrum voluptatem.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Nam adipisci perspiciatis aut quisquam dignissimoseos quidem At velit minima. Eos consequatur voluptate <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Eum consectetur nam voluptatem molestiae vel quam quis</a> sed sint galisum aut eveniet sunt. Et voluptas quaeSed soluta qui culpa aperiam qui dolor dolores. Id aspernatur culpa ut dignissimos evenietut Quis ut consequuntur repellat ab natus sunt.</p>\n<!-- /wp:paragraph -->", "Eum Totam", "", "inherit", "closed", "closed", "", "192-revision-v1", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "192", "http://localhost:8888/exams/final-exam-2022-03/?p=208", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("209", "1", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Est consequatur molestias <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Cum laudantium aut ducimus blanditiis in reprehenderit recusandae</a>? In provident eaque aut asperiores dolorem <em>Sed rerum in cumque consequatur in numquam aliquid aut magni dolor</em> sed porro iure.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestias autem est eveniet unde.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et delectus tempore <em>Et aliquid et labore molestiae sed enim quos</em> vel rerum iste vel tenetur unde. Non autem impeditvel culpa est ullam molestiae. Ab possimus quam <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ex voluptas quo quasi veniam ut illo exercitationem</a> qui eius repellat hic consequuntur sunt? <dfn>Qui eligendi blanditiis. </dfn>Quo harum architecto ea esse minus et reprehenderit possimus. <dfn>Nam maiores omnis? </dfn>Qui corporis optio et obcaecati dolore id nemo accusamus eos Quis quia. <dfn>Et quibusdam doloribus eos nulla vitae. </dfn>Et perferendis earum id alias quibusdam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Ut repellendus modi eum veritatis quis est cupiditate obcaecati! --&gt;<br>&lt;aut&gt;Quo modi quisquam.&lt;/aut&gt;<br>&lt;cumque&gt;Aut nostrum consequatur sed neque nobis aut corrupti eveniet.&lt;/cumque&gt;<br>&lt;sed&gt;Et voluptas quasi in doloribus inventore non aperiam Quis.&lt;/sed&gt;<br>&lt;voluptatem&gt;Ea commodi exercitationem est rerum molestiae!&lt;/voluptatem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Eum quisquam delectus et enim placeat sed earum enim?</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et omnis dolore quo obcaecati doloribus <em>Aut vero et odio sapiente</em>! Et quia impedit <strong>Ut quod id ipsa ratione eos perspiciatis nesciunt sed beatae quia</strong> sed iure dolor et impedit repellendus. Et voluptatibus Quis et quia esseEt ullam aut nemo ipsam ut nisi quos aut nemo recusandae eos perferendis ratione. Et enim molestiae a soluta velit33 placeat sit eius ipsa est minima unde.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et asperiores tempore qui labore consequatur 33 omnis assumenda.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ea iusto assumenda <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In alias qui maxime possimus</a>. Et eaque reiciendis est galisum atquehic quos est assumenda ipsa? Ab suscipit temporibus <strong>Vel consequuntur et exercitationem quisquam eos voluptatem reprehenderit aut iure expedita</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Eum deleniti incidunt et eveniet aliquam sed temporibus voluptatem in repellendus quam!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Est porro voluptatem est voluptate placeat et tenetur laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Sed expedita cupiditate ut eveniet autem ut atque laboriosam.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et atque officiis ut dicta natus aut dolores voluptas et perspiciatis ducimus.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut iure itaque id accusamus quia ea eligendi aliquam in esse tempore.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum quia vitae vel velit impedit.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Ut dignissimos dolores et voluptatem consequatur.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>A libero officiis ut libero neque in soluta dolore in tempora recusandae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Sed quis omnis qui vero nisi ex veritatis deleniti a cumque voluptatem et atque dignissimos ut ipsa magnam.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et dolores galisum ad culpa impedit aut voluptatum voluptatem.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos dolorum sint id aliquam aliquamnam saepe aut labore natus 33 voluptas temporibus. Ut pariatur incidunt qui quis iureet commodi et velit facere.</p>\n<!-- /wp:paragraph -->", "Ab Inventore", "", "inherit", "closed", "closed", "", "193-revision-v1", "", "", "2023-04-01 20:02:08", "2023-04-01 20:02:08", "", "193", "http://localhost:8888/exams/final-exam-2022-03/?p=209", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("210", "1", "2023-04-01 20:07:31", "2023-04-01 20:07:31", "<!-- wp:template-part {\"slug\":\"header-small-dark\",\"tagName\":\"header\",\"theme\":\"twentytwentytwo\"} /-->\n\n<!-- wp:query {\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"categoryIds\":[],\"tagIds\":[],\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true},\"layout\":{\"inherit\":true},\"tagName\":\"main\"} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"align\":\"wide\"} -->\n<!-- wp:group {\"layout\":{\"inherit\":true}} -->\n<div class=\"wp-block-group\"><!-- wp:post-title {\"isLink\":true,\"align\":\"wide\",\"fontSize\":\"var(\\u002d\\u002dwp\\u002d\\u002dcustom\\u002d\\u002dtypography\\u002d\\u002dfont-size\\u002d\\u002dhuge, clamp(2.25rem, 4vw, 2.75rem))\"} /-->\n\n<!-- wp:post-featured-image {\"isLink\":true,\"align\":\"wide\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"calc(1.75 * var(\\u002d\\u002dwp\\u002d\\u002dstyle\\u002d\\u002dblock-gap))\"}}}} /-->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"650px\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:650px\"><!-- wp:post-excerpt /-->\n\n<!-- wp:post-date {\"isLink\":true,\"format\":\"F j, Y\",\"style\":{\"typography\":{\"fontStyle\":\"italic\",\"fontWeight\":\"400\"}},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"\"} -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":112} -->\n<div style=\"height:112px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template -->\n\n<!-- wp:query-pagination {\"paginationArrow\":\"arrow\",\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<!-- wp:query-pagination-previous {\"fontSize\":\"small\"} /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next {\"fontSize\":\"small\"} /-->\n<!-- /wp:query-pagination --></main>\n<!-- /wp:query -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"tagName\":\"footer\",\"theme\":\"twentytwentytwo\"} /-->\n", "Home", "Displays the latest posts as either the site homepage or a custom page defined under reading settings. If it exists, the Front Page template overrides this template when posts are shown on the front page.", "publish", "closed", "closed", "", "home", "", "", "2023-04-01 20:07:31", "2023-04-01 20:07:31", "", "0", "http://localhost:8888/exams/final-exam-2022-03/2023/04/01/home/", "0", "wp_template", "", "0");
INSERT INTO `wp_posts` VALUES("211", "1", "2023-04-01 20:07:31", "2023-04-01 20:07:31", "<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\"}}},\"backgroundColor\":\"foreground\",\"textColor\":\"background\",\"layout\":{\"inherit\":true}} -->\n<div class=\"wp-block-group alignfull has-background-color has-foreground-background-color has-text-color has-background has-link-color\" style=\"padding-top:0px;padding-bottom:0px\"><!-- wp:template-part {\"slug\":\"header\",\"tagName\":\"header\",\"align\":\"wide\",\"theme\":\"twentytwentytwo\"} /-->\n\n<!-- wp:pattern {\"slug\":\"twentytwentytwo/hidden-bird\"} /--></div>\n<!-- /wp:group --><!-- wp:spacer {\"height\":66} -->\n<div style=\"height:66px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n", "Header (Dark, small)", "", "publish", "closed", "closed", "", "header-small-dark", "", "", "2023-04-01 20:07:31", "2023-04-01 20:07:31", "", "0", "http://localhost:8888/exams/final-exam-2022-03/2023/04/01/header-small-dark/", "0", "wp_template_part", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("5", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("15", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("39", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("45", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("51", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("55", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("107", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("147", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("154", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("156", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("186", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("187", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("188", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("189", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("190", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("191", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("192", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("193", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("194", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("195", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("196", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("197", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("210", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("211", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("211", "6", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "wp_theme", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "category", "Interesting people from all over the world.", "0", "12");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "category", "You should go there. Everyone wants to go there.", "0", "8");
INSERT INTO `wp_term_taxonomy` VALUES("5", "5", "category", "Evaluations of the latest tech.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("6", "6", "wp_template_part_area", "", "0", "1");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("2", "twentytwentytwo", "twentytwentytwo", "0");
INSERT INTO `wp_terms` VALUES("3", "People", "people", "0");
INSERT INTO `wp_terms` VALUES("4", "Places", "places", "0");
INSERT INTO `wp_terms` VALUES("5", "Tests", "tests", "0");
INSERT INTO `wp_terms` VALUES("6", "header", "header", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "kevinmcmillan");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("12", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("13", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("15", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("16", "1", "session_tokens", "a:1:{s:64:\"527932665f5cd139a044f3cc2b08c96451717d93bb4d027aab0cc0d6b1731a9c\";a:4:{s:10:\"expiration\";i:1680548179;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/111.0.0.0 Safari/537.36\";s:5:\"login\";i:1680375379;}}");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_dashboard_quick_press_last_post_id", "106");
INSERT INTO `wp_usermeta` VALUES("18", "1", "wp_user-settings", "libraryContent=browse&posts_list_mode=list");
INSERT INTO `wp_usermeta` VALUES("19", "1", "wp_user-settings-time", "1680378282");
INSERT INTO `wp_usermeta` VALUES("20", "1", "edit_post_per_page", "200");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "kevinmcmillan", "$P$BiBCenMo9O7aSu.Awn3S3PsgmS2e3C.", "kevinmcmillan", "kevinmc@shaw.ca", "http://localhost:8888/exams/final-exam-2022-03", "2022-07-26 22:36:05", "", "0", "kevinmcmillan");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2023-04-01 20:07:56*/
/* DUPLICATOR_MYSQLDUMP_EOF */
